SLASH_ZIGIAURAS1 = "/za"
local frame = CreateFrame("FRAME", "ZigiAuras")

frame:RegisterEvent("PLAYER_LOGIN")
frame:RegisterEvent("VARIABLES_LOADED")
frame:RegisterEvent("ACTIVE_TALENT_GROUP_CHANGED")
frame:RegisterEvent("PLAYER_LEVEL_UP")
frame:RegisterUnitEvent("PLAYER_SPECIALIZATION_CHANGED", "player")
frame:RegisterEvent("PLAYER_LEVEL_UP")
frame:RegisterEvent("COMBAT_LOG_EVENT_UNFILTERED")


local function updateData()
	local name, realm = UnitFullName("player")
	local _, class, _ = UnitClass("player")
	local faction,_ = UnitFactionGroup("player")
	local spec = GetSpecialization() or 5
	local role = GetSpecializationRole(spec) or "DAMAGER" -- "DAMAGER", "TANK" or "HEALER"
	local level = UnitLevel("player") or 1
	local covenant = C_Covenants and C_Covenants.GetActiveCovenantID() or 0 -- 1 Kyrian  2 Venthyr  3 Night Fae  4 Necrolord
	

	if ZA then
		-- Debug Mode
		ZA.DebugMode = false

		function ZA.Dump(o)
			if type(o) == 'table' then
				local s = '{ '
				for k,v in pairs(o) do
					if type(k) ~= 'number' then k = '"'..k..'"' end
					s = s .. '['..k..'] = ' .. ZA.Dump(v) .. ','
				end
				return s .. '} '
			else
				return tostring(o)
			end
		end

		--! Primary Stats
		ZA.PrimaryStat = select(6, GetSpecializationInfo(spec)) or 0
		ZA.PrimaryStatSchool = (ZA.PrimaryStat == 2) and 115 or (ZA.PrimaryStat == 4) and 118 or 117

		-- Transliterate Cyrillic to Latin
		-- LibTranslit 1.0 by Vardex, modified for ZigiAuras
		-- https://github.com/Vardex/LibTranslit
		function ZA.Transliterate(str, mark)
			if not str then
				return ""
			end

			local CyrToLat = {
				["А"] = "A",
				["а"] = "a",
				["Б"] = "B",
				["б"] = "b",
				["В"] = "V",
				["в"] = "v",
				["Г"] = "G",
				["г"] = "g",
				["Д"] = "D",
				["д"] = "d",
				["Е"] = "E",
				["е"] = "e",
				["Ё"] = "e",
				["ё"] = "e",
				["Ж"] = "Zh",
				["ж"] = "zh",
				["З"] = "Z",
				["з"] = "z",
				["И"] = "I",
				["и"] = "i",
				["Й"] = "Y",
				["й"] = "y",
				["К"] = "K",
				["к"] = "k",
				["Л"] = "L",
				["л"] = "l",
				["М"] = "M",
				["м"] = "m",
				["Н"] = "N",
				["н"] = "n",
				["О"] = "O",
				["о"] = "o",
				["П"] = "P",
				["п"] = "p",
				["Р"] = "R",
				["р"] = "r",
				["С"] = "S",
				["с"] = "s",
				["Т"] = "T",
				["т"] = "t",
				["У"] = "U",
				["у"] = "u",
				["Ф"] = "F",
				["ф"] = "f",
				["Х"] = "Kh",
				["х"] = "kh",
				["Ц"] = "Ts",
				["ц"] = "ts",
				["Ч"] = "Ch",
				["ч"] = "ch",
				["Ш"] = "Sh",
				["ш"] = "sh",
				["Щ"] = "Shch",
				["щ"] = "shch",
				["Ъ"] = "",
				["ъ"] = "",
				["Ы"] = "Y",
				["ы"] = "y",
				["Ь"] = "",
				["ь"] = "",
				["Э"] = "E",
				["э"] = "e",
				["Ю"] = "Yu",
				["ю"] = "yu",
				["Я"] = "Ya",
				["я"] = "ya"
			}

			local mark = mark or ""
			local tstr = ""
			local marked = false
			local i = 1

			while i <= string.len(str) do
				local c = str:sub(i, i)
				local b = string.byte(c)

				if b == 208 or b == 209 then
					if marked == false then
						tstr = tstr .. mark
						marked = true
					end
					c = str:sub(i + 1, i + 1)
					tstr = tstr .. (CyrToLat[string.char(b, string.byte(c))] or string.char(b, string.byte(c)))

					i = i + 2
				else
					if c == " " or c == "-" then
						marked = false
					end
					tstr = tstr .. c
					i = i + 1
				end
			end

			return tstr
		end

		-- Alliance or Horde
		function ZA.AH(alliance, horde)
			local faction = UnitFactionGroup("player")

			if faction == "Horde" then
				return horde
			else
				return alliance
			end
		end

		-- Custom Icon Colors (OpieUI.lua:getSliceColor)
		--.........
		--local li = col[icon] or -3
		--
		---- fisk
		--if ZA and ZA.IconColors and ZA.IconColors[icon] then
		--	local hex = strsplit(":", IconColors[icon])
	    --    local r, g, b = tonumber(string.sub(hex, 1, 2), 16), tonumber(string.sub(hex, 3, 4), 16), tonumber(string.sub(hex, 5), 16)
		--	return r/255, g/255, b/255
		--end
		--
		--return pal[li] or 0.7, pal[li+1] or 1, pal[li+2] or 0.6
		
		-- ! OPie
		ZA.IconColors = {
			-- Blizzard Icons
			[132320] = "4f6986", -- ability_stealth

			-- World Markers
			["Interface/AddOns/Media_Newsom/Icons/WorldMarkerSquare"] = "0070dd",
			["Interface/AddOns/Media_Newsom/Icons/WorldMarkerTriangle"] = "1eff00",
			["Interface/AddOns/Media_Newsom/Icons/WorldMarkerDiamond"] = "a334ee",
			["Interface/AddOns/Media_Newsom/Icons/WorldMarkerCross"] = "ff2020",
			["Interface/AddOns/Media_Newsom/Icons/WorldMarkerStar"] = "ffff00",
			["Interface/AddOns/Media_Newsom/Icons/WorldMarkerCircle"] = "ff7f3f",
			["Interface/AddOns/Media_Newsom/Icons/WorldMarkerMoon"] = "aaaadd",
			["Interface/AddOns/Media_Newsom/Icons/WorldMarkerSkull"] = "dedede",
			["Interface/AddOns/Media_Newsom/Icons/WorldMarkerClear"] = "404040",

			-- Hunter Pets
			["Interface/AddOns/Media_Newsom/Pets/CoreHoundPurple"] = "972eba",
			["Interface/AddOns/Media_Newsom/Pets/CoreHoundYellow"] = "b8ff1b",
			["Interface/AddOns/Media_Newsom/Pets/ManasaberBlue"] = "c170ff",

			-- Water Elementals
			["Interface/AddOns/Media_Newsom/Pets/WaterElementalStormsWake"] = "67aeb0",
			["Interface/AddOns/Media_Newsom/Pets/WaterElementalTheTides"] = "50a8ff",
		}

		-- ! People
		-- Realm names must be normalized (remove dashes and spaces)
		ZA.People = {
			-- Mail Services
			["Auction House"] = "Gold",
			["Black Market Auction House"] = "Gold",
			["Alliance Auction House"] = "Gold",
			["Horde Auction House"] = "Gold",
			["Postmaster"] = "Gold",
			["Guild Banker"] = "Gold",
			["The Postmaster"] = "Gold",
			["Brew of the Month Club"] = "Gold",
			["WoW Dev Team"] = "Blizzard",
			["The WoW Dev Team"] = "Blizzard",
			["Blizzard"] = "Blizzard",
			["Customer Support"] = "Blizzard",
			--! NPCs
			["Shoak"] = "HUNTER",
			["Breanni"] = "HUNTER",
			["Mei Francis"] = "HUNTER",
			["Nat Pagle"] = "HUNTER",
			["Greatfather Winter"] = "Gold",
			["Great-father Winter"] = "Gold",
			["Dansel Adams"] = "Gold",
			["Thaumaturge Vashreen"] = "Cosmetic",
			["Minigob Manabonk"] = "MAGE",
			["Rathan"] = "WARRIOR",
			--! Friends
			-- Daniel
			["Hana-Sporeggar"] = "HUNTER",
			["Oceans-Sporeggar"] = "SHAMAN",
			["Nights-Sporeggar"] = "ROGUE",
			-- Siavash
			["Bastani-ShatteredHand"] = "HUNTER",
			["Blackvampkid-Bloodfeather"] = "PALADIN",
			["Brainroom-Bloodfeather"] = "PRIEST",
			["Bunnylettuce-ShatteredHand"] = "DEMONHUNTER",
			["Dikydodad-ShatteredHand"] = "DEATHKNIGHT",
			["Disasterpie-Bloodfeather"] = "DEATHKNIGHT",
			["Fannyvision-Bloodfeather"] = "PALADIN",
			["Feldanni-ShatteredHand"] = "WARLOCK",
			["Halp-Bloodfeather"] = "DRUID",
			["Happyvale-Bloodfeather"] = "MONK",
			["Kintawa-Bloodfeather"] = "SHAMAN",
			["Kree-Bloodfeather"] = "WARRIOR",
			["Milkpeople-Bloodfeather"] = "DRUID",
			["Nannyvision-ShatteredHand"] = "ROGUE",
			["Nooniverse-Bloodfeather"] = "MAGE",
			["Raxana"] = "SHAMAN",
			["Raxana-Bloodfeather"] = "SHAMAN",
			["Raxicil-Bloodfeather"] = "ROGUE",
			["Rosham-Bloodfeather"] = "HUNTER",
			["Saravasha-ShatteredHand"] = "HUNTER",
			["Shovelface-ShatteredHand"] = "WARRIOR",
			["Srilala-ShatteredHand"] = "SHAMAN",
			["Voidlisa-Bloodfeather"] = "WARLOCK",
			["Voidlisa-Ravenholdt"] = "WARLOCK",
			-- Leo
			["Agata-SteamwheedleCartel"] = "PRIEST",
			["Agnes-SteamwheedleCartel"] = "WARLOCK",
			["Aip-Moonglade"] = "WARRIOR",
			["Aldous-Sporeggar"] = "HUNTER",
			["Anna-TheSha'tar"] = "SHAMAN",
			["Ap-TheSha'tar"] = "PALADIN",
			["Apera-TheSha'tar"] = "HUNTER",
			["Aponi-SteamwheedleCartel"] = "DRUID",
			["Appi-TheSha'tar"] = "HUNTER",
			["Art-TheSha'tar"] = "MAGE",
			["Aska-ScarshieldLegion"] = "SHAMAN",
			["Asteria-TheVentureCo"] = "WARRIOR",
			["Astra-SteamwheedleCartel"] = "PRIEST",
			["Au-EarthenRing"] = "PRIEST",
			["Bababla-TheSha'tar"] = "WARLOCK",
			["Barb-TheSha'tar"] = "HUNTER",
			["Beans-ScarshieldLegion"] = "DRUID",
			["Beryl-TheVentureCo"] = "WARLOCK",
			["Bess-Moonglade"] = "PALADIN",
			["Betty-TheVentureCo"] = "HUNTER",
			["Bimini-Moonglade"] = "WARLOCK",
			["Birgitta-Ravenholdt"] = "HUNTER",
			["Bite-TheSha'tar"] = "DRUID",
			["Blanc-Sporeggar"] = "PRIEST",
			["Bones-Moonglade"] = "ROGUE",
			["Boom-Moonglade"] = "HUNTER",
			["Brock-TheVentureCo"] = "SHAMAN",
			["Cafuné-Moonglade"] = "DRUID",
			["Camilla-SteamwheedleCartel"] = "DEATHKNIGHT",
			["Carolyn-SteamwheedleCartel"] = "MAGE",
			["Carrie-SteamwheedleCartel"] = "MAGE",
			["Cecelia-SteamwheedleCartel"] = "MAGE",
			["Chai-TheSha'tar"] = "MONK",
			["Claw-ScarshieldLegion"] = "DRUID",
			["Code-ScarshieldLegion"] = "MONK",
			["Colette-TheSha'tar"] = "DEMONHUNTER",
			["Cordelia-TheVentureCo"] = "WARLOCK",
			["Crash-ScarshieldLegion"] = "WARLOCK",
			["Debbie-Ravenholdt"] = "MAGE",
			["Desna-SteamwheedleCartel"] = "WARRIOR",
			["Dia-TheSha'tar"] = "PRIEST",
			["Ean-DarkmoonFaire"] = "PRIEST",
			["Echo-SteamwheedleCartel"] = "SHAMAN",
			["Ed-TheVentureCo"] = "ROGUE",
			["Edna-Moonglade"] = "MAGE",
			["Eld-TheVentureCo"] = "PRIEST",
			["Elise-Ravenholdt"] = "PRIEST",
			["Ellika-Ravenholdt"] = "SHAMAN",
			["Elsa-Sporeggar"] = "HUNTER",
			["Elspeth-Moonglade"] = "WARLOCK",
			["Emily-TheSha'tar"] = "PALADIN",
			["Enna-SteamwheedleCartel"] = "MONK",
			["Eo-SteamwheedleCartel"] = "PALADIN",
			["Eris-TheVentureCo"] = "DEMONHUNTER",
			["Errol-ScarshieldLegion"] = "DRUID",
			["Eska-Moonglade"] = "SHAMAN",
			["Felix-SteamwheedleCartel"] = "PALADIN",
			["Fester-Moonglade"] = "DEATHKNIGHT",
			["Flerm-Moonglade"] = "SHAMAN",
			["Flora-Sporeggar"] = "EVOKER",
			["Francesca-SteamwheedleCartel"] = "PRIEST",
			["Frango-Moonglade"] = "DRUID",
			["Frank-TheVentureCo"] = "PRIEST",
			["Frid-Sporeggar"] = "DRUID",
			["Frutsi-Moonglade"] = "DRUID",
			["Fuzz-ScarshieldLegion"] = "ROGUE",
			["Galinha-TheSha'tar"] = "DRUID",
			["Ghost-DefiasBrotherhood"] = "ROGUE",
			["Ghoulina-Moonglade"] = "DEATHKNIGHT",
			["Gizzard-Moonglade"] = "HUNTER",
			["Gloria-Sporeggar"] = "MAGE",
			["Glue-SteamwheedleCartel"] = "MONK",
			["Gorgina-TheSha'tar"] = "DEMONHUNTER",
			["Grace-TheVentureCo"] = "PALADIN",
			["Gruff-Moonglade"] = "ROGUE",
			["Hecate-TheVentureCo"] = "PRIEST",
			["Hekla-Sporeggar"] = "PRIEST",
			["Helena-Sporeggar"] = "DRUID",
			["Hilda-DarkmoonFaire"] = "PALADIN",
			["Huo-SteamwheedleCartel"] = "EVOKER",
			["Ini-Moonglade"] = "DEATHKNIGHT",
			["Iro-Ravenholdt"] = "DEMONHUNTER",
			["Isolde-ScarshieldLegion"] = "DEATHKNIGHT",
			["Ivan-TheVentureCo"] = "WARRIOR",
			["Ji-Ravenholdt"] = "MONK",
			["June-SteamwheedleCartel"] = "SHAMAN",
			["Kathryn-Ravenholdt"] = "PALADIN",
			["Katya-Sporeggar"] = "ROGUE",
			["Kiasmos-Ravenholdt"] = "WARLOCK",
			["Kiwi-Moonglade"] = "DRUID",
			["Lakrits-TheSha'tar"] = "PRIEST",
			["Leaf-ScarshieldLegion"] = "DRUID",
			["Lemon-Sporeggar"] = "EVOKER",
			["Lif-SteamwheedleCartel"] = "MONK",
			["Ling-TheSha'tar"] = "MAGE",
			["Liou-SteamwheedleCartel"] = "MONK",
			["Lisa-Ravenholdt"] = "MONK",
			["Liz-SteamwheedleCartel"] = "ROGUE",
			["Lua-Ravenholdt"] = "DRUID",
			["Lucas-Ravenholdt"] = "DEATHKNIGHT",
			["Mab-Sporeggar"] = "DRUID",
			["Malgorzata-Ravenholdt"] = "DEMONHUNTER",
			["Maria-Sporeggar"] = "WARRIOR",
			["Marisol-TheSha'tar"] = "MONK",
			["Mayhem-SteamwheedleCartel"] = "DEMONHUNTER",
			["Medea-Ravenholdt"] = "MAGE",
			["Mei-ScarshieldLegion"] = "HUNTER",
			["Mikael-TheVentureCo"] = "PALADIN",
			["Milo-Sporeggar"] = "WARRIOR",
			["Monica-Sporeggar"] = "ROGUE",
			["Moronica-Ravenholdt"] = "WARLOCK",
			["My-Ravenholdt"] = "WARLOCK",
			["Namu-TheSha'tar"] = "EVOKER",
			["Nea-TheSha'tar"] = "WARLOCK",
			["Njord-TheSha'tar"] = "SHAMAN",
			["Nord-ScarshieldLegion"] = "DEATHKNIGHT",
			["Norega-Moonglade"] = "WARRIOR",
			["Nour-TheSha'tar"] = "PRIEST",
			["Onion-SteamwheedleCartel"] = "ROGUE",
			["Ornacia-Moonglade"] = "EVOKER",
			["Pang-SteamwheedleCartel"] = "EVOKER",
			["Peppermint-ScarshieldLegion"] = "MONK",
			["Phoebe-Sporeggar"] = "PRIEST",
			["Prue-Ravenholdt"] = "MAGE",
			["Ravioli-Ravenholdt"] = "HUNTER",
			["Rose-ScarshieldLegion"] = "PALADIN",
			["Salyssra-SteamwheedleCartel"] = "WARLOCK",
			["Schnappi-Moonglade"] = "DRUID",
			["Selma-Ravenholdt"] = "MONK",
			["Seska-SteamwheedleCartel"] = "ROGUE",
			["Shanna-TheVentureCo"] = "PRIEST",
			["Shui-Ravenholdt"] = "EVOKER",
			["Sigrid-ScarshieldLegion"] = "HUNTER",
			["Sinikka-TheVentureCo"] = "DEATHKNIGHT",
			["Sithandra-SteamwheedleCartel"] = "DEATHKNIGHT",
			["Skuggi-Ravenholdt"] = "WARLOCK",
			["Solene-Moonglade"] = "HUNTER",
			["Song-TheVentureCo"] = "SHAMAN",
			["Spoon-TheSha'tar"] = "SHAMAN",
			["Syrah-TheSha'tar"] = "HUNTER",
			["Syro-SteamwheedleCartel"] = "DEMONHUNTER",
			["Tickle-Moonglade"] = "HUNTER",
			["Tor-DarkmoonFaire"] = "WARRIOR",
			["Tracyanne-Ravenholdt"] = "SHAMAN",
			["Vack-Ravenholdt"] = "PRIEST",
			["Veka-SteamwheedleCartel"] = "SHAMAN",
			["Vendegast-TheSha'tar"] = "ROGUE",
			["Vevica-Ravenholdt"] = "PRIEST",
			["Victoria-SteamwheedleCartel"] = "WARRIOR",
			["Vidalia-Sporeggar"] = "DEATHKNIGHT",
			["Viktor-TheSha'tar"] = "HUNTER",
			["Violaine-Sporeggar"] = "HUNTER",
			["Will-ScarshieldLegion"] = "PALADIN",
			["Wo-TheSha'tar"] = "WARRIOR",
			["Wyle-TheSha'tar"] = "ROGUE",
			["Yarn-SteamwheedleCartel"] = "MONK",
			["Yessica-Sporeggar"] = "HUNTER",
			["Yuki-TheSha'tar"] = "DEATHKNIGHT",
			["Yulia-Ravenholdt"] = "WARRIOR",
			["Zap-TheSha'tar"] = "SHAMAN",
			["Ziguni-Moonglade"] = "PRIEST",
			["Zoal-Moonglade"] = "MAGE",
			["Zoom-Moonglade"] = "MAGE",
			["Zorp-Moonglade"] = "HUNTER",
			["Zumaridi-Moonglade"] = "DRUID",
		}

		--! Solid Colors
		ZA.Colors = {
			["Blizzard"] = "3facff",
			["Guild"] = "40ff40",
			["Blue"] = "0070dd",
			["Gold"] = "ffd100",
			["Green"] = "1eff00",
			["Orange"] = "ff7f3f",
			["Purple"] = "a335ee",
			["Red"] = "ff2020",
			["Silver"] = "aaaadd",
			["White"] = "ffffff",
			["Yellow"] = "ffff00",
			["Cosmetic"] = "ff80ff",

			-- Quality
			["Poor"] = "9d9d9d",
			["Common"] = "ffffff",
			["Uncommon"] = "1eff00",
			["Rare"] = "0070dd",
			["Epic"] = "a335ee",
			["Legendary"] = "ff8000",
			["Artifact"] = "e6cc80",
			["Heirloom"] = "00ccff",

			-- Class
			["DEATHKNIGHT"] = "c41e3a",
			["DEMONHUNTER"] = "a330c9",
			["DRUID"] = "ff7c0a",
			["EVOKER"] = "33937f",
			["HUNTER"] = "aad372",
			["MAGE"] = "3fc7eb",
			["MONK"] = "00ff98",
			["PALADIN"] = "f48cba",
			["PRIEST"] = "ffffff",
			["ROGUE"] = "fff468",
			["SHAMAN"] = "0070dd",
			["WARLOCK"] = "8788ee",
			["WARRIOR"] = "c69b6d",

			-- Covenant
			["Kyrian"] = "46cdff",
			["Necrolord"] = "20db9e",
			["Night Fae"] = "8697ff",
			["Venthyr"] = "f90000",

			-- Status
			["Curse"] = "9600ff",
			["Debuff"] = "c80000",
			["Disease"] = "966400",
			["Magic"] = "3296ff",
			["Poison"] = "009600",

			-- Reaction/Reputation
			["Sanctuary"] = "69ccf0",
			["Contested"] = "ffb300",
			["Arena"] = "ff1a1a",
			["Tapped"] = "808080",
			["Paragon"] = "4cc2ff",
			["Exalted"] = "4cc2ff",
			["Revered"] = "00ffcc",
			["Honored"] = "00ff88",
			["Friendly"] = "1aff1a",
			["Neutral"] = "ffff00",
			["Hostile"] = "ff0000",
			["Hated"] = "cc2222",
		}


		-- GetGradient function
		function ZA.GetGradient(id, name, icon)
			local id = tonumber(id or 0)
			local name = name or ""
			local icon = tonumber(icon or 0) or 0

			if id > 0 and ZA.Spells[id] then
				-- SpellID
				return ZA.Gradients[ZA.Spells[id]]
			elseif ZA.Spells[name..":"..icon] then
				-- Name:Icon
				return ZA.Gradients[ZA.Spells[name..":"..icon]]
			elseif icon > 0 and ZA.Spells[":"..icon] then
				-- :Icon
				return ZA.Gradients[ZA.Spells[":"..icon]]
			elseif ZA.Spells[name] then
				-- Name
				return ZA.Gradients[ZA.Spells[name]]
			elseif ZA.AutoSpells[name..":"..icon] then
				-- Auto: Name:Icon
				return ZA.Gradients[ZA.AutoSpells[name..":"..icon]]
			elseif ZA.AutoSpells[name] then
				-- Auto: Name
				return ZA.Gradients[ZA.AutoSpells[name]]
			else
				-- No Match
				return ZA.Gradients[0]
			end
		end

		-- GetIcon function
		function ZA.GetIcon(id, name, icon)
			local id = tonumber(id or 0)
			local name = name or ""
			local icon = tonumber(icon or 0) or 0

			if id > 0 and ZA.Icons[id] then
				return ZA.Icons[id]
			elseif ZA.Icons[name..":"..icon] then
				return ZA.Icons[name..":"..icon]
			elseif ZA.Icons[name] then
				return ZA.Icons[name]
			else
				return icon
			end
		end

		-- Gradient to RGB
		function ZA.GradientRGB(gradient)
			local lhex, rhex = strsplit(":", gradient)
            local lr, lg, lb = tonumber(string.sub(lhex, 1, 2), 16), tonumber(string.sub(lhex, 3, 4), 16), tonumber(string.sub(lhex, 5), 16)
            local rr, rg, rb = tonumber(string.sub(rhex, 1, 2), 16), tonumber(string.sub(rhex, 3, 4), 16), tonumber(string.sub(rhex, 5), 16)

            return CreateColor(lr/255, lg/255, lb/255, 1), CreateColor(rr/255, rg/255, rb/255, 1)
		end

		-- Color Hex to RGB
		function ZA.HexToRGB(hex)
			if not hex then return 0, 0, 0 end
			return tonumber(string.sub(hex, 1, 2), 16), tonumber(string.sub(hex, 3, 4), 16), tonumber(string.sub(hex, 5), 16)
		end


		-- Power Type IDs with corresponding Gradient names
		ZA.PowerTypes = {
			[-2] = "Hostile", -- HealthCost
			[-1] = 0, -- None
			[0]  = "Mana",
			[1]  = "Rage",
			[2]  = "Focus",
			[3]  = "Energy",
			[4]  = "Combo Points",
			[5]  = "Runes",
			[6]  = "Runic Power",
			[7]  = "Soul Shards",
			[8]  = "Astral Power",
			[9]  = "Holy Power",
			[10] = "Energy", -- Alternate Energy, used by bosses
			[11] = "Maelstrom",
			[12] = "Chi",
			[13] = "Insanity",
			[14] = 4, -- Obsolete (Burning Embers)
			[15] = 32, -- Obsolete (Demonic Fury)
			[16] = "Arcane Charges",
			[17] = "Fury",
			[18] = "Fury", -- Obsolete (Pain)
			[19] = "Essence",
		}

		--! Alternate Power
		ZA.AlternatePowerTypes = {
			["Atramedes"] = 111, -- Sound
			["Cho'gall"] = 324, -- Corruption
		}


		--! Text
		ZA.Text = {
			[386256] = "Soulkeeper",
			["Chaos Brand - Arcane"] = "Chaos Brand",
			["Chaos Brand - Fire"] = "Chaos Brand",
			["Chaos Brand - Frost"] = "Chaos Brand",
			["Chaos Brand - Nature"] = "Chaos Brand",
			["Chaos Brand - Shadow"] = "Chaos Brand",
			[361952] = "Infusion of Anima",
			[254545] = "Baruut the Brisk",
			[49844] = "Mole Machine: Blackrock Depths",
			[23453] = "Ultrasafe Transporter: Gadgetzan",
			[36941] = "Ultrasafe Transporter: Toshley's Station",
			[23442] = "Dimensional Ripper: Everlook",
			[36890] = "Dimensional Ripper: Area 52",
			[67833] = "Wormhole: Northrend",
			[163830] = "Wormhole: Draenor",
			[250796] = "Wormhole: Argus",
			[299083] = "Wormhole: Kul Tiras",
			[299084] = "Wormhole: Zandalar",
			[324031] = "Wormhole: Shadowlands",
			[231054] = "Teleport: Karazhan",
			[145430] = "Teleport: Timeless Isle",
			[175608] = "Teleport: Karabor",
			[175604] = "Teleport: Bladespire Citadel",
			[366333] = "Crystallic Spheroid",
			[105518] = "Disassemble Clockwork Box",
			[368788] = "Lilian's Hearthstone",
			[354362] = "Maelie, the Wanderer",
			[254813] = "Sharkbait",
			[276059] = "Mark of the Dolphin",
			[276121] = "Mark of the Humble Flyer",
			[276088] = "Mark of the Tideskipper",
			[225531] = "Mark of the Doe",
			[192842] = "Mark of the Sentinel",
			[56948] = "Mark of the Orca",
			[131152] = "Mark of the Cheetah",
			["Opening - No Text"] = "Opening",
			[101054] = "Midsummer Bonfire",
			[54574] = "Scourge Gryphon",
			[54567] = "Scourge Gryphon",
		}


		-- Color Gradients
		ZA.Gradients = {
			[0]   = "8e8981:c6c2b9", -- Unknown

			--! School

			-- Physical
			[1]   = "8e8981:c6c2b9", -- Physical
			[151] = "c667a2:ffcfdd", -- Physical Pink
			[112] = "d67070:ffbdbd", -- Physical Red
			[107] = "d5985c:ffecc6", -- Physical Orange
			[108] = "ffdd53:ffd483", -- Physical Yellow
			[109] = "91c652:e9ffb3", -- Physical Green
			[152] = "52c690:b3ffbc", -- Physical Teal
			[110] = "7997cc:d4e1fa", -- Physical Blue
			[113] = "977fb9:d7cbe8", -- Physical Purple
			[100] = "6f9cd4:8fe6ff", -- Mechanical
			[111] = "d3d280:fffef2", -- Sonic
			[101] = "bc434c:de726b", -- Bleed
			[102] = "802d2d:c73c33", -- Heavy Bleed
			[103] = "ff9178:ff5d32", -- Enrage
			[105] = "c80034:ff8258", -- Bloodlust
			[115] = "86b819:d5f77d", -- Agility
			[117] = "c65c2d:efb073", -- Strength
			[118] = "6e55f6:a2b7f7", -- Intellect
			[104] = "ffeb64:f2ffbf", -- Alacrity
			[281] = "c9de57:7cb700", -- Chemical
			[282] = "b38e37:fff6c7", -- Brew
			[999] = "3b3b3b:6e6d59", -- Fatigue

			-- Material
			[114] = "b8a889:e6d8b3", -- Paper
			[159] = "c5bca8:fbfff1", -- White Fur
			[153] = "dec88b:f8f2d0", -- Blonde Fur
			[154] = "a17649:d9c2ab", -- Fur
			[116] = "71583c:b7955d", -- Leather
			[155] = "423629:7f6c4d", -- Dark Leather
			[156] = "322e2a:7c7365", -- Black Fur
			[175] = "404156:797493", -- Blue Fur
			[119] = "757f3b:d5df8b", -- Scale
			[170] = "4b6d2a:aac65a", -- Green Scale
			[171] = "5d5a54:cdc5bd", -- Gray Scale
			[172] = "9c3a4b:cb8c95", -- Crimson Scale
			[173] = "a1241e:eb7028", -- Red Scale
			[157] = "6d719e:c4bdd9", -- Cobalt Scale
			[174] = "223763:3f7c8f", -- Deep Sea Scale
			[158] = "615738:e4c4a2", -- Brown Scale
			[150] = "fbfaf8:b3b0a4", -- Fabric
			[809] = "74726a:b8b7b2", -- Stone
			[909] = "62686c:c3c9cc", -- Metal
			[910] = "3e4244:9a9ea1", -- Dark Metal
			[132] = "d1793b:e8bc9d", -- Copper
			[133] = "9f8330:ddc88a", -- Bronze
			[131] = "86878a:e5e5e6", -- Silver
			[130] = "af8a14:f2d26b", -- Gold
			[134] = "678d74:eef9ce", -- Mithril
			[135] = "528f74:9dd9ca", -- Thorium
			[136] = "9fbe5c:65b62a", -- Fel Iron
			[137] = "4771ac:8cb9cc", -- Adamantite
			[138] = "1ebcff:237dff", -- Cobalt
			[139] = "2b4e3f:6ac098", -- Saronite
			[140] = "6b75de:c8c4e8", -- Leystone
			[141] = "293424:619842", -- Felslate
			[142] = "614d84:ca587f", -- Sinvyr

			-- Gem
			[808] = "8362a2:ffe4ce", -- Crystal
			[812] = "e2ddd1:daebf5", -- Diamond
			[820] = "d00d5e:f8b1e0", -- Spinel
			[813] = "72449d:e598f3", -- Amethyst
			[814] = "3c5bb3:45d0ff", -- Sapphire
			[822] = "3ba8b3:63fff6", -- Aquamarine
			[815] = "25c669:b1ff87", -- Emerald
			[821] = "669641:ddff69", -- Peridot
			[816] = "e4b915:fffe91", -- Citrine
			[810] = "b44c00:fba015", -- Amber
			[817] = "f2510d:ffae57", -- Topaz
			[818] = "92151b:f56760", -- Ruby
			[819] = "382c44:5f6e5b", -- Onyx

			-- Holy
			[2]   = "ffc539:ffffcb", -- Holy
			[200] = "ffa500:fff58a", -- Titanic
			[3]   = "bccccf:ffd76b", -- Holystrike
			[6]   = "ff6c00:ffd42a", -- Radiant
			[202] = "ce958c:fff1d6", -- Discipline
			[201] = "00baff:fff9de", -- Ethereal
			[204] = "0090ff:f8ff66", -- Azerite
			[66]  = "ff769c:fff7c4", -- Divine
			[660] = "ff2d63:ff905a", -- Legendary
			[661] = "ff5484:ffd7f9", -- Love

			-- Fire
			[4]   = "ff3600:ffc000", -- Fire
			[5]   = "d45e3e:ffd262", -- Flamestrike
			[68]  = "ff3883:ffba00", -- Spellfire
			[12]  = "63483f:eda24d", -- Volcanic
			[120] = "007b6e:a0ff90", -- Jade Fire
			[400] = "780033:ff7920", -- Magma
			[403] = "f82e2e:ffa0a9", -- Living Flame
			[402] = "ca0000:ff5e2c", -- Hellfire
			[401] = "3dec00:fff94f", -- Felfire
			[427] = "bac53e:9795a5", -- Felstrike
			[36]  = "5400b2:ff5400", -- Shadowflame
			[361] = "00e608:ab49ff", -- Felshadow
			[28]  = "ff8400:c263ff", -- Elemental
			[127] = "00654e:a6ff1a", -- Chaos (also 124)

			-- Nature
			[8]   = "3bb53b:beff72", -- Nature
			[900] = "609f5f:cff3a5", -- Naturestrike
			[10]  = "8ee858:e5ffb2", -- Life
			[805] = "803aff:21d3ff", -- Fey
			[806] = "00f139:aeff00", -- Poison
			[906] = "1d7211:55bf38", -- Poisonstrike
			[803] = "91622d:f9c265", -- Earth
			[903] = "85704f:dcbc85", -- Earthstrike
			[804] = "b68640:ffea96", -- Sand
			[811] = "bfa1f6:f8ffff", -- Wind
			[911] = "6670a3:d9e8e8", -- Storm
			[800] = "4f64ff:8af1ff", -- Lightning
			[9]   = "8972ff:c0e8ff", -- Stormstrike
			[802] = "0aff9a:ffff96", -- Mist
			[807] = "00c99d:d6ffc0", -- Jade Lightning
			[907] = "004eb8:aafff8", -- Chi
			[280] = "afe446:7eceff", -- Spiritual

			-- Frost
			[16]  = "21a4fd:d0fffe", -- Frost
			[160] = "7ed5d6:e8fbff", -- Ice
			[17]  = "3d5992:afc2df", -- Froststrike
			[801] = "2882bf:2dedc9", -- Water
			[901] = "2c5c7c:76c6b8", -- Waterstrike
			[24]  = "008aac:b0fff5", -- Froststorm
			[80]  = "3b39ff:3dddff", -- Spellfrost
			[18]  = "309b9c:fdffe9", -- Holyfrost
			[48]  = "6000ed:73bbd8", -- Shadowfrost
			[20]  = "97cdff:ff9d41", -- Frostfire

			-- Shadow
			[32]  = "451ea7:c257b2", -- Shadow
			[33]  = "633768:8f7a93", -- Shadowstrike
			[328] = "4c3189:7b7c9e", -- Psychic
			[320] = "220649:243bff", -- Void
			[34]  = "3949dc:ff256d", -- Twilight
			[321] = "711010:f90000", -- Blood
			[322] = "aa3f55:e4c06a", -- Pain
			[323] = "523d5c:558d8b", -- Haunt
			[324] = "6e1b3e:ec9da2", -- Corruption
			[412] = "5d243a:ff273b", -- Nightmare
			[327] = "313146:ffffff", -- Dread
			[96]  = "320057:9330ff", -- Runic (Spellshadow)
			[325] = "481840:c13ccd", -- Curse
			[40]  = "967213:b7e751", -- Plague
			[410] = "6a6009:f1b33b", -- Disease
			[414] = "618400:b4e54e", -- Unholy
			[415] = "bfc483:bfbe73", -- Bone
			[326] = "3e6051:20db9e", -- Necromancy
			[413] = "212e54:2e9acc", -- Drust
			[720] = "b1f6ed:4ed0dc", -- Spectral
			[411] = "372e4b:6e857a", -- Death

			-- Arcane
			[64]  = "d830f1:d8b5ff", -- Arcane
			[640] = "d28aff:766fff", -- Lunar
			[65]  = "7c6ecf:c48fe0", -- Spellstrike
			[126] = "4c99ff:dd41ff", -- Magic
			[62]  = "52ffb8:ff70cb", -- Chromatic
			[620] = "f83e3e:b3ff87", -- Preservation
			[646] = "a4feff:8fb7ff", -- Conjuration
			[641] = "f2e199:ffa019", -- Temporal
			[72]  = "3e69a5:67efff", -- Astral
			[721] = "f7c57c:bcfcff", -- Stellar
			[203] = "ffffff:d8ddde", -- Hyperlight
			[106] = "ffffff:ffb86c", -- Cosmic

			-- Primary Resource
			["Energy"] = "ffa800:ffe042",
			["Focus"] = "ef6824:ffb06a",
			["Mana"] = "684fff:4a9fff",
			["Rage"] = "ec4059:f10f30",
			["Runic Power"] = "6f94c8:cdbde9",

			-- Secondary Resource
			["Arcane Charges"] = "ca97ff:ffa9f4",
			["Astral Power"] = "d177ff:a4beff",
			["Chi"] = "bcebdc:fffff6",
			["Combo Points"] = "aa301b:f67e48",
			["Fury"] = "b82645:ff458a",
			["Holy Power"] = "ffa500:fff58a",
			["Insanity"] = "515cfd:bf6bff",
			["Maelstrom"] = "9d8eff:a6efff",
			["Soul Shards"] = "9b19cc:b670e9",
			["Runes"] = "615da1:876191",
			["Essence"] = "83ebff:ffabdf",

			-- Reputation/Reaction
			["Paragon"] = "3fbeff:9ff0ff",
			["Exalted"] = "3fbeff:9ff0ff",
			["Revered"] = "00d5aa:89ffe7",
			["Honored"] = "00a95a:5bffb2",
			["Friendly"] = "33991a:6ed854",
			["Neutral"] = "ecbd00:ffd632",
			["Unfriendly"] = "d0591e:f47c23",
			["Hostile"] = "b3331a:b3331a",
			["Hated"] = "770000:ae0000",
			["Tapped"] = "808080:9b9b9b",

			-- Class
			["DEATHKNIGHT"] = "a6172d:c62843",
			["DEMONHUNTER"] = "8325ab:a738cb",
			["DRUID"] = "e46008:ff8214",
			["EVOKER"] = "2f8875:43c3a8",
			["HUNTER"] = "8cb758:aed678",
			["MAGE"] = "31a9cf:47c9ec",
			["MONK"] = "00e475:0aff9a",
			["PALADIN"] = "da6b9b:f591bd",
			["PRIEST"] = "d4d4d4:ededed",
			["ROGUE"] = "e4da51:fff56f",
			["SHAMAN"] = "0056c1:0a76df",
			["WARLOCK"] = "6767d2:8c8cee",
			["WARRIOR"] = "a97c54:c9a074",
		}
		ZA.Gradients[124] = ZA.Gradients[127]

		-- Dynamic Gradients
		ZA.Gradients["Anima"] = (covenant == 1) and ZA.Gradients[201] or (covenant == 2) and ZA.Gradients[321] or (covenant == 3) and ZA.Gradients[805] or (covenant == 4) and ZA.Gradients[326] or ZA.Gradients[203]


		--! Vehicles
		ZA.Vehicles = {
			["Horde Cannon"] = 100,
			["Forsaken Bat"] = 158,
			["Avatar of Aliothe"] = 805,
			["Bravo Company Siege Tank"] = 100,
			["Overloaded Harvest Golem"] = 100,
			["Darkwing Aggressor"] = 809,
			["Defias Watcher"] = 100,
			["Salvaged Demolisher"] = 100,
			["Salvaged Chopper"] = 100,
			["Salvaged Siege Engine"] = 100,
			["Swiftclaw"] = 819,
			["Kyrian Ascendant"] = 201,
			["Pelagos"] = 201,
			["Kleia"] = 201,
			["Mikanikos"] = 201,
			["Mushroom Network"] = 805,
			["Unity"] = 414,
			["The Professor"] = 414,
			["Flytrap"] = 414,
			["Iron Phillip"] = 414,
			["Overcharged Centurion"] = 201,
			["Bloodtalon Thrasher"] = 173,
			["Swiftclaw"] = 819,
			["Captured Riding Bat"] = 158,
			["Horse"] = 116,
			["The Wolf"] = 116,
			["Swift Mountain Horse"] = 116,
			["Mountain Horse"] = 116,
			["Crowley's Horse"] = 116,
			["King Greymane's Horse"] = 116,
			["Damaged Catapult"] = 100,
			["Glaive Thrower"] = 100,
			["Ultimate Footbomb Uniform"] = 100,
			["Rebel Cannon"] = 100,
			["Footbomb Uniform"] = 100,
			["Pride of Kezan"] = 100,
			["B.C. Eliminator"] = 100,
			["Forsaken Catapult"] = 100,
			["Mechashark X-Steam"] = 100,
			["Flying Bomber"] = 100,
			["Cyclone of the Elements"] = 911,
			["Gyrochoppa"] = 100,
			["First Bank of Kezan Vault"] = 130,
			["Hot Rod"] = 100,
			["Bilgewater Buccaneer"] = 100,
			["Frostbrood Vanquisher"] = 16,
			["Scarlet Cannon"] = 100,
			["Acherus Deathcharger"] = 33,
			["Havenshire Colt"] = 116,
			["Havenshire Mare"] = 116,
			["Havenshire Stallion"] = 116,
			["Eye of Acherus"] = 328,
			["Sergeant Gorrok"] = "WARRIOR",
			["Shademaster Kiryn"] = "ROGUE",
			["Riko"] = "WARRIOR",
			["Shokia"] = "HUNTER",
			["Recovered Gyrocopter"] = 100,
			["Darkwing Legionnaire"] = 809,
			["Abyssal Seahorse"] = 157,
			["Inert Prototype"] = 106,
			["Speckled Sea Turtle"] = 119,
			["Atleos"] = 201,
			["Backup Shredder"] = 100,
			["Bloodskin Tauralus"] = 415,
			["Bootus"] = 803,
			["Bounding Bufonid"] = 106,
			["Bron"] = 201,
			["Chorus of Dead Souls"] = 411,
			["Conjured Wings"] = 805,
			["Defias Harvester"] = 100,
			["Demolisher"] = 100,
			["Dredger Servant"] = 803,
			["Eye of Kilrogg"] = 401,
			["Fae Shroud"] = 805,
			["Fleet-Feather"] = 106,
			["Flying Machine"] = 100,
			["Goblin Gyrocopter"] = 100,
			["Guardian of the Spring"] = 805,
			["Gyrocopter Turret"] = 100,
			["Huln Highmountain"] = "HUNTER",
			["Jiro Prime"] = 106,
			["Kalecgos"] = 80,
			["Kbato"] = 106,
			["Kynthia"] = 201,
			["Majestic Runestag"] = 805,
			["Murky"] = 8,
			["Nascence Attendant"] = 106,
			["Nightsong Ardenmoth"] = 805,
			["Ornate Mirror"] = 808,
			["Pocopoc"] = 106,
			["Prince Farondis"] = "MAGE",
			["Reprogrammed Shredder"] = 100,
			["Shredder"] = 100,
			["Skyfire Gyrocopter"] = 100,
			["Speedy IV"] = 900,
			["Swift Shadowstalker"] = 903,
			["The Etymidian"] = 803,
			["Theotar"] = 321,
			["Veilwing Sentry"] = 805,
			["Vethir"] = 814,
			["War Eagle"] = 811,
			["Wild Flayedwing"] = 415,
			["Winged Soul Eater"] = 411,
			["Wisp"] = 805,
			["Tubbins"] = 809,
		}

		--! Vehicle Icons
		ZA.VehicleIcons = {
			["Mushroom Network"] = 3854013,
			["Mechashark X-Steam"] = 294472,
			["Frostbrood Vanquisher"] = 303868,
			["Eye of Acherus"] = 512960,
			["Scarlet Cannon"] = 252185,
			["Eye of Kilrogg"] = 1719208,
			["Gyrocopter Turret"] = 132240,
			["Pocopoc"] = 4327611,
			["Throwing Crabs"] = 132186,
			["Throwing Grain"] = 646176,
			["Throwing Veggies"] = 134011,
			["Wisp"] = 1100178,
			["Acherus Deathcharger"] = 237534,
			["Swiftclaw"] = 838683,
			["Bloodtlaon Thrasher"] = 132193,
		}

		--! Boss Icons
		ZA.BossIcons = {
			["The Paraxis"] = 1450455,
			["Hellfire Cannon"] = 1113440,
			["Reinforced Hellfire Door"] = 1113443,
		}


		--! Hearthstones
		ZA.Hearthstones = {
			["Ardenweald Hearthstone"] = "Hearthstone",
			["Astral Recall"] = "Astral Recall",
			["Brewfest Reveler's Hearthstone"] = "Hearthstone",
			["Broker Translocation Matrix"] = "Translocate",
			["Dark Portal"] = "Dark Portal",
			["Dominated Hearthstone"] = "Hearthstone",
			["Enlightened Hearthstone"] = "Hearthstone",
			["Eternal Traveler's Hearthstone"] = "Hearthstone",
			["Ethereal Portal"] = "Ethereal Portal",
			["Fire Eater's Hearthstone"] = "Hearthstone",
			["Greatfather Winter's Hearthstone"] = "Hearthstone",
			["Headless Horseman's Hearthstone"] = "Hearthstone",
			["Hearthstone"] = "Hearthstone",
			["Holographic Digitalization Hearthstone"] = "Transport",
			["Kyrian Hearthstone"] = "Hearthstone",
			["Lunar Elder's Hearthstone"] = "Hearthstone",
			["Mountebank's Colorful Cloak"] = "Hearthstone",
			["Necrolord Hearthstone"] = "Hearthstone",
			["Night Fae Hearthstone"] = "Hearthstone",
			["Noble Gardener's Hearthstone"] = "Hearthstone",
			["Peddlefeet's Lovely Hearthstone"] = "Hearthstone",
			["Ruby Slippers"] = "Ruby Slippers",
			["The Innkeeper's Daughter"] = "Hearthstone",
			["Timewalker's Hearthstone"] = "Hearthstone",
			["Town Portal"] = "Town Portal",
			["Venthyr Sinstone"] = "Sinstone",
		}


		--# Trinkets
		ZA.Trinkets = {
			[341260] = "Burst of Knowledge", -- Burst of Knowledge (Heirloom Set Bonus)

			-- Shadowlands
			[328908] = "Combat Meditation", -- Kyrian (Pelagos)
			[336885] = "Soothing Shade", -- Venthyr (Theotar)
			[330368] = "Inscrutable Quantum Device", -- Inscrutable Quantum Device
			[330380] = "Inscrutable Quantum Device", -- Inscrutable Quantum Device
			[330366] = "Inscrutable Quantum Device", -- Inscrutable Quantum Device
			[330367] = "Inscrutable Quantum Device", -- Inscrutable Quantum Device

			-- Battle for Azeroth
			[290032] = "Hymn of Zeal", -- Hymnal of the 7th Legion
			[298717] = "Hymn of Battle", -- Tome of Thalassian Hymns
			[298722] = "Tidal Enchantment", -- Tidesages' Warscroll
			[290028] = "Primal Enchantment", -- Loa-Touched Warscroll

			-- Warlods of Draenor
			[165534] = "Versatility", -- Enforcer's Stun Grenade
			[201410] = "Voidsight", -- Orb of Voidsight
			[201405] = "Demonbane", -- Gronntooth War Horn
			--[201408] = "Cleansing Flame", -- Infallible Tracking Charm

			-- Burning Crusade
			[144073] = "Arcane Energy", -- Ancient Draenei Arcane Relic
			[144074] = "Ferocity", -- Ancient Draenei War Talisman
			[234786] = "Flow of Time", -- Scarab of the Infinite Cycle
			[26551] = "Jade Owl", -- Figurine - Jade Owl
			[26576] = "Black Pearl Panther", -- Figurine - Black Pearl Panther
			[26581] = "Truesilver Crab", -- Figurine - Truesilver Crab
			[26599] = "Ruby Serpent", -- Figurine - Ruby Serpent
			[26600] = "Emerald Owl", -- Figurine - Emerald Owl
			[26609] = "Black Diamond Crab", -- Figurine - Black Diamond Crab
			[26614] = "Dark Iron Scorpid", -- Figurine - Dark Iron Scorpid
			[31040] = "Living Ruby Serpent", -- Figurine - Living Ruby Serpent
			[31045] = "Talasite Owl", -- Figurine - Talasite Owl
			[31047] = "Nightseye Panther", -- Figurine - Nightseye Panther
			[31794] = "Focused Mind", -- Auslese's Light Channeler
			[32355] = "Focused Power", -- Ancient Crystal Talisman
			[32355] = "Focused Power", -- Glowing Crystal Insignia
			[32362] = "Burning Hatred", -- Ogre Mauler's Badge/Uniting Charm
			[32367] = "Power of Prayer", -- Oshu'gun Relic
			[33370] = "Fungal Frenzy", -- Quagmirran's Eye
			[33400] = "Accelerated Mending", -- Warp-Scarab Brooch
			[33649] = "Rage of the Unraveller", -- Hourglass of the Unraveller
			[33662] = "Arcane Energy", -- Vengeance of the Illidari
			[33667] = "Ferocity", -- Bladefist's Breadth
			[33807] = "Abacus of Violent Odds", -- Abacus of Violent Odds
			[34000] = "The Arcanist's Stone", -- Arcanist's Stone
			[34106] = "Unyielding Courage", -- Icon of Unyielding Courage
			[34210] = "Endless Blessings", -- Bangle of Endless Blessings
			[34321] = "Call of the Nexus", -- Shiffar's Nexus-Horn
			[34747] = "Recurring Power", -- Eye of Magtheridon
			[34775] = "Dragonspine Flurry", -- Dragonspine Trophy
			[35095] = "Enlightenment", -- Pendant of the Violet Eye
			[35163] = "Silver Crescent", -- Icon of the Silver Crescent
			[35165] = "Essence of the Martyr", -- Essence of the Martyr
			[35166] = "Lust for Battle", -- Bloodlust Brooch
			[35337] = "Spell Power", -- Xi'ri's Gift/Scryer's Bloodgem
			[35733] = "Ancient Power", -- Core of Ar'kelos
			[36347] = "Spell Power", -- Heavenly Inspiration
			[36432] = "Spell Power", -- Starkiller's Bauble
			[37174] = "Perceived Weakness", -- Warp-Spring Coil
			[37198] = "Blessing of Righteousness", -- Tome of Fiery Redemption
			[37341] = "Feline Blessing", -- Living Root of the Wildheart
			[37342] = "Sylvan Blessing", -- Living Root of the Wildheart
			[37343] = "Lunar Blessing", -- Living Root of the Wildheart
			[37344] = "Cenarion Blessing", -- Living Root of the Wildheart
			[37656] = "Wisdom", -- Memento of Tyrande
			[38332] = "Blessing of Life", -- Ribbon of Sacrifice
			[38348] = "Unstable Currents", -- Sextant of Unstable Currents
			[39200] = "Heroism", -- Terokkar Tablet of Precision
			[39201] = "Spell Power", -- Terokkar Tablet of Vim
			[39439] = (ZA.PrimaryStat ~= 4) and "Aura of the Crusader" or false, -- Darkmoon Card: Crusade
			[39441] = (ZA.PrimaryStat == 4) and "Aura of the Crusader" or false, -- Darkmoon Card: Crusade
			[39443] = "Aura of Wrath", -- Darkmoon Card: Wrath
			[39511] = "Sociopath", -- Darkmoon Card: Madness
			[40396] = "Fel Infusion", -- The Skull of Gul'dan
			[40402] = "Deep Meditation", -- Earring of Soulful Meditation
			[40440] = "Divine Blessing", -- Ashtongue Talisman of Acumen
			[40441] = "Divine Wrath", -- Ashtongue Talisman of Acumen
			[40445] = "Blessing of Remulos", -- Ashtongue Talisman of Equilibrium
			[40446] = "Blessing of Elune", -- Ashtongue Talisman of Equilibrium
			[40452] = "Blessing of Cenarius", -- Ashtongue Talisman of Equilibrium
			[40459] = "Fire Blood", -- Ashtongue Talisman of Valor
			[40461] = "Exploit Weakness", -- Ashtongue Talisman of Lethality
			[40466] = "Power Surge", -- Ashtongue Talisman of Vision
			[40477] = "Forceful Strike", -- Madness of the Betrayer
			[40480] = "Power of the Ashtongue", -- Ashtongue Talisman of Shadows
			[40483] = "Insight of the Ashtongue", -- Ashtongue Talisman of Insight
			[40487] = "Deadly Aim", -- Ashtongue Talisman of Swiftness
			[40724] = "Valor", -- Crystalforged Trinket
			[40729] = "Heightened Reflexes", -- Badge of Tenacity
			[40997] = "Delusional", -- Darkmoon Card: Madness
			[40998] = "Kleptomania", -- Darkmoon Card: Madness
			[40999] = "Megalomania", -- Darkmoon Card: Madness
			[41002] = "Paranoia", -- Darkmoon Card: Madness
			[41005] = "Manic", -- Darkmoon Card: Madness
			[41009] = "Narcissism", -- Darkmoon Card: Madness
			[41261] = "Combat Valor", -- Skyguard Silver Cross
			[41263] = "Combat Gallantry", -- Airman's Ribbon of Gallantry
			[41404] = "Dementia", -- Darkmoon Card: Madness
			[42084] = "Fury of the Crashing Waves", -- Tsunami Talisman
			[43710] = "Diabolic Remedy", -- Tome of Diabolic Remedy
			[43712] = "Mojo Madness", -- Hex Shrunken Head
			[43716] = "Call of the Berserker", -- Berserker's Call
			[45041] = "Combat Insight", -- Blackened Naaru Sliver
			[45042] = "Power Circle", -- Shifting Naaru Sliver
			[45053] = "Disdain", -- Shard of Contempt
			[46783] = "Crimson Serpent", -- Figurine - Crimson Serpent
			[46784] = "Shadowsong Panther", -- Figurine - Shadowsong Panther
			[46785] = "Seaspray Albatross", -- Figurine - Seaspray Albatross
			[51953] = "Dark Iron Pipeweed", -- Dark Iron Smoking Pipe
			[51954] = "Hopped Up", -- Direbrew Hops
			[51955] = "Dire Drunkard", -- Empty Mug of Direbrew

			-- Classic
			[15604] = "Second Wind", -- Second Wind
			[15646] = "Burst of Knowledge", -- Burst of Knowledge
			[17275] = "Heart of the Scale", -- Heart of the Scale
			[21970] = "Mark of the Chosen", -- Mark of the Chosen
			[23271] = "Ephemeral Power", -- Talisman of Ephemeral Power
			[23684] = "Aura of the Blue Dragon", -- Darkmoon Card: Blue Dragon
			--[23720] = "Blessing of the Black Book", -- The Black Book
			[23721] = "Arcane Infused", -- Arcane Infused Gem
			[23723] = "Mind Quickening", -- Mind Quickening Gem
			[23724] = "Metamorphosis Rune", -- Rune of Metamorphosis
			[23726] = "Venomous Totem", -- Venomous Totem
			[23733] = "Blinding Light", -- Scrolls of Blinding Light
			[23734] = "Nature Aligned", -- Natural Alignment Crystal
			[24268] = "Mar'li's Brain Boost", -- Mar'li's Eye
			[24352] = "Devilsaur Fury", -- Devilsaur Eye
			[24354] = "Blessed Prayer Beads", -- Blessed Prayer Beads
			[24389] = "Chaos Fire", -- Fire Ruby
			[24427] = "Diamond Flask", -- Diamond Flask
			[24498] = "Brilliant Light", -- Gri'lek's Charm of Valor
			[24499] = "Energized Shield", -- Wushoolay's Charm of Spirits
			[24531] = "Refocus", -- Renataki's Charm of Beasts
			[24542] = "Nimble Healing Touch", -- Wushoolay's Charm of Nature
			[24543] = "Massive Destruction", -- Hazza'rah's Charm of Destruction
			[24544] = "Arcane Potency", -- Hazza'rah's Charm of Magic
			[24546] = "Rapid Healing", -- Hazza'rah's Charm of Healing
			[24610] = "Pagle's Broken Reel", -- Nat Pagle's Broken Reel
			[24865] = "Sanctified Orb", -- Sanctified Orb
			[24998] = "Healing of the Ages", -- Hibernation Crystal
			[25891] = "Earthstrike", -- Earthstrike
			[26166] = "Obsidian Insight", -- Eye of Moam
			[26168] = "Chitinous Spikes", -- Fetish of Chitinous Spikes
			[26481] = "Insight of the Qiraji", -- Badge of the Swarmguard
			[27675] = "Chromatic Infusion", -- Draconic Infused Emblem
			[28204] = "Ascendance", -- Talisman of Ascendance
			[28777] = "Slayer's Crest", -- Slayer's Crest
			[28779] = "Essence of Sapphiron", -- The Restrained Essence of Sapphiron
			[28780] = "Eye of the Dead", -- Eye of the Dead
			[28866] = "Kiss of the Spider", -- Kiss of the Spider
			[29604] = "Jom Gabbar", -- Jom Gabbar
			[50708] = "Primal Instinct", -- Devilsaur Tooth
		}

		ZA.TrinketDebuffs = {
			-- Burning Crusade
			[26610] = "Poison", -- Figurine - Dark Iron Scorpid

			-- Classic
			[12766] = "Poison Cloud", -- Chained Essence of Eranikus
			[17330] = "Poison", -- Smolderweb's Eye
		}

		ZA.DefensiveTrinkets = {
			-- Burning Crusade
			[40464] = "Protector's Vigor", -- Shadowmoon Insignia
			[45049] = "Tenacity", -- Steely Naaru Sliver
			[44055] = "Tremendous Fortitude", -- Battlemaster
			[43713] = "Hardened Skin", -- Ancient Aqir Artifact
			[51952] = "Dark Iron Luck", -- Coren's Lucky Coin
			[31039] = "Dawnstone Crab", -- Figurine - Dawnstone Crab
			[46780] = "Empyrean Tortoise", -- Figurine - Empyrean Tortoise
			[33089] = "Vigilance of the Colossus", -- Figurine of the Colossus
			[38351] = "Displacement", -- Scarab of Displacement
			[37340] = "Ursine Blessing", -- Living Root of the Wildheart
			[34519] = "Time's Favor", -- Moroes' Lucky Pocket Watch
			[45058] = "Evasive Maneuvers", -- Commendation of Kael'thas
			[40538] = "Tenacity", -- Brooch of the Immortal King
			[39228] = "Argussian Compass", -- Argussian Compass
			[33479] = "Adamantine Shell", -- Adamantine Figurine
			[33668] = "Tenacity", -- Regal Protectorate
			[32600] = "Avoidance", -- Charm of Alacrity
			[41011] = "Martyr Complex", -- Darkmoon Card: Madness
			[36372] = "Phalanx", -- Dabiri's Enigma
			[84213] = "Gnome Ingenuity", -- Gnomeregan Auto-Dodger 600

			-- Classic
			[10342] = "Guardian", -- Guardian Talisman
			[10368] = "Uther's Light", -- Uther's Strength
			[12733] = "Mithril Insignia", -- Glimmering Mithril Insignia
			[13744] = "Blazing Emblem", -- Blazing Emblem
			[15595] = "Force of Will", -- Force of Will
			[20587] = "Ragged John's Neverending Cup", -- Ragged John's Neverending Cup
			[23097] = "Fire Reflector", -- Hyper-Radiant Flame Reflector
			[23131] = "Frost Reflector", -- Gyrofreeze Ice Reflector
			[23132] = "Shadow Reflector", -- Ultra-Flash Shadow Reflector
			[23725] = "Gift of Life", -- Lifegiving Gem
			[23780] = "Aegis of Preservation", -- Aegis of Preservation
			[26464] = "Mercurial Shield", -- Petrified Scarab
			[28778] = "Loatheb's Reflection", -- Loatheb's Reflection
			[84212] = "Glyph of Deflection", -- Glyph of Deflection
		}

		-- INVIS
		-- 4079

		-- PET THROUGHPUT
		-- 23720

		-- RECOVERY
		-- 38325

		ZA.AbsorbTrinkets = {
			-- Burning Crusade
			[31771] = 1, -- Runed Fungalcap

			-- Classic
			[23991] = 1, -- Defiler's Talisman/Talisman of Arathor
			[25746] = 1, -- Defiler's Talisman/Talisman of Arathor
			[25747] = 1, -- Defiler's Talisman/Talisman of Arathor
			[25750] = 1, -- Defiler's Talisman/Talisman of Arathor
			[21956] = 1, -- Mark of Resolution
			[29506] = 1, -- The Burrower's Shell
			[23506] = 1, -- Arena Grand Master
		}


		--! Buff Filters
		ZA.Buffs = {
			---------------------------
			-- CLASS AND GROUP AURAS --
			---------------------------

			-- Trinket
			[345545] = true, -- Bottled Flayedwing Toxin
			[368512] = true, -- So'leah's Secret Technique

			-- Shadowlands
			[338041] = true, -- Lone Spirit
			[326967] = true, -- Kindred Spirits
			["The Mad Duke's Tea"] = true,

			-- Group Buffs
			["Power Word: Fortitude"] = true,
			["Mark of the Wild"] = true,
			["Arcane Intellect"] = true,
			["Battle Shout"] = true,
			["Blessing of the Bronze"] = true,

			-- Demon Hunter
			[203981] = true, -- Soul Fragments

			-- Hunter
			[164273] = true, -- Lone Wolf
			[264662] = true, -- Endurance Training (Tenacity)
			[264663] = true, -- Predator's Thirst (Ferocity)
			[264656] = true, -- Pathfinding (Cunning)

			-- Mage
			[210126] = true, -- Arcane Familiar
			[321358] = true, -- Focus Magic

			-- Monk
			[101643] = true, -- Transcendence

			-- Paladin
			[32223] = true, -- Crusader Aura
			[465] = true, -- Devotion Aura
			[183435] = true, -- Retribution Aura
			[317920] = true, -- Concentration Aura

			-- Rogue
			[315584] = true, -- Instant Poison
			[2823] = true, -- Deadly Poison
			[8679] = true, -- Wound Poison
			[3408] = true, -- Crippling Poison
			[5761] = true, -- Numbing Poison
			[381664] = true, -- Amplifying Poison
			[381637] = true, -- Atrophic Poison

			-- Shaman
			["Maelstrom Weapon"] = true,
			["Lightning Shield"] = true,
			["Water Shield"] = true,

			-- Warlock
			[196099] = true, -- Grimoire of Sacrifice
			[48018] = true, -- Demonic Circle
			[388068] = true, -- Inquisitor's Gaze

			-- Torghast
			[324717] = true, -- Soul Remnant's Blessing
			[313174] = true, -- Secret Spices
			[342801] = true, -- Gnarled Key
			[294720] = true, -- Bottled Enigma
			[331297] = true, -- Forsworn Feather
			[320964] = true, -- Horrific Dictionary
			[321152] = true, -- Vandal's Zeal
			[321629] = true, -- Seeker's Scroll
			[350128] = true, -- Phantastic Power
			[322987] = true, -- Seeker's Rage
			[332944] = true, -- Rune of Razorice
			[333119] = true, -- Unending Thirst
			[333115] = true, -- Rune of Spellwarding
			[333116] = true, -- Rune of the Apocalypse
			[333118] = true, -- Stoneskin Gargoyle
			[333114] = true, -- Rune of Sanguination
			[333117] = true, -- Fallen Crusader
			[333113] = true, -- Rune of Hysteria


			----------------------
			-- CONSUMABLE AURAS --
			----------------------

			["Well Fed"] = true,
			[20707] = true, -- Soulstone


			-------------
			-- ELIXIRS --
			-------------

			-- Shadowlands
			[307185] = "Elixir", -- Spectral Flask of Power
			[307187] = "Elixir", -- Spectral Stamina Flask

			-- Battle for Azeroth
			[298837] = "Elixir", -- Greater Flask of Endless Fathoms
			[298836] = "Elixir", -- Greater Flask of the Currents
			[298841] = "Elixir", -- Greater Flask of the Undertow
			[298839] = "Elixir", -- Greater Flask of the Vast Horizon
			[251837] = "Elixir", -- Flask of Endless Fathoms
			[251836] = "Elixir", -- Flask of the Currents
			[251839] = "Elixir", -- Flask of the Undertow
			[251838] = "Elixir", -- Flask of the Vast Horizon

			-- Legion
			[188035] = "Elixir", -- Flask of Ten Thousand Scars
			[188034] = "Elixir", -- Flask of the Countless Armies
			[188033] = "Elixir", -- Flask of the Seventh Demon
			[188031] = "Elixir", -- Flask of the Whispered Pact
			[242551] = "Elixir", -- Repurposed Fel Focuser
			[193456] = "Elixir", -- Gaze of the Legion

			-- Warlords of Draenor
			[156064] = "Elixir", -- Greater Draenic Agility Flask
			[156079] = "Elixir", -- Greater Draenic Intellect Flask
			[156084] = "Elixir", -- Greater Draenic Stamina Flask
			[156080] = "Elixir", -- Greater Draenic Strength Flask
			[156073] = "Elixir", -- Draenic Agility Flask
			[156070] = "Elixir", -- Draenic Intellect Flask
			[156077] = "Elixir", -- Draenic Stamina Flask
			[156071] = "Elixir", -- Draenic Strength Flask
			[176151] = "Elixir", -- Oralius' Whispering Crystal

			-- Mists of Pandaria
			[105693] = "Elixir", -- Flask of Falling Leaves
			[105689] = "Elixir", -- Flask of Spring Blossoms
			[105694] = "Elixir", -- Flask of the Earth
			[105691] = "Elixir", -- Flask of the Warm Sun
			[105696] = "Elixir", -- Flask of Winter's Bite
			[105687] = "Elixir", -- Elixir of Mirrors
			[105685] = "Elixir", -- Elixir of Peace
			[105686] = "Elixir", -- Elixir of Perfection
			[105684] = "Elixir", -- Elixir of the Rapids
			[105683] = "Elixir", -- Elixir of Weaponry
			[105682] = "Elixir", -- Mad Hozen Elixir
			[105681] = "Elixir", -- Mantid Elixir
			[105688] = "Elixir", -- Monk's Elixir
			[127230] = "Elixir", -- Crystal of Insanity

			-- Cataclysm
			[79472] = "Elixir", -- Flask of Titanic Strength
			[79471] = "Elixir", -- Flask of the Winds
			[79470] = "Elixir", -- Flask of the Draconic Mind
			[94160] = "Elixir", -- Flask of Flowing Water
			[79469] = "Elixir", -- Flask of Steelskin

			[79480] = "Elixir", -- Elixir of Deep Earth
			[79481] = "Elixir", -- Elixir of Impossible Accuracy
			[79632] = "Elixir", -- Elixir of Mighty Speed
			[79477] = "Elixir", -- Elixir of the Cobra
			[79635] = "Elixir", -- Elixir of the Master
			[79474] = "Elixir", -- Elixir of the Naga
			[79468] = "Elixir", -- Ghost Elixir
			[134873] = "Elixir", -- Prismatic Elixir

			-- Wrath of the Lich King
			[53760] = "Elixir", -- Flask of Endless Rage
			[54212] = "Elixir", -- Flask of Pure Mojo
			[53758] = "Elixir", -- Flask of Stoneblood
			[53755] = "Elixir", -- Flask of the Frost Wyrm
			[53752] = "Elixir", -- Lesser Flask of Toughness
			[60340] = "Elixir", -- Elixir of Accuracy
			[80532] = "Elixir", -- Elixir of Armor Piercing
			[60341] = "Elixir", -- Elixir of Deadly Strikes
			[60344] = "Elixir", -- Elixir of Expertise
			[60346] = "Elixir", -- Elixir of Lightning Speed
			[28497] = "Elixir", -- Elixir of Mighty Agility
			[60343] = "Elixir", -- Elixir of Mighty Defense
			[53751] = "Elixir", -- Elixir of Mighty Fortitude
			[53764] = "Elixir", -- Elixir of Mighty Mageblood
			[53748] = "Elixir", -- Elixir of Mighty Strength
			[60347] = "Elixir", -- Elixir of Mighty Thoughts
			[53763] = "Elixir", -- Elixir of Protection
			[53747] = "Elixir", -- Elixir of Versatility
			[53749] = "Elixir", -- Guru's Elixir
			[33721] = "Elixir", -- Spellpower Elixir
			[53746] = "Elixir", -- Wrath Elixir
			[11319] = "Elixir", -- Elixir of Water Walking

			-- Burning Crusade
			[28521] = "Elixir", -- Flask of Blinding Light
			[28518] = "Elixir", -- Flask of Fortification
			[28519] = "Elixir", -- Flask of Mighty Versatility
			[28540] = "Elixir", -- Flask of Pure Death
			[28520] = "Elixir", -- Flask of Relentless Assault
			[54452] = "Elixir", -- Adept's Elixir
			[39626] = "Elixir", -- Earthen Elixir
			[39627] = "Elixir", -- Elixir of Draenic Wisdom
			[134870] = "Elixir", -- Elixir of Empowerment
			[28491] = "Elixir", -- Elixir of Healing Power
			[39628] = "Elixir", -- Elixir of Ironskin
			[54494] = "Elixir", -- Elixir of Major Agility
			[28502] = "Elixir", -- Elixir of Major Armor
			[28501] = "Elixir", -- Elixir of Major Firepower
			[39625] = "Elixir", -- Elixir of Major Fortitude
			[28493] = "Elixir", -- Elixir of Major Frost Power
			[28509] = "Elixir", -- Elixir of Major Mageblood
			[28503] = "Elixir", -- Elixir of Major Shadow Power
			[28490] = "Elixir", -- Elixir of Major Strength
			[33726] = "Elixir", -- Elixir of Mastery
			[38954] = "Elixir", -- Fel Strength Elixir
			[33720] = "Elixir", -- Onslaught Elixir

			-- Classic
			--[?] = "Elixir", -- Alchemist's Flask
			[17626] = "Elixir", -- Flask of the Titans
			[17627] = "Elixir", -- Flask of Distilled Wisdom
			[17628] = "Elixir", -- Flask of Supreme Power
			[11390] = "Elixir", -- Arcane Elixir
			[11328] = "Elixir", -- Elixir of Agility
			[17537] = "Elixir", -- Elixir of Brute Force
			[3220] = "Elixir", -- Elixir of Defense
			[11406] = "Elixir", -- Elixir Demonslaying
			[7844] = "Elixir", -- Elixir of Firepower
			[3593] = "Elixir", -- Elixir of Fortitude
			[21920] = "Elixir", -- Elixir of Frost Power
			[8212] = "Elixir", -- Elixir of Giant Growth
			[11405] = "Elixir", -- Elixir of Giants
			[11334] = "Elixir", -- Elixir of Greater Agility
			[11349] = "Elixir", -- Elixir of Greater Defense
			[26276] = "Elixir", -- Elixir of Greater Firepower
			[11396] = "Elixir", -- Elixir of Greater Intellect
			[3160] = "Elixir", -- Elixir of Lesser Agility
			[2367] = "Elixir", -- Elixir of Lion's Strength
			[63729] = "Elixir", -- Elixir of Minor Accuracy
			[2374] = "Elixir", -- Elixir of Minor Agility
			[673] = "Elixir", -- Elixir of Minor Defense
			[2378] = "Elixir", -- Elixir of Minor Fortitude
			[3164] = "Elixir", -- Elixir of Ogre's Strength
			[11474] = "Elixir", -- Elixir of Shadow Power
			[11348] = "Elixir", -- Elixir of Superior Defense
			[17538] = "Elixir", -- Elixir of the Mongoose
			[17535] = "Elixir", -- Elixir of the Sages
			[3166] = "Elixir", -- Elixir of Wisdom
			[11371] = "Elixir", -- Gift of Arthas
			[17539] = "Elixir", -- Greater Arcane Elixir
			[24363] = "Elixir", -- Mageblood Elixir
			[3223] = "Elixir", -- Major Troll's Blood Elixir
			[24361] = "Elixir", -- Mighty Troll's Blood Elixir
			[3222] = "Elixir", -- Strong Troll's Blood Elixir
			[3219] = "Elixir", -- Weak Troll's Blood Elixir
			[12608] = "Elixir", -- Catseye Elixir


			------------------
			-- AUGMENT RUNE --
			------------------

			[347901] = "Rune", -- Veiled Augmentation


			-----------------
			-- LOCAL AURAS --
			-----------------

			["Enlisted"] = true,
			["Time Travelling"] = true,

			-- Experience/Reputation
			["Experience Eliminated"] = true,
			["Winds of Wisdom"] = true,
			["WoW's 18th Anniversary"] = true, -- 2022
			["WoW's 19th Anniversary"] = true, -- 2023
			["WoW's 20th Anniversary"] = true, -- 2024
			[46668] = true, -- WHEE!
			[136583] = true, -- Darkmoon Top Hat
			[95987] = true, -- Unburdened (Hallow's End)
			[24705] = true, -- Grim Visage (Hallow's End)
			[289982] = true, -- Draught of Ten Lands

			-- Gathering
			[191212] = true, -- Fizzy Apple Cider
			[136583] = true, -- Darkmoon Firewater


			----------------
			-- ZONE STATE --
			----------------

			--! State
			[110740] = "State", -- Ominous Presence
			[359513] = "State", -- Helm of Damnation
			[363749] = "State", -- Helm of Damnation
			[359691] = "State", -- Helm of Damnation
			[362784] = "State", -- The Pocopoc Defense
			[363255] = "State", -- Vombackpack
			[364354] = "State", -- Tangled Ward
			[361631] = "State", -- Carrying Mawsteel Shard
			[359044] = "State", -- Motivated Automa
			[367499] = "State", -- Syllabic Recall
			[76479] = "State", -- Gnomecorder
			[80689] = "State", -- Gnomecorder
			[338907] = "State", -- Refuge of the Damned
			[341602] = "Zone", -- Chorus of Dead Souls
			[354870] = "State", -- Traversing the Rift
			[308270] = "State", -- Cloak of Ve'nari
			[369379] = "State", -- Lingering Cloak of the Exile
			[314797] = "State", -- Soulguard
			[341237] = "State", -- Taskmaster's Trove
			[333370] = "State", -- House Iremoore Disguise
			[320559] = "State", -- It's Time to Rock
			[338740] = "State", -- Promoting the Local Band
			[335686] = "State", -- Lady Moonberry's Gift
			[342337] = "State", -- Foraging for Fungus
			[334654] = "State", -- High and Dry
			[316323] = "State", -- Wrangled
			[255114] = "State", -- Wanderer's Endurance
			[248694] = "State", -- Song of the Sea
			[264666] = "State", -- Heart of the Woods
			[248667] = "State", -- Light's Zeal
			[264170] = "State", -- Burned Soul
			[255012] = "State", -- Siltherskin
			[243818] = "State", -- Primal Rage
			[254824] = "State", -- Devouring Souls
			[264676] = "State", -- Fireseeker
			[264652] = "State", -- Unleashed Light
			[255046] = "State", -- Moon Frenzy
			[254239] = "State", -- Boon of the Titans
			[251547] = "State", -- Brazier's Warmth
			[206498] = "State", -- Blessing of the Ancients
			[124013] = "State", -- Hozen-Slayer
			[88334] = "State", -- Make Gar'gol Ogres Friendly
			[51721] = "State", -- Dominion Over Acherus
			[52693] = "State", -- Realm of Shadows
			[82788] = "Zone", -- Clever Plant Disguise
			[82580] = "State", -- Bravo Company Field Kit
			[82587] = "State", -- Bravo Company Field Kit
			[79528] = "State", -- Potion of Shrouding
			[65602] = "State", -- Vengeance of Elune
			[298241] = "State", -- Ogre Disguise
			[53081] = "State", -- Scarlet Crusade Disguise


			---------------
			-- ZONE BUFF --
			---------------

			--! Zone
			[378019] = "Zone", -- Arcane Barrier (The Forbidden Reach)
			[377874] = "Zone", -- Earth Shield (The Forbidden Reach)
			[335576] = "Zone", -- Ascendant's Lodestar (Kyrian)
			[335577] = "Zone", -- Warch of the Wise (Kyrian)
			[335578] = "Zone", -- Vesper of Clarity (Kyrian)
			[335042] = "Zone", -- Skeleton Command (Necrolord)
			[334536] = "Zone", -- Tirnenn Wrath (Night Fae)
			[334539] = "Zone", -- Vorkai Charge (Night Fae)
			[334540] = "Zone", -- Trickster's Moves (Night Fae)
			[335238] = "Zone", -- Mobile Mirror Set (Venthyr)
			[335241] = "Zone", -- Ashen Urn (Venthyr)
			[335240] = "Zone", -- Thirst for Anima (Venthyr)
			[368021] = "Zone", -- Defense Matrix
			[368622] = "Zone", -- Grace of the First Ones
			[360511] = "Zone", -- Accelerating Tendons
			[362574] = "Zone", -- Progenitor Growth
			[367194] = "Zone", -- Progenitor Bulwark
			[365545] = "Zone", -- Absorbptialic
			[361358] = "Zone", -- Alacrialic
			[365541] = "Zone", -- Constialic
			[365544] = "Zone", -- Deflectialic
			[365551] = "Zone", -- Efficialic
			[365547] = "Zone", -- Extractialic
			[365524] = "Zone", -- Flexialic
			[365527] = "Zone", -- Focialic
			[365548] = "Zone", -- Fortialic
			[365542] = "Zone", -- Healialic
			[365539] = "Zone", -- Obscurialic
			[365522] = "Zone", -- Osmosialic
			[361356] = "Zone", -- Perceptialic
			[365540] = "Zone", -- Potentialic
			[365546] = "Zone", -- Reflectialic
			[365550] = "Zone", -- Relialic
			[361357] = "Zone", -- Rigialic
			[365549] = "Zone", -- Robustialic
			[365543] = "Zone", -- Toxicialic
			[365528] = "Zone", -- Velocialic
			[361917] = "Zone", -- Perceptive Pocopoc
			[357922] = "Zone", -- Swagsnout Gromit
			[355459] = "Zone", -- Reprieve
			[346733] = "Zone", -- Sky Chains
			[314797] = "Zone", -- Anima Stake
			[319565] = "Zone", -- Dredger's Hammer
			[329088] = "Zone", -- Carrying Keg
			[344428] = "Zone", -- Settling Ash
			[313064] = "Zone", -- Carrying Remnant of Light
			[311058] = "Zone", -- Shimmerdusted
			[311107] = "Zone", -- Gossamer Laces
			[311103] = "Zone", -- Minty Fresh Breath
			[343889] = "Zone", -- Dread Pollen
			[344128] = "Zone", -- Powerful Swiftblade
			[344148] = "Zone", -- Cleansing Formula
			[346319] = "Zone", -- Lantern of Force
			[344671] = "Zone", -- Flask of Unravelling
			[268499] = "Zone", -- Pickaxe
			[266117] = "Zone", -- Extra-Hot Torch
			[266066] = "Zone", -- Shovel
			[268500] = "Zone", -- Runestone
			[282796] = "Zone", -- Volatile Cure-All
			[298761] = "Zone", -- Azerite Energy
			[303952] = true, -- Reinforced
			[303924] = true, -- Greased
			[304063] = true, -- Conductive
			[292671] = "Zone", -- Ricket's Special Delivery
			[303490] = "Zone", -- Junkbrat's Broiler
			[290587] = "Zone", -- Volatile Blaster
			[302677] = true, -- Anti-Gravity Pack
			[155347] = "Zone", -- Shamanstone: Spirit of the Wolf
			[155334] = "Zone", -- Shamanstone: Touched by Ice
			[155315] = "Zone", -- Shamanstone: Touched by Fire
			[155346] = "Zone", -- Shamanstone: Ogrish Fortitude
			[155344] = "Zone", -- Shamanstone: Buffeting Galefury
			[154253] = "Zone", -- Shamanstone: Blessing of the Wolf
			[51915] = "Zone", -- Undying Resolve
			[34906] = "Zone", -- Mark of Bite
			[82577] = "Zone", -- Camouflage
			[306396] = "Zone", -- Light's Speed
			[61734] = "Zone", -- Noblegarden Bunny
		}


		--! Debuff Filters
		ZA.Debuffs = {
			["Ghost"] = true,
			["Dungeon Deserter"] = true,
			["Locus Shift"] = true,
			["Autorecreation"] = true,
			["Valiant Strikes"] = true,
			["Honorless Target"] = true,
			["Resurrection Sickness"] = true,
			[361841] = true, -- Resist Domination
			[362933] = true, -- Pocopoc's Escape
			[364213] = true, -- Transference
			[364301] = true, -- Transference

			--------------------
			-- COMBAT DEBUFFS --
			--------------------

			[358404] = true, -- Trial of Doubt (Kyrian)
			[358164] = true, -- Soul Exhaustion (Necrolord)
			[320227] = true, -- Depleted Shell (Night Fae)
			[313015] = true, -- Recently Failed (Mechagnome)
			[113942] = true, -- Demonic Gateway (Warlock)
			[87024] = true, -- Cauterized (Mage)
			[41425] = true, -- Hypothermia (Mage)
			[340556] = true, -- Well-Honed Instincts (Druid)
			[25771] = true, -- Forbearance (Paladin)
			[6788] = true, -- Weakened Soul (Priest)
			[57724] = true, -- Sated (Bloodlust)
			[57723] = true, -- Exhaustion (Heroism)
			[390435] = true, -- Exhaustion (Fury of the Aspects)
			[80354] = true, -- Temporal Displacement (Time Warp)
			[264689] = true, -- Fatigued (Ancient Hysteria)
			[265703] = true, -- Azerite Energy (Island Expeditions)


			-----------------
			-- ZONE DEBUFF --
			-----------------

			--! Debuff
			[365374] = "Zone", -- Wrath of the Storm-Eater
			[206151] = "Zone", -- Challenger's Burden
			[362517] = "Zone", -- Kodah Overwhelmed (Zereth Mortis)
			[361663] = "Zone", -- Defending Kodah (Zereth Mortis)
			[364863] = "Zone", -- Dazzled (Zereth Mortis)
			[338906] = "Zone", -- The Jailer's Chains (Torghast)
			[322695] = "Zone", -- Drained (Revendreth)
			[304510] = "Zone", -- Endmire (Revendreth)
			[346470] = "Zone", -- Suspicious Activity (Revendreth)
			[369402] = "Zone", -- Weight of Responsibility (Revendreth)
			[338237] = "Zone", -- Heightened Tensions (Bastion)
			["Eternal Curse of Zem'lan"] = "Zone", -- (Vol'dun)
			[281034] = "Zone", -- Noxious Swamp Gas (Nazmir)
			["Legion Invasion"] = "Zone",
			[218397] = "Zone", -- Nightmare Roots (Val'sharah)
			["Shoulder Demon"] = "Zone", -- (Aszuna)
			[225994] = "Zone", -- Removed from the Circle (Skyhold)
			[223202] = "Zone", -- No Guards (Dalaran)
			[192221] = "Zone", -- No Guards (Dalaran)
			[192229] = "Zone", -- Sewer Guards (Dalaran)
			[223203] = "Zone", -- Sewer Guards (Dalaran)
			[79203] = "Zone", -- Smoked Out (Mount Hyjal)
			[72872] = "Zone", -- Infected Bite (Gilneas)
			[72870] = "Zone", -- Infected Bite (Gilneas)
			[370610] = "Zone", -- Choking
		}


		-- Spells
		if not ZA.AutoSpells then
			ZA.AutoSpells = {}
		end
		
		-- Match priority: SpellID > Name:Icon > :Icon > Name
		ZA.Spells = {
			--! Trinkets

			-- Agility      115
			-- Intellect    118
			-- Strength     117

			-- Crit Strike  817
			-- Haste        816
			-- Versatility  814
			-- Mastery      813

			-- Dodge        115
			-- Parry        909
			-- Armor        110
			-- Stamina      112
			-- Resistance   62
			-- Reflect      65
			-- Absorb       202

			[341260] = ZA.PrimaryStatSchool, -- Burst of Knowledge (Heirloom Set Bonus)

			-- Shadowlands
			[328908] = 813, -- Kyrian (Pelagos)
			[336885] = 813, -- Venthyr (Theotar)
			[330368] = 816, -- Inscrutable Quantum Device
			[330380] = 813, -- Inscrutable Quantum Device
			[330366] = 817, -- Inscrutable Quantum Device
			[330367] = 814, -- Inscrutable Quantum Device

			-- Battle for Azeroth
			[290032] = 816, -- Hymnal of the 7th Legion
			[298717] = 816, -- Tome of Thalassian Hymns
			[298722] = 817, -- Tidesages' Warscroll
			[298722] = 817, -- Loa-Touched Warscroll

			-- Warlods of Draenor
			[165534] = 814, -- Enforcer's Stun Grenade
			[201410] = 320, -- Orb of Voidsight
			[201405] = 117, -- Gronntooth War Horn
			[201408] = 5, -- Infallible Tracking Charm

			-- Burning Crusade
			[144073] = 118, -- Ancient Draenei Arcane Relic
			[144074] = 117, -- Ancient Draenei War Talisman
			[234786] = 816, -- Scarab of the Infinite Cycle
			[26551] = "Mana", -- Figurine - Jade Owl
			[26576] = 117, -- Figurine - Black Pearl Panther
			[26581] = 814, -- Figurine - Truesilver Crab
			[26599] = 118, -- Figurine - Ruby Serpent
			[26600] = "Mana", -- Figurine - Emerald Owl
			[26609] = 814, -- Figurine - Black Diamond Crab
			[26614] = 906, -- Figurine - Dark Iron Scorpid
			[31039] = 115, -- Figurine - Dawnstone Crab
			[31040] = 118, -- Figurine - Living Ruby Serpent
			[31045] = "Mana", -- Figurine - Talasite Owl
			[31047] = 117, -- Figurine - Nightseye Panther
			[31771] = 202, -- Runed Fungalcap
			[31794] = "Mana", -- Auslese's Light Channeler
			[32355] = 118, -- Ancient Crystal Talisman
			[32355] = 118, -- Glowing Crystal Insignia
			[32362] = 117, -- Ogre Mauler's Badge/Uniting Charm
			[32367] = 118, -- Oshu'gun Relic
			[32600] = 115, -- Charm of Alacrity
			[33089] = 3, -- Figurine of the Colossus
			[33370] = 816, -- Quagmirran's Eye
			[33400] = 118, -- Warp-Scarab Brooch
			[33479] = 110, -- Adamantine Figurine
			[33649] = 117, -- Hourglass of the Unraveller
			[33662] = 118, -- Vengeance of the Illidari
			[33667] = 117, -- Bladefist's Breadth
			[33668] = 112, -- Regal Protectorate
			[33807] = 816, -- Abacus of Violent Odds
			[34000] = 118, -- Arcanist's Stone
			[34106] = 817, -- Icon of Unyielding Courage
			[34210] = 814, -- Bangle of Endless Blessings
			[34321] = 118, -- Shiffar's Nexus-Horn
			[34519] = 115, -- Moroes' Lucky Pocket Watch
			[34747] = 118, -- Eye of Magtheridon
			[34775] = 816, -- Dragonspine Trophy
			[35095] = 814, -- Pendant of the Violet Eye
			[35163] = 118, -- Icon of the Silver Crescent
			[35165] = 118, -- Essence of the Martyr
			[35166] = 117, -- Bloodlust Brooch
			[35337] = 118, -- Xi'ri's Gift/Scryer's Bloodgem
			[35733] = 117, -- Core of Ar'kelos
			[36347] = 118, -- Heavenly Inspiration
			[36372] = 815, -- Dabiri's Enigma
			[36432] = 118, -- Starkiller's Bauble
			[37174] = 817, -- Warp-Spring Coil
			[37198] = 118, -- Tome of Fiery Redemption
			[37340] = 110, -- Living Root of the Wildheart
			[37341] = 115, -- Living Root of the Wildheart
			[37342] = 118, -- Living Root of the Wildheart
			[37343] = 118, -- Living Root of the Wildheart
			[37344] = 10, -- Living Root of the Wildheart
			[37656] = 814, -- Memento of Tyrande
			[38325] = 2, -- Spyglass of the Hidden Fleet
			[38332] = 10, -- Ribbon of Sacrifice
			[38348] = 118, -- Sextant of Unstable Currents
			[38351] = 911, -- Scarab of Displacement
			[39200] = 117, -- Terokkar Tablet of Precision
			[39201] = 118, -- Terokkar Tablet of Vim
			[39228] = 202, -- Argussian Compass
			[39439] = 117, -- Darkmoon Card: Crusade
			[39441] = 118, -- Darkmoon Card: Crusade
			[39443] = 817, -- Darkmoon Card: Wrath
			[39511] = 117, -- Darkmoon Card: Madness
			[40396] = 401, -- The Skull of Gul'dan
			[40402] = 814, -- Earring of Soulful Meditation
			[40440] = 118, -- Ashtongue Talisman of Acumen
			[40441] = 118, -- Ashtongue Talisman of Acumen
			[40445] = 118, -- Ashtongue Talisman of Equilibrium
			[40446] = 119, -- Ashtongue Talisman of Equilibrium
			[40452] = 115, -- Ashtongue Talisman of Equilibrium
			[40459] = 117, -- Ashtongue Talisman of Valor
			[40461] = 817, -- Ashtongue Talisman of Lethality
			[40464] = 112, -- Shadowmoon Insignia
			[40466] = 117, -- Ashtongue Talisman of Vision
			[40477] = 817, -- Madness of the Betrayer
			[40480] = 118, -- Ashtongue Talisman of Shadows
			[40483] = 816, -- Ashtongue Talisman of Insight
			[40487] = 117, -- Ashtongue Talisman of Swiftness
			[40538] = 112, -- Brooch of the Immortal King
			[40724] = 117, -- Crystalforged Trinket
			[40729] = 115, -- Badge of Tenacity
			[40997] = 117, -- Darkmoon Card: Madness
			[40998] = 115, -- Darkmoon Card: Madness
			[40999] = 103, -- Darkmoon Card: Madness
			[41002] = 817, -- Darkmoon Card: Madness
			[41005] = 816, -- Darkmoon Card: Madness
			[41009] = 118, -- Darkmoon Card: Madness
			[41011] = 112, -- Darkmoon Card: Madness
			[41261] = 117, -- Skyguard Silver Cross
			[41263] = 118, -- Airman's Ribbon of Gallantry
			[41404] = 328, -- Darkmoon Card: Madness
			[42084] = 117, -- Tsunami Talisman
			[43710] = 118, -- Tome of Diabolic Remedy
			[43712] = 118, -- Hex Shrunken Head
			[43713] = 110, -- Ancient Aqir Artifact
			[43716] = 117, -- Berserker's Call
			[44055] = 112, -- Battlemaster
			[45041] = 117, -- Blackened Naaru Sliver
			[45042] = 118, -- Shifting Naaru Sliver
			[45049] = 112, -- Steely Naaru Sliver
			[45053] = 117, -- Shard of Contempt
			[45058] = 815, -- Commendation of Kael'thas
			[46780] = 115, -- Figurine - Empyrean Tortoise
			[46783] = 118, -- Figurine - Crimson Serpent
			[46784] = 117, -- Figurine - Shadowsong Panther
			[46785] = "Mana", -- Figurine - Seaspray Albatross
			[51952] = 115, -- Coren's Lucky Coin
			[51953] = 118, -- Dark Iron Smoking Pipe
			[51954] = 118, -- Direbrew Hops
			[51955] = 117, -- Empty Mug of Direbrew
			[84213] = 115, -- Gnomeregan Auto-Dodger 600

			-- Classic
			[10342] = 110, -- Guardian Talisman
			[10368] = 202, -- Uther's Strength
			[12733] = 62, -- Glimmering Mithril Insignia
			[13744] = 4, -- Blazing Emblem
			[15595] = 110, -- Force of Will
			[15604] = "Mana", -- Second Wind
			[15646] = "Mana", -- Burst of Knowledge
			[17275] = 4, -- Heart of the Scale
			[20587] = 282, -- Ragged John's Neverending Cup
			[21956] = 202, -- Mark of Resolution
			[21970] = ZA.PrimaryStatSchool, -- Mark of the Chosen
			[23097] = 4, -- Hyper-Radiant Flame Reflector
			[23131] = 16, -- Gyrofreeze Ice Reflector
			[23132] = 32, -- Ultra-Flash Shadow Reflector
			[23271] = 118, -- Talisman of Ephemeral Power
			[23506] = 202, -- Arena Grand Master
			[23684] = "Mana", -- Darkmoon Card: Blue Dragon
			[23720] = 117, -- The Black Book
			[23721] = 64, -- Arcane Infused Gem
			[23723] = 816, -- Mind Quickening Gem
			[23724] = "Mana", -- Rune of Metamorphosis
			[23725] = 112, -- Lifegiving Gem
			[23726] = 906, -- Venomous Totem
			[23733] = 816, -- Scrolls of Blinding Light
			[23734] = 118, -- Natural Alignment Crystal
			[23780] = 3, -- Aegis of Preservation
			[23991] = 202, -- Defiler's Talisman/Talisman of Arathor
			[24268] = "Mana", -- Mar'li's Eye
			[24352] = 117, -- Devilsaur Eye
			[24354] = 118, -- Blessed Prayer Beads
			[24389] = 68, -- Fire Ruby
			[24427] = 117, -- Diamond Flask
			[24498] = 817, -- Gri'lek's Charm of Valor
			[24499] = 800, -- Wushoolay's Charm of Spirits
			[24531] = 151, -- Renataki's Charm of Beasts
			[24542] = 816, -- Wushoolay's Charm of Nature
			[24543] = 817, -- Hazza'rah's Charm of Destruction
			[24544] = 64, -- Hazza'rah's Charm of Magic
			[24546] = 816, -- Hazza'rah's Charm of Healing
			[24610] = 817, -- Nat Pagle's Broken Reel
			[24865] = 817, -- Sanctified Orb
			[24998] = 118, -- Hibernation Crystal
			[25746] = 202, -- Defiler's Talisman/Talisman of Arathor
			[25747] = 202, -- Defiler's Talisman/Talisman of Arathor
			[25750] = 202, -- Defiler's Talisman/Talisman of Arathor
			[25891] = 117, -- Earthstrike
			[26166] = 118, -- Eye of Moam
			[26168] = 900, -- Fetish of Chitinous Spikes
			[26464] = 62, -- Petrified Scarab
			[26481] = 817, -- Badge of the Swarmguard
			[27675] = 118, -- Draconic Infused Emblem
			[28204] = 118, -- Talisman of Ascendance
			[28777] = 117, -- Slayer's Crest
			[28778] = 62, -- Loatheb's Reflection
			[28779] = 118, -- The Restrained Essence of Sapphiron
			[28780] = 118, -- Eye of the Dead
			[28866] = 816, -- Kiss of the Spider
			[29506] = 202, -- The Burrower's Shell
			[29604] = 117, -- Jom Gabbar
			[4079] = 720, -- Gnomish Cloaking Device
			[50708] = 117, -- Devilsaur Tooth
			[84212] = 115, -- Glyph of Deflection

			-- Threat Reduction Trinkets
			[298721] = 323, -- Twilight Powder
			[290031] = 323, -- Gloaming Powder
			[28862] = 323, -- The Eye of Diminution
			[26400] = 323, -- Arcane Shroud


			--! Spells
			["Void Orb"] = 320,
			["Abyssal Portal"] = 320,
			["Mark of the Arctic"] = 16,
			["Hail Decimation:135857"] = 16,
			["Glacial Claws"] = 17,
			["Frigid Geysers"] = 16,
			["Elemental Edema:4226155"] = 801,
			["Heavy Whiteout:132387"] = 160,
			["Frost Eruption"] = 160,
			["Pulsating Stream:971078"] = 801,
			["Aquanova"] = 801,
			["Frozen Beam"] = 16,
			["Lava Dart"] = 400,
			["Lava Floes"] = 400,
			["Summon Droplet:1373133"] = 400,
			["Inferno Cloak"] = 4,
			["Inferno Mantle"] = 4,
			["Flaming Pitch"] = 4,
			["Volcanic Slam"] = 12,
			["Lava Bolt"] = 400,
			["Scorching Vortex"] = 4,
			["Pyroclastic Ejection"] = 400,
			["Mass Ignition:236220"] = 4,
			["Slam:136025"] = 903,
			["Split Apart:1044088"] = 12,
			["Restorative Ward:136089"] = 803,
			["Erode"] = 12,
			["Monolith Fist"] = 12,
			["Surging Earth"] = 12,
			["Seismic Outcry"] = 12,
			["Tectonic Hunt"] = 12,
			["Tectonic Spike"] = 12,
			["Tectonic Spikes"] = 12,
			["Tectonic Shield"] = 803,
			["Earthen Spikes"] = 12,
			["Earthen Spike"] = 12,
			["Seismic Shield"] = 803,
			["Seismic Spike"] = 803,
			["Recall:4622470"] = 641,
			["Call of Ysera"] = 10,
			["Dream Breath"] = 120,
			["Spiritbloom"] = 120,
			["Dream Flight"] = 120,
			["Emerald Communion"] = 120,
			["Echo"] = 641,
			["Stasis"] = 641,
			["Reversion"] = 641,
			["Temporal Compression"] = 641,
			["Temporal Anomaly"] = 641,
			["Reversion"] = 641,
			["Rewind"] = 641,
			["Time Dilation"] = 641,
			["Familiar Skies"] = 811,
			["Boon of the Covenants"] = "Anima",
			["Landslide"] = 12,
			["Mass Return:4622473"] = 641,
			["Return:4622472"] = 641,
			["Time Spiral"] = 641,
			["Zephyr"] = 811,
			["Rescue"] = 811,
			["Oppressing Roar"] = 111,
			["Source of Magic"] = 80,
			["Sleep Walk"] = 120,
			["Tip the Scales"] = 641,
			["Shattering Star:4622449"] = 80,
			["Firestorm:4622459"] = 403,
			["Dragonrage"] = 620,
			["Obsidian Scales"] = 12,
			["Eternity Surge"] = 80,
			["Quell"] = 811,
			["Pyre"] = 403,
			["Essence Burst"] = "Essence",
			["Shocking Touch"] = 800,
			["Stormclaw"] = 800,
			["Fury of the Aspects"] = 62,
			["Mark of the Wild"] = 8,
			["Blessing of the Bronze"] = 641,
			["Fissure"] = 12,
			["Earthspike"] = 803,
			["Waking Roar"] = 111,
			["Water Dart"] = 801,
			["Breath of Yu'lon"] = 120,
			["Deep Breath:4622450"] = 12,
			["Emerald Blossom"] = 120,
			["Butting Charge"] = 104,
			["Severing Slice"] = 101,
			["Soar"] = 811,
			["Hover"] = 811,
			["Enhanced Soar"] = 811,
			["Golem Smash:451165"] = 803,
			["Disintegrate"] = 80,
			["Fire Breath:4622458"] = 403,
			["Living Flame"] = 403,
			["Asphyxiate"] = 32,
			["Turn Evil"] = 2,
			["Turn Undead"] = 10,
			["Learning Tame Beast"] = 114,
			["Drink Healing Potion"] = 281,
			["Goblin Dragon Gun"] = 4,
			["Bottle of Poison"] = 806,
			["Shock Blast"] = 800,
			["Void Rip"] = 10,
			["Call of the Wild"] = 10,
			["Arcane Surge"] = 126,
			["Thistle Tea"] = 900,
			["Eternity Bolt:1392546"] = 321,
			["Val'kyr Strike:298674"] = 32,
			["Exorcism"] = 6,
			["Bulwark of Order"] = 202,
			["Bastion of Light"] = "Holy Power",
			["Summon Prince Malchezaar"] = 411,
			[267995] = 427, -- Summon Wrathguard (Nether Portal)
			["Summon Eyes of Gul'dan"] = 401,
			["Summon Void Terror"] = 320,
			["Summon Bilescourge"] = 361,
			["Summon Illidari Satyr"] = 412,
			["Summon Vicious Hellhound"] = 4,
			["Summon Darkhound"] = 33,
			["Summon Ur'zul"] = 324,
			["Gul'dan's Ambition"] = 127,
			["Pit Lord"] = 127,
			["Soulburn: Demonic Circle"] = 32,
			["Soulburn: Drain Life"] = 32,
			["Soulburn: Healthstone"] = 32,
			["Amplify Curse"] = 412,
			["Shadowy Tear"] = 32,
			["Chaos Tear"] = 127,
			["Unstable Tear"] = 361,
			["Earthliving Weapon"] = 8,
			["Earthliving"] = 8,
			["Ever-Rising Tide"] = 801,
			["Poison Cleansing Totem"] = 801,
			["Mana Spring Totem"] = "Mana",
			["Ice Strike"] = 16,
			["Wild Mushroom"] = 8,
			["Fey Missile"] = 805,
			["Denizen of the Dream"] = 805,
			["Mind Flay: Insanity"] = 328,
			["Dark Ascension"] = 32,
			["Lightwell"] = 2,
			["Lightwell Charges"] = 2,
			["Divine Image"] = 201,
			["Divine Word"] = 66,
			["Divine Favor: Chastise"] = 66,
			["Divine Favor: Serenity"] = 200,
			["Chaos Brand - Arcane"] = 64,
			["Chaos Brand - Fire"] = 4,
			["Chaos Brand - Frost"] = 16,
			["Chaos Brand - Nature"] = 8,
			["Chaos Brand - Shadow"] = 32,
			["Plague Cloud"] = 40,
			["Cosmic Alacrity"] = 104,
			["Tears of Grief:3528302"] = 411,
			["Screaming Torment:3528302"] = 411,
			["Poison Cloud"] = 806,
			["Curse of the Firebrand"] = 325,
			["Death's Shroud"] = 326,
			["Rotten Wounds"] = 321,
			["Mobile Mirror Set"] = 3,
			["World in Flames"] = 400,
			[77647] = 32, -- Fel-Infused
			["Beckon"] = 328,
			["Death Coil"] = 414,
			["Toss Gormling"] = 100,
			["Put into Bag"] = 100,
			["Loaded Dice: All Hands!"] = 104,
			["Loaded Dice: Man-O-War"] = 104,
			["Swiftwind Saber"] = 811,
			["Duelist Dash"] = 903,
			["Vile Bombardment"] = 40,
			["Next Add"] = 100,
			["Goin' Bananas"] = 108,
			["Slippery Suds"] = 901,
			["Lorewalker's Alacrity"] = 104,
			["Blessing of the Waterspeaker"] = 801,
			["Bubble Burst"] = 801,
			["Hydrolance"] = 801,
			["Call Water"] = 801,
			["Evicted Soul"] = 323,
			["Slashing Whirl"] = 110,
			["Web Wrap"] = 900,
			["Naralex's Nightmare"] = 412,
			["Grasping Vines"] = 8,
			["Chained Bolt"] = 800,
			["Summon Bloodthirsty Ghouls"] = 326,
			["Ice Shards"] = 160,
			["Pull"] = 100,
			["Vine Strike"] = 900,
			["Toss Statue"] = 809,
			["Surrender Health:136168"] = 321,
			["Scarlet Protection:458972"] = 321,
			["World Shaker"] = 903,
			["Inevitable Dominion"] = 411,
			["Man'ari Training Amulet"] = 401,
			["Minion of Doane"] = 326,
			["Chloroform"] = 281,
			["Tarak's Ritual"] = 32,
			["Rocket Boost"] = 4,
			[342886] = 805, -- Twilight Dust (The Slumbering Emperor)
			["Lumbering Charge"] = 104,
			["Explosive Fungistorm"] = 40,
			["Throw Bomb"] = 5,
			["Oppressive Chains"] = 909,
			["Death Blossom"] = 326,
			["Sparkling Drift"] = 104,
			["Resilient Plumage:2103825"] = 909,
			[346639] = 201, -- Hyperlight Beam (Bron)
			["Spiritforged Aegis:3079436"] = 200,
			["Desperate Eradication:3528306"] = 321,
			["Consume:3528308"] = 321,
			["Ascendant Barrage"] = 201,
			["Small Talk"] = 111,
			["Cleaning Up"] = 100,
			["Pick Up"] = 100,
			["Scouring Breath:1045094"] = 411,
			["Soul Bomb:1413866"] = 411,
			["Deadly Hunger:2576085"] = 325,
			["Hurl Javelin"] = 100,
			["Leaf Cutter:959836"] = 900,
			["Indomitable Shield"] = 909,
			["Mindless Strikes:132215"] = 108,
			["Parchment Storm"] = 108,
			["Monstrous Effort:135788"] = 104,
			["Anima Blossom:3528286"] = 201,
			["Anima Blossom:3528285"] = 201,
			["Purestep Ascension"] = 201,
			["Grappling"] = 100,
			["Mawshade Ritual"] = 411,
			["Stygic Bolt"] = 411,
			["Stygic Expulsion"] = 411,
			["Stygic Call"] = 411,
			["Stygic Protection"] = 411,
			["Stygia Shards"] = 822,
			["Shredding Net"] = 100,
			["Life Harvest"] = 326,
			["Dire Bonk"] = 903,
			["Dream Lash"] = 8,
			["Demonic Empowerment"] = 32,
			["Igniting Banner"] = 4,
			["Treating Wounds"] = 202,
			["Ghost Walk:135898"] = 2,
			["Threatening Growl"] = 111,
			["Wind's Embrace"] = 811,
			[84146] = 909, -- Razor Edge (Crushcog Battle Suit)
			["Irradiation Gun"] = 806,
			[80944] = 806,
			["Flaming Arrow"] = 4,
			["Weak Frostbolt"] = 16,
			["Frostmane Strength"] = 117,
			["Delayed Siege Bomb"] = 5,
			["Iron Bellow"] = 111,
			["Iron Bulwark"] = 909,
			["Abomination Hook"] = 100,
			["Double Speed"] = 104,
			["Venomous Eruption"] = 806,
			[74003] = 800, -- Downsizing (Trade Prince Gallywix)
			["Unload Toxic Assets"] = 806,
			["Cutting Laser"] = 818,
			["Saw Blade"] = 100,
			["Kaja'Cola Zero-One"] = 281,
			["Kaja'Cola"] = 281,
			["Zombie Transformation"] = 414,
			["Enveloping Winds"] = 911,
			["Throw Gears"] = 100,
			["Punch It"] = 104,
			["Brutal Slam"] = 903,
			["Brutal Charge"] = 104,
			["Bad Breath"] = 40,
			[20687] = 805, -- Starfall (Rayne, Scarlet Enclave)
			["Unlocking Soul Prison"] = 100,
			["Greenstone Shards"] = 822,
			["Orb of the Drowned"] = 326,
			["Dimension Slither"] = 320,
			["Shadowblood Spittle"] = 325,
			["Sea-Brine Toxin"] = 806,
			["Cub Pounce"] = 104,
			["Serpent Sweep"] = 811,
			["Shoot ALL the fireworks!"] = 4,
			["Jade Flay"] = 120,
			["Air Strikes"] = 5,
			["Void Slam"] = 320,
			["Vile Claws"] = 906,
			["Headbutt"] = 903,
			["Roadkill"] = 903,
			["Necrotic Venom"] = 806,
			["Sludge Crawl"] = 806,
			["Release the Void"] = 320,
			["Fulminating Burst"] = 800,
			[301667] = 108, -- Rapid Fire (Mechagon Cavalry)
			["Shrink:134164"] = 100,
			[117456] = 903, -- Deep Sea Rupture (Vordraka)
			[117287] = 903, -- Deep Sea Smash (Vordraka)
			["Shadow Geyser"] = 32,
			["Rip Flesh"] = 112,
			["Tiger Pounce"] = 104,
			["Display of Fury:132326"] = 9,
			["Hozen Shock"] = 800,
			["Paint it Red!"] = 818,
			["Feet of Fury"] = 112,
			["Reprogramming"] = 100,
			[364266] = 802, -- Primordial Mending
			["Sole Slough:236271"] = 806,
			["Empowered Bulwark:3867785"] = 106,
			["Homing Shell"] = 5,
			["Thunder Zone"] = 800,
			["Slime Blast"] = 806,
			["Hungerstone:1392546"] = 321,
			["Demonic Momentum"] = 32,
			["Bitter Screech"] = 111,
			["Feed on the Weak:1357796"] = 411,
			["Soul Tap"] = 326,
			["Charged Bite"] = 800,
			["Conductive Spittle"] = 800,
			["Voltalic Bite"] = 800,
			["Packmother's Call"] = 111,
			["Cataclysm:409545"] = 36,
			["Cataclysm:840941"] = 361,
			["Fodder to the Flame"] = 326,
			[347765] = 326, -- Demon Soul (Fodder to the Flame)
			[279997] = 413, -- Heartsbane Grimoire
			["Wasting Strike"] = 40,
			[264384] = 413, -- Consume Fragments (Coven Diviner)
			[260852] = 96, -- Claim the Iris (Heartsbane Triad)
			[260773] = 413, -- Dire Ritual (Heartsbane Triad)
			["Soul Manipulation:892448"] = 328,
			["Bramble Bolt:1029749"] = 413,
			[263891] = 413, -- Grasping Thorns (Heartsbane)
			["Spirited Defense:135779"] = 646,
			["Captain's Strike"] = 110,
			["Crush:132318"] = 903,
			["Stomp of the Crucible"] = 903,
			["Charged Roll"] = 800,
			["Bonk"] = 903,
			["Soul Thorns:1016245"] = 413,
			["Motospider Replicator"] = 100,
			[208724] = 105, -- Crushing Thrash (Arch-Desecrator Malithar)
			[208622] = 412, -- Twisted Strength (Corrupted Defender)
			["Nightmare Grasp"] = 412,
			[208599] = 412, -- Corrupting Blast (Rothoof Defiler)
			[208582] = 412, -- Sweeping Slash (Rothoof Shadowstalker)
			["Shadow Escape"] = 32,
			["Rumbling Fissures:1118738"] = 401,
			["Nanobot Repair Unit"] = 100,
			["Grievous Wound"] = 102,
			["Sedimentary Breath"] = 804,
			["Coral Growth"] = 808,
			["Angry Stomp:796637"] = 903,
			["Control Thoughts"] = 328,
			["Frost Blast"] = 16,
			[254545] = 157, -- Baruut the Brisk (Turbo Talbuk)
			[256388] = 72, -- Initialization Sequence (Reorigination Module)
			[256396] = 72, -- Reorigination Pulse (Reorigination Module)
			["Cosmic Ray"] = 72,
			["Reverberating Strike:135814"] = 402,
			["Forging Strike:236253"] = 5,
			["Demolish:136201"] = 32,
			["Conflagration:135799"] = 401,
			["Empowered Pulse Grenade:1117883"] = 401,
			["Pulse Grenade:133009"] = 401,
			["Sever:878217"] = 101,
			["Charged Blasts:236216"] = 4,
			["Empowered Shrapnel Blast:135804"] = 401,
			["End of All Things:1711335"] = 413,
			["End of All Things:1386550"] = 320,
			[253061] = 72, -- Starblast
			["Cosmic Beacon"] = 106,
			["Torment of Khaz'goroth"] = 4,
			["Torment of Golganneth"] = 16,
			["Torment of Norgannon"] = 32,
			["Haunted Mask:2101982"] = 805,
			["Wold Hunt"] = 111,
			[365850] = 410, -- Reclamation (The Cultivator)
			["Calamitous Crescendo"] = 32,
			["Rapid Infection:1325312"] = 105,
			["Fel Torch"] = 401,
			[292926] = 411, -- Eternal Torment
			["1000 Anima"] = "Anima",
			["50,000 Volts"] = 800,
			[":1869493"] = 204, -- Heart of Azeroth
			["\"Borrowed\" Power"] = 203,
			["A Compendium of the Herbs of Draenor"] = 114,
			["A Feast of Eyes"] = 101,
			["A Guide to Skinning in Draenor"] = 114,
			["A Murder of Crows"] = 323,
			["A Treatise on Mining in Draenor"] = 114,
			["A Treatise on the Alchemy of Draenor"] = 114,
			["A Treatise on the Inscription of Draenor"] = 114,
			["Ablative Pulse"] = 64,
			["Abomination Limb"] = 326,
			["Abrasive Coating:796635"] = 804,
			["Abrasive Slime"] = 806,
			["Absolving"] = 321,
			["Absorbing Azerite"] = 204,
			["Abyss Howl"] = 32,
			["Abyssal Bolt"] = 320,
			["Abyssal Detonation:3528303"] = 411,
			["Abyssal Meteor Fall"] = 400,
			["Abyssal Might"] = 103,
			["Abyssal Smash"] = 427,
			["Accelerated Incubation:2141733"] = 40,
			["Accelerated Mending"] = 641,
			["Acceleration Rune"] = 104,
			["Accursed Strength"] = 117,
			["Accursed Vigor"] = 411,
			["Acid Expulsion"] = 806,
			["Acid Spit"] = 806,
			["Acid Spray"] = 806,
			["Acid"] = 806,
			["Acidic Injection"] = 806,
			["Acidic Retch"] = 806,
			["Acidic Spit"] = 806,
			["Acidic Spittle"] = 806,
			["Acrobatic Strike"] = 115,
			["Acrobatic Strikes"] = 115,
			["Activate Empowerment:4005160"] = 203,
			["Activate Extractor"] = 100,
			["Activating Specialization"] = class or 0,
			["Changing Talents"] = class or 0,
			["Activating"] = 100,
			["Adaptive Swarm"] = 326,
			["Addled Mind"] = 328,
			["Administer Antidote"] = 202,
			["Administer Cure-all"] = 202,
			["Administering Antidote"] = 202,
			["Adrenaline Rush"] = 103,
			["Aegis of Aggramar"] = 200,
			["Aegis of Light"] = 2,
			["Aerial Rocket Chicken Barrage"] = 5,
			["Aerial Strikes:3528303"] = 411,
			["Agathian Spear"] = 201,
			["Agent of the All-Seer"] = 361,
			["Aggravating Roar"] = 111,
			["Aggression Sentry:3528304"] = 411,
			["Agile Reflexes"] = 115,
			["Agility"] = 115,
			["Agony"] = 322,
			["Agthian Spear"] = 201,
			["Aiding"] = 202,
			["Aimed Shot"] = 100,
			["Air Blast"] = 811,
			["Alacrity"] = 104,
			["Alchemy"] = 281,
			["Alert the Herd"] = 111,
			["Alexstrasza's Fury"] = 68,
			["Allergen Cloud"] = 802,
			["Alluring Perfume Spray"] = 281,
			["Alluring Perfume"] = 281,
			["Alpha Tiger"] = 807,
			["Alter Time"] = 641,
			["Amber Blast"] = 810,
			["Amber Bolt"] = 810,
			["Amber Burst"] = 810,
			["Amber Corrosion"] = 810,
			["Amber Eruption"] = 810,
			["Amber Explosion"] = 810,
			["Amber Fountain"] = 810,
			["Amber Growth"] = 810,
			["Amber Mending"] = 810,
			["Amber Mutation"] = 810,
			["Amber Prison"] = 810,
			["Amber Regeneration"] = 810,
			["Amber Release"] = 810,
			["Amber Scalpel"] = 810,
			["Amber Shards"] = 810,
			["Amber Spew"] = 810,
			["Amber Volley"] = 810,
			["Amber Volley"] = 810,
			["Amber"] = 810,
			["Ambergesic"] = 810,
			["Ambush"] = 33,
			["Ancestral Guidance"] = 72,
			["Ancestral Protection Totem"] = 721,
			["Ancestral Spirit"] = 280,
			["Ancestral Vision"] = 280,
			["Anchor Drag"] = 901,
			["Anchor of Binding"] = 901,
			["Anchor of Binding"] = 901,
			["Anchor Shot:1686581"] = 100,
			["Ancient Aftershock"] = 805,
			["Ancient Awakening"] = 204,
			["Ancient Hide"] = 903,
			["Ancient Hysteria"] = 105,
			["Ancient Magic"] = 646,
			["Ancient Portal: Dalaran"] = 646,
			["Ancient Rune:1058940"] = 810,
			["Ancient Teleport: Dalaran"] = 646,
			["Scroll of Teleport: Theater of Pain"] = 646,
			["Angelic Feather"] = 2,
			["Angry Snort"] = 903,
			["Anima Barrage:1041233"] = 201,
			["Anima Barrage:135787"] = 201,
			["Anima Barrage:2576086"] = 326,
			["Anima Barrage:3528302"] = 411,
			["Anima Barrage:3565443"] = 201,
			["Anima Breath:1029007"] = 201,
			["Anima Bulwark:458719"] = 321,
			["Anima Cannon:3528303"] = 411,
			["Anima Charge:3528288"] = 201,
			["Anima Charge:3528313"] = 321,
			["Anima Discharge:135781"] = 201,
			["Anima Drain:3528306"] = 321,
			["Anima Drain:3528308"] = 321,
			["Anima Drain:538040"] = 321,
			["Anima Expulsion:3528286"] = 201,
			["Anima Extrapolation:3675491"] = 203,
			["Anima Farshot"] = 201,
			["Anima Field:3536198"] = 201,
			["Anima Flash:3528287"] = 201,
			["Anima Fountain:1392546"] = 321,
			["Anima Infusion:1041231"] = 201,
			["Anima Infusion:3528291"] = 326,
			["Anima Infusion:3528306"] = 321,
			["Anima Infusion:3565725"] = 321,
			["Anima Infusion:3854016"] = 321,
			["Anima Infusion:838812"] = 321,
			["Anima Nova:3528303"] = 203,
			["Anima Nova:3528303"] = 411,
			["Anima Renewal:3528275"] = 805,
			["Anima Ring"] = 321,
			["Anima Rune"] = 96,
			["Anima Rune:609815"] = 805,
			["Anima Spit:3528286"] = 201,
			["Animate Guardian"] = 321,
			["Animate Pebble"] = 803,
			["Animate Weapon:3200274"] = 321,
			["Annihilate:136138"] = 427,
			["Annihilate:2101973"] = 203,
			["Annihilation"] = 127,
			["Anti-Magic Shell"] = 414,
			["Anti-Magic Shield"] = 414,
			["Anti-Magic Zone"] = 96,
			["Anti-Personnel Squirrel"] = 800,
			["Apocalypse Protocol:135796"] = 127,
			["Apocalypse"] = 326,
			["Apocalyptic Darkblade"] = 96,
			["Apotheosis"] = 200,
			["Apply Salve"] = 202,
			["Aqua Spout"] = 801,
			["Aquabolt"] = 801,
			["Aquabomb"] = 801,
			["Arc Bolt"] = 800,
			["Arc Lightning"] = 800,
			["Arc Lightning"] = 800,
			["Arcadne's Ritual Mask"] = 411,
			["Arcane Barrage"] = 64,
			["Arcane Blast"] = 64,
			["Arcane Bolt"] = 64,
			["Ablative Pulse"] = 126,
			["Arcane Bolts"] = 64,
			[221864] = 64, -- Blast (Recursive Elemental)
			["Arcane Bomb"] = 64,
			["Exothermic Release"] = 64,
			["Arcane Bombardment"] = 64,
			["Arcane Burst"] = 64,
			["Arcanetic Ring"] = 64,
			["Arcanetic Rings"] = 64,
			["Arcane Explosion"] = 64,
			["Arcane Infusion"] = 64,
			["Arcane Infusion:136168"] = 321,
			["Arcane Intellect"] = 118,
			["Arcane Meteor"] = 64,
			["Arcane Missiles"] = 64,
			["Arcane Power"] = 126,
			["Arcane Slash:1041233"] = 64,
			["Arcane Wall"] = 64,
			["Archangel"] = 200,
			["Archon's Grace"] = 2,
			["Archon's Spear"] = 201,
			["Archon's Blessing"] = 201,
			[335435] = 72, -- Archon's Blessing (Kleia)
			["Keen Insight:1029587"] = 201,
			["Archonic Resonator"] = 201,
			["Arcing Bonds:607854"] = 64,
			["Arcing Current"] = 800,
			["Arcing Slash:1029595"] = 811,
			["Arcing Smash:132406"] = 427,
			["Arcing Sweep"] = 3,
			["Arcing Zap"] = 800,
			["Arctic Orb"] = 16,
			["Ardent Defender"] = 2,
			["Ardenweald Hearthstone"] = 805,
			["Area 52 Transporter"] = 646,
			["Argent War Horn"] = 111,
			["Armageddon"] = 402,
			["Armageddon:607865"] = 320,
			["Armor Plating"] = 110,
			["Armored Recollection"] = 201,
			["Army of Deceit"] = 32,
			["Army of the Dead"] = 326,
			["Arrow Barrage"] = 110,
			["Arrow of Light"] = 3,
			["Artifice of Time"] = 204,
			["Arugal's Gift"] = 325,
			["Ascendance"] = 28,
			["Ashen Bolt Volley"] = 804,
			["Ashen Bolt"] = 804,
			["Ashen Hallow"] = 321,
			["Aspect of the Cheetah"] = 104,
			["Aspect of the Eagle"] = 811,
			["Aspect of the Turtle"] = 900,
			["Aspect of the Wild"] = 8,
			["Assassin's Soulcloak"] = 96,
			["Assembling"] = 100,
			["Assume Command:132333"] = 100,
			["Astral Annihilation"] = 72,
			["Astral Recall"] = 8,
			["Astral Shift"] = 72,
			["Atonement"] = 202,
			["Attacking"] = 107,
			["Attendant's Pocket Portal: Ardenweald"] = 203,
			["Attendant's Pocket Portal: Bastion"] = 203,
			["Attendant's Pocket Portal: Maldraxxus"] = 203,
			["Attendant's Pocket Portal: Oribos"] = 203,
			["Attendant's Pocket Portal: Revendreth"] = 203,
			["Attenuated Barrage:3528304"] = 411,
			["Attenuated Barrage:3528304"] = 411,
			["Attune Hearth Kidneystone"] = 326,
			["Aura Mastery"] = 65,
			["Aura of Decay"] = 321,
			["Aural Fracture"] = 102,
			["Avatar"] = 903,
			["Avenging Crusader"] = 200,
			["Avenging Wrath"] = 200,
			["Aviana's Blessing"] = 811,
			["Awaken Creation:2492254"] = 414,
			["Awaken Darkness"] = 326,
			["Awaken Runestone"] = 96,
			["Azerite Barrage"] = 204,
			["Azerite Blast"] = 204,
			["Azerite Effusion"] = 204,
			["Azerite Empowered"] = 204,
			["Azerite Empowerment"] = 204,
			["Azerite Energy"] = 204,
			["Azerite Explosion"] = 204,
			["Azerite Expulsion"] = 204,
			["Azerite Grenade"] = 204,
			["Azerite Infusion"] = 800,
			["Azerite Potion"] = 204,
			["Azerite Powder Shot"] = 204,
			["Azerite Shards"] = 204,
			["Azerite Smash"] = 204,
			["Azerite Vent"] = 204,
			["Azure Storm"] = 80,
			["Azurethos' Fury"] = 811,
			["Backdraft"] = 4,
			["Backdraft:840404"] = 401,
			["Backhand"] = 113,
			["Bag of Snakes"] = 900,
			["Ball Lightning"] = 800,
			["Ball of Fire"] = 4,
			["Ball!"] = 661,
			["Bananarang"] = 108,
			["Bandage"] = 202,
			["Bandaging"] = 202,
			["Bane:136194"] = 320,
			["Bang, Bang, Bang"] = 127,
			["Banish Scourge Crystal"] = 323,
			["Banish"] = 323,
			["Banish"] = 325,
			["Banishment Blast:3528302"] = 411,
			["Banishment"] = 323,
			["Banshee Form"] = 411,
			["Banshee Wail"] = 323,
			["Banshee's Curse"] = 325,
			["Barbarian"] = 104,
			["Barbed Assault"] = 906,
			["Barbed Cutlass"] = 102,
			["Barbed Lunge"] = 900,
			["Barbed Shackles"] = 909,
			["Barbed Shot"] = 101,
			["Barbed Spear"] = 101,
			["Barbed Sting"] = 906,
			["Barkskin"] = 803,
			["Barrage of Doubt"] = 411,
			["Barrage of Flame"] = 4,
			["Barrage"] = 108,
			["Barrage:132204"] = 906,
			["Barrage:135804"] = 401,
			["Barrage:461115"] = 100,
			["Bash n Smash"] = 107,
			["Bash"] = 107,
			["Basilisk"] = 119,
			["Bathing"] = 801,
			["Battle Shout"] = 117,
			["Battle Trance"] = "Rage",
			["Beam Splicer:4037122"] = 203,
			["Bear Trap"] = 100,
			["Beast Cleave"] = 112,
			["Beat Wings"] = 811,
			["Beckon Slime"] = 806,
			["Beckon Storm"] = 911,
			["Beckon Storm:135861"] = 801,
			["BEEEEEES!"] = 810,
			["Begin the Chorus:3528307"] = 321,
			["Belch Flame:135797"] = 401,
			["Belch Frost"] = 17,
			["Belch Organs"] = 40,
			["Belch Plague"] = 40,
			["Belch Slime"] = 806,
			["Belch"] = 40,
			["Bellow of the Deeps"] = 111,
			["Bellowing Rage"] = 103,
			["Bellowing Roar"] = 327,
			["Benevolent Faerie"] = 805,
			["Berserk"] = 103,
			["Berserker Frenzy"] = 103,
			["Berserker Rage"] = 103,
			["Berserking"] = 103,
			["Bestial Howl"] = 103,
			["Bestial Wrath"] = 103,
			["Betrayed Fury:3528302"] = 411,
			["Between the Eyes"] = 100,
			["Bewildering Gaze:136215"] = 327,
			["Bewildering Pollen"] = 805,
			["Bewildering Slam"] = 805,
			["Bewitch:132096"] = 321,
			["Bewitching Eye"] = 413,
			["Big Bad Voodoo"] = 325,
			["Big Blue Fist"] = 108,
			["Big Bop"] = 109,
			["Big Sharp Nasty Teeth"] = 102,
			["Big Shot"] = 100,
			["Bile Breath"] = 40,
			["Bile Spew"] = 40,
			["Bile Strike"] = 906,
			["Bilescourge Bombers"] = 361,
			["Summon Soulkeeper"] = 361,
			["Soulkeeper"] = 361,
			["Bilewater Breath"] = 415,
			["Bilewater Liquefaction"] = 415,
			["Bind Soul:2576086"] = 326,
			["Bind the Fallen"] = 326,
			["Bind to the Bones"] = 414,
			["Binding Chains"] = 909,
			["Binding Chains"] = 909,
			["Binding Fungus"] = 410,
			["Binding Shot"] = 65,
			["Bindings of Submission"] = 328,
			["Bioelectric Blast"] = 800,
			["Biolectric Blast"] = 800,
			["Birthing Flame"] = 68,
			["Biting Frost"] = 160,
			["Bitter Slash"] = 17,
			["Black Bile"] = 410,
			["Black Flight"] = 105,
			["Black Hole"] = 320,
			["Black Ox Statue"] = 803,
			["Black Powder Bomb"] = 5,
			["Black Powder"] = 96,
			["Black Rain:3528302"] = 411,
			["Black Rain:3528310"] = 321,
			["Blackened Claws:645142"] = 411,
			["Blackout Combo"] = 282,
			["Blackout Kick!"] = 907,
			["Blackrock Bomb"] = 5,
			["Blade Dance"] = 112,
			["Blade Flurry"] = 107,
			["Blade Guardian's Rune"] = 326,
			["Blade of Flames:1118739"] = 401,
			["Blade of Wrath"] = 2,
			["Blade Volley:3565727"] = 321,
			["Bladestorm"] = 107,
			["Blast Wave:135903"] = 4,
			["Blaze of Glory"] = 4,
			["Blaze of Glory:574795"] = 6,
			["Blazing Adrenaline"] = 105,
			["Blazing Barrier"] = 4,
			["Blazing Fists"] = 5,
			["Blazing Hellfire:841221"] = 401,
			["Blazing Phoenix"] = 68,
			["Blazing Shot"] = 5,
			["Blazing Surge"] = 4,
			["Blazing Surge:348565"] = 411,
			["Blazing Swipe:135802"] = 401,
			["Blazing Wave"] = 4,
			["Bleat"] = 111,
			["Bleeding Swipe"] = 101,
			["Blessed Armor of the Fallen"] = 3,
			["Blessing of Autumn"] =  6,
			["Blessing of Dawn"] = 6,
			["Blessing of Dusk"] = 201,
			["Blessing of Freedom"] = 6,
			["Blessing of K'ara"] = 2,
			["Blessing of Protection"] = 65,
			["Blessing of Sacrifice:135966"] = 321,
			["Blessing of Spellwarding"] = 66,
			["Blessing of Spring"] = 10,
			["Blessing of Summer"] = 66,
			["Blessing of the Archon"] = 201,
			["Blessing of the Silver Crescent"] = 3,
			["Blessing of Winter"] = 805,
			["Blight Bomb"] = 806,
			["Blight Crystal Explosion"] = 810,
			["Blightbeak"] = 415,
			["Blighted Arrow"] = 806,
			["Blighted Breath"] = 326,
			["Blighted Discharge:651086"] = 413,
			["Blighted Lick"] = 806,
			["Blind Rage"] = 103,
			["Blinding Faith"] = 3,
			["Blinding Flash:1029583"] = 201,
			["Blinding Radiance"] = 3,
			["Blinding Sand"] = 804,
			["Blinding Trap"] = 3,
			["Blinding Webs"] = 900,
			["Blinding Wind"] = 811,
			["Blindside"] = 33,
			["Blink"] = 646,
			["Blister"] = 800,
			["Blisterbomb"] = 806,
			["Blistering Orbs"] = 20,
			["Blizzard"] = 16,
			["Blood and Glory"] = 105,
			["Blood Assault"] = 321,
			["Blood Bolt"] = 321,
			["Blood Bolt"] = 321,
			["Blood Call"] = 321,
			["Blood Drinker"] = 321,
			["Blood Frenzy"] = 105,
			["Blood Fury"] = 103,
			["Blood Gorge:132278"] = 101,
			["Blood Howl"] = 321,
			["Blood in the Water"] = 321,
			["Blood Infusion"] = 321,
			["Blood Nova"] = 321,
			["Blood of the Enemy"] = 204,
			["Blood Plague"] = 410,
			["Blood Price"] = 321,
			["Blood Rage"] = 103,
			["Blood Ritual"] = 321,
			["Blood Shield"] = 202,
			["Blood Shroud"] = 321,
			["Blood Splatter"] = 321,
			["Blood Torrent"] = 321,
			["Bloodbath"] = 105,
			["Bloodbolt"] = 321,
			["Blooddrinker"] = 321,
			["Bloodletting Lunge"] = 101,
			["Bloodletting Slash"] = 101,
			["Bloodletting Sweep"] = 101,
			["Bloodletting"] = 321,
			["Bloodlust"] = 105,
			["Bloodrage"] = "Rage",
			["Bloodshed"] = 102,
			["Bloodstalk"] = 321,
			["Bloodstone"] = 321,
			["Bloodtalons"] = 321,
			["Bloodthirsty Rend"] = 101,
			["Bloody Blades"] = 112,
			["Bloody Hack"] = 101,
			["Bloody Peck"] = 101,
			["Bloody Pin"] = 101,
			["Bloody Talons"] = 101,
			["Bloody Tantrum"] = 102,
			["Blossom Blast"] = 800,
			["Blow Bubble"] = 811,
			["Blow Dart"] = 806,
			["Blunderbuss Shot"] = 100,
			["Blur"] = 720,
			["Boar Charge"] = 104,
			["Body and Soul"] = 104,
			["Bolas"] = 109,
			["Bolstering Current"] = 801,
			["Bolt of Madness"] = 321,
			["Bolt of Power:1392546"] = 321,
			["Bolt of Ruination:1029009"] = 411,
			["Bolt of Steel"] = 100,
			["Bolthorn's Rune of Flame"] = 68,
			["Bombard"] = 5,
			["Bonds of Fel:1117883"] = 401,
			["Bone Armor"] = 415,
			["Bone Boil"] = 410,
			["Bone Chilling Scream"] = 327,
			["Bone Chilling"] = 17,
			["Bone Cleave"] = 415,
			["Bone Rattling Howl"] = 111,
			["Bone Saw"] = 415,
			["Bone Shield"] = 415,
			["Bone Shrapnel:460686"] = 326,
			["Bone Spear"] = 415,
			["Bone Spear:3578230"] = 326,
			["Bone Spew"] = 415,
			["Bone Spike Graveyard"] = 415,
			["Bone Spike"] = 415,
			["Bone Spikes"] = 415,
			["Bone Splinter"] = 415,
			["Bone Storm"] = 415,
			["Bone Toss"] = 415,
			["Bonecleaver:236363"] = 326,
			["Bonecrushing Stomp"] = 903,
			["Bonedust Brew"] = 326,
			["Boneflay:1385897"] = 102,
			["Bonemend"] = 326,
			["Bonemend:136188"] = 326,
			["Boneshatter Shield:458717"] = 415,
			["Bonestorm"] = 326,
			["Bony Strike"] = 415,
			["Boon of the Ascended"] = 201,
			["Bop Barrage"] = 109,
			["Borehole"] = 803,
			["Bot Re-Energizer"] = 111,
			["Bottled Anima:3565722"] = 321,
			["Bottled Anima:3684825"] = 321,
			["Boulder Barrage"] = 803,
			["Boulder Throw"] = 903,
			["Boulder"] = 803,
			["Boulderbolt"] = 803,
			["Bouncing Spores"] = 8,
			["Bounding Crush"] = 104,
			["Bounding Duskshroom"] = 805,
			["Bounding Spores"] = 8,
			["Bounding Stride"] = 104,
			["Brackish Bolt"] = 415,
			["Brackish Volley"] = 415,
			["Brain Freeze"] = 80,
			["Bramble Patch"] = 8,
			["Brand of Argus"] = 401,
			["Breach Armor"] = 107,
			["Break Chains"] = 909,
			["Break Will"] = 328,
			["Breaking Smash"] = 903,
			["Breaking"] = 107,
			["Breath of Annihilation"] = 401,
			["Breath of Dread:988195"] = 326,
			["Breath of Everlasting Spirit"] = 204,
			["Breath of Fear"] = 327,
			["Breath of Fire"] = 4,
			["Breath of Sindragosa"] = 80,
			["Breath of the Dying"] = 204,
			["Breathless Darkness"] = 33,
			["Brewfest Reveler's Hearthstone"] = 282,
			["Brewing Potion"] = 281,
			["Brewing"] = 282,
			["Brewing:136240"] = 281,
			["Briarskin"] = 900,
			["Bright Spray"] = 6,
			["Brinescale Venom"] = 806,
			["Briny Bubble"] = 801,
			["Briny Swell"] = 801,
			["Bristle"] = 903,
			["Bristling Fur"] = "Rage",
			["Brittle"] = 903,
			["Broadside"] = "Combo Points",
			["Broken Isles Scouting Map"] = 114,
			["Broker Translocation Matrix"] = 203,
			["Bron"] = 201,
			["Bron's Call to Action"] = 201,
			["Brood Assassins:1370997"] = 900,
			["Brood Sacks"] = 900,
			["Bruising Strike"] = 101,
			["Brulbash"] = 903,
			["Brutal Backhand"] = 903,
			["Brutal Combo:1390946"] = 117,
			["Brutal Liquidation"] = 200,
			["Brutal Smash"] = 108,
			["Bubble Barrage"] = 801,
			["Bubble Blast"] = 801,
			["Bubble Shield"] = 801,
			["Bubblebeam"] = 801,
			["Bug Sprayer"] = 410,
			["Bug Zapper"] = 800,
			["Bull Rush"] = 104,
			["Bulwark of Juju"] = 110,
			["Bulwark of Maldraxxus"] = 326,
			["Bulwark"] = 110,
			["Bulwark:134964"] = 900,
			["Bulwark:134964"] = 900,
			["Burden of Knowledge:1379175"] = 411,
			["Buried Treasure"] = "Energy",
			["Burn Corpse"] = 4,
			["Burn It!"] = 4,
			["Burn It"] = 4,
			["Burn"] = 4,
			["Burn:135794"] = 401,
			["Burn:135799"] = 401,
			["Burning Armor:135799"] = 401,
			["Burning Barrage:135804"] = 401,
			["Burning Bite:135799"] = 401,
			["Burning Blood:841221"] = 401,
			["Burning Breath:135794"] = 401,
			["Burning Fel"] = 401,
			["Burning Flames:135799"] = 401,
			["Burning Fury:841221"] = 401,
			["Burning Fury:841221"] = 401,
			["Burning Gaze:1117876"] = 401,
			["Burning Gaze:841220"] = 401,
			["Burning Hands"] = 4,
			["Burning Hatred"] = 402,
			["Burning Iris:1387707"] = 401,
			["Burning Mirror"] = 401,
			["Burning Pitch:135804"] = 401,
			["Burning Rift:135824"] = 402,
			["Burning Slag"] = 400,
			["Burning Slash:135802"] = 401,
			["Burning Smash"] = 5,
			["Burning Spit:841220"] = 401,
			["Burning Spittle:1357810"] = 36,
			["Burning Spittle:135797"] = 401,
			["Burning Strain"] = 410,
			["Burning"] = 4,
			["Burning:132108"] = 401,
			["Burning:135794"] = 401,
			["Burning:135802"] = 401,
			["Burrow"] = 803,
			["Burrowing Grubs"] = 410,
			["Burrowing Impact"] = 903,
			["Burrowing Spike"] = 903,
			["Burst of Air"] = 811,
			["Bursting Bones"] = 326,
			["Bursting Darkness"] = 320,
			["Bursting Dreadflame"] = 36,
			["Bursting Plumage"] = 101,
			["Bursting Toxin"] = 806,
			["Buzz SAW"] = 100,
			["Buzzsaw"] = 100,
			["Bwonsamdi's Fury"] = 326,
			["Cadaverous Cleats"] = 411,
			["Calcify:254114"] = 326,
			["Call Blood Maggots"] = 410,
			["Call Bombardment"] = 111,
			["Call Dreadstalkers"] = 32,
			["Call Fel Lord"] = 427,
			["Call Flames:135789"] = 4,
			["Call For Help"] = 111,
			["Call for Help"] = 111,
			["Call Gormling Larva"] = 111,
			["Call Infernal"] = 401,
			["Call Lightning"] = 800,
			["Call Meteor"] = 400,
			["Call Mommy"] = 111,
			["Call Moontalon"] = 640,
			["Call Observer"] = 32,
			["Call of Death:136131"] = 327,
			["Call of Death:538559"] = 32,
			["Call of the Dead"] = 326,
			["Call of the Legion:132303"] = 32,
			["Call of the Mists"] = 802,
			["Call of the Scorpid"] = 111,
			["Call of the Tormented"] = 411,
			["Call of the Void"] = 320,
			["Call Packmate"] = 111,
			["Call Plagueling"] = 40,
			["Call Reinforcements:236422"] = 901,
			["Call Reinforcements:298644"] = 901,
			["Call Shade:3731618"] = 411,
			["Call the Pack"] = 111,
			["Call the Rivermane"] = 801,
			["Call the Skyhorn"] = 811,
			["Call the Storm"] = 800,
			["Call Thunder"] = 800,
			["Call to Arms:132485"] = 112,
			["Call to Arms:132486"] = 110,
			["Call to Chaos"] = 411,
			["Call to the Stars"] = 721,
			["Call to Zolramus"] = 326,
			["Call Voidwalker"] = 320,
			["Call Workers"] = 111,
			["Calming"] = 202,
			["Camouflage"] = 900,
			["Cannon Fire:135797"] = 401,
			["Cannon Shot"] = 5,
			["Cantrips"] = 64,
			["Capacitor Discharge"] = 800,
			["Capacitor Totem"] = 800,
			["Capsize"] = 801,
			["Captain's Call"] = 111,
			["Captive Tides"] = 801,
			["Capturing:132487"] = ZA.AH(814, 818),
			["Careful Swing"] = 109,
			["Carrion Beam"] = 127,
			["Carrion Eruption"] = 40,
			["Carrion Plague"] = 40,
			["Carrion Slam"] = 40,
			["Carrion Swarm"] = 40,
			["Carrying the Wounded"] = 117,
			["Carve and Spit"] = 102,
			["Carve:136202"] = 96,
			["Cascading Lightning Pulse"] = 800,
			["Cascading Slam"] = 803,
			["Castigate"] = 328,
			["Castigate:458735"] = 321,
			["Cataclysm Scouting Map"] = 114,
			["Catch of the Day"] = 101,
			["Catharstick"] = 33,
			["Catlike Reflexes"] = 115,
			["Cauldron Catalyst"] = 281,
			["Caustic Amber"] = 810,
			["Caustic Fumes"] = 806,
			["Caustic Liquid"] = 806,
			["Caustic Orb"] = 806,
			["Caustic Spray"] = 810,
			["Cauterize Master"] = 402,
			["Cauterize Master:840409"] = 401,
			["Cave-in"] = 803,
			["Celestial Alignment"] = 72,
			["Celestial Brew"] = 282,
			["Celestial Flames"] = 4,
			["Cenarion Ward"] = 10,
			["Centurion Blast:3528286"] = 201,
			["Chain Bolt"] = 800,
			["Chain Cleave"] = 33,
			["Chain Felfire"] = 401,
			["Chain Harvest"] = 321,
			["Chain Heal"] = 801,
			["Chain Lightning"] = 800,
			["Chain Reaction:135844"] = 160,
			["Chain Reaction:135867"] = 281,
			["Chains of Damnation:463560"] = 411,
			["Chains of Devastation:136015"] = 800,
			["Chains of Devastation:136042"] = 801,
			["Chainsaw Blade"] = 100,
			["Champion of the Runeaxe"] = 96,
			["Champion's Boon:3528283"] = 201,
			["Champion's Honor:135884"] = 113,
			["Channel Demonfire"] = 401,
			["Channel Lightning"] = 800,
			["Channel the Void"] = 320,
			["Channeled Obliteration:4038102"] = 106,
			["Chant of Fury"] = 105,
			["Chaos Blast"] = 127,
			["Chaos Bolt"] = 127,
			["Chaos Meteor"] = 127,
			["Chaos Strike"] = 427,
			["Chaos Volley"] = 127,
			["Chaos Wave:463569"] = 32,
			["Chaos Wave:607850"] = 32,
			["Chaotic Ablution"] = 320,
			["Chaotic Felburst"] = 401,
			["Chaotic Flames:135794"] = 401,
			["Chaotic Flames:840192"] = 401,
			["Chaotic Inferno"] = 4,
			["Chaotic Infusion:3528307"] = 321,
			["Chaotic Tempest"] = 800,
			["Charge!"] = 104,
			["Charge"] = 104,
			["Charge:136221"] = 320,
			["Charged Anima Blast:3528282"] = 201,
			["Charged Attacks:3528283"] = 201,
			["Charged Blast:3528286"] = 201,
			["Charged Bolt"] = 800,
			["Charged Bolt:4038104"] = 106,
			["Charged Claw"] = 800,
			["Charged Coil"] = 800,
			["Charged Expulsion:3790062"] = 106,
			["Charged Fists:3528283"] = 201,
			["Charged Fists:839974"] = 800,
			["Charged Pulse"] = 800,
			["Charged Sentry:4038106"] = 106,
			["Charged Shot"] = 100,
			["Charged Spear:1508065"] = 201,
			["Charged Spear:838552"] = 201,
			["Charged Stomp:460957"] = 201,
			["Charged Strike:4038103"] = 3,
			["Charged Strike:4038105"] = 106,
			["Charrrrrge"] = 104,
			["Charskin"] = 803,
			["Cheat Death"] = 411,
			["Cheated Death"] = 999,
			["Cheating Death"] = 411,
			["Checking for Pulse"] = 202,
			["Chemical Flames"] = 401,
			["Chi Burst"] = 907,
			["Chi Torpedo"] = 807,
			["Chi-Ji"] = 66,
			["Chi-Ji, the Red Crane"] = 66,
			["Chilling Winds"] = 24,
			["Chimaera's Spittle:3535832"] = 326,
			["Chitinous Exoskeleton"] = 900,
			["Choking Mist"] = 415,
			["Choking Mists"] = 415,
			["Choking Stream"] = 901,
			["Chomp"] = 112,
			["Choosing Gonk"] = 105,
			["Choosing Pa'ku"] = 811,
			["Chopping"] = 909,
			["Chromatic Infusion"] = 62,
			["Chromatic Mantle of the Dawn"] = 62,
			["Chromatic Mount"] = 62,
			["Chromatic Resistance Aura"] = 62,
			["Chromatic Shift"] = 62,
			["Chrono Shift"] = 641,
			["Chronolight Enhancer"] = 203,
			["Chuck Crystal"] = 808,
			["Chuck Crystal:132777"] = 810,
			["Chuck Mug"] = 282,
			["Circle of Power:425958"] = 320,
			["Claw Strike"] = 112,
			["Claw Swipe"] = 108,
			["Claw:575745"] = 107,
			["Claws of Argus"] = 127,
			["Clean"] = 100,
			["Cleansing Flame"] = 6,
			["Cleansing Flames"] = 6,
			["Cleansing Pain:3528313"] = 321,
			["Cleansing Rage:132345"] = 103,
			["Clearcasting"] = "Mana",
			["Cleave"] = 109,
			["Clinging Darkness:136122"] = 326,
			["Clinging Infestation"] = 410,
			["Clinging Web"] = 900,
			["Clining Infestation"] = 40,
			["Cloak of Shadows"] = 96,
			["Cloudburst Totem"] = 911,
			["Coalesced Sin"] = 321,
			["Coalescing Shadow"] = 320,
			["Coax"] = 202,
			["Coin Toss"] = 200,
			["Cold Heart"] = 160,
			["Collapsing Star:4037121"] = 203,
			["Collapsing World:1044088"] = 32,
			["Collect Essence:3528306"] = 321,
			["Collect Sins:571321"] = 321,
			["Collecting"] = 100,
			["Colossal Blow"] = 903,
			["Colossal Blowback"] = 811,
			["Colossal Roar"] = 111,
			["Colossal Smash"] = 903,
			["Colossal Strike"] = 117,
			["Colossal Strike"] = 903,
			["Colossus Smash"] = 117,
			["Combat Meditation"] = 201,
			["Combine Tools"] = 100,
			["Combustion"] = 4,
			["Comet Storm:1033907"] = 16,
			["Comforting"] = 202,
			["Command Bargast"] = 105,
			["Command Hecutis"] = 105,
			["Command Margore"] = 105,
			["Command: Massacre"] = 105,
			["Command: Ravage"] = 105,
			["Commanding Stomp:1035055"] = 33,
			["Communing with Helya"] = 415,
			["Compressed Ocean Fishing"] = 801,
			["Concealing Fog:3528303"] = 411,
			["Concentrate Anima:3684827"] = 321,
			["Concentrated Anima:3684827"] = 321,
			["Concentrated Filth"] = 806,
			["Concentrated Flame"] = 204,
			["Concentrated Venom"] = 806,
			["Concentration Aura"] = 80,
			["Condemn:3565727"] = 321,
			["Condemn:463568"] = 321,
			["Condensed Life-Force"] = 204,
			["Conducted Shock Pulse"] = 800,
			["Conductive Blades"] = 9,
			["Conductive Charge"] = 800,
			["Cone of Death"] = 413,
			["Conflagrate"] = 4,
			["Conflagrate:840200"] = 401,
			["Conflagration"] = 4,
			["Conflict and Strife"] = 204,
			["Congealed Plauge:538040"] = 321,
			["Conjure Arcane Rune"] = 64,
			["Conjure Food"] = 646,
			["Conjure Image"] = 646,
			["Conjure Lightning"] = 800,
			["Conjure Mana Gem"] = 64,
			["Conjure Refreshment Table"] = 646,
			["Conjure Refreshment"] = 646,
			["Conjure Refreshments"] = 646,
			["Conjure Water"] = 646,
			["Conqueror's Banner:3578234"] = 326,
			["Consecrate"] = 6,
			["Consecration"] = 6,
			["Constellation Shield"] = 72,
			["Constricting Grasp"] = 324,
			["Constricting Memories:3528301"] = 411,
			["Construct Bomb:3528287"] = 201,
			["Construct Hasty Barricade"] = 100,
			["Construct Heavy Barricade"] = 100,
			["Consume Life"] = 326,
			["Consume Life:3528300"] = 411,
			["Consume Shadows"] = 32,
			["Consume the Living"] = 321,
			["Consume Vitality:1778230"] = 413,
			["Consume Wrath:3528308"] = 321,
			["Consume:1778226"] = 413,
			["Consuming Bite"] = 324,
			["Consuming Darkness:3528304"] = 411,
			["Consuming Night"] = 32,
			["Consuming Terror"] = 327,
			["Contagion"] = 40,
			["Containment Field:348545"] = 106,
			["Contaminate"] = 40,
			["Control Undead"] = 328,
			["Controlled Calamity:4038104"] = 106,
			["Controlled Chaos:429383"] = 64,
			["Convert Souls"] = 32,
			["Convocation of Elune"] = 640,
			["Convocation of Grief"] = 327,
			["Convocation of Pain"] = 203,
			["Convocation of Shadow"] = 32,
			["Convoke the Spirits"] = 805,
			["Cooking Fire"] = 4,
			["Coordinated Assault"] = 103,
			["Corpse Spew"] = 40,
			["Corrosive Breath"] = 806,
			["Corrosive Nova"] = 806,
			["Corrosive Nova:1385912"] = 415,
			["Corrosive Gunk"] = 806,
			["Corrupt Soul"] = 324,
			["Corrupt the Wild:1357812"] = 412,
			["Corrupt"] = 324,
			["Corrupted Bellow"] = 32,
			["Corrupted Breath"] = 32,
			["Corrupted Dreams"] = 412,
			["Corrupted Healing Totem Summon"] = 401,
			["Corrupted Healing Totem"] = 806,
			["Corrupted Ordnance:3528301"] = 411,
			["Corrupted Ordnance:3528302"] = 411,
			["Corrupting Flames"] = 36,
			["Corrupting Flames:1357813"] = 412,
			["Corrupting Gaze"] = 324,
			["Corrupting Nova"] = 324,
			["Corrupting Nova:1396969"] = 412,
			["Corrupting Splash"] = 324,
			["Corrupting Waters"] = 801,
			["Corruption Beam:3528298"] = 411,
			["Corruption Bolt"] = 324,
			["Corruption Ritual"] = 324,
			["Corruption Shock"] = 800,
			["Corruption"] = 324,
			["Cosmic Artifice"] = 32,
			["Cosmic Formations"] = 106,
			["Cosmic Scythe:1120185"] = 320,
			["Cosmic Ward"] = 106,
			["Cosmic Web"] = 3,
			["Counterspell"] = 64,
			["Courageous Spirit:236362"] = 104,
			["Crackdown:237589"] = 201,
			["Cracked Stone"] = 803,
			["Crackle"] = 800,
			["Crackling Anima"] = 80,
			["Crackling Energy"] = 800,
			["Crackling Jade Lightning"] = 807,
			["Crackling Lightning"] = 800,
			["Crackling Storm"] = 800,
			["Crackling Strike"] = 9,
			["Crackling Tempest"] = 800,
			["Crackling Void"] = 320,
			["Craft Hexxing Fetish"] = 325,
			["Craggy Fracture"] = 803,
			["Crash Lightning"] = 800,
			["Crashing Charge"] = 104,
			["Crashing Comet:135797"] = 401,
			["Crashing Death"] = 411,
			["Crashing Fissure:1118738"] = 401,
			["Crashing Inferno"] = 400,
			["Crashing Storm"] = 800,
			["Crashing Tides"] = 801,
			["Crashing Wave"] = 801,
			["Crashing Waves"] = 801,
			["Crate Restored Artifact"] = 100,
			["Crazed Rage"] = 103,
			["Crazed"] = 103,
			["Create Belt"] = 646,
			["Create Boot"] = 646,
			["Create Boots"] = 646,
			["Create Bracer"] = 646,
			["Create Curio"] = 646,
			["Create Glove"] = 646,
			["Create Healthstone"] = 361,
			["Create Helm"] = 646,
			["Create Lavalliere"] = 646,
			["Create Leggings"] = 646,
			["Create Ring"] = 646,
			["Create Soulwell"] = 361,
			["Create Weapon"] = 646,
			["Creation Catalyst Overcharge"] = 106,
			["Creeping Nightmare"] = 412,
			["Creeping Tendrils:537022"] = 320,
			["Creepy Crawler"] = 40,
			["Creepy Crawlers"] = 40,
			["Creepy Crawly"] = 40,
			["Crescendo:135398"] = 411,
			["Crescent Strike"] = 3,
			["Cries of Anguish"] = 323,
			["Cries of Insanity:236364"] = 412,
			["Cries of the Tormented"] = 327,
			["Cries of the Void"] = 320,
			["Crimson Chorus:3528307"] = 321,
			["Crimson Scourge"] = 321,
			["Crimson Tempest"] = 321,
			["Crimson Vial"] = 321,
			["Cripple"] = 328,
			["Crippler"] = 112,
			["Crippling Bite"] = 101,
			["Crippling Blow"] = 107,
			["Crippling Howl"] = 111,
			["Crippling Poison"] = 806,
			["Crippling Slash"] = 112,
			["Crippling Slime"] = 806,
			["Critical Mass:136030"] = 806,
			["Critical Polymorph"] = 646,
			["Critical Shot"] = 112,
			["Crowd Control:3931763"] = 203,
			["Cruel Bludgeon"] = 909,
			["Cruel Slice"] = 101,
			["Crumbling Aegis"] = 66,
			["Crumbling Slam:134459"] = 903,
			["Crunch Armor"] = 107,
			["Crusade:236262"] = 200,
			["Crusader Aura"] = 3,
			["Crush Armor"] = 107,
			["Crush"] = 110,
			["Crush:451165"] = 903,
			["Crushing Darkness:1396971"] = 412,
			["Crushing Doubt"] = 324,
			["Crushing Doubt:136091"] = 411,
			["Crushing Doubt:651087"] = 327,
			["Crushing Embrace:254105"] = 109,
			["Crushing Headbutt"] = 903,
			["Crushing Slam"] = 903,
			["Crushing Slam:135132"] = 427,
			["Crushing Smash"] = 108,
			["Crushing Stomp"] = 903,
			["Crushing Strike"] = 107,
			["Crushing Swipe"] = 903,
			["Cry of Desolation"] = 327,
			["Cry of Mrrggllrrgg"] = 103,
			["Cry of Terror"] = 327,
			["Cry of the Forgotten"] = 323,
			["Cry of Wrath"] = 24,
			["Cry"] = 111,
			["Crystal Barbs"] = 808,
			["Crystal Barbs:237196"] = 810,
			["Crystal Barrage"] = 808,
			["Crystal Bolt"] = 808,
			["Crystal Bolt:1003593"] = 810,
			["Crystal Breath"] = 808,
			["Crystal Call"] = 808,
			["Crystal Call:132780"] = 810,
			["Crystal Charge"] = 808,
			["Crystal Eruption"] = 808,
			["Crystal Eruption:132783"] = 80,
			["Crystal Flash"] = 808,
			["Crystal Gaze"] = 808,
			["Crystal Growth"] = 808,
			["Crystal Growth:132783"] = 80,
			["Crystal of Phantasms"] = 326,
			["Crystal Shards"] = 808,
			["Crystal Shards:629524"] = 817,
			["Crystal Spike"] = 808,
			["Crystal Spike:1003593"] = 810,
			["Crystal Spikes"] = 808,
			["Crystal Spikes:132780"] = 810,
			["Crystal Storm"] = 808,
			["Crystal Storm:1003593"] = 810,
			["Crystal Trap"] = 808,
			["Crystal Trap:463485"] = 810,
			["Crystal"] = 808,
			["Crystal:132780"] = 810,
			["Crystalfire Breath"] = 20,
			["Crystalfire Discharge"] = 20,
			["Crystalfire Totem"] = 20,
			["Crystalfire"] = 20,
			["Crystalize"] = 808,
			["Crystalline Assault"] = 808,
			["Crystalline Assault:1519260"] = 326,
			["Crystalline Barrier"] = 808,
			["Crystalline Barrier:253400"] = 810,
			["Crystalline Bolt"] = 808,
			["Crystalline Bonds"] = 808,
			["Crystalline Burst"] = 808,
			["Crystalline Cage"] = 808,
			["Crystalline Cleave"] = 808,
			["Crystalline Command"] = 808,
			["Crystalline Defense Grid"] = 808,
			["Crystalline Dust"] = 808,
			["Crystalline Dust:135776"] = 80,
			["Crystalline Ground"] = 808,
			["Crystalline Ground:132779"] = 80,
			["Crystalline Growth"] = 808,
			["Crystalline Kick"] = 808,
			["Crystalline Resonance"] = 808,
			["Crystalline Shield"] = 808,
			["Crystalline Shrapnel"] = 808,
			["Crystalline Slumber"] = 808,
			["Crystalline Surge"] = 808,
			["Crystalline Tether"] = 808,
			["Crystalline Torment"] = 808,
			["Crystallize"] = 808,
			["Crystallize:132780"] = 810,
			["Crystallize:135866"] = 20,
			["Cud Spit"] = 806,
			["Curse of Agony"] = 325,
			["Curse of Blood"] = 325,
			["Curse of Exhaustion"] = 325,
			["Curse of Frailty"] = 325,
			["Curse of Impotence"] = 325,
			["Curse of Isolation"] = 325,
			["Curse of Stone"] = 325,
			["Curse of Suppression"] = 325,
			["Curse of the Depths"] = 325,
			["Curse of the Dominus"] = 325,
			["Curse of the Runecaster"] = 325,
			["Curse of the Witch"] = 325,
			["Curse of Tongues"] = 325,
			["Curse of Torment"] = 325,
			["Curse of Weakness"] = 325,
			["Curse of Worms"] = 325,
			["Curse Soul"] = 325,
			["Curse"] = 325,
			["Cursed Darkblade"] = 96,
			["Cut Rope"] = 100,
			["Cut to the Bone"] = 101,
			["Cut To The Bone"] = 101,
			["Cutting Beam"] = 800,
			["Cyclone Strike"] = 9,
			["Cyclone"] = 911,
			["Cypher of Obfuscation"] = 203,
			["Cypher of Relocation"] = 203,
			["Cytotoxic Slash"] = 906,
			["Dalaran Hearthstone"] = 646,
			["Dampen Harm"] = 5,
			["Dance of Chi-Ji"] = 807,
			["Recently Failed"] = 999,
			["Dance of Thorns"] = 900,
			["Dancing Blade:135408"] = 5,
			["Dancing Flames:135797"] = 401,
			["Dancing Rune Weapon"] = 96,
			["Dancing Thorns"] = 900,
			["Dargrul's Escape"] = 803,
			["Dark Arbiter"] = 411,
			["Val'kyr Battlemaiden"] = 411,
			["Dark Binding"] = 326,
			["Dark Bite"] = 33,
			["Dark Bolt Volley:3528312"] = 321,
			["Dark Bolt"] = 411,
			["Dark Bolt:3528312"] = 321,
			["Dark Claw"] = 33,
			["Dark Claw:237564"] = 413,
			["Dark Communion:1121020"] = 401,
			["Dark Communion:237564"] = 32,
			["Dark Communion:3528299"] = 411,
			["Dark Communion:3528308"] = 321,
			["Dark Communion:3528312"] = 321,
			["Dark Core"] = 32,
			["Dark Destruction:3528311"] = 321,
			["Dark Devastation:2576088"] = 326,
			["Dark Drain"] = 324,
			["Dark Eclupse"] = 411,
			["Dark Exile:2576087"] = 326,
			["Dark Fissure:136201"] = 32,
			["Dark Flurry:3528301"] = 411,
			["Dark Force:136201"] = 320,
			["Dark Gaze"] = 32,
			["Dark Hunger"] = 32,
			["Dark Intent"] = 32,
			["Dark Iron Land Mine"] = 100,
			["Dark Lash:3528302"] = 411,
			["Dark Lightning:252174"] = 911,
			["Dark Lotus:348548"] = 32,
			["Dark Luck"] = 325,
			["Dark Mark:136192"] = 413,
			["Dark Maul"] = 324,
			["Dark Mending"] = 32,
			["Dark Omen"] = 321,
			["Dark Orb"] = 320,
			["Dark Pact"] = 321,
			["Dark Portal"] = 127,
			["Dark Recital"] = 321,
			["Dark Reconstruction"] = 321,
			["Dark Reconstruction:1357796"] = 412,
			["Dark Release:1778229"] = 413,
			["Dark Rend"] = 33,
			["Dark Resurrection"] = 411,
			["Dark Ritual"] = 32,
			["Dark Ruination:1357796"] = 412,
			["Dark Rune"] = 96,
			["Dark Seeker:1345085"] = 411,
			["Dark Shroud:2576096"] = 326,
			["Dark Slash"] = 33,
			["Dark Soul"] = 32,
			["Dark Soul: Instability"] = 32,
			["Dark Soul: Misery"] = 32,
			["Dark Spin:135337"] = 411,
			["Dark Stride"] = 104,
			["Dark Succor"] = 105,
			["Dark Thought"] = 328,
			["Dark Torrent"] = 320,
			["Dark Transformation"] = 414,
			["Dark Undertow:135862"] = 415,
			["Dark Void"] = 320,
			["Darkened Bite"] = 33,
			["Biolectric Digestion"] = 800,
			["Bioelectric Digestion"] = 800,
			["Darkened Fangs"] = 33,
			["Darkened Gust"] = 811,
			["Darkest Darkness"] = 32,
			["Darkest Secrets:3528308"] = 327,
			["Darkfall:1357806"] = 412,
			["Darkflight"] = 33,
			["Darkglare"] = 32,
			["Darkheart Nova"] = 412,
			["Darkmist Bombardment"] = 411,
			["Darkness"] = 32,
			["Darksworn Blast"] = 411,
			["Dart"] = 104,
			["Darting Daggers"] = 112,
			["Dash"] = 104,
			["Dazzling Visage"] = 3,
			["Deactivating"] = 100,
			["Dead Eye"] = 104,
			["Deadeye Aim"] = 100,
			["Deadeye Charge"] = 104,
			["Deadly Bargain:2032589"] = 413,
			["Deadly Bite:132127"] = 101,
			["Deadly Gust"] = 811,
			["Deadly Hunger:2576085"] = 325,
			["Deadly Leech Poison"] = 806,
			["Deadly Poison"] = 806,
			["Deadly Pounce"] = 104,
			["Deafening Howl"] = 111,
			["Deafening Roar"] = 111,
			["Deafening Shout"] = 111,
			["Death and Decay"] = 321,
			["Death and Madness"] = "Insanity",
			["Death Blast"] = 411,
			["Death Blast:135803"] = 401,
			["Death Blast:2576089"] = 326,
			["Death Blast:2576091"] = 326,
			["Death Blow"] = 33,
			["Death Bolt"] = 411,
			["Death Bolt:2576097"] = 326,
			["Death Breath"] = 40,
			["Death Burst:2576094"] = 326,
			["Death Burst:2576094"] = 326,
			["Death Chakram"] = 326,
			["Death Gate"] = 32,
			["Death Glare:433446"] = 808,
			["Death Lazer"] = 800,
			["Death Lotus Powder"] = 321,
			["Death Pact"] = 411,
			["Death Rites Ritual"] = 326,
			["Death Sweep"] = 103,
			["Death Tempest"] = 326,
			["Death Tempest:3528305"] = 411,
			["Death Venom"] = 806,
			["Death Wail"] = 327,
			["Death Wave:1778230"] = 411,
			["Death Winds:3528295"] = 326,
			["Death Wish"] = 103,
			["Death Wish"] = 103,
			["Death's Advance"] = 32,
			["Death's Due:3636837"] = 805,
			["Death's Embrace:135945"] = 32,
			["Deathbolt Rift"] = 326,
			["Deathbolt Rifts"] = 326,
			["Deathbolt Rifts:3528303"] = 411,
			["Deathbolt"] = 411,
			["Deathborne"] = 326,
			["Deathly Roar"] = 327,
			["Deathly Roar:132095"] = 323,
			["Deathshades"] = 326,
			["Deathsong"] = 111,
			["Debilitate"] = 328,
			["Debilitating Beam"] = 3,
			["Debilitating Headbutt"] = 903,
			["Debilitating Shout"] = 111,
			["Debilitating Smash"] = 325,
			["Debilitating Vial"] = 806,
			["Decapitate"] = 909,
			["Decapitating Strike"] = 107,
			["Decay Flesh"] = 40,
			["Decaying Blast:3528302"] = 411,
			["Decaying Breath"] = 40,
			["Decaying Flesh"] = 40,
			["Decaying Roots"] = 40,
			["Decaying Roots:1357816"] = 412,
			["Decaying Strike"] = 410,
			["Decaying Touch"] = 326,
			["Decimate:135797"] = 414,
			["Decimating Bolt:3578232"] = 326,
			["Decimator:1097742"] = 320,
			["Deep Slumber"] = 900,
			["Deep Waters"] = 801,
			["Deep Wounds"] = 102,
			["Defense Matrix"] = 100,
			["Defensive Leap"] = 115,
			["Defibrilate"] = 100,
			["Defibrillate"] = 800,
			["Defile"] = 411,
			["Defile:3636837"] = 805,
			["Defiled Consecration"] = 32,
			["Defiled Ground"] = 324,
			["Defiling Dreadslam"] = 411,
			["Defiling Slam"] = 411,
			["Deluge"] = 801,
			["Delving the Void"] = 320,
			["Demon Soul"] = 32,
			["Demon Spikes"] = 427,
			["Demon Spit"] = 361,
			["Demonbane"] = 117,
			["Demonic Breath"] = 401,
			["Demonic Burst"] = 32,
			["Demonic Calling"] = 401,
			["Demonic Circle"] = 361,
			["Demonic Cleave"] = 427,
			["Demonic Core"] = 36,
			["Demonic Gateway"] = 361,
			["Demonic Insight:136169"] = 401,
			["Demonic Rift"] = 32,
			["Demonic Strikes"] = 32,
			["Demonic Trample"] = 427,
			["Tyr's Deliverance"] = 3,
			["Demonic Tutor"] = 328,
			["Demonic Tyrant"] = 32,
			["Demoralizing Shout"] = 117,
			["Deomic Tyrant"] = 127,
			["Depleted Shell:656440"] = 999,
			["Deploy Drogbar Barricade"] = 100,
			["Deploy Extractor"] = 100,
			["Deploy Relocators:136054"] = 104,
			["Deposit Anima"] = "Anima",
			["Depraved Harvest"] = 321,
			["Depraved Reversion:237585"] = 321,
			["Depth Charge"] = 801,
			["Dervish"] = 911,
			["Desecrate"] = 411,
			["Desecrate:1118739"] = 127,
			["Desecrate:2576087"] = 326,
			["Desecrate:425955"] = 32,
			["Desecrate:876354"] = 32,
			["Desecrated Runeblast"] = 401,
			["Desecrated:876354"] = 32,
			["Desintegration Beam"] = 320,
			["Desintegration Wave"] = 203,
			["Desolate:1778230"] = 413,
			["Despair"] = 324,
			["Desperate Prayer"] = 2,
			["Desperate Retching"] = 410,
			["Desperation"] = 323,
			["Despoiled Power"] = 411,
			["Despoiling Roots:1357816"] = 412,
			["Destroying"] = 100,
			["Destructive Procedure:3528303"] = 411,
			["Destructive Stomp"] = 903,
			["Desynchronize:4038101"] = 106,
			["Detect Anima"] = 96,
			["Detecting Life"] = 96,
			["Deterrent Slam"] = 903,
			["Deterrent Strike:236255"] = 33,
			["Deth Lazor"] = 800,
			["Detonate:3528287"] = 80,
			["Detonate:3528304"] = 327,
			["Devastate:136219"] = 427,
			["Devastating Arc"] = 112,
			["Devastating Leap"] = 903,
			["Devoted Sacrifice:237506"] = 321,
			["Devoted Strike"] = 3,
			["Devotion Aura"] = 110,
			["Devour Essence"] = 413,
			["Devour Humanoid"] = 414,
			["Devour Magic"] = 414,
			["Devour Phantasma"] = 327,
			["Devour Sins:1035055"] = 321,
			["Devour Soul"] = 326,
			["Devour Soul:841221"] = 401,
			["Devour Vitality:1778228"] = 413,
			["Devour"] = 112,
			["Devourer Rift"] = 413,
			["Devourer's Rift"] = 413,
			["Devouring Ambush"] = 109,
			["Devouring Blackness"] = 324,
			["Devouring Helix:1035054"] = 804,
			["Devouring Howl"] = 327,
			["Devouring Plague"] = 324,
			["Devouring Rift"] = 413,
			["Diabolical Dooooooom!"] = 327,
			["Die by the Sword"] = 909,
			["Diffuse Magic"] = 120,
			["Digging"] = 803,
			["Dimension Tear:4067372"] = 413,
			["Dimensional Tear:526520"] = 203,
			["Diminishing Curse"] = 325,
			["Diminuendo:135398"] = 411,
			["Dire Beast"] = 108,
			["Dire Beast: Basilisk"] = 119,
			["Dire Beast: Hawk"] = 811,
			["Direbrew's Disarm"] = 107,
			["Dirge of the Fallen Sanctum"] = 805,
			["Dirt Toss"] = 803,
			["Disabling"] = 100,
			["Disarming"] = 100,
			["Disarming..."] = 100,
			["Disassembling Protocol"] = 100,
			["Discharge"] = 800,
			["Discordant Barrage"] = 203,
			["Discordant Howl:3528300"] = 411,
			["Diseased Bite"] = 410,
			["Diseased Spit"] = 410,
			["Diseased Thrash"] = 410,
			["Disenchant"] = 126,
			["Disenchanting Carefully"] = 126,
			["Disenchanting"] = 126,
			["Disengage"] = 104,
			["Disgusting Slime"] = 806,
			["Disintegration Beam:1386551"] = 320,
			["Disintegration Laser"] = 402,
			["Dismantle:4038104"] = 106,
			["Fury of the Eagle"] = 109,
			["Dismiss Pet"] = 112,
			["Dispel Vision"] = 202,
			["Dispel"] = 202,
			["Dispelling"] = 202,
			["Disperse Sin"] = 321,
			["Spearhead"] = 280,
			["Disperse:136111"] = 800,
			["Dispersed Sin"] = 321,
			["Dispersion"] = 96,
			["Disruption Grenade:4037124"] = 203,
			["Disruptive Screams"] = 111,
			["Disruptive Shout"] = 111,
			["Dissolving Bolt"] = 806,
			["Dissonant Echoes"] = 320,
			["Distorting Reality"] = 320,
			["Divine Hymn"] = 200,
			["Divine Protection"] = 66,
			["Divine Purpose"] = 66,
			["Divine Shield"] = 660,
			["Divine Steed"] = 3,
			["Diviner's Signal:237587"] = 800,
			["Diving Crash:657488"] = 903,
			["Dizzy"] = 202,
			["Dodge Ball:132387"] = 805,
			["Dominate Mind"] = 328,
			["Dominate Will"] = 328,
			["Dominated Hearthstone"] = 411,
			["Dominating Touch"] = 411,
			["Domination"] = 328,
			["Domination:341221"] = 411,
			["Doom Blade:1109118"] = 427,
			["Doom Gaze"] = 720,
			["Doom Shroom"] = 40,
			["Doom Shroom:1029746"] = 40,
			["Doom Shroom:134529"] = 413,
			["Doom"] = 411,
			["Doomblast:3528298"] = 411,
			["Door of Shadows"] = 321,
			["Dormant Volcano"] = 400,
			["Dormant Volcano"] = 400,
			["Shoot Thorns"] = 900,
			["Dormant Volcanoes"] = 400,
			["Double Strike"] = 110,
			["Double Swipe"] = 108,
			["Double Tap"] = 108,
			["Double Technique:132148"] = 402,
			["Triple Technique:133276"] = 402,
			["Double Time:458224"] = 641,
			["Down Draft"] = 811,
			["Downpour"] = 801,
			["Downward Smash:463566"] = 803,
			["Downward Strike"] = 107,
			["Draconic Descent"] = 660,
			["Draconic Empowerment"] = 660,
			["Draenic Living Action Potion"] = 115,
			["Draenic Swiftness Potion"] = 104,
			["Draenor Blacksmithing"] = 114,
			["Draenor Jewelcrafting"] = 114,
			["Draenor Leatherworking"] = 114,
			["Draenor Scouting Map"] = 114,
			["Draenor Tailoring"] = 114,
			["Dragon Plume"] = 805,
			["Dragon Roar"] = 111,
			["Dragon Stomp"] = 9,
			["Dragon's Breath"] = 4,
			["Dragon's Flight"] = 103,
			["Dragon's Guile"] = 115,
			["Dragonstomp:134294"] = 9,
			["Drain Anima:3528283"] = 201,
			["Drain Anima:3528284"] = 201,
			["Drain Anima:3528306"] = 321,
			["Drain Anima:3528308"] = 321,
			["Drain Anima:538040"] = 321,
			["Drain Blood"] = 321,
			["Drain Colossus:3528306"] = 321,
			["Drain Essence"] = 326,
			["Drain Essence:1003601"] = 321,
			["Drain Fluids:1394887"] = 40,
			["Drain Hope:3528300"] = 411,
			["Drain Life"] = 326,
			["Drain Mana"] = "Mana",
			["Drain Soul"] = 32,
			["Drain Spirit"] = 326,
			["Drain Will:571321"] = 32,
			["Draw Flame"] = 4,
			["Draw Flames"] = 4,
			["Draw Mojo:2576088"] = 326,
			["Draw Soul:2576083"] = 326,
			["Draw Soul:2576083"] = 326,
			["Draw Soul:2576088"] = 326,
			["Draw Soulkindling"] = 411,
			["Dread Bindings:326827"] = 909,
			["Dread Chaos"] = 321,
			["Dread Growth"] = 40,
			["Dread Inferno"] = 402,
			["Dread Orb:332402"] = 321,
			["Dread Roar"] = 327,
			["Dread Screech"] = 111,
			["Dread Slash:132318"] = 903,
			["Dread Slug:132323"] = 321,
			["Dread Strike"] = 327,
			["Dread Superstition"] = 328,
			["Dreadbolt Volley:3528310"] = 321,
			["Dreadflame Volley"] = 36,
			["Dreadful Anger"] = 103,
			["Dreadful Pulse:3528303"] = 411,
			["Dreadful Wrath"] = 36,
			["Dread Wrath Volley"] = 36,
			["Dreadstalker"] = 32,
			["Dreadstalkers"] = 32,
			["Dream Dust"] = 802,
			["Dreaming Charge"] = 805,
			["Dreamwalk"] = 10,
			["Drifting Star:4037119"] = 203,
			["Drink Muck"] = 410,
			["Drink Potion"] = 281,
			["Drink Minor Potion"] = 281,
			["Drink Lesser Potion"] = 281,
			["Drop Prey"] = 108,
			["Drops of Void"] = 320,
			["Drowning Smash"] = 901,
			["Drudge Bolt Volley:132862"] = 999,
			["Drudge Bolt"] = 413,
			["Drudge Bolt:132862"] = 999,
			["Drums of Deathly Ferocity"] = 105,
			["Drums of Fury"] = 105,
			["Drums of Rage"] = 105,
			["Drums of the Maelstrom"] = 105,
			["Drums of the Mountain"] = 105,
			["Drunken Haze"] = 282,
			["Drust Soulcatcher"] = 413,
			["Duke's Descent"] = 321,
			["Dungeon Deserter"] = 999,
			["Duskbolt"] = 32,
			["Dust Storm"] = 804,
			["Earsplitting Shriek"] = 111,
			["Earth Blast"] = 803,
			["Earth Bolt"] = 803,
			["Earth Crush"] = 803,
			["Earth Elemental"] = 803,
			["Earth Rumble"] = 803,
			["Earth Shaking Club"] = 903,
			["Earth Shatter"] = 803,
			["Earth Shield"] = 803,
			["Earth Slash"] = 803,
			["Earth Spike"] = 803,
			["Earthbind Totem"] = 903,
			["Stoneskin Totem"] = 903,
			["Earthbind"] = 803,
			["Earthen Blast"] = 803,
			["Earthen Slam"] = 803,
			["Earthen Strikes"] = 803,
			["Earthen Wall Totem"] = 803,
			["Earthgrab Totem"] = 8,
			["Earthquake"] = 12,
			["Earthrending Slam"] = 903,
			["Earthshaking Club"] = 903,
			["Earthshaking Roar:1354169"] = 412,
			["Earthshards"] = 803,
			["Earthshatter"] = 803,
			["Earthwarden"] = 803,
			["Eastern Kingdoms Scouting Map"] = 114,
			["Eating"] = 202,
			["Ebon Bolt"] = 80,
			["Ebon Clarion"] = 411,
			["Ebon Gargoyle"] = 33,
			["Ebon Scourge"] = 806,
			["Echo of Light"] = 2,
			["Echo"] = 111,
			["Echodivision"] = 111,
			["Echoes of Carnage:636333"] = 720,
			["Echoes of Destruction"] = 413,
			["Echoes of Destruction:1778228"] = 413,
			["Echoes of Shadra"] = 32,
			["Echoes of the Void"] = 320,
			["Echoing Freedom"] = 104,
			["Echoing Protection"] = 65,
			["Echoing Reprimand"] = 201,
			["Echoing Shock"] = 28,
			["Echoing Slam:3528301"] = 411,
			["Echoing Smash:796637"] = 903,
			["Echoing Sonar"] = 111,
			["Echoing Thrust:3259845"] = 321,
			["Eclipse (Lunar)"] = 640,
			["Eclipse (Solar)"] = 6,
			["Ectoplasm Spew"] = 414,
			["Ectoplasm"] = 414,
			["Edge of Annihilation:1778227"] = 413,
			["Edge of Annihilation:2101973"] = 203,
			["Edge of Obliteration:1778227"] = 413,
			["Edge of Oblivion"] = 33,
			["Edge of Twilight"] = 34,
			["Eerie Skull"] = 327,
			["Effigy of Torment"] = 411,
			["Efflorescence"] = 10,
			["Effusive Anima Accelerator"] = 201,
			["Egg Rush!"] = 661,
			["Elder Charge"] = 805,
			["Electric Discharge"] = 800,
			["Electric Shock"] = 800,
			["Electrified Chakram"] = 800,
			["Electrified Net"] = 100,
			["Electrified Scales"] = 800,
			["Electrify"] = 800,
			["Electrocute"] = 800,
			["Electrostatic Charge"] = 800,
			["Electrostatic Distortion"] = 100,
			["Elemental Blast"] = 28,
			["Elemental Blast: Critical Strike"] = 4,
			["Elemental Blast: Haste"] = 811,
			["Elemental Blast: Mastery"] = 16,
			["Elementium Squirrel Bomb"] = 100,
			["Elune's Wrath"] = 640,
			["Elusive Brawler"] = 115,
			["Elysian Decree"] = 201,
			["EM Field"] = 800,
			["Embalming Ichor:1001622"] = 281,
			["Ember Swipe"] = 112,
			["Emblazoned Swipe:135802"] = 427,
			["Embrace of Death"] = 411,
			["Embrace of Pa'ku"] = 811,
			["Emergency Barrier:135874"] = 106,
			["Emergency Parachute"] = 100,
			["Emergency Repairs"] = 100,
			["Emotion Expulsion"] = 324,
			["Emotional Outburst:136158"] = 324,
			["Emotional Outburst:136184"] = 324,
			["Empower Ashjra'kamas"] = 660,
			["Empower Golem"] = 64,
			["Soulsever"] = 33,
			["Visions of the Dark Titan"] = 411,
			["Empower Heart of Azeroth"] = 204,
			["Empower Heart"] = 204,
			["Empower Rune Weapon"] = 96,
			["Empower Runeblade"] = 96,
			["Will of the Demon Within"] = 32,
			["Empower Spawning Pool"] = 801,
			["Empowered Bonds of Fel:1117884"] = 402,
			["Empowered Defense:236254"] = 202,
			["Empowered Desecrate:876354"] = 32,
			["Empowered Drowning Smash"] = 901,
			["Empowered Explosive Runes:1122137"] = 810,
			["Empowered Felblast"] = 401,
			["Empowered Glyph of Restraint:4037120"] = 203,
			["Empowered Liquid Hellfire:135800"] = 401,
			["Empowered Sight:1405818"] = 411,
			["Empowered Slice:1109118"] = 427,
			["Empowering the Heart"] = 204,
			["Empyreal Ordnance:1405806"] = 201,
			["Empyreal Reflexes"] = 115,
			["Empyreal Roar"] = 111,
			["Empyrean Power"] = 201,
			["Empyreal Blaze"] = 4,
			["Enchant"] = 126,
			["Enchanting"] = 126,
			["Endless Hunger"] = 324,
			["Endless Rage"] = 103,
			["Endless Torment:1394887"] = 321,
			["Energize!"] = 800,
			["Energize"] = 100,
			["Energizing Elixir"] = "Energy",
			["Energy Drain"] = 64,
			["Energy Expulsion:237510"] = 64,
			["Energy Fragmentation:4037123"] = 203,
			["Energy Shield"] = 800,
			["Energy Slash:3954409"] = 203,
			["Engineering"] = 100,
			["Engorge:136158"] = 413,
			["Engulfing Hunger:132111"] = 413,
			["Enlightened Hearthstone"] = 203,
			["Enrage"] = 103,
			["Enraged Bite"] = 103,
			["Enraged Mask:132096"] = 321,
			["Enraged Regeneration"] = 105,
			["Enslave Demon"] = 328,
			["Enslave"] = 328,
			["Ensnaring Moss"] = 10,
			["Entanglement"] = 8,
			["Entangling Roots"] = 8,
			["Enter The Rift"] = 320,
			["Entering the Rift:3528301"] = 411,
			["Entrap Soul"] = 327,
			["Entropic Blast"] = 320,
			["Entropic Detonation:3528301"] = 411,
			["Entropic Embrace"] = 320,
			["Energy Tether:3528282"] = 201,
			["Entropic Focus"] = 320,
			["Entropic Heart"] = 320,
			["Entropic Whirl"] = 320,
			["Enveloping Breath"] = 802,
			["Sleep"] = 328,
			[340642] = 413, -- Death Blow
			["Enveloping Mist"] = 802,
			["Enveloping Webbing"] = 900,
			["Anima Infusion:1394887"] = 321,
			["Envenom"] = 906,
			["Ephemeral Wings"] = 2,
			["Eradicate"] = 411,
			["Eradication"] = 32,
			["Eradicate:460698"] = 36,
			["Eradication Seeds:1282282"] = 805,
			["Eroded Crust:134385"] = 803,
			["Erupting Darkness:136181"] = 32,
			["Erupting Shadow:136201"] = 32,
			["Erupting Strike:451165"] = 803,
			["Erupting Terror:1357798"] = 412,
			["Erupting Torment:3528313"] = 321,
			["Eruption:136025"] = 803,
			["Eruption:236758"] = 804,
			["Eruption:237002"] = 803,
			["Eruption:463566"] = 803,
			["Essence Barrier:136051"] = 413,
			["Essence Break"] = 32,
			["Essence Font"] = 907,
			["Essence Link:132146"] = 413,
			["Essence of the Focusing Iris"] = 204,
			["Essence of the Martyr"] = 202,
			["Essence Rain"] = 321,
			["Essence Rift:135729"] = 413,
			["Essential Oil"] = 999,
			["Etch:136202"] = 96,
			["Eternal Torment"] = 322,
			["Eternal Traveler's Hearthstone"] = 201,
			["Ethereal Portal"] = 646,
			["Euphoria"] = 105,
			["Evasion"] = 115,
			["Evasive Lunge"] = 115,
			["Everlook Transporter"] = 646,
			["Evocation"] = "Mana",
			["Exact Toll:3528308"] = 321,
			["Examining"] = 114,
			["Excess Mana"] = "Mana",
			["Excite:574795"] = 6,
			["Excruciating Agony"] = 322,
			["Excruciating Agony:3528304"] = 411,
			["Execution Sentence:306922"] = 411,
			["Execution Sentence:613954"] = 200,
			["Exhaustion"] = 999,
			["Exhume the Crypts"] = 414,
			["Exoneration:3528286"] = 201,
			["Expedited:1717107"] = 64,
			["Expel:4038103"] = 106,
			["EXPLODE!:3528287"] = 80,
			["Exploding Runes:135829"] = 810,
			["Explosive Bombardment:892832"] = 810,
			["Explosive Contrivance:1360978"] = 203,
			["Explosive Fel Rune"] = 401,
			["Explosive Fungalstorm"] = 40,
			["Explosive Mawsphere"] = 327,
			["Explosive Mawspheres"] = 327,
			["Explosive Rounds"] = 4,
			["Explosive Rune"] = 96,
			["Explosive Runes"] = 96,
			["Explosive Runes:1122136"] = 810,
			["Explosive Shot"] = 4,
			["Explosive Vellum:531009"] = 4,
			["Expose Desires:3684826"] = 321,
			["Exposed Core"] = 813,
			["Expulse Shadows"] = 32,
			["Expulsion Slam:4038105"] = 3,
			["Exsanguinating Bite"] = 101,
			["Exsanguinating Bite"] = 102,
			["Externalize Rage"] = 324,
			["Extinguish Fire"] = 801,
			["Extract Agony:3528302"] = 411,
			["Extracting Histories:1029583"] = 201,
			["Extracting Power:132096"] = 321,
			["Eye Beam"] = 127,
			["Eye for an Eye"] = 3,
			["Eye of Dread"] = 327,
			["Eye of Gul'dan"] = 401,
			["Eye of Kilrogg"] = 401,
			["Eye of the Storm"] = 911,
			["Eye of Tyr"] = 3,
			["Tempest"] = 911,
			["Eyes of Elune"] = 640,
			["Eyes of the Empress"] = 327,
			["Face Kick"] = 110,
			["Fade to Nothing"] = 33,
			["Fade"] = 720,
			["Fading Blast:3528304"] = 411,
			["Fading Strike"] = 720,
			["Fae Guardian"] = 805,
			["Fae Guardians"] = 805,
			["Fae Transfusion"] = 805,
			["Faerie Dust"] = 805,
			["Faerie Fire"] = 805,
			["Faerie's Blessing"] = 805,
			["Faerie's Whisper"] = 805,
			["Faithful Javelin Volley"] = 3,
			["Faithful Javelin"] = 3,
			["Faithful Javelins"] = 3,
			["Fallen Order:3565721"] = 321,
			["Fallen Priest's Blessing"] = 203,
			["Fan Mail"] = 114,
			["Fan of Knives"] = 909,
			["Fanning the Flames"] = 5,
			["Far Sight"] = 721,
			["Eagle Eye"] = 721,
			["Fatal Sting"] = 806,
			["Fatigue"] = 999,
			["Fatigued"] = 999,
			["Fatiguing Roar"] = 111,
			["Fear of the Unknown"] = 327,
			["Fear"] = 327,
			["Fearsome Howl"] = 327,
			["Fearsome Shriek"] = 327,
			["Feast of Souls"] = 105,
			["Feast on the Living:136214"] = 323,
			["Feast:132278"] = 105,
			["Feather Burst"] = 811,
			["Feather Dance"] = 911,
			["Feather Flourish"] = 811,
			["Feathery Onslaught"] = 811,
			["Feed Young:134437"] = 8,
			["Feed:237566"] = 64,
			["Feeding Frenzy"] = 112,
			["Feeding:136213"] = 413,
			["Feign Death"] = 411,
			["Feint"] = 323,
			["Fel Annihilation"] = 401,
			["Fel Arcing Smash"] = 427,
			["Fel Armament"] = 127,
			["Fel Barrage"] = 127,
			["Fel Beam"] = 401,
			["Fel Beams"] = 401,
			["Fel Bile"] = 401,
			["Fel Bindings"] = 401,
			["Fel Blast"] = 401,
			["Fel Bolt"] = 401,
			["Fel Bombardment"] = 401,
			["Fel Breath"] = 401,
			["Fel Burn"] = 401,
			["Cannon Barrage"] = 5,
			["Fel Cannon Blast"] = 401,
			["Fel Cauterize"] = 401,
			["Fel Channeling"] = 127,
			["Fel Cleave"] = 427,
			["Fel Conduit"] = 127,
			["Fel Destruction"] = 401,
			["Fel Detonation"] = 401,
			["Fel Devastation"] = 401,
			["Fel Domination"] = 36,
			["Fel Efflux"] = 127,
			["Fel Empowerment"] = 401,
			["Fel Fire"] = 401,
			["Fel Fireball"] = 401,
			["Fel Fireblast"] = 401,
			["Fel Firebolt"] = 401,
			["Fel Firebomb"] = 401,
			["Fel Firestorm"] = 401,
			["Fel Fissure"] = 401,
			["Fel Flame Spit"] = 401,
			["Fel Flame"] = 401,
			["Fel Flames"] = 401,
			["Fel Flamestrike"] = 401,
			["Fel Flurry"] = 427,
			["Fel Focus"] = 401,
			["Fel Gaze"] = 401,
			["Fel Gravity Well"] = 127,
			["Fel Immolate"] = 401,
			["Fel Immolation Aura"] = 401,
			["Fel Immolation"] = 401,
			["Fel Implosion"] = 401,
			["Fel Imprisonment"] = 401,
			["Fel Incinerate"] = 401,
			["Fel Lance"] = 401,
			["Fel Infusion"] = 401,
			["Fel Lava Beam"] = 401,
			["Fel Lava Burst"] = 401,
			["Fel Lightning"] = 401,
			["Fel Lord"] = 427,
			["Fel Meteor Explosion"] = 401,
			["Fel Meteor Swarm"] = 401,
			["Fel Meteor"] = 401,
			["Fel Meteorite"] = 401,
			["Fel Poison"] = 401,
			["Fel Power"] = 401,
			["Fel Power:136216"] = 32,
			["Fel Rage"] = 103,
			["Fel Rain"] = 401,
			["Fel Rupture"] = 127,
			["Fel Rush"] = 427,
			["Fel Sear"] = 401,
			["Fel Shield Blast"] = 401,
			["Fel Shock"] = 401,
			["Fel Slagblast"] = 401,
			["Fel Slash"] = 427,
			["Fel Slash:135802"] = 427,
			["Fel Slicer"] = 427,
			["Fel Spike"] = 401,
			["Fel Spikes"] = 127,
			["Fel Squall"] = 401,
			["Fel Stomp"] = 427,
			["Fel Storm"] = 401,
			["Fel Streak"] = 401,
			["Fel Strike:1115730"] = 401,
			["Fel Strikes"] = 427,
			["Fel Tear"] = 401,
			["Fel Tempest"] = 401,
			["Fel Weaving"] = 401,
			["Fel Whirlwind"] = 427,
			["Felblast"] = 401,
			["Felblaze Cleave"] = 401,
			["Felblaze Rush"] = 401,
			["Felbolt"] = 401,
			["Felborne Rage"] = 401,
			["Felburst"] = 401,
			["Felfire Assault"] = 401,
			["Felfire Blast"] = 401,
			["Felfire Bolt"] = 401,
			["Felfire Brazier"] = 401,
			["Felfire Fission"] = 401,
			["Felfire Haste"] = 401,
			["Felfire Missiles"] = 401,
			["Felfire Portal"] = 401,
			["Felfire Shock"] = 401,
			["Felfire Slam"] = 401,
			["Felfire Volley"] = 401,
			["Felfire"] = 401,
			["Felfrost Bolt"] = 401,
			["Felguard"] = 127,
			["Felshard Meteor"] = 401,
			["Felshard Meteors"] = 401,
			["Felshot"] = 427,
			["Felstorm Barrage"] = 401,
			["Felstorm"] = 127,
			["Felstorm"] = 427,
			["Feral Spirit"] = 720,
			["Ferocious Yell"] = 111,
			["Ferocity of the Frostwolf"] = 720,
			["Fervent Barrage"] = 80,
			["Festering Belch"] = 40,
			["Festering Wound"] = 324,
			["Fetid Bite"] = 410,
			["Fetid Breath"] = 40,
			["Fetid Corpse"] = 40,
			["Fetid Gas"] = 410,
			["Fetid Hide"] = 40,
			["Fevered Plague"] = 40,
			["Fiery Blast"] = 4,
			["Fiery Boulder"] = 400,
			["Fiery Brand:1344647"] = 401,
			["Fiery Breath"] = 4,
			["Fiery Brimstone"] = 400,
			["Fiery Strike"] = 5,
			["Final Bargain:2576086"] = 326,
			["Final Harvest"] = 326,
			["Final Reckoning:135878"] = 200,
			["Final Sting"] = 806,
			["Fingers of Frost"] = 160,
			["Fire Bomb"] = 4,
			["Fire Eater's Hearthstone"] = 4,
			["Fire Elemental"] = 4,
			["Fire Shards"] = 400,
			["Fire Support: Black Skies"] = 5,
			["Fire Support: Blackest Skies"] = 5,
			["Fire Whirl"] = 4,
			["Fireball Barrage:135793"] = 401,
			["Fireball Barrage:135797"] = 401,
			["Fireball Barrage:135803"] = 401,
			["Fireball"] = 4,
			["Firebird"] = 4,
			["Fireblood"] = 400,
			["Firebolt"] = 4,
			["Firebolt:135780"] = 401,
			["Firebolt:135797"] = 401,
			["Firebolt:841220"] = 401,
			["Firestorm Kick"] = 4,
			["Firestorm"] = 4,
			["Firing"] = 100,
			["First Aid"] = 202,
			["First Avenger"] = 202,
			["Fishing Guide to Draenor"] = 114,
			["Fishing Portal"] = 801,
			["Fishing"] = 801,
			["Fishy Strike"] = 901,
			["Fissile Fling"] = 806,
			["Fissure:1032476"] = 400,
			["Fists of Fury"] = 907,
			["Fixate"] = 112,
			["Fixing Up"] = 100,
			["Fixing"] = 100,
			["Flagellation"] = 321,
			["Flame Arrows"] = 5,
			["Flame Breath"] = 4,
			["Flame Charge:237562"] = 401,
			["Flame of Battle:3536188"] = 326,
			["Flame Patch"] = 400,
			["Flame Reborn"] = 6,
			["Flame Shock"] = 4,
			["Flame Spit"] = 4,
			["FLAME THROWER!"] = 4,
			["Flame Thrower"] = 4,
			["Flame Whirl"] = 4,
			["Flames of Argus"] = 401,
			["Flames of Azzinoth"] = 401,
			["Flames of Courage"] = 80,
			["Flames of Reorigination:236228"] = 402,
			["Flames of Sargeras"] = 402,
			["Flames of the Fallen:841218"] = 401,
			["Flamestrike"] = 4,
			["Flamethrower"] = 4,
			["Flaming Core:135799"] = 401,
			["Flap Wings"] = 811,
			["Flap"] = 811,
			["Flare"] = 5,
			["Fireworks"] = 5,
			["Flash Bang"] = 3,
			["Flash Concentration"] = 3,
			["Flash Heal"] = 2,
			["Flash of Phoenixes"] = 68,
			["Flashing Fangs:132127"] = 65,
			["Fleet of Foot"] = 104,
			["Fleethoof"] = 115,
			["Fleeting Frenzy"] = 103,
			["Fleetwing"] = 104,
			["Flesh to Stone"] = 325,
			["Fleshcraft"] = 326,
			["Flick Match"] = 4,
			["Flickering Flame:135797"] = 401,
			["Flight Master's Whistle"] = 811,
			["Flight"] = 202,
			["Fling Blade"] = 100,
			["Fling Filth"] = 40,
			["Fling Goop"] = 40,
			["Fling Muck"] = 410,
			["Flourish"] = 6,
			["Flowing Strike"] = 109,
			["Flurry of Feathers"] = 811,
			["Flurry of Steel"] = 110,
			["Flurry of Steel"] = 909,
			["Flurry"] = 107,
			["Flurry:1506795"] = 16,
			["Flying Serpent Kick"] = 807,
			["Focus Magic"] = 64,
			["Focused Annihilation"] = 203,
			["Focused Assault:294033"] = 9,
			["Focused Blast"] = 64,
			["Focused Blast:1117885"] = 401,
			["Focused Blast:3528302"] = 411,
			["Focused Blast:3528302"] = 411,
			["Focused Bursts:136050"] = 64,
			["Focused Chi Burst"] = 907,
			["Focused Conduit:4037119"] = 203,
			["Focused Gaze:3528298"] = 411,
			["Focused Lightning"] = 800,
			["Focused Loathing"] = 327,
			["Focused Will"] = 202,
			["Font of Torment"] = 411,
			["Forage"] = 8,
			["Forbearance"] = 999,
			["Forbidden Knowledge:3528299"] = 411,
			["Forbidden Rune"] = 96,
			["Force and Verve"] = 111,
			["Force Multiplier:136088"] = 103,
			["Force of Gravity"] = 320,
			["Force of Nature"] = 8,
			["Forced Contition:3528308"] = 321,
			["Forced Contrition"] = 321,
			["Forces of Nightmare"] = 412,
			["Forge Fire:135782"] = 80,
			["Forgeborne Reveries"] = 326,
			["Forgeflame:135782"] = 80,
			["Forked Lightning"] = 800,
			["Forlorn Tears"] = 48,
			["Form Crystals"] = 808,
			["Forsworn Bolt"] = 411,
			["Forsworn Doctrine"] = 201,
			["Forsworn Doctrine"] = 411,
			["Forsworn Ground"] = 411,
			["Forsworn Strike"] = 33,
			["Fortifying Brew"] = 803,
			["Foul Blast:135804"] = 401,
			["Foul Blast:425959"] = 320,
			["Foul Breath"] = 40,
			["Foul Slash"] = 415,
			["Foul Smash"] = 415,
			["Foul Smash:607850"] = 33,
			["Foul Spores"] = 40,
			["Foul Tempest:136135"] = 401,
			["Foul Winds"] = 811,
			["Four Winds"] = 811,
			["Four-Finger Beam:4038101"] = 106,
			["Fracture Soul"] = 411,
			["Fracture Soul"] = 411,
			["Fracture"] = 903,
			["Fragment:236300"] = 32,
			["Fragmented Halo"] = 320,
			["Frailty"] = 361,
			["Free Action"] = 115,
			["Freeing Critter"] = 202,
			["Freeing"] = 202,
			["Freeze Tag"] = 16,
			["Freezing Blast"] = 16,
			["Freezing Rain"] = 24,
			["Freezing Storm"] = 24,
			["Freezing Winds"] = 24,
			["Frenetic Speed"] = 4,
			["Frenzied Bite"] = 103,
			["Frenzied Regeneration"] = 8,
			["Frenzied Thrash"] = 112,
			["Frenzy"] = 103,
			["Frenzyheart's Fury:136018"] = 911,
			["Frenzywing"] = 427,
			["Frightening Roar"] = 327,
			["Frigid Spikes:1392550"] = 160,
			["Frog Fall"] = 811,
			["From the Ashes"] = 804,
			["From the Shadows"] = 33,
			["Frost Armor"] = 80,
			["Frost Bomb"] = 16,
			["Frost Fever"] = 24,
			["Frost Strike"] = 17,
			["Frostbolt Volley"] = 16,
			["Frostbolt"] = 16,
			["Frostbolt"] = 16,
			["Frostfire Bolt"] = 20,
			["Frostfire Reflector"] = 20,
			["Frostflurry"] = 16,
			["Froststorm Breath"] = 24,
			["Froststrike"] = 17,
			["Frosty Howl"] = 160,
			["Frozen Binds"] = 16,
			["Frozen Orb"] = 16,
			["Frozen Rain"] = 16,
			["Frozen Sweep"] = 16,
			["Frozen Tears"] = 48,
			["Fuel Torrent:1500932"] = 999,
			["Full Autofire"] = 100,
			["Full Moon"] = 805,
			["FULL POWER:460687"] = 321,
			["Fully Armed:133860"] = 203,
			["Fumarole"] = 802,
			["Fungal Spores"] = 40,
			["Fungistorm:132119"] = 40,
			["Furious Ashhide Mushan"] = 175,
			["Furious Assault"] = 107,
			["Furious Charge"] = 104,
			["Furious Quake"] = 803,
			["Furious Roar"] = 111,
			["Furious Screech"] = 103,
			["Furious Slam:3995538"] = 411,
			["Furious Strike:236257"] = 80,
			["Furious Swipes:1396978"] = 103,
			["Furious Thrashing"] = 107,
			["Fury of Elune"] = 805,
			["Fury of the Beast"] = 117,
			["Fury of the Maw"] = 411,
			["Fuselighter"] = 4,
			["Galactic Guardian"] = 72,
			["Gale Eruption"] = 811,
			["Gale Force"] = 811,
			["Gale Slash"] = 811,
			["Gale Winds"] = 811,
			["Gale"] = 811,
			["Gargoyle Strike"] = 414,
			["Garrison Hearthstone"] = 646,
			["Garrote"] = 101,
			["Gaseous Breath"] = 40,
			["Gaseous Bubbles"] = 415,
			["Gash"] = 101,
			["wwwwwwwwwwwwaMisery:3861529"] = 411,
			["Shadowflame Blast"] = 36,
			["Gather Pollen"] = 8,
			["Gathering Heat:841221"] = 401,
			["Gathering Storms"] = 911,
			["Gauntlet Smash:509966"] = 5,
			["Genesis"] = 10,
			["Gently Lifting"] = 202,
			["Germinate Arborblade"] = 8,
			["Geyser"] = 801,
			["Ghastly Wail"] = 323,
			["Ghost Step:2576088"] = 326,
			["Giant-felling Cleave"] = 903,
			["Giantbreaker Spear"] = 5,
			["Gieger Smash"] = 109,
			["Gift of Ardenweald"] = 805,
			["Gift of Argus"] = 127,
			["Gift of G'huun"] = 327,
			["Gift of the Martyr:841219"] = 401,
			["Gift of the Naaru"] = 2,
			["Gift of the Titans"] = 660,
			["Giga-Wallop"] = 800,
			["Giga-Zap"] = 800,
			["Gilded Claws"] = 3,
			["Give No Quarter:132337"] = 65,
			["Give Silk"] = 900,
			["Glacial Spike"] = 16,
			["Glacial Winds"] = 24,
			["Gladiator's Badge"] = 117,
			["Gladiator's Insignia"] = 117,
			["Gladiator's Resonator"] = 106,
			["Gladiator's Warbanner"] = 112,
			["Glaive Blast:135797"] = 401,
			["Glaive Tempest"] = 127,
			["Glaive Toss"] = 109,
			["Glare:3528302"] = 411,
			["Glass Cannon"] = 808,
			["Glimmer of Light"] = 2,
			["Glimmering Illusion"] = 805,
			["Glimpse of the Void"] = 320,
			["Glitter Burst"] = 721,
			["Glittering Scrap Musket"] = 100,
			["Glob of Fel"] = 401,
			["Gloom Burst:236296"] = 320,
			["Gloom Burst:3528312"] = 321,
			["Gloom Squall:1035055"] = 321,
			["Glorious Purpose"] = 106,
			["Glowing Rune Axe"] = 65,
			["Gluttonous Slam"] = 413,
			["Glyph of Assimilation"] = 203,
			["Glyph of Destruction:236219"] = 203,
			["Glyph of Restraint:4037120"] = 203,
			["Gnash"] = 903,
			["Gnome Ingenuity"] = 100,
			["Gnomish Transporter"] = 100,
			["Goblin Glider"] = 100,
			["Goblin Transporter"] = 100,
			["Going Bananas"] = 103,
			["Golden Bolt"] = 6,
			["Goliath Bulwark:3079436"] = 80,
			["Goliath's Bane"] = 112,
			["Gore Bomb"] = 321,
			["Gore Charge"] = 104,
			["Gore"] = 101,
			["Goresplatter"] = 410,
			["Gorge Bite"] = 108,
			["Gorging Leap:1506795"] = 805,
			["Gorging Smash"] = 413,
			["Goring Charge"] = 104,
			["Goring Swipe"] = 112,
			["Grabbing"] = 100,
			[241345] = 106, -- Cleansing Blast (Defensive Countermeasure)
			["Luminescent Barrier"] = 200,
			["Grabbing..."] = 100,
			["Grace of Nature"] = 8,
			["Grand Consumption:3528279"] = 413,
			["Chaotic Eruption"] = 401,
			["Wrath of the Creators:135922"] = 200,
			["Mass Instability:535593"] = 127,
			["Titanic Bulwark:135874"] = 200,
			[235271] = 127, -- Infusion (Maiden of Vigilance)
			["Hammer of Obliteration:1038844"] = 401,
			["Hammer of Creation:135875"] = 200,
			["Grand Melee"] = 104,
			["Granite Wings"] = 803,
			["Grapeshot Blast"] = 5,
			["Obliterating Smash:1038844"] = 401,
			["Grappling Gun"] = 100,
			["Grappling Hook"] = 100,
			["Grasping Spirits"] = 323,
			["Grasping Darkness"] = 32,
			["Crush Mind"] = 328,
			["Grave Spike"] = 415,
			["Graze"] = 900,
			["Grease Spray:252178"] = 999,
			["Greater Castigation:3528313"] = 321,
			["Greater Earth Elemental"] = 803,
			["Greater Fade"] = 720,
			["Greater Fire Elemental"] = 4,
			["Greater Invisibility"] = 720,
			["Greater Polymorph"] = 646,
			["Greater Storm Elemental"] = 911,
			["Greatfather Winter's Hearthstone"] = 16,
			["Grenade Launcher"] = 100,
			["Grenade"] = 5,
			["Grievous Strike"] = 102,
			["Grim Fate:136135"] = 32,
			["Grim Fate:2576092"] = 326,
			["Grim Venom"] = 806,
			["Grimoire of Sacrifice"] = 32,
			["Grimoire of Service"] = 32,
			["Grimoire of Servitude"] = 32,
			["Grinding Crunch"] = 112,
			["Grip of Hunger:3528281"] = 413,
			["Grip of the Void"] = 320,
			["Ground Crush"] = 903,
			["Ground Pound"] = 903,
			["Ground Rupture"] = 803,
			["Ground Shatter"] = 803,
			["Ground Slam"] = 903,
			["Ground Slap"] = 903,
			["Ground Spike"] = 803,
			["Ground Stomp"] = 903,
			["Grounded Rage:1016245"] = 803,
			["Growing Anger"] = 103,
			["Growing Hatred:1778230"] = 413,
			["Growing Mistrust:3528309"] = 321,
			["Growing Paranoia"] = 324,
			["Gruesome Cleave:3256306"] = 107,
			["Gruesome Tear"] = 101,
			["Gruff"] = 900,
			["Guard"] = 202,
			["Guardian Bulwark:3867785"] = 203,
			["Guardian Faerie"] = 805,
			["Guardian of Ancient Kings"] = 200,
			["Guardian of Ancient Queens"] = 200,
			["Guardian of Azeroth"] = 204,
			["Guardian of Elune"] = 640,
			["Guardian of the Spring"] = 805,
			["Guardian Spirit"] = 201,
			["Guessing Game"] = 805,
			["Guide Xe'ra"] = 2,
			["Overclock"] = 104,
			["Gust of Wind"] = 811,
			["Gust"] = 811,
			["Gut Slice:132155"] = 102,
			["Gutripper"] = 101,
			["Gyro-Scrap"] = 5,
			["Hack Tendon"] = 112,
			["Hack"] = 112,
			["Hack:1370984"] = 100,
			["Annihilation Ray"] = 800,
			["Hacking Slash"] = 112,
			["Hail of Stones"] = 803,
			["Hailstorm"] = 17,
			["Half Moon"] = 805,
			["Hammer of Genesis"] = 201,
			["Hampering Blow"] = 108,
			["Hampering Strike"] = 112,
			["Hamstring"] = 108,
			["Hand of Arax'ath"] = 127,
			["Hand of Gul'dan"] = 361,
			["Handing Over"] = 100,
			["Hard Light Barrier"] = 203,
			["Hard Light Baton"] = 203,
			["Harden Carapace"] = 900,
			["Harden Skin"] = 803,
			["Harden Skin"] = 903,
			["Harden"] = 903,
			["Hardened Carapace"] = 900,
			["Hardened Muck"] = 803,
			["Hardened Shell"] = 900,
			["Hardened Spike"] = 803,
			["Hardened Sputum"] = 803,
			["Hardened"] = 803,
			["Hardlight Ambush"] = 203,
			["Hardy:454771"] = 804,
			["Harness Stone"] = 803,
			["Harpoon Barrage"] = 100,
			["Harpy's Scream"] = 111,
			["Harrow"] = 33,
			["Harrowing Wail"] = 323,
			["Harvest Anima"] = 321,
			["Harvest Essence"] = 326,
			["Harvest Time:136224"] = 326,
			["Harvest:133574"] = 107,
			["Harvest:134427"] = 100,
			["Haste"] = 104,
			["Hatch"] = 900,
			["Hate Thrash:3621081"] = 411,
			["Hateful Outburst"] = 103,
			["Hateful Rebuke:1357806"] = 412,
			["Hateful Smash"] = 117,
			["Haunt"] = 323,
			["Havoc"] = 412,
			["Hawk"] = 811,
			["Haymaker"] = 108,
			["Haywire!"] = 100,
			["Haywire"] = 100,
			["Haywire"] = 100,
			["Hazardous Liquids:2057570"] = 64,
			["Headcrush"] = 903,
			["Headless Horseman's Hearthstone"] = 402,
			["Heal"] = 2,
			["Heal:136041"] = 8,
			["Healing Balm"] = 281,
			["Healing Brew"] = 281,
			["Healing Mists"] = 802,
			["Healing Potion"] = 281,
			["Healing Rain"] = 801,
			["Healing Spray"] = 100,
			["Healing Stream Totem"] = 801,
			["Healing Surge"] = 801,
			["Healing Tide Totem"] = 801,
			["Healing Ward"] = 280,
			["Healing Waters"] = 801,
			["Healing Wave"] = 801,
			["Health Funnel"] = 321,
			["Heart of Azeroth"] = 204,
			["Heart of the Wild"] = "DRUID",
			["Heart Rend"] = 101,
			["Heart Strike"] = 101,
			["Hearth Kidneystone"] = 326,
			["Hearth to Faol's Rest"] = 8,
			["Hearthstone"] = 8,
			["Heating Up"] = 5,
			["Heave Debris"] = 903,
			["Heaving Blow"] = 33,
			["Heaving Retch"] = 40,
			["Heightened Senses:3684825"] = 105,
			["Heirmir's Arsenal: Gorestompers"] = 104,
			["Hellfire and Brimstone:135801"] = 401,
			["Hellfire"] = 402,
			["Hellfire:841221"] = 401,
			["Helping"] = 202,
			["Helya's Boon"] = 415,
			["Herb Gathering"] = 8,
			["Heroic Thrust"] = 107,
			["Heroism"] = 105,
			["Hew"] = 107,
			["Hex of Weakness"] = 325,
			["Hex"] = 325,
			["Hexcrush"] = 413,
			["Hibernate"] = 900,
			["Hide-Piercing Shot"] = 100,
			["High Value Target:132284"] = 112,
			["Highborne Compendium of Storms"] = 911,
			["Hindering Soot"] = 804,
			["Hiss"] = 111,
			["Hive Toss"] = 810,
			["Hollow Bite"] = 33,
			["Holographic Digitalization Hearthstone"] = 100,
			["Holy Avenger"] = 6,
			["Holy Fire"] = 6,
			["Holy Light"] = 2,
			["Holy Smite"] = 2,
			["Holy Strength"] = 117,
			["Holy Word: Salvation"] = 200,
			["Honorless Target"] = 999,
			["Hoof Stomp"] = 903,
			["Hook Swipe:134226"] = 101,
			["Hooked Net"] = 100,
			["Hop!:3778583"] = 903,
			["Hop"] = 104,
			["Hopeful Hymn"] = 2,
			["Hopelessness"] = 327,
			["Hopping Slam"] = 900,
			["Hoppy Finish"] = 282,
			["Horn of Jale"] = 111,
			["Horn of Valor"] = 111,
			["Horn Rush:135860"] = 104,
			["Horrific Vortex"] = 911,
			["Horrifying Bolt"] = 325,
			["Horrifying Shout"] = 327,
			["Horror of the Drowned"] = 801,
			["Hot Hand"] = 4,
			["Hot Streak!"] = 402,
			["Hour of Twilight"] = 34,
			["Howl from Beyond"] = 327,
			["Howl of Terror"] = 327,
			["Howl"] = 111,
			["Howling in Pain"] = 111,
			["Howling Screech"] = 111,
			["Huddle"] = 115,
			["Hulking Charge"] = 104,
			["Hulking Kick"] = 109,
			["Hungering Eruption:135786"] = 413,
			["Hungering Void"] = 320,
			["Hunter's Mark"] = 112,
			["Hunter's Signal"] = 111,
			["Hunting Talons"] = 108,
			["Hurl Amber"] = 810,
			["Hurl Boulder"] = 803,
			["Hurl Boulder:135812"] = 5,
			["Hurl Boulder:252172"] = 5,
			["Hurl Boulder:429385"] = 17,
			["Hurl Boulders"] = 803,
			["Hurl Boulders:892832"] = 400,
			["Hurl Crystalshards"] = 808,
			["Hurl Kyrian Hammer"] = 201,
			["Hurl Seed"] = 900,
			["Hurl the Void"] = 320,
			["Hurry!"] = 104,
			["Hurry"] = 104,
			["Hydra Sputum"] = 806,
			["Hydro Eruption"] = 801,
			["Hymn of Battle"] = 2,
			["Hyper Organic Light Originator"] = 100,
			["Hyperlight Assault"] = 203,
			["Hyperlight Backhand"] = 203,
			["Hyperlight Beam"] = 203,
			["Hyperlight Bolt"] = 203,
			["Hyperlight Bomb"] = 203,
			["Hyperlight Containment Cell"] = 203,
			["Hyperlight Eruption"] = 203,
			["Hyperlight Flash"] = 203,
			["Hyperlight Haste"] = 203,
			["Hyperlight Jolt"] = 203,
			["Hyperlight Nova"] = 203,
			["Hyperlight Salvo"] = 203,
			["Hyperlight Spark"] = 203,
			["Hyperlight Strike"] = 203,
			["Hypertune Anima"] = 104,
			["Hypothermia"] = 999,
			["Hypothermic Presence"] = "Runic Power",
			["Hysteria"] = 327,
			["Ice Barrier"] = 160,
			["Ice Block"] = 17,
			["Ice Fall"] = 160,
			["Ice Floes"] = 160,
			["Ice Form"] = 160,
			["Ice Lance"] = 160,
			["Ice Shard"] = 160,
			["Ice Shackle"] = 160,
			["Ice Wall"] = 160,
			["Icebound Fortitude"] = 17,
			["Iceburst"] = 16,
			["Icefury"] = 160,
			["Icestrand Web"] = 17,
			["Icicles"] = 160,
			["Icy Grip"] = 160,
			["Icy Shard"] = 16,
			["Icy Throw"] = 160,
			["Icy Veins"] = 16,
			["Ignite Felblade"] = 401,
			["Ignite"] = 4,
			["Ignore Pain"] = 202,
			["Illusory Assault"] = 646,
			["Imbuing the Light"] = 200,
			["Imminent Destruction:3528304"] = 411,
			["Immolate"] = 402,
			["Immolate:135802"] = 401,
			["Immolate:840192"] = 401,
			["Immolating Blast:135797"] = 401,
			["Immolation Aura"] = 4,
			["Immolation Aura:1305156"] = 401,
			["Immolation Aura:1344649"] = 401,
			["Immolation Aura:135799"] = 401,
			["Immolation Aura:841221"] = 401,
			["Immolation Orb:841218"] = 401,
			["Immortality:3528292"] = 326,
			["Impact Spit"] = 40,
			["Impale"] = 101,
			["Impaling Coral"] = 808,
			["Impaling Gaze"] = 112,
			["Impaling Spikes:136181"] = 411,
			["Impending Catastrophe"] = 321,
			["Imperfect Polymorph"] = 646,
			["Impish Flames:135797"] = 401,
			["In For The Kill"] = 105,
			["In Irons"] = 909,
			["Incarnation: Chosen of Elune"] = 805,
			["Incarnation: Guardian of Ursoc"] = 6,
			["Incarnation: King of the Jungle"] = 105,
			["Incarnation: Tree of Life"] = 8,
			["Incense of Infinity"] = "Anima",
			["Incinerate"] = 402,
			["Incinerate:135794"] = 401,
			["Incinerate:135802"] = 401,
			["Incinerate:136130"] = 36,
			["Incinerate:840198"] = 401,
			["Incinerate:841221"] = 401,
			["Incinerating Blast:135797"] = 401,
			["Incineratus"] = 127,
			["Inconceivably Volatile Polymorph"] = 646,
			["Incorporeal Weave"] = 104,
			["Incorporeal"] = 323,
			["Indignation:3528311"] = 321,
			["Induce Regeneration:136077"] = 8,
			["Inert Flames"] = 6,
			["Inevitable Demise"] = 326,
			["Infect"] = 40,
			["Infected Bite"] = 40,
			["Infected Thorn"] = 40,
			["Infectious Rain"] = 40,
			["Infernal Burning"] = 401,
			["Infernal Cleave"] = 427,
			["Infernal Smash"] = 401,
			["Infernal Tempest"] = 401,
			["Infernal Torment"] = 401,
			["Infernal"] = 401,
			["Infernal"] = 401,
			["Infested Breath"] = 40,
			["Infinite Breath:1029007"] = 411,
			["Inflated Ego:3528299"] = 411,
			["Infuse Death"] = 326,
			["Infused Bulwark:3867785"] = 203,
			["Infused Quake"] = 803,
			["Infusion of Light"] = 2,
			["Infusion of Renown"] = "Anima",
			["Initializing"] = 100,
			["Innervate"] = "Mana",
			["Inquisitive Stare"] = 328,
			["Inquisitor's Mark"] = 321,
			["Insanity"] = 324,
			["Inscrutable Quantum Device"] = 203,
			["Insect Plague"] = 40,
			["Insidious Anxieties"] = 327,
			["Insidious Venom:252174"] = 80,
			["Inspecting"] = 114,
			["Inspire Crew"] = 111,
			["Installing"] = 100,
			["Installing..."] = 100,
			["Instant Poison"] = 806,
			["Instructor's Divine Bell"] = 201,
			["Intense Pain"] = 322,
			["Internal Bleeding"] = 102,
			["Interrogation:132284"] = 112,
			["Interrupting Jolt"] = 800,
			["Interrupting Roar"] = 111,
			["Interrupting Shout"] = 111,
			["Intimidate:1058933"] = 111,
			["Introduction to Cooking in Draenor"] = 114,
			["Introspection"] = 201,
			["Investigate Body"] = 114,
			["Investigate"] = 114,
			["Investigating"] = 114,
			["Invigorating Fish Stick"] = 325,
			["Invisibility"] = 720,
			["Invisible"] = 720,
			["Invoke Chi-Ji, the Red Crane"] = 66,
			["Invoke Niuzao, the Black Ox"] = 803,
			["Invoke Xuen"] = 907,
			["Invoke Xuen, the White Tiger"] = 907,
			["Invoke Yu'lon, the Jade Serpent"] = 120,
			["Iron Bark"] = 900,
			["Iron Shackles"] = 909,
			["Blight Spray"] = 411,
			["Iron Spikes"] = 909,
			["Ironbark"] = 803,
			["Blight of Ozumat"] = 411,
			["Ironfur"] = 909,
			["Irresistible Cologne Spray"] = 281,
			["Irresistible Cologne"] = 281,
			["Itchy Spores"] = 410,
			["Jade Crystal Fragment"] = 120,
			["Jade Fire"] = 807,
			["Jade Serpent Statue"] = 120,
			["Jagged Chop"] = 101,
			["Jagged Claws"] = 101,
			["Jagged Disc"] = 803,
			["Jagged Maw"] = 101,
			["Jagged Slash"] = 101,
			["Jagged Slash:463566"] = 803,
			["Jagged Spines"] = 415,
			["Jagged Swipe:136168"] = 102,
			["Jagged Whirlwind"] = 903,
			["Jeweled Spit:133258"] = 817,
			["Jolt"] = 800,
			["Judgment"] = 3,
			["Juggernaut Rush"] = 104,
			["Jump Strike"] = 112,
			["Jump to Skyhold"] = 202,
			["Junk Mail"] = 114,
			["Kalimdor Scouting Map"] = 114,
			["Kbato Kai"] = 107,
			["Keen Empowerment"] = 105,
			["Keeper's Protection:458412"] = 202,
			["Keg Smash"] = 282,
			["Kick Up Dust"] = 804,
			["Kicking"] = 110,
			["Kill Command"] = 117,
			["Killing Frenzy"] = 105,
			["Killing Machine"] = 17,
			["Killing Spree"] = 103,
			["Kindred Empowerment"] = 201,
			["Kindred Meditation"] = 201,
			["Kindred Protection"] = 201,
			["Kindred Spirits"] = 201,
			["Kinetic Impact:132838"] = 803,
			["Kiss of Death"] = 328,
			["Korinna's Release"] = 201,
			["Kyrian Glory"] = 201,
			["Kyrian Hearthstone"] = 201,
			["Kyrian Javelin"] = 201,
			["Lacerating Spines"] = 101,
			["Lacerating Talons"] = 101,
			["Land of the Dead"] = 326,
			["Landslide"] = 803,
			["Lantern of Darkness"] = 320,
			["Lantern of Force"] = 203,
			["Lash of Pain"] = 32,
			["Lasher Venom"] = 806,
			["Lashing Flames"] = 5,
			["Lashing Flurry"] = 112,
			["Lashing Flurry:134218"] = 900,
			["Lashing Void"] = 320,
			["Last Resort"] = 999,
			["Last Stand"] = 112,
			["Fortitude of the Bear"] = 907,
			["Latent Poison"] = 806,
			["Lava Beam"] = 400,
			["Lava Burst"] = 400,
			["Lava Extrusion"] = 400,
			["Lava Gout"] = 400,
			["Lava Shock"] = 400,
			["Lava Spew"] = 400,
			["Lava Spit"] = 400,
			["Lava Surge"] = 400,
			["Lava Wreath"] = 400,
			["Lavacore Bomb"] = 4,
			["Lay Eggs"] = 903,
			["Leaf Blast"] = 8,
			["Leafstorm"] = 8,
			["Leaping Bite"] = 104,
			["Learning"] = 114,
			["Leech Vitality"] = 326,
			["Leech"] = 101,
			["Leeching Bite"] = 900,
			["Leeching Cleave"] = 32,
			["Left Piston"] = 5,
			["Lesser Healing Potion"] = 281,
			["Lesser Invisibility"] = 720,
			["Lesser Subjugate Soul"] = 32,
			["Lesser Subjugate Spirit"] = 32,
			["Let's Play Catch!"] = 805,
			["Lethal Force:4037119"] = 203,
			["Lethargic Glare"] = 808,
			["Leviathan's Grip"] = 324,
			["Levitate"] = 202,
			["Leyflame Burner"] = 64,
			["Lich's Phylactery"] = 326,
			["Lichborne"] = 326,
			["Backlash:135823"] = 4,
			["Licking Wounds"] = 202,
			["Life Cocoon"] = 802,
			["Life-Binder's Invocation"] = 204,
			["Lifebloom"] = 8,
			["Lifeblood:538745"] = 401,
			["Lifting"] = 100,
			["Light Bonfire"] = 4,
			["Light Impalement"] = 3,
			["Light of the Crystal"] = 810,
			["Light of the Martyr"] = 321,
			["Light's Hammer"] = 200,
			["Light's Judgment"] = 200,
			["Light's Speed"] = 2,
			["Lightly Concentrated Anima:3684827"] = 321,
			["Lightning Blast"] = 800,
			["Lightning Bolt"] = 800,
			["Lightning Breath"] = 800,
			["Lightning Burst"] = 800,
			["Lightning Cloud"] = 800,
			["Lightning Discharge"] = 800,
			["Lightning Lash"] = 800,
			["Lightning Lasso"] = 800,
			["Lightning Nova Totem"] = 9,
			["Lightning Nova"] = 800,
			["Lightning Prod"] = 800,
			["Lightning Shield"] = 800,
			["Lightning Spit"] = 800,
			["Lightning Strike"] = 800,
			["Lightning Storm"] = 800,
			["Lights Out"] = 4,
			["Lightshatter Beam"] = 203,
			["Lingering Anima:1035041"] = 321,
			["Lingering Anima:3684825"] = 321,
			["Lingering Hunger"] = 321,
			["Lingering Mucus"] = 40,
			["Liquid Hellfire:135803"] = 401,
			["Liquid Magma Totem"] = 400,
			["Living Bomb"] = 4,
			["Living Felflame"] = 401,
			["Living Firebolt"] = 807,
			["Living Free Action"] = 115,
			["Living Meteor"] = 400,
			["Living Spores"] = 40,
			["Lizard Bolt"] = 800,
			["Loaded Dice"] = 641,
			["Loading Cannon:133009"] = 427,
			["Lob Poison"] = 806,
			["Localized Storm"] = 911,
			["Localized Windstorm"] = 911,
			["Lock and Load"] = 100,
			["Lockdown"] = 909,
			["Log Smash"] = 903,
			["Lone Empowerment"] = 201,
			["Lone Meditation"] = 201,
			["Lone Protection"] = 201,
			["Loot-A-Rang"] = 100,
			["Looting"] = 100,
			["Loyal Beasts:458967"] = 103,
			["Lubricate:576309"] = 999,
			["Luciferase"] = 806,
			["Lughtning Storm"] = 800,
			["Lumbering Roar"] = 111,
			["Lumbering Stomp"] = 903,
			["Lumbering Strike"] = 110,
			["Luminous Barrier"] = 202,
			["Lunar Beacon"] = 640,
			["Lunar Bombs"] = 640,
			["Lunar Elder's Hearthstone"] = 640,
			["Lunar Strike"] = 640,
			["Luring Destruction:1113436"] = 401,
			["Lurking Eruption:1357803"] = 412,
			["Lust for Battle"] = 105,
			["Lyre of Sacred Purpose"] = 201,
			["Machine Gun"] = 100,
			["Malfunction: Critical Failure!"] = 100,
			["Malfunction: Inhibitor Failure!"] = 100,
			["Malfunction: Servo Failure!"] = 100,
			["Maddening Call"] = 111,
			["Maddening Roar"] = 327,
			["Maelstrom Weapon"] = "Maelstrom",
			["Maelstrom-Powered Elemental Blast"] = 28,
			["Magma Barrage"] = 400,
			["Magma Belch"] = 400,
			["Magma Eruption"] = 400,
			["Magma Sculptor"] = 400,
			["Magma Wave"] = 400,
			["Make Camp"] = 804,
			["Maker's Sanctuary:135954"] = 66,
			["Maldraxxian Repayment"] = 326,
			["Malefic Grasp"] = 32,
			["Malefic Rapture"] = 32,
			["Malefic Rapture"] = 32,
			["Malefic Resonance"] = 411,
			["Malefic"] = 32,
			["Malevolence"] = 32,
			["Malevolence"] = 32,
			["Mallet of Thunderous Skins"] = 105,
			["Mana Barrier"] = "Mana",
			["Mana Burn"] = 328,
			["Mana Burst:135739"] = 640,
			["Mana Rage"] = "Mana",
			["Mana Tea"] = "Mana",
			["Mana Thirst"] = "Mana",
			["Mana Tide Totem"] = "Mana",
			["Manifest Dread"] = 327,
			["Manifested Twilight"] = 34,
			["March of the Highlord"] = 104,
			["March of the Murlocs"] = 901,
			["March of the Penitent:1357812"] = 105,
			["Mark for Death"] = 411,
			["Mark of Blood"] = 321,
			["Mark of Conk-quest"] = 2,
			["Mark of Shadow"] = 32,
			["Mark of the Crane"] = 802,
			["Marked for Death"] = 411,
			["Marrowjaw's Bite"] = 102,
			["Masquerade:1354190"] = 126,
			["Mass Corruption"] = 324,
			["Mass Debilitate"] = 328,
			["Mass Deliberate"] = 96,
			["Mass Devour"] = 413,
			["Mass Dispel"] = 202,
			["Mass Healing Wave"] = 801,
			["Mass Invisibility"] = 720,
			["Mass Polymorph"] = 646,
			["Mass Slow"] = 641,
			["Mass Spell Reflection"] = 65,
			["Mass Temptation"] = 661,
			["Massive Chomp:1729493"] = 112,
			["Massive Crash:893778"] = 901,
			["Massive Crush"] = 903,
			["Massive Crush:3284844"] = 411,
			["Massive Deluge"] = 801,
			["Massive Eruption:135801"] = 401,
			["Massive Eruption:135830"] = 400,
			["Massive Quake"] = 803,
			["Massive Screech"] = 111,
			["Massive Shockwave"] = 903,
			["Master Assassin"] = 112,
			["Master Assassin's Mark"] = 660,
			["Master Marksman"] = 101,
			["Master of Death:3163624"] = 32,
			["Master of the Elements"] = 280,
			["Master's Call"] = 10,
			["Mastercrafted Gamesman's Snare"] = 321,
			["Maw Expulsion"] = 411,
			["Maw of Death:136131"] = 320,
			["Mawfocused Orb"] = 411,
			["Mawfocused Orbs"] = 411,
			["Mawfused Orb"] = 411,
			["Mawfused Orbs"] = 411,
			["Mawrat Harness"] = 411,
			["Mawsworn Bombardment"] = 411,
			["Mawsworn Bulwark"] = 411,
			["Mawsworn Crossbow"] = 411,
			["Mawsworn Fervor"] = 411,
			["Mawsworn Shield"] = 411,
			["Mawsworn Slam"] = 411,
			["Meat Hook"] = 101,
			["Meat Hook:1373906"] = 112,
			["Meat Shield:2032171"] = 414,
			["Meditating"] = 907,
			["Megavolt"] = 800,
			["Melt Flesh:132108"] = 806,
			["Melt Flesh:135802"] = 401,
			["Memorizing"] = 114,
			["Memory of Lucid Dreams"] = 204,
			["Menacing Shout"] = 111,
			["Mend Anima"] = 201,
			["Mend Pet"] = 202,
			["Mending Bandage"] = 202,
			["Mending Rapids"] = 801,
			["Mending Swell"] = 802,
			["Mending Wounds"] = 202,
			["Mental Assault"] = 320,
			["Metallic Jaws"] = 100,
			["Metamorphosis"] = 127,
			["Meteor Burn"] = 400,
			["Meteor Cleave"] = 400,
			["Meteor Crack"] = 400,
			["Meteor Explosion"] = 400,
			["Meteor Fists"] = 5,
			["Meteor Impact"] = 400,
			["Meteor Impact:136120"] = 401,
			["Meteor Impact:369278"] = 100,
			["Meteor Leap"] = 903,
			["Meteor Rain"] = 400,
			["Meteor Shard"] = 400,
			["Meteor Shower"] = 400,
			["Meteor Shower:1041233"] = 64,
			["Meteor Slam:1344650"] = 427,
			["Meteor Slash"] = 400,
			["Meteor Slash:135801"] = 401,
			["Meteor Storm"] = 400,
			["Meteor Storm:135804"] = 401,
			["Meteor Storm:651092"] = 327,
			["Meteor Strike"] = 400,
			["Meteor Swarm"] = 400,
			["Meteor Swarm"] = 400,
			["Meteor"] = 400,
			["Meteor:840199"] = 401,
			["Meteorfall"] = 400,
			["Meteoric Earthspire"] = 803,
			["Meteoric Impact"] = 400,
			["Meteorite Whetstone"] = 5,
			["Meteorite"] = 400,
			["Might of Maldraxxus"] = 326,
			["Might of the Blackrock"] = 720,
			["Might of the Sun"] = 6,
			["Mighty Slam"] = 117,
			["Milling"] = 900,
			["Mimic:342913"] = 410,
			["Mind Blast"] = 328,
			["Mind Melt"] = 48,
			["Mind Bomb"] = 328,
			["Bitter Withdrawal"] = 328,
			["Mind Control"] = 328,
			["Mind Control"] = 328,
			["Mind Flay"] = 328,
			["Mind Rend"] = 328,
			["Mind Sear"] = 328,
			["Shadow Mend"] = 32,
			["Mind Spike"] = 48,
			["Mind Slice:986493"] = 903,
			["Mind Soothe"] = 328,
			["Mind Trauma"] = 328,
			["Time Rift"] = 641,
			["Mind Vision"] = 323,
			["Mind Vision"] = 328,
			["Mind Warp"] = 328,
			["Mind-Numbing Extract"] = 806,
			["Mindbender"] = 328,
			["Mindgames"] = 328,
			["Mindmeld:294473"] = 62,
			["Mindwrack"] = 325,
			["Mining"] = 909,
			["Mirror Image"] = 646,
			["Mirror Images"] = 646,
			["Mirrors of Torment"] = 321,
			["Mischievous Blast"] = 806,
			["Misdirection"] = 112,
			["Mixing Pigment"] = 900,
			["Mixing Pigments"] = 900,
			["Mo'arg Smash"] = 427,
			["Mo'arg Strike"] = 427,
			["Mobile Banking"] = 100,
			["Mogu Rune of Power"] = 96,
			["Mole Machine"] = 100,
			["Molten Core:841218"] = 401,
			["Molten Crash"] = 400,
			["Molten Eruption"] = 400,
			["Molten Fists"] = 400,
			["Molten Gold"] = 200,
			["Molten Meteor"] = 400,
			["Molten Pool"] = 400,
			["Molten Surge"] = 400,
			["Moment of Glory"] = 2,
			["Momentum"] = 104,
			["Mongoose Fury"] = 103,
			["Moon Burn"] = 640,
			["Moonfire"] = 640,
			["Moonless Night Kick"] = 320,
			["Morbid Fixation:132284"] = 112,
			["Morel Coil"] = 40,
			["Mortal Coil"] = 361,
			["Mortal Strike"] = 110,
			["Moth Balls"] = 114,
			["Motivate:237554"] = 32,
			["Motivating Cry"] = 111,
			["Motivational Clubbing:3554193"] = 105,
			["Mountebank's Colorful Cloak"] = 8,
			["Mournful Crescendo"] = 328,
			["Moving"] = 100,
			["Mrgggrrrll!"] = 111,
			["Mrrggrrglrrlr Leap"] = 104,
			["Muck Spit"] = 410,
			["Mulching Strike"] = 101,
			["Murky Bolt Volley"] = 415,
			["Murky Bolt"] = 415,
			["Murmur's Touch"] = 111,
			["Murmuring Shawl"] = 115,
			["Nanoslicer"] = 102,
			["Napalm Thrower"] = 4,
			["Nathrian Hymn: Duskhollow"] = 105,
			["Nathrian Hymn: Evershade"] = 105,
			["Nathrian Hymn: Gloomveil"] = 323,
			["Nathrian Hymn: Sinsear"] = 105,
			["Nature's Wrath:535045"] = 6,
			["Necrolord Hearthstone"] = 326,
			["Necrosis"] = 326,
			["Necrotic Aura"] = 326,
			["Necrotic Bolt Volley"] = 326,
			["Necrotic Bolt"] = 326,
			["Necrotic Breath"] = 326,
			["Necrotic Burst"] = 806,
			["Necrotic Orb"] = 326,
			["Necrotic Siphon"] = 326,
			["Necrotic Spittle"] = 326,
			["Necrotic Staff"] = 326,
			["Necrotic Volley"] = 326,
			["Negative Energy Token"] = 117,
			["Net"] = 100,
			[205862] = 903, -- Slam (Krosus)
			["Resonating Arrow"] = 201,
			[205370] = 127, -- Fel Beam (Krosus)
			["Nether Meteor"] = 323,
			["Nether Portal"] = 32,
			["Nether Precision"] = 323,
			["Nether Storm"] = 323,
			["Nether Tempest"] = 64,
			["Nether Touch"] = 323,
			["Nether Traversal"] = 64,
			["Netherstomp:135794"] = 401,
			["Netherwalk"] = 323,
			["New Moon"] = 805,
			["Newfound Resolve"] = 201,
			["Night Fae Hearthstone"] = 805,
			["Night Glaive"] = 109,
			["Nightfall"] = 32,
			["Nightfire"] = 640,
			["Faeline Stomp"] = 805,
			["Faeline"] = 805,
			["Nightmare Blades"] = 412,
			["Nightmare Blast"] = 412,
			["Nightmare Bolt"] = 412,
			["Nightmare Breath"] = 412,
			["Nightmare Burst"] = 412,
			["Nightmare Explosion"] = 412,
			["Nightmare Gaze"] = 412,
			["Nightmare Infusion"] = 412,
			["Nightmare Nova"] = 412,
			["Nightmare Scream"] = 327,
			["Nightmare Serum"] = 412,
			["Nightmare Swipe"] = 412,
			["Nightmare Torment"] = 412,
			["Nightmare Visage:136221"] = 320,
			["Nightmare"] = 412,
			["Nightmareburst"] = 412,
			["Throw Trident"] = 100,
			["Nightosis:1029591"] = 6,
			["Nimbus Bolt"] = 811,
			["Nimbus Bolt:136048"] = 800,
			["Nitro Boosts"] = 4,
			["Niuzao"] = 803,
			["Niuzao's Fortitude"] = 903,
			["Niuzao, the Black Ox"] = 803,
			["Njord's Rune of Protection"] = 2,
			["Noble Gardener's Hearthstone"] = 8,
			["Northrend Scouting Map"] = 114,
			["Nothingness"] = 320,
			["Nova:135799"] = 401,
			["Noxious Eruption"] = 806,
			["Noxious Fumes"] = 806,
			["Noxious Mixture"] = 806,
			["Noxious Release"] = 806,
			["Noxious Stench"] = 40,
			["Nuclear Blast"] = 402,
			["Numbing Poison"] = 806,
			["Obliterate"] = 903,
			["Obliterating Ooze"] = 806,
			["Oblivion Wave"] = 320,
			["Obscuring Dust"] = 804,
			["Observer"] = 32,
			["Obsidian Claw"] = 323,
			["Obsidian Skin"] = 903,
			["Ocular Beam:3528298"] = 411,
			["Ogre Transformation"] = 100,
			["Ogron Be-Gone"] = 806,
			["Oil Slick"] = 999,
			["Ominous Cackle"] = 327,
			["One With Death:2576096"] = 326,
			["One with Nature"] = 8,
			["Onslaught"] = 104,
			["Ooz's Frictionless Coating"] = 40,
			["Ooze Cap"] = 40,
			["Oozing Slime"] = 806,
			["Open Cage"] = 100,
			["Open Chest"] = 100,
			["Open Gateway:607512"] = 401,
			["Open Vision"] = 320,
			["Opening Shredder Crate"] = 100,
			["Opening"] = 100,
			["Closing"] = 100,
			["Opportunity Strikes:132308"] = 117,
			["Opportunity"] = 112,
			["Orb of Annihilation:132851"] = 320,
			["Orb of Corrosion"] = 40,
			["Orb of Corruption"] = 324,
			["Orb of Destruction:135800"] = 401,
			["Orb of Translocation"] = 646,
			["Ossein Summon"] = 326,
			["Out of Xy'ght"] = 203,
			["Outburst:236308"] = 105,
			["Outland Scouting Map"] = 114,
			["Overcharge"] = 800,
			["Overdrive"] = 100,
			["Overflowing Anima Cage"] = 321,
			["Overflowing Chalice"] = 321,
			["Overflowing Taint"] = 401,
			["Overgrowth"] = 8,
			["Overhead Smash"] = 108,
			["Overhead Smash"] = 112,
			["Overpower"] = 110,
			["Overpowering Flurry:1344646"] = 427,
			["Overrun"] = 104,
			["Overtime!"] = 103,
			["Overwhelm"] = 113,
			["Overwhelming Despair:3528302"] = 411,
			["Overwhelming Effusion:136201"] = 413,
			["Overwhelming Gloom:3528311"] = 321,
			["Overwhelming Slam:136170"] = 110,
			["Owlkin Frenzy"] = 103,
			["Pacifying Mists:1778226"] = 413,
			["Pain Bringer:1035046"] = 411,
			["Pain Spike"] = 322,
			["Pain Spike:3528302"] = 411,
			["Pain Suppression"] = 322,
			["Painbringer's Tempest"] = 411,
			["Painful Motivation"] = 322,
			["Painful Reminder:1394887"] = 321,
			["Painwaves:3528305"] = 411,
			["Pandaria Scouting Map"] = 114,
			["Parabolic Excrement"] = 806,
			["Parachute"] = 100,
			["Paralytic Poison"] = 806,
			["Paralytic Spew"] = 806,
			["Paralyzing Fang"] = 806,
			["Paralyzing Slime"] = 806,
			["Paralyzing Sting"] = 806,
			["Paranoia"] = 320,
			["Parasitic Domination"] = 328,
			["Parasitic Fetter:538515"] = 8,
			["Parasitic Growth"] = 40,
			["Path of Frost"] = 16,
			["Patty Cake"] = 805,
			["Peck"] = 110,
			["Peddlefeet's Lovely Hearthstone"] = 661,
			["Penance"] = 202,
			["Penetrating Insight:3136453"] = 3,
			["Penetrating Shot"] = 108,
			["Penta-Strike"] = 107,
			["Pepe"] = 661,
			["Persecute"] = 411,
			["Viral Globs:538040"] = 321,
			[328094] = 326, -- Pestilence Bolt (Plaguefall)
			["Pestilence Bolt"] = 40,
			["Call Venomfang"] = 806,
			["Corrosive Gunk:237273"] = 326,
			["Lockpicking"] = 100,
			["Perseverance of the Gods"] = 2,
			["Pestilence Surge"] = 806,
			["Pet Cub"] = 661,
			["Pet"] = 661,
			["Petrified Pet Food"] = 117,
			["Petrifying Breath"] = 803,
			["Petrifying Gaze"] = 808,
			["Petrifying Howl"] = 803,
			["Petting"] = 661,
			["Phantasm"] = 323,
			["Phantom Lance"] = 323,
			["Phantom Singularity"] = 32,
			["Phase Shift"] = 720,
			["Phasing Roar"] = 327,
			["Pheromone Bomb"] = 402,
			["Phoenix Burst"] = 68,
			["Phoenix Flames"] = 68,
			["Phoenix Flight"] = 68,
			["Phoenix Reborn"] = 68,
			["Phoenix Renewal"] = 68,
			["Phoenix Strike"] = 68,
			["Photon Expulsion"] = 106,
			["Pick Flower"] = 8,
			["Pick Lock"] = 100,
			["Picking Pocket"] = 108,
			["Pierce the Veil"] = 320,
			["Piercing Blur:1396971"] = 321,
			["Piercing Chomp"] = 112,
			["Piercing Fangs"] = 101,
			["Piercing Gaze"] = 328,
			["Piercing Lens:132160"] = 411,
			["Piercing Memory:878214"] = 411,
			["Piercing Rain"] = 24,
			["Piercing Roar"] = 111,
			["Piercing Shards"] = 808,
			["Piercing Shards:132777"] = 810,
			["Piercing Shot"] = 100,
			["Piercing Shot"] = 107,
			["Piercing Thrust"] = 112,
			["Pillage Hope"] = 411,
			["Pillage"] = 108,
			["Pillar of Frost"] = 16,
			["Pincer"] = 108,
			["Pinning Shot"] = 100,
			["Pinning Spear"] = 110,
			["Pistol Barrage"] = 100,
			["Pistol Shot"] = 100,
			["Pitch Blast:460700"] = 320,
			["Placing Trap"] = 100,
			["Placing Trap..."] = 100,
			["Placing Wood"] = 100,
			["Placing"] = 100,
			["Plague Blast"] = 806,
			["Plague Bolt:136168"] = 321,
			["Plague Bomb"] = 806,
			["Plague Idols"] = 803,
			["Plague in a Jar"] = 806,
			["Plague Seed"] = 410,
			["Plague Spit"] = 40,
			["Plague-Dipped Arrows"] = 40,
			["Plague-Tipped Arrows"] = 40,
			["Plagued Broadside"] = 414,
			["Plaguepiercer"] = 40,
			["Plaguestomp"] = 40,
			["Planting Trap"] = 100,
			["Play Dead"] = 202,
			["Play Fae Drum"] = 66,
			["Play Fae Harp"] = 66,
			["Playing Music"] = 111,
			["Plume Typhoon"] = 911,
			["Pneumatic Crush"] = 903,
			["Poco-Protect"] = 106,
			["Podtender:656440"] = 805,
			["Poison Arrow Volley"] = 906,
			["Poison Barrage"] = 806,
			["Poison Bolt"] = 806,
			["Poison Bomb"] = 806,
			["Poison Claws"] = 906,
			["Poison Dart"] = 806,
			["Poison Fang"] = 806,
			["Poison Nova"] = 806,
			["Poison Spit"] = 806,
			["Poison Spray"] = 806,
			["Poison Squirt"] = 806,
			["Poison Sting"] = 806,
			["Poison Vial"] = 806,
			["Poison Weapon"] = 806,
			["Poison"] = 806,
			["Poisoned Arrow Volley"] = 906,
			["Poisoned Bite"] = 806,
			["Poisoned Spear"] = 906,
			["Poisoning Strike"] = 906,
			["Poisonous Claws"] = 906,
			["Poisonous Cloud"] = 806,
			["Poking"] = 100,
			["Polarization"] = 800,
			["Pollen Shake"] = 8,
			["Pollinating"] = 8,
			["Polymorph Beam"] = 646,
			["Polymorph Bomb"] = 646,
			["Polymorph Insect"] = 646,
			["Polymorph"] = 646,
			["Polymorph: Chicken"] = 646,
			["Polymorph: Crafty Wobblesprocket"] = 646,
			["Polymorph: Fish"] = 646,
			["Polymorph: Goat"] = 646,
			["Polymorph: Sheep"] = 646,
			["Polymorph: Sheep"] = 646,
			["Polymorph: Spider"] = 646,
			["Polymorphed"] = 646,
			["Popo's Potion"] = 201,
			["Portal"] = 646,
			["Portal: Archmage Vargoth's Retreat"] = 646,
			["Portal: Black Temple"] = 401,
			["Portal: Black Temple"] = 646,
			["Portal: Boralus"] = 646,
			["Portal: Dalaran - Broken Isles"] = 646,
			["Portal: Dalaran - Northrend"] = 646,
			["Portal: Dalaran"] = 64,
			["Portal: Dalaran"] = 646,
			["Portal: Darnassus"] = 646,
			["Portal: Dazar'alor"] = 646,
			["Portal: Exodar"] = 646,
			["Portal: Ironforge"] = 646,
			["Portal: Moonglade"] = 646,
			["Portal: Orgrimmar"] = 646,
			["Portal: Oribos"] = 646,
			["Portal: Shattrath"] = 646,
			["Portal: Silvermoon"] = 646,
			["Portal: Stonard"] = 646,
			["Portal: Stormshield"] = 646,
			["Portal: Stormwind"] = 646,
			["Portal: The Broken Shore"] = 646,
			["Portal: Theramore"] = 646,
			["Portal: Thunder Bluff"] = 646,
			["Portal: Tol Barad"] = 646,
			["Portal: Undercity"] = 646,
			["Portal: Vale of Eternal Blossoms"] = 646,
			["Portal: Violet Hold"] = 646,
			["Portal: Warspear"] = 646,
			["Possess"] = 328,
			["Postage Stamp"] = 114,
			["Posthaste"] = 104,
			["Potion of Replenishment"] = "Mana",
			["Pounce"] = 104,
			["Powder Shot"] = 100,
			["Power Attack"] = 108,
			["Power Crystal"] = 64,
			["Power Crystals"] = 64,
			["Power Drain:4038102"] = 106,
			["Power Infusion"] = 105,
			["Power of the Dark Side"] = 34,
			["Power Overload"] = 800,
			["Power Stomp:2065583"] = 800,
			["Power Word: Barrier"] = 202,
			["Power Word: Fortitude"] = 202,
			["Power Word: Shield"] = 202,
			["Powerful Swipe:1396978"] = 112,
			["Prayer Circle"] = 2,
			["Prayer of Mending"] = 2,
			["Precise Shots"] = 112,
			["Predator's Gaze:1100023"] = 103,
			["Predatory Swiftness"] = 104,
			["Prepared:1305160"] = "Fury",
			["Prescient Recollection"] = 201,
			["Presence of Death"] = 327,
			["Pressing"] = 100,
			["Prey on the Weak"] = 33,
			["Prideful Eruption:3528311"] = 321,
			["Primal Agility"] = 115,
			["Primal Earth Elemental"] = 803,
			["Primal Fire Elemental"] = 4,
			["Primal Howl"] = 327,
			["Primal Instinct"] = 117,
			["Primal Magma"] = 400,
			["Primal Rage"] = 105,
			["Primal Roar"] = 111,
			["Primal Storm Elemental"] = 911,
			["Primordial Wave"] = 326,
			["Prismatic Barrier"] = 126,
			["Prospecting"] = 808,
			["Protect the Nest"] = 103,
			["Protective Phantasma"] = 62,
			["Proto Beam"] = 100,
			["Proto-Beam"] = 100,
			["Psychic Blast"] = 320,
			["Psychic Horror"] = 327,
			["Psychic Scream"] = 327,
			["Psychic Terror"] = 327,
			["Psychic Terrors"] = 327,
			["Pull of the Tides"] = 801,
			["Pulling Chain"] = 100,
			["Pulsating Light Shield"] = 3,
			["Pulse Blast"] = 800,
			["Pulverize"] = 117,
			["Pulverizing Meteor:2101174"] = 803,
			["Puncture Armor"] = 107,
			["Puncture"] = 101,
			["Puncturing Stab"] = 101,
			["Purge the Wicked"] = 6,
			["Purged by Fire:612968"] = 200,
			["Purification Protocol"] = 204,
			["Purification Protocol:3528285"] = 201,
			["Purifying Blast:3528286"] = 201,
			["Purifying Spew"] = 201,
			["Purifying"] = 202,
			["Pursuit"] = 104,
			["Puryfying Blast:1408832"] = 204,
			["Puryfying Blast:2967103"] = 204,
			["Push"] = 100,
			["Pushing"] = 100,
			["Putrefied Flesh"] = 40,
			["Putrid Burst"] = 326,
			["Putrid Jar"] = 410,
			["Putrid Skies:236271"] = 806,
			["Putrid Swarm"] = 40,
			["Pyroblast"] = 402,
			["Pyroclasm"] = 402,
			["Quake"] = 803,
			["Queen's Bite:136231"] = 321,
			["Quelling Strike:132307"] = 104,
			["Quick Bloodlust"] = 105,
			["Quickblade:236273"] = 104,
			["Quickshot"] = 100,
			["Quilboar Rush"] = 104,
			["Quill Barb"] = 900,
			["Quill Spikes"] = 415,
			["Quills"] = 811,
			["Rabid Frenzy"] = 103,
			["Radiant Breath:3528278"] = 805,
			["Radiant Nova"] = 6,
			["Radiant Spark"] = 201,
			["Radiant Tempest"] = 200,
			["Radiate Pain:2576089"] = 326,
			["Radiation Bolt"] = 806,
			["Radioactive Gas"] = 806,
			["Rage of Sargeras"] = 103,
			["Rage"] = 103,
			["Ragebringer"] = 103,
			["Ragged Claws"] = 101,
			["Ragged Roar"] = 111,
			["Raging Blood:841219"] = 401,
			["Raging Storms"] = 911,
			["Raging Tantrum"] = 103,
			["Raging Tempest"] = 811,
			["Ragnarok:135799"] = 127,
			["Raid Portal: Oribos"] = 646,
			["Rain of Arrows"] = 108,
			["Rain of Chaos"] = 127,
			["Rain of Darkness"] = 320,
			["Rain of Fel"] = 401,
			["Rain of Felfire"] = 401,
			["Rain of Fire"] = 402,
			["Rain of Fire:135804"] = 401,
			["Rain of Frogs"] = 325,
			["Rain of Meteors:135803"] = 401,
			["Rain of Wisdom:135787"] = 80,
			["Rainbow Generator"] = 661,
			["Raining Filth:1357799"] = 412,
			["Raise Dead"] = 326,
			["Raise Fallen Crusader"] = 326,
			["Raise Skeleton"] = 326,
			["Rake"] = 102,
			["Rallying Cry"] = 117,
			["Rampage"] = 103,
			["Rampage:463493"] = 906,
			["Rampaging Slam"] = 103,
			["Rampaging Strike"] = 903,
			["Rancid Maw:136007"] = 806,
			["Rapid Contagion"] = 40,
			["Rapid Contagion:237557"] = 32,
			["Rapid Fire"] = 112,
			["Rapid Shot"] = 103,
			["Rapid Tide"] = 801,
			["Rapid Tides"] = 801,
			["Rapid-Fire"] = 100,
			["Raptora Call"] = 111,
			["Rapture"] = 201,
			["Rasping Scream"] = 111,
			["Rasping Scream:136184"] = 327,
			["Rat Trap"] = 33,
			["Rat Traps"] = 33,
			["Rats!"] = 410,
			["Ravage"] = 101,
			["Ravager"] = 5,
			["Ravaging Whirl"] = 107,
			["Ravenous Bite:2027904"] = 906,
			["Ravenous Feast"] = 103,
			["Ravenous Frenzy:3565718"] = 321,
			["Ravenous Leap"] = 101,
			["Ray of Frost"] = 16,
			["Ray of Hope"] = 66,
			["Razor Bite"] = 112,
			["Razor Gills"] = 410,
			["Razor Spin"] = 900,
			["Razor's Edge"] = 101,
			["Razor's Edge:1060569"] = 415,
			["Reaching Attack"] = 327,
			["Reactivating"] = 100,
			["Read Book"] = 114,
			["Read Scroll"] = 114,
			["Read"] = 114,
			["Reading"] = 114,
			["Reality Rend"] = 320,
			["Reaping Blows"] = 100,
			["Reaping Flames"] = 204,
			["Reaping Winds:135833"] = 16,
			["Rearing Charge"] = 104,
			["Reaver:132337"] = 107,
			["Reaving Claws"] = 107,
			["Reawaken"] = 802,
			["Rebellious Fist:3528287"] = 201,
			["Rebirth"] = 10,
			["Rebounding Blades"] = 109,
			["Recalibrate"] = 100,
			["Recharge Anima:237030"] = 201,
			["Recharge Anima:3528283"] = 201,
			["Recharge Anima:3528287"] = 201,
			["Reckless Provocation:132352"] = 111,
			["Recklessness"] = 105,
			["Reconstruct:4038102"] = 106,
			["Recuperate"] = 202,
			["Redirected Anima:236160"] = 805,
			["Redoubt"] = 117,
			["Refine Meteorite"] = 5,
			["Reflection: Massacre"] = 105,
			["Reflection: Ravage"] = 105,
			["Reflective Shell"] = 900,
			["Reflective Shield"] = 65,
			["Refracted Sinlight"] = 321,
			["Refreshing Jade Wind"] = 802,
			["Regal Bite"] = 101,
			["Regenerate:236166"] = 8,
			["Regeneratin'"] = 8,
			["Regeneration:136077"] = 8,
			["Regeneration:1850550"] = 8,
			["Regenerative Scales"] = 280,
			["Regrowth"] = 8,
			["Regurgitate"] = 8,
			["Rejected Creations:4038105"] = 106,
			["Rejection:651096"] = 327,
			["Rejuvenating Breeze"] = 802,
			["Rejuvenating Serum"] = 281,
			["Rejuvenating Water"] = 801,
			["Rejuvenating Waters"] = 801,
			["Rejuvenating Wind"] = 10,
			["Rejuvenation"] = 8,
			["Releasing"] = 202,
			["Relentless Feeding"] = 413,
			["Relentless Mauling"] = 112,
			["Relic Breaker:3528303"] = 411,
			["Remorseless Winter"] = 160,
			["Rend Soul"] = 323,
			["Rend"] = 101,
			["Rending Claw"] = 101,
			["Rending Claws"] = 101,
			["Rending Cleave"] = 101,
			["Rending Cut"] = 101,
			["Rending Howl"] = 111,
			["Rending Roar"] = 111,
			["Rending Swipe"] = 107,
			["Rending Talons"] = 101,
			["Rending Voidlash"] = 320,
			["Rending Whirl"] = 101,
			["Renegade Strength"] = 105,
			["Renew"] = 2,
			["Renewing Mist"] = 802,
			["Repair Carriage"] = 100,
			["Repair Flesh:643416"] = 414,
			["Repair"] = 100,
			["Repairing"] = 100,
			["Rescue Soul"] = 203,
			["Rescue Soul:3528279"] = 201,
			["Rescue"] = 202,
			["Rescuing"] = 202,
			["Resolute Armor"] = 108,
			["Resonant Burst"] = 204,
			["Resonant Cascade"] = 204,
			["Resonant Pulse"] = 204,
			["Resonating Arrow"] = 201,
			["Resonating Crystals"] = 813,
			["Resounding Protection"] = 202,
			["Restorative Waters"] = 801,
			["Restore Stone"] = 803,
			["Restore"] = 2,
			["Restoring"] = 202,
			["Resurrection Sickness"] = "Hated",
			["Resuscitate"] = 802,
			["Resuscitating"] = 202,
			["Retch"] = 40,
			["Retched Acid"] = 806,
			["Retched Belch"] = 40,
			["Retribution Aura"] = 6,
			["Retrieving"] = 100,
			["Retrofit"] = 100,
			["Return to Camp"] = 804,
			["Return to Entrance"] = 100,
			["Revel in Pain"] = 401,
			["Revenge!"] = 104,
			["Reverberating Assault"] = 3,
			["Reverberating Leap"] = 903,
			["Reverse Entropy"] = 401,
			["Reverse Wounds:985088"] = 641,
			["Revitalizing Brew"] = 282,
			["Revitalizing Waters"] = 801,
			["Revive Champion:298674"] = 326,
			["Rickety Plank:134962"] = 804,
			["Ricocheting Blade:3154690"] = 102,
			["Rictus of the Laughing Skull"] = 720,
			["Rifle Shot"] = 100,
			["Rift Blast:3528282"] = 203,
			["Rift Blasts:4037119"] = 203,
			["Right Piston"] = 5,
			["Righteous Fury"] = 6,
			["Righteous Verdict"] = 2,
			["Riled Up!"] = 103,
			["Riled Up"] = 103,
			["Rime"] = 16,
			["Ring of Chaos:632353"] = 320,
			["Ring of Frost"] = 160,
			["Ring of Peace"] = 807,
			["Ring of Thunder"] = 800,
			["Rip Soul:1378703"] = 323,
			["Rip You To Pieces"] = 103,
			["Rip"] = 321,
			["Ripping Strike"] = 101,
			["Ripple in Space"] = 204,
			["Risen Ghoul"] = 414,
			["Risen Shadows"] = 326,
			["Rising Fury:463566"] = 803,
			["Rite of Supremacy:3528311"] = 321,
			["Ritual of Bone"] = 326,
			["Ritual of Bone"] = 411,
			["Ritual of Bones"] = 411,
			["Ritual of Decay"] = 326,
			["Ritual of Destruction"] = 32,
			["Ritual of Doom"] = 402,
			["Ritual of Pain:3528301"] = 411,
			["Ritual of Shadow"] = 32,
			["Ritual of Summoning"] = 32,
			["Ritual of the Berserker"] = 321,
			["Ritual of Winds"] = 811,
			["Ritual of Woe:237536"] = 321,
			["Roar of the Crowd"] = 104,
			["Roar of the Drake"] = 111,
			["Roaring Heat"] = 402,
			["Rock Barrage"] = 803,
			["Rock Bash"] = 803,
			["Rock Lance"] = 803,
			["Rock Lob"] = 803,
			["Rock Smasher:796637"] = 903,
			["Rocky Spit"] = 803,
			["Rocky Spittle"] = 803,
			["Roiling Blood"] = 321,
			["Rolling Charge"] = 104,
			["Rolling Stone"] = 803,
			["Root Burst"] = 903,
			["Rot Barrage"] = 40,
			["Rotary Body Armor:135733"] = 203,
			["Rotten Bolt"] = 40,
			["Rotten Claw"] = 415,
			["Rotten to the Core"] = 410,
			["Rotting Bite"] = 410,
			["Rotting Bolt"] = 40,
			["Rotting Decay"] = 40,
			["Rotting Tempest"] = 40,
			["Rouse Trader"] = 202,
			["Rousing"] = 202,
			["Rowdy"] = 103,
			["Ruby Slippers"] = 646,
			["Ruiner:135798"] = 401,
			["Ruinous Bolt"] = 413,
			["Ruinous Bulwark"] = 127,
			["Rule of Threes"] = "Mana",
			["Rule of Law"] = 202,
			["Rumble:1058934"] = 903,
			["Rumble:136025"] = 803,
			["Rumble:252185"] = 903,
			["Rumble:451165"] = 803,
			["Rumbling Earth"] = 803,
			["Rumbling Fissure:1118738"] = 401,
			["Run Through:132337"] = 104,
			["Rune Blast"] = 96,
			["Rune of Alacrity"] = 96,
			["Rune of Asvior"] = 4,
			["Rune of Binding"] = 96,
			["Rune of Destruction"] = 96,
			["Rune of Destruction:978470"] = 400,
			["Rune of Grasping Earth"] = 810,
			["Rune of Healing"] = 2,
			["Rune of Power"] = 96,
			["Rune of Power:609815"] = 65,
			["Rune of Razorice"] = 48,
			["Rune of Suffering"] = 414,
			["Rune of Summoning"] = 96,
			["Rune of the Fallen Crusader"] = 96,
			["Rune of the Stoneskin Gargoyle"] = 65,
			["Rune of the Storm"] = 800,
			["Rune of Trembling Earth"] = 810,
			["Rune of Ubbi"] = 2,
			["Rune of Unending Thirst"] = 321,
			["Rune of Unmaking"] = 64,
			["Rune Shield"] = 96,
			["Rune Tap"] = 96,
			["Rune Weaving"] = 96,
			["Rune-Etched Axe"] = 96,
			["Runecarving"] = 96,
			["Runed Flame Jets"] = 4,
			["Runed Weapon"] = 96,
			["Runes of Shielding"] = 96,
			["Runic Blast"] = 96,
			["Runic Brand"] = 96,
			["Runic Brand:442743"] = 810,
			["Runic Bulwark"] = 96,
			["Runic Cleave"] = 65,
			["Runic Corruption"] = 96,
			["Runic Displacement"] = 96,
			["Runic Empowerment"] = 96,
			["Runic Focus"] = 96,
			["Runic Focus:136057"] = 800,
			["Runic Hide"] = 96,
			["Runic Lightning"] = 800,
			["Runic Mark"] = 96,
			["Runic Mending"] = 64,
			["Runic Prison"] = 96,
			["Runic Shield"] = 96,
			["Runic Spike"] = 810,
			["Runic Strike"] = 65,
			["Running Wild"] = 33,
			["Rupture Line"] = 803,
			["Rupture"] = 102,
			["Ruptured Carapace"] = 40,
			["Rushing Jade Wind"] = 802,
			["Ruthless Precision"] = 100,
			["Sabreil Slash"] = 107,
			["Sabriel Slash"] = 107,
			["Safe Fall"] = 202,
			["Safety Bubble"] = 801,
			["Salt Spray"] = 909,
			["Salvaging"] = 100,
			["Sanctified Mists:3528313"] = 321,
			["Sanctify"] = 200,
			["Sanctum"] = 202,
			["Sand Blast"] = 804,
			["Sand Bolt"] = 804,
			["Sand Breath"] = 804,
			["Sand Trap"] = 804,
			["Sandblast"] = 804,
			["Sandy Spit"] = 804,
			["Sanguine Expulsion"] = 321,
			["Sanguine Extraction"] = 321,
			["Sanguine Feast"] = 321,
			["Sanguine Fury"] = 321,
			["Sanguine Residue"] = 321,
			["Sanguine Sphere"] = 321,
			["Sanitizing Cycle:135949"] = 200,
			["Sanity Restoration Orb"] = 2,
			["Sashj'tar Blast"] = 800,
			["Sashj'tar Harpoon"] = 100,
			["Sated"] = 999,
			["Satiated:237554"] = 104,
			["Savage Assault"] = 112,
			["Savage Claws"] = 107,
			["Savage Maul"] = 101,
			["Savage Roar"] = 104,
			["Saving"] = 202,
			["Scald"] = 20,
			["Scale Shield"] = 900,
			["Scales of Trauma"] = 202,
			["Scar Soul:895888"] = 413,
			["Scarab Swarm"] = 903,
			["Scarlet Resurrection"] = 2,
			["Scatter Shot"] = 100,
			["Scent of Blood"] = 105,
			["Scintillate:4037119"] = 203,
			["Scorch"] = 4,
			["Scorched Earth:135990"] = 911,
			["Scornful Blast:1357801"] = 321,
			["Scourge Hook"] = 909,
			["Scouring Sand"] = 804,
			["Scouring Tithe"] = 201,
			["Scout's Signal"] = 111,
			["Scouting Ahead:135745"] = 646,
			["Scrapping"] = 100,
			["Scratch"] = 101,
			["Screaming Blast"] = 111,
			["Screaming Skull"] = 326,
			["Screams of the Dead"] = 327,
			["Screech From Beyond"] = 320,
			["Screech"] = 111,
			["Screeching Howl"] = 111,
			["Scribe:132851"] = 32,
			["Scripture of Elune"] = 202,
			["Scroll of Teleport: Ravenholdt"] = 646,
			["Scrying"] = 64,
			["Sea Spout"] = 801,
			["Seal Armor Breach:538043"] = 400,
			["Sear"] = 4,
			["Sear:135731"] = 64,
			["Sear:135799"] = 401,
			["Sear:135802"] = 401,
			["Searching"] = 100,
			["Searing Brand:135794"] = 401,
			["Searing Glare:3528298"] = 411,
			["Searing Nightmare"] = 328,
			["Searing Plasma"] = 400,
			["Searing Rend:1093862"] = 401,
			["Searing Wrath"] = 6,
			["Seaswell"] = 801,
			["Secret Infusion"] = 281,
			["Security Slam:3922561"] = 110,
			["Seduction"] = 661,
			["Seed of Corruption"] = 324,
			["Seed of Doubt"] = 324,
			["Seed of the Abyss:3528303"] = 411,
			["Seeds of Extinction:3575389"] = 805,
			["Seeds of Extinction:3636841"] = 805,
			["Seeds of Sorrow"] = 8,
			["Seeing Red:841383"] = 103,
			["Seeker Swarm:136128"] = 40,
			["Seethe"] = 327,
			["Seething Flames"] = 4,
			["Seismic Force"] = 803,
			["Seismic Slam"] = 903,
			["Seismic Upheaval"] = 803,
			["Self-Cleaning Cycle"] = 100,
			["Self-Destruct Protocol"] = 4,
			["Self-Destruct"] = 4,
			["Self-Destruct:1041235"] = 800,
			["Selfless Healer"] = 2,
			["Sepsis"] = 805,
			["Sepsis"] = 805,
			["Seraphim"] = 2,
			["Serenity Blessing"] = ZA.PrimaryStatSchool,
			["Serenity"] = 807,
			["Serpent Sting"] = 806,
			["Serpent's Swiftness"] = 115,
			["Serpentine Cleansing"] = 8,
			["Serrated Bone Spike"] = 326,
			["Serrated Slash"] = 101,
			["Serrated Swipe"] = 102,
			["Serve Drink"] = 202,
			["Serve Food"] = 202,
			["Serve Tea"] = 802,
			["Severing Blow"] = 803,
			["Severing Hew"] = 112,
			["Severing Roar:1778228"] = 413,
			["Severing Slice:1476626"] = 101,
			["Severing Smash:1778230"] = 413,
			["Severing Strike"] = 112,
			["Severing Swipe:Severing Swipe"] = 903,
			["Sha Bolt"] = 327,
			["Sha Breath"] = 327,
			["Sha Energy"] = 327,
			["Sha Smash"] = 327,
			["Sha Spike"] = 327,
			["Sha Touch"] = 327,
			["Shackle the Unworthy:3565442"] = 201,
			["Shackles"] = 909,
			["Shades of Bargast"] = 323,
			["Shadow Blades"] = 96,
			["Shadow Bolt Volley"] = 32,
			["Shadow Bolt"] = 32,
			["Shadow Bond:611425"] = 320,
			["Shadow Claw:237564"] = 32,
			["Shadow Bulwark"] = 32,
			["Shadow Burst"] = 32,
			["Shadow Conflagration"] = 32,
			["Shadow Covenant"] = 32,
			["Shadow Crash"] = 320,
			["Shadow Dance"] = 33,
			["Dance of Shadows"] = 33,
			["Shadow Manacles"] = 325,
			["Shadow Meteor"] = 36,
			["Shadow Meteor:1357805"] = 412,
			["Shadow Nova"] = 32,
			["Shadow Pact:537079"] = 32,
			["Shadow Pounce"] = 720,
			["Shadow Prison"] = 96,
			["Shadow Rip"] = 96,
			["Shadow Shift:633004"] = 320,
			["Shadow Sight"] = 328,
			["Shadow Slagblast"] = 36,
			["Shadow Spit:3528310"] = 321,
			["Shadow Storm"] = 32,
			["Shadow Strangle"] = 328,
			["Shadow Strike"] = 33,
			["Shadow Strikes"] = 33,
			["Shadow Swipe"] = 32,
			["Shadow Well:2576095"] = 326,
			["Shadow Word: Pain"] = 322,
			["Pain and Suffering"] = 322,
			["Shadow Word: Void"] = 320,
			["Shadow Wrath"] = 320,
			["Shadowbolt Volley"] = 32,
			["Shadowcore:1035040"] = 32,
			["Shadowdelving"] = 96,
			["Shadowfiend"] = 33,
			["Shadowflame Bolt"] = 36,
			["Shadowflame Immolation"] = 36,
			["Shadowflame"] = 36,
			["Shadowfrost Shard"] = 48,
			["Shadowfury"] = 32,
			["Shadowlands Scouting Map"] = 114,
			["Shadowstep"] = 33,
			["Shadowstrike"] = 33,
			["Shake Loose:236195"] = 804,
			["Shale Spit"] = 803,
			["Shambling Rush"] = 415,
			["Shambling Strike"] = 112,
			["Shark Tornado"] = 110,
			["Sharpen Steel"] = 5,
			["Sharpen Weapon"] = 909,
			["Shatter Earth"] = 803,
			["Shatter Reality:463285"] = 326,
			["Shatter Resolve"] = 328,
			["Shatter Rune"] = 96,
			["Shatter Runes"] = 96,
			["Shatter"] = 903,
			[264153] = 806, -- Spit (Devouring maggot)
			["Bone Shards"] = 415,
			["Rotten Expulsion"] = 40,
			["Shatter:237507"] = 110,
			[265741] = 413, -- Drain Soul Essence (Matron Brynde)
			[265759] = 413, -- Splinter Spike (Matron Brynde)
			[265760] = 413, -- Thorned Barrage (Matron Brynde)
			["Effigy Reconstruction:2101971"] = 413,
			["Soul Fetish:1778229"] = 413,
			["Soul Fetish:1778228"] = 413,
			["Shatterbone Shield"] = 415,
			["Shattered Dominion:1121021"] = 32,
			["Shattered Earth"] = 903,
			["Shattered Resolve:136201"] = 96,
			["Shattered Rune"] = 48,
			["Shattered Visage"] = 323,
			["Shattering Bellow"] = 111,
			["Shattering Pain:1357802"] = 112,
			["Shattering Pulse"] = 111,
			["Shattering Ruby"] = 818,
			["Shattering Shard:237236"] = 160,
			["Shattering Smash"] = 903,
			["Shattering Song"] = 111,
			["Shattering Stomp"] = 903,
			["Shattering Throw"] = 65,
			["Shearing Swings:970853"] = 110,
			["Shell Bounce"] = 900,
			["Shell Harden"] = 903,
			["Shell Shield"] = 900,
			["Shell Spin"] = 109,
			["Shell Spin:459027"] = 5,
			["Shellcracker:132340"] = 109,
			["Shield Bash"] = 110,
			["Shield Block"] = 110,
			["Shield of Light"] = 200,
			["Shield of Runes"] = 96,
			["Shield of the Righteous"] = 117,
			["Shield of Vengeance"] = 6,
			["Shield Slam"] = 110,
			["Shield Spike"] = 909,
			["Shield Wall"] = 113,
			["Shielding Words"] = 3,
			["Shifting Power"] = 805,
			["Shimmer Down"] = 721,
			["Shimmering Transformation"] = 805,
			["Discordant Cadenza:463569"] = 413,
			["Shining Light"] = 2,
			["Shining Radiance"] = 200,
			["Wracking Chord:136181"] = 413,
			[261446] = 413, -- Vitality Transfer (Lady Waycrest)
			["Shiv"] = 906,
			["Empowered Shock Lance:1115730"] = 427,
			["Shock Lance:1096201"] = 427,
			["Shiver Venom"] = 806,
			["Shock Burst"] = 800,
			["Shock Grenade:133009"] = 401,
			["Shock Mines:4037125"] = 203,
			["Shock"] = 800,
			["Shockbitten"] = 911,
			["Shocking Breath"] = 800,
			["Shocking Claw"] = 800,
			["Shocking Leap"] = 9,
			["Shocking Reins"] = 800,
			["Shocking Squall"] = 800,
			["Shockwave"] = 903,
			["Shoot Me:135797"] = 401,
			["Shoot Plague"] = 40,
			["Shoot RJR"] = 100,
			["Shoot"] = 100,
			["Shoot"] = 100,
			["Short Circuit"] = 800,
			["Short Out"] = 800,
			["Shot"] = 100,
			["Shotgun"] = 100,
			["Shoulder Charge"] = 104,
			["Shrapnel Blast"] = 4,
			["Shrapnel Bomb"] = 5,
			["Shred Armor"] = 112,
			["Shred"] = 101,
			["Shredder"] = 102,
			["Shredding Whirl"] = 101,
			["Shrieking Caw"] = 111,
			["Shrieking Souls"] = 323,
			["Shrink"] = 325,
			["Shroud Bolt:132851"] = 320,
			["Shroud of Concealment"] = 411,
			["Shroud of Purgatory"] = 999,
			["Shroud of Runes"] = 96,
			["Shuffle"] = 115,
			["Shuri:1041235"] = 203,
			["Shuriken Blitz:236174"] = 102,
			["Shuriken Storm"] = 33,
			["Shuriken Tornado"] = 33,
			["Sickening Retch"] = 410,
			["Siege Nova:135795"] = 401,
			["Siege Nova:135799"] = 401,
			["Siegebreaker"] = 117,
			["Sigil of Chains"] = 816,
			["Sigil of Flame:1344652"] = 401,
			["Sigil of Misery"] = 32,
			["Sigil of Silence"] = 646,
			["Sigil of Skoldus"] = 411,
			["Signal Flare"] = 5,
			["Silence"] = 328,
			["Silencing Calm"] = 328,
			["Silent Spirit:636334"] = 413,
			["Silverback"] = 903,
			["Sin Bolt Volley"] = 321,
			["Sin Bolt"] = 321,
			["Sinful Brand"] = 321,
			["Singularity"] = 320,
			["Sinheart Volley"] = 321,
			["Sinister Strike"] = 33,
			["Sinseeker"] = 321,
			["Siphon Anima:236222"] = 413,
			["Siphon Anima:2576086"] = 326,
			["Siphon Anima:2576095"] = 326,
			["Siphon Anima:3528298"] = 411,
			["Siphon Anima:3528307"] = 321,
			["Siphon Blood"] = 321,
			["Siphon Essence"] = 326,
			["Siphon Life"] = 326,
			["Siphon Life:132096"] = 321,
			["Siphon Loyalty"] = 411,
			["Siphon Nightwell"] = 640,
			["Siphon Storm"] = 118,
			["Invigorating Powder"] = 814,
			["Siphon of Acherus"] = 720,
			["Siphon Souls:3528308"] = 321,
			["Siphon Spirit:3528284"] = 201,
			["Siren's Blast"] = 111,
			["Six Pound Barrel"] = 415,
			["Skeletal Rumble"] = 415,
			["Skewer"] = 107,
			["Skinning"] = 101,
			["Skirmisher's Speed"] = 104,
			["Skirmishing Pounce"] = 104,
			["Skull and Crossbones"] = 33,
			["Slag Bolt"] = 400,
			["Slag Breath"] = 400,
			["Slag Smash"] = 803,
			["Slagblast"] = 400,
			["Slam"] = 1,
			["Slashing Rend"] = 101,
			["Slashing Talons"] = 101,
			["Slaver's Rage"] = 103,
			["Slice and Dice"] = 104,
			["Slicing Maelstrom"] = 800,
			["Slime Bolt"] = 806,
			["Slime Nova"] = 806,
			["Slime Injection"] = 806,
			["Slime Slam"] = 906,
			["Slime Wave"] = 806,
			["Slimebolt"] = 806,
			["Slimewave"] = 806,
			["Slimewaves"] = 806,
			["Slimy Coating"] = 806,
			["Sling Mud"] = 803,
			["Slow Fall"] = 811,
			["Slow"] = 641,
			["Slop Burst"] = 806,
			["Sludge Bolt"] = 410,
			["Smack Down"] = 109,
			["Smack:458717"] = 109,
			["Smash"] = 903,
			["Smash:1390637"] = 900,
			["Smash:3528285"] = 201,
			["Smash:606542"] = 9,
			["Smelt Rune"] = 9,
			["Smoke Blades"] = 327,
			["Smoky Belch"] = 811,
			["Smoldering Inertia"] = 4,
			["Snail Slime"] = 806,
			["Snap & Chop"] = 107,
			["Snap and Toss"] = 108,
			["Snap Shot"] = 100,
			["Snapping Bite"] = 109,
			["Snapping Slice"] = 903,
			["Snaring Blast:252995"] = 805,
			["Snatch Armor"] = 108,
			["Sneezing Fit"] = 806,
			["Snipe"] = 112,
			["Snort"] = 903,
			["Snowball"] = 160,
			["Order: Destruction:132333"] = 111,
			["Necromight Infusion"] = 326,
			["Maddening Gaze"] = 320,
			["Solar Beam"] = 6,
			["Solar Beam"] = 6,
			["Solar Blast"] = 6,
			["Solar Burst"] = 6,
			["Solar Chakram"] = 6,
			["Solar Collapse"] = 6,
			["Solar Empowerment"] = 6,
			["Solar Eruption"] = 6,
			["Solar Heal"] = 2,
			["Solar Healing Nova"] = 6,
			["Solar Orb"] = 6,
			["Solar Radiance"] = 6,
			["Solar Shower"] = 6,
			["Solar Spray"] = 6,
			["Solar Wrath"] = 6,
			["Empower:1029580"] = 6,
			["Solar Zone"] = 6,
			["Solid Shell:134455"] = 803,
			["Song of Chi-Ji"] = 66,
			["Song of the Empress"] = 111,
			["Sonic Bellow"] = 111,
			["Sonic Boom"] = 111,
			["Sonic Burst"] = 111,
			["Sonic Charge"] = 111,
			["Sonic Field"] = 111,
			["Sonic Projection"] = 111,
			["Sonic Pulse"] = 111,
			["Sonic Scream"] = 111,
			["Sonic Screech"] = 111,
			["Sonic"] = 111,
			["Soothing Breath"] = 802,
			["Soothing Mist"] = 807,
			["Soothing Shade"] = 33,
			["Soothing"] = 202,
			["Soporific Shimmerdust:134379"] = 805,
			["Sorrowful Burden"] = 325,
			["Soul Barrier"] = 32,
			["Soul Blast"] = 411,
			["Soul Bolt Volley"] = 411,
			["Soul Bolt"] = 411,
			["Soul Bolt:631503"] = 413,
			["Soul Burn:1778228"] = 413,
			["Soul Charge"] = 32,
			["Soul Dust:134389"] = 411,
			["Soul Eruption:1390943"] = 413,
			["Soul Exhaustion"] = 999,
			["Soul Explosion"] = 402,
			["Soul Feast"] = 411,
			["Soul Fire"] = 402,
			["Soul Fire:841220"] = 401,
			["Soul Fissure:135793"] = 401,
			["Soul Fissure:135794"] = 401,
			["Soul Flay:3528306"] = 321,
			["Soul Fracture"] = 411,
			["Soul Fracture:2576087"] = 326,
			["Soul Grasp"] = 326,
			["Soul Infusion:3528306"] = 321,
			["Soul Jaunt"] = 411,
			["Soul Leech"] = 326,
			["Soul of Mist"] = 415,
			["Soul of the Forest"] = 280,
			["Soul Pillar:1778230"] = 413,
			["Soul Prison"] = 411,
			["Soul Reaper"] = 96,
			["Soul Rend:895888"] = 413,
			["Soul Rot"] = 413,
			["Soul Ruin"] = 411,
			["Soul Shard"] = 32,
			["Soul Shot"] = 411,
			["Soul Shred"] = 323,
			["Soul Shroud"] = 96,
			["Soul Siphon"] = 32,
			["Soul Siphon:194657"] = 32,
			["Soul Siphon:607854"] = 32,
			["Soul Steal"] = 323,
			["Soul Touch:2576086"] = 326,
			["Soul Touch:2576086"] = 326,
			["Soul Vessel"] = 323,
			["Soul Volley"] = 411,
			[263959] = 413, -- Soul Bolt (Heartsbane Soulcharmer)
			[264024] = 413, -- Soul Volley (Heartsbane Soulcharmer)
			[263961] = 413, -- Warding Candles (Heartsbane Soulcharmer)
			["Soul Warp:135799"] = 127,
			["Soulblast Nova"] = 326,
			["Soulblight Orb"] = 413,
			["Soulburn:841219"] = 401,
			["Soulflame:841221"] = 361,
			["Soulforge Embers"] = 400,
			["Soulforged Censer"] = 2,
			["Soulfreezing Rune"] = 48,
			["Soulglow Spectrometer"] = 201,
			["Soulrend"] = 32,
			["Soulshape"] = 805,
			["Soulshape"] = 805,
			["Soulshift"] = 96,
			["Soulsmash:237526"] = 411,
			["Soulstone"] = 32,
			["Soulstorm:3528295"] = 326,
			["Soulstorm:4067362"] = 411,
			["Soulsunder"] = 113,
			["Soulsunder"] = 33,
			["Sounding Horn"] = 111,
			["Spam Filter"] = 64,
			["Spark Burn:4037119"] = 203,
			["Spark of Inspiration"] = 204,
			["Sparkbolt Volley"] = 800,
			["Sparks of Unwavering Strength"] = 204,
			["Spatial Rift"] = 320,
			["Spawn Waterlings"] = 801,
			["Spear of Anguish"] = 806,
			["Spear of Bastion"] = 201,
			["Spectral Bolt Volley"] = 326,
			["Spectral Bolt"] = 326,
			["Spectral Procession"] = 720,
			["Spectral Reach:2576094"] = 326,
			["Spectral Shackle"] = 323,
			["Spectral Sight"] = 401,
			["Spectral Smite"] = 720,
			["Spectral Storm"] = 720,
			["Spectral Swipe"] = 720,
			["Spectre Rush"] = 326,
			["Speed of Gonk"] = 104,
			["Speed"] = 104,
			["Spell Reflect"] = 65,
			["Spell Reflection"] = 65,
			["Spew Corruption"] = 324,
			["Spew Disease"] = 410,
			["Spider Swarm"] = 900,
			["Spiked Bulwark"] = 109,
			["Spiked Shield"] = 101,
			["Spiked Tongue:136113"] = 900,
			["Spilled Essence:1035041"] = 321,
			["Spinal Tap"] = 326,
			["Spine Crawl"] = 415,
			["Spine Crush:460686"] = 415,
			["Spineshatter"] = 903,
			["Spinning Blade"] = 108,
			["Spinning Crane Kick"] = 807,
			["Spinning Slash"] = 107,
			["Spinning Up"] = 100,
			["Spiny Strike"] = 415,
			["Void Rift"] = 320,
			["Spirit Armor"] = 720,
			["Spirit Bolt"] = 413,
			["Spirit Bomb"] = 361,
			["Spirit Gale"] = 32,
			["Spirit Heal"] = 280,
			["Spirit Link Totem"] = 280,
			["Spirit Mend"] = 280,
			["Spirit of Ka-Sha"] = 720,
			["Spirit of Shinri"] = 720,
			["Spirit of Preservation"] = 204,
			["Spirit of Redemption"] = 201,
			["Spirit Shell"] = 66,
			["Spirit Stream"] = 720,
			["Spirit Walk"] = 721,
			["Spirit Wolf"] = 720,
			["Spirit's Swiftness"] = 104,
			["Spiritwalker's Grace"] = 280,
			["Spit Blood"] = 321,
			["Spit Filth"] = 410,
			["Spit Honey"] = 810,
			["Spitting Cobra"] = 906,
			["Splash"] = 801,
			["Splintered Elemental Rod"] = 810,
			["Splintered Elements"] = 28,
			["Split Soul"] = 32,
			["Splitting Slash"] = 101,
			["Spore Strike"] = 900,
			["Spot of Tea"] = 802,
			["Spray Water"] = 801,
			["Spreadshot:132208"] = 112,
			["Sprint"] = 104,
			["Sprouting:136064"] = 412,
			["Spyglass Sight"] = 100,
			["Squish 'Em"] = 107,
			["Staggering Cry"] = 111,
			[226231] = 640, -- Faint Hope (Astral Farseer, Nighthold)
			["Staggering Sound"] = 111,
			["Stagnant Blast"] = 415,
			["Stampede"] = 107,
			["Stampeding Charge"] = 104,
			["Stampeding Corruption"] = 320,
			["Stampeding Roar"] = 104,
			["Stampeding Rush"] = 104,
			["Star Gate:610471"] = 64,
			["Star Shower"] = 721,
			["Starfall"] = 721,
			["Make the Sky Fall:236168"] = 721,
			["Starfire"] = 640,
			["Starlance Vigil"] = 720,
			["Starsurge"] = 64,
			["Starsurge"] = 721,
			["Stasis Beam:135860"] = 203,
			["Static Bolt"] = 800,
			["Static Bolts"] = 800,
			["Static Charge"] = 800,
			["Static Discharge"] = 800,
			["Static Field Totem"] = 800,
			["Static Maelstrom"] = 800,
			["Static Nova"] = 800,
			["Static Pulse"] = 800,
			["Steadfast Resolve"] = 660,
			["Steady Blast:4038104"] = 106,
			["Steady Focus"] = 108,
			["Steady Shot"] = 108,
			["Steal Essence:347045"] = 411,
			["Steal Essence:636333"] = 411,
			["Steal Memories"] = 324,
			["Steal Memories:3528284"] = 201,
			["Stealing Egg"] = 108,
			["Stealthlings:1370997"] = 900,
			["Steam Blast"] = 20,
			["Steam Trail"] = 20,
			["Steel Trap"] = 102,
			["Stellar Emission:1360763"] = 6,
			["Stellar Flare"] = 721,
			["Stellar Pylon:253400"] = 3,
			["Sticky Mucus"] = 806,
			["Sticky Stomp"] = 9,
			["Sticky Venom"] = 806,
			["Stigma of Pride:538039"] = 321,
			["Sting of the Corpse-Reaver"] = 810,
			["Sting"] = 806,
			["Stinger Flurry"] = 906,
			["Stitchneedle:878217"] = 101,
			["Stoke the Flames"] = 5,
			["Stolen Breath"] = 323,
			["Stolen Knowledge:4238797"] = 106,
			["Stolen Shadehound"] = 411,
			["Stomp"] = 903,
			["Stomp:136025"] = 903,
			["Stone Armor"] = 803,
			["Stone Bolt"] = 803,
			["Stone Breach"] = 903,
			["Stone Breaker"] = 903,
			["Stone Breath"] = 803,
			["Stone Bulwark"] = 803,
			["Stone Call"] = 803,
			["Stone Claws"] = 101,
			["Stone Disc"] = 803,
			["Stone Eruption"] = 803,
			["Stone Fist"] = 803,
			["Stone Form"] = 803,
			["Stone Gaze"] = 808,
			["Stone Shatter"] = 903,
			["Stone Shattering Leap"] = 903,
			["Stone Shell Detonation"] = 803,
			["Stone Shot"] = 803,
			["Stone Smash"] = 803,
			["Stone Spike"] = 803,
			["Stone Splinter"] = 803,
			["Stone Stomp"] = 803,
			["Stone Throw"] = 803,
			["Stoneblood Bolt"] = 806,
			["Stoneblood Embrace"] = 806,
			["Stoneblood Geyser"] = 806,
			["Stoneblood Swoop"] = 906,
			["Stonebreaker"] = 903,
			["Stoneform"] = 803,
			["Stoneshape"] = 803,
			["Stoneshape"] = 803,
			["Stoneskin"] = 803,
			["Store Kinetic Energy"] = 111,
			["Storm Cloud"] = 911,
			["Storm Elemental"] = 911,
			["Storm Nova"] = 800,
			["Storm of Darkness:136194"] = 327,
			["Storm Shield"] = 800,
			["Storm"] = 911,
			["Storm, Earth, and Fire"] = 28,
			["Stormborn"] = 800,
			["Stormbringer"] = 800,
			["Stormclouds"] = 911,
			["Stormforged Spear"] = 800,
			["Stormhammer"] = 9,
			["Stormkeeper"] = 800,
			["Stormstrike"] = 9,
			["Strange Brew"] = 281,
			["Streamline"] = 112,
			["Strength of Many"] = 201,
			["Strength of the Pack"] = 103,
			["Strength of the Warden"] = 204,
			["Strengthen Pact - Incubus"] = 32,
			["Strengthen Pact - Succubus"] = 32,
			["Strike of the Mountain"] = 803,
			["Stygia Tap"] = 411,
			["Stygian Breath"] = 411,
			["Stygian Lament"] = 411,
			["Stygian Rain"] = 411,
			["Stygian Rampage"] = 411,
			["Stygian Rune of Oblivion"] = 96,
			["Stygian Rune Tap"] = 96,
			["Stygian Shield"] = 411,
			["Static Burst"] = 800,
			["Stygian Storm"] = 411,
			["Throw"] = 100,
			["Stygic Bolt"] = 326,
			["Subdue:3528312"] = 321,
			["Subduing Chains"] = 33,
			["Subjugate Demon"] = 328,
			["Subjugate Soul"] = 32,
			["Subjugate Spirit"] = 32,
			["Subjugate"] = 328,
			["Submerged:463570"] = 801,
			["Subterfuge"] = 411,
			["Subterranean Eruptions"] = 803,
			["Succumb to Doubt"] = 411,
			["Sucking Teeth"] = 101,
			["Sudden Death"] = 411,
			["Summon Deathtouched Slaver"] = 413,
			["Darkened Lightning:1385911"] = 413,
			["Dread Essence:1778230"] = 413,
			["Death Lens:136202"] = 413,
			[266460] = 413, -- Dread Bolt (Deathtouched Slaver)
			["Sudden Doom"] = 411,
			["Suffering"] = 411,
			["Sugar Rush:236303"] = 107,
			["Summon Air Elemental"] = 811,
			["Summon Arsenal:3151164"] = 321,
			["Summon Blazing Servitor"] = 4,
			["Summon Blighthound"] = 326,
			["Summon Broodlings:236197"] = 111,
			["Summon Carrion Bats"] = 40,
			["Summon Cloud Serpent"] = 802,
			["Summon Condemned"] = 411,
			["Summon Darkglare"] = 32,
			["Summon Demonic Tyrant"] = 32,
			["Summon Doomskull"] = 64,
			["Summon Dread Spirit:132183"] = 412,
			["Summon Empowering Spirits"] = 32,
			["Summon Fel Imp"] = 401,
			["Summon Fel Orb"] = 401,
			["Summon Felguard"] = 127,
			["Summon Felhound Manastalker"] = 32,
			["Summon Felhunter"] = 32,
			["Summon Fiendish Hound"] = 32,
			["Summon Flaming Heads"] = 36,
			["Summon Gargoyle"] = 33,
			["Summon Imp"] = 127,
			["Summon Incubus"] = 32,
			["Summon Infernal"] = 401,
			["Summon Jade Serpent Statue"] = 120,
			["Summon Lesser Demon"] = 32,
			["Summon Lesser Demons"] = 32,
			["Summon Meteor"] = 400,
			["Summon Observer"] = 32,
			["Summon Overfiend"] = 401,
			["Summon Phantomflame Infernal"] = 401,
			["Summon Plasma Spheres"] = 4,
			["Summon Pocopoc"] = 106,
			["Summon Power Crystal"] = 64,
			["Summon Power Crystals"] = 64,
			["Summon Rogg Shard"] = 808,
			["Summon Sayaad"] = 32,
			["Summon Seductress"] = 32,
			["Summon Shackled Servitor"] = 320,
			["Summon Sharazaan"] = 32,
			["Summon Shivarra"] = 32,
			["Summon Skeleton"] = 326,
			["Summon Skeletons"] = 326,
			["Summon Slag Elemental"] = 400,
			["Summon Solar Orb"] = 6,
			["Summon Spiderlings"] = 900,
			["Summon Succubus"] = 32,
			["Summon Tentacle of the Old Ones"] = 324,
			["Summon Unstable Slag"] = 400,
			["Summon Vilefiend"] = 401,
			["Summon Voidlord"] = 320,
			["Summon Voidwalker"] = 320,
			["Summon Water Elemental"] = 801,
			["Summon Wolfoids"] = 646,
			["Summon Wrathguard"] = 32,
			["Summoning Voidwalker"] = 320,
			["Sun Bolt"] = 6,
			["Sun Strike"] = 6,
			["Sunder Armor"] = 107,
			["Sunfire"] = 6,
			["Sunwarmed Sand"] = 6,
			["Super Saison:516667"] = 282,
			["Super Swipe"] = 112,
			["Supersonic"] = 111,
			["Suppress Pain"] = 322,
			["Suppression Spark"] = 203,
			["Suppression Sentry:4038106"] = 106,
			["Suppression:4037121"] = 203,
			["Surge of Light"] = 66,
			["Surge of Pain"] = 322,
			["Surge of Pain:3528302"] = 411,
			["Surging Blade:878213"] = 110,
			["Surging Crude:252178"] = 999,
			["Surging Darkness"] = 320,
			["Surging Depths"] = 801,
			["Surging Doubt"] = 411,
			["Surging Fist:877699"] = 96,
			["Surging Mist"] = 802,
			["Surrender to Madness"] = 324,
			["Survey"] = 100,
			["Survival Instincts"] = 202,
			["Survival of the Fittest"] = 800,
			["Swamp Breath"] = 803,
			["Swarm of Flies"] = 40,
			["Swarming Mist"] = 321,
			["Sweeping Blast:4038105"] = 106,
			["Sweeping Blow:916656"] = 33,
			["Sweeping Scythe:1692685"] = 413,
			["Sweeping Slash:463521"] = 804,
			["Sweeping Strike"] = 107,
			["Sweeping Strikes"] = 107,
			["Swift Paws"] = 104,
			["Swift Recollection"] = 201,
			["Swift Strikes:132306"] = 104,
			["Swiftness"] = 104,
			["Swiftstep"] = 104,
			["Swipe"] = 108,
			["Swooping Lunge"] = 811,
			["Sword Toss:135369"] = 100,
			["Symbol of Hope"] = "Mana",
			["Symbols of Death"] = 411,
			["Tachyon Jump"] = 203,
			["Tail Swipe:575745"] = 107,
			["Tailwind"] = 811,
			["Taint of the Sea"] = 415,
			["Tainted Ground:3528301"] = 411,
			["Take Your Cut"] = 108,
			["Tal'Galan's Trial"] = 203,
			["Talon Rake"] = 101,
			["Talon Rush"] = 104,
			["Talon Slash"] = 101,
			["Tame Beast"] = 661,
			["Tangled Ward"] = 900,
			["Tangled Webs"] = 900,
			["Tantrum"] = 103,
			["Tar Trap"] = 999,
			["Tarecgosa's Visage"] = 80,
			["Targeted Laceration:303690"] = 100,
			["Taunka Rage"] = 103,
			["Teachings of the Monastery"] = 202,
			["Tear Rift:462651"] = 413,
			["Tearing Bite"] = 101,
			["Tearing the Void"] = 320,
			["Tears of the Forest"] = 805,
			["Telekinetic Onslaught:135822"] = 321,
			["Telekinetic Toss:135822"] = 321,
			["Teleport to Shipyard"] = 646,
			["Teleport to Vindicaar"] = 2,
			["Teleport With Error"] = 100,
			["Teleport"] = 646,
			["Teleport: Black Temple"] = 646,
			["Teleport: Booty Bay"] = 646,
			["Teleport: Boralus"] = 646,
			["Teleport: Dalaran - Broken Isles"] = 646,
			["Teleport: Dalaran - Northrend"] = 646,
			["Teleport: Dalaran"] = 646,
			["Teleport: Darnassus"] = 646,
			["Teleport: Dazar'alor"] = 646,
			["Teleport: Exodar"] = 646,
			["Teleport: Hall of the Guardian"] = 64,
			["Teleport: Ironforge"] = 646,
			["Teleport: Moonglade"] = 646,
			["Teleport: Orgrimmar"] = 646,
			["Teleport: Oribos"] = 646,
			["Teleport: Shattrath"] = 646,
			["Teleport: Silvermoon"] = 646,
			["Teleport: Stonard"] = 646,
			["Teleport: Stormshield"] = 646,
			["Teleport: Stormwind"] = 646,
			["Teleport: Theramore"] = 646,
			["Teleport: Thunder Bluff"] = 646,
			["Teleport: Tol Barad"] = 646,
			["Teleport: Undercity"] = 646,
			["Teleport: Vale of Eternal Blossoms"] = 646,
			["Teleport: Warspear"] = 646,
			["Teleporting"] = 646,
			["Temper Tantrum"] = 103,
			["Temporal Blast"] = 641,
			["Temporal Displacement:458224"] = 999,
			["Temptation"] = 661,
			["Tenderize"] = 903,
			["Tenderizing Smash"] = 903,
			["Tendon Rip"] = 101,
			["Tentacle of the Old Ones"] = 324,
			["Tentacle Slam"] = 33,
			["Terms of Engagement"] = "Focus",
			["Terrify"] = 327,
			["Terrifying Chaos"] = 327,
			["Terrifying Roar"] = 327,
			["Terrifying Screech"] = 327,
			["Terrifying Slam"] = 327,
			["Terrifying Visage"] = 327,
			["Terror Barrage:1357806"] = 412,
			["Terror Blast"] = 327,
			["Terror Gasp"] = 327,
			["Terror"] = 327,
			["Test of Faith:3528286"] = 201,
			["Thawing"] = 20,
			["The Beast Within"] = 103,
			["The Crucible of Flame"] = 204,
			["The Dark is Rising"] = 320,
			["The Ever-Rising Tide"] = 204,
			["The Formless Void"] = 204,
			["The Golden Gaze"] = 200,
			["The Hunt"] = 805,
			["The Innkeeper's Daughter"] = 8,
			["The Sentinel's Eternal Refuge"] = 104,
			["The Unbound Force"] = 204,
			["The Well of Existance"] = 204,
			["Thick Coat"] = 900,
			["Thick Fur"] = 903,
			["Sentinel:135922"] = 200,
			["Sentinel:135875"] = 200,
			["Thick Hide"] = 903,
			["Thief's Blade"] = 101,
			["Thorim's Bolt"] = 800,
			["Thorns"] = 900,
			["Thrash"] = 101,
			["Thrash:135861"] = 901,
			["Thrash:1698701"] = 901,
			["Thrash:451165"] = 903,
			["Thrash:893778"] = 901,
			["Thrashing Horns"] = 112,
			["Threatening Roar"] = 111,
			["Three Blade Strike"] = 110,
			["Throw Anchor"] = 901,
			["Throw Blight Crystal"] = 410,
			["Throw Boulder"] = 803,
			["Throw Brambles"] = 900,
			["Throw Chakram"] = 108,
			["Throw Cleaver:237517"] = 102,
			["Throw Cluster Bomb"] = 5,
			["Throw Cologne"] = 281,
			["Throw Concoction:236882"] = 321,
			["Throw Crystal"] = 808,
			["Throw Crystal:1135365"] = 326,
			["Throw Dirt"] = 803,
			["Throw Flesh"] = 101,
			["Throw Gauntlet:3861531"] = 411,
			["Throw Glaive"] = 100,
			["Throw Hammer:3084396"] = 108,
			["Throw Muck"] = 410,
			["Throw Perfume"] = 281,
			["Throw Research"] = 114,
			["Throw Rock"] = 803,
			["Throw Scrap"] = 100,
			["Throw Torch"] = 4,
			["Throw Totem"] = 9,
			["Halo"] = 2,
			["Halo:632353"] = 320,
			["Throw Witchalok Blade"] = 110,
			["Throw Wyrmtongue Crate"] = 100,
			["Thump"] = 903,
			["Thunder Clap"] = 9,
			["Thunder Focus Tea"] = 800,
			["Thunder Peal"] = 800,
			["Thunder Spear"] = 9,
			["Thunder's Bite"] = 800,
			["Thunder's Call"] = 800,
			["Thunderbolt"] = 800,
			["Thundercharge"] = 800,
			["Thunderclap"] = 9,
			["Thundering Rush"] = 9,
			["Thundering Shock"] = 800,
			["Thundering Squall"] = 800,
			["Thundering Stomp"] = 9,
			["Thunderous Bolt"] = 800,
			["Thunderous Gasp"] = 24,
			["Thunderous Paws"] = 104,
			["Thunderous Tantrum"] = 903,
			["Thunderstorm"] = 800,
			["Ticking Bomb"] = 100,
			["Ticking Time Bomb"] = 5,
			["Tidal Armor"] = 801,
			["Tidal Burst"] = 801,
			["Tidal Flurry"] = 801,
			["Tidal Force"] = 801,
			["Tidal Fury"] = 801,
			["Tidal Smash"] = 901,
			["Tidal Spear"] = 901,
			["Tidal Stomp"] = 901,
			["Tidal Wave"] = 801,
			["Tidal Waves"] = 801,
			["Tide Crush"] = 901,
			["Tiger Dash"] = 104,
			["Tiger's Fury"] = 117,
			["Tiger's Lust"] = 104,
			["Time Stop"] = 641,
			["Time Warp"] = 126,
			["Timewalker's Hearthstone"] = 641,
			["Tip of the Spear"] = 109,
			["Tireless Pursuit"] = 104,
			["Titanic Crash:236312"] = 200,
			["Titanic Surge:136075"] = "Mana",
			["Tithe Anima"] = 321,
			["Tombstone"] = 414,
			["Tongue Lash"] = 900,
			["Tooth and Claw"] = 107,
			["Top Gears"] = 100,
			["Torment Bolt:1357810"] = 412,
			["Torment Dreams"] = 412,
			["Torment Soul:3528300"] = 411,
			["Torment"] = 322,
			["Tormented Chorus"] = 411,
			["Tormented Design"] = 411,
			["Tormenting Eye"] = 324,
			["Tormenting Flames"] = 402,
			["Tormenting Haunt"] = 323,
			["Tormenting Strike"] = 33,
			["Tormentous Crash:3528305"] = 411,
			["Torn Spirits"] = 323,
			["Tornado Kick"] = 9,
			["Tornado"] = 911,
			["Torrent of Shadows"] = 32,
			["Torrent of Souls:893779"] = 801,
			["Torrent"] = 801,
			["Torrent"] = 801,
			["Tortured Blast:3528305"] = 411,
			["Tortured Soul"] = 323,
			["Tortured Stomp:3528303"] = 411,
			["Torturous Might"] = 117,
			["Torturous Reach"] = 411,
			["Toshley's Station Transporter"] = 100,
			["Toss Fuel on Bonfire"] = 4,
			["Toss Soul Stalker Trap"] = 321,
			["Toss Stewards"] = 202,
			["Touch of Anguish"] = 411,
			["Touch of Death"] = 411,
			["Touch of Death:136230"] = 326,
			["Touch of Karma"] = 907,
			["Touch of Slime"] = 806,
			["Touch of the Abyss"] = 327,
			["Touch of the Drowned"] = 801,
			["Touch of the Everlasting"] = 204,
			["Touch of the Magi"] = 64,
			["Touch of the Occult"] = 325,
			["Touch of the Ravenclaw"] = 327,
			["Town Portal"] = 8,
			["Toxic Blades"] = 806,
			["Toxic Breath"] = 806,
			["Toxic Fumes"] = 806,
			["Toxic Leap"] = 806,
			["Toxic Mist"] = 806,
			["Toxic Nova"] = 806,
			["Toxic Pride:3528282"] = 201,
			["Toxic Retch"] = 806,
			["Toxic Spit"] = 806,
			["Toxic Spittle"] = 806,
			["Toxic Spores"] = 806,
			["Toxic Venom"] = 806,
			["Toxic Volley"] = 806,
			["Toxic Whirl"] = 906,
			["Trail of Ruin"] = 112,
			["Trailblazer"] = 104,
			["Trample"] = 903,
			["Trampling Charge"] = 104,
			["Trampling Leap"] = 115,
			["Tranquility"] = 721,
			["Transcendence"] = 807,
			["Transcendence: Transfer"] = 807,
			["Transcribing"] = 114,
			["Transfusion:135949"] = 200,
			["Translocate"] = 646,
			["Transport Portal:459027"] = 402,
			["Trap Prey:132149"] = 100,
			["Trap the Soul"] = 411,
			["Treacherous Aura"] = 325,
			["Trembling Roar"] = 327,
			["Trembling Stomp"] = 903,
			["Tremendous Roar"] = 327,
			["Tremor Totem"] = 803,
			["Trick Shots"] = 107,
			["Tricks of the Trade"] = 112,
			["Tricky Treat"] = 104,
			["Triple Bite:136067"] = 906,
			["Triple Bite:1394887"] = 107,
			["Triple Bite:463493"] = 906,
			["Triple Technique:132148"] = 402,
			["Trol'kalar Cleave"] = 17,
			["True Bearing"] = 641,
			["Trueshot"] = 65,
			["Trusty Shotgun"] = 100,
			["Tummy Ache"] = 40,
			["Tune Up"] = 100,
			["Tunnel"] = 803,
			["Turbulent Juice"] = 806,
			["Turn to Stone"] = 803,
			["Twigin's Wings"] = 40,
			["Twilight Barrage"] = 34,
			["Twilight Barrier"] = 34,
			["Twilight Blast"] = 34,
			["Twilight Bolt"] = 34,
			["Twilight Breath"] = 34,
			["Twilight Burst"] = 34,
			["Twilight Coil"] = 34,
			["Twilight Fireball"] = 34,
			["Twilight Fissure"] = 34,
			["Twilight Flames"] = 34,
			["Twilight Immolate"] = 32,
			["Twilight Meteor"] = 34,
			["Twilight Meteorite"] = 34,
			["Twilight Nova"] = 34,
			["Twilight Phoenix"] = 34,
			["Twilight Restoration:3528307"] = 321,
			["Twilight Shard"] = 34,
			["Twilight Stasis"] = 34,
			["Twilight Volley"] = 34,
			["Twilight Whirl"] = 34,
			["Twin Beams:4038105"] = 106,
			["Twin Beams:537468"] = 106,
			["Twist of Fate"] = 34,
			["Dark Reprimand"] = 34,
			["Twist Reality"] = 320,
			["Twisted Lightning"] = 32,
			["Twisted Nova:1357801"] = 412,
			["Twisted Reflection"] = 64,
			["Twisted Upheaval:134413"] = 413,
			["Twisting Agony:2576086"] = 326,
			["Twlight Flames"] = 34, -- [sic]
			["Typhoon:135861"] = 24,
			["Umbral Blast"] = 32,
			["Umbral Blast:1029595"] = 811,
			["Umbral Crash:1778230"] = 413,
			["Umbral Glaive Storm"] = 65,
			["Unbinding"] = 202,
			["Unbound Chaos"] = 127,
			["Unbound Darkness"] = 32,
			["Unbreakable Guard:3190332"] = 326,
			["Unbreakable Guard:3190332"] = 326,
			["Unburden:132864"] = 201,
			["Unconscionable Guilt:3386971"] = 321,
			["Uncontained Fel"] = 999,
			["Uncontrolled Fire"] = 4,
			["Undertow"] = 801,
			["Undulating Tides"] = 801,
			["Undulation"] = 801,
			["Undying Frenzy"] = 103,
			["Unending Resolve"] = 32,
			["Unfettered Growth"] = 410,
			["Unflinching Defense"] = 65,
			["Unfurling Darkness"] = 96,
			["Unholy Assault"] = 103,
			["Unholy Blight"] = 326,
			["Unholy Bulwark"] = 414,
			["Unholy Bulwark:2576096"] = 326,
			["Unholy Fervor:2576093"] = 326,
			["Unholy Frenzy"] = 103,
			["Unholy Reckoning:132094"] = 411,
			["Unholy Strength"] = 117,
			["Unholy Transfusion"] = 326,
			["Unleash Burden"] = 324,
			["Unleash Burdens"] = 324,
			["Unleash Corruption"] = 324,
			["Unleash Heart of Azeroth"] = 204,
			["Unleash Life"] = 8,
			["Unleash Storm's Fury"] = 800,
			["Unleash the Void"] = 320,
			["Unleash:3528289"] = 201,
			["Unleashed Anima:236305"] = 321,
			["Unleashed Anima:3446309"] = 201,
			["Unleashed Anima:3528287"] = 201,
			["Unleashed Madness"] = 324,
			["Unleashed Madness:1357797"] = 412,
			["Unleashed Soulstorm:4067362"] = 203,
			["Unleashed Suffering"] = 323,
			["Unleashed Suffering:1035037"] = 321,
			["Unleashed Torment"] = 323,
			["Unleashed Wrath:651092"] = 327,
			["Unleashed:895887"] = 327,
			["Unleashing Anima:3528306"] = 321,
			["Unlocking"] = 100,
			["Unmake:1778226"] = 413,
			["Unnerving Howl"] = 327,
			["Unnerving Screech"] = 111,
			["Unnerving Wail"] = 325,
			["Unravel the Runes"] = 96,
			["Unravel:136202"] = 320,
			["Unravel:236296"] = 320,
			["Unraveler's Tempest:3528305"] = 411,
			["Unraveling Flesh"] = 40,
			["Unraveling Frenzy"] = 103,
			["Unraveling Horror"] = 414,
			["Unrelenting Anguish"] = 323,
			["Unruly Yell"] = 111,
			["Unspoken Gratitude"] = 202,
			["Unstable Affliction"] = 412,
			["Unstable Core:4038105"] = 106,
			["Unstable Ejection:342917"] = 413,
			["Unstable Fel Crystal"] = 401,
			["Unstable Flames"] = 4,
			["Unstable Frost"] = 16,
			["Unstable Gloom"] = 324,
			["Unstable Goods:451164"] = 5,
			["Unstable Hex"] = 325,
			["Unstable Oculus"] = 402,
			["Unstable Rift:135729"] = 413,
			["Unstable Rift:4037124"] = 203,
			["Unstable Runic Mark"] = 96,
			["Unstable Shadows"] = 32,
			["Unstable Stygia"] = 411,
			["Unearthly Howl"] = 327,
			["Untaintable Waters"] = 801,
			["Unwavering Assault"] = 107,
			["Unwavering Ward"] = 204,
			["Unyielding Terror"] = 327,
			["Updraft"] = 811,
			["Upheaval"] = 803,
			["Upheaving Stomp"] = 903,
			["Ursol's Vortex"] = 911,
			["Using Direbrew's Remote"] = 100,
			["Valiant Bolt"] = 201,
			["Valiant Flame"] = 80,
			["Valiant Shield:135911"] = 201,
			["Valiant Strike"] = 3,
			["Valorous Bolt:461859"] = 200,
			["Vampire Drain"] = 321,
			["Vampiric Aura:136168"] = 321,
			["Vampiric Bite"] = 321,
			["Vampiric Blood"] = 321,
			["Vampiric Consumption"] = 321,
			["Vampiric Drain"] = 321,
			["Vampiric Embrace"] = 323,
			["Vampiric Speed"] = 323,
			["Vampiric Touch"] = 323,
			["Vanish to Nothing"] = 411,
			["Vanish"] = 411,
			["Vanquishing Strike:2065633"] = 101,
			["Veil of Midnight"] = 33,
			["Veilwalking"] = 720,
			["Vendetta"] = 411,
			["Deathmark"] = 411,
			["Amplifying Poison"] = 806,
			["Venom Blast"] = 806,
			["Venom Bolt"] = 806,
			["Venom Nova"] = 806,
			["Mutilated Flesh"] = 321,
			["Venom Spit"] = 806,
			["Venom Splash"] = 806,
			["Venom Spray"] = 806,
			["Venom"] = 806,
			["Venom-Laced Web"] = 906,
			["Venom-Tipped Blade"] = 906,
			["Venomfang Strike"] = 906,
			["Venomous Bite"] = 806,
			["Venomous Curse"] = 806,
			["Venomous Fangs"] = 806,
			["Venomous Shiv"] = 906,
			["Venomous Shot"] = 806,
			["Venomous Spray"] = 806,
			["Venomous Sting"] = 806,
			["Vent Azerite"] = 204,
			["Venthyr Sinstone"] = 321,
			["Venthyr's Gratitude"] = 321,
			["Venting Protocol:3528283"] = 201,
			["Vermin Parade"] = 410,
			["Vesper Totem"] = 201,
			["Vicious Charge"] = 104,
			["Vicious Storm:649816"] = 320,
			["Vicious Throw"] = 101,
			["Vicious Warbanner"] = 112,
			["Victorious"] = 105,
			["Vile Deluge:3528310"] = 321,
			["Vile Eruption"] = 40,
			["Vile Impact"] = 806,
			["Vile Spit:136016"] = 806,
			["Vile Sting"] = 806,
			["Vile Taint"] = 32,
			["Vile Webbing"] = 900,
			["Vilefiend"] = 401,
			["Villainous Bolt:876915"] = 321,
			["Vine Lash"] = 900,
			["Violent Detonation:252179"] = 806,
			["Violent Eruption:135793"] = 401,
			["Violent Eruption:136215"] = 103,
			["Viper's Venom"] = 906,
			["Virulent Burrow"] = 806,
			["Virulent Explosion"] = 806,
			["Virulent Gasp"] = 806,
			["Virulent Plague"] = 40,
			["Visceral Fluid"] = 321,
			["Virulent Pathogen"] = 40,
			["Viscid Bile"] = 806,
			["Vision of Perfection"] = 204,
			["Vital Accretion"] = 803,
			["Vital Slice"] = 101,
			["Vitality Conduit"] = 204,
			["Vitalizing Bolt:613955"] = 201,
			["Vivify"] = 802,
			["Void Beam"] = 320,
			["Void Blast"] = 320,
			["Void Bolt Volley"] = 320,
			["Void Bolt"] = 320,
			["Void Buffet"] = 320,
			["Void Burst"] = 320,
			["Void Collapse"] = 320,
			["Void Consumption"] = 320,
			["Void Crash"] = 320,
			["Void Crush"] = 320,
			["Void Eruption"] = 320,
			["Void Exhaust"] = 320,
			["Void Flay"] = 320,
			["Void Form"] = 320,
			["Void Frenzy"] = 320,
			["Void Infusion"] = 320,
			["Void Lash"] = 320,
			["Void Mend"] = 320,
			["Void Mending"] = 320,
			["Void Nova"] = 320,
			["Void Pulse"] = 320,
			["Void Quills"] = 320,
			["Void Ray"] = 320,
			["Void Scars"] = 320,
			["Void Shards"] = 320,
			["Void Shift"] = 320,
			["Void Slash"] = 320,
			["Void Slice"] = 320,
			["Void Snap"] = 320,
			["Void Stomp"] = 320,
			["Void Storm"] = 320,
			["Void Stream"] = 320,
			["Void Torrent"] = 320,
			["Void Vacuum"] = 320,
			["Void Vortex"] = 320,
			["Void Whip"] = 320,
			["Voidbolt"] = 320,
			["Voidburst"] = 320,
			["Voidcloud"] = 320,
			["Voidform"] = 320,
			["Voidrend"] = 320,
			["Voidsight"] = 320,
			["Voidwraith"] = 320,
			["Voidwrath"] = 320,
			["Volatile Acid"] = 806,
			["Volatile Bomb"] = 4,
			["Volatile Burst:136030"] = 806,
			["Volatile Burst:136182"] = 806,
			["Volatile Concoction"] = 281,
			["Volatile Discharge"] = 800,
			["Volatile Ejection:342917"] = 413,
			["Volatile Eruption:3528311"] = 321,
			["Volatile Pufferfish"] = 801,
			["Volatile Trap:1467588"] = 321,
			["Volcanic Howl"] = 400,
			["Volcanic Pressure"] = 400,
			["Volcanic Tantrum"] = 400,
			["Volley of Power:1394887"] = 321,
			["Volley"] = 100,
			["Volley:132312"] = 108,
			["Vomhop!"] = 903,
			["Voodoo Totem"] = 325,
			["Voracious Haste"] = 105,
			["Voracious"] = 105,
			["Vulgar Ally"] = 321,
			["Vulgar Brand"] = 325,
			["W-00F"] = 111,
			["Wail of the Dead"] = 323,
			["Wail of the Restless"] = 323,
			["Wail"] = 323,
			["Wailing Blast:3528302"] = 411,
			["Wailing Grief:237555"] = 327,
			["Wake Zayhad"] = 805,
			["Wakener's Frond"] = 805,
			["Waking"] = 202,
			["Wallow"] = 803,
			["Waltz of Blood"] = 321,
			["Wandering Keg"] = 282,
			["Wandering Plague"] = 40,
			["Wandering Pulsar:1717106"] = 203,
			["War Cry"] = 103,
			["War Machine"] = 104,
			["War Stomp"] = 107,
			["War Stomp:1118738"] = 427,
			["Wardstone Activation"] = 24,
			["Warleader's Signal"] = 111,
			["Warped Blast:236205"] = 64,
			["Wash Away"] = 801,
			["Water Blast"] = 801,
			["Water Bolt Volley"] = 801,
			["Water Bolt"] = 801,
			["Water Breathing"] = 801,
			["Water Jet"] = 801,
			["Water Shield"] = 801,
			["Water Spit"] = 801,
			["Water Spout"] = 801,
			["Water Walking"] = 811,
			["Waterball"] = 801,
			["Waterbolt"] = 801,
			["Watersight"] = 801,
			["Watery Splash"] = 801,
			["Wave Crash"] = 801,
			["Wave Crush"] = 801,
			["Wave of Agony"] = 322,
			["Wave of Agony:3528300"] = 411,
			["Wave of Blood"] = 321,
			["Wave of Suffering"] = 411,
			["Wave of Trepidation"] = 327,
			["Wavebreaker"] = 901,
			["Waygate Transfer"] = 3,
			["Weakened Soul:135871"] = 999,
			["Weapons of Order"] = 201,
			["Weapons of Order:642415"] = "Chi",
			["Weary Soul:3528307"] = 321,
			["Web Spray"] = 900,
			["Web Strand"] = 900,
			["Web"] = 900,
			["Webspinner Song"] = 900,
			["Weeping Burden"] = 325,
			["Weight Weapon"] = 803,
			["Weighted Net"] = 100,
			["Welding Beam"] = 800,
			["Well of Souls"] = 32,
			["Wellspring"] = 801,
			["Whimsy Barb"] = 806,
			["Whimsy Eruption"] = 805,
			["Whirl of Thorns"] = 900,
			["Whirling Annihilation:3528301"] = 411,
			["Whirling Axe"] = 811,
			["Whirling Blades:1016243"] = 201,
			["Whirling Dervish"] = 811,
			["Whirling Dragon Punch"] = 120,
			["Whirling Mist"] = 109,
			["Whirling Poison"] = 806,
			["Whirling Smash:132318"] = 903,
			["Whirling Spin"] = 110,
			["Whirling Spin:133718"] = 107,
			["Whirling Strike"] = 101,
			["Whirling Venom"] = 806,
			["Whirlpool of Souls:893779"] = 801,
			["Whirlpool"] = 801,
			["Whirlwind"] = 107,
			["Meat Grinder"] = 107,
			["Whispering Curse"] = 325,
			["Whispers of the Dark Star"] = 320,
			["Whistling"] = 111,
			["Wicked Blade"] = 101,
			["Wicked Bolt"] = 321,
			["Wicked Slash"] = 113,
			["Wicked Smash"] = 113,
			["Wide Swing"] = 107,
			["Wide Swipe"] = 903,
			["Wild Blast:3528310"] = 321,
			["Wild Carve"] = 107,
			["Wild Charge"] = 104,
			["Wild Charge"] = 104,
			["Wild Charge:136148"] = 801,
			["Wild Chop"] = 108,
			["Wild Flail"] = 107,
			["Wild Magic"] = 64,
			["Wild Polymorph"] = 646,
			["Wild Spirits"] = 805,
			["Wild Tornado"] = 911,
			["Wildfire Bomb"] = 4,
			["Willbreaker:135906"] = 427,
			["Wily Wits"] = 115,
			["Wind Blast"] = 811,
			["Wind Buffet"] = 811,
			["Wind Burst"] = 811,
			["Wind Force"] = 811,
			["Wind Gust"] = 811,
			["Wind Rush Totem"] = 811,
			["Wind Rush"] = 811,
			["Wind Slash"] = 811,
			["Windburst"] = 811,
			["Windfury Totem"] = 811,
			["Tranquil Air Totem"] = 811,
			["Windrush"] = 911,
			["Winds of Northrend"] = 160,
			["Windsong"] = 811,
			["Windwall"] = 811,
			["Windwall"] = 811,
			["Wing Beat"] = 811,
			["Wing Blast"] = 811,
			["Wing Buffet"] = 811,
			["Wing Buffet"] = 811,
			["Wing Buffet"] = 811,
			["Wing Buffet:2576095"] = 326,
			["Wing Clip"] = 100,
			["Wing Flap"] = 811,
			["Winged Agility"] = 115,
			["Winter's Chill"] = 160,
			["Wish"] = 805,
			["Wisp Bond"] = 805,
			["Wither"] = 324,
			["Withered Woe"] = 323,
			["Withering Bash:132114"] = 410,
			["Withering Discharge"] = 410,
			["Withering Felfire"] = 401,
			["Withering Filth:237525"] = 410,
			["Withering Heart:839910"] = 325,
			["Withering Roar"] = 327,
			["Worgen Transform"] = 33,
			["Worldbreaking Stomp:1118738"] = 401,
			["Worldeating Rift"] = 413,
			["Worldvein Resonance"] = 204,
			["Worm Bile"] = 806,
			["Worm Call:236197"] = 40,
			["Wormhole Teleport"] = 646,
			["Wormhole"] = 646,
			["Wormhole: Pandaria"] = 646,
			["Wound Poison"] = 806,
			["Woven Shadows"] = 32,
			["Wracking Gaze:3729672"] = 411,
			["Wracking Interrogation"] = 411,
			["Wracking Pain"] = 322,
			["Wracking Pain:3528313"] = 321,
			["Wracking Torment"] = 411,
			["Wracking Torture"] = 411,
			["Wracking Torture:3528300"] = 411,
			["Wraith Walk"] = 720,
			["Wrangling"] = 100,
			["Wrath Bolt"] = 401,
			["Wrath of Lei Shen"] = 800,
			["Wrath of Zolramus"] = 326,
			["Wrath Unleashed:3565716"] = 321,
			["Wrath Unleashed:1271590"] = 200,
			["Wrath"] = 6,
			["Wrath:136006"] = 8,
			["Wrathful Faerie"] = 805,
			["Wrathful Invocation"] = 321,
			["Wretched Belch"] = 40,
			["Writing"] = 114,
			["Xandria's Wrath"] = 201,
			["Xplodium Charge"] = 5,
			["Xuen"] = 907,
			["Xuen, the White Tiger"] = 907,
			["Yu'lon"] = 120,
			["Yu'lon, the Jade Serpent"] = 120,
			["Zandalar and Kul Tiras Scouting Map"] = 114,
			["Zap"] = 800,
			["Zeal of the Burning Blade"] = 720,
			["Zen Healing"] = 807,
			["Zen Meditation"] = 120,
			["Zen Pilgrimage"] = 120,
			["Zen Travel"] = 907,
			["Zephyrium Beam"] = 100,
			["Zot!"] = 800,
			[113862] = 323, -- Greater Invisibility (DR)
			[113942] = 999, -- Demonic Gateway (Debuff)
			[114050] = 4, -- Ascendance (Fire)
			[114051] = 811, -- Ascendance (Air)
			[114052] = 801, -- Ascendance (Water)
			[115994] = 40, -- Unholy Blight (Debuff)
			[135811] = 4, -- Detonate: Searing Brand (Spellblade Aluriel)
			[149236] = 320, -- Darkrush (Terrorfang - WoD Shadowmoon Valley)
			[153153] = 323, -- Dark Communion (Sedana Bloodfury - Shadowmoon Burial Grounds)
			[153804] = 811, -- Inhale (Bonemaw - Shadowmoon Burial Grounds)
			[154110] = 3, -- Smash (Araknat - Skyreach)
			[154135] = 6, -- Burst (Araknath - Skyreach)
			[157742] = 320, -- Reave (Shadowmoon Orcs)
			[185450] = 109, -- Tar to Pieces
			[188573] = 32, -- Soul Prison
			[193100] = 9, -- Dropping the Hammer (Dargrul)
			[194844] = 112, -- Bonestorm (Blood Death Knight)
			[196543] = 111, -- Unnerving Howl (Fenryr)
			[198496] = 803, -- Sunder (Ularogg Cragshaper)
			[200580] = 111, -- Maddening Roar
			[204275] = 65, -- Arcanoslash (Skorpyron)
			[204316] = 803, -- Shockwave (Skorpyron)
			[204471] = 64, -- Focused Blast (Skorpyron)
			[204574] = 412, -- Strangling Roots (Darkheart Thicket - Oakheart)
			[205486] = 64, -- Starburst (Star Augur Etraeus)
			[206355] = 427, -- Mighty Stomp (Niskara - Felblade Defender)
			[206365] = 328, -- Illisionary Night (Tichondrius)
			[206788] = 806, -- Toxic Slice (Trilliax)
			[207502] = 646, -- Succulent Feast (Trilliax)
			[207513] = 646, -- Tidy Up (Trilliax)
			[207630] = 64, -- Annihilation (Trilliax)
			[207976] = 64, -- Full Power (Chronomatic Anomaly)
			[208506] = 646, -- Sterilize (Trilliax)
			[211685] = 401, -- Focused Trance (Soulkeeper - Fangs of the Devourer Scenario)
			[211927] = 64, -- Power Overwhelming (Chronomatic Anomaly)
			[212492] = 108, -- Annihilate (Spellblade Aluriel)
			[212530] = 646, -- Replicate: Mark of Frost (Spellblade Aluriel)
			[212735] = 16, -- Detonate: Mark of Frost (Spellblade Aluriel)
			[213564] = 64, -- Animate: Arcane Orb (Spellblade Aluriel)
			[213567] = 4, -- Animate: Searing Brand (Spellblade Aluriel)
			[213852] = 646, -- Replicate: Arcane Orb (Spellblade Aluriel)
			[213853] = 16, -- Animate: Mark of Frost (Spellblade Aluriel)
			[214184] = 32, -- Vortex (Legion Demons)
			[214301] = 646, -- Craackling Slice (Nighthold)
			[217003] = 32, -- Slumber Fog (Nathrezim)
			[218806] = 6, -- Flare (Solarist Tel'arn)
			[218807] = 640, -- Call of Night (High Botanist Tel'arn)
			[221464] = 32, -- Chaotic Energies
			[223437] = 34, -- Collapse of Night (Solarist Tel'arn)
			[225249] = 412, -- Devastating Stomp (Emerald Nightmare)
			[227658] = 28, -- Guardian's Breath (Guarm)
			[227660] = 28, -- Guardian's Breath (Guarm)
			[227666] = 28, -- Guardian's Breath (Guarm)
			[227669] = 28, -- Guardian's Breath (Guarm)
			[234153] = 361, -- Drain Life
			[244106] = 427, -- Carnage (Garothi Worldbreaker)
			[244882] = 903, -- Crackling Blow (Troll Hulk)
			[244969] = 127, -- Eradication (Garothi Worldbreaker - Antorus)
			[245173] = 401, -- Portal: Black Temple (Fractured Necrolyte Skull)
			[245303] = 32, -- Touch of Darkness (Coven of Shivarra)
			[250796] = 401, -- Wormhole: Argus
			[256871] = 413, -- Ruinous Volley (Drust)
			[256880] = 413, -- Bone Splinter (Drustvar)
			[259277] = 101, -- Kill Command (Bleed) (Bloodseeker talent)
			[263455] = 32, -- Sacrifice (Waycrest Manor - Matron Christiane)
			[263916] = 115, -- Feather Flurry
			[265876] = 413, -- Ruinous Volley (Drust)
			[266035] = 413, -- Bone Splinter (Waycrest Manor)
			[271713] = 204, -- Elemental Slam (Azerite Elemental)
			[271716] = 204, -- Volatile Expulsion (Azerite Elemental)
			[273664] = 903, -- Crush (Troll Hulk)
			[275345] = 320, -- Darkened Blast
			[276945] = 810, -- Caustic Spittle (Kunchong)
			[276946] = 810, -- Caustic Spittle (Kunchong)
			[277044] = 901, -- Tidal Force
			[277250] = 320, -- Corrupting Bolt
			[285854] = 100, -- Extracting Azerite (Azerite Extractor)
			[288097] = 660, -- Runecarving
			[292903] = 411, -- Massive Strike (Mawsworn)
			[300714] = 4, -- Potion of Unbridled Fury
			[304946] = 411, -- Shadow Rip (The Maw)
			[305136] = 411, -- Shadow Spear (Mawsworn)
			[306726] = 320, -- Defiled Ground (Visions of N'Zoth - Vez'okk the Lightless)
			[306828] = 320, -- Defiled Ground (Visions of N'Zoth - Thrall)
			[309005] = 201, -- Anima Bomb
			[309749] = 326, -- Dispel Disguise (Maldraxxus)
			[312106] = 80, -- Weapons of Order (Debuff)
			[317231] = 326, -- Crushing Slam
			[318879] = 321, -- Summon Guardian (Revendreth)
			[319294] = 326, -- Spirit Bolt (Exile's Reach)
			[320224] = 805, -- Podtender
			[320716] = 326, -- Vicious Warbanner
			[320729] = 326, -- Massive Cleave
			[320734] = 411, -- Massive Strike (Mawsworn)
			[320798] = 281, -- Shadowcore Oil
			[321009] = 411, -- Charged Spear
			[321010] = 413, -- Soul Shackle
			[321038] = 321, -- Wrack Soul (Wicked Oppressor)
			[321389] = 281, -- Embalmer's Oil
			[321471] = 805, -- Guessing Game
			[321834] = 805, -- Dodge Ball
			[322450] = 413, -- Consumption (Tred'ova - Mists of Tirna Scithe)
			[322614] = 413, -- Mind Link
			[322999] = 201, -- Activate (Devos)
			[324114] = 326, -- Forbidden Knowledge (Maldraxxus)
			[324483] = 805, -- Anima-Charged Spear (Ardenweald)
			[325143] = 201, -- Restore (Bastion)
			[327474] = 201, -- Crushing Doubt (Uther)
			[328295] = 201, -- Greater Mending
			[328462] = 411, -- Charged Spear
			[329509] = 68, -- Blazing Surge (Kael'thas)
			[329783] = 411, -- Shadow Storm (Mawsworn)
			[332239] = 413, -- Shatter Essence (Drust)
			[332708] = 326, -- Ground Slam
			[333387] = 101, -- Wicked Blade (General Kaal)
			[333821] = 326, -- Ancient Tome (Maldraxxus)
			[333931] = 48, -- Elemental Chomp (Ylva)
			[334485] = 411, -- Recharge
			[334509] = 326, -- Warlord's Slam (Maldraxxus)
			[334994] = 413, -- Empower Portal (Soultwister Cero - Ardenweald)
			[335485] = 327, -- Bwllowing Roar (The Maw)
			[336996] = 326, -- Whirling Blade
			[337344] = 96, -- Mystic Bolt (Revendreth)
			[338590] = 326, -- Death and Decay (Kel'Thuzad)
			[338591] = 326, -- Death and Decay (Kel'Thuzad)
			[339029] = 805, -- Regenerate (Lady Moonberry WQ)
			[339120] = 413, -- Ruinous Bolt (Drust)
			[339415] = 326, -- Deafening Crash
			[339783] = 326, -- Dispel Disguise (Maldraxxus)
			[340556] = 999, -- Well-Honed Instincts
			[340678] = 413, -- Death Bolt
			[342328] = 48, -- Soul Fissure (Kel'Thuzad)
			[342878] = 201, -- Lorenado
			[343086] = 321, -- Ricocheting Shuriken (General Kaal)
			[345569] = 105, -- Flagellation (Haste Buff)
			[347037] = 411, -- Sepsis proc
			[347091] = 411, -- Massive Strike (Mawsworn)
			[347249] = 203, -- Divide
			[347414] = 203, -- Divide
			[353782] = 32, -- Shadow Nova (Nathrezim)
			[354114] = 411, -- Unleashed Suffering (Mawsworn)
			[354667] = 201, -- Purification Cannon (Prototype Colossus)
			[354801] = 201, -- Shield (Prototype Colossus)
			[355456] = 411, -- Damnation (The Maw - Mor'geth)
			[355477] = 203, -- Power Kick
			[355640] = 203, -- Phalanx Field
			[356306] = 411, -- Devastating Smash
			[356984] = 32, -- Slumber Fog (Diathorus the Seeker)
			[357172] = 411, -- Empowered Volley (Deadeye Champion - The Maw)
			[357284] = 203, -- Reinvigorate
			[358303] = 413, -- Essence Ejection (Konthrogz the Obliterator)
			[358404] = 999, -- Trial of Doubt
			[358835] = 28, -- Guardian's Breath (Ylva)
			[360767] = 413, -- Expel Essence
			[360778] = 413, -- Consumption
			[362572] = 413, -- Excessive Spittle
			[362576] = 413, -- Endless Hunger
			[364643] = 413, -- Cone of Death
			[364833] = 413, -- Devour
			[367108] = 413, -- Unstable Eruption
			[48743] = 999, -- Death Pact (Debuff)
			[571321] = 413, -- Hungering Drain
			[87024] = 999, -- Cauterized
			--sss
			

			--! Mounts

			--! Aircraft
			[290718] = 100, -- Aerial Unit R-21/X
			[247448] = 100, -- Darkmoon Dirigible
			[307256] = 100, -- Explorer's Jungle Hopper
			[44153]  = 100, -- Flying Machine
			[261437] = 100, -- Mecha-Mogul Mk2
			[63796]  = 100, -- Mimiron's Head
			[245725] = 100, -- Orgrimmar Interceptor
			[299170] = 100, -- Rustbolt Resistor
			[134359] = 100, -- Sky Golem
			[245723] = 100, -- Stormwind Skychaser
			[272770] = 323, -- The Dreadwake
			[44151]  = 100, -- Turbo-Charged Flying Machine
			[256123] = 100, -- Xiwyllag ATV
			[368158] = 106, -- Zereth Overseer

			--! Alpaca
			[316493] = 171, -- Elusive Quickhoof
			[298367] = 154, -- Mollie
			[316802] = 804, -- Springfur Alpaca

			--! Ancient
			[348162] = 8, -- Wandering Ancient

			--! Aqir Drone
			[316337] = 324, -- Malevolent Drone
			[316339] = 324, -- Shadowbarb Drone
			[316340] = 324, -- Wicked Swarmer

			--! Aquilon
			[353880] = 201, -- Ascendant's Aquilon
			[343550] = 201, -- Battle-Hardened Aquilon
			[353875] = 201, -- Elysian Aquilon
			[353877] = 201, -- Forsworn Aquilon

			--! Jellyfish
			[223018] = 96, -- Fathom Dweller
			[253711] = 119, -- Pond Nettle
			[278979] = 135, -- Surf Jelly
			-- Void Aurelid
			[308814] = 320, -- Ny'alotha Allseer
			[261395] = 328, -- The Hivemind
			-- Aurelid
			[359381] = 132, -- Cryptic Aurelid
			[342680] = 106, -- Deepstar Aurelid
			[359379] = 131, -- Shimmering Aurelid

			--! Basilisk
			[230844] = 119, -- Brawler's Burly Basilisk
			[261433] = 158, -- Vicious War Basilisk
			[261434] = 158, -- Vicious War Basilisk

			--! Bat
			[139595] = 321, -- Armored Bloodwing
			[288720] = 160, -- Bloodgorged Hunter
			[288714] = 172, -- Bloodthirsty Dreadwing
			[279868] = 158, -- Witherbark Direwing
			-- Revendreth Dredwing
			[332904] = 321, -- Harvester's Dredwing
			[332882] = 172, -- Horrid Dredwing
			[332903] = 171, -- Rampart Screecher
			[312777] = 171, -- Silvertip Dredwing

			--! Bear
			[98204]  = 156, -- Amani Battle Bear
			[43688]  = 156, -- Amani War Bear
			[60116]  = 154, -- Armored Brown Bear
			[60114]  = 154, -- Armored Brown Bear
			[51412]  = 156, -- Big Battle Bear
			[58983]  = 159, -- Big Blizzard Bear
			[60118]  = 156, -- Black War Bear
			[60119]  = 156, -- Black War Bear
			[288438] = 156, -- Blackpaw
			[103081] = 116, -- Darkmoon Dancing Bear
			[229486] = 116, -- Vicious War Bear
			[229487] = 116, -- Vicious War Bear
			[54753]  = 153, -- White Polar Bear
			-- Elemental Bear
			[341821] = 16, -- Snowstorm

			--! Bee
			[303766] = 810, -- Honeyback Drone
			[259741] = 810, -- Honeyback Harvester
			[303767] = 810, -- Honeyback Hivemother

			--! Beetle
			[381529] = 822, -- Telix the Stormhorn

			--! Bird
			[312751] = 174, -- Clutch of Ha-Li
			[139448] = 173, -- Clutch of Ji-Kun
			-- Raptora
			[342668] = 106, -- Desertwing Hunter
			[359372] = 910, -- Mawdapted Raptora
			[359373] = 131, -- Raptora Swooper
			-- Raven
			[231524] = 141, -- Shadowblade's Baneful Omen
			[231525] = 142, -- Shadowblade's Crimson Omen
			[231523] = 910, -- Shadowblade's Lethal Omen
			[231434] = 323, -- Shadowblade's Murderous Omen
			-- Pandaren Phoenix
			[132117] = 802, -- Ashen Pandaren Phoenix
			[129552] = 802, -- Crimson Pandaren Phoenix
			[132118] = 802, -- Emerald Pandaren Phoenix
			[132119] = 802, -- Violet Pandaren Phoenix
			-- Albatross
			[266925] = 150, -- Siltwing Albatross
			-- Vulture
			[316275] = 155, -- Waste Marauder
			[316276] = 173, -- Wastewander Skyterror

			--! Bloodtusk
			[332478] = 415, -- Blisterback Bloodtusk
			[332482] = 415, -- Bonecleaver's Skullboar
			[332480] = 415, -- Gorespine
			[332484] = 415, -- Lurid Bloodtusk

			--! Boar
			[171629] = 160, -- Armored Frostboar
			[171630] = 158, -- Armored Razorback
			[171627] = 156, -- Blacksteel Battleboar
			[171634] = 116, -- Domesticated Razorback
			[171632] = 153, -- Frostplains Battleboar
			[171635] = 160, -- Giant Coldsnout
			[171636] = 158, -- Great Greytusk
			[171628] = 116, -- Rocktusk Battleboar
			[171637] = 153, -- Trained Rocktusk
			[171633] = 156, -- Wild Goretusk
			[190690] = 402, -- Bristling Hellboar
			[190977] = 401, -- Deathtusk Felboar

			--! Brutosaur
			[264058] = 134, -- Mighty Caravan Brutosaur

			--! Bufonid
			-- Marsh Hopper
			[288587] = 134, -- Blue Marsh Hopper
			[259740] = 170, -- Green Marsh Hopper
			[288589] = 119, -- Yellow Marsh Hopper
			-- Croaker
			[347255] = 119, -- Vicious War Croaker
			[347256] = 119, -- Vicious War Croaker
			[339632] = 805, -- Arboreal Gulper
			-- Bufonid
			[359413] = 133, -- Goldplate Bufonid
			[363701] = 909, -- Patient Bufonid
			[363703] = 132, -- Prototype Leaper
			[363706] = 131, -- Russet Bufonid

			--! Camel
			[88748]  = 154, -- Brown Riding Camel
			[307263] = 153, -- Explorer's Dunetrekker
			[88750]  = 171, -- Grey Riding Camel
			[88749]  = 153, -- Tan Riding Camel
			[102488] = 159, -- White Riding Camel

			--! Chicken
			[65917] = 154, -- Magic Rooster

			--! Chimaera
			[288495] = 33, -- Ashenvale Chimaera
			-- Flayedwing
			[336038] = 415, -- Callow Flayedwing
			[318052] = 415, -- Deathbringer's Flayedwing
			[336039] = 415, -- Gruesome Flayedwing
			[336036] = 415, -- Marrowfang
			-- Rylak
			[153489] = 158, -- Iron Skyreaver
			[191633] = 102, -- Soaring Skyterror

			--! Chopper
			[171846] = 100, -- Champion's Treadblade
			[87090]  = 100, -- Goblin Trike
			[87091]  = 100, -- Goblin Turbo-Trike
			[297157] = 100, -- Junkheap Drifter
			[296788] = 100, -- Mechacycle Model W
			[55531]  = 100, -- Mechano-Hog
			[60424]  = 100, -- Mekgineer's Chopper
			[179244] = 100, -- Summon Chauffeur
			[179245] = 100, -- Summon Chauffeur
			[223354] = 100, -- Vicious War Trike
			[171845] = 100, -- Warlord's Deathwheel

			--! Clefthoof
			[171620] = 173, -- Bloodhoof Bull
			[171617] = 171, -- Trained Icehoof
			[171619] = 153, -- Tundra Icehoof
			[171616] = 116, -- Witherhide Cliffstomper
			[270560] = 119, -- Vicious War Clefthoof
			[171621] = 400, -- Ironhoof Destroyer

			--! Cat
			-- Nightsaber
			[16056]  = 159, -- Ancient Frostsaber
			[16055]  = 175, -- Black Nightsaber
			[22723]  = 910, -- Black War Tiger
			[63637]  = 175, -- Darnassian Nightsaber
			[10789]  = 159, -- Spotted Frostsaber
			[66847]  = 153, -- Striped Dawnsaber
			[8394]   = 150, -- Striped Frostsaber
			[10793]  = 156, -- Striped Nightsaber
			[23221]  = 159, -- Swift Frostsaber
			[23219]  = 158, -- Swift Mistsaber
			[65638]  = 160, -- Swift Moonsaber
			[23338]  = 160, -- Swift Stormsaber
			[96499]  = 175, -- Swift Zulian Panther
			[17229]  = 811, -- Winterspring Frostsaber
			[42776]  = 720, -- Spectral Tiger
			[42777]  = 720, -- Swift Spectral Tiger
			[288740] = 721, -- Priestess' Moonsaber
			[288505] = 175, -- Kaldorei Nightsaber
			[288506] = 153, -- Sandy Nightsaber
			[288503] = 154, -- Umber Nightsaber
			[281887] = 175, -- Vicious Black Warsaber
			[146615] = 153, -- Vicious Kaldorei Warsaber
			[281888] = 159, -- Vicious White Warsaber
			[366791] = 806, -- Jigglesworth Sr.
			-- Tiger
			[10790]  = 173, -- Tiger
			[24252]  = 173, -- Swift Zulian Tiger
			[129934] = 159, -- Blue Shado-Pan Riding Tiger
			[129932] = 173, -- Green Shado-Pan Riding Tiger
			[129935] = 170, -- Red Shado-Pan Riding Tiger
			[229385] = 802, -- Ban-Lu, Grandmaster's Companion
			[359317] = 720, -- Wen Lo, the River's Edge
			-- Manasaber
			[180545] = 64, -- Mystic Runesaber
			[230987] = 126, -- Arcanist's Manasaber
			[258845] = 64, -- Nightborne Manasaber
			[232405] = 4, -- Primal Flamesaber
			-- Felsaber
			[200175] = 401, -- Felsaber
			-- Jeweled Panther
			[121837] = 815, -- Jade Panther
			[121838] = 818, -- Ruby Panther
			[121836] = 814, -- Sapphire Panther
			[121839] = 816, -- Sunstone Panther
			[120043] = 819, -- Jeweled Onyx Panther
			[121820] = 411, -- Obsidian Nightwing
			-- Mechanocat
			[294143] = 100, -- X-995 Mechanocat
			-- Lynx
			[317177] = 66, -- Sunwarmed Furline

			--! Cloud Serpent
			[127170] = 72, -- Astral Cloud Serpent
			[123992] = 48, -- Azure Cloud Serpent
			[127156] = 818, -- Crimson Cloud Serpent
			[123993] = 817, -- Golden Cloud Serpent
			[127169] = 201, -- Heavenly Azure Cloud Serpent
			[127161] = 66, -- Heavenly Crimson Cloud Serpent
			[127164] = 200, -- Heavenly Golden Cloud Serpent
			[127158] = 96, -- Heavenly Onyx Cloud Serpent
			[315014] = 202, -- Ivory Cloud Serpent
			[113199] = 120, -- Jade Cloud Serpent
			[127154] = 819, -- Onyx Cloud Serpent
			[315427] = 812, -- Rajani Warserpent
			[129918] = 817, -- Thundering August Cloud Serpent
			[139442] = 48, -- Thundering Cobalt Cloud Serpent
			[124408] = 120, -- Thundering Jade Cloud Serpent
			[148476] = 819, -- Thundering Onyx Cloud Serpent
			[132036] = 818, -- Thundering Ruby Cloud Serpent
			[127165] = 120, -- Yu'lei, Daughter of Jade
			[148619] = 818, -- Grievous Gladiator's Cloud Serpent
			[139407] = 812, -- Malevolent Gladiator's Cloud Serpent
			[148620] = 817, -- Prideful Gladiator's Cloud Serpent
			[148618] = 819, -- Tyrannical Gladiator's Cloud Serpent

			--! Core Hound
			[170347] = 400, -- Core Hound
			[271646] = 400, -- Dark Iron Core Hound
			[213209] = 401, -- Steelbound Devourer

			--! Corpsefly
			[353885] = 40, -- Battlefield Swarmer
			[347250] = 32, -- Lord of the Corpseflies
			[353883] = 40, -- Maldraxxian Corpsefly
			[353884] = 806, -- Regal Corpsefly

			--! Courser
			[342335] = 201, -- Ascended Skymane
			[336064] = 33, -- Dauntless Duskrunner
			[247402] = 96, -- Lucid Nightmare
			[222240] = 201, -- Prestigious Azure Courser
			[281044] = 400, -- Prestigious Bloodforged Courser
			[222202] = 5, -- Prestigious Bronze Courser
			[222237] = 807, -- Prestigious Forest Courser
			[222238] = 201, -- Prestigious Ivory Courser
			[222241] = 412, -- Prestigious Midnight Courser
			[222236] = 96, -- Prestigious Royal Courser
			[280730] = 201, -- Pureheart Courser
			[332252] = 805, -- Shimmermist Runner
			[312765] = 3, -- Sundancer
			[312767] = 96, -- Swift Gloomhoof
			[354362] = 661, -- Maelie, the Wanderer (Wandering Arden Doe)
			[242875] = 8, -- Wild Dreamrunner

			--! Crab
			[294039] = 901, -- Snapback Scuttler

			--! Cradle
			[334352] = 805, -- Wildseed Cradle

			--! Crane
			[127174] = 157, -- Azure Riding Crane
			[127176] = 150, -- Golden Riding Crane
			[127177] = 156, -- Regal Riding Crane

			--! Crawg
			[250735] = 101, -- Bloodgorged Crawg
			[273541] = 101, -- Underrot Crawg

			--! Crocolisk
			[289639] = 157, -- Bruce

			--! Darkhound
			[344228] = 326, -- Battle-Bound Warhound
			[352742] = 40, -- Undying Darkhound
			[341766] = 157, -- Warstitched Darkhound
			[369666] = 400, -- Grimhowl

			--! Direhorn
			[138424] = 119, -- Amber Primordial Direhorn
			[138425] = 171, -- Slate Primordial Direhorn
			[297560] = 170, -- Child of Torcali
			[138423] = 822, -- Cobalt Primordial Direhorn
			[140250] = 818, -- Crimson Primal Direhorn
			[140249] = 119, -- Golden Primal Direhorn
			[138426] = 807, -- Jade Primordial Direhorn
			[279474] = 153, -- Palehide Direhorn
			[136471] = 119, -- Spawn of Horridon
			[263707] = 157, -- Zandalari Direhorn
			[290608] = 200, -- Crusader's Direhorn

			--! Disc
			["Archmage's Prismatic Disc:1516058"] = 64, -- Arcane
			["Archmage's Prismatic Disc:1517838"] = 4, -- Fire
			["Archmage's Prismatic Disc:1517839"] = 16, -- Frost
			[353263] = 203, -- Cartel Master's Gearglider
			[353264] = 203, -- Pilfered Gearglider
			[130092] = 811, -- Red Flying Cloud
			[353265] = 203, -- Silver Gearglider
			[346554] = 203, -- Tazavesh Gearglider

			--! Dog
			[259395] = 200, -- Shu-Zen, the Divine Sentinel
			-- Lupine
			[367673] = 106, -- Heartbond Lupine
			[349824] = 157, -- Vicious Warstalker (Alliance)
			[349823] = 132, -- Vicious Warstalker (Horde)

			--! Donkey
			[279608] = 158, -- Lil' Donkey
			[260174] = 158, -- Terrified Pack Mule

			--! Dragonhawk
			[96503]  = 820, -- Amani Dragonhawk
			[142478] = 133, -- Armored Blue Dragonhawk
			[142266] = 142, -- Armored Red Dragonhawk
			[61996]  = 62, -- Blue Dragonhawk
			[194464] = 68, -- Eclipse Dragonhawk
			[61997]  = 817, -- Red Dragonhawk
			[66088]  = 817, -- Sunreaver Dragonhawk
			[351195] = 411, -- Vengeance

			--! Drake
			[60025]  = 153, -- Albino Drake
			[59567]  = 80, -- Azure Drake
			[59650]  = 156, -- Black Drake
			[59568]  = 18, -- Blue Drake
			[59569]  = 641, -- Bronze Drake
			[175700] = 815, -- Emerald Drake
			[110039] = 62, -- Experiment 12-B
			[113120] = 401, -- Feldrake
			[93623]  = 116, -- Mottled Drake
			[69395]  = 156, -- Onyxian Drake
			[59570]  = 173, -- Red Drake
			[279466] = 34, -- Twilight Avenger
			[59571]  = 320, -- Twilight Drake
			[101821] = 320, -- Ruthless Gladiator's Twilight Drake
			[101282] = 34, -- Vicious Gladiator's Twilight Drake
			[124550] = 34, -- Cataclysmic Gladiator's Twilight Drake
			[201098] = 411, -- Infinite Timereaver
			-- Life-Binder Drake
			[107842] = 5, -- Blazing Drake
			[107845] = 66, -- Life-Binder's Handmaiden
			[107844] = 142, -- Twilight Harbinger
			-- New Drake
			[294197] = 400, -- Obsidian Worldbreaker
			[326390] = 100, -- Steamscale Incinerator
			[302143] = 320, -- Uncorrupted Voidwing
			[359843] = 815, -- Tangled Dreamweaver
			-- Nether Drake
			[41514] = 323, -- Azure Netherwing Drake
			[58615] = 323, -- Brutal Nether Drake
			[41515] = 323, -- Cobalt Netherwing Drake
			[44744] = 323, -- Merciless Nether Drake
			[41513] = 323, -- Onyx Netherwing Drake
			[41516] = 323, -- Purple Netherwing Drake
			[37015] = 323, -- Swift Nether Drake
			[49193] = 323, -- Vengeful Nether Drake
			[41517] = 323, -- Veridian Netherwing Drake
			[41518] = 323, -- Violet Netherwing Drake
			-- Wind Drake
			[88335]  = 172, -- Drake of the East Wind
			[315847] = 157, -- Drake of the Four Winds
			[88742]  = 171, -- Drake of the North Wind
			[88744]  = 157, -- Drake of the South Wind
			[88741]  = 119, -- Drake of the West Wind
			-- Stone Drake
			[88718] = 813, -- Phosphorescent Stone Drake
			[93326] = 816, -- Sandstone Drake
			[88746] = 822, -- Vitreous Stone Drake
			[88331] = 818, -- Volcanic Stone Drake
			-- Storm Dragon
			[288721] = 800, -- Island Thunderscale
			[242882] = 818, -- Valarjar Stormwing
			[227989] = 800, -- Cruel Gladiator's Storm Dragon
			[243201] = 800, -- Demonic Gladiator's Storm Dragon
			[227995] = 800, -- Dominant Gladiator's Storm Dragon
			[227988] = 800, -- Fearless Gladiator's Storm Dragon
			[227991] = 800, -- Ferocious Gladiator's Storm Dragon
			[227994] = 800, -- Fierce Gladiator's Storm Dragon
			[227986] = 800, -- Vindictive Gladiator's Storm Dragon
			-- Heart of the Aspects
			[110051] = 130, -- Heart of the Aspects
			-- Veilwing
			[290132] = 805, -- Sylverian Dreamer
			-- Soul Eater
			[365559] = 411, -- Cosmic Gladiator's Soul Eater
			[370346] = 411, -- Eternal Gladiator's Soul Eater
			[332400] = 411, -- Sinful Gladiator's Soul Eater
			[353036] = 411, -- Unchained Gladiator's Soul Eater

			--! Elekk
			[48027]  = 116, -- Black War Elekk
			[34406]  = 154, -- Brown Elekk
			[63639]  = 171, -- Exodar Elekk
			[35710]  = 171, -- Gray Elekk
			[35713]  = 171, -- Great Blue Elekk
			[35712]  = 158, -- Great Green Elekk
			[35714]  = 158, -- Great Purple Elekk
			[65637]  = 171, -- Great Red Elekk
			[35711]  = 171, -- Purple Elekk
			[223578] = 813, -- Vicious War Elekk

			[171622] = 804, -- Mottled Meadowstomper
			[171624] = 171, -- Shadowhide Pearltusk
			[171623] = 158, -- Trained Meadowstomper
			[171626] = 400, -- Armored Irontusk
			[294568] = 400, -- Beastlord's Irontusk

			[254259] = 822, -- Avenging Felcrusher
			[254258] = 813, -- Blessed Felcrusher
			[258022] = 200, -- Lightforged Felcrusher
			[254069] = 200, -- Glorious Felcrusher

			--! Elemental
			[231442] = (class == "SHAMAN" and spec == 1) and 4 or (class == "SHAMAN" and spec == 3) and 24 or 811, -- Farseer's Raging Tempest
			[289555] = 16, -- Glacial Tidestorm
			[334482] = 320, -- Restoration Deathwalker
			[340068] = 411, -- Sintouched Deathwalker
			[358319] = 326, -- Soultwisted Deathwalker
			[359407] = 321, -- Wastewarped Deathwalker

			--! Everwyrm
			[307932] = 72, -- Ensorcelled Everwyrm

			--! Falcosaur
			[213164] = 135, -- Brilliant Direbeak
			[213158] = 172, -- Predatory Bloodgazer
			[213163] = 160, -- Snowfeather Hunter
			[213165] = 170, -- Viridian Sharptalon

			--! Fathom Ray
			[292407] = 157, -- Ankoan Waveray
			[292419] = 108, -- Azshari Bloatray
			[300149] = 910, -- Silent Glider
			[291538] = 818, -- Unshackled Waveray

			--! Felbat
			[253088] = 4, -- Antoran Charhound
			[253087] = 32, -- Antoran Gloomhound
			[229417] = 127, -- Slayer's Felbroken Shrieker
			[272472] = 134, -- Undercity Plaguebat

			--! Felstalker
			[189998] = 32, -- Illidari Felstalker

			--! Felsteed
			[5784]   = (class == "WARLOCK" and IsSpellKnown(101508)) and 401 or 400, -- Felsteed
			[23161]  = (class == "WARLOCK" and IsSpellKnown(101508)) and 401 or 400, -- Wrathsteed
			[238454] = 320, -- Netherlord's Accursed Wrathsteed
			[238452] = 402, -- Netherlord's Brimstone Wrathsteed
			[232412] = 401, -- Netherlord's Chaotic Wrathsteed

			--! Fey Dragon
			[142878] = 805, -- Enchanted Fey Dragon

			--! Fish
			[214791] = 801, -- Brinedeep Bottom-Feeder
			[228919] = 801, -- Darkwater Skate
			[278803] = 801, -- Great Sea Ray

			--! Flying Carpet
			[169952] = 5, -- Creeping Carpet
			[61451]  = 136, -- Flying Carpet
			[75596]  = 24, -- Frosty Flying Carpet
			[233364] = 48, -- Leywoven Flying Carpet
			[61309]  = 68, -- Magnificent Flying Carpet

			--! Fox
			[171850] = 817, -- Llothien Prowler
			[242896] = 155, -- Vicious War Fox (Alliance)
			[242897] = 154, -- Vicious War Fox (Horde)
			-- Vulpin
			[290133] = 80, -- Vulpine Familiar
			[334366] = 120, -- Wild Glimmerfur Prowler

			--! Gargon
			[333023] = 809, -- Battle Gargon Silessa
			[312754] = 809, -- Battle Gargon Vrednic
			[332932] = 809, -- Crypt Gargon
			[332949] = 809, -- Desire's Battle Gargon
			[333021] = 809, -- Gravestone Battle Gargon
			[312753] = 809, -- Hopecrusher Gargon
			[332923] = 809, -- Inquisition Gargon
			[332927] = 809, -- Sinfall Gargon

			--! Gargoyle
			[215545] = 321, -- Mastercraft Gravewing
			[353866] = 321, -- Obsidian Gravewing
			[353873] = 321, -- Pale Gravewing
			[353872] = 321, -- Sinfall Gravewing

			--! Giant Hand
			[352309] = 813, -- Hand of Bahmethra
			[339957] = 131, -- Hand of Hrestimorak
			[354354] = 130, -- Hand of Nilganihmaht
			[354355] = 321, -- Hand of Salaranga

			--! Goat
			[130138] = 156, -- Black Riding Goat
			[130086] = 116, -- Brown Riding Goat
			[130137] = 153, -- White Riding Goat

			--! Gorger
			[333027] = 413, -- Loyal Gorger
			[344659] = 413, -- Voracious Gorger

			--! Gorm
			[312763] = 805, -- Darkwarren Hardshell
			[334365] = 805, -- Pale Acidmaw
			[334364] = 805, -- Spinemaw Gladechewer
			[340503] = 805, -- Umbral Scythehorn
			[348769] = 805, -- Vicious War Gorm
			[348770] = 805, -- Vicious War Gorm
			[352441] = 805, -- Wild Hunt Legsplitter

			--! Gronnling
			[189364] = 158, -- Coalfist Gronnling
			[171436] = 117, -- Gorestrider Gronnling
			[171849] = 804, -- Sunhide Gronnling
			[186828] = 427, -- Primal Gladiator's Felblood Gronnling
			[189044] = 401, -- Warmongering Gladiator's Felblood Gronnling
			[189043] = 402, -- Wild Gladiator's Felblood Gronnling

			--! Gryphon
			[302361] = 3, -- Alabaster Stormtalon
			[61229]  = 159, -- Armored Snowy Gryphon
			[275859] = 910, -- Dusky Waycrest Gryphon
			[32239]  = 819, -- Ebon Gryphon
			[32235]  = 804, -- Golden Gryphon
			[135416] = 154, -- Grand Armored Gryphon
			[136163] = 154, -- Grand Gryphon
			[275868] = 150, -- Proudmoore Sea Scout
			[32240]  = 159, -- Snowy Gryphon
			[107516] = 720, -- Spectral Gryphon
			[275866] = 150, -- Stormsong Coastwatcher
			[32242]  = 804, -- Swift Blue Gryphon
			[32290]  = 804, -- Swift Green Gryphon
			[32292]  = 804, -- Swift Purple Gryphon
			[32289]  = 804, -- Swift Red Gryphon
			[54729]  = 415, -- Winged Steed of the Ebon Blade

			--! Hawkstrider
			[35022]  = 175, -- Black Hawkstrider
			[35020]  = 814, -- Blue Hawkstrider
			[370620] = 170, -- Elusive Emerald Hawkstrider
			[230401] = 812, -- Ivory Hawkstrider
			[35018]  = 820, -- Purple Hawkstrider
			[34795]  = 172, -- Red Hawkstrider
			[63642]  = 157, -- Silvermoon Hawkstrider
			[259202] = 811, -- Starcursed Voidstrider
			[66091]  = 175, -- Sunreaver Hawkstrider
			[35025]  = 815, -- Swift Green Hawkstrider
			[33660]  = 172, -- Swift Pink Hawkstrider
			[35027]  = 813, -- Swift Purple Hawkstrider
			[65639]  = 175, -- Swift Red Hawkstrider
			[35028]  = 156, -- Swift Warstrider
			[46628]  = 812, -- Swift White Hawkstrider
			[223363] = 174, -- Vicious Warstrider

			--! Hippogryph
			[63844]  = 153, -- Argent Hippogryph
			[74856]  = 400, -- Blazing Hippogryph
			[43927]  = 174, -- Cenarion War Hippogryph
			[242881] = 119, -- Cloudwing Hippogryph
			[102514] = 811, -- Corrupted Hippogryph
			[149801] = 815, -- Emerald Hippogryph
			[97359]  = 4, -- Flameward Hippogryph
			[225765] = 813, -- Leyfeather Hippogryph
			[215159] = 661, -- Long-Forgotten Hippogryph
			[66087]  = 18, -- Silver Covenant Hippogryph
			[274610] = 142, -- Teldrassil Hippogryph
			[359013] = 142, -- Val'sharah Hippogryph

			--! Horse
			[259213] = 153, -- Admiralty Stallion
			[67466]  = 171, -- Argent Warhorse
			[66907]  = 171, -- Argent Warhorse
			[470]    = 910, -- Black Stallion
			[22717]  = 910, -- Black War Steed
			[295387] = 156, -- Bloodflank Charger
			[279457] = 116, -- Broken Highland Mustang
			[458]    = 804, -- Brown Horse
			[6648]   = 116, -- Chestnut Mare
			[341639] = 321, -- Court Sinrunner
			[68188]  = 171, -- Crusader's Black Warhorse
			[68187]  = 171, -- Crusader's White Warhorse
			[260172] = 171, -- Dapple Gray
			[260175] = 153, -- Goldenmane
			[279456] = 116, -- Highland Mustang
			[282682] = 153, -- Kul Tiran Charger
			[103195] = 804, -- Mountain Horse
			[16082]  = 153, -- Palomino
			[472]    = 116, -- Pinto
			[193695] = 156, -- Prestigious War Steed
			[255695] = 156, -- Seabraid Stallion
			[260173] = 116, -- Smoky Charger
			[63232]  = 116, -- Stormwind Steed
			[68057]  = 116, -- Swift Alliance Steed
			[23229]  = 116, -- Swift Brown Steed
			[65640]  = 171, -- Swift Gray Steed
			[103196] = 910, -- Swift Mountain Horse
			[23227]  = 153, -- Swift Palomino
			[23228]  = 159, -- Swift White Steed
			[223341] = 171, -- Vicious Gilnean Warhorse
			[100332] = 156, -- Vicious War Steed
			[16083]  = 116, -- White Stallion

			[66090]  = 159, -- Quel'dorei Steed
			[49322]  = 150, -- Swift Zhevra

			[66906]  = 2, -- Argent Charger
			[231435] = 2, -- Highlord's Golden Charger
			[231589] = 2, -- Highlord's Valorous Charger
			[231587] = 2, -- Highlord's Vengeful Charger
			[231588] = 2, -- Highlord's Vigilant Charger

			[107203] = 203, -- Tyrael's Charger
			[92231]  = 720, -- Spectral Steed
			[339588] = 321, -- Sinrunner Blanchy
			[142073] = 201, -- Hearthsteed
			[278966] = 402, -- Tempestuous Skystallion
			[171847] = 4, -- Cindermane Charger
			[163024] = 412, -- Warforged Nightmare
			[75614]  = 72, -- Celestial Steed

			--! Hyena
			[237287] = 159, -- Alabaster Hyena
			[306423] = 153, -- Caravan Hyena
			[237286] = 153, -- Dune Scavenger
			[237288] = 156, -- Onyx War Hyena

			--! Infernal
			[213134] = 401, -- Felblaze Infernal
			[213350] = 16, -- Frostshard Infernal
			[171827] = 402, -- Hellfire Infernal

			--! Kite
			[133023] = 815, -- Jade Pandaren Kite
			[130985] = 158, -- Pandaren Kite (Alliance)
			[118737] = 173, -- Pandaren Kite (Horde)

			--! Kodo
			[22718]  = 156, -- Black War Kodo
			[18990]  = 158, -- Brown Kodo
			[18989]  = 171, -- Gray Kodo
			[288499] = 116, -- Frightened Kodo
			[50869]  = 155, -- Brewfest Kodo
			[49379]  = 155, -- Great Brewfest Kodo
			[23249]  = 158, -- Great Brown Kodo
			[65641]  = 804, -- Great Golden Kodo
			[23248]  = 158, -- Great Gray Kodo
			[23247]  = 159, -- Great White Kodo
			[18991]  = 116, -- Green Kodo
			[18992]  = 116, -- Teal Kodo
			[63641]  = 158, -- Thunder Bluff Kodo
			[185052] = 4, -- Vicious War Kodo
			[64657]  = 159, -- White Kodo
			[69820]  = 2, -- Sunwalker Kodo
			[69826]  = 2, -- Great Sunwalker Kodo

			--! Krolusk
			[288736] = 157, -- Azureshell Krolusk
			[279454] = 119, -- Conqueror's Scythemaw
			[239049] = 156, -- Obsidian Krolusk
			[288735] = 132, -- Rubyshell Krolusk

			--! Larion
			[342334] = 153, -- Gilded Prowler
			[312772] = 153, -- Gilded Prowler
			[341776] = 157, -- Highwind Darkmane
			[334433] = 160, -- Silverwind Larion

			--! Lion
			[90621]  = 804, -- Golden King
			[229512] = 804, -- Vicious War Lion

			[98727]  = 202, -- Winged Guardian

			--! Mammoth
			[59785]  = 171, -- Black War Mammoth
			[59788]  = 171, -- Black War Mammoth
			[61467]  = 171, -- Grand Black War Mammoth
			[61465]  = 171, -- Grand Black War Mammoth
			[61470]  = 159, -- Grand Ice Mammoth
			[61469]  = 159, -- Grand Ice Mammoth
			[59799]  = 159, -- Ice Mammoth
			[59797]  = 159, -- Ice Mammoth
			[61447]  = 154, -- Traveler's Tundra Mammoth
			[61425]  = 154, -- Traveler's Tundra Mammoth
			[59793]  = 154, -- Wooly Mammoth
			[59791]  = 154, -- Wooly Mammoth

			--! Mana Ray
			[235764] = 157, -- Darkspore Mana Ray
			[253108] = 401, -- Felglow Mana Ray
			[253107] = 140, -- Lambent Mana Ray
			[253109] = 200, -- Scintillating Mana Ray
			[253106] = 640, -- Vibrant Mana Ray
			-- Necroray
			[344574] = 410, -- Bulbous Necroray
			[344576] = 40, -- Infested Necroray
			[344575] = 40, -- Pestilent Necroray

			--! Mauler
			[356501] = 413, -- Rampaging Mauler
			[347536] = 413, -- Tamed Mauler

			--! Mawrat
			[363136] = 321, -- Colossal Ebonclaw Mawrat
			[363297] = 130, -- Colossal Soulshredder Mawrat
			[363178] = 131, -- Colossal Umbrahide Mawrat
			[368128] = 134, -- Colossal Wraithbound Mawrat
			[368105] = 821, -- Colossal Plaguespew Mawrat

			--! Meat Wagon
			[281554] = 101, -- Meat Wagon

			--! Mechanostrider
			[22719]  = 100, -- Black Battlestrider
			[10969]  = 100, -- Blue Mechanostrider
			[63638]  = 100, -- Gnomeregan Mechanostrider
			[17453]  = 100, -- Green Mechanostrider
			[17459]  = 100, -- Icy Blue Mechanostrider Mod A
			[305592] = 100, -- Mechagon Mechanostrider
			[10873]  = 100, -- Red Mechanostrider
			[23225]  = 100, -- Swift Green Mechanostrider
			[23223]  = 100, -- Swift White Mechanostrider
			[23222]  = 100, -- Swift Yellow Mechanostrider
			[65642]  = 100, -- Turbostrider
			[17454]  = 100, -- Unpainted Mechanostrider
			[183889] = 100, -- Vicious War Mechanostrider
			[15779]  = 100, -- White Mechanostrider Mod B

			--! Mech
			[182912] = 141, -- Felsteel Annihilator
			[289083] = 204, -- G.M.O.D.
			[239013] = 200, -- Lightforged Warframe
			[223814] = 100, -- Mechanized Lumber Extractor
			[134359] = 100, -- Sky Golem

			--! Mite
			[312776] = 413, -- Chittering Animite
			[332905] = 413, -- Endmire Flyer
			[275841] = 101, -- Expedition Bloodswarmer
			[243795] = 101, -- Leaping Veinseeker

			--! Moose
			[213339] = 159, -- Great Northern Elderhorn
			[242874] = 116, -- Highmountain Elderhorn
			[258060] = 116, -- Highmountain Thunderhoof
			[288712] = 156, -- Stonehide Elderhorn
			-- Flying Moose
			[196681] = 720, -- Spirit of Eche'ro
			[193007] = 412, -- Grove Defiler
			[189999] = 805, -- Grove Warden

			--! Moth
			[342666] = 66, -- Amber Ardenmoth
			[332256] = 805, -- Duskflutter Ardenmoth
			[318051] = 805, -- Silky Shimmermoth
			[342667] = 822, -- Vibrant Flutterwing

			--! Murloc
			[315132] = 901, -- Gargantuan Grrloc

			--! Mushan
			[148428] = 175, -- Ashhide Mushan Beast
			[142641] = 119, -- Brawler's Burly Mushan Beast
			[130965] = 170, -- Son of Galleon

			--! Nether Ray
			[39803]  = 323, -- Blue Riding Nether Ray
			[39798]  = 323, -- Green Riding Nether Ray
			[39801]  = 323, -- Purple Riding Nether Ray
			[39800]  = 323, -- Red Riding Nether Ray
			[39802]  = 323, -- Silver Riding Nether Ray

			--! Ox
			[308087] = 200, -- Lucky Yun

			--! Panthara
			[243512] = 721, -- Luminous Starseeker

			--! Parrot
			[254811] = 815, -- Squawks
			[254813] = 173, -- Sharkbait (Summon Sharkbait)
			-- Mechanical Parrot
			[290328] = 100, -- Wonderwing 2.0

			--! Phalynx
			[334406] = 201, -- Eternal Phalynx of Courage
			[334409] = 201, -- Eternal Phalynx of Humility
			[334408] = 201, -- Eternal Phalynx of Loyalty
			[334403] = 201, -- Eternal Phalynx of Purity
			[334391] = 201, -- Phalynx of Courage
			[334386] = 201, -- Phalynx of Humility
			[334382] = 201, -- Phalynx of Loyalty
			[334398] = 201, -- Phalynx of Purity

			--! Phoenix
			[40192]  = 68, -- Ashes of Al'ar
			[88990]  = 96, -- Dark Phoenix
			[278656] = 720, -- Spectral Phoenix
			-- Skyblazer
			[347813] = 6, -- Fireplume Phoenix
			[347812] = 80, -- Sapphire Skyblazer
			-- Fire Hawk
			[97560]  = 32, -- Corrupted Fire Hawk
			[97501]  = 401, -- Felfire Hawk
			[97493]  = 4, -- Pureblood Fire Hawk
			-- Stormcrow
			[171828] = 6, -- Solar Spirehawk
			[147595] = 800, -- Stormcrow
			[253639] = 126, -- Violet Spellwing

			--! Pig
			[290134] = 200, -- Hogrus, Swine of Good Fortune

			--! Proto-Drake
			[59976]  = 156, -- Black Proto-Drake
			[59996]  = 24, -- Blue Proto-Drake
			[61294]  = 815, -- Green Proto-Drake
			[63956]  = 160, -- Ironbound Proto-Drake
			[60021]  = 40, -- Plagued Proto-Drake
			[59961]  = 173, -- Red Proto-Drake
			[63963]  = 132, -- Rusted Proto-Drake
			[148392] = 173, -- Spawn of Galakras
			[60002]  = 133, -- Time-Lost Proto-Drake
			[60024]  = 820, -- Violet Proto-Drake
			[229388] = 105, -- Battlelord's Bloodthirsty War Wyrm
			[386452] = 48, -- Frostbrood Proto-Wyrm

			[262027] = 156, -- Corrupted Gladiator's Proto-Drake
			[262022] = 155, -- Dread Gladiator's Proto-Drake
			[262024] = 174, -- Notorious Gladiator's Proto-Drake
			[262023] = 137, -- Sinister Gladiator's Proto-Drake

			--! Pterrordax
			[136400] = 814, -- Armored Skyscreamer
			[275838] = 119, -- Captured Swampstalker
			[275837] = 157, -- Cobalt Pterrordax
			[289101] = 134, -- Dazar'alor Windreaver
			[267270] = 140, -- Kua'fon
			[301841] = 140, -- Kua'fon
			[275840] = 113, -- Voldunai Dunescraper
			[244712] = 720, -- Spectral Pterrorwing

			--! Quilen
			[124659] = 120, -- Imperial Quilen
			[279469] = 133, -- Qinsho's Eternal Hound
			[316722] = 131, -- Ren's Stalwart Hound
			[316723] = 133, -- Xinlao

			--! Ram
			[17461]  = 910, -- Black Ram
			[22720]  = 156, -- Black War Ram
			[43899]  = 154, -- Brewfest Ram
			[6899]   = 153, -- Brown Ram
			[17460]  = 160, -- Frost Ram
			[6777]   = 159, -- Gray Ram
			[63636]  = 154, -- Ironforge Ram
			[23510]  = 159, -- Stormpike Battle Charger
			[308250] = 159, -- Stormpike Battle Ram
			[43900]  = 154, -- Swift Brewfest Ram
			[23238]  = 153, -- Swift Brown Ram
			[23239]  = 171, -- Swift Gray Ram
			[65643]  = 910, -- Swift Violet Ram
			[23240]  = 159, -- Swift White Ram
			[171834] = 154, -- Vicious War Ram
			[6898]   = 159, -- White Ram

			--! Raptor
			[96491]  = 173, -- Armored Razzashi Raptor
			[138642] = 819, -- Black Primal Raptor
			[22721]  = 819, -- Black War Raptor
			[138640] = 159, -- Bone-White Primal Raptor
			[63635]  = 135, -- Darkspear Raptor
			[8395]   = 815, -- Emerald Raptor
			[84751]  = 415, -- Fossilized Raptor
			[138643] = 821, -- Green Primal Raptor
			[17450]  = 159, -- Ivory Raptor
			[16084]  = 817, -- Mottled Red Raptor
			[138641] = 817, -- Red Primal Raptor
			[97581]  = 817, -- Savage Raptor
			[279611] = 173, -- Skullripper
			[279569] = 159, -- Swift Albino Raptor
			[23241]  = 822, -- Swift Blue Raptor
			[23242]  = 119, -- Swift Olive Raptor
			[23243]  = 817, -- Swift Orange Raptor
			[65644]  = 813, -- Swift Purple Raptor
			[24242]  = 821, -- Swift Razzashi Raptor
			[10796]  = 822, -- Turquoise Raptor
			[171835] = 170, -- Vicious War Raptor
			[64659]  = 158, -- Venomhide Ravasaur
			[10799]  = 172, -- Violet Raptor
			-- Ravasaur
			[255696] = 200, -- Gilded Ravasaur
			[266058] = 415, -- Tomb Stalker

			--! Rat
			[215558] = 116, -- Ratstallion
			[356488] = 159, -- Sarge's Tale
			[308078] = 802, -- Squeakers, the Trickster

			--! Ravager
			[163025] = 173, -- Grinning Reaver

			--! Razorwing
			[354361] = 820, -- Dusklight Razorwing
			[354359] = 822, -- Fierce Razorwing
			[354360] = 818, -- Garnet Razorwing
			[347251] = 816, -- Soaring Razorwing

			--! Rhino
			[74918]  = 154, -- Wooly White Rhino

			--! Riverbeast
			[171825] = 119, -- Mosshide Riverwallow
			[171826] = 158, -- Mudback Riverbeast
			[171824] = 135, -- Sapphire Riverbeast
			[171638] = 153, -- Trained Riverwallow
			[272481] = 157, -- Vicious War Riverbeast

			--! Roc
			-- Dread Raven
			[155741] = 80, -- Dread Raven
			[183117] = 401, -- Corrupted Dreadwing
			-- Fleshroc
			[336041] = 415, -- Bonesewn Fleshroc
			[327405] = 415, -- Colossal Slaughterclaw
			[336042] = 415, -- Hulking Deathroc
			[336045] = 415, -- Predatory Plagueroc

			--! Rocket
			[126507] = 100, -- Depleted-Kyparium Rocket
			[126508] = 100, -- Geosynchronous World Spinner
			[71342]  = 661, -- X-45 Heartbreaker
			[46197]  = 100, -- X-51 Nether-Rocket
			[46199]  = 100, -- X-51 Nether-Rocket X-TREME
			[75973]  = 100, -- X-53 Touring Rocket

			--! Scorpid
			[123886] = 810, -- Amber Scorpion
			[93644]  = 155, -- Kor'kron Annihilator
			[148417] = 5, -- Kor'kron Juggernaut
			[230988] = 173, -- Vicious War Scorpion

			--! Seahorse
			[300153] = 66, -- Crimson Tidestallion
			[300150] = 822, -- Fabious
			[300151] = 135, -- Inkscale Deepseeker
			[288711] = 130, -- Saltwater Seahorse
			[98718]  = 807, -- Subdued Seahorse
			[75207]  = 157, -- Vashj'ir Seahorse

			--! Seeker
			["High Priest's Lightsworn Seeker"] = 200, -- Holy/Fallback
			["High Priest's Lightsworn Seeker:1518632"] = 18, -- Discipline
			["High Priest's Lightsworn Seeker:1518634"] = 320, -- Shadow

			--! Serpent  ! Wyrm
			-- Fathom Serpent
			[232519] = 135, -- Abyss Worm
			[275623] = 321, -- Nazjatar Blood Serpent
			[243025] = 137, -- Riddler's Mind-Worm
			-- Mana Wyrm
			[367676] = 822, -- Nether-Gorged Greatwyrm
			-- Serpent of N'Zoth
			[316637] = 324, -- Awakened Mindborer
			[305182] = 324, -- Black Serpent of N'Zoth
			[315987] = 324, -- Mail Muncher
			[316343] = 324, -- Wriggling Parasite
			[346141] = 40, -- Slime Serpent

			--! Shadehound
			[344577] = 411, -- Bound Shadehound
			[344578] = 411, -- Corridor Creeper
			[312762] = 411, -- Mawsworn Soulhunter

			--! Shardhide
			[354356] = 816, -- Amber Shardhide
			[347810] = 815, -- Beryl Shardhide
			[354357] = 818, -- Crimson Shardhide
			[354358] = 813, -- Darkmaul

			--! Silithid
			[26656]  = 819, -- Black Qiraji Battle Tank
			[26655]  = 819, -- Black Qiraji Battle Tank
			[25863]  = 819, -- Black Qiraji Battle Tank
			[239770] = 819, -- Black Qiraji War Tank
			[25953]  = 814, -- Blue Qiraji Battle Tank
			[239766] = 814, -- Blue Qiraji War Tank
			[26056]  = 815, -- Green Qiraji Battle Tank
			[239769] = 813, -- Purple Qiraji War Tank
			[26054]  = 173, -- Red Qiraji Battle Tank
			[239767] = 173, -- Red Qiraji War Tank
			[92155]  = 814, -- Ultramarine Qiraji Battle Tank
			[26055]  = 816, -- Yellow Qiraji Battle Tank

			--! Skeletal Drake
			["Deathlord's Vilebrood Vanquisher"] = 40, -- Unholy/Fallback
			["Deathlord's Vilebrood Vanquisher:1580440"] = 321, -- Blood
			["Deathlord's Vilebrood Vanquisher:1580441"] = 16, -- Frost
			-- Frost Wyrm
			[72808]  = 160, -- Bloodbathed Frostbrood Vanquisher
			[72807]  = 160, -- Icebound Frostbrood Vanquisher
			[64927]  = 160, -- Deadly Gladiator's Frost Wyrm
			[65439]  = 160, -- Furious Gladiator's Frost Wyrm
			[67336]  = 160, -- Relentless Gladiator's Frost Wyrm
			[71810]  = 160, -- Wrathful Gladiator's Frost Wyrm
			-- Ember Wyrm
			[231428] = 400, -- Smoldering Ember Wyrm

			--! Skeletal Horse
			-- Skeletal Horse
			[64977]  = 415, -- Black Skeletal Horse
			[17463]  = 415, -- Blue Skeletal Horse
			[17464]  = 415, -- Brown Skeletal Horse
			[17462]  = 415, -- Red Skeletal Horse
			[288722] = 415, -- Risen Mare
			[136505] = 720, -- Ghastly Charger
			-- Skeletal Charger
			[64656]  = 33, -- Blue Skeletal Warhorse
			[63643]  = 33, -- Forsaken Warhorse
			[17465]  = 33, -- Green Skeletal Warhorse
			[66846]  = 33, -- Ochre Skeletal Warhorse
			[23246]  = 33, -- Purple Skeletal Warhorse
			[22722]  = 33, -- Red Skeletal Warhorse
			[17481]  = 33, -- Rivendare's Deathcharger
			[65645]  = 18, -- White Skeletal Warhorse
			[229499] = 321, -- Midnight
			[281890] = 96, -- Vicious Black Bonesteed
			[146622] = 401, -- Vicious Skeletal Warhorse
			[281889] = 18, -- Vicious White Bonesteed
			-- Deathcharger
			[48778]  = 33, -- Acherus Deathcharger
			[73313]  = 33, -- Crimson Deathcharger
			[36702]  = 401, -- Fiery Warhorse
			[48025]  = 401, -- Headless Horseman's Mount
			[72286]  = 160, -- Invincible
			-- Wraithcharger
			[142910] = 720, -- Ironbound Wraithcharger
			[354353] = 130, -- Fallen Charger
			[339956] = 134, -- Mawsworn Charger
			[354351] = 813, -- Sanctum Gloomcharger
			[354352] = 134, -- Soulbound Gloomcharger

			--! Snapdragon
			[300147] = 157, -- Deepcoral Snapdragon
			[294038] = 901, -- Royal Snapdragon
			[300146] = 119, -- Snapdragon Kelpstalker

			--! Snail
			-- Helicid
			[359376] = 132, -- Bronze Helicid
			[359378] = 106, -- Scarlet Helicid
			[346719] = 111, -- Serenade
			[359377] = 812, -- Unsuccessful Prototype Fleetpod

			--! Spidder
			[213115] = 142, -- Bloodfang Widow
			[327407] = 173, -- Vicious War Spider (Alliance)
			[327408] = 806, -- Vicious War Spider (Horde)
			-- Protoform Tarachnid
			[359401] = 133, -- Genesis Crawler
			[359402] = 910, -- Tarachnid Creeper
			[359403] = 131, -- Ineffable Skitterer

			--! Spider Tank
			-- Mechaspider
			[299158] = 100, -- Mechagon Peacekeeper
			[291492] = 100, -- Rusty Mechanocrawler
			[299159] = 100, -- Scrapforged Mechaspider
			-- Zerethsteed
			[359545] = 106, -- Carcinized Zerethsteed

			--! Stag
			-- Cervid
			[359276] = 132, -- Anointed Protostag
			[359278] = 131, -- Deathrunner
			[342671] = 106, -- Pale Regal Cervid
			[359277] = 910, -- Sundered Zerethsteed
			-- Runestag
			[312759] = 805, -- Dreamlight Runestag
			[312761] = 805, -- Enchanted Dreamlight Runestag
			[332246] = 805, -- Enchanted Shadeleaf Runestag
			[332247] = 805, -- Enchanted Wakener's Runestag
			[332248] = 805, -- Enchanted Winterborn Runestag
			[332243] = 805, -- Shadeleaf Runestag
			[332244] = 805, -- Wakener's Runestag
			[332245] = 805, -- Winterborn Runestag

			--! Talbuk
			[39315]  = 140, -- Cobalt Riding Talbuk
			[34896]  = 140, -- Cobalt War Talbuk
			[39316]  = 175, -- Dark Riding Talbuk
			[34790]  = 175, -- Dark War Talbuk
			[39317]  = 157, -- Silver Riding Talbuk
			[34898]  = 157, -- Silver War Talbuk
			[39318]  = 153, -- Tan Riding Talbuk
			[34899]  = 153, -- Tan War Talbuk
			[39319]  = 159, -- White Riding Talbuk
			[34897]  = 813, -- White War Talbuk
			-- Draenor Talbuk
			[171832] = 172, -- Breezestrider Stallion
			[171833] = 131, -- Pale Thorngrazer
			[171829] = 175, -- Shadowmane Charger
			[171830] = 804, -- Swift Breezestrider
			[171831] = 813, -- Trained Silverpelt
			-- Ruinstrider
			[253004] = 157, -- Amethyst Ruinstrider
			[253005] = 134, -- Beryl Ruinstrider
			[253007] = 157, -- Cerulean Ruinstrider
			[253006] = 172, -- Russet Ruinstrider
			[242305] = 157, -- Sable Ruinstrider
			[253008] = 154, -- Umber Ruinstrider
			[254260] = 401, -- Bleakhoof Ruinstrider
			[253058] = 401, -- Maddened Chaosrunner
			[356802] = 200, -- Holy Lightstrider

			--! Tallstrider
			[102346] = 62, -- Swift Forest Strider
			[102350] = 661, -- Swift Lovebird
			[101573] = 135, -- Swift Shorestrider
			[102349] = 159, -- Swift Springstrider

			--! Talon Bird
			[101542] = 4, -- Flametalon of Alysrazor
			[280729] = 401, -- Frenzied Feltalon
			[41252]  = 80, -- Raven Lord
			[179478] = 32, -- Voidtalon of the Dark Star

			--! Tauralus
			[332466] = 415, -- Armored Bonehoof Tauralus
			[332467] = 415, -- Armored Chosen Tauralus
			[332464] = 415, -- Armored Plaguerot Tauralus
			[332462] = 415, -- Armored War-Bred Tauralus
			[332457] = 415, -- Bonehoof Tauralus
			[332460] = 415, -- Chosen Tauralus
			[332456] = 415, -- Plaguerot Tauralus
			[332455] = 415, -- War-Bred Tauralus

			--! Tome
			[359318] = 64, -- Soaring Spelltome

			--! Turtle
			[227956] = 400, -- Arcadian War Turtle
			-- Dragon Turtle
			[127286] = 157, -- Black Dragon Turtle
			[127287] = 171, -- Blue Dragon Turtle
			[127288] = 119, -- Brown Dragon Turtle
			[127295] = 157, -- Great Black Dragon Turtle
			[127302] = 171, -- Great Blue Dragon Turtle
			[127308] = 119, -- Great Brown Dragon Turtle
			[127293] = 170, -- Great Green Dragon Turtle
			[127310] = 172, -- Great Purple Dragon Turtle
			[120822] = 172, -- Great Red Dragon Turtle
			[120395] = 170, -- Green Dragon Turtle
			[127289] = 172, -- Purple Dragon Turtle
			[127290] = 172, -- Red Dragon Turtle
			[232525] = 170, -- Vicious War Turtle (Horde)
			[232523] = 170, -- Vicious War Turtle (Alliance)
			-- Sea Turtle
			[30174] = 119, -- Riding Turtle
			[64731] = 157, -- Sea Turtle

			--! Ur'zul
			[243651] = 414, -- Shackled Ur'zul

			--! Wasp
			-- Vespoid
			[359364] = 132, -- Bronzewing Vespoid
			[359366] = 909, -- Buzz
			[359367] = 131, -- Forged Spiteflyer
			[342678] = 106, -- Vespoid Flutterer

			--! Vilefiend
			[253662] = 401, -- Acid Belcher
			[253660] = 401, -- Biletooth Gnasher
			[253661] = 401, -- Crimson Slavermaw
			[243652] = 401, -- Vile Fiend

			--! Vombata
			[359232] = 131, -- Adorned Vombata
			[359230] = 132, -- Curious Crystalsniffer
			[359231] = 910, -- Darkened Vombata
			[359229] = 106, -- Heartlight Vombata

			--! Vorquin
			[394219] = 133, -- Bronze Vorquin
			[394216] = 172, -- Crimson Vorquin
			[394220] = 157, -- Obsidian Vorquin
			[394218] = 138, -- Sapphire Vorquin

			[385134] = 133, -- Swift Armored Vorquin
			[385115] = 172, -- Majestic Armored Vorquin
			[384963] = 157, -- Guardian Vorquin
			[385131] = 138, -- Armorerd Vorquin Leystrider

			--! Warp Stalker
			[346136] = 323, -- Viridian Phase-Hunter

			--! Water Strider
			[118089] = 814, -- Azure Water Strider
			[127271] = 818, -- Crimson Water Strider

			--! Wilderling
			[353856] = 805, -- Ardenweald Wilderling
			[353859] = 815, -- Summer Wilderling
			[353857] = 817, -- Autumnal Wilderling
			[353858] = 153, -- Winter Wilderling

			--! Wind Rider
			[302362] = 3, -- Alabaster Thunderwing
			[32244]  = 159, -- Blue Wind Rider
			[32245]  = 134, -- Green Wind Rider
			[32243]  = 804, -- Tawny Wind Rider
			[107517] = 720, -- Spectral Wind Rider
			[61230]  = 159, -- Armored Blue Wind Rider
			[32295]  = 804, -- Swift Green Wind Rider
			[32297]  = 804, -- Swift Purple Wind Rider
			[32246]  = 804, -- Swift Red Wind Rider
			[32296]  = 804, -- Swift Yellow Wind Rider
			-- Grand Wyvern
			[136164] = 116, -- Grand Wyvern
			[135418] = 116, -- Grand Armored Wyvern

			--! Windsteed
			[134573] = 811, -- Swift Windsteed

			--! Wolf
			[171838] = 150, -- Armored Frostwolf
			[171844] = 153, -- Dustmane Direwolf
			[186305] = 401, -- Infernal Direwolf
			[171839] = 171, -- Ironside Warwolf
			[295386] = 150, -- Ironclad Frostclaw
			[148396] = 171, -- Kor'kron War Wolf
			[171851] = 156, -- Garn Nighthowl
			[171836] = 156, -- Garn Steelmaw
			[204166] = 156, -- Prestigious War Wolf
			[171843] = 171, -- Smoky Direwolf
			[171842] = 150, -- Swift Frostwolf
			[100333] = 171, -- Vicious War Wolf
			[294569] = 400, -- Beastlord's Warwolf
			[171841] = 158, -- Trained Snarler
			[171837] = 158, -- Warsong Direfang
			-- Direwolf
			[16081]  = 160, -- Arctic Wolf
			[64658]  = 156, -- Black Wolf
			[6654]   = 153, -- Brown Wolf
			[6653]   = 171, -- Dire Wolf
			[16080]  = 154, -- Red Wolf
			[580]    = 804, -- Timber Wolf
			[22724]  = 156, -- Black War Wolf
			[23509]  = 160, -- Frostwolf Howler
			[63640]  = 171, -- Orgrimmar Wolf
			[92232]  = 720, -- Spectral Wolf
			[23250]  = 116, -- Swift Brown Wolf
			[65646]  = 155, -- Swift Burgundy Wolf
			[23252]  = 171, -- Swift Gray Wolf
			[68056]  = 155, -- Swift Horde Wolf
			[23251]  = 159, -- Swift Timber Wolf
			[306421] = 150, -- Frostwolf Snarler
			[267274] = 156, -- Mag'har Direwolf

			--! Wolfhawk
			[229439] = 158, -- Huntmaster's Dire Wolfhawk
			[229438] = 154, -- Huntmaster's Fierce Wolfhawk
			[229386] = 116, -- Huntmaster's Loyal Wolfhawk

			--! Yak
			[127220] = 153, -- Blonde Riding Yak
			[122708] = 116, -- Grand Expedition Yak
			[127216] = 171, -- Grey Riding Yak

			--! Yeti
			[171848] = 24, -- Challenger's War Yeti
			[279467] = 173, -- Craghorn Chasm-Leaper
			[191314] = 156, -- Minion of Grumpus

			-------

			--! Quest
			[106872] = 327,
			[145949] = 4,
			[156087] = 323,
			[178335] = 202,
			[178787] = 361,
			[179071] = 110,
			[180720] = 202,
			[180737] = 800,
			[180935] = 202,
			[182592] = 321,
			[183124] = 2,
			[185071] = 202,
			[186253] = 96,
			[186608] = 803,
			[188432] = 202,
			[192535] = 100,
			[192924] = 114,
			[192952] = 100,
			[193017] = 803,
			[193269] = 126,
			[193277] = 126,
			[193278] = 126,
			[194133] = 202,
			[198335] = 323,
			[198424] = 323,
			[198444] = 323,
			[199336] = 328,
			[200228] = 401,
			[203156] = 114,
			[204542] = 8,
			[207493] = 34,
			[207501] = 100,
			[210773] = 801,
			[211546] = 646,
			[212782] = 126,
			[213485] = 808,
			[214482] = 813,
			[215749] = 640,
			[216693] = 66,
			[219920] = 127,
			[220037] = 800,
			[225023] = 64,
			[225025] = 64,
			[225026] = 64,
			[22562] = 801,
			[230266] = 202,
			[236262] = 202,
			[240473] = 32,
			[243833] = 321,
			[245030] = 4,
			[248345] = 2,
			[248906] = 810,
			[251746] = 800,
			[252295] = 2,
			[255460] = 2,
			[257795] = 801,
			[262446] = 325,
			[300203] = 204,
			[300656] = 2,
			[305716] = 100,
			[308080] = 321,
			[308244] = 201,
			[308671] = 201,
			[308754] = 201,
			[309343] = 803,
			[310105] = 805,
			[310984] = 201,
			[311385] = 805,
			[311387] = 903,
			[311655] = 806,
			[311670] = 5,
			[311678] = 8,
			[311681] = 8,
			[311682] = 100,
			[311703] = 8,
			[311704] = 8,
			[311710] = 806,
			[311721] = 805,
			[311749] = 8,
			[311873] = 802,
			[311897] = 8,
			[312394] = 33,
			[312448] = 201,
			[312493] = 201,
			[312692] = 80,
			[313107] = 800,
			[313712] = 8,
			[314724] = 805,
			[314846] = 321,
			[315010] = 805,
			[315060] = 661,
			[315075] = 321,
			[315611] = 806,
			[315688] = 806,
			[315755] = 321,
			[316939] = 720,
			[316947] = 201,
			[317081] = 33,
			[317355] = 326,
			[318107] = 201,
			[318340] = 201,
			[319047] = 80,
			[319184] = 2,
			[319782] = 201,
			[319840] = 201,
			[319892] = 326,
			[320109] = 720,
			[320245] = 201,
			[320728] = 201,
			[321072] = 8,
			[321826] = 321,
			[322065] = 805,
			[322334] = 201,
			[323876] = 806,
			[323959] = 101,
			[323973] = 201,
			[323978] = 201,
			[323980] = 201,
			[324003] = 321,
			[324054] = 201,
			[324126] = 202,
			[324812] = 411,
			[324973] = 80,
			[324975] = 80,
			[324977] = 80,
			[325341] = 201,
			[325345] = 100,
			[325347] = 100,
			[325609] = 201,
			[325737] = 201,
			[325783] = 201,
			[325940] = 201,
			[325941] = 201,
			[326260] = 411,
			[326568] = 203,
			[326915] = 201,
			[327358] = 201,
			[327753] = 321,
			[328174] = 321,
			[328524] = 202,
			[328858] = 805,
			[328905] = 326,
			[329075] = 101,
			[329131] = 805,
			[329328] = 805,
			[329464] = 411,
			[329582] = 805,
			[330615] = 805,
			[331299] = 111,
			[332186] = 900,
			[332315] = 203,
			[332533] = 900,
			[332594] = 100,
			[332851] = 326,
			[332921] = 805,
			[333810] = 805,
			[334027] = 203,
			[334063] = 203,
			[334697] = 413,
			[334890] = 203,
			[335539] = 321,
			[335664] = 326,
			[335844] = 321,
			[335910] = 202,
			[336010] = 203,
			[336132] = 80,
			[336278] = 805,
			[336657] = 661,
			[337376] = 201,
			[338479] = 326,
			[338540] = 326,
			[338656] = 326,
			[338734] = 201,
			[338954] = 203,
			[339283] = 411,
			[339469] = 326,
			[339515] = 326,
			[339665] = 321,
			[339923] = 326,
			[340554] = 203,
			[340810] = 100,
			[341097] = 203,
			[341836] = 326,
			[341925] = 110,
			[342040] = 660,
			[342106] = 201,
			[342113] = 201,
			[342127] = 203,
			[342169] = 201,
			[342188] = 201,
			[342506] = 326,
			[342663] = 201,
			[343070] = 326,
			[343574] = 326,
			[343575] = 326,
			[344489] = 805,
			[345180] = 411,
			[346490] = 203,
			[346917] = 203,
			[347020] = 203,
			[347080] = 203,
			[347080] = 203,
			[347107] = 203,
			[347111] = 203,
			[347241] = 203,
			[347749] = 321,
			[38439] = 101,
			[38453] = 101,
			[38762] = 720,
			[42418] = 2,
			[4975] = 202,
			[4976] = 801,
			[4977] = 202,
			[4978] = 202,
			[62772] = 321,
			[63797] = 321,
			[6610] = 801,
			[66280] = 100,
			[68283] = 801,
			[68422] = 801,
			[69855] = 202,
			[70458] = 8,
			[70476] = 100,
			[70813] = 101,
			[71030] = 4,
			[75192] = 28,
			[77314] = 4,
			[78336] = 325,
			[80702] = 328,
			[80704] = 328,
			[86264] = 100,
			[93773] = 100,
			[205446] = 8,
			[245988] = 114,
			[210519] = 202,
			[189038] = 100,
			[219297] = 4,
			[213293] = 4,
			[218184] = 100,
			[218296] = 202,
			[219448] = 8,
			[210122] = 900,
			[210123] = 108,
			[217377] = 112,
			[217458] = 127,
			[203269] = 127,
			[203802] = 127,
			[56345] = 903,
			[54301] = 903,
			[56562] = 101,
			[337624] = 805,
			[319538] = 805,
			[313558] = 4,
			[321587] = 805,
			[343890] = 114,
			[324346] = 326,
			[330596] = 411,
			[330012] = 202,
			[317812] = 202,
			[319035] = 202,
			[319177] = 805,
			[340391] = 413,
			[314081] = 326,
			[311705] = 8,
			[241211] = 112,
			[211723] = 32,
			[200095] = 127,
			[321334] = 101,
			[315056] = 202,
			[308071] = 8,
			[307753] = 805,
			[335690] = 801,
			[339739] = 8,
			[323836] = 411,
			[324418] = 805,
			[336187] = 805,
			[334690] = 805,
			[325584] = 805,
			[327948] = 805,
			[327932] = 805,
			[336003] = 805,
			[327946] = 805,
			[327947] = 805,
			[323617] = 805,
			[325501] = 805,
			[151088] = 112,
			[328685] = 201,
			[72070] = 100,
			[315165] = 321,
			[329453] = 100,
			[311756] = 202,
			[217648] = 803,
			[326487] = 100,
			[329193] = 411,
			[327895] = 203,
			[213297] = 4,
			[129586] = 4,
			[229086] = 202,
			[192456] = 202,
			[192481] = 100,
			[206766] = 100,
			[73945] = 100,
			[198513] = 4,
			[147002] = 401,
			[146915] = 32,
			[166018] = 8,
			[166459] = 100,
			[161198] = 5,
			[163107] = 202,
			[162225] = 900,
			[159614] = 900,
			[161549] = 900,
			[161550] = 900,
			[161551] = 900,
			[161554] = 900,
			[161557] = 900,
			[162226] = 900,
			[162235] = 900,
			[162237] = 900,
			[162240] = 900,
			[163381] = 320,
			[167108] = 4,
			[166661] = 4,
			[167133] = 101,
			[167301] = 808,
			[171985] = 102,
			[169195] = 100,
			[172258] = 202,
			[350175] = 805,
			[350284] = 805,
			[353215] = 805,
			[352145] = 805,
			[351172] = "Anima",
			[353260] = 105,
			[357775] = 201,
			[352909] = 203,
			[353191] = 203,
			[354782] = 203,
			[351391] = 203,
			[354133] = 6,
			[354119] = 6,
			[352560] = 811,
			[352836] = 203,
			[353740] = 203,
			[346310] = 203,
			[358432] = 805,
			[353543] = 805,
			[353597] = 805,
			[353135] = 202,
			[351205] = 203,
			[355862] = 202,
			[352230] = 114,
			[254667] = 401,
			[351138] = 201,
			[351245] = 202,
			[352413] = 100,
			[357969] = 203,
			[357963] = 203,
			[357983] = 203,
			[352820] = 660,
			[79450] = 202,
			[312443] = 201,
			[324937] = 804,
			[310646] = 80,
			[310648] = 80,
			[310647] = 100,
			[310687] = 202,
			[307434] = 201,
			[77821] = 100,
			[77819] = 202,
			[78395] = 100,
			[78628] = 33,
			[311792] = 3,
			[309369] = 201,
			[320718] = 201,
			[324364] = 202,
			[324359] = 202,
			[309678] = 111,
			[309779] = 805,
			[327844] = 804,
			[311775] = 321,
			[311278] = 100,
			[312098] = 153,
			[312018] = 202,
			[321313] = 40,
			[316317] = 415,
			[320559] = 803,
			[311848] = 321,
			[310586] = 321,
			[191827] = 100,
			[202064] = 100,
			[204588] = 100,
			[67869] = 100,
			[200255] = 202,
			[201112] = 100,
			[191481] = 202,
			[192252] = 100,
			[196731] = 326,
			[196724] = 326,
			[67922] = 126,
			[69054] = 126,
			[68945] = 126,
			[69230] = 18,
			[69217] = 100,
			[76241] = 5,
			[74793] = 4,
			[74475] = 640,
			[76724] = 8,
			[76759] = 111,
			[89821] = 321,
			[89752] = 806,
			[91085] = 100,
			[91400] = 100,
			[154475] = 202,
			[154485] = 202,
			[325380] = 100,
			[351910] = 203,
			[317175] = 100,
			[303967] = 811,
			[285327] = 413,
			[284447] = 413,
			[286256] = 126,
			[171204] = 101,
			[77976] = 100,
			[78141] = 281,
			[78336] = 96,
			[70155] = 111,
			[70476] = 280,
			[71225] = 100,
			[321920] = 326,
			[197071] = 126,
			[200170] = 909,
			[204867] = 126,
			[224553] = 126,
			[201200] = 202,
			[31549] = 321,
			[313684] = 202,
			[346327] = 202,
			[317812] = 202,
			[317813] = 202,
			[330938] = 33,
			[333473] = 100,
			[333474] = 100,
			[333475] = 100,
			[325543] = 202,
			[325722] = 202,
			[150029] = 202,
			[336250] = 202,
			[181456] = 202,
			[186052] = 5,
			[226373] = 201,
			[248062] = 204,
			[199728] = 100,
			[321212] = 805,
			[340626] = 100,
			[223600] = 202,
			[351673] = 201,
			[356553] = 3,
			[319666] = 100,
			[319697] = 100,
			[319698] = 100,
			[319699] = 100,
			[351895] = 201,
			[351905] = 201,
			[297365] = 204,
			[341726] = 203,
			[354171] = 805,
			[352672] = 100,
			[358113] = 326,
			[357779] = 326,
			[350591] = 36,
			[351333] = 321,
			[322332] = 201,
			[337039] = 326,
			[350186] = 201,
			[350187] = 201,
			[350192] = 201,
			[357319] = 805,
			[357307] = 326,
			[357301] = 201,
			[357299] = 321,
			[235570] = 901,
			[236525] = 202,
			[169758] = 202,
			[169973] = 641,
			[356266] = 100,
			[214669] = 803,
			[356593] = 203,
			[203675] = 646,
			[354222] = 114,
			[356615] = 660,
			[339329] = 201,
			[341641] = 114,
			[353963] = 201,
			[51962] = 202,
			[51210] = 280,
			[51845] = 280,
			[53038] = 111,
			[52333] = 808,
			[51659] = 100,
			[52066] = 66,
			[222728] = 805,
			[220497] = 111,
			[51319] = 900,
			[193724] = 807,
			[213633] = 326,
			[42436] = 202,
			[191273] = 202,
			[182021] = 281,
			[182139] = 281,
			[212363] = 646,
			[212360] = 646,
			[212392] = 646,
			[212315] = 646,
			[212372] = 646,
			[212374] = 646,
			[181547] = 202,
			[192171] = 101,
			[229547] = 202,
			[191993] = 203,
			[193576] = 101,
			[334176] = 100,
			[326640] = 100,
			[326643] = 100,
			[326664] = 100,
			[319456] = 100,
			[353650] = 202,
			[344016] = 201,
			[344406] = 100,
			[330485] = 909,
			[324640] = 100,
			[361734] = 203,
			[220045] = 100,
			[220046] = 100,
			[220047] = 100,
			[131232] = 646,
			[131204] = 646,
			[131205] = 646,
			[131206] = 646,
			[131222] = 646,
			[131225] = 646,
			[131231] = 646,
			[131229] = 646,
			[131228] = 646,
			[294191] = 8,
			[294176] = 8,
			[294196] = 8,
			[295058] = 204,
			[295052] = 204,
			[296708] = 204,
			[299986] = 204,
			[296749] = 204,
			[301522] = 204,
			[266072] = 100,
			[272361] = 36,
			[280594] = 100,
			[280595] = 100,
			[280593] = 100,
			[273193] = 100,
			[257831] = 100,
			[318682] = 100,
			[211159] = 80,
			[220521] = 100,
			[194065] = 4,
			[223031] = 401,
			[217184] = 203,
			[193329] = 111,
			[193327] = 111,
			[193328] = 111,
			[193330] = 111,
			[193336] = 111,
			[193341] = 111,
			[193342] = 111,
			[186745] = 4,
			[186746] = 4,
			[186747] = 4,
			[186748] = 4,
			[220442] = 200,
			[182921] = 814,
			[189134] = 5,
			[182046] = 100,
			[28700] = 281,
			[29866] = 110,
			[30419] = 114,
			[30406] = 100,
			[213918] = 401,
			[214379] = 100,
			[214642] = 127,
			[202413] = 414,
			[214618] = 411,
			[215174] = 326,
			[236723] = 202,
			[217069] = 414,
			[217691] = 326,
			[169422] = 100,
			[169503] = 100,
			[169515] = 126,
			[162720] = 202,
			[169455] = 100,
			[165551] = 202,
			[270585] = 8,
			[271013] = 281,
			[280608] = 114,
			[271196] = 323,
			[280310] = 100,
			[196505] = 803,
			[211822] = 100,
			[209962] = 202,
			[367326] = 203,
			[22949] = 8,
			[361481] = 111,
			[359944] = 111,
			[364892] = 100,
			[366214] = 100,
			[364965] = 203,
			[364961] = 203,
			[366402] = 100,
			[361739] = 100,
			[362398] = 203,
			[358165] = 646,
			[362453] = 100,
			[362196] = 202,
			[364685] = 281,
			[365598] = 100,
			[361181] = 100,
			[359515] = 411,
			[359575] = 106,
			[359708] = 106,
			[359626] = 411,
			[361416] = 411,
			[361468] = 411,
			[361647] = 411,
			[361827] = 411,
			[361728] = 411,
			[361814] = 411,
			[361821] = 411,
			[361830] = 411,
			[361836] = 106,
			[361081] = 106,
			[367264] = 106,
			[367260] = 106,
			[367263] = 106,
			[367265] = 106,
			[367269] = 106,
			[367267] = 106,
			[367258] = 106,
			[367257] = 106,
			[367270] = 106,
			[367266] = 106,
			[367255] = 106,
			[367259] = 106,
			[367262] = 106,
			[367254] = 106,
			[367268] = 106,
			[367173] = 106,
			[367261] = 106,
			[367272] = 106,
			[367271] = 106,
			[367256] = 106,
			[365545] = 106,
			[361358] = 106,
			[365541] = 106,
			[365544] = 106,
			[365551] = 106,
			[365547] = 106,
			[365524] = 106,
			[365527] = 106,
			[365548] = 106,
			[365542] = 106,
			[365539] = 106,
			[365522] = 106,
			[361356] = 106,
			[365540] = 106,
			[365546] = 106,
			[365550] = 106,
			[361357] = 106,
			[365549] = 106,
			[365543] = 106,
			[365528] = 106,
			[356248] = "Anima",
			[365737] = 100,
			[361493] = 100,
			[365741] = 100,
			[365753] = 100,
			[365755] = 100,
			[365757] = 100,
			[365782] = 100,
			[365787] = 100,
			[365792] = 100,
			[363374] = 203,
			[359977] = 806,
			[359951] = 806,
			[360120] = 100,
			[360121] = 100,
			[360122] = 100,
			[360511] = 106,
			[360283] = 202,
			[359037] = 203,
			[359244] = 106,
			[360173] = 106,
			[360777] = 203,
			[364871] = 203,
			[366333] = 106,
			[365614] = 106,
			[362450] = 106,
			[361979] = 106,
			[364301] = 106,
			[364213] = 106,
			[359128] = 106,
			[361753] = 106,
			[363120] = 100,
			[126180] = 911,
			[47939] = 100,
			[66795] = 100,
			[105518] = 100,
			[323998] = 100,
			[333260] = 100,
			[362446] = 203,
			["Locus Shift"] = 106,
			[367894] = 203,
			[361272] = 100,
			[363865] = 100,
			[365986] = 100,
			[363912] = 100,
			[363152] = 106,
			[312977] = 202,
			[321129] = 100,
			[338670] = 411,
			[338294] = 202,
			[307934] = 100,
			[314080] = 100,
			[327406] = 326,
			[368875] = 806,
			[368788] = 8,
			[368518] = 100,
			[367764] = 100,
			[367727] = 100,
			[349396] = 111,
			[368182] = 201,
			[367963] = 326,
			[349567] = 100,
			[250081] = 100,
			[291234] = 800,
			[311360] = 202,
			[89520] = 100,
			[101054] = 4,
			[160654] = 646,
			[362933] = 106,
			[345276] = 203, -- Releasing Souls
			[345277] = 203, -- Releasing Souls
			[345278] = 203, -- Releasing Souls
			[348836] = 203, -- Releasing Souls
			[348837] = 203, -- Releasing Souls
			[348838] = 203, -- Releasing Souls
			[348839] = 203, -- Releasing Souls
			[348840] = 203, -- Releasing Souls
			[348841] = 203, -- Releasing Souls
			[348842] = 203, -- Releasing Souls
			[348843] = 203, -- Releasing Souls
			[348844] = 203, -- Releasing Souls
			[348845] = 203, -- Releasing Souls
			[348846] = 203, -- Releasing Souls
			[348847] = 203, -- Releasing Souls
			[348848] = 203, -- Releasing Souls
			[367488] = 106,
			[253830] = 200, -- Calling Battlesuit
			[253936] = 200, -- Calling Battlesuit
			[208171] = 100,
			[184693] = 100,
			[180247] = 100,
			[206548] = 640,
			[206807] = 640,
			[207158] = 202,
			[207583] = 8,
			[302018] = 100,
			[344041] = 100,
			[340145] = 100,
			[266256] = 720,
			[266245] = 720,
			[266252] = 720,
			[266253] = 720,
			[266257] = 720,
			[106299] = 811,
			[123545] = 114,
			[123602] = 114,
			[123542] = 114,
			[123729] = 4,
			[293884] = 8,
			[290695] = 100,
			[53061] = 100,
			[54574] = 415,
			[54567] = 415,
			[53173] = 111,
			[71914] = 801,
			[79751] = 5,
			[79781] = 999,
			[80101] = 112,
			[371279] = 415,
			[371323] = 415,
			[6609] = 801,
			[5666] = 8,
			[10617] = 720,
			[69453] = 111,
			[73123] = 100,
			[73108] = 100,
			[184227] = 100,
			[31614] = 100,
			[350831] = 202,
			[342222] = 111,
			[343833] = 100,
			[339467] = 100,
			[347226] = 909,
			[326008] = 111,
			[337100] = 100,
			[337276] = 201,
			[337395] = 201,
			[337221] = 201,
			[337383] = 201,
			[337387] = 201,
			[316868] = 100,
			[350637] = 203,
			[340606] = 321,
			[318029] = 100,
			[340181] = 100,
			[333367] = 321,
			[321450] = 100,
			[356547] = 100,
			[359493] = 114,
			[338472] = 100,
			[81515] = 100,
			[81776] = 100,
			[339746] = 100,
			[339680] = 100,
			[339634] = 100,
			[340101] = 900,
			[339465] = 202,
			[314497] = 415,
			[370616] = 100,
			[370937] = 100,
			[338745] = 111,
			[80887] = 100,
			[310202] = 100,
			[271399] = 204,
			[264918] = 107,
			[371089] = 100,
			[379034] = 403,
			--qqq

			--! Ascension Crafting
			[328321] = 201, -- Overcharged Goliath Core
			[328680] = 201, -- Soul Mirror
			[333530] = 201, -- Anointment Oil
			[333533] = 201, -- Heartpiercer Javelin
			[333535] = 201, -- Fountain of Rejuvenation
			[333545] = 201, -- Catalyst of Creation
			[333546] = 201, -- Praetor Resonance Beacon
			[333547] = 201, -- Soulseeker Crystal
			[333548] = 201, -- Ashfallen Key
			[333549] = 201, -- Humility's Guard
			[335705] = 201, -- Sigil of Haunting Memories
			[342503] = 201, -- Skystrider Glider
			[342521] = 201, -- Empyrean Refreshment
			[345713] = 201, -- Kyrian Smith's Kit
			[345757] = 201, -- Steward Mail Pouch
			[345760] = 201, -- Gilded Abacus
			[345786] = 201, -- Artisan Tool Belt
			[345894] = 201, -- Medallion of Service
			[345916] = 201, -- Vesper of Calling
			[333220] = 201, -- Charm of Fortitude
			[335596] = 201, -- Charm of Alacrity
			[335603] = 201, -- Charm of Persistence
			[335619] = 201, -- Charm of Discord
			[335626] = 201, -- Charm of Focus
			[335849] = 201, -- Charm of Energizing (Unused?)
			[338384] = 201, -- Charm of Quickness
			[333209] = 201, -- Herald's Footpads
			[333230] = 201, -- Deep Echo Trident
			[333362] = 201, -- Vial of Lichfrost
			[333372] = 201, -- Phial of Serenity
			[333374] = 201, -- Spiritforged Aegis
			[345978] = 201, -- Ring of Warding


			--! Protoform Synthesis
			[365068] = 106, -- Adorned Vombata
			[364527] = 106, -- Ambystan Darter
			[364571] = 106, -- Archetype of Animation
			[364580] = 106, -- Archetype of Cunning
			[363894] = 106, -- Archetype of Discovery
			[364572] = 106, -- Archetype of Focus
			[364585] = 106, -- Archetype of Malice
			[364549] = 106, -- Archetype of Metamorphosis
			[364568] = 106, -- Archetype of Motion
			[364576] = 106, -- Archetype of Multiplicity
			[364581] = 106, -- Archetype of Predation
			[364573] = 106, -- Archetype of Renewal
			[364570] = 106, -- Archetype of Satisfaction
			[364584] = 106, -- Archetype of Serenity
			[364551] = 106, -- Archetype of Survival
			[364578] = 106, -- Archetype of Vigilance
			[365073] = 106, -- Bronze Helicid
			[365047] = 106, -- Bronzewing Vespoid
			[365048] = 106, -- Buzz
			[365064] = 106, -- Curious Crystalsniffer
			[365065] = 106, -- Darkened Vombata
			[365045] = 106, -- Deathrunner
			[365050] = 106, -- Desertwing Hunter
			[364665] = 106, -- Fierce Scarabid
			[365049] = 106, -- Forged Spiteflyer
			[365055] = 106, -- Genesis Crawler
			[365058] = 106, -- Goldplate Bufonid
			[367704] = 106, -- Heartbond Lupine
			[365057] = 106, -- Ineffable Skitterer
			[364703] = 106, -- Leaping Leporid
			[365051] = 106, -- Mawdapted Raptora
			[364697] = 106, -- Microlicid
			[364679] = 106, -- Multichicken
			[364689] = 106, -- Omnipotential Core
			[365040] = 106, -- Pale Regal Cervid
			[365061] = 106, -- Patient Bufonid
			[364691] = 106, -- Prototickles
			[365062] = 106, -- Prototype Leaper
			[365052] = 106, -- Raptora Swooper
			[364690] = 106, -- Resonant Echo
			[365063] = 106, -- Russet Bufonid
			[365076] = 106, -- Scarlet Helicid
			[365072] = 106, -- Serenade
			[364698] = 106, -- Shelly
			[364688] = 106, -- Stabilized Geomental
			[365042] = 106, -- Sundered Zerethsteed
			[365056] = 106, -- Tarachnid Creeper
			[364695] = 106, -- Terror Jelly
			[364700] = 106, -- Tunneling Vombata
			[365074] = 106, -- Unsuccessful Prototype Fleetpod
			[365046] = 106, -- Vespoid Flutterer
			[364687] = 106, -- Violent Poultrid
			[364699] = 106, -- Viperid Menace

			--! Abominable Stitching
			[325284] = 326, -- Construct Body: "Chordy"
			[325454] = 326, -- Construct Body: "Atticus"
			[325452] = 326, -- Construct Body: "Marz"
			[325451] = 326, -- Construct Body: "Roseboil"
			[325453] = 326, -- Construct Body: "Flytrap"
			[326406] = 326, -- Construct Body: "Professor"
			[338040] = 326, -- Construct Body: "Sabrina"
			[326407] = 326, -- Construct Body: "Toothpick"
			[326380] = 326, -- Construct Body: "Gas Bag"
			[338039] = 326, -- Construct Body: "Guillotine"
			[338037] = 326, -- Construct Body: "Iron Phillip"
			[338043] = 326, -- Construct Body: "Naxx"
			[326408] = 326, -- Construct Body: "Mama Tomalin"
			[325458] = 326, -- Construct Body: "Miru"
			[326379] = 326, -- Construct Body: "Neena"
			[326525] = 326, -- Call Chordy
			[327203] = 326, -- Call Atticus
			[327556] = 326, -- Call Marz
			[327580] = 326, -- Call Roseboil
			[327002] = 326, -- Call Flytrap
			[341181] = 326, -- Call Professor
			[339451] = 326, -- Call Sabrina
			[340465] = 326, -- Call Toothpick
			[340882] = 326, -- Call Gas Bag
			[340839] = 326, -- Call Guillotine
			[340340] = 326, -- Call Iron Phillip
			[340841] = 326, -- Call Naxx
			[326903] = 326, -- Anima-bound Wraps
			[338052] = 326, -- Bonesewn Fleshroc
			[327091] = 326, -- Abominable Backup
			[331403] = 326, -- Lil' Eddie

			--! Junkyard Tinkering
			[291524] = 100, -- Scrap Trap
			[291598] = 100, -- 500S-Cybergenic Powercore
			[291601] = 100, -- Emergency Repair Kit
			[291788] = 100, -- Vaultbot Key
			[291789] = 100, -- Rustbolt Gramophone
			[291869] = 100, -- Mechano-Treat
			[291987] = 100, -- Ultrasafe Transporter: Mechagon
			[292372] = 100, -- Pascal-K1N6's Proprietary Gizmo-matic
			[293394] = 100, -- Hundred-Fathom Lure
			[294193] = 100, -- Mechanocat Laser Pointer
			[294360] = 100, -- Canned Minnows
			[294420] = 100, -- G99.99 Landshark
			[295288] = 100, -- Rustbolt Kegerator
			[295290] = 100, -- Scrap Grenade
			[295362] = 100, -- Beastbot Powerpack
			[296386] = 100, -- Encrypted Radio Receiver
			[296595] = 100, -- BAWLD-371
			[298134] = 100, -- Protocol Transference Device
			[298136] = 100, -- Emergency Rocket Chicken
			[298137] = 100, -- Battle Box
			[298138] = 100, -- Rustbolt Resistance Insignia
			[298140] = 100, -- Rustbolt Requisitions
			[298141] = 100, -- Subroutine: Optimization
			[299186] = 100, -- Experimental Adventurer Augment
			[299411] = 100, -- Holographic Digitalization Hearthstone
			[299864] = 100, -- Advanced Adventurer Augment
			[299952] = 100, -- Extraordinary Adventurer Augment
			[300122] = 100, -- Scrapmaster's Blowtorch
			[300265] = 100, -- Personal Time Displacer
			[300266] = 817, -- Orange Spraybot
			[300267] = 815, -- Green Spraybot
			[300268] = 814, -- Blue Spraybot
			[300269] = 100, -- Utility Mechanoclaw
			[300270] = 100, -- Microbot XD
			[300271] = 204, -- Perfectly Timed Differential
			[300272] = 100, -- Anti-Gravity Pack
			[300273] = 100, -- Rustbolt Pocket Turret
			[300274] = 100, -- Annoy-o-Tron Gang
			[300275] = 100, -- Encrypted Black Market Radio
			[300277] = 100, -- Re-Procedurally Generated Punchcard
			[300278] = 800, -- Galvanic Oscillator
			[300279] = 100, -- Chain Ignitercoils
			[300291] = 100, -- S.P.A.R.E. Crate
			[303000] = 100, -- Sapphronetta Flivvers Action Figure
			[344797] = 100, -- Underpowered Gravity Pack

			--! Alchemy

			--"Mana"	Mana
			--321		Health
			--64		Rejuvenation

			--115		Agility
			--117		Strength
			--118		Intellect
			--818		Stamina

			--910		Armor
			--817		Critical Strike
			--816		Haste
			--813		Mastery
			--814		Versatility

			--820		Power
			--10		Mending

			--646		Transmutation

			--720		Invisibility
			--104		Movement Speed
			--65		Stealth/Detection
			--323		Living Action
			--202		Dispel
			--906		Anti-Venom

			-- Shadowlands
			[338204] = 281, -- Bramblethorn Juice
			[338199] = 281, -- Brutal Oil
			[338200] = 415, -- Crushed Bones
			[338195] = 281, -- Distilled Resolve
			[338198] = 281, -- Draught of Grotesque Strength
			[338202] = 321, -- Elixir of Humility
			[338194] = 201, -- Flask of Measured Discipline
			[338191] = 118, -- Liquid Sleep
			[338190] = 999, -- Potion of Hibernal Rest
			[338192] = 805, -- Powdered Dreamroot
			[338196] = 107, -- Pulverized Breezebloom
			[338203] = 321, -- Refined Submission
			[359673] = 114, -- Crafter's Mark of the First Ones
			[359666] = 114, -- Crafter's Mark IV
			[343676] = 114, -- Crafter's Mark of the Chained Isle
			[343677] = 114, -- Crafter's Mark III
			[343678] = 114, -- Crafter's Mark II
			[307087] = 281, -- Eternal Cauldron
			[307143] = 646, -- Shadestone
			[307142] = 646, -- Shadowghast Ingot
			[307200] = 646, -- Spiritual Alchemy Stone
			[307144] = 646, -- Stones to Ore
			[359870] = 321, -- Cosmic Healing Potion
			[307101] = 281, -- Spectral Flask of Power
			[307103] = 818, -- Spectral Flask of Stamina
			[307093] = 115, -- Potion of Spectral Agility
			[307096] = 118, -- Potion of Spectral Intellect
			[307097] = 321, -- Potion of Spectral Stamina
			[307098] = 117, -- Potion of Spectral Strength
			[343679] = 114, -- Crafter's Mark I
			[307384] = 820, -- Potion of Deathly Fixation
			[307381] = 820, -- Potion of Empowered Exorcisms
			[307383] = 10, -- Potion of Divine Awakening
			[307382] = 280, -- Potion of Phantom Fire
			[343675] = 114, -- Novice Crafter's Mark
			[322301] = 321, -- Potion of Sacrificial Anima
			[307122] = 813, -- Ground Widowbloom
			[307094] = 910, -- Potion of Hardened Shadows
			[307095] = "Mana", -- Potion of Spiritual Clarity
			[344316] = 104, -- Potion of the Psychopomp's Speed
			[354885] = 815, -- Blossom Burst
			[354881] = 816, -- Glory Burst
			[354880] = 812, -- Marrow Burst
			[354884] = 817, -- Torch Burst
			[354882] = 813, -- Widow Burst
			[360014] = 281, -- Infusion: Corpse Purification
			[360318] = 999, -- Sustaining Armor Polish
			[307121] = 817, -- Ground Vigil's Torch
			[256133] = 326, -- Potion of Specter Swiftness
			[307125] = 814, -- Ground Nightshade
			[256134] = 202, -- Potion of Soul Purity
			[342887] = 323, -- Potion of Unhindered Passing
			[295084] = 65, -- Potion of Shaded Sight
			[307123] = 812, -- Ground Marrowroot
			[261424] = 720, -- Potion of the Hidden Spirit
			[307124] = 816, -- Ground Rising Glory
			[307120] = 815, -- Ground Death Blossom
			[307119] = 281, -- Embalmer's Oil
			[307118] = 281, -- Shadowcore Oil
			[307100] = 906, -- Spiritual Anti-Venom
			[261423] = 64, -- Spiritual Rejuvenation Potion
			[334413] = 202, -- Red Noggin Candle
			[301578] = 321, -- Spiritual Healing Potion
			[301683] = "Mana", -- Spiritual Mana Potion
			-- Kul Tiras/Zandalar
			[298995] = 646, -- Abyssal Alchemist Stone
			[301312] = 321, -- Abyssal Healing Potion
			[301311] = 321, -- Abyssal Healing Potion
			[301310] = 321, -- Abyssal Healing Potion
			[287234] = 801, -- Aqueous Dilution
			[298997] = 646, -- Ascended Alchemist Stone
			[305993] = 646, -- Awakened Alchemist Stone
			[279161] = 115, -- Battle Potion of Agility
			[279160] = 115, -- Battle Potion of Agility
			[279159] = 115, -- Battle Potion of Agility
			[279164] = 118, -- Battle Potion of Intellect
			[279163] = 118, -- Battle Potion of Intellect
			[279162] = 118, -- Battle Potion of Intellect
			[279167] = 818, -- Battle Potion of Stamina
			[279166] = 818, -- Battle Potion of Stamina
			[279165] = 818, -- Battle Potion of Stamina
			[279170] = 117, -- Battle Potion of Strength
			[279169] = 117, -- Battle Potion of Strength
			[279168] = 117, -- Battle Potion of Strength
			[252384] = 321, -- Coastal Healing Potion
			[252383] = 321, -- Coastal Healing Potion
			[252382] = 321, -- Coastal Healing Potion
			[252387] = "Mana", -- Coastal Mana Potion
			[252386] = "Mana", -- Coastal Mana Potion
			[252385] = "Mana", -- Coastal Mana Potion
			[252390] = 64, -- Coastal Rejuvenation Potion
			[252389] = 64, -- Coastal Rejuvenation Potion
			[252388] = 64, -- Coastal Rejuvenation Potion
			[298996] = 646, -- Crushing Alchemist Stone
			[252393] = 720, -- Demitri's Draught of Deception
			[252392] = 720, -- Demitri's Draught of Deception
			[252391] = 720, -- Demitri's Draught of Deception
			[291086] = 646, -- Emblazoned Alchemist Stone
			[252378] = 646, -- Endless Tincture of Fractional Power
			[252377] = 646, -- Endless Tincture of Fractional Power
			[252376] = 646, -- Endless Tincture of Fractional Power
			[252363] = 646, -- Endless Tincture of Renewed Combat
			[252362] = 646, -- Endless Tincture of Renewed Combat
			[252361] = 646, -- Endless Tincture of Renewed Combat
			[286923] = 646, -- Eternal Alchemist Stone
			[252353] = 118, -- Flask of Endless Fathoms
			[252352] = 118, -- Flask of Endless Fathoms
			[252351] = 118, -- Flask of Endless Fathoms
			[252350] = 115, -- Flask of the Currents
			[252349] = 115, -- Flask of the Currents
			[252348] = 115, -- Flask of the Currents
			[252359] = 117, -- Flask of the Undertow
			[252358] = 117, -- Flask of the Undertow
			[252357] = 117, -- Flask of the Undertow
			[252356] = 818, -- Flask of the Vast Horizon
			[252355] = 818, -- Flask of the Vast Horizon
			[252354] = 818, -- Flask of the Vast Horizon
			[298847] = 118, -- Greater Flask of Endless Fathoms
			[298848] = 118, -- Greater Flask of Endless Fathoms
			[298846] = 118, -- Greater Flask of Endless Fathoms
			[298843] = 115, -- Greater Flask of the Currents
			[298845] = 115, -- Greater Flask of the Currents
			[298842] = 115, -- Greater Flask of the Currents
			[298854] = 117, -- Greater Flask of the Undertow
			[298855] = 117, -- Greater Flask of the Undertow
			[298853] = 117, -- Greater Flask of the Undertow
			[298851] = 818, -- Greater Flask of the Vast Horizon
			[298852] = 818, -- Greater Flask of the Vast Horizon
			[298850] = 818, -- Greater Flask of the Vast Horizon
			[298862] = 281, -- Greater Mystical Cauldron
			[298863] = 281, -- Greater Mystical Cauldron
			[298864] = 281, -- Greater Mystical Cauldron
			[291085] = 646, -- Imbued Alchemist Stone
			[252396] = 104, -- Lightfoot Potion
			[252395] = 104, -- Lightfoot Potion
			[252394] = 104, -- Lightfoot Potion
			[276975] = 281, -- Mystical Cauldron
			[276976] = 281, -- Mystical Cauldron
			[276977] = 281, -- Mystical Cauldron
			[305992] = 646, -- Peerless Alchemist Stone
			[252343] = 820, -- Potion of Bursting Blood
			[252342] = 820, -- Potion of Bursting Blood
			[252341] = 820, -- Potion of Bursting Blood
			[252402] = 65, -- Potion of Concealment
			[252401] = 65, -- Potion of Concealment
			[252400] = 65, -- Potion of Concealment
			[298728] = 820, -- Potion of Empowered Proximity
			[298727] = 820, -- Potion of Empowered Proximity
			[298726] = 820, -- Potion of Empowered Proximity
			[298746] = 820, -- Potion of Focused Resolve
			[298745] = 820, -- Potion of Focused Resolve
			[298744] = 820, -- Potion of Focused Resolve
			[278420] = 281, -- Potion of Herb Tracking
			[252340] = "Mana", -- Potion of Replenishment
			[252339] = "Mana", -- Potion of Replenishment
			[252337] = "Mana", -- Potion of Replenishment
			[252346] = 820, -- Potion of Rising Death
			[252345] = 820, -- Potion of Rising Death
			[252344] = 820, -- Potion of Rising Death
			[287449] = 65, -- Potion of the Unveiling Eye
			[287448] = 65, -- Potion of the Unveiling Eye
			[287447] = 65, -- Potion of the Unveiling Eye
			[300751] = 820, -- Potion of Unbridled Fury
			[300750] = 820, -- Potion of Unbridled Fury
			[300749] = 820, -- Potion of Unbridled Fury
			[300754] = 10, -- Potion of Wild Mending
			[300753] = 10, -- Potion of Wild Mending
			[300752] = 10, -- Potion of Wild Mending
			[291084] = 646, -- Sanguinated Alchemist Stone
			[286630] = 412, -- Sanguinated Dilution
			[252399] = 802, -- Sea Mist Potion
			[252398] = 802, -- Sea Mist Potion
			[252397] = 802, -- Sea Mist Potion
			[260403] = 646, -- Silas' Sphere of Transmutation
			[252370] = 646, -- Siren's Alchemist Stone
			[252369] = 646, -- Siren's Alchemist Stone
			[252368] = 646, -- Siren's Alchemist Stone
			[286922] = 646, -- Spirited Alchemist Stone
			[252336] = 910, -- Steelskin Potion
			[252335] = 910, -- Steelskin Potion
			[252334] = 910, -- Steelskin Potion
			[298731] = 115, -- Superior Battle Potion of Agility
			[298730] = 115, -- Superior Battle Potion of Agility
			[298729] = 115, -- Superior Battle Potion of Agility
			[298743] = 118, -- Superior Battle Potion of Intellect
			[298742] = 118, -- Superior Battle Potion of Intellect
			[298741] = 118, -- Superior Battle Potion of Intellect
			[298749] = 818, -- Superior Battle Potion of Stamina
			[298748] = 818, -- Superior Battle Potion of Stamina
			[298747] = 818, -- Superior Battle Potion of Stamina
			[298752] = 117, -- Superior Battle Potion of Strength
			[298751] = 117, -- Superior Battle Potion of Strength
			[298750] = 117, -- Superior Battle Potion of Strength
			[298736] = 910, -- Superior Steelskin Potion
			[298735] = 910, -- Superior Steelskin Potion
			[298734] = 910, -- Superior Steelskin Potion
			[252381] = 646, -- Surging Alchemist Stone
			[252380] = 646, -- Surging Alchemist Stone
			[252379] = 646, -- Surging Alchemist Stone
			[286921] = 646, -- Tidal Alchemist Stone
			[251314] = 646, -- Transmute: Cloth to Skins
			[251832] = 646, -- Transmute: Expulsom
			[251822] = 646, -- Transmute: Fish to Gems
			[286547] = 646, -- Transmute: Herbs to Anchors
			[251306] = 646, -- Transmute: Herbs to Cloth
			[251305] = 646, -- Transmute: Herbs to Ore
			[251808] = 646, -- Transmute: Meat to Pet
			[251310] = 646, -- Transmute: Ore to Cloth
			[251311] = 646, -- Transmute: Ore to Gems
			[251309] = 646, -- Transmute: Ore to Herbs
			[305994] = 646, -- Unbound Alchemist Stone
			[287288] = 646, -- Vial of Obfuscation
			[307172] = 320, -- Void Focus
			-- Broken Isles
			[188300] = 321, -- Ancient Healing Potion
			[188299] = 321, -- Ancient Healing Potion
			[188297] = 321, -- Ancient Healing Potion
			[188303] = "Mana", -- Ancient Mana Potion
			[188302] = "Mana", -- Ancient Mana Potion
			[188301] = "Mana", -- Ancient Mana Potion
			[188306] = 64, -- Ancient Rejuvenation Potion
			[188305] = 64, -- Ancient Rejuvenation Potion
			[188304] = 64, -- Ancient Rejuvenation Potion
			[247694] = 646, -- Astral Alchemist Stone
			[247695] = 646, -- Astral Alchemist Stone
			[247696] = 646, -- Astral Alchemist Stone
			[251658] = 321, -- Astral Healing Potion
			[251651] = 321, -- Astral Healing Potion
			[251646] = 321, -- Astral Healing Potion
			[188315] = 803, -- Avalanche Elixir
			[188314] = 803, -- Avalanche Elixir
			[188313] = 803, -- Avalanche Elixir
			[188309] = 126, -- Draught of Raw Magic
			[188308] = 126, -- Draught of Raw Magic
			[188307] = 126, -- Draught of Raw Magic
			[188348] = 818, -- Flask of Ten Thousand Scars
			[188347] = 818, -- Flask of Ten Thousand Scars
			[188346] = 818, -- Flask of Ten Thousand Scars
			[188345] = 117, -- Flask of the Countless Armies
			[188344] = 117, -- Flask of the Countless Armies
			[188343] = 117, -- Flask of the Countless Armies
			[188342] = 115, -- Flask of the Seventh Demon
			[188341] = 115, -- Flask of the Seventh Demon
			[188340] = 115, -- Flask of the Seventh Demon
			[188339] = 118, -- Flask of the Whispered Pact
			[188338] = 118, -- Flask of the Whispered Pact
			[188337] = 118, -- Flask of the Whispered Pact
			[188324] = 646, -- Infernal Alchemist Stone
			[188323] = 646, -- Infernal Alchemist Stone
			[188322] = 646, -- Infernal Alchemist Stone
			[188336] = "Mana", -- Leytorrent Potion
			[188335] = "Mana", -- Leytorrent Potion
			[188334] = "Mana", -- Leytorrent Potion
			[247619] = 200, -- Lightblood Elixir
			[247620] = 200, -- Lightblood Elixir
			[247622] = 200, -- Lightblood Elixir
			[188327] = 820, -- Potion of Deadly Grace
			[188326] = 820, -- Potion of Deadly Grace
			[188325] = 820, -- Potion of Deadly Grace
			[229220] = 820, -- Potion of Prolonged Power
			[229218] = 820, -- Potion of Prolonged Power
			[229217] = 820, -- Potion of Prolonged Power
			[188330] = 117, -- Potion of the Old War
			[188329] = 117, -- Potion of the Old War
			[188328] = 117, -- Potion of the Old War
			[221690] = 202, -- Silvery Salve
			[188318] = 720, -- Skaggldrynk
			[188317] = 720, -- Skaggldrynk
			[188316] = 720, -- Skaggldrynk
			[188321] = 104, -- Skystep Potion
			[188320] = 104, -- Skystep Potion
			[188319] = 104, -- Skystep Potion
			[188351] = 281, -- Spirit Cauldron
			[188350] = 281, -- Spirit Cauldron
			[188349] = 281, -- Spirit Cauldron
			[188312] = 8, -- Sylvan Elixir
			[188311] = 8, -- Sylvan Elixir
			[188310] = 8, -- Sylvan Elixir
			[247688] = 4, -- Tears of the Naaru
			[247690] = 4, -- Tears of the Naaru
			[247691] = 4, -- Tears of the Naaru
			[213257] = 646, -- Transmute: Blood of Sargeras
			[213252] = 646, -- Transmute: Cloth to Herbs
			[213249] = 646, -- Transmute: Cloth to Skins
			[213254] = 646, -- Transmute: Fish to Gems
			[213255] = 646, -- Transmute: Meat to Pants
			[213256] = 646, -- Transmute: Meat to Pet
			[213248] = 646, -- Transmute: Ore to Cloth
			[213251] = 646, -- Transmute: Ore to Herbs
			[247701] = 646, -- Transmute: Primal Sargerite
			[213253] = 646, -- Transmute: Skins to Herbs
			[213250] = 646, -- Transmute: Skins to Ore
			[188333] = 910, -- Unbending Potion
			[188332] = 910, -- Unbending Potion
			[188331] = 910, -- Unbending Potion
			[188800] = 646, -- Wild Transmutation
			[188801] = 646, -- Wild Transmutation
			[188802] = 646, -- Wild Transmutation
			-- Draenor
			[156587] = 281, -- Alchemical Catalyst
			[172541] = 906, -- Blackwater Anti-Venom
			[156585] = 281, -- Crescent Oil
			[156561] = 115, -- Draenic Agility Flask
			[156577] = 115, -- Draenic Agility Potion
			[156581] = "Mana", -- Draenic Channeled Mana Potion
			[156563] = 118, -- Draenic Intellect Flask
			[156578] = 118, -- Draenic Intellect Potion
			[175865] = 720, -- Draenic Invisibility Potion
			[175867] = 323, -- Draenic Living Action Potion
			[156582] = "Mana", -- Draenic Mana Potion
			[156560] = 646, -- Draenic Philosopher's Stone
			[156584] = 64, -- Draenic Rejuvenation Potion
			[156568] = 818, -- Draenic Stamina Flask
			[156564] = 117, -- Draenic Strength Flask
			[156579] = 117, -- Draenic Strength Potion
			[175853] = 104, -- Draenic Swiftness Potion
			[156580] = 814, -- Draenic Versatility Potion
			[175866] = 801, -- Draenic Water Breathing Elixir
			[175869] = 811, -- Draenic Water Walking Elixir
			[172542] = 202, -- Fire Ammonite Oil
			[156569] = 115, -- Greater Draenic Agility Flask
			[156571] = 118, -- Greater Draenic Intellect Flask
			[156576] = 818, -- Greater Draenic Stamina Flask
			[156572] = 117, -- Greater Draenic Strength Flask
			[172540] = 321, -- Healing Tonic
			[175868] = "Rage", -- Pure Rage Potion
			[175880] = 114, -- Secrets of Draenor Alchemy
			[181650] = 646, -- Stone of Fire
			[181648] = 646, -- Stone of the Earth
			[181649] = 646, -- Stone of the Waters
			[181647] = 646, -- Stone of Wind
			[162403] = 646, -- Transmorphic Tincture
			[181643] = 646, -- Transmute: Savage Blood
			[181637] = 646, -- Transmute: Sorcerous Air to Earth
			[181633] = 646, -- Transmute: Sorcerous Air to Fire
			[181636] = 646, -- Transmute: Sorcerous Air to Water
			[181631] = 646, -- Transmute: Sorcerous Earth to Air
			[181632] = 646, -- Transmute: Sorcerous Earth to Fire
			[181635] = 646, -- Transmute: Sorcerous Earth to Water
			[181627] = 646, -- Transmute: Sorcerous Fire to Air
			[181625] = 646, -- Transmute: Sorcerous Fire to Earth
			[181628] = 646, -- Transmute: Sorcerous Fire to Water
			[181630] = 646, -- Transmute: Sorcerous Water to Air
			[181629] = 646, -- Transmute: Sorcerous Water to Earth
			[181634] = 646, -- Transmute: Sorcerous Water to Fire
			-- Pandaria
			[114751] = 64, -- Alchemist's Rejuvenation
			[114774] = 104, -- Darkwater Potion
			[114761] = 999, -- Desecrated Oil
			[114763] = 120, -- Elixir of Mirrors
			[114764] = 814, -- Elixir of Peace
			[114762] = 817, -- Elixir of Perfection
			[114759] = 816, -- Elixir of the Rapids
			[114756] = 817, -- Elixir of Weaponry
			[114772] = 814, -- Flask of Falling Leaves
			[114769] = 115, -- Flask of Spring Blossoms
			[114770] = 818, -- Flask of the Earth
			[114771] = 818, -- Flask of the Warm Sun
			[114773] = 117, -- Flask of Winter's Bite
			[114754] = 817, -- Mad Hozen Elixir
			[114755] = 910, -- Mantid Elixir
			[114752] = 321, -- Master Healing Potion
			[114775] = "Mana", -- Master Mana Potion
			[114758] = 813, -- Monk's Elixir
			[114782] = "Mana", -- Potion of Focus
			[114779] = "Tapped", -- Potion of Luck
			[114760] = 117, -- Potion of Mogu Power
			[114757] = 118, -- Potion of the Jade Serpent
			[114753] = 910, -- Potion of the Mountains
			[130326] = 646, -- Riddle of Steel
			[114777] = 646, -- Transmute: Imperial Amethyst
			[114780] = 646, -- Transmute: Living Steel
			[114781] = 646, -- Transmute: Primal Diamond
			[114784] = 646, -- Transmute: Primordial Ruby
			[114766] = 646, -- Transmute: River's Heart
			[114778] = 646, -- Transmute: Sun's Radiance
			[114783] = 646, -- Transmute: Trillium Bar
			[114776] = 646, -- Transmute: Vermilion Onyx
			[114767] = 646, -- Transmute: Wild Jade
			[114765] = 115, -- Virmen's Bite
			[136197] = 646, -- Zen Alchemist Stone
			-- Cataclysm
			[92688] = 281, -- Big Cauldron of Battle
			[92643] = 281, -- Cauldron of Battle
			[80479] = 806, -- Deathblood Venom
			[80486] = 281, -- Deepstone Oil
			[93935] = 64, -- Draught of War
			[80478] = 910, -- Earthen Potion
			[80488] = 910, -- Elixir of Deep Earth
			[80491] = 817, -- Elixir of Impossible Accuracy
			[80493] = 816, -- Elixir of Mighty Speed
			[80484] = 817, -- Elixir of the Cobra
			[80497] = 813, -- Elixir of the Master
			[80480] = 817, -- Elixir of the Naga
			[94162] = 814, -- Flask of Flowing Water
			[80719] = 818, -- Flask of Steelskin
			[80720] = 118, -- Flask of the Draconic Mind
			[80721] = 115, -- Flask of the Winds
			[80723] = 117, -- Flask of Titanic Strength
			[80477] = 814, -- Ghost Elixir
			[80496] = 117, -- Golemblood Potion
			[80508] = 646, -- Lifebound Alchemist Stone
			[80490] = 64, -- Mighty Rejuvenation Potion
			[80487] = 64, -- Mysterious Potion
			[80498] = 321, -- Mythical Healing Potion
			[80494] = "Mana", -- Mythical Mana Potion
			[80482] = "Mana", -- Potion of Concentration
			[80725] = 803, -- Potion of Deepholm
			[80269] = 646, -- Potion of Illusion
			[80495] = 115, -- Potion of the Tol'vir
			[80726] = 281, -- Potion of Treasure Finding
			[80492] = 910, -- Prismatic Elixir
			[96253] = 646, -- Quicksilver Alchemist Stone
			[80247] = 646, -- Transmute: Amberjewel
			[80248] = 646, -- Transmute: Demonseye
			[80251] = 646, -- Transmute: Dream Emerald
			[80250] = 646, -- Transmute: Ember Topaz
			[80245] = 646, -- Transmute: Inferno Ruby
			[78866] = 646, -- Transmute: Living Elements
			[80246] = 646, -- Transmute: Ocean Sapphire
			[80244] = 646, -- Transmute: Pyrium Bar
			[80237] = 646, -- Transmute: Shadowspirit Diamond
			[80243] = 646, -- Transmute: Truegold
			[93328] = 641, -- Vial of the Sands
			[96254] = 646, -- Vibrant Alchemist Stone
			[96252] = 646, -- Volatile Alchemist Stone
			[80481] = 118, -- Volcanic Potion
			-- Northrend
			[53895] = 64, -- Crazy Alchemist's Potion
			[60354] = 817, -- Elixir of Accuracy
			[60365] = 115, -- Elixir of Armor Piercing
			[60355] = 817, -- Elixir of Deadly Strikes
			[60357] = 816, -- Elixir of Expertise
			[60366] = 816, -- Elixir of Lightning Speed
			[53840] = 115, -- Elixir of Mighty Agility
			[60356] = 910, -- Elixir of Mighty Defense
			[53898] = 818, -- Elixir of Mighty Fortitude
			[56519] = 814, -- Elixir of Mighty Mageblood
			[54218] = 117, -- Elixir of Mighty Strength
			[60367] = 118, -- Elixir of Mighty Thoughts
			[54220] = 910, -- Elixir of Protection
			[53847] = 814, -- Elixir of Spirit
			[62410] = 811, -- Elixir of Water Walking
			[58871] = 321, -- Endless Healing Potion
			[58868] = "Mana", -- Endless Mana Potion
			[62409] = 281, -- Ethereal Oil
			[53903] = 117, -- Flask of Endless Rage
			[54213] = 814, -- Flask of Pure Mojo
			[53902] = 818, -- Flask of Stoneblood
			[53901] = 118, -- Flask of the Frost Wyrm
			[53848] = 820, -- Guru's Elixir
			[53839] = "Mana", -- Icy Mana Potion
			[60403] = 646, -- Indestructible Alchemist Stone
			[53905] = 910, -- Indestructible Potion
			[53899] = 910, -- Lesser Flask of Toughness
			[60396] = 646, -- Mercurial Alchemist Stone
			[60405] = 646, -- Mighty Alchemist Stone
			[53936] = 64, -- Mighty Arcane Protection Potion
			[53939] = 4, -- Mighty Fire Protection Potion
			[53937] = 16, -- Mighty Frost Protection Potion
			[53942] = 8, -- Mighty Nature Protection Potion
			[53938] = 32, -- Mighty Shadow Protection Potion
			[60893] = 281, -- Northrend Alchemy Research
			[53900] = "Mana", -- Potion of Nightmares
			[54221] = 816, -- Potion of Speed
			[54222] = 118, -- Potion of Wild Magic
			[53904] = 64, -- Powerful Rejuvenation Potion
			[53812] = 281, -- Pygmy Oil
			[53838] = 321, -- Resurgent Healing Potion
			[53836] = 321, -- Runic Healing Potion
			[53837] = "Mana", -- Runic Mana Potion
			[53842] = 118, -- Spellpower Elixir
			[66658] = 646, -- Transmute: Ametrine
			[66659] = 646, -- Transmute: Cardinal Ruby
			[66662] = 646, -- Transmute: Dreadstone
			[57427] = 646, -- Transmute: Earthsiege Diamond
			[53777] = 646, -- Transmute: Eternal Air to Earth
			[53776] = 646, -- Transmute: Eternal Air to Water
			[53781] = 646, -- Transmute: Eternal Earth to Air
			[53782] = 646, -- Transmute: Eternal Earth to Shadow
			[53775] = 646, -- Transmute: Eternal Fire to Life
			[53774] = 646, -- Transmute: Eternal Fire to Water
			[53773] = 646, -- Transmute: Eternal Life to Fire
			[53771] = 646, -- Transmute: Eternal Life to Shadow
			[53779] = 646, -- Transmute: Eternal Shadow to Earth
			[53780] = 646, -- Transmute: Eternal Shadow to Life
			[53783] = 646, -- Transmute: Eternal Water to Air
			[53784] = 646, -- Transmute: Eternal Water to Fire
			[66664] = 646, -- Transmute: Eye of Zul
			[66660] = 646, -- Transmute: King's Amber
			[66663] = 646, -- Transmute: Majestic Zircon
			[57425] = 646, -- Transmute: Skyflare Diamond
			[60350] = 646, -- Transmute: Titanium
			[53841] = 117, -- Wrath Elixir
			-- Outland
			[33740] = 118, -- Adept's Elixir
			[17632] = 646, -- Alchemist Stone
			[47050] = 646, -- Assassin's Alchemist Stone
			[41458] = 64, -- Cauldron of Major Arcane Protection
			[41500] = 4, -- Cauldron of Major Fire Protection
			[41501] = 16, -- Cauldron of Major Frost Protection
			[41502] = 8, -- Cauldron of Major Nature Protection
			[41503] = 32, -- Cauldron of Major Shadow Protection
			[28565] = 118, -- Destruction Potion
			[39637] = 803, -- Earthen Elixir
			[28543] = 65, -- Elixir of Camouflage
			[39638] = 118, -- Elixir of Draenic Wisdom
			[28578] = 820, -- Elixir of Empowerment
			[28545] = 118, -- Elixir of Healing Power
			[39639] = 910, -- Elixir of Ironskin
			[28553] = 115, -- Elixir of Major Agility
			[28557] = 910, -- Elixir of Major Defense
			[28556] = 4, -- Elixir of Major Firepower
			[39636] = 818, -- Elixir of Major Fortitude
			[28549] = 16, -- Elixir of Major Frost Power
			[28570] = 814, -- Elixir of Major Mageblood
			[28558] = 32, -- Elixir of Major Shadow Power
			[28544] = 117, -- Elixir of Major Strength
			[33741] = 820, -- Elixir of Mastery
			[28552] = 65, -- Elixir of the Searching Eye
			[38961] = 118, -- Fel Mana Potion
			[38962] = 401, -- Fel Regeneration Potion
			[38960] = 117, -- Fel Strength Elixir
			[28590] = 66, -- Flask of Blinding Light
			[28587] = 818, -- Flask of Fortification
			[28588] = 814, -- Flask of Mighty Versatility
			[28591] = 36, -- Flask of Pure Death
			[28589] = 117, -- Flask of Relentless Assault
			[47046] = 646, -- Guardian's Alchemist Stone
			[28564] = 816, -- Haste Potion
			[28563] = 117, -- Heroic Potion
			[28550] = 117, -- Insane Strength Potion
			[28579] = 910, -- Ironshield Potion
			[45061] = 64, -- Mad Alchemist's Potion
			[28575] = 64, -- Major Arcane Protection Potion
			[28562] = "Mana", -- Major Dreamless Sleep Potion
			[28571] = 4, -- Major Fire Protection Potion
			[28572] = 16, -- Major Frost Protection Potion
			[28577] = 200, -- Major Holy Protection Potion
			[28573] = 8, -- Major Nature Protection Potion
			[28576] = 32, -- Major Shadow Protection Potion
			[38070] = 646, -- Mercurial Stone
			[33738] = 117, -- Onslaught Elixir
			[47049] = 646, -- Redeemer's Alchemist Stone
			[28554] = 65, -- Shrouding Potion
			[28546] = 65, -- Sneaking Potion
			[47048] = 646, -- Sorcerer's Alchemist Stone
			[28551] = 321, -- Super Healing Potion
			[28555] = "Mana", -- Super Mana Potion
			[28586] = 64, -- Super Rejuvenation Potion
			[32765] = 646, -- Transmute: Earthstorm Diamond
			[28566] = 646, -- Transmute: Primal Air to Fire
			[28585] = 646, -- Transmute: Primal Earth to Life
			[28567] = 646, -- Transmute: Primal Earth to Water
			[28568] = 646, -- Transmute: Primal Fire to Earth
			[28583] = 646, -- Transmute: Primal Fire to Mana
			[28584] = 646, -- Transmute: Primal Life to Earth
			[28582] = 646, -- Transmute: Primal Mana to Fire
			[29688] = 646, -- Transmute: Primal Might
			[28580] = 646, -- Transmute: Primal Shadow to Water
			[28569] = 646, -- Transmute: Primal Water to Air
			[28581] = 646, -- Transmute: Primal Water to Shadow
			[32766] = 646, -- Transmute: Skyfire Diamond
			[33733] = "Mana", -- Unstable Mana Potion
			[33732] = 321, -- Volatile Healing Potion
			-- Classic
			[114786] = 281, -- Alchemist's Flask
			[7934] = 906, -- Anti-Venom
			[11461] = 118, -- Arcane Elixir
			[7836] = 281, -- Blackmouth Oil
			[12609] = 65, -- Catseye Elixir
			[4508] = 321, -- Discolored Healing Potion
			[15833] = "Mana", -- Dreamless Sleep Potion
			[11449] = 115, -- Elixir of Agility
			[17557] = 117, -- Elixir of Brute Force
			[3177] = 910, -- Elixir of Defense
			[11477] = 117, -- Elixir of Demonslaying
			[11478] = 65, -- Elixir of Detect Demon
			[3453] = 65, -- Elixir of Detect Lesser Invisibility
			[11460] = 65, -- Elixir of Detect Undead
			[11468] = 721, -- Elixir of Dream Vision
			[7845] = 118, -- Elixir of Firepower
			[3450] = 818, -- Elixir of Fortitude
			[21923] = 16, -- Elixir of Frost Power
			[8240] = 117, -- Elixir of Giant Growth
			[11472] = 117, -- Elixir of Giants
			[11467] = 115, -- Elixir of Greater Agility
			[11450] = 910, -- Elixir of Greater Defense
			[26277] = 118, -- Elixir of Greater Firepower
			[11465] = 118, -- Elixir of Greater Intellect
			[22808] = 801, -- Elixir of Greater Water Breathing
			[2333] = 115, -- Elixir of Lesser Agility
			[2329] = 117, -- Elixir of Lion's Strength
			[63732] = 817, -- Elixir of Minor Accuracy
			[3230] = 115, -- Elixir of Minor Agility
			[7183] = 910, -- Elixir of Minor Defense
			[2334] = 818, -- Elixir of Minor Fortitude
			[3188] = 117, -- Elixir of Ogre's Strength
			[11476] = 32, -- Elixir of Shadow Power
			[17554] = 910, -- Elixir of Superior Defense
			[17571] = 115, -- Elixir of the Mongoose
			[17555] = 814, -- Elixir of the Sages
			[7179] = 801, -- Elixir of Water Breathing
			[3171] = 118, -- Elixir of Wisdom
			[7837] = 281, -- Fire Oil
			[7257] = 4, -- Fire Protection Potion
			[17636] = 118, -- Flask of Distilled Wisdom
			[17637] = 118, -- Flask of Supreme Power
			[17635] = 818, -- Flask of the Titans
			[6624] = 323, -- Free Action Potion
			[3454] = 16, -- Frost Oil
			[7258] = 16, -- Frost Protection Potion
			[11473] = 323, -- Ghost Dye
			[11466] = 325, -- Gift of Arthas
			[11456] = 281, -- Goblin Rocket Fuel
			[6618] = "Rage", -- Great Rage Potion
			[17573] = 118, -- Greater Arcane Elixir
			[17577] = 64, -- Greater Arcane Protection Potion
			[24366] = "Mana", -- Greater Dreamless Sleep Potion
			[17574] = 4, -- Greater Fire Protection Potion
			[17575] = 16, -- Greater Frost Protection Potion
			[7181] = 321, -- Greater Healing Potion
			[11448] = "Mana", -- Greater Mana Potion
			[17576] = 8, -- Greater Nature Protection Potion
			[17578] = 32, -- Greater Shadow Protection Potion
			[17570] = 910, -- Greater Stoneshield Potion
			[24266] = 281, -- Gurubashi Mojo Madness
			[3447] = 321, -- Healing Potion
			[7255] = 200, -- Holy Protection Potion
			[11464] = 720, -- Invisibility Potion
			[2337] = 321, -- Lesser Healing Potion
			[3448] = 720, -- Lesser Invisibility Potion
			[3173] = "Mana", -- Lesser Mana Potion
			[4942] = 910, -- Lesser Stoneshield Potion
			[3175] = 910, -- Limited Invulnerability Potion
			[24367] = 323, -- Living Action Potion
			[24365] = 814, -- Mageblood Elixir
			[17556] = 321, -- Major Healing Potion
			[17580] = "Mana", -- Major Mana Potion
			[22732] = 64, -- Major Rejuvenation Potion
			[3451] = 281, -- Major Troll's Blood Elixir
			[3452] = "Mana", -- Mana Potion
			[17552] = "Rage", -- Mighty Rage Potion
			[24368] = 10, -- Mighty Troll's Blood Elixir
			[2330] = 321, -- Minor Healing Potion
			[2331] = "Mana", -- Minor Mana Potion
			[2332] = 64, -- Minor Rejuvenation Potion
			[7259] = 8, -- Nature Protection Potion
			[11451] = 5, -- Oil of Immolation
			[11459] = 646, -- Philosopher's Stone
			[3174] = 906, -- Potion of Curing
			[17634] = 803, -- Potion of Petrification
			[23787] = 906, -- Powerful Anti-Venom
			[17572] = 202, -- Purification Potion
			[6617] = "Rage", -- Rage Potion
			[11452] = 202, -- Restorative Potion
			[3449] = 16, -- Shadow Oil
			[7256] = 32, -- Shadow Protection Potion
			[17551] = 281, -- Stonescale Oil
			[7935] = 906, -- Strong Anti-Venom
			[3176] = 281, -- Strong Troll's Blood Elixir
			[11457] = 321, -- Superior Healing Potion
			[17553] = "Mana", -- Superior Mana Potion
			[2335] = 104, -- Swiftness Potion
			[7841] = 801, -- Swim Speed Potion
			[17559] = 646, -- Transmute: Air to Fire
			[17187] = 646, -- Transmute: Arcanite
			[17566] = 646, -- Transmute: Earth to Life
			[17561] = 646, -- Transmute: Earth to Water
			[25146] = 646, -- Transmute: Elemental Fire
			[17560] = 646, -- Transmute: Fire to Earth
			[11479] = 646, -- Transmute: Iron to Gold
			[17565] = 646, -- Transmute: Life to Earth
			[11480] = 646, -- Transmute: Mithril to Truesilver
			[17563] = 646, -- Transmute: Undeath to Water
			[17562] = 646, -- Transmute: Water to Air
			[17564] = 646, -- Transmute: Water to Undeath
			[3170] = 281, -- Weak Troll's Blood Elixir
			[11458] = 64, -- Wildvine Potion

			--! Blacksmithing
			-- Shadowlands
			[359700] = 660, -- Vestige of the Eternal
			[352439] = 660, -- Vestige of Origins
			[359671] = 114, -- Crafter's Mark of the First Ones
			[359665] = 114, -- Crafter's Mark IV
			[343188] = 114, -- Crafter's Mark of the Chained Isle
			[307705] = 323, -- Shadowghast Armguards
			[332006] = 323, -- Shadowghast Armguards
			[332041] = 323, -- Shadowghast Armguards
			[338976] = 323, -- Shadowghast Armguards
			[307712] = 323, -- Shadowghast Breastplate
			[332013] = 323, -- Shadowghast Breastplate
			[332048] = 323, -- Shadowghast Breastplate
			[338968] = 323, -- Shadowghast Breastplate
			[307710] = 323, -- Shadowghast Gauntlets
			[332011] = 323, -- Shadowghast Gauntlets
			[332046] = 323, -- Shadowghast Gauntlets
			[338970] = 323, -- Shadowghast Gauntlets
			[307708] = 323, -- Shadowghast Greaves
			[332009] = 323, -- Shadowghast Greaves
			[332044] = 323, -- Shadowghast Greaves
			[338972] = 323, -- Shadowghast Greaves
			[307709] = 323, -- Shadowghast Helm
			[332010] = 323, -- Shadowghast Helm
			[332045] = 323, -- Shadowghast Helm
			[338971] = 323, -- Shadowghast Helm
			[307707] = 323, -- Shadowghast Pauldrons
			[332008] = 323, -- Shadowghast Pauldrons
			[332043] = 323, -- Shadowghast Pauldrons
			[338974] = 323, -- Shadowghast Pauldrons
			[307711] = 323, -- Shadowghast Sabatons
			[332012] = 323, -- Shadowghast Sabatons
			[332047] = 323, -- Shadowghast Sabatons
			[338969] = 323, -- Shadowghast Sabatons
			[307706] = 323, -- Shadowghast Waistguard
			[332007] = 323, -- Shadowghast Waistguard
			[332042] = 323, -- Shadowghast Waistguard
			[338975] = 323, -- Shadowghast Waistguard
			[322591] = 130, -- Shadowsteel Greaves
			[322593] = 130, -- Shadowsteel Pauldrons
			[322587] = 130, -- Shadowsteel Breastplate
			[343186] = 114, -- Crafter's Mark III
			[322590] = 130, -- Shadowsteel Helm
			[343185] = 114, -- Crafter's Mark II
			[322589] = 130, -- Shadowsteel Gauntlets
			[322594] = 130, -- Shadowsteel Waistguard
			[322588] = 130, -- Shadowsteel Sabatons
			[322595] = 130, -- Shadowsteel Armguards
			[307720] = 130, -- Shaded Weightstone
			[307611] = 130, -- Shadowghast Ingot
			[343184] = 114, -- Crafter's Mark I
			[307718] = 809, -- Shaded Sharpening Stone
			[343662] = 114, -- Novice Crafter's Mark
			[307679] = 137, -- Ceremonious Blade
			[307668] = 137, -- Ceremonious Pauldrons
			[307667] = 137, -- Ceremonious Greaves
			[307682] = 137, -- Ceremonious Warglaive
			[307672] = 137, -- Ceremonious Axe
			[307678] = 137, -- Ceremonious Claymore
			[307666] = 137, -- Ceremonious Helm
			[307663] = 137, -- Ceremonious Breastplate
			[307674] = 137, -- Ceremonious Mace
			[307676] = 137, -- Ceremonious Reaper
			[307671] = 137, -- Ceremonious Shield
			[307681] = 137, -- Ceremonious Spear
			[307721] = 137, -- Laestrite Skeleton Key
			[307665] = 137, -- Ceremonious Gauntlets
			[307675] = 137, -- Ceremonious Rapier
			[307677] = 137, -- Ceremonious Smasher
			[307669] = 137, -- Ceremonious Waistguard
			[307670] = 137, -- Ceremonious Armguards
			[307664] = 137, -- Ceremonious Sabatons
			[307680] = 137, -- Ceremonious Shanker
			[307717] = 809, -- Porous Sharpening Stone
			[307719] = 809, -- Porous Weightstone
			[338097] = 142, -- Binding Cuffs
			[337427] = 909, -- Bundle of Stalker Arrowheads
			[338090] = 139, -- Hardened Heavy Razor
			[337374] = 810, -- Molten Phaedrum
			[337619] = 133, -- Polished Kyrian Shield
			[338094] = 142, -- Prideful Manacles
			[337626] = 133, -- Reforged Kyrian Shield
			[338091] = 139, -- Soft Heavy Razor
			[338096] = 142, -- Soft Manacle Chains
			[338088] = 139, -- Soul Razor
			[337621] = 133, -- Tarnished Kyrian Shield
			[338095] = 909, -- Tempered Manacle Chains
			[337426] = 909, -- Unrefined Arrowheads
			-- Kul Tiras/Zandalar
			[287235] = 801, -- Aqueous Reconstruction
			[299003] = 808, -- Banded Osmenite Girdle
			[299000] = 808, -- Banded Osmenite Legguards
			[305838] = 808, -- Eldritch Osmenite Girdle
			[305841] = 808, -- Eldritch Osmenite Legguards
			[253192] = 131, -- Emblazoned Stormsteel Girdle
			[253188] = 131, -- Emblazoned Stormsteel Legguards
			[285081] = 131, -- Enhanced Stormsteel Girdle
			[285082] = 131, -- Enhanced Stormsteel Legguards
			[285089] = 131, -- Fortified Stormsteel Girdle
			[285090] = 131, -- Fortified Stormsteel Legguards
			[269466] = 140, -- Honorable Combatant's Cutlass
			[269465] = 140, -- Honorable Combatant's Cutlass
			[269464] = 140, -- Honorable Combatant's Cutlass
			[269472] = 140, -- Honorable Combatant's Deckpounder
			[269471] = 140, -- Honorable Combatant's Deckpounder
			[269470] = 140, -- Honorable Combatant's Deckpounder
			[269453] = 140, -- Honorable Combatant's Plate Armguards
			[269452] = 140, -- Honorable Combatant's Plate Armguards
			[269451] = 140, -- Honorable Combatant's Plate Armguards
			[269426] = 140, -- Honorable Combatant's Plate Boots
			[269425] = 140, -- Honorable Combatant's Plate Boots
			[269424] = 140, -- Honorable Combatant's Plate Boots
			[269423] = 140, -- Honorable Combatant's Plate Gauntlets
			[269422] = 140, -- Honorable Combatant's Plate Gauntlets
			[269421] = 140, -- Honorable Combatant's Plate Gauntlets
			[269447] = 140, -- Honorable Combatant's Plate Greaves
			[269446] = 140, -- Honorable Combatant's Plate Greaves
			[269444] = 140, -- Honorable Combatant's Plate Greaves
			[269450] = 140, -- Honorable Combatant's Plate Waistguard
			[269449] = 140, -- Honorable Combatant's Plate Waistguard
			[269448] = 140, -- Honorable Combatant's Plate Waistguard
			[269481] = 140, -- Honorable Combatant's Polearm
			[269480] = 140, -- Honorable Combatant's Polearm
			[269479] = 140, -- Honorable Combatant's Polearm
			[269478] = 140, -- Honorable Combatant's Shanker
			[269477] = 140, -- Honorable Combatant's Shanker
			[269476] = 140, -- Honorable Combatant's Shanker
			[269460] = 140, -- Honorable Combatant's Shield
			[269459] = 140, -- Honorable Combatant's Shield
			[269458] = 140, -- Honorable Combatant's Shield
			[253144] = 140, -- Honorable Combatant's Spellblade
			[253149] = 140, -- Honorable Combatant's Spellblade
			[256786] = 140, -- Honorable Combatant's Spellblade
			[253191] = 131, -- Imbued Stormsteel Girdle
			[253187] = 131, -- Imbued Stormsteel Legguards
			[301413] = 116, -- Inflatable Mount Shoes
			[253145] = 201, -- Khaz'gorian Smithing Hammer
			[305839] = 808, -- Maddening Osmenite Girdle
			[305842] = 808, -- Maddening Osmenite Legguards
			[278416] = 131, -- Magnetic Mining Pick
			[253183] = 132, -- Monel-Hardened Armguards
			[253165] = 132, -- Monel-Hardened Boots
			[253162] = 132, -- Monel-Hardened Breastplate
			[253135] = 132, -- Monel-Hardened Claymore
			[253125] = 132, -- Monel-Hardened Cutlass
			[253132] = 132, -- Monel-Hardened Deckpounder
			[253168] = 132, -- Monel-Hardened Gauntlets
			[253174] = 132, -- Monel-Hardened Greaves
			[253171] = 132, -- Monel-Hardened Helm
			[286016] = 132, -- Monel-Hardened Hoofplates
			[286015] = 132, -- Monel-Hardened Hoofplates
			[253110] = 132, -- Monel-Hardened Hoofplates
			[253177] = 132, -- Monel-Hardened Pauldrons
			[253141] = 132, -- Monel-Hardened Polearm
			[253138] = 132, -- Monel-Hardened Shanker
			[253113] = 132, -- Monel-Hardened Shield
			[253112] = 132, -- Monel-Hardened Stirrups
			[253180] = 132, -- Monel-Hardened Waistguard
			[265937] = 132, -- Monelite Reinforced Chassis
			[269064] = 132, -- Monelite Skeleton Key
			[294768] = 808, -- Notorious Combatant's Cutlass
			[294767] = 808, -- Notorious Combatant's Cutlass
			[294766] = 808, -- Notorious Combatant's Cutlass
			[294771] = 808, -- Notorious Combatant's Deckpounder
			[294770] = 808, -- Notorious Combatant's Deckpounder
			[294769] = 808, -- Notorious Combatant's Deckpounder
			[294765] = 808, -- Notorious Combatant's Plate Armguards
			[294764] = 808, -- Notorious Combatant's Plate Armguards
			[294763] = 808, -- Notorious Combatant's Plate Armguards
			[294750] = 808, -- Notorious Combatant's Plate Boots
			[294749] = 808, -- Notorious Combatant's Plate Boots
			[294748] = 808, -- Notorious Combatant's Plate Boots
			[294753] = 808, -- Notorious Combatant's Plate Gauntlets
			[294752] = 808, -- Notorious Combatant's Plate Gauntlets
			[294751] = 808, -- Notorious Combatant's Plate Gauntlets
			[294756] = 808, -- Notorious Combatant's Plate Greaves
			[294755] = 808, -- Notorious Combatant's Plate Greaves
			[294754] = 808, -- Notorious Combatant's Plate Greaves
			[294762] = 808, -- Notorious Combatant's Plate Waistguard
			[294761] = 808, -- Notorious Combatant's Plate Waistguard
			[294760] = 808, -- Notorious Combatant's Plate Waistguard
			[294780] = 808, -- Notorious Combatant's Polearm
			[294779] = 808, -- Notorious Combatant's Polearm
			[294778] = 808, -- Notorious Combatant's Polearm
			[294777] = 808, -- Notorious Combatant's Shanker
			[294776] = 808, -- Notorious Combatant's Shanker
			[294775] = 808, -- Notorious Combatant's Shanker
			[294759] = 808, -- Notorious Combatant's Shield
			[294758] = 808, -- Notorious Combatant's Shield
			[294757] = 808, -- Notorious Combatant's Shield
			[294774] = 808, -- Notorious Combatant's Spellblade
			[294773] = 808, -- Notorious Combatant's Spellblade
			[294772] = 808, -- Notorious Combatant's Spellblade
			[299001] = 808, -- Osmenite Girdle
			[298998] = 808, -- Osmenite Legguards
			[278417] = 131, -- Platinum Whetstone
			[299002] = 808, -- Reinforced Osmenite Girdle
			[298999] = 808, -- Reinforced Osmenite Legguards
			[286631] = 412, -- Sanguinated Reconstruction
			[282873] = 131, -- Sinister Combatant's Cutlass
			[282872] = 131, -- Sinister Combatant's Cutlass
			[282871] = 131, -- Sinister Combatant's Cutlass
			[282870] = 131, -- Sinister Combatant's Deckpounder
			[282869] = 131, -- Sinister Combatant's Deckpounder
			[282868] = 131, -- Sinister Combatant's Deckpounder
			[283238] = 131, -- Sinister Combatant's Plate Armguards
			[283237] = 131, -- Sinister Combatant's Plate Armguards
			[282889] = 131, -- Sinister Combatant's Plate Armguards
			[283251] = 131, -- Sinister Combatant's Plate Boots
			[283250] = 131, -- Sinister Combatant's Plate Boots
			[283249] = 131, -- Sinister Combatant's Plate Boots
			[283248] = 131, -- Sinister Combatant's Plate Gauntlets
			[283247] = 131, -- Sinister Combatant's Plate Gauntlets
			[283245] = 131, -- Sinister Combatant's Plate Gauntlets
			[283244] = 131, -- Sinister Combatant's Plate Greaves
			[283243] = 131, -- Sinister Combatant's Plate Greaves
			[283242] = 131, -- Sinister Combatant's Plate Greaves
			[283241] = 131, -- Sinister Combatant's Plate Waistguard
			[283240] = 131, -- Sinister Combatant's Plate Waistguard
			[283239] = 131, -- Sinister Combatant's Plate Waistguard
			[282861] = 131, -- Sinister Combatant's Polearm
			[282860] = 131, -- Sinister Combatant's Polearm
			[282859] = 131, -- Sinister Combatant's Polearm
			[282864] = 131, -- Sinister Combatant's Shanker
			[282863] = 131, -- Sinister Combatant's Shanker
			[282862] = 131, -- Sinister Combatant's Shanker
			[282879] = 131, -- Sinister Combatant's Shield
			[282878] = 131, -- Sinister Combatant's Shield
			[282876] = 131, -- Sinister Combatant's Shield
			[282867] = 131, -- Sinister Combatant's Spellblade
			[282866] = 131, -- Sinister Combatant's Spellblade
			[282865] = 131, -- Sinister Combatant's Spellblade
			[278415] = 140, -- Storm Silver Spurs
			[253158] = 131, -- Stormsteel Dagger
			[253157] = 131, -- Stormsteel Dagger
			[253156] = 131, -- Stormsteel Dagger
			[253190] = 131, -- Stormsteel Girdle
			[253186] = 131, -- Stormsteel Legguards
			[278133] = 131, -- Stormsteel Saber
			[278132] = 131, -- Stormsteel Saber
			[278131] = 131, -- Stormsteel Saber
			[253118] = 131, -- Stormsteel Shield
			[253117] = 131, -- Stormsteel Shield
			[253116] = 131, -- Stormsteel Shield
			[253161] = 131, -- Stormsteel Spear
			[253160] = 131, -- Stormsteel Spear
			[253159] = 131, -- Stormsteel Spear
			[285097] = 131, -- Tempered Stormsteel Girdle
			[285098] = 131, -- Tempered Stormsteel Legguards
			[304318] = 808, -- Uncanny Combatant's Cutlass
			[305853] = 808, -- Uncanny Combatant's Cutlass
			[305852] = 808, -- Uncanny Combatant's Cutlass
			[304320] = 808, -- Uncanny Combatant's Deckpounder
			[305851] = 808, -- Uncanny Combatant's Deckpounder
			[305850] = 808, -- Uncanny Combatant's Deckpounder
			[304317] = 808, -- Uncanny Combatant's Plate Armguards
			[306079] = 808, -- Uncanny Combatant's Plate Armguards
			[306078] = 808, -- Uncanny Combatant's Plate Armguards
			[304307] = 808, -- Uncanny Combatant's Plate Boots
			[306087] = 808, -- Uncanny Combatant's Plate Boots
			[306086] = 808, -- Uncanny Combatant's Plate Boots
			[304308] = 808, -- Uncanny Combatant's Plate Gauntlets
			[306085] = 808, -- Uncanny Combatant's Plate Gauntlets
			[306084] = 808, -- Uncanny Combatant's Plate Gauntlets
			[304312] = 808, -- Uncanny Combatant's Plate Greaves
			[306083] = 808, -- Uncanny Combatant's Plate Greaves
			[306082] = 808, -- Uncanny Combatant's Plate Greaves
			[304315] = 808, -- Uncanny Combatant's Plate Waistguard
			[306081] = 808, -- Uncanny Combatant's Plate Waistguard
			[306080] = 808, -- Uncanny Combatant's Plate Waistguard
			[304324] = 808, -- Uncanny Combatant's Polearm
			[305845] = 808, -- Uncanny Combatant's Polearm
			[305844] = 808, -- Uncanny Combatant's Polearm
			[304323] = 808, -- Uncanny Combatant's Shanker
			[305847] = 808, -- Uncanny Combatant's Shanker
			[305846] = 808, -- Uncanny Combatant's Shanker
			[304314] = 808, -- Uncanny Combatant's Shield
			[306312] = 808, -- Uncanny Combatant's Shield
			[306310] = 808, -- Uncanny Combatant's Shield
			[304322] = 808, -- Uncanny Combatant's Spellblade
			[305849] = 808, -- Uncanny Combatant's Spellblade
			[305848] = 808, -- Uncanny Combatant's Spellblade
			[305840] = 808, -- Unsettling Osmenite Girdle
			[305843] = 808, -- Unsettling Osmenite Legguards
			[307221] = 320, -- Void Focus
			-- Legion
			[184405] = 400, -- Brimstone-Covered Armguards
			[184407] = 400, -- Brimstone-Crusted Armguards
			[209498] = 819, -- Consecrated Spike
			[182982] = 819, -- Demonsteel Armguards
			[182974] = 819, -- Demonsteel Armguards
			[182944] = 819, -- Demonsteel Armguards
			[184442] = 819, -- Demonsteel Bar
			[182988] = 819, -- Demonsteel Boots
			[182980] = 819, -- Demonsteel Boots
			[182950] = 819, -- Demonsteel Boots
			[182989] = 819, -- Demonsteel Breastplate
			[182981] = 819, -- Demonsteel Breastplate
			[182951] = 819, -- Demonsteel Breastplate
			[182987] = 819, -- Demonsteel Gauntlets
			[182979] = 819, -- Demonsteel Gauntlets
			[182949] = 819, -- Demonsteel Gauntlets
			[182985] = 819, -- Demonsteel Greaves
			[182977] = 819, -- Demonsteel Greaves
			[182947] = 819, -- Demonsteel Greaves
			[182986] = 819, -- Demonsteel Helm
			[182978] = 819, -- Demonsteel Helm
			[182948] = 819, -- Demonsteel Helm
			[182984] = 819, -- Demonsteel Pauldrons
			[182976] = 819, -- Demonsteel Pauldrons
			[182946] = 819, -- Demonsteel Pauldrons
			[209564] = 819, -- Demonsteel Stirrups
			[182983] = 819, -- Demonsteel Waistguard
			[182975] = 819, -- Demonsteel Waistguard
			[182945] = 819, -- Demonsteel Waistguard
			[184184] = 140, -- Dull Hard Leystone Armguards
			[248869] = 142, -- Empyrial Back Plate
			[247710] = 142, -- Empyrial Breastplate
			[247713] = 142, -- Empyrial Breastplate
			[247714] = 142, -- Empyrial Breastplate
			[248870] = 142, -- Empyrial Breastplate
			[248867] = 142, -- Empyrial Chest Plate
			[248864] = 142, -- Empyrial Rivets
			[184403] = 140, -- Engraved Leystone Armguards
			[213916] = 141, -- Fel Core Hound Harness
			[247700] = 141, -- Felslate Anchor
			[209499] = 4, -- Flamespike
			[209497] = 909, -- Gleaming Iron Spike
			[183562] = 140, -- Handcrafted Leystone Gauntlets
			[184344] = 140, -- Handmade Leystone Boots
			[184345] = 140, -- Handmade Leystone Helm
			[184185] = 140, -- Hard Leystone Armguards
			[184182] = 140, -- Hard Leystone Bar
			[184309] = 140, -- Hard Leystone Bar
			[184313] = 140, -- Hard Leystone Ingots
			[184315] = 140, -- Hard Leystone Nail
			[184183] = 140, -- Heated Hard Leystone Bar
			[184314] = 140, -- Heated Hard Leystone Ingot
			[183280] = 140, -- Heated Leystone Bar
			[184216] = 400, -- Large Heated Scrap Metal
			[182970] = 140, -- Leystone Armguards
			[182962] = 140, -- Leystone Armguards
			[182928] = 140, -- Leystone Armguards
			[183279] = 140, -- Leystone Bar
			[191928] = 140, -- Leystone Boots
			[182968] = 140, -- Leystone Boots
			[182934] = 140, -- Leystone Boots
			[182973] = 140, -- Leystone Breastplate
			[182969] = 140, -- Leystone Breastplate
			[182935] = 140, -- Leystone Breastplate
			[183281] = 140, -- Leystone Cuffplate
			[184342] = 140, -- Leystone Dome
			[184341] = 140, -- Leystone Faceguard
			[183283] = 140, -- Leystone Fingerguard
			[184339] = 140, -- Leystone Footguard
			[191930] = 140, -- Leystone Gauntlets
			[182967] = 140, -- Leystone Gauntlets
			[182933] = 140, -- Leystone Gauntlets
			[191931] = 140, -- Leystone Greaves
			[182965] = 140, -- Leystone Greaves
			[182931] = 140, -- Leystone Greaves
			[184338] = 140, -- Leystone Heelguard
			[191929] = 140, -- Leystone Helm
			[182966] = 140, -- Leystone Helm
			[182932] = 140, -- Leystone Helm
			[182999] = 140, -- Leystone Hoofplates
			[184343] = 140, -- Leystone Neckplate
			[182972] = 140, -- Leystone Pauldrons
			[182964] = 140, -- Leystone Pauldrons
			[182930] = 140, -- Leystone Pauldrons
			[184310] = 140, -- Leystone Shards
			[184337] = 140, -- Leystone Shinplate
			[183278] = 400, -- Leystone Slag
			[184181] = 400, -- Leystone Slag
			[184308] = 400, -- Leystone Slag
			[184340] = 140, -- Leystone Soleplate
			[182971] = 140, -- Leystone Waistguard
			[182963] = 140, -- Leystone Waistguard
			[182929] = 140, -- Leystone Waistguard
			[184312] = 400, -- Lumps of Leystone Slag
			[184408] = 140, -- Masterwork Leystone Armguards
			[184215] = 400, -- Medium Heated Scrap Metal
			[184404] = 400, -- Molten Brimstone
			[184336] = 140, -- Red-Hot Leystone Bar
			[239415] = 660, -- Rethu's Incessant Courage
			[184220] = 909, -- Scrapmetal Cuffplate
			[184217] = 909, -- Scrapmetal Fingerplates
			[184219] = 909, -- Scrapmetal Handguard
			[184218] = 909, -- Scrapmetal Palmplate
			[184214] = 400, -- Small Heated Scrap Metal
			[209496] = 321, -- Terrorspike
			-- Draenor
			[182116] = 137, -- Riddle of Truesteel
			[176090] = 114, -- Secrets of Draenor Blacksmithing
			[171692] = 137, -- Smoldering Breastplate
			[171693] = 137, -- Smoldering Greaves
			[171691] = 910, -- Smoldering Helm
			[177169] = 400, -- Soul of the Forge
			[178245] = 137, -- Steelforged Aegis
			[178243] = 137, -- Steelforged Axe
			[171696] = 137, -- Steelforged Dagger
			[171694] = 137, -- Steelforged Greataxe
			[171697] = 137, -- Steelforged Hammer
			[171695] = 137, -- Steelforged Saber
			[171698] = 137, -- Steelforged Shield
			[171705] = 137, -- Truesteel Armguards
			[171706] = 137, -- Truesteel Boots
			[171704] = 137, -- Truesteel Breastplate
			[171703] = 137, -- Truesteel Gauntlets
			[171702] = 137, -- Truesteel Greaves
			[171699] = 910, -- Truesteel Grinder
			[171701] = 137, -- Truesteel Helm
			[171690] = 137, -- Truesteel Ingot
			[171700] = 137, -- Truesteel Pauldrons
			[173355] = 137, -- Truesteel Reshaper
			[171707] = 137, -- Truesteel Waistguard
			-- Pandaria
			[146921] = 135, -- Accelerated Balanced Trillium Ingot
			[142959] = 135, -- Avenger's Trillium Legplates
			[142968] = 135, -- Avenger's Trillium Waistplate
			[143255] = 135, -- Balanced Trillium Ingot
			[138878] = 800, -- Black Planar Edge, Reborn
			[138892] = 800, -- Blazefury, Reborn
			[138890] = 800, -- Blazeguard, Reborn
			[142963] = 135, -- Blessed Trillium Belt
			[142954] = 135, -- Blessed Trillium Greaves
			[126853] = 139, -- Bloodforged Warfists
			[138881] = 800, -- Bloodmoon, Reborn
			[122653] = 139, -- Breastplate of Ancient Steel
			[126854] = 139, -- Chestplate of Limitless Faith
			[122623] = 909, -- Contender's Revenant Belt
			[122622] = 909, -- Contender's Revenant Boots
			[122621] = 909, -- Contender's Revenant Bracers
			[122618] = 909, -- Contender's Revenant Breastplate
			[122619] = 909, -- Contender's Revenant Gauntlets
			[122616] = 909, -- Contender's Revenant Helm
			[122620] = 909, -- Contender's Revenant Legplates
			[122617] = 909, -- Contender's Revenant Shoulders
			[122631] = 909, -- Contender's Spirit Belt
			[122630] = 909, -- Contender's Spirit Boots
			[122629] = 909, -- Contender's Spirit Bracers
			[122626] = 909, -- Contender's Spirit Breastplate
			[122627] = 909, -- Contender's Spirit Gauntlets
			[122624] = 909, -- Contender's Spirit Helm
			[122628] = 909, -- Contender's Spirit Legplates
			[122625] = 909, -- Contender's Spirit Shoulders
			[137792] = 909, -- Crafted Dreadful Gladiator's Armplates of Alacrity
			[137791] = 909, -- Crafted Dreadful Gladiator's Armplates of Proficiency
			[137781] = 909, -- Crafted Dreadful Gladiator's Bracers of Meditation
			[137780] = 909, -- Crafted Dreadful Gladiator's Bracers of Prowess
			[137776] = 909, -- Crafted Dreadful Gladiator's Clasp of Cruelty
			[137777] = 909, -- Crafted Dreadful Gladiator's Clasp of Meditation
			[140846] = 909, -- Crafted Dreadful Gladiator's Dreadplate Chestpiece
			[140845] = 909, -- Crafted Dreadful Gladiator's Dreadplate Gauntlets
			[140844] = 909, -- Crafted Dreadful Gladiator's Dreadplate Helm
			[140843] = 909, -- Crafted Dreadful Gladiator's Dreadplate Legguards
			[140842] = 909, -- Crafted Dreadful Gladiator's Dreadplate Shoulders
			[137787] = 909, -- Crafted Dreadful Gladiator's Girdle of Accuracy
			[137788] = 909, -- Crafted Dreadful Gladiator's Girdle of Prowess
			[137778] = 909, -- Crafted Dreadful Gladiator's Greaves of Alacrity
			[137779] = 909, -- Crafted Dreadful Gladiator's Greaves of Meditation
			[137782] = 909, -- Crafted Dreadful Gladiator's Ornamented Chestguard
			[137783] = 909, -- Crafted Dreadful Gladiator's Ornamented Gloves
			[137784] = 909, -- Crafted Dreadful Gladiator's Ornamented Headcover
			[137785] = 909, -- Crafted Dreadful Gladiator's Ornamented Legplates
			[137786] = 909, -- Crafted Dreadful Gladiator's Ornamented Spaulders
			[137793] = 909, -- Crafted Dreadful Gladiator's Plate Chestpiece
			[137794] = 909, -- Crafted Dreadful Gladiator's Plate Gauntlets
			[137795] = 909, -- Crafted Dreadful Gladiator's Plate Helm
			[137796] = 909, -- Crafted Dreadful Gladiator's Plate Legguards
			[137797] = 909, -- Crafted Dreadful Gladiator's Plate Shoulders
			[140841] = 909, -- Crafted Dreadful Gladiator's Scaled Chestpiece
			[137772] = 909, -- Crafted Dreadful Gladiator's Scaled Gauntlets
			[137773] = 909, -- Crafted Dreadful Gladiator's Scaled Helm
			[137774] = 909, -- Crafted Dreadful Gladiator's Scaled Legguards
			[137775] = 909, -- Crafted Dreadful Gladiator's Scaled Shoulders
			[137790] = 909, -- Crafted Dreadful Gladiator's Warboots of Alacrity
			[137789] = 909, -- Crafted Dreadful Gladiator's Warboots of Cruelty
			[143189] = 909, -- Crafted Malevolent Gladiator's Armplates of Alacrity
			[143188] = 909, -- Crafted Malevolent Gladiator's Armplates of Proficiency
			[143195] = 909, -- Crafted Malevolent Gladiator's Barrier
			[143178] = 909, -- Crafted Malevolent Gladiator's Bracers of Meditation
			[143177] = 909, -- Crafted Malevolent Gladiator's Bracers of Prowess
			[143173] = 909, -- Crafted Malevolent Gladiator's Clasp of Cruelty
			[143174] = 909, -- Crafted Malevolent Gladiator's Clasp of Meditation
			[143163] = 909, -- Crafted Malevolent Gladiator's Dreadplate Chestpiece
			[143164] = 909, -- Crafted Malevolent Gladiator's Dreadplate Gauntlets
			[143165] = 909, -- Crafted Malevolent Gladiator's Dreadplate Helm
			[143166] = 909, -- Crafted Malevolent Gladiator's Dreadplate Legguards
			[143167] = 909, -- Crafted Malevolent Gladiator's Dreadplate Shoulders
			[143184] = 909, -- Crafted Malevolent Gladiator's Girdle of Accuracy
			[143185] = 909, -- Crafted Malevolent Gladiator's Girdle of Prowess
			[143175] = 909, -- Crafted Malevolent Gladiator's Greaves of Alacrity
			[143176] = 909, -- Crafted Malevolent Gladiator's Greaves of Meditation
			[143179] = 909, -- Crafted Malevolent Gladiator's Ornamented Chestguard
			[143180] = 909, -- Crafted Malevolent Gladiator's Ornamented Gloves
			[143181] = 909, -- Crafted Malevolent Gladiator's Ornamented Headcover
			[143182] = 909, -- Crafted Malevolent Gladiator's Ornamented Legplates
			[143183] = 909, -- Crafted Malevolent Gladiator's Ornamented Spaulders
			[143190] = 909, -- Crafted Malevolent Gladiator's Plate Chestpiece
			[143191] = 909, -- Crafted Malevolent Gladiator's Plate Gauntlets
			[143192] = 909, -- Crafted Malevolent Gladiator's Plate Helm
			[143193] = 909, -- Crafted Malevolent Gladiator's Plate Legguards
			[143194] = 909, -- Crafted Malevolent Gladiator's Plate Shoulders
			[143196] = 909, -- Crafted Malevolent Gladiator's Redoubt
			[143168] = 909, -- Crafted Malevolent Gladiator's Scaled Chestpiece
			[143169] = 909, -- Crafted Malevolent Gladiator's Scaled Gauntlets
			[143170] = 909, -- Crafted Malevolent Gladiator's Scaled Helm
			[143171] = 909, -- Crafted Malevolent Gladiator's Scaled Legguards
			[143172] = 909, -- Crafted Malevolent Gladiator's Scaled Shoulders
			[143197] = 909, -- Crafted Malevolent Gladiator's Shield Wall
			[143187] = 909, -- Crafted Malevolent Gladiator's Warboots of Alacrity
			[143186] = 909, -- Crafted Malevolent Gladiator's Warboots of Cruelty
			[138884] = 800, -- Deep Thunder, Reborn
			[138885] = 800, -- Dragonmaw, Reborn
			[138886] = 800, -- Dragonstrike, Reborn
			[138882] = 800, -- Drakefist Hammer, Reborn
			[138888] = 800, -- Fireguard, Reborn
			[122637] = 909, -- Forgewire Axe
			[122654] = 139, -- Gauntlets of Ancient Steel
			[126851] = 139, -- Gauntlets of Battle Command
			[126855] = 139, -- Gauntlets of Unbound Devotion
			[131928] = 909, -- Ghost Iron Shield Spike
			[122649] = 139, -- Ghost Reaver's Breastplate
			[122650] = 139, -- Ghost Reaver's Gauntlets
			[122641] = 909, -- Ghost Shard
			[122583] = 909, -- Ghost-Forged Belt
			[122638] = 909, -- Ghost-Forged Blade
			[122582] = 909, -- Ghost-Forged Boots
			[122581] = 909, -- Ghost-Forged Bracers
			[122578] = 909, -- Ghost-Forged Breastplate
			[122579] = 909, -- Ghost-Forged Gauntlets
			[122576] = 909, -- Ghost-Forged Helm
			[122580] = 909, -- Ghost-Forged Legplates
			[122577] = 909, -- Ghost-Forged Shoulders
			[122633] = 909, -- Ghostly Skeleton Key
			[137769] = 139, -- Haunted Steel Greathelm
			[137766] = 139, -- Haunted Steel Greaves
			[137767] = 139, -- Haunted Steel Headcover
			[137771] = 139, -- Haunted Steel Headguard
			[137768] = 139, -- Haunted Steel Treads
			[137770] = 139, -- Haunted Steel Warboots
			[138646] = 800, -- Lightning Steel Ingot
			[122635] = 909, -- Lightsteel Shield
			[138889] = 800, -- Lionheart Blade, Reborn
			[138891] = 800, -- Lionheart Champion, Reborn
			[138893] = 800, -- Lionheart Executioner, Reborn
			[122632] = 139, -- Living Steel Belt Buckle
			[122651] = 139, -- Living Steel Breastplate
			[122652] = 139, -- Living Steel Gauntlets
			[131929] = 139, -- Living Steel Weapon Chain
			[138877] = 800, -- Lunar Crescent, Reborn
			[122644] = 810, -- Masterwork Forgewire Axe
			[122648] = 810, -- Masterwork Ghost Shard
			[122645] = 810, -- Masterwork Ghost-Forged Blade
			[122642] = 909, -- Masterwork Lightsteel Shield
			[122646] = 810, -- Masterwork Phantasmal Hammer
			[122647] = 810, -- Masterwork Spiritblade Decimator
			[122599] = 909, -- Masterwork Spiritguard Belt
			[122598] = 909, -- Masterwork Spiritguard Boots
			[122597] = 909, -- Masterwork Spiritguard Bracers
			[122594] = 909, -- Masterwork Spiritguard Breastplate
			[122595] = 909, -- Masterwork Spiritguard Gauntlets
			[122592] = 909, -- Masterwork Spiritguard Helm
			[122596] = 909, -- Masterwork Spiritguard Legplates
			[122643] = 909, -- Masterwork Spiritguard Shield
			[122593] = 909, -- Masterwork Spiritguard Shoulders
			[138879] = 800, -- Mooncleaver, Reborn
			[126852] = 139, -- Ornate Battleplate of the Master
			[122639] = 909, -- Phantasmal Hammer
			[142958] = 135, -- Protector's Trillium Legguards
			[142967] = 135, -- Protector's Trillium Waistguard
			[122640] = 909, -- Spiritblade Decimator
			[122636] = 909, -- Spiritguard Shield
			[138887] = 800, -- Stormherald, Reborn
			[138876] = 800, -- The Planar Edge, Reborn
			[138883] = 800, -- Thunder, Reborn
			[126850] = 139, -- Unyielding Bloodplate
			[138880] = 800, -- Wicked Edge of the Planes, Reborn
			-- Cataclysm
			[101931] = 816, -- Bracers of Destructive Strength
			[99652] = 140, -- Brainsplinter
			[76434] = 910, -- Cold-Forged Shank
			[76433] = 910, -- Decapitator's Razor
			[76439] = 140, -- Ebonsteel Belt Buckle
			[76452] = 140, -- Elementium Bonesplitter
			[76445] = 140, -- Elementium Deathplate
			[76454] = 140, -- Elementium Earthguard
			[76446] = 140, -- Elementium Girdle of Pain
			[94718] = 140, -- Elementium Gutslicer
			[76450] = 140, -- Elementium Hammer
			[76451] = 140, -- Elementium Poleaxe
			[76453] = 140, -- Elementium Shank
			[76441] = 140, -- Elementium Shield Spike
			[76449] = 140, -- Elementium Spellblade
			[76455] = 140, -- Elementium Stormshield
			[99655] = 140, -- Elementium-Edged Scalper
			[99454] = 140, -- Emberforged Elementium Boots
			[99440] = 140, -- Eternal Elementium Handguards
			[76435] = 140, -- Fire-Etched Dagger
			[99439] = 140, -- Fists of Fury
			[76178] = 910, -- Folded Obsidium
			[94732] = 140, -- Forged Elementium Mindcrusher
			[101928] = 140, -- Foundations of Courage
			[76444] = 140, -- Hardened Elementium Girdle
			[76443] = 140, -- Hardened Elementium Hauberk
			[76181] = 910, -- Hardened Obsidium Belt
			[76182] = 910, -- Hardened Obsidium Boots
			[76179] = 910, -- Hardened Obsidium Bracers
			[76261] = 910, -- Hardened Obsidium Breastplate
			[76180] = 910, -- Hardened Obsidium Gauntlets
			[76260] = 910, -- Hardened Obsidium Helm
			[76259] = 910, -- Hardened Obsidium Legguards
			[76291] = 910, -- Hardened Obsidium Shield
			[76258] = 910, -- Hardened Obsidium Shoulders
			[99441] = 140, -- Holy Flame Gauntlets
			[76436] = 140, -- Lifeforce Hammer
			[76448] = 140, -- Light Elementium Belt
			[76447] = 140, -- Light Elementium Chestguard
			[99654] = 140, -- Lightforged Elementium Hammer
			[99658] = 140, -- Masterwork Elementium Deathblade
			[99653] = 140, -- Masterwork Elementium Spellblade
			[99453] = 140, -- Mirrored Boots
			[76474] = 910, -- Obsidium Bladespear
			[76437] = 910, -- Obsidium Executioner
			[76438] = 910, -- Obsidium Skeleton Key
			[101924] = 816, -- Pyrium Legplates of Purified Evil
			[76440] = 816, -- Pyrium Shield Spike
			[99656] = 816, -- Pyrium Spellward
			[76442] = 816, -- Pyrium Weapon Chain
			[76264] = 910, -- Redsteel Belt
			[76265] = 910, -- Redsteel Boots
			[76262] = 910, -- Redsteel Bracers
			[76270] = 140, -- Redsteel Breastplate
			[76263] = 910, -- Redsteel Gauntlets
			[76269] = 140, -- Redsteel Helm
			[76267] = 140, -- Redsteel Legguards
			[76266] = 140, -- Redsteel Shoulders
			[101929] = 816, -- Soul Redeemer Bracers
			[76283] = 910, -- Stormforged Belt
			[76285] = 910, -- Stormforged Boots
			[76280] = 910, -- Stormforged Bracers
			[76289] = 140, -- Stormforged Breastplate
			[76281] = 910, -- Stormforged Gauntlets
			[76288] = 140, -- Stormforged Helm
			[76287] = 140, -- Stormforged Legguards
			[76293] = 910, -- Stormforged Shield
			[76286] = 140, -- Stormforged Shoulders
			[101932] = 140, -- Titanguard Wristplates
			[99657] = 816, -- Unbreakable Guardian
			[101925] = 816, -- Unstoppable Destroyer's Legplates
			[76467] = 140, -- Vicious Ornate Pyrium Belt
			[76468] = 140, -- Vicious Ornate Pyrium Boots
			[76465] = 140, -- Vicious Ornate Pyrium Bracers
			[76472] = 140, -- Vicious Ornate Pyrium Breastplate
			[76466] = 140, -- Vicious Ornate Pyrium Gauntlets
			[76471] = 140, -- Vicious Ornate Pyrium Helm
			[76470] = 140, -- Vicious Ornate Pyrium Legguards
			[76469] = 140, -- Vicious Ornate Pyrium Shoulders
			[76458] = 140, -- Vicious Pyrium Belt
			[76459] = 140, -- Vicious Pyrium Boots
			[76456] = 140, -- Vicious Pyrium Bracers
			[76464] = 140, -- Vicious Pyrium Breastplate
			[76457] = 140, -- Vicious Pyrium Gauntlets
			[76463] = 140, -- Vicious Pyrium Helm
			[76462] = 140, -- Vicious Pyrium Legguards
			[76461] = 140, -- Vicious Pyrium Shoulders
			[99452] = 140, -- Warboots of Mighty Lords
			[99660] = 140, -- Witch-Hunter's Harvester
			-- Northrend
			[70568] = 800, -- Boots of Kingly Upheaval
			[70566] = 800, -- Hellfrozen Bonegrinders
			[70565] = 800, -- Legplates of Painful Death
			[70567] = 800, -- Pillars of Might
			[70563] = 800, -- Protectors of Life
			[70562] = 800, -- Puresteel Legplates
			[63188] = 800, -- Battlelord's Plate Boots
			[63187] = 800, -- Belt of the Titans
			[67091] = 800, -- Breastplate of the White Knight
			[67130] = 800, -- Breastplate of the White Knight
			[55374] = 800, -- Brilliant Titansteel Helm
			[55377] = 800, -- Brilliant Titansteel Treads
			[63191] = 800, -- Indestructible Plate Girdle
			[63189] = 800, -- Plate Girdle of Righteousness
			[67092] = 800, -- Saronite Swordbreakers
			[67131] = 800, -- Saronite Swordbreakers
			[63192] = 800, -- Spiked Deathdealers
			[55372] = 800, -- Spiked Titansteel Helm
			[55375] = 800, -- Spiked Titansteel Treads
			[67096] = 800, -- Sunforged Bracers
			[67135] = 800, -- Sunforged Bracers
			[67095] = 800, -- Sunforged Breastplate
			[67134] = 800, -- Sunforged Breastplate
			[55373] = 800, -- Tempered Titansteel Helm
			[55376] = 800, -- Tempered Titansteel Treads
			[62202] = 800, -- Titanium Plating
			[67093] = 800, -- Titanium Razorplate
			[67132] = 800, -- Titanium Razorplate
			[67094] = 800, -- Titanium Spikeguards
			[67133] = 800, -- Titanium Spikeguards
			[55370] = 800, -- Titansteel Bonecrusher
			[55369] = 800, -- Titansteel Destroyer
			[55371] = 800, -- Titansteel Guardian
			[56234] = 800, -- Titansteel Shanker
			[56400] = 800, -- Titansteel Shield Wall
			[63182] = 800, -- Titansteel Spellblade
			[63190] = 800, -- Treads of Destiny
			[55303] = 139, -- Daunting Legplates
			[55302] = 139, -- Helm of Command
			[61008] = 139, -- Icebane Chestguard
			[56555] = 139, -- Ornate Saronite Hauberk
			[56554] = 139, -- Ornate Saronite Legplates
			[56556] = 139, -- Ornate Saronite Skullshield
			[55304] = 139, -- Righteous Greaves
			[55311] = 139, -- Savage Saronite Hauberk
			[55310] = 139, -- Savage Saronite Legplates
			[55312] = 139, -- Savage Saronite Skullshield
			[59406] = 139, -- Titanium Skeleton Key
			[55301] = 139, -- Daunting Handguards
			[61009] = 139, -- Icebane Girdle
			[61010] = 139, -- Icebane Treads
			[56553] = 139, -- Ornate Saronite Gauntlets
			[56550] = 139, -- Ornate Saronite Pauldrons
			[56551] = 139, -- Ornate Saronite Waistguard
			[56552] = 139, -- Ornate Saronite Walkers
			[55300] = 139, -- Righteous Gauntlets
			[55309] = 139, -- Savage Saronite Gauntlets
			[55306] = 139, -- Savage Saronite Pauldrons
			[55307] = 139, -- Savage Saronite Waistguard
			[55308] = 139, -- Savage Saronite Walkers
			[56549] = 139, -- Ornate Saronite Bracers
			[55305] = 139, -- Savage Saronite Bracers
			[56357] = 910, -- Titanium Shield Spike
			[55839] = 910, -- Titanium Weapon Chain
			[55298] = 139, -- Vengeance Bindings
			[55058] = 139, -- Brilliant Saronite Breastplate
			[59441] = 139, -- Brilliant Saronite Helm
			[55186] = 139, -- Chestplate of Conquest
			[55183] = 139, -- Corroded Saronite Edge
			[55184] = 139, -- Corroded Saronite Woundbringer
			[55656] = 139, -- Eternal Belt Buckle
			[55187] = 139, -- Legplates of Conquest
			[55185] = 139, -- Saronite Mindcrusher
			[55015] = 139, -- Tempered Saronite Gauntlets
			[56280] = 139, -- Cudgel of Saronite Justice
			[55206] = 139, -- Deadly Saronite Dirk
			[55182] = 139, -- Furious Saronite Beatstick
			[54981] = 138, -- Reinforced Cobalt Chestpiece
			[55014] = 139, -- Saronite Bulwark
			[59442] = 139, -- Saronite Spellblade
			[55017] = 139, -- Tempered Saronite Bracers
			[55057] = 139, -- Brilliant Saronite Boots
			[59440] = 139, -- Brilliant Saronite Pauldrons
			[54980] = 138, -- Reinforced Cobalt Legplates
			[55181] = 139, -- Saronite Shiv
			[54555] = 139, -- Tempered Saronite Helm
			[54556] = 139, -- Tempered Saronite Shoulders
			[59438] = 139, -- Brilliant Saronite Bracers
			[55056] = 139, -- Brilliant Saronite Gauntlets
			[54949] = 138, -- Horned Cobalt Helm
			[54979] = 138, -- Reinforced Cobalt Helm
			[55179] = 139, -- Saronite Ambusher
			[54948] = 138, -- Spiked Cobalt Bracers
			[54552] = 139, -- Tempered Saronite Boots
			[54553] = 139, -- Tempered Saronite Breastplate
			[59436] = 139, -- Brilliant Saronite Belt
			[55055] = 139, -- Brilliant Saronite Legplates
			[55177] = 138, -- Savage Cobalt Slicer
			[54946] = 138, -- Spiked Cobalt Belt
			[54947] = 138, -- Spiked Cobalt Legplates
			[54551] = 139, -- Tempered Saronite Belt
			[54554] = 139, -- Tempered Saronite Legplates
			[55174] = 138, -- Honed Cobalt Cleaver
			[55204] = 138, -- Notched Cobalt War Axe
			[54978] = 138, -- Reinforced Cobalt Shoulders
			[54557] = 139, -- Saronite Defender
			[55013] = 139, -- Saronite Protector
			[54945] = 138, -- Spiked Cobalt Gauntlets
			[55203] = 138, -- Forged Cobalt Claymore
			[54944] = 138, -- Spiked Cobalt Chestpiece
			[54941] = 138, -- Spiked Cobalt Shoulders
			[55201] = 138, -- Cobalt Tenderizer
			[54918] = 138, -- Spiked Cobalt Boots
			[55200] = 138, -- Sturdy Cobalt Quickblade
			[52570] = 138, -- Cobalt Chestpiece
			[55835] = 138, -- Cobalt Gauntlets
			[54917] = 138, -- Spiked Cobalt Helm
			[52571] = 138, -- Cobalt Helm
			[52567] = 138, -- Cobalt Legplates
			[52568] = 138, -- Cobalt Belt
			[52569] = 138, -- Cobalt Boots
			[55834] = 138, -- Cobalt Bracers
			[52572] = 138, -- Cobalt Shoulders
			[59405] = 138, -- Cobalt Skeleton Key
			[54550] = 138, -- Cobalt Triangle Shield
			-- Outland
			[41134] = 820, -- Dawnsteel Bracers
			[41132] = 136, -- Swiftsteel Bracers
			[46141] = 813, -- Hard Khorium Battlefists
			[46144] = 820, -- Hard Khorium Battleplate
			[46140] = 813, -- Sunblessed Gauntlets
			[36389] = 137, -- Belt of the Guardian
			[29669] = 136, -- Black Felsteel Bracers
			[34542] = 136, -- Black Planar Edge
			[36258] = 4, -- Blazefury
			[34537] = 4, -- Blazeguard
			[29672] = 137, -- Blessed Bracers
			[36261] = 323, -- Bloodmoon
			[36391] = 137, -- Boots of the Protector
			[29671] = 137, -- Bracers of the Green Fortress
			[34534] = 137, -- Bulwark of Kings
			[36257] = 137, -- Bulwark of the Ancient Kings
			[41135] = 820, -- Dawnsteel Shoulders
			[34548] = 137, -- Deep Thunder
			[29699] = 820, -- Dirge
			[34546] = 4, -- Dragonmaw
			[36262] = 4, -- Dragonstrike
			[29649] = 137, -- Earthpeace Breastplate
			[36256] = 323, -- Embrace of the Twisting Nether
			[29610] = 137, -- Enchanted Adamantite Breastplate
			[29613] = 137, -- Enchanted Adamantite Leggings
			[29698] = 813, -- Eternium Runed Blade
			[29694] = 136, -- Fel Edged Battleaxe
			[29697] = 136, -- Fel Hardened Maul
			[29658] = 136, -- Felfury Gauntlets
			[29619] = 136, -- Felsteel Gloves
			[29621] = 136, -- Felsteel Helm
			[29620] = 136, -- Felsteel Leggings
			[29692] = 136, -- Felsteel Longblade
			[29695] = 136, -- Felsteel Reaper
			[29657] = 136, -- Felsteel Shield Spike
			[29617] = 136, -- Flamebane Breastplate
			[29616] = 136, -- Flamebane Gloves
			[29622] = 137, -- Gauntlets of the Iron Tower
			[29729] = 813, -- Greater Ward of Shielding
			[43846] = 820, -- Hammer of Righteous Might
			[29700] = 820, -- Hand of Eternity
			[29664] = 137, -- Helm of the Stalwart Defender
			[38477] = 820, -- Iceguard Breastplate
			[38479] = 820, -- Iceguard Helm
			[38478] = 820, -- Iceguard Leggings
			[29628] = 820, -- Khorium Belt
			[29630] = 820, -- Khorium Boots
			[29693] = 820, -- Khorium Champion
			[29629] = 820, -- Khorium Pants
			[34540] = 820, -- Lionheart Champion
			[36259] = 820, -- Lionheart Executioner
			[34544] = 137, -- Mooncleaver
			[29668] = 137, -- Oathkeeper's Helm
			[29645] = 136, -- Ragesteel Breastplate
			[29642] = 136, -- Ragesteel Gloves
			[29643] = 136, -- Ragesteel Helm
			[42662] = 136, -- Ragesteel Shoulders
			[36390] = 137, -- Red Belt of Battle
			[36392] = 137, -- Red Havoc Boots
			[29696] = 820, -- Runic Hammer
			[40034] = 137, -- Shadesteel Bracers
			[40036] = 137, -- Shadesteel Girdle
			[40035] = 137, -- Shadesteel Greaves
			[40033] = 137, -- Shadesteel Sabots
			[29662] = 136, -- Steelgrip Gauntlets
			[29663] = 137, -- Storm Helm
			[36263] = 137, -- Stormherald
			[46142] = 820, -- Sunblessed Breastplate
			[29648] = 136, -- Swiftsteel Gloves
			[41133] = 136, -- Swiftsteel Shoulders
			[34530] = 323, -- Twisting Nether Chain Shirt
			[36260] = 323, -- Wicked Edge of the Planes
			[38473] = 136, -- Wildguard Breastplate
			[38476] = 136, -- Wildguard Helm
			[38475] = 136, -- Wildguard Leggings
			[29608] = 137, -- Enchanted Adamantite Belt
			[29611] = 137, -- Enchanted Adamantite Boots
			[29615] = 136, -- Flamebane Helm
			[34533] = 137, -- Breastplate of Kings
			[34545] = 813, -- Drakefist Hammer
			[34535] = 136, -- Fireguard
			[29614] = 136, -- Flamebane Bracers
			[34538] = 820, -- Lionheart Blade
			[34543] = 813, -- Lunar Crescent
			[34529] = 323, -- Nether Chain Shirt
			[34541] = 136, -- The Planar Edge
			[34547] = 820, -- Thunder
			[29606] = 137, -- Adamantite Breastplate
			[29656] = 137, -- Adamantite Sharpening Stone
			[34608] = 137, -- Adamantite Weightstone
			[32285] = 820, -- Greater Rune of Warding
			[29603] = 137, -- Adamantite Plate Bracers
			[29605] = 137, -- Adamantite Plate Gloves
			[29571] = 137, -- Adamantite Rapier
			[42688] = 137, -- Adamantite Weapon Chain
			[29568] = 137, -- Adamantite Cleaver
			[29569] = 137, -- Adamantite Dagger
			[36137] = 137, -- Great Earthforged Hammer
			[36129] = 137, -- Heavy Earthforged Breastplate
			[36136] = 137, -- Lavaforged Warhammer
			[36135] = 137, -- Skyforged Great Axe
			[36133] = 137, -- Stoneforged Claymore
			[36134] = 137, -- Stormforged Axe
			[36130] = 137, -- Stormforged Hauberk
			[36131] = 137, -- Windforged Rapier
			[29728] = 137, -- Lesser Ward of Shielding
			[29566] = 137, -- Adamantite Maul
			[29550] = 136, -- Fel Iron Breastplate
			[29556] = 136, -- Fel Iron Chain Tunic
			[29565] = 136, -- Fel Iron Greatsword
			[29553] = 136, -- Fel Iron Chain Bracers
			[29558] = 136, -- Fel Iron Hammer
			[29548] = 136, -- Fel Iron Plate Boots
			[29549] = 136, -- Fel Iron Plate Pants
			[32284] = 137, -- Lesser Rune of Warding
			[29552] = 136, -- Fel Iron Chain Gloves
			[29557] = 136, -- Fel Iron Hatchet
			[29547] = 136, -- Fel Iron Plate Belt
			[29551] = 136, -- Fel Iron Chain Coif
			[29545] = 136, -- Fel Iron Plate Gloves
			[29654] = 136, -- Fel Sharpening Stone
			[34607] = 136, -- Fel Weightstone
			[36122] = 134, -- Earthforged Leggings
			[36128] = 134, -- Light Emberforged Hammer
			[36126] = 134, -- Light Skyforged Axe
			[36124] = 134, -- Windforged Leggings
			-- Classic
			[16991] = 135, -- Annihilator
			[16990] = 5, -- Arcanite Champion
			[16994] = 5, -- Arcanite Reaper
			[23638] = 5, -- Black Amnesty
			[27589] = 819, -- Black Grasp of the Destroyer
			[23639] = 5, -- Blackfury
			[23652] = 5, -- Blackguard
			[16978] = 62, -- Blazing Rapier
			[24136] = 135, -- Bloodsoul Breastplate
			[24138] = 135, -- Bloodsoul Gauntlets
			[24137] = 135, -- Bloodsoul Shoulders
			[16985] = 135, -- Corruption
			[24399] = 910, -- Dark Iron Boots
			[20874] = 910, -- Dark Iron Bracers
			[20897] = 910, -- Dark Iron Destroyer
			[23637] = 910, -- Dark Iron Gauntlets
			[23636] = 910, -- Dark Iron Helm
			[20876] = 910, -- Dark Iron Leggings
			[15296] = 910, -- Dark Iron Plate
			[20890] = 910, -- Dark Iron Reaver
			[15295] = 910, -- Dark Iron Shoulders
			[24914] = 135, -- Darkrune Breastplate
			[24912] = 135, -- Darkrune Gauntlets
			[24913] = 135, -- Darkrune Helm
			[24139] = 135, -- Darksoul Breastplate
			[24140] = 135, -- Darksoul Leggings
			[24141] = 135, -- Darksoul Shoulders
			[16970] = 62, -- Dawn's Edge
			[16660] = 135, -- Dawnbringer Shoulders
			[16667] = 135, -- Demon Forged Breastplate
			[23650] = 5, -- Ebon Hand
			[22757] = 809, -- Elemental Sharpening Stone
			[16973] = 62, -- Enchanted Battlehammer
			[16745] = 62, -- Enchanted Thorium Breastplate
			[16742] = 62, -- Enchanted Thorium Helm
			[16744] = 62, -- Enchanted Thorium Leggings
			[20872] = 910, -- Fiery Chain Girdle
			[20873] = 910, -- Fiery Chain Shoulders
			[16655] = 135, -- Fiery Plate Gauntlets
			[16992] = 5, -- Frostguard
			[23632] = 135, -- Girdle of the Dawn
			[23633] = 812, -- Gloves of the Dawn
			[16988] = 135, -- Hammer of the Titans
			[16995] = 62, -- Heartseeker
			[27585] = 819, -- Heavy Obsidian Belt
			[23628] = 135, -- Heavy Timbermaw Belt
			[23629] = 5, -- Heavy Timbermaw Boots
			[16728] = 135, -- Helm of the Great Chief
			[16971] = 135, -- Huge Thorium Battleaxe
			[28244] = 135, -- Icebane Bracers
			[28242] = 135, -- Icebane Breastplate
			[28243] = 135, -- Icebane Gauntlets
			[16657] = 135, -- Imperial Plate Boots
			[16663] = 135, -- Imperial Plate Chest
			[16658] = 135, -- Imperial Plate Helm
			[16730] = 135, -- Imperial Plate Leggings
			[16746] = 62, -- Invulnerable Mail
			[28463] = 62, -- Ironvine Belt
			[28461] = 62, -- Ironvine Breastplate
			[28462] = 62, -- Ironvine Gloves
			[27586] = 819, -- Jagged Obsidian Shield
			[36125] = 134, -- Light Earthforged Blade
			[27588] = 819, -- Light Obsidian Belt
			[16729] = 135, -- Lionheart Helm
			[16993] = 62, -- Masterwork Stormhammer
			[23653] = 910, -- Nightfall
			[27590] = 819, -- Obsidian Mail Tunic
			[16969] = 135, -- Ornate Thorium Handaxe
			[27830] = 910, -- Persuader
			[16656] = 135, -- Radiant Boots
			[16659] = 135, -- Radiant Circlet
			[16654] = 135, -- Radiant Gloves
			[16725] = 135, -- Radiant Leggings
			[16731] = 135, -- Runic Breastplate
			[16665] = 135, -- Runic Plate Boots
			[16726] = 135, -- Runic Plate Helm
			[16732] = 135, -- Runic Plate Leggings
			[16664] = 135, -- Runic Plate Shoulders
			[27832] = 5, -- Sageblade
			[16983] = 62, -- Serenity
			[16661] = 62, -- Storm Gauntlets
			[16741] = 62, -- Stronghold Gauntlets
			[21161] = 400, -- Sulfuron Hammer
			[27587] = 819, -- Thick Obsidian Breastplate
			[16652] = 135, -- Thorium Boots
			[16653] = 135, -- Thorium Helm
			[16662] = 135, -- Thorium Leggings
			[27829] = 62, -- Titanic Leggings
			[16984] = 135, -- Volcanic Hammer
			[16724] = 135, -- Whitesoul Helm
			[15294] = 910, -- Dark Iron Sunderer
			[16651] = 135, -- Thorium Shield Spike
			[15293] = 910, -- Dark Iron Mail
			[16649] = 135, -- Imperial Plate Bracers
			[16648] = 135, -- Radiant Breastplate
			[16650] = 135, -- Wildthorn Mail
			[15292] = 910, -- Dark Iron Pulverizer
			[16647] = 135, -- Imperial Plate Belt
			[16646] = 135, -- Imperial Plate Shoulders
			[10015] = 812, -- Truesilver Champion
			[10013] = 134, -- Ebon Shiv
			[16645] = 135, -- Radiant Belt
			[10011] = 134, -- Blight
			[16644] = 135, -- Thorium Bracers
			[19669] = 5, -- Arcanite Skeleton Key
			[10007] = 134, -- Phantom Blade
			[10009] = 134, -- Runed Mithril Hammer
			[16642] = 135, -- Thorium Armor
			[16643] = 135, -- Thorium Belt
			[10005] = 134, -- Dazzling Mithril Rapier
			[9979] = 134, -- Ornate Mithril Boots
			[9980] = 134, -- Ornate Mithril Helm
			[9974] = 812, -- Truesilver Breastplate
			[10003] = 134, -- The Shatterer
			[9972] = 134, -- Ornate Mithril Breastplate
			[10001] = 134, -- Big Black Mace
			[9968] = 134, -- Heavy Mithril Boots
			[9970] = 134, -- Heavy Mithril Helm
			[9966] = 134, -- Mithril Scale Shoulders
			[9964] = 134, -- Mithril Spurs
			[16639] = 809, -- Dense Grinding Stone
			[16641] = 809, -- Dense Sharpening Stone
			[16640] = 809, -- Dense Weightstone
			[9997] = 134, -- Wicked Mithril Blade
			[9959] = 134, -- Heavy Mithril Breastplate
			[9961] = 134, -- Mithril Coif
			[9957] = 134, -- Orcish War Leggings
			[9995] = 134, -- Blue Glittering Axe
			[9952] = 134, -- Ornate Mithril Shoulder
			[9954] = 134, -- Truesilver Gauntlets
			[9950] = 134, -- Ornate Mithril Gloves
			[9945] = 134, -- Ornate Mithril Pants
			[9993] = 134, -- Heavy Mithril Axe
			[9937] = 134, -- Mithril Scale Bracers
			[9939] = 134, -- Mithril Shield Spike
			[9935] = 909, -- Steel Plate Helm
			[9933] = 134, -- Heavy Mithril Pants
			[9931] = 134, -- Mithril Scale Pants
			[3497] = 909, -- Frost Tiger Blade
			[3515] = 130, -- Golden Scale Boots
			[11454] = 134, -- Inlaid Mithril Cylinder
			[3500] = 909, -- Shadow Crescent Axe
			[9916] = 909, -- Steel Breastplate
			[11643] = 130, -- Golden Scale Gauntlets
			[9928] = 134, -- Heavy Mithril Gauntlet
			[9926] = 134, -- Heavy Mithril Shoulder
			[3511] = 130, -- Golden Scale Cuirass
			[21913] = 909, -- Edge of Winter
			[3503] = 130, -- Golden Scale Coif
			[15973] = 130, -- Searing Golden Blade
			[7224] = 909, -- Steel Weapon Chain
			[9820] = 909, -- Barbaric Iron Gloves
			[7223] = 909, -- Golden Scale Bracers
			[3498] = 909, -- Massive Iron Axe
			[3513] = 909, -- Polished Steel Boots
			[9818] = 909, -- Barbaric Iron Boots
			[15972] = 909, -- Glinting Steel Dagger
			[3508] = 909, -- Green Iron Hauberk
			[3496] = 909, -- Moonsteel Broadsword
			[9814] = 909, -- Barbaric Iron Helm
			[3505] = 909, -- Golden Scale Shoulders
			[3493] = 909, -- Jade Serpentblade
			[19668] = 812, -- Truesilver Skeleton Key
			[9920] = 809, -- Solid Grinding Stone
			[9918] = 809, -- Solid Sharpening Stone
			[9921] = 809, -- Solid Weightstone
			[3495] = 130, -- Golden Iron Destroyer
			[3507] = 130, -- Golden Scale Leggings
			[3502] = 909, -- Green Iron Helm
			[3501] = 909, -- Green Iron Bracers
			[7222] = 909, -- Iron Counterweight
			[9813] = 909, -- Barbaric Iron Breastplate
			[9811] = 909, -- Barbaric Iron Shoulders
			[3504] = 909, -- Green Iron Shoulders
			[3492] = 909, -- Hardened Iron Shortsword
			[3336] = 909, -- Green Iron Gauntlets
			[7221] = 909, -- Iron Shield Spike
			[3506] = 909, -- Green Iron Leggings
			[12259] = 131, -- Silvered Bronze Leggings
			[3494] = 909, -- Solid Iron Maul
			[3334] = 909, -- Green Iron Boots
			[3297] = 909, -- Mighty Iron Hammer
			[2675] = 131, -- Shining Silver Breastplate
			[6518] = 133, -- Iridescent Hammer
			[9987] = 133, -- Bronze Battle Axe
			[3333] = 131, -- Silvered Bronze Gauntlets
			[9986] = 133, -- Bronze Greatsword
			[3296] = 133, -- Heavy Bronze Mace
			[3331] = 131, -- Silvered Bronze Boots
			[2673] = 131, -- Silvered Bronze Breastplate
			[9985] = 133, -- Bronze Warhammer
			[3295] = 133, -- Deadly Bronze Poniard
			[3330] = 131, -- Silvered Bronze Shoulders
			[2742] = 133, -- Bronze Shortsword
			[2672] = 133, -- Patterned Bronze Bracers
			[19667] = 130, -- Golden Skeleton Key
			[8768] = 909, -- Iron Buckle
			[2741] = 133, -- Bronze Axe
			[2670] = 133, -- Rough Bronze Cuirass
			[2668] = 133, -- Rough Bronze Leggings
			[8367] = 132, -- Ironforge Breastplate
			[2740] = 133, -- Bronze Mace
			[6517] = 133, -- Pearl-handled Dagger
			[3328] = 133, -- Rough Bronze Shoulders
			[3292] = 132, -- Heavy Copper Broadsword
			[3491] = 133, -- Big Bronze Knife
			[7817] = 133, -- Rough Bronze Boots
			[3337] = 809, -- Heavy Grinding Stone
			[2674] = 809, -- Heavy Sharpening Stone
			[3117] = 809, -- Heavy Weightstone
			[2667] = 132, -- Runed Copper Breastplate
			[2664] = 132, -- Runed Copper Bracers
			[2666] = 132, -- Runed Copper Belt
			[3294] = 132, -- Thick War Axe
			[7408] = 132, -- Heavy Copper Maul
			[3325] = 132, -- Gemmed Copper Gauntlets
			[19666] = 131, -- Silver Skeleton Key
			[3324] = 132, -- Runed Copper Pants
			[3323] = 132, -- Runed Copper Gauntlets
			[3293] = 132, -- Copper Battle Axe
			[2661] = 132, -- Copper Chain Belt
			[3321] = 132, -- Copper Chain Vest
			[43549] = 132, -- Heavy Copper Longsword
			[3326] = 809, -- Coarse Grinding Stone
			[9983] = 132, -- Copper Claymore
			[8880] = 132, -- Copper Dagger
			[2739] = 132, -- Copper Shortsword
			[2665] = 132, -- Coarse Sharpening Stone
			[3116] = 132, -- Coarse Weightstone
			[2738] = 132, -- Copper Axe
			[3319] = 132, -- Copper Chain Boots
			[2737] = 132, -- Copper Mace
			[2662] = 132, -- Copper Chain Pants
			[3320] = 809, -- Rough Grinding Stone
			[2663] = 132, -- Copper Bracers
			[12260] = 132, -- Rough Copper Vest
			[2660] = 809, -- Rough Sharpening Stone
			[3115] = 809, -- Rough Weightstone

			--! Enchanting
			-- Shadowlands
			[309645] = 646, -- Eternal Crystal
			[309644] = 646, -- Sacred Shard
			[309610] = 646, -- Shaded Hearthing
			[309524] = 646, -- Shadowlands Gathering
			[323609] = 646, -- Soul Treads
			[309532] = 646, -- Agile Soulwalker
			[309608] = 646, -- Illuminated Soul
			[309525] = 646, -- Strength of Soul
			[265105] = 646, -- Enchanted Twilight Wand
			[309627] = 646, -- Celestial Guidance
			[309530] = 646, -- Fortified Avoidance
			[309531] = 646, -- Fortified Leech
			[309528] = 646, -- Fortified Speed
			[323762] = 646, -- Sacred Stats
			[343680] = 114, -- Novice Crafter's Mark
			[309612] = 646, -- Bargain of Critical Strike
			[343684] = 114, -- Crafter's Mark I
			[309613] = 646, -- Bargain of Haste
			[355184] = 646, -- Anima-ted Leash
			[309614] = 646, -- Bargain of Mastery
			[309615] = 646, -- Bargain of Versatility
			[323755] = 646, -- Soul Vitality
			[343683] = 114, -- Crafter's Mark II
			[309535] = 646, -- Eternal Bulwark
			[342316] = 646, -- Eternal Insight
			[309534] = 646, -- Eternal Agility
			[309609] = 646, -- Eternal Intellect
			[309526] = 646, -- Eternal Strength
			[309616] = 646, -- Tenet of Critical Strike
			[309617] = 646, -- Tenet of Haste
			[309618] = 646, -- Tenet of Mastery
			[309619] = 646, -- Tenet of Versatility
			[360013] = 646, -- Cosmic Protoweave
			[360007] = 646, -- Magically Regulated Automa Core
			[324773] = 646, -- Eternal Stats
			[323761] = 646, -- Eternal Bounds
			[323760] = 646, -- Eternal Skirmish
			[309622] = 646, -- Ascended Vigor
			[309621] = 646, -- Eternal Grace
			[309620] = 646, -- Lightless Force
			[309623] = 646, -- Sinful Revelation
			[309636] = 646, -- Enchanted Elethium Bar
			[309637] = 646, -- Enchanted Heavy Callous Hide
			[309638] = 646, -- Enchanted Lightless Silk
			[346026] = 646, -- Boundless Basket
			[338125] = 646, -- Everburning Brand
			[338121] = 646, -- True Aim Spear
			[338123] = 646, -- Unbreakable Crystal
			-- Kul Tiras/Zandalar
			[298011] = 646, -- Accord of Critical Strike
			[298010] = 646, -- Accord of Critical Strike
			[298009] = 646, -- Accord of Critical Strike
			[298016] = 646, -- Accord of Haste
			[297994] = 646, -- Accord of Haste
			[297989] = 646, -- Accord of Haste
			[298002] = 646, -- Accord of Mastery
			[298001] = 646, -- Accord of Mastery
			[297995] = 646, -- Accord of Mastery
			[297999] = 646, -- Accord of Versatility
			[297991] = 646, -- Accord of Versatility
			[297993] = 646, -- Accord of Versatility
			[287270] = 801, -- Aqueous Invocation
			[255105] = 646, -- Coastal Surge
			[255104] = 646, -- Coastal Surge
			[255103] = 646, -- Coastal Surge
			[271433] = 646, -- Cooled Hearthing
			[268908] = 646, -- Deadly Navigation
			[268909] = 646, -- Deadly Navigation
			[268907] = 646, -- Deadly Navigation
			[278418] = 646, -- Disenchanting Rod
			[285644] = 646, -- Enchanted Tiki Mask
			[265111] = 646, -- Enchanter's Sorcerous Scepter
			[265112] = 646, -- Enchanter's Sorcerous Scepter
			[265110] = 646, -- Enchanter's Sorcerous Scepter
			[265106] = 646, -- Enchanter's Umbral Wand
			[298440] = 646, -- Force Multiplier
			[298439] = 646, -- Force Multiplier
			[300788] = 646, -- Force Multiplier
			[255143] = 646, -- Gale-Force Striking
			[255142] = 646, -- Gale-Force Striking
			[255141] = 646, -- Gale-Force Striking
			[269719] = 646, -- Honorable Combatant's Sorcerous Scepter
			[269716] = 646, -- Honorable Combatant's Sorcerous Scepter
			[269715] = 646, -- Honorable Combatant's Sorcerous Scepter
			[287494] = 646, -- Iwen's Enchanting Rod
			[255070] = 646, -- Kul Tiran Crafting
			[255035] = 646, -- Kul Tiran Herbalism
			[255040] = 646, -- Kul Tiran Mining
			[255065] = 646, -- Kul Tiran Skinning
			[255066] = 646, -- Kul Tiran Surveying
			[301412] = 646, -- Light-Step Hoofplates
			[298433] = 646, -- Machinist's Brilliance
			[300769] = 646, -- Machinist's Brilliance
			[300770] = 646, -- Machinist's Brilliance
			[268902] = 646, -- Masterful Navigation
			[268903] = 646, -- Masterful Navigation
			[268901] = 646, -- Masterful Navigation
			[298442] = 646, -- Naga Hide
			[298441] = 646, -- Naga Hide
			[300789] = 646, -- Naga Hide
			[294783] = 646, -- Notorious Combatant's Sorcerous Scepter
			[294782] = 646, -- Notorious Combatant's Sorcerous Scepter
			[294781] = 646, -- Notorious Combatant's Sorcerous Scepter
			[298438] = 646, -- Oceanic Restoration
			[298437] = 646, -- Oceanic Restoration
			[298515] = 646, -- Oceanic Restoration
			[255090] = 646, -- Pact of Critical Strike
			[255098] = 646, -- Pact of Critical Strike
			[255075] = 646, -- Pact of Critical Strike
			[255091] = 646, -- Pact of Haste
			[255099] = 646, -- Pact of Haste
			[255076] = 646, -- Pact of Haste
			[255092] = 646, -- Pact of Mastery
			[255100] = 646, -- Pact of Mastery
			[255077] = 646, -- Pact of Mastery
			[255093] = 646, -- Pact of Versatility
			[255101] = 646, -- Pact of Versatility
			[255078] = 646, -- Pact of Versatility
			[268895] = 646, -- Quick Navigation
			[268897] = 646, -- Quick Navigation
			[268894] = 646, -- Quick Navigation
			[271366] = 646, -- Safe Hearthing
			[286665] = 321, -- Sanguinated Expulsion
			[286644] = 412, -- Sanguinated Invocation
			[255094] = 646, -- Seal of Critical Strike
			[255086] = 646, -- Seal of Critical Strike
			[255071] = 646, -- Seal of Critical Strike
			[255095] = 646, -- Seal of Haste
			[255087] = 646, -- Seal of Haste
			[255072] = 646, -- Seal of Haste
			[255096] = 646, -- Seal of Mastery
			[255088] = 646, -- Seal of Mastery
			[255073] = 646, -- Seal of Mastery
			[255097] = 646, -- Seal of Versatility
			[255089] = 646, -- Seal of Versatility
			[255074] = 646, -- Seal of Versatility
			[282857] = 646, -- Sinister Combatant's Sorcerous Scepter
			[282855] = 646, -- Sinister Combatant's Sorcerous Scepter
			[282851] = 646, -- Sinister Combatant's Sorcerous Scepter
			[255112] = 646, -- Siphoning
			[255111] = 646, -- Siphoning
			[255110] = 646, -- Siphoning
			[268914] = 646, -- Stalwart Navigation
			[268915] = 646, -- Stalwart Navigation
			[268913] = 646, -- Stalwart Navigation
			[255068] = 646, -- Swift Hearthing
			[267495] = 646, -- Swift Hearthing
			[255131] = 646, -- Torrent of Elements
			[255130] = 646, -- Torrent of Elements
			[255129] = 646, -- Torrent of Elements
			[290360] = 646, -- Umbra Shatter
			[305936] = 646, -- Uncanny Combatant's Sorcerous Scepter
			[305937] = 646, -- Uncanny Combatant's Sorcerous Scepter
			[305938] = 646, -- Uncanny Combatant's Sorcerous Scepter
			[290361] = 646, -- Veiled Shatter
			[268878] = 646, -- Versatile Navigation
			[268879] = 646, -- Versatile Navigation
			[268852] = 646, -- Versatile Navigation
			[267498] = 646, -- Zandalari Crafting
			[267458] = 646, -- Zandalari Herbalism
			[267482] = 646, -- Zandalari Mining
			[267486] = 646, -- Zandalari Skinning
			[267490] = 646, -- Zandalari Surveying
			-- Legion
			[191021] = 646, -- Binding of Agility
			[191004] = 646, -- Binding of Agility
			[190878] = 646, -- Binding of Agility
			[191013] = 646, -- Binding of Critical Strike
			[190996] = 646, -- Binding of Critical Strike
			[190870] = 646, -- Binding of Critical Strike
			[191014] = 646, -- Binding of Haste
			[190997] = 646, -- Binding of Haste
			[190871] = 646, -- Binding of Haste
			[191022] = 646, -- Binding of Intellect
			[191005] = 646, -- Binding of Intellect
			[190879] = 646, -- Binding of Intellect
			[191015] = 646, -- Binding of Mastery
			[190998] = 646, -- Binding of Mastery
			[190872] = 646, -- Binding of Mastery
			[191020] = 646, -- Binding of Strength
			[191003] = 646, -- Binding of Strength
			[190877] = 646, -- Binding of Strength
			[191016] = 646, -- Binding of Versatility
			[190999] = 646, -- Binding of Versatility
			[190873] = 646, -- Binding of Versatility
			[190954] = 646, -- Boon of the Scavenger
			[252106] = 646, -- Chaos Shatter
			[191074] = 646, -- Enchanted Cauldron
			[191076] = 646, -- Enchanted Pen
			[191075] = 646, -- Enchanted Torch
			[209509] = 646, -- Immaculate Fibril
			[190988] = 646, -- Legion Herbalism
			[190989] = 646, -- Legion Mining
			[190990] = 646, -- Legion Skinning
			[190991] = 646, -- Legion Surveying
			[224199] = 646, -- Ley Shatter
			[191078] = 646, -- Leylight Brazier
			[228410] = 646, -- Mark of the Ancient Priestess
			[228409] = 646, -- Mark of the Ancient Priestess
			[228408] = 646, -- Mark of the Ancient Priestess
			[191023] = 646, -- Mark of the Claw
			[191006] = 646, -- Mark of the Claw
			[190892] = 646, -- Mark of the Claw
			[235706] = 646, -- Mark of the Deadly
			[235702] = 646, -- Mark of the Deadly
			[235698] = 646, -- Mark of the Deadly
			[191024] = 646, -- Mark of the Distant Army
			[191007] = 646, -- Mark of the Distant Army
			[190893] = 646, -- Mark of the Distant Army
			[228404] = 646, -- Mark of the Heavy Hide
			[228403] = 646, -- Mark of the Heavy Hide
			[228402] = 646, -- Mark of the Heavy Hide
			[191025] = 646, -- Mark of the Hidden Satyr
			[191008] = 646, -- Mark of the Hidden Satyr
			[190894] = 646, -- Mark of the Hidden Satyr
			[235703] = 646, -- Mark of the Master
			[235699] = 646, -- Mark of the Master
			[235695] = 646, -- Mark of the Master
			[235705] = 646, -- Mark of the Quick
			[235701] = 646, -- Mark of the Quick
			[235697] = 646, -- Mark of the Quick
			[228407] = 646, -- Mark of the Trained Soldier
			[228406] = 646, -- Mark of the Trained Soldier
			[228405] = 646, -- Mark of the Trained Soldier
			[235704] = 646, -- Mark of the Versatile
			[235700] = 646, -- Mark of the Versatile
			[235696] = 646, -- Mark of the Versatile
			[209507] = 16, -- Soul Fibril
			[191018] = 646, -- Word of Agility
			[191001] = 646, -- Word of Agility
			[190875] = 646, -- Word of Agility
			[191009] = 646, -- Word of Critical Strike
			[190992] = 646, -- Word of Critical Strike
			[190866] = 646, -- Word of Critical Strike
			[191010] = 646, -- Word of Haste
			[190993] = 646, -- Word of Haste
			[190867] = 646, -- Word of Haste
			[191019] = 646, -- Word of Intellect
			[191002] = 646, -- Word of Intellect
			[190876] = 646, -- Word of Intellect
			[191011] = 646, -- Word of Mastery
			[190994] = 646, -- Word of Mastery
			[190868] = 646, -- Word of Mastery
			[191017] = 646, -- Word of Strength
			[191000] = 646, -- Word of Strength
			[190874] = 646, -- Word of Strength
			[191012] = 646, -- Word of Versatility
			[190995] = 646, -- Word of Versatility
			[190869] = 646, -- Word of Versatility
			-- Draenor
			[158877] = 646, -- Breath of Critical Strike
			[158892] = 646, -- Breath of Critical Strike
			[158907] = 646, -- Breath of Critical Strike
			[158878] = 646, -- Breath of Haste
			[158893] = 646, -- Breath of Haste
			[158908] = 646, -- Breath of Haste
			[158879] = 646, -- Breath of Mastery
			[158894] = 646, -- Breath of Mastery
			[158909] = 646, -- Breath of Mastery
			[158881] = 646, -- Breath of Versatility
			[158896] = 646, -- Breath of Versatility
			[158911] = 646, -- Breath of Versatility
			[162948] = 646, -- Enchanted Dust
			[158884] = 646, -- Gift of Critical Strike
			[158899] = 646, -- Gift of Critical Strike
			[158914] = 646, -- Gift of Critical Strike
			[158885] = 646, -- Gift of Haste
			[158900] = 646, -- Gift of Haste
			[158915] = 646, -- Gift of Haste
			[158886] = 646, -- Gift of Mastery
			[158901] = 646, -- Gift of Mastery
			[158916] = 646, -- Gift of Mastery
			[158889] = 646, -- Gift of Versatility
			[158903] = 646, -- Gift of Versatility
			[158918] = 646, -- Gift of Versatility
			[169091] = 646, -- Luminous Shard
			[159674] = 646, -- Mark of Blackrock
			[173323] = 646, -- Mark of Bleeding Hollow
			[159673] = 646, -- Mark of Shadowmoon
			[159672] = 646, -- Mark of the Frostwolf
			[159236] = 646, -- Mark of the Shattered Hand
			[159235] = 646, -- Mark of the Thunderlord
			[159671] = 646, -- Mark of Warsong
			[177043] = 114, -- Secrets of Draenor Enchanting
			[182129] = 646, -- Temporal Binding
			[169092] = 646, -- Temporal Crystal
			[217655] = 646, -- Tome of Illusions: Draenor
			-- Pandaria
			[104440] = 646, -- Colossus
			[104434] = 646, -- Dancing Steel
			[104390] = 646, -- Exceptional Strength
			[104395] = 646, -- Glorious Stats
			[104391] = 646, -- Greater Agility
			[130758] = 646, -- Greater Parry
			[104401] = 646, -- Greater Protection
			[104427] = 646, -- Jade Spirit
			[104445] = 646, -- Major Intellect
			[104414] = 646, -- Pandaren's Step
			[104442] = 646, -- River's Song
			[104389] = 646, -- Super Intellect
			[104419] = 646, -- Super Strength
			[104420] = 646, -- Superior Mastery
			[217650] = 646, -- Tome of Illusions: Pandaria
			[217651] = 646, -- Tome of Illusions: Secrets of the Shado-Pan
			[104398] = 646, -- Accuracy
			[104409] = 646, -- Blurred Speed
			[104407] = 646, -- Greater Haste
			[104417] = 646, -- Superior Haste
			[104397] = 646, -- Superior Stamina
			[104425] = 646, -- Windsong
			[104430] = 646, -- Elemental Force
			[104416] = 646, -- Greater Haste
			[104408] = 646, -- Greater Precision
			[104385] = 646, -- Major Dodge
			[104393] = 646, -- Mighty Versatility
			[104392] = 646, -- Super Armor
			[104403] = 646, -- Superior Intellect
			[104338] = 646, -- Mastery
			[104404] = 646, -- Superior Critical Strike
			[116498] = 646, -- Ethereal Shard
			[118238] = 646, -- Ethereal Shatter
			[118237] = 646, -- Mysterious Diffusion
			[116497] = 646, -- Mysterious Essence
			[116499] = 646, -- Sha Crystal
			[118239] = 646, -- Sha Shatter
			-- Cataclysm
			[96264] = 646, -- Agility
			[74252] = 646, -- Assassin's Step
			[74197] = 646, -- Avalanche
			[74230] = 646, -- Critical Strike
			[74201] = 646, -- Critical Strike
			[74189] = 646, -- Earthen Vitality
			[74211] = 646, -- Elemental Slayer
			[93841] = 646, -- Enchanted Lantern
			[74212] = 646, -- Exceptional Strength
			[74237] = 646, -- Exceptional Versatility
			[74231] = 646, -- Exceptional Versatility
			[74247] = 646, -- Greater Critical Strike
			[74248] = 646, -- Greater Critical Strike
			[74239] = 646, -- Greater Haste
			[74220] = 646, -- Greater Haste
			[74240] = 646, -- Greater Intellect
			[74255] = 646, -- Greater Mastery
			[74256] = 646, -- Greater Speed
			[74251] = 646, -- Greater Stamina
			[74198] = 646, -- Haste
			[74199] = 646, -- Haste
			[74225] = 646, -- Heartsong
			[74223] = 646, -- Hurricane
			[74202] = 646, -- Intellect
			[74246] = 646, -- Landslide
			[74253] = 646, -- Lavawalker
			[74192] = 646, -- Lesser Power
			[104698] = 646, -- Maelstrom Shatter
			[93843] = 646, -- Magic Lamp
			[74213] = 646, -- Major Agility
			[96261] = 646, -- Major Strength
			[74238] = 646, -- Mastery
			[74226] = 646, -- Mastery
			[74132] = 646, -- Mastery
			[74195] = 646, -- Mending
			[95471] = 646, -- Mighty Agility
			[74214] = 646, -- Mighty Armor
			[96262] = 646, -- Mighty Intellect
			[74191] = 646, -- Mighty Stats
			[74254] = 646, -- Mighty Strength
			[74250] = 646, -- Peerless Stats
			[74242] = 646, -- Power Torrent
			[74236] = 646, -- Precision
			[74232] = 646, -- Precision
			[74234] = 646, -- Protection
			[74207] = 646, -- Protection
			[74193] = 646, -- Speed
			[74200] = 646, -- Stamina
			[74229] = 646, -- Superior Dodge
			[74235] = 646, -- Superior Intellect
			[217645] = 646, -- Tome of Illusions: Cataclysm
			[217649] = 646, -- Tome of Illusions: Elemental Lords
			[74244] = 646, -- Windwalk
			-- Northrend
			[69412] = 646, -- Abyssal Shatter
			[59619] = 646, -- Accuracy
			[71692] = 646, -- Angler
			[44625] = 646, -- Armsman
			[60606] = 646, -- Assault
			[60616] = 646, -- Assault
			[59621] = 646, -- Berserking
			[59625] = 646, -- Black Magic
			[64441] = 646, -- Blade Ward
			[64579] = 646, -- Blood Draining
			[60668] = 646, -- Crusher
			[44489] = 646, -- Dodge
			[44633] = 646, -- Exceptional Agility
			[44588] = 646, -- Exceptional Armor
			[44555] = 646, -- Exceptional Intellect
			[27958] = 646, -- Exceptional Mana
			[44629] = 646, -- Exceptional Spellpower
			[44592] = 646, -- Exceptional Spellpower
			[44510] = 646, -- Exceptional Versatility
			[44506] = 646, -- Gatherer
			[44621] = 646, -- Giant Slayer
			[60763] = 646, -- Greater Assault
			[44575] = 646, -- Greater Assault
			[44513] = 646, -- Greater Assault
			[47766] = 646, -- Greater Dodge
			[44528] = 646, -- Greater Fortitude
			[60653] = 646, -- Greater Intellect
			[60621] = 646, -- Greater Potency
			[44630] = 646, -- Greater Savagery
			[47898] = 646, -- Greater Speed
			[62948] = 646, -- Greater Spellpower
			[44635] = 646, -- Greater Spellpower
			[44616] = 646, -- Greater Stats
			[44509] = 646, -- Greater Versatility
			[44508] = 646, -- Greater Versatility
			[44584] = 646, -- Greater Vitality
			[44598] = 646, -- Haste
			[44484] = 646, -- Haste
			[44524] = 646, -- Icebreaker
			[60623] = 646, -- Icewalker
			[44576] = 646, -- Lifeward
			[60663] = 646, -- Major Agility
			[44529] = 646, -- Major Agility
			[62256] = 646, -- Major Stamina
			[44593] = 646, -- Major Versatility
			[60691] = 646, -- Massacre
			[44492] = 646, -- Mighty Health
			[60714] = 646, -- Mighty Spellpower
			[47672] = 646, -- Mighty Stamina
			[44582] = 646, -- Minor Power
			[60692] = 646, -- Powerful Stats
			[44488] = 646, -- Precision
			[44595] = 646, -- Scourgebane
			[44631] = 646, -- Shadow Armor
			[60609] = 646, -- Speed
			[62959] = 646, -- Spellpower
			[47900] = 646, -- Super Health
			[44623] = 646, -- Super Stats
			[44589] = 646, -- Superior Agility
			[44500] = 646, -- Superior Agility
			[44591] = 646, -- Superior Dodge
			[60707] = 646, -- Superior Potency
			[60767] = 646, -- Superior Spellpower
			[217644] = 646, -- Tome of Illusions: Northrend
			[47901] = 646, -- Tuskarr's Vitality
			[47899] = 646, -- Wisdom
			-- Outland
			[44383] = 646, -- Armor
			[33996] = 646, -- Assault
			[28004] = 646, -- Battlemaster
			[33993] = 646, -- Blasting
			[34008] = 646, -- Boar's Speed
			[27899] = 646, -- Brawn
			[34007] = 646, -- Cat's Swiftness
			[46578] = 646, -- Deathfrost
			[27951] = 646, -- Dexterity
			[46594] = 646, -- Dodge
			[25086] = 646, -- Dodge
			[27957] = 646, -- Exceptional Health
			[27960] = 646, -- Exceptional Stats
			[42974] = 646, -- Executioner
			[27914] = 646, -- Fortitude
			[27950] = 646, -- Fortitude
			[42620] = 646, -- Greater Agility
			[34004] = 646, -- Greater Agility
			[47051] = 646, -- Greater Dodge
			[27906] = 646, -- Greater Dodge
			[27945] = 646, -- Intellect
			[28022] = 646, -- Large Prismatic Shard
			[34002] = 646, -- Lesser Assault
			[27944] = 646, -- Lesser Dodge
			[27977] = 646, -- Major Agility
			[33992] = 646, -- Major Armor
			[27961] = 646, -- Major Armor
			[33999] = 646, -- Major Healing
			[34010] = 646, -- Major Healing
			[27968] = 646, -- Major Intellect
			[34001] = 646, -- Major Intellect
			[27975] = 646, -- Major Spellpower
			[33997] = 646, -- Major Spellpower
			[34009] = 646, -- Major Stamina
			[33995] = 646, -- Major Strength
			[27967] = 646, -- Major Striking
			[33990] = 646, -- Major Versatility
			[27984] = 646, -- Mongoose
			[27946] = 646, -- Parry
			[27972] = 646, -- Potency
			[33994] = 646, -- Precise Strikes
			[28027] = 646, -- Prismatic Sphere
			[34003] = 646, -- PvP Power
			[27971] = 646, -- Savagery
			[42615] = 646, -- Small Prismatic Shard
			[27982] = 646, -- Soulfrost
			[27917] = 646, -- Spellpower
			[28003] = 646, -- Spellsurge
			[27905] = 646, -- Stats
			[25083] = 646, -- Stealth
			[25084] = 646, -- Subtlety
			[27981] = 646, -- Sunfire
			[25080] = 646, -- Superior Agility
			[27911] = 646, -- Superior Healing
			[28016] = 646, -- Superior Mana Oil
			[28019] = 646, -- Superior Wizard Oil
			[27954] = 646, -- Surefooted
			[25072] = 646, -- Threat
			[217641] = 646, -- Tome of Illusions: Outland
			[27913] = 646, -- Versatility Prime
			[33991] = 646, -- Versatility Prime
			[27948] = 646, -- Vitality
			[45765] = 646, -- Void Shatter
			[28028] = 646, -- Void Sphere
			-- Classic
			[13868] = 646, -- Advanced Herbalism
			[13841] = 646, -- Advanced Mining
			[23800] = 646, -- Agility
			[27837] = 646, -- Agility
			[13935] = 646, -- Agility
			[13815] = 646, -- Agility
			[23801] = 646, -- Argent Versatility
			[25130] = 646, -- Brilliant Mana Oil
			[25129] = 646, -- Brilliant Wizard Oil
			[20034] = 646, -- Crusader
			[13635] = 646, -- Defense
			[13915] = 646, -- Demonslaying
			[13931] = 646, -- Dodge
			[17181] = 646, -- Enchanted Leather
			[17180] = 62, -- Enchanted Thorium Bar
			[13898] = 646, -- Fiery Weapon
			[25078] = 646, -- Fire Power
			[13620] = 646, -- Fishing
			[25074] = 646, -- Frost Power
			[20023] = 646, -- Greater Agility
			[20012] = 646, -- Greater Agility
			[13746] = 646, -- Greater Defense
			[13640] = 646, -- Greater Health
			[13937] = 646, -- Greater Impact
			[20008] = 646, -- Greater Intellect
			[14807] = 646, -- Greater Magic Wand
			[13663] = 646, -- Greater Mana
			[14810] = 646, -- Greater Mystic Wand
			[20017] = 646, -- Greater Stamina
			[20020] = 646, -- Greater Stamina
			[13945] = 646, -- Greater Stamina
			[20025] = 646, -- Greater Stats
			[20013] = 646, -- Greater Strength
			[13939] = 646, -- Greater Strength
			[13943] = 646, -- Greater Striking
			[13905] = 646, -- Greater Versatility
			[13846] = 646, -- Greater Versatility
			[22750] = 646, -- Healing Power
			[23802] = 646, -- Healing Power
			[25079] = 646, -- Healing Power
			[7857]  = 646, -- Health
			[13617] = 646, -- Herbalism
			[20029] = 646, -- Icy Chill
			[13695] = 646, -- Impact
			[13822] = 646, -- Intellect
			[13538] = 646, -- Lesser Absorption
			[63746] = 646, -- Lesser Accuracy
			[13882] = 646, -- Lesser Agility
			[13637] = 646, -- Lesser Agility
			[13653] = 646, -- Lesser Beastslayer
			[13646] = 646, -- Lesser Dodge
			[13655] = 646, -- Lesser Elemental Slayer
			[7748]  = 646, -- Lesser Health
			[13529] = 646, -- Lesser Impact
			[13622] = 646, -- Lesser Intellect
			[7793]  = 646, -- Lesser Intellect
			[14293] = 646, -- Lesser Magic Wand
			[7776]  = 646, -- Lesser Mana
			[25127] = 646, -- Lesser Mana Oil
			[14809] = 646, -- Lesser Mystic Wand
			[13689] = 646, -- Lesser Parry
			[13421] = 646, -- Lesser Protection
			[13464] = 646, -- Lesser Protection
			[13644] = 646, -- Lesser Stamina
			[13631] = 646, -- Lesser Stamina
			[13501] = 646, -- Lesser Stamina
			[13700] = 646, -- Lesser Stats
			[13536] = 646, -- Lesser Strength
			[13503] = 646, -- Lesser Striking
			[13687] = 646, -- Lesser Versatility
			[13485] = 646, -- Lesser Versatility
			[7859]  = 646, -- Lesser Versatility
			[13380] = 646, -- Lesser Versatility
			[25126] = 646, -- Lesser Wizard Oil
			[20032] = 646, -- Lifestealing
			[20026] = 646, -- Major Health
			[20036] = 646, -- Major Intellect
			[20028] = 646, -- Major Mana
			[20035] = 646, -- Major Versatility
			[13607] = 646, -- Mana
			[23804] = 646, -- Mighty Intellect
			[23803] = 646, -- Mighty Versatility
			[13612] = 646, -- Mining
			[7426]  = 646, -- Minor Absorption
			[7867]  = 646, -- Minor Agility
			[13419] = 646, -- Minor Agility
			[7779]  = 646, -- Minor Agility
			[7786]  = 646, -- Minor Beastslayer
			[7428]  = 646, -- Minor Dodge
			[13948] = 646, -- Minor Haste
			[7418]  = 646, -- Minor Health
			[7420]  = 646, -- Minor Health
			[7745]  = 646, -- Minor Impact
			[7443]  = 646, -- Minor Mana
			[25125] = 646, -- Minor Mana Oil
			[7771]  = 646, -- Minor Protection
			[13890] = 646, -- Minor Speed
			[7863]  = 646, -- Minor Stamina
			[13378] = 646, -- Minor Stamina
			[7457]  = 646, -- Minor Stamina
			[13626] = 646, -- Minor Stats
			[7782]  = 646, -- Minor Strength
			[7788]  = 646, -- Minor Striking
			[7766]  = 646, -- Minor Versatility
			[25124] = 646, -- Minor Wizard Oil
			[13947] = 646, -- Riding Skill
			[7421]  = 132, -- Runed Copper Rod
			[25073] = 646, -- Shadow Power
			[13698] = 646, -- Skinning
			[15596] = 400, -- Smoking Heart of the Mountain
			[22749] = 646, -- Spellpower
			[13836] = 646, -- Stamina
			[13817] = 646, -- Stamina
			[13648] = 646, -- Stamina
			[13941] = 646, -- Stats
			[23799] = 646, -- Strength
			[13887] = 646, -- Strength
			[13661] = 646, -- Strength
			[13693] = 646, -- Striking
			[20015] = 646, -- Superior Defense
			[13858] = 646, -- Superior Health
			[20030] = 646, -- Superior Impact
			[13917] = 646, -- Superior Mana
			[20011] = 646, -- Superior Stamina
			[20010] = 646, -- Superior Strength
			[20031] = 646, -- Superior Striking
			[20009] = 646, -- Superior Versatility
			[217637] = 646, -- Tome of Illusions: Azeroth
			[20033] = 646, -- Unholy Weapon
			[20024] = 646, -- Versatility
			[13659] = 646, -- Versatility
			[13642] = 646, -- Versatility
			[20016] = 646, -- Vitality
			[21931] = 646, -- Winter's Might
			[25128] = 646, -- Wizard Oil


			--! Engineering
			-- Shadowlands
			[338216] = 133, -- Hardened Bolts
			[338214] = 100, -- Piston Assembly
			[338213] = 100, -- Power Hammer
			[338218] = 139, -- Bone Reinforced Oxxein Tubing
			[338217] = 100, -- Boneclad Stake Launcher
			[338219] = 139, -- Handful of Oxxein Bolts
			[338119] = 100, -- Bug Zapifier
			[338212] = 100, -- Electro Cable
			[338210] = 100, -- Energized Battery
			[338220] = 100, -- Duelist's Pistol
			[338222] = 142, -- Sinvyr Barrel
			[338223] = 100, -- Sinvyr Trigger Mechanism
			[359674] = 114, -- Crafter's Mark of the First Ones
			[359664] = 114, -- Crafter's Mark IV
			[331007] = 100, -- PHA7-YNX
			[343103] = 100, -- Crafter's Mark of the Chained Isle
			[360126] = 100, -- Erratic Genesis Matrix
			[360088] = 100, -- Pure-Air Sail Extensions
			[310507] = 816, -- Articulated Ectoplasmic Specs
			[310501] = 822, -- Flexible Ectoplasmic Specs
			[310504] = 815, -- Grounded Ectoplasmic Specs
			[310509] = 818, -- Reinforced Ectoplasmic Specs
			[343102] = 114, -- Crafter's Mark III
			[310534] = 100, -- Infra-green Reflex Sight
			[310533] = 100, -- Optical Target Embiggener
			[310535] = 100, -- Wormhole Generator: Shadowlands
			[343100] = 114, -- Crafter's Mark II
			[310490] = 100, -- Momentum Redistributor Boots
			[310526] = 100, -- Wormfed Gear Assembly
			[310492] = 100, -- Gravimetric Scrambler Cannon
			[310497] = 100, -- Damage Retaliator
			[310495] = 100, -- Dimensional Shifter
			[310496] = 100, -- Electro-Jump
			[345179] = 100, -- Disposable Spectrophasic Reanimator
			[310493] = 100, -- 50UL-TR4P
			[343099] = 114, -- Crafter's Mark I
			[310525] = 100, -- Mortal Coiled Spring
			[310536] = 100, -- Precision Lifeforce Inverter
			[343661] = 114, -- Novice Crafter's Mark
			[310486] = 100, -- Bomb Bola Launcher
			[310485] = 100, -- Shadow Land Mine
			[310484] = 100, -- Nutcracker Grenade
			[310522] = 137, -- Handful of Laestrite Bolts
			[310524] = 809, -- Porous Polishing Abrasive
			-- Kul Tiras/Zandalar
			[305951] = 818, -- A-N0M-A-L0U5 Bionic Bifocals
			[305942] = 822, -- A-N0M-A-L0U5 Gearspun Goggles
			[305948] = 813, -- A-N0M-A-L0U5 Orthogonal Optics
			[305945] = 815, -- A-N0M-A-L0U5 Synthetic Specs
			[299011] = 822, -- A5C-3N-D3D Bionic Bifocals
			[299008] = 813, -- A5C-3N-D3D Gearspun Goggles
			[299014] = 815, -- A5C-3N-D3D Orthogonal Optics
			[299005] = 818, -- A5C-3N-D3D Synthetic Specs
			[299010] = 822, -- Abyssal Bionic Bifocals
			[299007] = 813, -- Abyssal Gearspun Goggles
			[299013] = 815, -- Abyssal Orthogonal Optics
			[299004] = 818, -- Abyssal Synthetic Specs
			[287279] = 801, -- Aqueous Thermo-Degradation
			[272064] = 815, -- AZ3-R1-T3 Bionic Bifocals
			[272063] = 815, -- AZ3-R1-T3 Bionic Bifocals
			[272062] = 815, -- AZ3-R1-T3 Bionic Bifocals
			[272061] = 818, -- AZ3-R1-T3 Gearspun Goggles
			[272060] = 818, -- AZ3-R1-T3 Gearspun Goggles
			[272059] = 818, -- AZ3-R1-T3 Gearspun Goggles
			[272067] = 822, -- AZ3-R1-T3 Orthogonal Optics
			[272066] = 822, -- AZ3-R1-T3 Orthogonal Optics
			[272065] = 822, -- AZ3-R1-T3 Orthogonal Optics
			[272058] = 813, -- AZ3-R1-T3 Synthetic Specs
			[272057] = 813, -- AZ3-R1-T3 Synthetic Specs
			[272056] = 813, -- AZ3-R1-T3 Synthetic Specs
			[255936] = 100, -- Belt Enchant: Holographic Horror Projector
			[269123] = 100, -- Belt Enchant: Miniaturized Plasma Shield
			[255940] = 100, -- Belt Enchant: Personal Space Amplifier
			[298930] = 100, -- Blingtron 7000
			[299012] = 822, -- Charged A5C-3N-D3D Bionic Bifocals
			[299009] = 813, -- Charged A5C-3N-D3D Gearspun Goggles
			[299015] = 815, -- Charged A5C-3N-D3D Orthogonal Optics
			[299006] = 818, -- Charged A5C-3N-D3D Synthetic Specs
			[286866] = 813, -- Charged SP1-R1-73D Bionic Bifocals
			[286869] = 815, -- Charged SP1-R1-73D Gearspun Goggles
			[286872] = 818, -- Charged SP1-R1-73D Orthogonal Optics
			[286875] = 822, -- Charged SP1-R1-73D Synthetic Specs
			[264962] = 100, -- Crow's Nest Scope
			[264961] = 100, -- Crow's Nest Scope
			[264960] = 100, -- Crow's Nest Scope
			[256156] = 100, -- Deployable Attire Rearranger
			[256155] = 100, -- Deployable Attire Rearranger
			[256154] = 100, -- Deployable Attire Rearranger
			[256072] = 100, -- Electroshock Mount Motivator
			[256071] = 100, -- Electroshock Mount Motivator
			[256070] = 100, -- Electroshock Mount Motivator
			[291094] = 815, -- Emblazoned Bionic Bifocals
			[291092] = 818, -- Emblazoned Gearspun Goggles
			[291096] = 822, -- Emblazoned Orthogonal Optics
			[291090] = 813, -- Emblazoned Synthetic Specs
			[255394] = 100, -- F.R.I.E.D.
			[255393] = 100, -- F.R.I.E.D.
			[255392] = 100, -- F.R.I.E.D.
			[255459] = 100, -- Finely-Tuned Stormsteel Destroyer
			[255458] = 100, -- Finely-Tuned Stormsteel Destroyer
			[255457] = 100, -- Finely-Tuned Stormsteel Destroyer
			[265102] = 100, -- Frost-Laced Ammunition
			[265101] = 100, -- Frost-Laced Ammunition
			[265100] = 100, -- Frost-Laced Ammunition
			[269726] = 100, -- Honorable Combatant's Discombobulator
			[269724] = 100, -- Honorable Combatant's Discombobulator
			[269725] = 100, -- Honorable Combatant's Discombobulator
			[269729] = 100, -- Honorable Combatant's Stormsteel Destroyer
			[269727] = 100, -- Honorable Combatant's Stormsteel Destroyer
			[269728] = 100, -- Honorable Combatant's Stormsteel Destroyer
			[291093] = 815, -- Imbued Bionic Bifocals
			[291091] = 818, -- Imbued Gearspun Goggles
			[291095] = 822, -- Imbued Orthogonal Optics
			[291089] = 813, -- Imbued Synthetic Specs
			[265099] = 100, -- Incendiary Ammunition
			[265098] = 100, -- Incendiary Ammunition
			[265097] = 100, -- Incendiary Ammunition
			[256084] = 100, -- Interdimensional Companion Repository
			[256082] = 100, -- Interdimensional Companion Repository
			[256080] = 100, -- Interdimensional Companion Repository
			[280732] = 100, -- Magical Intrusion Dampener
			[280733] = 100, -- Magical Intrusion Dampener
			[280734] = 100, -- Magical Intrusion Dampener
			[253122] = 100, -- Magnetic Discombobulator
			[278411] = 100, -- Makeshift Azerite Detector
			[274621] = 100, -- Mecha-Mogul Mk2
			[286478] = 100, -- Mechantula
			[278413] = 100, -- Monelite Fish Finder
			[264967] = 100, -- Monelite Scope of Alacrity
			[264966] = 100, -- Monelite Scope of Alacrity
			[264964] = 100, -- Monelite Scope of Alacrity
			[294786] = 100, -- Notorious Combatant's Discombobulator
			[294785] = 100, -- Notorious Combatant's Discombobulator
			[294784] = 100, -- Notorious Combatant's Discombobulator
			[294789] = 100, -- Notorious Combatant's Stormsteel Destroyer
			[294788] = 100, -- Notorious Combatant's Stormsteel Destroyer
			[294787] = 100, -- Notorious Combatant's Stormsteel Destroyer
			[255409] = 100, -- Organic Discombobulation Grenade
			[255408] = 100, -- Organic Discombobulation Grenade
			[255407] = 100, -- Organic Discombobulation Grenade
			[305949] = 818, -- Paramount Bionic Bifocals
			[305940] = 822, -- Paramount Gearspun Goggles
			[305946] = 813, -- Paramount Orthogonal Optics
			[305943] = 815, -- Paramount Synthetic Specs
			[253152] = 100, -- Precision Attitude Adjuster
			[253151] = 100, -- Precision Attitude Adjuster
			[253150] = 100, -- Precision Attitude Adjuster
			[286647] = 412, -- Sanguinated Thermo-Degradation
			[282808] = 100, -- Sinister Combatant's Discombobulator
			[282807] = 100, -- Sinister Combatant's Discombobulator
			[282806] = 100, -- Sinister Combatant's Discombobulator
			[282811] = 100, -- Sinister Combatant's Stormsteel Destroyer
			[282810] = 100, -- Sinister Combatant's Stormsteel Destroyer
			[282809] = 100, -- Sinister Combatant's Stormsteel Destroyer
			[286865] = 813, -- SP1-R1-73D Bionic Bifocals
			[286868] = 815, -- SP1-R1-73D Gearspun Goggles
			[286871] = 818, -- SP1-R1-73D Orthogonal Optics
			[286874] = 822, -- SP1-R1-73D Synthetic Specs
			[256132] = 100, -- Super-Charged Engine
			[305950] = 818, -- Superior Bionic Bifocals
			[305941] = 822, -- Superior Gearspun Goggles
			[305947] = 813, -- Superior Orthogonal Optics
			[305944] = 815, -- Superior Synthetic Specs
			[286864] = 813, -- Surging Bionic Bifocals
			[286867] = 815, -- Surging Gearspun Goggles
			[286870] = 818, -- Surging Orthogonal Optics
			[286873] = 822, -- Surging Synthetic Specs
			[282975] = 100, -- The Ub3r-Spanner
			[255397] = 100, -- Thermo-Accelerated Plague Spreader
			[255396] = 100, -- Thermo-Accelerated Plague Spreader
			[255395] = 100, -- Thermo-Accelerated Plague Spreader
			[298255] = 100, -- Ub3r-Module: P.O.G.O.
			[298256] = 100, -- Ub3r-Module: Scrap Cannon
			[283399] = 100, -- Ub3r-Module: Short-Fused Bomb Bots
			[283401] = 100, -- Ub3r-Module: Ub3r S3ntry Mk. X8.0
			[298257] = 100, -- Ub3r-Module: Ub3r-Coil
			[283403] = 100, -- Ub3r-Module: Ub3r-Improved Target Dummy
			[305863] = 100, -- Uncanny Combatant's Discombobulator
			[305862] = 100, -- Uncanny Combatant's Discombobulator
			[305861] = 100, -- Uncanny Combatant's Discombobulator
			[305860] = 100, -- Uncanny Combatant's Stormsteel Destroyer
			[305859] = 100, -- Uncanny Combatant's Stormsteel Destroyer
			[305858] = 100, -- Uncanny Combatant's Stormsteel Destroyer
			[283916] = 100, -- Unstable Temporal Time Shifter
			[283915] = 100, -- Unstable Temporal Time Shifter
			[283914] = 100, -- Unstable Temporal Time Shifter
			[307220] = 320, -- Void Focus
			[299105] = 100, -- Wormhole Generator: Kul Tiras
			[299106] = 100, -- Wormhole Generator: Zandalar
			[256075] = 100, -- XA-1000 Surface Skimmer
			[256074] = 100, -- XA-1000 Surface Skimmer
			[256073] = 100, -- XA-1000 Surface Skimmer
			-- Legion
			[209501] = 401, -- The Felic
			[199017] = 100, -- Auto-Hammer
			[199003] = 100, -- Auto-Hammer
			[198976] = 100, -- Auto-Hammer
			[198980] = 100, -- Blingtron's Circuit Design Tutorial
			[199005] = 814, -- Blink-Trigger Headgun
			[198991] = 814, -- Blink-Trigger Headgun
			[198939] = 814, -- Blink-Trigger Headgun
			[199007] = 814, -- Bolt-Action Headgun
			[198993] = 814, -- Bolt-Action Headgun
			[198966] = 814, -- Bolt-Action Headgun
			[235755] = 100, -- Chain Skullblasters
			[199013] = 100, -- Deployable Bullet Dispenser
			[198999] = 100, -- Deployable Bullet Dispenser
			[198972] = 100, -- Deployable Bullet Dispenser
			[198997] = 100, -- Double-Barreled Cranial Cannon
			[199011] = 100, -- Double-Barreled Cranial Cannon
			[198970] = 100, -- Double-Barreled Cranial Cannon
			[199018] = 100, -- Failure Detection Pylon
			[199004] = 100, -- Failure Detection Pylon
			[198977] = 100, -- Failure Detection Pylon
			[247717] = 100, -- Gravitational Reduction Slippers
			[199016] = 100, -- Gunpack
			[199002] = 100, -- Gunpack
			[198975] = 100, -- Gunpack
			[199014] = 100, -- Gunpowder Charge
			[199000] = 100, -- Gunpowder Charge
			[198973] = 100, -- Gunpowder Charge
			[198978] = 100, -- Gunshoes
			[235756] = 100, -- Heavy Skullblasters
			[198979] = 100, -- Intra-Dalaran Wormhole Generator
			[198998] = 100, -- Ironsight Cranial Cannon
			[199012] = 100, -- Ironsight Cranial Cannon
			[198971] = 100, -- Ironsight Cranial Cannon
			[209645] = 100, -- Leystone Buoy
			[209646] = 100, -- Mecha-Bond Imprint Matrix
			[199015] = 100, -- Pump-Action Bandage Gun
			[199001] = 100, -- Pump-Action Bandage Gun
			[198974] = 100, -- Pump-Action Bandage Gun
			[198982] = 100, -- Reaves Battery
			[198989] = 100, -- Reaves Module: Bling Mode
			[198985] = 100, -- Reaves Module: Failure Detection Mode
			[198987] = 100, -- Reaves Module: Fireworks Display Mode
			[198990] = 100, -- Reaves Module: Piloted Combat Mode
			[198984] = 100, -- Reaves Module: Repair Mode
			[198988] = 100, -- Reaves Module: Snack Distribution Mode
			[198983] = 100, -- Reaves Module: Wormhole Generator Mode
			[235775] = 100, -- Rechargeable Reaves Battery
			[199008] = 818, -- Reinforced Headgun
			[198994] = 818, -- Reinforced Headgun
			[198967] = 818, -- Reinforced Headgun
			[235754] = 100, -- Rugged Skullblasters
			[198996] = 100, -- Sawed-Off Cranial Cannon
			[199010] = 100, -- Sawed-Off Cranial Cannon
			[198969] = 100, -- Sawed-Off Cranial Cannon
			[198995] = 100, -- Semi-Automagic Cranial Cannon
			[199009] = 100, -- Semi-Automagic Cranial Cannon
			[198968] = 100, -- Semi-Automagic Cranial Cannon
			[209502] = 800, -- Shockinator
			[200466] = 100, -- Sonic Environment Enhancer
			[199006] = 816, -- Tactical Headgun
			[198992] = 816, -- Tactical Headgun
			[198965] = 816, -- Tactical Headgun
			[235753] = 100, -- Tailored Skullblasters
			[198981] = 100, -- Trigger
			[247744] = 100, -- Wormhole Generator: Argus
			-- Draenor
			[171072] = 5, -- Alliance Firework
			[162218] = 100, -- Blingtron 5000
			[162195] = 815, -- Cybergenetic Mechshades
			[169078] = 100, -- Didi's Delicate Assembly
			[162205] = 100, -- Findle's Loot-a-Rang
			[169080] = 100, -- Gearspring Parts
			[162204] = 100, -- Goblin Glider Kit
			[173289] = 100, -- Hemet's Heartseeker
			[171073] = 5, -- Horde Firework
			[162210] = 100, -- Lifelike Mechanical Frostboar
			[173308] = 100, -- Mecha-Blast Rocket
			[162209] = 100, -- Mechanical Axebeak
			[176732] = 100, -- Mechanical Scorpid
			[162203] = 100, -- Megawatt Filament
			[162196] = 818, -- Night-Vision Mechshades
			[162202] = 100, -- Oglethorpe's Missile Splitter
			[162214] = 100, -- Personal Hologram
			[162197] = 813, -- Plasma Mechshades
			[182120] = 100, -- Primal Welding
			[162198] = 822, -- Razorguard Mechshades
			[177054] = 114, -- Secrets of Draenor Engineering
			[173309] = 100, -- Shieldtronic Shield
			[162199] = 100, -- Shrediron's Shredder
			[171074] = 5, -- Snake Firework
			[162207] = 100, -- Stealthman 54
			[162217] = 100, -- Swapblaster
			[162208] = 100, -- Ultimate Gnomish Army Knife
			[169140] = 100, -- Ultimate Gnomish Army Knife
			[162206] = 100, -- World Shrinker
			[162216] = 100, -- Wormhole Centrifuge
			-- Pandaria
			[139197] = 100, -- Advanced Refrigeration Unit
			[127118] = 822, -- Agile Retinal Armor
			[131256] = 5, -- Autumn Flower Firework
			[127136] = 100, -- Big Game Hunter
			[127129] = 100, -- Blingtron 4000
			[127119] = 814, -- Camouflage Retinal Armor
			[128260] = 5, -- Celestial Firework
			[127120] = 815, -- Deadly Retinal Armor
			[127138] = 100, -- Depleted-Kyparium Rocket
			[127121] = 814, -- Energized Retinal Armor
			[131211] = 100, -- Flashing Tinker's Gear
			[131212] = 100, -- Fractured Tinker's Gear
			[127127] = 100, -- G91 Landshark
			[127139] = 100, -- Geosynchronous World Spinner
			[127113] = 909, -- Ghost Iron Bolts
			[127134] = 100, -- Ghost Iron Dragonling
			[127128] = 100, -- Goblin Dragon Gun, Mark II
			[126392] = 100, -- Goblin Glider
			[128261] = 5, -- Grand Celebration Firework
			[127114] = 100, -- High-Explosive Gunpowder
			[131258] = 5, -- Jade Blossom Firework
			[139176] = 100, -- Jard's Peculiar Energy Source
			[127117] = 814, -- Lightweight Retinal Armor
			[127124] = 100, -- Locksmith's Powderkeg
			[127137] = 100, -- Long-Range Trillium Sniper
			[127115] = 100, -- Lord Blastington's Scope of Doom
			[127135] = 100, -- Mechanical Pandaren Dragonling
			[127116] = 100, -- Mirror Scope
			[127130] = 808, -- Mist-Piercing Goggles
			[131353] = 100, -- Pandaria Fireworks
			[139196] = 100, -- Pierre
			[131213] = 100, -- Precise Tinker's Gear
			[131214] = 100, -- Quick Tinker's Gear
			[143714] = 100, -- Rascal-Bot
			[127123] = 819, -- Reinforced Retinal Armor
			[131215] = 100, -- Rigid Tinker's Gear
			[128262] = 5, -- Serpent's Heart Firework
			[139192] = 100, -- Sky Golem
			[131216] = 100, -- Smooth Tinker's Gear
			[131217] = 100, -- Sparkling Tinker's Gear
			[127122] = 816, -- Specialized Retinal Armor
			[131218] = 100, -- Subtle Tinker's Gear
			[127131] = 100, -- Thermal Anvil
			[131563] = 100, -- Tinker's Kit
			[109099] = 100, -- Watergliding Jets
			[127132] = 100, -- Wormhole Generator: Pandaria
			-- Cataclysm
			[81722] = 821, -- Agile Bio-Optic Killshades
			[84406] = 817, -- Authentic Jr. Engineer Goggles
			[95707] = 100, -- Big Daddy
			[81724] = 814, -- Camouflage Bio-Optic Killshades
			[84425] = 100, -- Cardboard Assassin
			[84413] = 100, -- De-Weaponized Mechanical Companion
			[81716] = 821, -- Deadly Bio-Optic Killshades
			[94748] = 800, -- Electrified Ether
			[95703] = 100, -- Electrostatic Condenser
			[84418] = 100, -- Elementium Dragonling
			[84416] = 100, -- Elementium Toolbox
			[81720] = 814, -- Energized Bio-Optic Killshades
			[100687] = 100, -- Extreme-Impact Hole Puncher
			[84420] = 100, -- Finely-Tuned Throat Needler
			[100587] = 100, -- Flintlocke's Woodchucker
			[95705] = 100, -- Gnomish Gravity Well
			[84428] = 100, -- Gnomish X-Ray Scope
			[84429] = 100, -- Goblin Barbecue
			[84427] = 100, -- Grounded Plasma Shield
			[84403] = 910, -- Handful of Obsidium Bolts
			[84430] = 100, -- Heat-Treated Spinning Lure
			[84411] = 100, -- High-Powered Bolt Gun
			[84424] = 100, -- Invisibility Field
			[84432] = 100, -- Kickback 5000
			[81725] = 814, -- Lightweight Bio-Optic Killshades
			[84421] = 100, -- Loot-a-Rang
			[84415] = 100, -- Lure Master Tackle Box
			[84431] = 100, -- Overpowered Chicken Splitter
			[84412] = 100, -- Personal World Destroyer
			[84408] = 100, -- R19 Threatfinder
			[81714] = 818, -- Reinforced Bio-Optic Killshades
			[84410] = 100, -- Safety Catch Removal Kit
			[81715] = 814, -- Specialized Bio-Optic Killshades
			[82200] = 100, -- Spinal Healing Injector
			[84409] = 100, -- Volatile Seaforium Blastpack
			[84417] = 100, -- Volatile Thunderstick
			-- Northrend
			[56479] = 100, -- Armor Plated Combat Shotgun
			[56480] = 821, -- Armored Titanium Goggles
			[56461] = 100, -- Bladed Pickaxe
			[56468] = 100, -- Box of Bombs
			[56483] = 816, -- Charged Titanium Specs
			[56460] = 100, -- Cobalt Frag Bomb
			[61471] = 100, -- Diamond-cut Refractor Scope
			[56487] = 822, -- Electroflux Sight Enhancers
			[54736] = 100, -- EMP Generator
			[56463] = 100, -- Explosive Decoy
			[55002] = 100, -- Flexweave Underlay
			[54793] = 100, -- Frag Belt
			[56471] = 138, -- Froststeel Tube
			[56514] = 100, -- Global Thermal Sapper Charge
			[56462] = 100, -- Gnomish Army Knife
			[56469] = 100, -- Gnomish Lightning Generator
			[56473] = 100, -- Gnomish X-Ray Specs
			[67326] = 100, -- Goblin Beam Welder
			[56486] = 817, -- Greensight Gogs
			[56459] = 100, -- Hammer Pick
			[56349] = 138, -- Handful of Cobalt Bolts
			[56476] = 100, -- Healing Injector Kit
			[56478] = 100, -- Heartseeker Scope
			[68067] = 100, -- Jeeves
			[56477] = 100, -- Mana Injector Kit
			[54353] = 100, -- Mark "S" Boomstick
			[56465] = 822, -- Mechanized Snow Goggles
			[61481] = 822, -- Mechanized Snow Goggles
			[61482] = 822, -- Mechanized Snow Goggles
			[61483] = 822, -- Mechanized Snow Goggles
			[60866] = 100, -- Mechano-Hog
			[60867] = 100, -- Mekgineer's Chopper
			[67839] = 100, -- Mind Amplification Dish
			[56472] = 100, -- MOLL-E
			[60874] = 100, -- Nesingwary 4000
			[55016] = 100, -- Nitro Boosts
			[56467] = 100, -- Noise Machine
			[56464] = 100, -- Overcharged Capacitor
			[55252] = 100, -- Scrapbot Construction Kit
			[56466] = 100, -- Sonic Booster
			[56470] = 100, -- Sun Scope
			[30349] = 100, -- Titanium Toolbox
			[56574] = 822, -- Truesight Ice Blinders
			[62271] = 814, -- Unbreakable Healing Amplifiers
			[56484] = 818, -- Visage Liquification Goggles
			[53281] = 100, -- Volatile Blasting Trigger
			[56481] = 814, -- Weakness Spectralizers
			[67920] = 100, -- Wormhole Generator: Northrend
			-- Outland
			[46111] = 813, -- Annihilator Holo-Gogs
			[30565] = 133, -- Foreman's Enchanted Helmet
			[30566] = 133, -- Foreman's Reinforced Helmet
			[30575] = 816, -- Gnomish Battle Goggles
			[30574] = 818, -- Gnomish Power Goggles
			[41307] = 100, -- Gyro-balanced Khorium Destroyer
			[46115] = 816, -- Hard Khorium Goggles
			[46109] = 816, -- Hyper-Magnified Moon Specs
			[46107] = 822, -- Justicebringer 3000 Specs
			[46112] = 816, -- Lightning Etched Specs
			[46114] = 814, -- Mayhem Projection Goggles
			[30315] = 100, -- Ornate Khorium Rifle
			[46108] = 822, -- Powerheal 9000 Lens
			[46110] = 817, -- Primal-Attuned Goggles
			[46116] = 818, -- Quad Deathblow X44 Goggles
			[30334] = 100, -- Stabilized Eternium Scope
			[44157] = 100, -- Turbo-Charged Flying Machine
			[46106] = 814, -- Wonderheal XT68 Shades
			[41317] = 818, -- Deathblow X11 Goggles
			[41320] = 813, -- Destruction Holo-gogs
			[30314] = 100, -- Felsteel Boomstick
			[44391] = 100, -- Field Repair Bot 110G
			[40274] = 814, -- Furious Gizmatic Goggles
			[41315] = 816, -- Gadgetstorm Goggles
			[30325] = 813, -- Hyper-Vision Goggles
			[41311] = 822, -- Justicebringer 2000 Specs
			[30332] = 100, -- Khorium Scope
			[41316] = 817, -- Living Replicator Specs
			[41319] = 816, -- Magnified Moon Specs
			[41321] = 815, -- Powerheal 4000 Lens
			[41314] = 814, -- Surestrike Goggles v2.0
			[41312] = 816, -- Tankatronic Goggles
			[41318] = 814, -- Wonderheal XT40 Shades
			[30556] = 100, -- Rocket Boots Xtreme
			[46697] = 100, -- Rocket Boots Xtreme Lite
			[30313] = 100, -- Adamantite Rifle
			[30569] = 100, -- Gnomish Poultryizer
			[30563] = 100, -- Goblin Rocket Launcher
			[30570] = 100, -- Nigh-Invulnerability Belt
			[30318] = 100, -- Ultra-Spectropic Detection Goggles
			[30316] = 814, -- Cogspinner Goggles
			[36954] = 100, -- Dimensional Ripper - Area 52
			[30309] = 136, -- Felsteel Stabilizer
			[30307] = 137, -- Hardened Adamantite Tube
			[30308] = 100, -- Khorium Power Core
			[30317] = 816, -- Power Amplification Goggles
			[36955] = 100, -- Ultrasafe Transporter - Toshley's Station
			[30547] = 100, -- Elemental Seaforium Charge
			[30329] = 100, -- Adamantite Scope
			[39973] = 100, -- Frost Grenade
			[30552] = 100, -- Mana Potion Injector
			[30560] = 100, -- Super Sapper Charge
			[30311] = 100, -- Adamantite Grenade
			[30337] = 100, -- Crashin' Thrashin' Robot
			[30568] = 100, -- Gnomish Flame Turret
			[30344] = 100, -- Green Smoke Flare
			[32814] = 100, -- Purple Smoke Flare
			[30341] = 100, -- White Smoke Flare
			[39971] = 100, -- Icy Blasting Primers
			[30312] = 100, -- Fel Iron Musket
			[30551] = 100, -- Healing Potion Injector
			[30348] = 100, -- Fel Iron Toolbox
			[30558] = 100, -- The Bigger One
			[30306] = 137, -- Adamantite Frame
			[30310] = 100, -- Fel Iron Bomb
			[46113] = 815, -- Surestrike Goggles v3.0
			[30548] = 100, -- Zapthrottle Mote Extractor
			[44155] = 100, -- Flying Machine
			[30303] = 5, -- Elemental Blasting Powder
			[30304] = 136, -- Fel Iron Casing
			[30305] = 136, -- Handful of Fel Iron Bolts
			-- Classic
			[19831] = 100, -- Arcane Bomb
			[19830] = 100, -- Arcanite Dragonling
			[22793] = 100, -- Biznicks 247x128 Accurascope
			[24356] = 818, -- Bloodvine Goggles
			[24357] = 818, -- Bloodvine Lens
			[22795] = 100, -- Core Marksman Rifle
			[19799] = 100, -- Dark Iron Bomb
			[19815] = 100, -- Delicate Arcanite Converter
			[22704] = 100, -- Field Repair Bot 74A
			[19833] = 100, -- Flawless Arcanite Rifle
			[22797] = 100, -- Force Reactive Disk
			[23081] = 100, -- Hyper-Radiant Flame Reflector
			[19825] = 815, -- Master Engineer's Goggles
			[26011] = 100, -- Tranquil Mechanical Yeti
			[23082] = 100, -- Ultra-Flash Shadow Reflector
			[19819] = 100, -- Voice Amplification Modulator
			[26443] = 100, -- Cluster Launcher
			[19796] = 100, -- Dark Iron Rifle
			[19814] = 100, -- Masterwork Target Dummy
			[19795] = 135, -- Thorium Tube
			[19794] = 820, -- Spellpower Goggles Xtreme Plus
			[23486] = 100, -- Dimensional Ripper - Everlook
			[23078] = 100, -- Goblin Jumper Cables XL
			[19793] = 100, -- Lifelike Mechanical Toad
			[23489] = 100, -- Ultrasafe Transporter - Gadgetzan
			[23079] = 100, -- Major Recombobulator
			[23077] = 100, -- Gyrofreeze Ice Reflector
			[19790] = 100, -- Thorium Grenade
			[19792] = 100, -- Thorium Rifle
			[19791] = 135, -- Thorium Widget
			[23080] = 100, -- Powerful Seaforium Charge
			[39895] = 100, -- Fused Wiring
			[23096] = 100, -- Gnomish Alarm-o-Bot
			[26426] = 100, -- Large Blue Rocket Cluster
			[26427] = 100, -- Large Green Rocket Cluster
			[26428] = 100, -- Large Red Rocket Cluster
			[28327] = 100, -- Steam Tonk Controller
			[63750] = 100, -- High-powered Flashlight
			[12624] = 100, -- Mithril Mechanical Dragonling
			[23071] = 100, -- Truesilver Transformer
			[12758] = 100, -- Goblin Rocket Helmet
			[12622] = 815, -- Green Lens
			[12759] = 100, -- Gnomish Death Ray
			[12908] = 100, -- Goblin Dragon Gun
			[12620] = 100, -- Sniper Scope
			[23129] = 100, -- World Enlarger
			[12907] = 100, -- Gnomish Mind Control Cap
			[12617] = 100, -- Deepdive Helmet
			[23070] = 100, -- Dense Dynamite
			[12906] = 100, -- Gnomish Battle Chicken
			[12618] = 818, -- Rose Colored Goggles
			[23507] = 5, -- Snake Burst Firework
			[19788] = 804, -- Dense Blasting Powder
			[26442] = 100, -- Firework Launcher
			[12905] = 100, -- Gnomish Rocket Boots
			[8895] = 100, -- Goblin Rocket Boots
			[12616] = 100, -- Parachute Cloak
			[12615] = 817, -- Spellpower Goggles Xtreme
			[12607] = 818, -- Catseye Ultra Goggles
			[12614] = 100, -- Mithril Heavy-bore Rifle
			[12619] = 100, -- Hi-Explosive Bomb
			[12754] = 100, -- The Big One
			[12903] = 100, -- Gnomish Harm Prevention Belt
			[12755] = 100, -- Goblin Bomb Dispenser
			[12597] = 100, -- Deadly Scope
			[12897] = 815, -- Gnomish Goggles
			[12902] = 100, -- Gnomish Net-o-Matic Projector
			[26423] = 100, -- Blue Rocket Cluster
			[26424] = 100, -- Green Rocket Cluster
			[26425] = 100, -- Red Rocket Cluster
			[12594] = 818, -- Fire Goggles
			[12899] = 100, -- Gnomish Shrink Ray
			[12718] = 134, -- Goblin Construction Helmet
			[12717] = 134, -- Goblin Mining Helmet
			[12716] = 100, -- Goblin Mortar
			[12595] = 100, -- Mithril Blunderbuss
			[3971] = 100, -- Gnomish Cloaking Device
			[3969] = 100, -- Mechanical Dragonling
			[12599] = 134, -- Mithril Casing
			[12603] = 100, -- Mithril Frag Bomb
			[3968] = 100, -- Goblin Land Mine
			[12760] = 100, -- Goblin Sapper Charge
			[3966] = 822, -- Craftsman's Monocle
			[12715] = 100, -- Goblin Rocket Fuel Recipe
			[15633] = 100, -- Lil' Smoky
			[15628] = 100, -- Pet Bombling
			[3972] = 100, -- Large Seaforium Charge
			[15255] = 100, -- Mechanical Repair Kit
			[12591] = 100, -- Unstable Trigger
			[3979] = 100, -- Accurate Scope
			[23069] = 100, -- EZ-Thro Dynamite II
			[12589] = 134, -- Mithril Tube
			[12587] = 816, -- Bright-Eye Goggles
			[12895] = 100, -- Inlaid Mithril Cylinder Plans
			[3967] = 100, -- Big Iron Bomb
			[21940] = 100, -- Snowmaster 9000
			[3965] = 100, -- Advanced Target Dummy
			[8243] = 100, -- Flash Bomb
			[3960] = 100, -- Portable Bronze Mortar
			[3959] = 100, -- Discombobulator Ray
			[3963] = 100, -- Compact Harvest Reaper Kit
			[12590] = 100, -- Gyromatic Micro-Adjustor
			[3962] = 100, -- Iron Grenade
			[3955] = 100, -- Explosive Sheep
			[3956] = 815, -- Green Tinted Goggles
			[26420] = 100, -- Large Blue Rocket
			[26421] = 100, -- Large Green Rocket
			[26422] = 100, -- Large Red Rocket
			[3957] = 100, -- Ice Deflector
			[12585] = 804, -- Solid Blasting Powder
			[12586] = 100, -- Solid Dynamite
			[3961] = 100, -- Gyrochronatom
			[3954] = 100, -- Moonsight Rifle
			[3952] = 100, -- Minor Recombobulator
			[9273] = 100, -- Goblin Jumper Cables
			[6458] = 100, -- Ornate Spyglass
			[3958] = 909, -- Iron Strut
			[3949] = 100, -- Silver-plated Shotgun
			[12584] = 100, -- Gold Power Core
			[23067] = 5, -- Blue Firework
			[9269] = 100, -- Gnomish Universal Remote
			[23068] = 5, -- Green Firework
			[23066] = 5, -- Red Firework
			[9271] = 100, -- Aquadynamic Fish Attractor
			[3953] = 133, -- Bronze Framework
			[3939] = 100, -- Lovingly Crafted Boomstick
			[3940] = 813, -- Shadow Goggles
			[3950] = 100, -- Big Bronze Bomb
			[3978] = 100, -- Standard Scope
			[3934] = 822, -- Flying Tiger Goggles
			[3933] = 100, -- Small Seaforium Charge
			[3936] = 100, -- Deadly Blunderbuss
			[3944] = 100, -- Flame Deflector
			[3942] = 100, -- Whirring Bronze Gizmo
			[3937] = 100, -- Large Copper Bomb
			[26416] = 100, -- Small Blue Rocket
			[26417] = 100, -- Small Green Rocket
			[26418] = 100, -- Small Red Rocket
			[3945] = 804, -- Heavy Blasting Powder
			[3946] = 100, -- Heavy Dynamite
			[8334] = 100, -- Clockwork Box
			[3941] = 100, -- Small Bronze Bomb
			[3938] = 133, -- Bronze Tube
			[3932] = 100, -- Target Dummy
			[8339] = 100, -- EZ-Thro Dynamite
			[3973] = 131, -- Silver Contact
			[3928] = 100, -- Mechanical Squirrel Box
			[3931] = 100, -- Coarse Dynamite
			[3977] = 100, -- Crude Scope
			[3929] = 804, -- Coarse Blasting Powder
			[3925] = 100, -- Rough Boomstick
			[7430] = 100, -- Arclight Spanner
			[3923] = 100, -- Rough Copper Bomb
			[3922] = 132, -- Handful of Copper Bolts
			[3919] = 100, -- Rough Dynamite
			[3918] = 804, -- Rough Blasting Powder

			--! Inscription
			-- Shadowlands
			[338227] = 819, -- Ardenberry Ink
			[338234] = 114, -- Catalog of Sins
			[338225] = 114, -- Hymnal of Respite
			[338228] = 114, -- Invocation of Duty
			[338231] = 114, -- Litany of Might
			[338233] = 821, -- Necrotic Ink
			[338230] = 812, -- Opalescent Ink
			[338229] = 114, -- Poem on Duty
			[338236] = 818, -- Prideful Ink
			[338226] = 114, -- Scroll of Calming Lyrics
			[338235] = 114, -- Scroll of Castigation
			[338232] = 114, -- Scroll of Unyielding Strength
			[359890] = 106, -- Vantus Rune: Sepulcher of the First Ones
			[311453] = 321, -- Vantus Rune: Castle Nathria
			[354394] = 720, -- Vantus Rune: Sanctum of Domination
			[359786] = 114, -- Contract: Enlightened Brokers
			[334537] = 805, -- Fae Revel Masque
			[354000] = 114, -- Contract: Death's Advance
			[367389] = "SHAMAN", -- Glyph of the Spectral Lupine
			[367393] = "SHAMAN", -- Glyph of the Spectral Vulpine
			[362412] = "DRUID", -- Glyph of the Wild Mushroom
			[360542] = "DRUID", -- Mark of the Gloomstalker Dredbat
			[360885] = "DRUID", -- Mark of the Midnight Runestag
			[360880] = "DRUID", -- Mark of the Regal Dredbat
			[360899] = "DRUID", -- Mark of the Sable Ardenmoth
			[360545] = "DRUID", -- Mark of the Shimmering Ardenmoth
			[360539] = "DRUID", -- Mark of the Twilight Runestag
			[311441] = 114, -- Darkmoon Card of Death
			[324037] = 114, -- Darkmoon Card of Putrescence
			[324036] = 114, -- Darkmoon Card of Repose
			[324039] = 114, -- Darkmoon Card of the Indomitable
			[324035] = 114, -- Darkmoon Card of Voracity
			[324197] = 817, -- Missive of Critical Strike
			[324198] = 816, -- Missive of Haste
			[324196] = 813, -- Missive of Mastery
			[324195] = 815, -- Missive of Versatility
			[311412] = 114, -- Contract: Court of Harvesters
			[311409] = 114, -- Contract: The Ascended
			[311411] = 114, -- Contract: The Undying Army
			[311410] = 114, -- Contract: The Wild Hunt
			[311424] = 114, -- Codex of the Still Mind
			[343689] = 114, -- Crafter's Mark II
			[321029] = 721, -- Tranquil Ink
			[311413] = 900, -- Mass Mill Deathblossom
			[359490] = 900, -- Mass Mill First Flower
			[311416] = 900, -- Mass Mill Marrowroot
			[311418] = 900, -- Mass Mill Nightshade
			[311417] = 900, -- Mass Mill Rising Glory
			[311414] = 900, -- Mass Mill Vigil's Torch
			[311415] = 900, -- Mass Mill Widowbloom
			[343691] = 114, -- Crafter's Mark I
			[343686] = 114, -- Novice Crafter's Mark
			[311688] = 808, -- Soul Keeper's Column
			[311689] = 808, -- Soul Keeper's Spire
			[311408] = 114, -- Newly Departed Codex
			[311425] = 114, -- Tome of the Still Mind
			[311423] = 114, -- Writ of Grave Robbing
			[311406] = 107, -- Luminous Ink
			[311405] = 117, -- Umbral Ink
			-- Kul Tiras/Zandalar
			[287271] = 801, -- Aqueous Chromotography
			[292320] = 321, -- Blood Contract: Bloodguard
			[292012] = 321, -- Blood Contract: Bloodshed
			[292322] = 321, -- Blood Contract: Oblivion
			[259665] = 321, -- Blood Contract: Sacrifice
			[256234] = 114, -- Codex of the Quiet Mind
			[256233] = 114, -- Codex of the Quiet Mind
			[256232] = 114, -- Codex of the Quiet Mind
			[284294] = 114, -- Contract: 7th Legion
			[284293] = 114, -- Contract: 7th Legion
			[284292] = 114, -- Contract: 7th Legion
			[299665] = 114, -- Contract: Ankoan
			[256299] = 114, -- Contract: Champions of Azeroth
			[256298] = 114, -- Contract: Champions of Azeroth
			[256297] = 114, -- Contract: Champions of Azeroth
			[256280] = 114, -- Contract: Order of Embers
			[256279] = 114, -- Contract: Order of Embers
			[256278] = 114, -- Contract: Order of Embers
			[256277] = 114, -- Contract: Proudmoore Admiralty
			[256276] = 114, -- Contract: Proudmoore Admiralty
			[256275] = 114, -- Contract: Proudmoore Admiralty
			[299672] = 114, -- Contract: Rajani
			[299671] = 114, -- Contract: Rustbolt Resistance
			[256283] = 114, -- Contract: Storm's Wake
			[256282] = 114, -- Contract: Storm's Wake
			[256281] = 114, -- Contract: Storm's Wake
			[256289] = 114, -- Contract: Talanji's Expedition
			[256288] = 114, -- Contract: Talanji's Expedition
			[256287] = 114, -- Contract: Talanji's Expedition
			[284297] = 114, -- Contract: The Honorbound
			[284296] = 114, -- Contract: The Honorbound
			[284295] = 114, -- Contract: The Honorbound
			[256296] = 114, -- Contract: Tortollan Seekers
			[256295] = 114, -- Contract: Tortollan Seekers
			[256294] = 114, -- Contract: Tortollan Seekers
			[299673] = 114, -- Contract: Uldum Accord
			[299668] = 114, -- Contract: Unshackled
			[256293] = 114, -- Contract: Voldunai
			[256291] = 114, -- Contract: Voldunai
			[256290] = 114, -- Contract: Voldunai
			[256286] = 114, -- Contract: Zandalari Empire
			[256285] = 114, -- Contract: Zandalari Empire
			[256284] = 114, -- Contract: Zandalari Empire
			[264777] = 102, -- Crimson Ink
			[278422] = 102, -- Crimson Ink Well
			[256245] = 114, -- Darkmoon Card of War
			[256246] = 114, -- Darkmoon Card of War
			[278527] = 114, -- Darkmoon Card of War
			[304042] = "HUNTER", -- Glyph of Dire Bees
			[309443] = "MAGE", -- Glyph of Lavish Servings
			[304033] = "MAGE", -- Glyph of Steaming Fury
			[289356] = "MAGE", -- Glyph of Storm's Wake
			[344341] = "DRUID", -- Glyph of the Aerial Chameleon
			[344340] = "DRUID", -- Glyph of the Aquatic Chameleon
			[304036] = "MAGE", -- Glyph of the Cold Waves
			[304030] = "MAGE", -- Glyph of the Dark Depths
			[276059] = "DRUID", -- Glyph of the Dolphin
			[276121] = "DRUID", -- Glyph of the Humble Flyer
			[344335] = "DRUID", -- Glyph of the Swift Chameleon
			[289313] = "MAGE", -- Glyph of the Tides
			[276088] = "DRUID", -- Glyph of the Tideskipper
			[302190] = 114, -- Highborne Compendium of Mystical Bulwark
			[302189] = 114, -- Highborne Compendium of Storms
			[302188] = 114, -- Highborne Compendium of Sundering
			[302187] = 114, -- Highborne Compendium of Swirling Tides
			[269742] = 808, -- Honorable Combatant's Etched Vessel
			[269741] = 808, -- Honorable Combatant's Etched Vessel
			[269740] = 808, -- Honorable Combatant's Etched Vessel
			[256248] = 808, -- Inscribed Vessel of Mysticism
			[256249] = 808, -- Inscribed Vessel of Mysticism
			[256247] = 808, -- Inscribed Vessel of Mysticism
			[298929] = 101, -- Maroon Ink
			[256219] = 900, -- Mass Mill Akunda's Bite
			[256308] = 900, -- Mass Mill Anchor Weed
			[256217] = 900, -- Mass Mill Riverbud
			[256223] = 900, -- Mass Mill Sea Stalk
			[256221] = 900, -- Mass Mill Siren's Pollen
			[256218] = 900, -- Mass Mill Star Moss
			[256220] = 900, -- Mass Mill Winter's Kiss
			[298927] = 900, -- Mass Mill Zin'anthid
			[294792] = 808, -- Notorious Combatant's Etched Vessel
			[294791] = 808, -- Notorious Combatant's Etched Vessel
			[294790] = 808, -- Notorious Combatant's Etched Vessel
			[286649] = 412, -- Sanguinated Chromotography
			[256301] = 321, -- Sanguine Feather Quill of Lana'thel
			[269065] = 114, -- Scroll of Unlocking
			[282805] = 808, -- Sinister Combatant's Etched Vessel
			[282804] = 808, -- Sinister Combatant's Etched Vessel
			[282803] = 808, -- Sinister Combatant's Etched Vessel
			[256236] = 114, -- Tome of the Quiet Mind
			[256237] = 114, -- Tome of the Quiet Mind
			[256235] = 114, -- Tome of the Quiet Mind
			[264776] = 328, -- Ultramarine Ink
			[305952] = 808, -- Uncanny Combatant's Etched Vessel
			[305953] = 808, -- Uncanny Combatant's Etched Vessel
			[305954] = 808, -- Uncanny Combatant's Etched Vessel
			[285639] = 807, -- Vantus Rune: Battle of Dazar'alor
			[285640] = 807, -- Vantus Rune: Battle of Dazar'alor
			[285641] = 807, -- Vantus Rune: Battle of Dazar'alor
			[285925] = 142, -- Vantus Rune: Crucible of Storms
			[285926] = 142, -- Vantus Rune: Crucible of Storms
			[285927] = 142, -- Vantus Rune: Crucible of Storms
			[306482] = 36, -- Vantus Rune: Ny'alotha, the Waking City
			[306483] = 36, -- Vantus Rune: Ny'alotha, the Waking City
			[306481] = 36, -- Vantus Rune: Ny'alotha, the Waking City
			[298648] = 20, -- Vantus Rune: The Eternal Palace
			[298647] = 20, -- Vantus Rune: The Eternal Palace
			[298625] = 20, -- Vantus Rune: The Eternal Palace
			[256303] = 200, -- Vantus Rune: Uldir
			[256304] = 200, -- Vantus Rune: Uldir
			[256305] = 200, -- Vantus Rune: Uldir
			[264778] = 821, -- Viridescent Ink
			[264767] = 114, -- War-Scroll of Battle Shout
			[264769] = 114, -- War-Scroll of Fortitude
			[264766] = 114, -- War-Scroll of Intellect
			-- Legion
			[209510] = 16, -- Aqual Mark
			[226248] = 114, -- Codex of the Tranquil Mind
			[227239] = 114, -- Codex of the Tranquil Mind
			[227240] = 114, -- Codex of the Tranquil Mind
			[192890] = 114, -- Darkmoon Card of the Legion
			[192859] = 114, -- Darkmoon Card of the Legion
			[191659] = 114, -- Darkmoon Card of the Legion
			[225535] = "HUNTER", -- Glyph of Arachnophobia
			[225534] = "DRUID", -- Glyph of Autumnal Bloom
			[192841] = "ROGUE", -- Glyph of Blackout
			[225548] = "ROGUE", -- Glyph of Burnout
			[225522] = "DEATHKNIGHT", -- Glyph of Cracked Ice
			[192843] = "MONK", -- Glyph of Crackling Crane Lightning
			[192850] = "DEMONHUNTER", -- Glyph of Crackling Flames
			[232274] = "MONK", -- Glyph of Crackling Ox Lightning
			[225550] = "SHAMAN", -- Glyph of Critterhex
			[254238] = "PRIEST", -- Glyph of Dark Absolution
			[246982] = "WARLOCK", -- Glyph of Ember Shards
			[228381] = "WARRIOR", -- Glyph of Falling Thunder
			[192851] = "DEMONHUNTER", -- Glyph of Fallow Wings
			[192839] = "WARLOCK", -- Glyph of Fel Imp
			[192849] = "DEMONHUNTER", -- Glyph of Fel Touched Souls
			[225527] = "DEMONHUNTER", -- Glyph of Fel Wings
			[225528] = "DEMONHUNTER", -- Glyph of Fel-Enemies
			[246999] = "WARLOCK", -- Glyph of Fel-Touched Shards
			[225549] = "ROGUE", -- Glyph of Flash Bang
			[225551] = "SHAMAN", -- Glyph of Flickering
			[246984] = "WARLOCK", -- Glyph of Floating Shards
			[192838] = "PRIEST", -- Glyph of Ghostly Fade
			[225529] = "DEMONHUNTER", -- Glyph of Mana Touched Souls
			[225536] = "HUNTER", -- Glyph of Nesingwary's Nemeses
			[225552] = "SHAMAN", -- Glyph of Pebbles
			[225545] = "MAGE", -- Glyph of Polymorphic Proportions
			[225530] = "DEMONHUNTER", -- Glyph of Shadow-Enemies
			[225546] = "MAGE", -- Glyph of Smolder
			[192840] = "MAGE", -- Glyph of Sparkles
			[192845] = "HUNTER", -- Glyph of Stellar Flare
			[192852] = "DEMONHUNTER", -- Glyph of Tattered Wings
			[225560] = "WARRIOR", -- Glyph of the Blazing Savior
			[225524] = "DEATHKNIGHT", -- Glyph of the Chilled Shell
			[225525] = "DEATHKNIGHT", -- Glyph of the Crimson Shell
			[225538] = "HUNTER", -- Glyph of the Dire Stable
			[225531] = "DRUID", -- Glyph of the Doe
			[225532] = "DRUID", -- Glyph of the Feral Chameleon
			[225533] = "DRUID", -- Glyph of the Forest Path
			[225539] = "HUNTER", -- Glyph of the Goblin Anti-Grav Flare
			[225541] = "HUNTER", -- Glyph of the Hook
			[225554] = "WARLOCK", -- Glyph of the Inquisitor's Eye
			[254227] = "PRIEST", -- Glyph of the Lightspawn
			[225555] = "WARLOCK", -- Glyph of the Observer
			[192846] = "PALADIN", -- Glyph of the Queen
			[192842] = "DRUID", -- Glyph of the Sentinel
			[240272] = "WARLOCK", -- Glyph of the Shadow Succubus
			[225556] = "WARLOCK", -- Glyph of the Shivarra
			[192844] = "SHAMAN", -- Glyph of the Spectral Raptor
			[225543] = "HUNTER", -- Glyph of the Trident
			[232275] = "PALADIN", -- Glyph of the Trusted Steed
			[254231] = "PRIEST", -- Glyph of the Voidling
			[225558] = "WARLOCK", -- Glyph of the Voidlord
			[233278] = "DRUID", -- Glyph of Twilight Bloom
			[225559] = "WARLOCK", -- Glyph of Wrathguard
			[225547] = "MONK", -- Glyph of Yu'lon's Grace
			[360882] = "DRUID", -- Mark of the Duskwing Raven
			[209658] = 900, -- Mass Mill Aethril
			[247861] = 900, -- Mass Mill Astral Glory
			[209659] = 900, -- Mass Mill Dreamleaf
			[209664] = 900, -- Mass Mill Felwort
			[209661] = 900, -- Mass Mill Fjarnskaggl
			[209660] = 900, -- Mass Mill Foxflower
			[209662] = 900, -- Mass Mill Starlight Rose
			[210116] = 900, -- Mass Mill Yseralline Seeds
			[192856] = 114, -- Prophecy Tarot
			[192855] = 114, -- Prophecy Tarot
			[192854] = 114, -- Prophecy Tarot
			[192802] = 114, -- Scroll of Forgotten Knowledge
			[210653] = 114, -- Songs of Battle
			[210654] = 114, -- Songs of Peace
			[223941] = 114, -- Songs of the Alliance
			[223940] = 114, -- Songs of the Horde
			[210656] = 114, -- Songs of the Legion
			[192804] = 114, -- Steamy Romance Novel Kit
			[209511] = 8, -- Straszan Mark
			[227043] = 114, -- Tome of the Tranquil Mind
			[222408] = 114, -- Unwritten Legend
			[247614] = 127, -- Vantus Rune: Antorus, the Burning Throne
			[247615] = 127, -- Vantus Rune: Antorus, the Burning Throne
			[247616] = 127, -- Vantus Rune: Antorus, the Burning Throne
			[192897] = 412, -- Vantus Rune: Cenarius
			[192866] = 412, -- Vantus Rune: Cenarius
			[192814] = 412, -- Vantus Rune: Cenarius
			[192899] = 640, -- Vantus Rune: Chronomatic Anomaly
			[192868] = 640, -- Vantus Rune: Chronomatic Anomaly
			[192816] = 640, -- Vantus Rune: Chronomatic Anomaly
			[192894] = 412, -- Vantus Rune: Dragons of Nightmare
			[192863] = 412, -- Vantus Rune: Dragons of Nightmare
			[192811] = 412, -- Vantus Rune: Dragons of Nightmare
			[192896] = 412, -- Vantus Rune: Elerethe Renferal
			[192865] = 412, -- Vantus Rune: Elerethe Renferal
			[192813] = 412, -- Vantus Rune: Elerethe Renferal
			[192906] = 640, -- Vantus Rune: Grand Magistrix Elisande
			[192875] = 640, -- Vantus Rune: Grand Magistrix Elisande
			[192823] = 640, -- Vantus Rune: Grand Magistrix Elisande
			[229184] = 6, -- Vantus Rune: Guarm
			[229178] = 6, -- Vantus Rune: Guarm
			[229181] = 6, -- Vantus Rune: Guarm
			[192907] = 640, -- Vantus Rune: Gul'dan
			[192876] = 640, -- Vantus Rune: Gul'dan
			[192824] = 640, -- Vantus Rune: Gul'dan
			[229185] = 6, -- Vantus Rune: Helya
			[229179] = 6, -- Vantus Rune: Helya
			[229182] = 6, -- Vantus Rune: Helya
			[192903] = 640, -- Vantus Rune: High Botanist Tel'arn
			[192872] = 640, -- Vantus Rune: High Botanist Tel'arn
			[192820] = 640, -- Vantus Rune: High Botanist Tel'arn
			[192893] = 412, -- Vantus Rune: Il'gynoth, The Heart of Corruption
			[192862] = 412, -- Vantus Rune: Il'gynoth, The Heart of Corruption
			[192810] = 412, -- Vantus Rune: Il'gynoth, The Heart of Corruption
			[192904] = 640, -- Vantus Rune: Krosus
			[192873] = 640, -- Vantus Rune: Krosus
			[192821] = 640, -- Vantus Rune: Krosus
			[192892] = 412, -- Vantus Rune: Nythendra
			[192861] = 412, -- Vantus Rune: Nythendra
			[192809] = 412, -- Vantus Rune: Nythendra
			[229183] = 6, -- Vantus Rune: Odyn
			[229177] = 6, -- Vantus Rune: Odyn
			[229180] = 6, -- Vantus Rune: Odyn
			[192898] = 640, -- Vantus Rune: Skorpyron
			[192867] = 640, -- Vantus Rune: Skorpyron
			[192815] = 640, -- Vantus Rune: Skorpyron
			[192901] = 640, -- Vantus Rune: Spellblade Aluriel
			[192870] = 640, -- Vantus Rune: Spellblade Aluriel
			[192818] = 640, -- Vantus Rune: Spellblade Aluriel
			[192905] = 640, -- Vantus Rune: Star Augur Etraeus
			[192874] = 640, -- Vantus Rune: Star Augur Etraeus
			[192822] = 640, -- Vantus Rune: Star Augur Etraeus
			[192902] = 640, -- Vantus Rune: Tichondrius
			[192871] = 640, -- Vantus Rune: Tichondrius
			[192819] = 640, -- Vantus Rune: Tichondrius
			[238579] = 401, -- Vantus Rune: Tomb of Sargeras
			[238578] = 401, -- Vantus Rune: Tomb of Sargeras
			[238577] = 401, -- Vantus Rune: Tomb of Sargeras
			[192900] = 640, -- Vantus Rune: Trilliax
			[192869] = 640, -- Vantus Rune: Trilliax
			[192817] = 640, -- Vantus Rune: Trilliax
			[192891] = 412, -- Vantus Rune: Ursoc
			[192860] = 412, -- Vantus Rune: Ursoc
			[192808] = 412, -- Vantus Rune: Ursoc
			[192895] = 412, -- Vantus Rune: Xavius
			[192864] = 412, -- Vantus Rune: Xavius
			[192812] = 412, -- Vantus Rune: Xavius
			-- Draenor
			[166669] = 114, -- Card of Omens
			[227562] = 114, -- Codex of the Clear Mind
			[166356] = 808, -- Crystalfire Spellstaff
			[163294] = 114, -- Darkmoon Card of Draenor
			[178550] = 910, -- Draenic Mortar
			[176513] = 114, -- Draenor Merchant Order
			[166359] = 808, -- Etched-Blade Warstaff
			[182158] = "DRUID", -- Glyph of the Sun
			[175390] = 114, -- Laughing Tarot
			[190382] = 900, -- Mass Mill Fireweed
			[190381] = 900, -- Mass Mill Frostweed
			[190383] = 900, -- Mass Mill Gorgrond Flytrap
			[190385] = 900, -- Mass Mill Nagrand Arrowbloom
			[190384] = 900, -- Mass Mill Starflower
			[190386] = 900, -- Mass Mill Talador Orchid
			[175389] = 114, -- Ocean Tarot
			[167950] = 114, -- Research: Warbinder's Ink
			[167948] = 114, -- Research: Warbinder's Ink
			[175392] = 114, -- Savage Tarot
			[177045] = 114, -- Secrets of Draenor Inscription
			[166363] = 114, -- Shadowtome
			[182125] = 138, -- The Spirit of War
			[227561] = 114, -- Tome of the Clear Mind
			[166432] = 808, -- Volatile Crystal
			[169081] = 138, -- War Paints
			[178497] = 138, -- Warbinder's Ink
			[165804] = 808, -- Warmaster's Firestick
			-- Pandaria
			[127009] = 802, -- Chi-ji Kite
			[127378] = 114, -- Commissioned Painting
			[146638] = 909, -- Crafted Malevolent Gladiator's Medallion of Tenacity
			[127018] = 646, -- Crane Wing Inscription
			[111830] = 114, -- Darkmoon Card of Mists
			[127391] = 120, -- Engraved Jade Disk
			[111920] = 808, -- Ghost Iron Staff
			[58301]  = "HUNTER", -- Glyph of Lesser Proportion
			[148274] = "PALADIN", -- Glyph of Pillar of Light
			[126696] = "PRIEST", -- Glyph of the Val'kyr
			[126995] = 646, -- Greater Crane Wing Inscription
			[126994] = 646, -- Greater Ox Horn Inscription
			[126996] = 646, -- Greater Tiger Claw Inscription
			[126997] = 646, -- Greater Tiger Fang Inscription
			[111645] = 802, -- Ink of Dreams
			[111918] = 808, -- Inscribed Crane Staff
			[111908] = 808, -- Inscribed Fan
			[111909] = 808, -- Inscribed Jade Fan
			[127481] = 809, -- Inscribed Monument
			[111910] = 808, -- Inscribed Red Fan
			[111919] = 808, -- Inscribed Serpent Staff
			[111921] = 808, -- Inscribed Tiger Staff
			[126988] = 114, -- Origami Crane
			[126989] = 114, -- Origami Frog
			[127019] = 646, -- Ox Horn Inscription
			[128922] = 114, -- Portrait of Madam Goya
			[111917] = 808, -- Rain Poppy Staff
			[165467] = 114, -- Research: Ink of Dreams
			[112045] = 114, -- Runescroll of Fortitude III
			[112996] = 114, -- Scroll of Wisdom
			[127023] = 646, -- Secret Crane Wing Inscription
			[127024] = 646, -- Secret Ox Horn Inscription
			[127021] = 646, -- Secret Tiger Claw Inscription
			[127020] = 646, -- Secret Tiger Fang Inscription
			[111646] = 140, -- Starlight Ink
			[127017] = 646, -- Tiger Claw Inscription
			[127016] = 646, -- Tiger Fang Inscription
			[127007] = 802, -- Yu'lon Kite
			-- Cataclysm
			[86643]  = 114, -- Battle Tome
			[86004]  = 999, -- Blackfallow Ink
			[86616]  = 114, -- Book of Blood
			[86615]  = 114, -- Darkmoon Card of Destruction
			[86642]  = 114, -- Divine Companion
			[86641]  = 114, -- Dungeoneering Guide
			[86403]  = 646, -- Felfire Inscription
			[89244]  = 114, -- Forged Documents
			[86654]  = 114, -- Forged Documents
			[112430] = "WARRIOR", -- Glyph of Burning Anger
			[112462] = "MONK", -- Glyph of Crackling Tiger Lightning
			[56986]  = "MAGE", -- Glyph of Crittermorph
			[64260]  = "ROGUE", -- Glyph of Disguise
			[126800] = "PRIEST", -- Glyph of Shadowy Friends
			[124466] = "PRIEST", -- Glyph of the Heavens
			[58287]  = "DRUID", -- Glyph of the Ursol Chameleon
			[68166]  = "WARRIOR", -- Glyph of Thunder Strike
			[86005]  = 818, -- Inferno Ink
			[86402]  = 646, -- Inscription of the Earth Prince
			[86648]  = 130, -- Key to the Planes
			[86401]  = 646, -- Lionsmane Inscription
			[86640]  = 114, -- Lord Rottington's Pressed Wisp Book
			[86609]  = 114, -- Mysterious Fortune Card
			[86646]  = 114, -- Origami Beetle
			[86645]  = 114, -- Origami Rock
			[86644]  = 114, -- Origami Slime
			[165466] = 114, -- Research: Blackfallow Ink
			[86652]  = 808, -- Rosethorn Staff
			[86649]  = 808, -- Runed Staff
			[85785]  = 114, -- Runescroll of Fortitude II
			[89370]  = 114, -- Scroll of Agility IX
			[89368]  = 114, -- Scroll of Intellect IX
			[89373]  = 114, -- Scroll of Protection IX
			[89372]  = 114, -- Scroll of Stamina IX
			[89369]  = 114, -- Scroll of Strength IX
			[89371]  = 114, -- Scroll of Versatility IX
			[86653]  = 808, -- Silver Inlaid Staff
			[86375]  = 646, -- Swiftsteel Inscription
			-- Northrend
			[59504]  = 114, -- Darkmoon Card of the North
			[59498]  = 114, -- Faces of Doom
			[148275] = "PRIEST", -- Glyph of Angels
			[293801] = "MAGE", -- Glyph of Dalaran Brilliance
			[112469] = "MONK", -- Glyph of Fighting Pose
			[112464] = "MONK", -- Glyph of Honor
			[56948]  = "DRUID", -- Glyph of the Orca
			[57715]  = 118, -- Ink of the Sea
			[59497]  = 114, -- Iron-bound Tome
			[61117]  = 646, -- Master's Inscription of the Axe
			[61118]  = 646, -- Master's Inscription of the Crag
			[61119]  = 646, -- Master's Inscription of the Pinnacle
			[61120]  = 646, -- Master's Inscription of the Storm
			[165465] = 114, -- Research: Ink of the Sea
			[64051]  = 114, -- Rituals of the Moon
			[69385]  = 114, -- Runescroll of Fortitude
			[58482]  = 114, -- Scroll of Agility VII
			[58483]  = 114, -- Scroll of Agility VIII
			[50603]  = 114, -- Scroll of Intellect VII
			[50604]  = 114, -- Scroll of Intellect VIII
			[60337]  = 114, -- Scroll of Recall III
			[50619]  = 114, -- Scroll of Stamina VII
			[50620]  = 114, -- Scroll of Stamina VIII
			[58490]  = 114, -- Scroll of Strength VII
			[58491]  = 114, -- Scroll of Strength VIII
			[50610]  = 114, -- Scroll of Versatility VII
			[50611]  = 114, -- Scroll of Versatility VIII
			[57716]  = 16, -- Snowfall Ink
			[64053]  = 114, -- Twilight Tome
			-- Outland
			[59496]  = 114, -- Book of Clever Tricks
			[57714]  = 819, -- Darkflame Ink
			[57713]  = 323, -- Ethereal Ink
			[57263]  = "WARLOCK", -- Glyph of Felguard
			[148276] = "PRIEST", -- Glyph of the Sha
			[59503]  = 114, -- Greater Darkmoon Card
			[59495]  = 114, -- Hellfire Tome
			[165464] = 114, -- Research: Ethereal Ink
			[58481]  = 114, -- Scroll of Agility VI
			[50602]  = 114, -- Scroll of Intellect VI
			[58489]  = 114, -- Scroll of Strength VI
			-- Classic
			[59487]  = 114, -- Arcane Tarot
			[59490]  = 114, -- Book of Stars
			[59478]  = 114, -- Book of Survival
			[57709]  = 813, -- Celestial Ink
			[59387]  = 114, -- Certificate of Ownership
			[59502]  = 114, -- Darkmoon Card
			[57706]  = 10, -- Dawnstar Ink
			[52739]  = 114, -- Enchanting Vellum
			[57710]  = 820, -- Fiery Ink
			[59489]  = 114, -- Fire Eater's Guide
			[64250]  = "WARLOCK", -- Glyph of Crimson Banish
			[148271] = "MAGE", -- Glyph of Evaporation
			[58316]  = "PALADIN", -- Glyph of Fire From the Heavens
			[57224]  = "DEATHKNIGHT", -- Glyph of Foul Menagerie
			[58345]  = "WARRIOR", -- Glyph of Gushing Wound
			[112429] = "WARRIOR", -- Glyph of Hawk Feast
			[148278] = "PRIEST", -- Glyph of Inspired Hymns
			[148282] = "SHAMAN", -- Glyph of Lingering Ancestors
			[58347]  = "WARRIOR", -- Glyph of Mighty Victory
			[112466] = "MONK", -- Glyph of Rising Tiger Kick
			[58320]  = "PRIEST", -- Glyph of Shackle Undead
			[107907] = "PRIEST", -- Glyph of Shadow
			[58341]  = "WARLOCK", -- Glyph of Soulwell
			[148281] = "SHAMAN", -- Glyph of Spirit Raptors
			[56965]  = "DRUID", -- Glyph of Stars
			[123781] = "WARRIOR", -- Glyph of the Blazing Trail
			[131152] = "DRUID", -- Glyph of the Cheetah
			[57209]  = "DEATHKNIGHT", -- Glyph of the Geist
			[57032]  = "PALADIN", -- Glyph of the Luminous Charger
			[148266] = "DEATHKNIGHT", -- Glyph of the Skeleton
			[58332]  = "SHAMAN", -- Glyph of the Spectral Wolf
			[148270] = "MAGE", -- Glyph of the Unbound Elemental
			[148292] = "WARRIOR", -- Glyph of the Weaponmaster
			[58312]  = "PALADIN", -- Glyph of Winged Vengeance
			[57703]  = 821, -- Hunter's Ink
			[57712]  = 9, -- Ink of the Sky
			[57707]  = 815, -- Jadefire Ink
			[57704]  = 816, -- Lion's Ink
			[59494]  = 114, -- Manual of Clouds
			[53462]  = 819, -- Midnight Ink
			[52843]  = 812, -- Moonglow Ink
			[48247]  = 114, -- Mysterious Tarot
			[58565]  = 114, -- Mystic Tome
			[165461] = 114, -- Research: Celestial Ink
			[165460] = 114, -- Research: Jadefire Ink
			[165456] = 114, -- Research: Lion's Ink
			[165304] = 114, -- Research: Midnight Ink
			[165564] = 114, -- Research: Moonglow Ink
			[165463] = 114, -- Research: Shimmering Ink
			[59486]  = 114, -- Royal Guide of Escape Routes
			[57708]  = 813, -- Royal Ink
			[58472]  = 114, -- Scroll of Agility
			[58473]  = 114, -- Scroll of Agility II
			[58476]  = 114, -- Scroll of Agility III
			[58478]  = 114, -- Scroll of Agility IV
			[58480]  = 114, -- Scroll of Agility V
			[48114]  = 114, -- Scroll of Intellect
			[50598]  = 114, -- Scroll of Intellect II
			[50599]  = 114, -- Scroll of Intellect III
			[50600]  = 114, -- Scroll of Intellect IV
			[50601]  = 114, -- Scroll of Intellect V
			[48248]  = 114, -- Scroll of Recall
			[60336]  = 114, -- Scroll of Recall II
			[45382]  = 114, -- Scroll of Stamina
			[50612]  = 114, -- Scroll of Stamina II
			[50614]  = 114, -- Scroll of Stamina III
			[50616]  = 114, -- Scroll of Stamina IV
			[50617]  = 114, -- Scroll of Stamina V
			[50618]  = 114, -- Scroll of Stamina VI
			[58484]  = 114, -- Scroll of Strength
			[58485]  = 114, -- Scroll of Strength II
			[58486]  = 114, -- Scroll of Strength III
			[58487]  = 114, -- Scroll of Strength IV
			[58488]  = 114, -- Scroll of Strength V
			[48116]  = 114, -- Scroll of Versatility
			[50605]  = 114, -- Scroll of Versatility II
			[50606]  = 114, -- Scroll of Versatility III
			[50607]  = 114, -- Scroll of Versatility IV
			[50608]  = 114, -- Scroll of Versatility V
			[50609]  = 114, -- Scroll of Versatility VI
			[59491]  = 114, -- Shadowy Tarot
			[57711]  = 140, -- Shimmering Ink
			[59493]  = 114, -- Stormbound Tome
			[59480]  = 114, -- Strange Tarot
			[59484]  = 114, -- Tome of Kings
			[59475]  = 114, -- Tome of the Dawn
			[92026]  = 804, -- Vanishing Powder

			--! Jewelcrafting
			-- Shadowlands
			[338248] = 818, -- Brilliant Bauble
			[338244] = 808, -- Carved Crystal Ring
			[338239] = 140, -- Engraved Phaedrum Band
			[338246] = 815, -- Faceted Crystal
			[338249] = 142, -- Fine Sinvyr Chain
			[338238] = 140, -- Gem Studded Bangle
			[338241] = 814, -- Gleaming Kyranite Necklace
			[338245] = 815, -- Hollowed Crystal
			[338242] = 814, -- Kyranite Dangle
			[338240] = 808, -- Polished Gemstones
			[338247] = 818, -- Sinister Choker
			[338243] = 133, -- Solenium Wire
			[359701] = 660, -- Vestige of the Eternal
			[352443] = 660, -- Vestige of Origins
			[359672] = 114, -- Crafter's Mark of the First Ones
			[359663] = 114, -- Crafter's Mark IV
			[343694] = 114, -- Crafter's Mark of the Chained Isle
			[360016] = 135, -- Aealic Harmonizing Stone
			[360317] = 135, -- Devourer Essence Stone
			[343695] = 114, -- Crafter's Mark III
			[311906] = 817, -- Deadly Sinvyr Necklace
			[311884] = 817, -- Deadly Sinvyr Ring
			[311908] = 813, -- Masterful Phaedrum Necklace
			[311886] = 813, -- Masterful Phaedrum Ring
			[311907] = 816, -- Quick Oxxein Necklace
			[311885] = 816, -- Quick Oxxein Ring
			[355189] = 809, -- Shaded Stone Statue
			[327921] = 818, -- Shadowghast Necklace
			[332040] = 818, -- Shadowghast Necklace
			[332075] = 818, -- Shadowghast Necklace
			[338977] = 818, -- Shadowghast Necklace
			[327920] = 818, -- Shadowghast Ring
			[332039] = 818, -- Shadowghast Ring
			[332074] = 818, -- Shadowghast Ring
			[338978] = 818, -- Shadowghast Ring
			[311909] = 814, -- Versatile Solenium Necklace
			[311887] = 814, -- Versatile Solenium Ring
			[343696] = 114, -- Crafter's Mark II
			[311864] = 813, -- Masterful Jewel Cluster
			[311865] = 816, -- Quick Jewel Cluster
			[311863] = 817, -- Deadly Jewel Cluster
			[311859] = 814, -- Versatile Jewel Cluster
			[355187] = 809, -- Porous Stone Statue
			[311903] = 816, -- Quick Laestrite Choker
			[311905] = 814, -- Versatile Laestrite Choker
			[311953] = 812, -- Mass Prospect Elethium
			[359492] = 135, -- Mass Prospect Progenium
			[343697] = 114, -- Crafter's Mark I
			[343693] = 114, -- Novice Crafter's Mark
			[311902] = 817, -- Deadly Laestrite Choker
			[311904] = 813, -- Masterful Laestrite Choker
			[311950] = 139, -- Mass Prospect Oxxein
			[311951] = 140, -- Mass Prospect Phaedrum
			[311952] = 142, -- Mass Prospect Sinvyr
			[311949] = 133, -- Mass Prospect Solenium
			[311883] = 814, -- Versatile Laestrite Band
			[311881] = 816, -- Quick Laestrite Band
			[311948] = 137, -- Mass Prospect Laestrite
			[311882] = 813, -- Masterful Laestrite Band
			[311871] = 816, -- Quick Jewel Doublet
			[311870] = 818, -- Revitalizing Jewel Doublet
			[311868] = 817, -- Deadly Jewel Doublet
			[311880] = 817, -- Deadly Laestrite Band
			[311869] = 813, -- Masterful Jewel Doublet
			[311867] = 815, -- Straddling Jewel Doublet
			[311866] = 814, -- Versatile Jewel Doublet
			[334548] = 133, -- Crown of the Righteous
			-- Kul Tiras/Zandalar
			[307219] = 320, -- Void Focus
			[299018] = 812, -- Ascended Leviathan's Eye Loop
			[305981] = 812, -- Awakened Leviathan's Eye Loop
			[299017] = 812, -- Crushing Leviathan's Eye Loop
			[299016] = 812, -- Leviathan's Eye Loop
			[298800] = 812, -- Leviathan's Eye of Agility
			[298801] = 812, -- Leviathan's Eye of Intellect
			[298799] = 812, -- Leviathan's Eye of Strength
			[294795] = 808, -- Notorious Combatant's Intuitive Staff
			[305980] = 812, -- Peerless Leviathan's Eye Loop
			[305982] = 812, -- Unbound Leviathan's Eye Loop
			[294794] = 808, -- Notorious Combatant's Intuitive Staff
			[298798] = 817, -- Deadly Lava Lazuli
			[298797] = 813, -- Masterful Sea Currant
			[294793] = 808, -- Notorious Combatant's Intuitive Staff
			[298796] = 816, -- Quick Sand Spinel
			[300756] = 815, -- Straddling Sage Agate
			[305168] = 808, -- Uncanny Combatant's Intuitive Staff
			[305170] = 808, -- Uncanny Combatant's Intuitive Staff
			[305171] = 808, -- Uncanny Combatant's Intuitive Staff
			[298794] = 814, -- Versatile Dark Opal
			[300619] = 808, -- Mass Prospect Osmenite
			[289175] = 819, -- Emblazoned Kraken's Eye Loop
			[289181] = 819, -- Eternal Kraken's Eye Loop
			[256703] = 808, -- Jewelhammer's Focus
			[256701] = 819, -- Kraken's Eye of Agility
			[256702] = 819, -- Kraken's Eye of Intellect
			[256700] = 819, -- Kraken's Eye of Strength
			[256257] = 808, -- Laribole Staff of Alacrity
			[256260] = 808, -- Scarlet Diamond Staff of Intuition
			[289180] = 819, -- Spirited Kraken's Eye Loop
			[256256] = 808, -- Laribole Staff of Alacrity
			[256259] = 808, -- Scarlet Diamond Staff of Intuition
			[289174] = 819, -- Imbued Kraken's Eye Loop
			[282345] = 808, -- Sinister Combatant's Intuitive Staff
			[289179] = 819, -- Tidal Kraken's Eye Loop
			[289105] = 819, -- Kraken's Eye Loop
			[282344] = 808, -- Sinister Combatant's Intuitive Staff
			[282343] = 808, -- Sinister Combatant's Intuitive Staff
			[256515] = 817, -- Amberblaze Loop
			[269736] = 808, -- Honorable Combatant's Intuitive Staff
			[256517] = 816, -- Owlseye Loop
			[256521] = 814, -- Royal Quartz Loop
			[256519] = 813, -- Tidal Amethyst Loop
			[269735] = 808, -- Honorable Combatant's Intuitive Staff
			[256514] = 817, -- Amberblaze Loop
			[256516] = 816, -- Owlseye Loop
			[256520] = 814, -- Royal Quartz Loop
			[256518] = 813, -- Tidal Amethyst Loop
			[256696] = 817, -- Deadly Amberblaze
			[256698] = 813, -- Masterful Tidal Amethyst
			[256699] = 816, -- Quick Owlseye
			[256695] = 814, -- Versatile Royal Quartz
			[269734] = 808, -- Honorable Combatant's Intuitive Staff
			[256255] = 808, -- Laribole Staff of Alacrity
			[256258] = 808, -- Scarlet Diamond Staff of Intuition
			[278419] = 808, -- Kaleidoscopic Lens
			[256611] = 132, -- Mass Prospect Monelite
			[256622] = 131, -- Mass Prospect Platinum
			[256613] = 140, -- Mass Prospect Storm Silver
			[256510] = 817, -- Amberblaze Loop
			[256511] = 816, -- Owlseye Loop
			[256513] = 814, -- Royal Quartz Loop
			[256512] = 813, -- Tidal Amethyst Loop
			[256254] = 133, -- Rubellite Staff of Intuition
			[256253] = 133, -- Viridium Staff of Alacrity
			[272227] = 816, -- Golden Beryl Ring
			[272228] = 813, -- Kubiline Ring
			[272230] = 814, -- Kyanite Ring
			[272226] = 817, -- Solstone Ring
			[256689] = 817, -- Deadly Solstone
			[256692] = 813, -- Masterful Kubiline
			[256693] = 818, -- Natant Rubellite
			[256694] = 816, -- Quick Golden Beryl
			[256691] = 821, -- Straddling Viridium
			[256690] = 814, -- Versatile Kyanite
			[287272] = 801, -- Aqueous Recalibration
			[286651] = 412, -- Sanguinated Recalibration
			-- Legion
			[195940] = 814, -- Ancient Maelstrom Amulet
			[195919] = 814, -- Ancient Maelstrom Amulet
			[195873] = 814, -- Ancient Maelstrom Amulet
			[195925] = 816, -- Azsunite Loop
			[195904] = 816, -- Azsunite Loop
			[195858] = 816, -- Azsunite Loop
			[195928] = 816, -- Azsunite Pendant
			[195907] = 816, -- Azsunite Pendant
			[195861] = 816, -- Azsunite Pendant
			[195933] = 816, -- Blessed Dawnlight Medallion
			[195912] = 816, -- Blessed Dawnlight Medallion
			[195866] = 816, -- Blessed Dawnlight Medallion
			[195883] = 62, -- Chatterstone
			[195931] = 816, -- Dawnlight Band
			[195910] = 816, -- Dawnlight Band
			[195864] = 816, -- Dawnlight Band
			[195848] = 817, -- Deadly Deep Amber
			[247771] = 817, -- Deadly Deep Chemirine
			[195852] = 817, -- Deadly Eye of Prophecy
			[195923] = 817, -- Deep Amber Loop
			[195902] = 817, -- Deep Amber Loop
			[195856] = 817, -- Deep Amber Loop
			[195926] = 817, -- Deep Amber Pendant
			[195905] = 817, -- Deep Amber Pendant
			[195859] = 817, -- Deep Amber Pendant
			[248937] = 142, -- Empyrial Circlet
			[247751] = 142, -- Empyrial Cosmic Crown
			[247754] = 142, -- Empyrial Cosmic Crown
			[247755] = 142, -- Empyrial Cosmic Crown
			[248940] = 142, -- Empyrial Crown
			[247756] = 142, -- Empyrial Deep Crown
			[247757] = 142, -- Empyrial Deep Crown
			[247758] = 142, -- Empyrial Deep Crown
			[247762] = 142, -- Empyrial Elemental Crown
			[247763] = 142, -- Empyrial Elemental Crown
			[247764] = 142, -- Empyrial Elemental Crown
			[248939] = 142, -- Empyrial Florid Malachite Setting
			[248938] = 142, -- Empyrial Hesselian Setting
			[247765] = 142, -- Empyrial Titan Crown
			[247766] = 142, -- Empyrial Titan Crown
			[247767] = 142, -- Empyrial Titan Crown
			[195943] = 818, -- Grim Furystone Gorget
			[195922] = 818, -- Grim Furystone Gorget
			[195876] = 818, -- Grim Furystone Gorget
			[195939] = 817, -- Intrepid Necklace of Prophecy
			[195918] = 817, -- Intrepid Necklace of Prophecy
			[195872] = 817, -- Intrepid Necklace of Prophecy
			[195882] = 808, -- JewelCraft
			[195881] = 808, -- Jeweled Lockpick
			[195930] = 814, -- Maelstrom Band
			[195909] = 814, -- Maelstrom Band
			[195863] = 814, -- Maelstrom Band
			[247761] = 142, -- Mass Prospect Empyrium
			[225904] = 141, -- Mass Prospect Felslate
			[225902] = 140, -- Mass Prospect Leystone
			[247773] = 813, -- Masterful Argulite
			[195851] = 813, -- Masterful Queen's Opal
			[195855] = 813, -- Masterful Shadowruby
			[195929] = 817, -- Prophetic Band
			[195908] = 817, -- Prophetic Band
			[195862] = 817, -- Prophetic Band
			[209609] = 813, -- Queen's Opal Loop
			[209606] = 813, -- Queen's Opal Loop
			[209603] = 813, -- Queen's Opal Loop
			[209610] = 813, -- Queen's Opal Pendant
			[209607] = 813, -- Queen's Opal Pendant
			[209604] = 813, -- Queen's Opal Pendant
			[195849] = 816, -- Quick Azsunite
			[195853] = 816, -- Quick Dawnlight
			[247772] = 816, -- Quick Lightsphene
			[195942] = 818, -- Raging Furystone Gorget
			[195921] = 818, -- Raging Furystone Gorget
			[195875] = 818, -- Raging Furystone Gorget
			[195941] = 816, -- Righteous Dawnlight Medallion
			[195920] = 816, -- Righteous Dawnlight Medallion
			[195874] = 816, -- Righteous Dawnlight Medallion
			[195877] = 808, -- Saber's Eye
			[195879] = 808, -- Saber's Eye of Agility
			[195880] = 808, -- Saber's Eye of Intellect
			[195878] = 808, -- Saber's Eye of Strength
			[209611] = 813, -- Shadowruby Band
			[209608] = 813, -- Shadowruby Band
			[209605] = 813, -- Shadowruby Band
			[195924] = 814, -- Skystone Loop
			[195903] = 814, -- Skystone Loop
			[195857] = 814, -- Skystone Loop
			[195927] = 814, -- Skystone Pendant
			[195906] = 814, -- Skystone Pendant
			[195860] = 814, -- Skystone Pendant
			[195932] = 813, -- Sorcerous Shadowruby Pendant
			[195911] = 813, -- Sorcerous Shadowruby Pendant
			[195865] = 813, -- Sorcerous Shadowruby Pendant
			[195935] = 813, -- Subtle Shadowruby Pendant
			[195914] = 813, -- Subtle Shadowruby Pendant
			[195868] = 813, -- Subtle Shadowruby Pendant
			[195938] = 814, -- Sylvan Maelstrom Amulet
			[195917] = 814, -- Sylvan Maelstrom Amulet
			[195871] = 814, -- Sylvan Maelstrom Amulet
			[195936] = 817, -- Tranquil Necklace of Prophecy
			[195915] = 817, -- Tranquil Necklace of Prophecy
			[195869] = 817, -- Tranquil Necklace of Prophecy
			[195934] = 815, -- Twisted Pandemonite Choker
			[195913] = 815, -- Twisted Pandemonite Choker
			[195867] = 815, -- Twisted Pandemonite Choker
			[247774] = 814, -- Versatile Labradorite
			[195854] = 814, -- Versatile Maelstrom Sapphire
			[195850] = 814, -- Versatile Skystone
			[195937] = 815, -- Vindictive Pandemonite Choker
			[195916] = 815, -- Vindictive Pandemonite Choker
			[195870] = 815, -- Vindictive Pandemonite Choker
			-- Draenor
			[170719] = 816, -- Critical Strike Taladite
			[170716] = 818, -- Glowing Taladite Pendant
			[170713] = 818, -- Glowing Taladite Ring
			[170725] = 816, -- Greater Critical Strike Taladite
			[170726] = 814, -- Greater Haste Taladite
			[170727] = 813, -- Greater Mastery Taladite
			[170730] = 818, -- Greater Stamina Taladite
			[170729] = 815, -- Greater Versatility Taladite
			[170720] = 814, -- Haste Taladite
			[187634] = 816, -- Immaculate Critical Strike Taladite
			[187635] = 814, -- Immaculate Haste Taladite
			[187636] = 813, -- Immaculate Mastery Taladite
			[187640] = 818, -- Immaculate Stamina Taladite
			[187639] = 815, -- Immaculate Versatility Taladite
			[170721] = 813, -- Mastery Taladite
			[182127] = 808, -- Primal Gemcutting
			[170717] = 816, -- Shifting Taladite Pendant
			[170714] = 815, -- Shifting Taladite Ring
			[170724] = 818, -- Stamina Taladite
			[170701] = 808, -- Taladite Recrystalizer
			[170723] = 815, -- Versatility Taladite
			[170718] = 814, -- Whispering Taladite Pendant
			[170715] = 813, -- Whispering Taladite Ring
			[170710] = 909, -- Glowing Blackrock Band
			[170704] = 909, -- Glowing Iron Band
			[170707] = 909, -- Glowing Iron Choker
			[170732] = 808, -- Prismatic Focusing Lens
			[170731] = 808, -- Reflecting Prism
			[170711] = 910, -- Shifting Blackrock Band
			[170705] = 910, -- Shifting Iron Band
			[170708] = 910, -- Shifting Iron Choker
			[170712] = 910, -- Whispering Blackrock Band
			[170706] = 910, -- Whispering Iron Band
			[170709] = 910, -- Whispering Iron Choker
			[176087] = 114, -- Secrets of Draenor Jewelcrafting
			[170700] = 808, -- Taladite Crystal
			-- Pandaria
			[107693] = 813, -- Accurate Imperial Amethyst
			[107627] = 813, -- Accurate Roguestone
			[107645] = 817, -- Adept Tiger Opal
			[107715] = 817, -- Adept Vermilion Onyx
			[107753] = 812, -- Agile Primal Diamond
			[107646] = 817, -- Artful Tiger Opal
			[107716] = 817, -- Artful Vermilion Onyx
			[130657] = 813, -- Assassin's Imperial Amethyst
			[130656] = 813, -- Assassin's Roguestone
			[136274] = 818, -- Assassin's Serpent's Eye
			[107754] = 812, -- Austere Primal Diamond
			[107598] = 815, -- Balanced Alexandrite
			[106960] = 815, -- Balanced Wild Jade
			[122668] = 817, -- Band of Blood
			[107622] = 818, -- Bold Pandarian Garnet
			[107705] = 818, -- Bold Primordial Ruby
			[122675] = 818, -- Bold Serpent's Eye
			[107623] = 818, -- Brilliant Pandarian Garnet
			[107706] = 818, -- Brilliant Primordial Ruby
			[122676] = 818, -- Brilliant Serpent's Eye
			[107756] = 812, -- Burning Primal Diamond
			[107647] = 817, -- Champion's Tiger Opal
			[107717] = 817, -- Champion's Vermilion Onyx
			[107648] = 817, -- Crafty Tiger Opal
			[107718] = 817, -- Crafty Vermilion Onyx
			[107649] = 817, -- Deadly Tiger Opal
			[107719] = 817, -- Deadly Vermilion Onyx
			[107694] = 814, -- Defender's Imperial Amethyst
			[107628] = 814, -- Defender's Roguestone
			[107650] = 817, -- Deft Tiger Opal
			[107720] = 817, -- Deft Vermilion Onyx
			[107624] = 818, -- Delicate Pandarian Garnet
			[107707] = 818, -- Delicate Primordial Ruby
			[122674] = 818, -- Delicate Serpent's Eye
			[107757] = 812, -- Destructive Primal Diamond
			[107599] = 815, -- Effulgent Alexandrite
			[107758] = 812, -- Effulgent Primal Diamond
			[106957] = 815, -- Effulgent Wild Jade
			[107759] = 812, -- Ember Primal Diamond
			[107600] = 815, -- Energized Alexandrite
			[107737] = 815, -- Energized Wild Jade
			[107760] = 812, -- Enigmatic Primal Diamond
			[107695] = 813, -- Etched Imperial Amethyst
			[107630] = 813, -- Etched Roguestone
			[107762] = 812, -- Eternal Primal Diamond
			[107651] = 817, -- Fierce Tiger Opal
			[107721] = 817, -- Fierce Vermilion Onyx
			[107652] = 817, -- Fine Tiger Opal
			[107722] = 817, -- Fine Vermilion Onyx
			[107625] = 818, -- Flashing Pandarian Garnet
			[107708] = 818, -- Flashing Primordial Ruby
			[122685] = 818, -- Flashing Serpent's Eye
			[107763] = 812, -- Fleet Primal Diamond
			[107601] = 815, -- Forceful Alexandrite
			[107738] = 815, -- Forceful Wild Jade
			[107764] = 812, -- Forlorn Primal Diamond
			[122684] = 816, -- Fractured Serpent's Eye
			[107710] = 816, -- Fractured Sun's Radiance
			[107640] = 816, -- Fractured Sunstone
			[107696] = 813, -- Glinting Imperial Amethyst
			[107631] = 813, -- Glinting Roguestone
			[122670] = 818, -- Golembreaker Amulet
			[107697] = 813, -- Guardian's Imperial Amethyst
			[107632] = 813, -- Guardian's Roguestone
			[122664] = 815, -- Heart of the Earth
			[107765] = 812, -- Impassive Primal Diamond
			[131691] = 813, -- Imperial Amethyst
			[107653] = 817, -- Inscribed Tiger Opal
			[107723] = 817, -- Inscribed Vermilion Onyx
			[131897] = 815, -- Jade Owl
			[121844] = 815, -- Jade Panther
			[107602] = 815, -- Jagged Alexandrite
			[107739] = 815, -- Jagged Wild Jade
			[120045] = 819, -- Jeweled Onyx Panther
			[107654] = 817, -- Keen Tiger Opal
			[107724] = 817, -- Keen Vermilion Onyx
			[107604] = 815, -- Lightning Alexandrite
			[106955] = 815, -- Lightning Wild Jade
			[122667] = 816, -- Lionsfall Ring
			[122666] = 818, -- Lord's Signet
			[136270] = 817, -- Lucent Serpent's Eye
			[107655] = 817, -- Lucent Tiger Opal
			[107725] = 817, -- Lucent Vermilion Onyx
			[107605] = 815, -- Misty Alexandrite
			[106953] = 815, -- Misty Wild Jade
			[107698] = 813, -- Mysterious Imperial Amethyst
			[107633] = 813, -- Mysterious Roguestone
			[136275] = 818, -- Mysterious Serpent's Eye
			[107711] = 816, -- Mystic Sun's Radiance
			[107641] = 816, -- Mystic Sunstone
			[107606] = 815, -- Nimble Alexandrite
			[107740] = 815, -- Nimble Wild Jade
			[122661] = 808, -- Ornate Band
			[107607] = 815, -- Piercing Alexandrite
			[106954] = 815, -- Piercing Wild Jade
			[107656] = 817, -- Polished Tiger Opal
			[107726] = 817, -- Polished Vermilion Onyx
			[107657] = 817, -- Potent Tiger Opal
			[107727] = 817, -- Potent Vermilion Onyx
			[107766] = 812, -- Powerful Primal Diamond
			[107626] = 818, -- Precise Pandarian Garnet
			[107709] = 818, -- Precise Primordial Ruby
			[122683] = 818, -- Precise Serpent's Eye
			[140060] = 812, -- Primal Diamond
			[131686] = 818, -- Primordial Ruby
			[107608] = 815, -- Puissant Alexandrite
			[107742] = 815, -- Puissant Wild Jade
			[107699] = 813, -- Purified Imperial Amethyst
			[107634] = 813, -- Purified Roguestone
			[122682] = 816, -- Quick Serpent's Eye
			[107712] = 816, -- Quick Sun's Radiance
			[107642] = 816, -- Quick Sunstone
			[107609] = 815, -- Radiant Alexandrite
			[107743] = 815, -- Radiant Wild Jade
			[107658] = 817, -- Reckless Tiger Opal
			[107728] = 817, -- Reckless Vermilion Onyx
			[122669] = 814, -- Reflection of the Sea
			[107610] = 815, -- Regal Alexandrite
			[107744] = 815, -- Regal Wild Jade
			[107659] = 817, -- Resolute Tiger Opal
			[107729] = 817, -- Resolute Vermilion Onyx
			[136269] = 818, -- Resplendent Serpent's Eye
			[107660] = 817, -- Resplendent Tiger Opal
			[107730] = 817, -- Resplendent Vermilion Onyx
			[107700] = 813, -- Retaliating Imperial Amethyst
			[107635] = 813, -- Retaliating Roguestone
			[107767] = 812, -- Reverberating Primal Diamond
			[107768] = 812, -- Revitalizing Primal Diamond
			[107617] = 814, -- Rigid Lapis Lazuli
			[106947] = 814, -- Rigid River's Heart
			[122681] = 814, -- Rigid Serpent's Eye
			[131593] = 814, -- River's Heart
			[122665] = 813, -- Roguestone Shadowband
			[121841] = 818, -- Ruby Panther
			[131898] = 814, -- Sapphire Cub
			[121842] = 814, -- Sapphire Panther
			[122663] = 813, -- Scrying Roguestone
			[131759] = 808, -- Secrets of the Stone
			[107611] = 815, -- Sensei's Alexandrite
			[106956] = 815, -- Sensei's Wild Jade
			[140050] = 812, -- Serpent's Heart
			[122662] = 808, -- Shadowfire Necklace
			[107612] = 815, -- Shattered Alexandrite
			[107745] = 815, -- Shattered Wild Jade
			[107701] = 813, -- Shifting Imperial Amethyst
			[107636] = 813, -- Shifting Roguestone
			[107661] = 817, -- Skillful Tiger Opal
			[107731] = 817, -- Skillful Vermilion Onyx
			[122672] = 813, -- Skymage Circle
			[122680] = 816, -- Smooth Serpent's Eye
			[107713] = 816, -- Smooth Sun's Radiance
			[107643] = 816, -- Smooth Sunstone
			[107619] = 814, -- Solid Lapis Lazuli
			[106950] = 814, -- Solid River's Heart
			[122678] = 814, -- Solid Serpent's Eye
			[107702] = 813, -- Sovereign Imperial Amethyst
			[107637] = 813, -- Sovereign Roguestone
			[107620] = 814, -- Sparkling Lapis Lazuli
			[106949] = 814, -- Sparkling River's Heart
			[122677] = 814, -- Sparkling Serpent's Eye
			[107662] = 817, -- Splendid Tiger Opal
			[107732] = 817, -- Splendid Vermilion Onyx
			[107663] = 817, -- Stalwart Tiger Opal
			[107733] = 817, -- Stalwart Vermilion Onyx
			[107613] = 815, -- Steady Alexandrite
			[107746] = 815, -- Steady Wild Jade
			[107621] = 814, -- Stormy Lapis Lazuli
			[106948] = 814, -- Stormy River's Heart
			[122679] = 816, -- Subtle Serpent's Eye
			[107714] = 816, -- Subtle Sun's Radiance
			[107644] = 816, -- Subtle Sunstone
			[131695] = 816, -- Sun's Radiance
			[121843] = 816, -- Sunstone Panther
			[130658] = 813, -- Tense Imperial Amethyst
			[130655] = 813, -- Tense Roguestone
			[136273] = 818, -- Tense Serpent's Eye
			[107665] = 817, -- Tenuous Tiger Opal
			[107734] = 817, -- Tenuous Vermilion Onyx
			[122673] = 817, -- Tiger Opal Pendant
			[107703] = 813, -- Timeless Imperial Amethyst
			[107638] = 813, -- Timeless Roguestone
			[107614] = 815, -- Turbid Alexandrite
			[106962] = 815, -- Turbid Wild Jade
			[107704] = 813, -- Veiled Imperial Amethyst
			[107639] = 813, -- Veiled Roguestone
			[131690] = 817, -- Vermilion Onyx
			[107615] = 815, -- Vivid Alexandrite
			[106961] = 815, -- Vivid Wild Jade
			[107666] = 817, -- Wicked Tiger Opal
			[107735] = 817, -- Wicked Vermilion Onyx
			[122671] = 808, -- Widow Chain
			[131688] = 815, -- Wild Jade
			[136272] = 818, -- Willful Serpent's Eye
			[107667] = 817, -- Willful Tiger Opal
			[107736] = 817, -- Willful Vermilion Onyx
			[107616] = 815, -- Zen Alexandrite
			[106958] = 815, -- Zen Wild Jade
			-- Cataclysm
			[73360]  = 813, -- Accurate Demonseye
			[73250]  = 813, -- Accurate Nightstone
			[101784] = 813, -- Accurate Shadow Spinel
			[73371]  = 817, -- Adept Ember Topaz
			[73268]  = 817, -- Adept Hessonite
			[101773] = 817, -- Adept Lava Coral
			[96255]  = 812, -- Agile Shadowspirit Diamond
			[73496]  = 816, -- Alicite Pendant
			[73373]  = 817, -- Artful Ember Topaz
			[73270]  = 817, -- Artful Hessonite
			[101775] = 817, -- Artful Lava Coral
			[73468]  = 812, -- Austere Shadowspirit Diamond
			[101749] = 815, -- Balanced Elven Peridot
			[73498]  = 813, -- Band of Blades
			[73222]  = 818, -- Bold Carnelian
			[73396]  = 818, -- Bold Chimera's Eye
			[73335]  = 818, -- Bold Inferno Ruby
			[101799] = 818, -- Bold Queen's Garnet
			[73466]  = 812, -- Bracing Shadowspirit Diamond
			[73521]  = 816, -- Brazen Elementium Medallion
			[73225]  = 818, -- Brilliant Carnelian
			[73399]  = 818, -- Brilliant Chimera's Eye
			[73338]  = 818, -- Brilliant Inferno Ruby
			[101797] = 818, -- Brilliant Queen's Garnet
			[96257]  = 812, -- Burning Shadowspirit Diamond
			[73620]  = 818, -- Carnelian Spikes
			[101768] = 817, -- Champion's Lava Coral
			[73465]  = 812, -- Chaotic Shadowspirit Diamond
			[101762] = 817, -- Crafty Lava Coral
			[73365]  = 817, -- Deadly Ember Topaz
			[73262]  = 817, -- Deadly Hessonite
			[101761] = 817, -- Deadly Lava Coral
			[73352]  = 813, -- Defender's Demonseye
			[73242]  = 813, -- Defender's Nightstone
			[101793] = 813, -- Defender's Shadow Spinel
			[73368]  = 817, -- Deft Ember Topaz
			[73265]  = 817, -- Deft Hessonite
			[101769] = 817, -- Deft Lava Coral
			[73223]  = 818, -- Delicate Carnelian
			[73397]  = 818, -- Delicate Chimera's Eye
			[73336]  = 818, -- Delicate Inferno Ruby
			[101795] = 818, -- Delicate Queen's Garnet
			[73472]  = 812, -- Destructive Shadowspirit Diamond
			[73469]  = 812, -- Effulgent Shadowspirit Diamond
			[73520]  = 813, -- Elementium Destroyer's Ring
			[73506]  = 814, -- Elementium Guardian
			[73503]  = 815, -- Elementium Moebius Band
			[73470]  = 812, -- Ember Shadowspirit Diamond
			[101754] = 815, -- Energized Elven Peridot
			[73474]  = 812, -- Enigmatic Shadowspirit Diamond
			[73504]  = 818, -- Entwined Elementium Choker
			[73356]  = 813, -- Etched Demonseye
			[73246]  = 813, -- Etched Nightstone
			[101787] = 813, -- Etched Shadow Spinel
			[73467]  = 812, -- Eternal Shadowspirit Diamond
			[73505]  = 818, -- Eye of Many Deaths
			[73367]  = 817, -- Fierce Ember Topaz
			[73264]  = 817, -- Fierce Hessonite
			[101772] = 817, -- Fierce Lava Coral
			[73372]  = 817, -- Fine Ember Topaz
			[73269]  = 817, -- Fine Hessonite
			[101776] = 817, -- Fine Lava Coral
			[73478]  = 808, -- Fire Prism
			[73224]  = 818, -- Flashing Carnelian
			[73398]  = 818, -- Flashing Chimera's Eye
			[73337]  = 818, -- Flashing Inferno Ruby
			[101798] = 818, -- Flashing Queen's Garnet
			[73464]  = 812, -- Fleet Shadowspirit Diamond
			[73380]  = 815, -- Forceful Dream Emerald
			[101757] = 815, -- Forceful Elven Peridot
			[73277]  = 815, -- Forceful Jasper
			[73476]  = 812, -- Forlorn Shadowspirit Diamond
			[73239]  = 816, -- Fractured Alicite
			[73349]  = 816, -- Fractured Amberjewel
			[73409]  = 816, -- Fractured Chimera's Eye
			[101803] = 816, -- Fractured Lightstone
			[73357]  = 813, -- Glinting Demonseye
			[73247]  = 813, -- Glinting Nightstone
			[101783] = 813, -- Glinting Shadow Spinel
			[73354]  = 813, -- Guardian's Demonseye
			[73244]  = 813, -- Guardian's Nightstone
			[101791] = 813, -- Guardian's Shadow Spinel
			[73495]  = 817, -- Hessonite Band
			[73475]  = 812, -- Impassive Shadowspirit Diamond
			[101747] = 815, -- Infused Elven Peridot
			[73364]  = 817, -- Inscribed Ember Topaz
			[73260]  = 817, -- Inscribed Hessonite
			[101764] = 817, -- Inscribed Lava Coral
			[73377]  = 815, -- Jagged Dream Emerald
			[101755] = 815, -- Jagged Elven Peridot
			[73274]  = 815, -- Jagged Jasper
			[73494]  = 815, -- Jasper Ring
			[73627]  = 816, -- Jeweler's Amber Monocle
			[73625]  = 818, -- Jeweler's Ruby Monocle
			[73626]  = 814, -- Jeweler's Sapphire Monocle
			[73374]  = 817, -- Keen Ember Topaz
			[73271]  = 817, -- Keen Hessonite
			[101774] = 817, -- Keen Lava Coral
			[73381]  = 815, -- Lightning Dream Emerald
			[101745] = 815, -- Lightning Elven Peridot
			[73278]  = 815, -- Lightning Jasper
			[95755]  = 817, -- Lucent Ember Topaz
			[101778] = 817, -- Lucent Lava Coral
			[101743] = 815, -- Misty Elven Peridot
			[101788] = 813, -- Mysterious Shadow Spinel
			[73347]  = 816, -- Mystic Amberjewel
			[73407]  = 816, -- Mystic Chimera's Eye
			[101804] = 816, -- Mystic Lightstone
			[73497]  = 813, -- Nightstone Choker
			[73376]  = 815, -- Nimble Dream Emerald
			[101758] = 815, -- Nimble Elven Peridot
			[73273]  = 815, -- Nimble Jasper
			[73378]  = 815, -- Piercing Dream Emerald
			[101744] = 815, -- Piercing Elven Peridot
			[73275]  = 815, -- Piercing Jasper
			[73361]  = 817, -- Polished Ember Topaz
			[73258]  = 817, -- Polished Hessonite
			[101765] = 817, -- Polished Lava Coral
			[73366]  = 817, -- Potent Ember Topaz
			[73263]  = 817, -- Potent Hessonite
			[101763] = 817, -- Potent Lava Coral
			[73473]  = 812, -- Powerful Shadowspirit Diamond
			[73226]  = 818, -- Precise Carnelian
			[73400]  = 818, -- Precise Chimera's Eye
			[73339]  = 818, -- Precise Inferno Ruby
			[101796] = 818, -- Precise Queen's Garnet
			[73382]  = 815, -- Puissant Dream Emerald
			[101759] = 815, -- Puissant Elven Peridot
			[73279]  = 815, -- Puissant Jasper
			[98921]  = 816, -- Punisher's Band
			[73355]  = 813, -- Purified Demonseye
			[73245]  = 813, -- Purified Nightstone
			[101789] = 813, -- Purified Shadow Spinel
			[73234]  = 816, -- Quick Alicite
			[73348]  = 816, -- Quick Amberjewel
			[73408]  = 816, -- Quick Chimera's Eye
			[101802] = 816, -- Quick Lightstone
			[101752] = 815, -- Radiant Elven Peridot
			[73369]  = 817, -- Reckless Ember Topaz
			[73266]  = 817, -- Reckless Hessonite
			[101771] = 817, -- Reckless Lava Coral
			[73375]  = 815, -- Regal Dream Emerald
			[101756] = 815, -- Regal Elven Peridot
			[73272]  = 815, -- Regal Jasper
			[73362]  = 817, -- Resolute Ember Topaz
			[101766] = 817, -- Resolute Lava Coral
			[95756]  = 817, -- Resplendent Ember Topaz
			[101782] = 817, -- Resplendent Lava Coral
			[73358]  = 813, -- Retaliating Demonseye
			[73248]  = 813, -- Retaliating Nightstone
			[101786] = 813, -- Retaliating Shadow Spinel
			[96256]  = 812, -- Reverberating Shadowspirit Diamond
			[73471]  = 812, -- Revitalizing Shadowspirit Diamond
			[73623]  = 820, -- Rhinestone Sunglasses
			[73404]  = 814, -- Rigid Chimera's Eye
			[101735] = 814, -- Rigid Deepholm Iolite
			[73344]  = 814, -- Rigid Ocean Sapphire
			[73230]  = 814, -- Rigid Zephyrite
			[73502]  = 817, -- Ring of Warring Elements
			[73384]  = 815, -- Sensei's Dream Emerald
			[101746] = 815, -- Sensei's Elven Peridot
			[73281]  = 815, -- Sensei's Jasper
			[101753] = 815, -- Shattered Elven Peridot
			[73351]  = 813, -- Shifting Demonseye
			[73241]  = 813, -- Shifting Nightstone
			[101790] = 813, -- Shifting Shadow Spinel
			[73370]  = 817, -- Skillful Ember Topaz
			[73267]  = 817, -- Skillful Hessonite
			[101777] = 817, -- Skillful Lava Coral
			[73232]  = 816, -- Smooth Alicite
			[73346]  = 816, -- Smooth Amberjewel
			[73406]  = 816, -- Smooth Chimera's Eye
			[101800] = 816, -- Smooth Lightstone
			[73401]  = 814, -- Solid Chimera's Eye
			[101742] = 814, -- Solid Deepholm Iolite
			[73340]  = 814, -- Solid Ocean Sapphire
			[73227]  = 814, -- Solid Zephyrite
			[73350]  = 813, -- Sovereign Demonseye
			[73240]  = 813, -- Sovereign Nightstone
			[101794] = 813, -- Sovereign Shadow Spinel
			[73402]  = 814, -- Sparkling Chimera's Eye
			[101741] = 814, -- Sparkling Deepholm Iolite
			[73341]  = 814, -- Sparkling Ocean Sapphire
			[73228]  = 814, -- Sparkling Zephyrite
			[101781] = 817, -- Splendid Lava Coral
			[101767] = 817, -- Stalwart Lava Coral
			[73622]  = 721, -- Stardust
			[73379]  = 815, -- Steady Dream Emerald
			[101760] = 815, -- Steady Elven Peridot
			[73276]  = 815, -- Steady Jasper
			[73403]  = 814, -- Stormy Chimera's Eye
			[101740] = 814, -- Stormy Deepholm Iolite
			[73343]  = 814, -- Stormy Ocean Sapphire
			[73229]  = 814, -- Stormy Zephyrite
			[73231]  = 816, -- Subtle Alicite
			[73345]  = 816, -- Subtle Amberjewel
			[73405]  = 816, -- Subtle Chimera's Eye
			[101801] = 816, -- Subtle Lightstone
			[101779] = 817, -- Tenuous Lava Coral
			[73621]  = 808, -- The Perforator
			[73353]  = 813, -- Timeless Demonseye
			[73243]  = 813, -- Timeless Nightstone
			[101792] = 813, -- Timeless Shadow Spinel
			[101751] = 815, -- Turbid Elven Peridot
			[73359]  = 813, -- Veiled Demonseye
			[73249]  = 813, -- Veiled Nightstone
			[101785] = 813, -- Veiled Shadow Spinel
			[99540]  = 816, -- Vicious Amberjewel Band
			[99543]  = 816, -- Vicious Amberjewel Pendant
			[99544]  = 818, -- Vicious Ruby Choker
			[99541]  = 818, -- Vicious Ruby Signet
			[99542]  = 814, -- Vicious Sapphire Necklace
			[99539]  = 814, -- Vicious Sapphire Ring
			[96226]  = 815, -- Vivid Dream Emerald
			[101750] = 815, -- Vivid Elven Peridot
			[101770] = 817, -- Wicked Lava Coral
			[95754]  = 817, -- Willful Ember Topaz
			[101780] = 817, -- Willful Lava Coral
			[73383]  = 815, -- Zen Dream Emerald
			[101748] = 815, -- Zen Elven Peridot
			[73280]  = 815, -- Zen Jasper
			-- Northrend
			[66576] = 813, -- Accurate Dreadstone
			[53892] = 813, -- Accurate Shadow Crystal
			[53994] = 813, -- Accurate Twilight Opal
			[55401] = 812, -- Austere Earthsiege Diamond
			[55405] = 812, -- Beaming Earthsiege Diamond
			[56196] = 321, -- Blood Sun Necklace
			[56193] = 818, -- Bloodstone Band
			[53831] = 818, -- Bold Bloodstone
			[66447] = 818, -- Bold Cardinal Ruby
			[56049] = 818, -- Bold Dragon's Eye
			[53830] = 818, -- Bold Scarlet Ruby
			[55397] = 812, -- Bracing Earthsiege Diamond
			[53852] = 818, -- Brilliant Bloodstone
			[66446] = 818, -- Brilliant Cardinal Ruby
			[56053] = 818, -- Brilliant Dragon's Eye
			[53946] = 818, -- Brilliant Scarlet Ruby
			[66579] = 817, -- Champion's Ametrine
			[53874] = 817, -- Champion's Huge Citrine
			[53977] = 817, -- Champion's Monarch Topaz
			[55389] = 812, -- Chaotic Skyflare Diamond
			[58142] = 814, -- Crystal Chalcedony Amulet
			[58141] = 817, -- Crystal Citrine Necklace
			[56205] = 815, -- Dark Jade Focusing Lens
			[66568] = 817, -- Deadly Ametrine
			[53877] = 817, -- Deadly Huge Citrine
			[53988] = 817, -- Deadly Monarch Topaz
			[66560] = 813, -- Defender's Dreadstone
			[53869] = 813, -- Defender's Shadow Crystal
			[53972] = 813, -- Defender's Twilight Opal
			[66584] = 817, -- Deft Ametrine
			[53880] = 817, -- Deft Huge Citrine
			[53991] = 817, -- Deft Monarch Topaz
			[53832] = 818, -- Delicate Bloodstone
			[66448] = 818, -- Delicate Cardinal Ruby
			[56052] = 818, -- Delicate Dragon's Eye
			[53945] = 818, -- Delicate Scarlet Ruby
			[55390] = 812, -- Destructive Skyflare Diamond
			[56197] = 815, -- Dream Signet
			[58143] = 813, -- Earthshadow Ring
			[55392] = 812, -- Ember Skyflare Diamond
			[64725] = 815, -- Emerald Choker
			[56530] = 812, -- Enchanted Pearl
			[56531] = 808, -- Enchanted Tear
			[53925] = 815, -- Energized Dark Jade
			[66442] = 815, -- Energized Eye of Zul
			[54011] = 815, -- Energized Forest Emerald
			[55393] = 812, -- Enigmatic Skyflare Diamond
			[66572] = 813, -- Etched Dreadstone
			[53873] = 813, -- Etched Shadow Crystal
			[53976] = 813, -- Etched Twilight Opal
			[55398] = 812, -- Eternal Earthsiege Diamond
			[66583] = 817, -- Fierce Ametrine
			[53876] = 817, -- Fierce Huge Citrine
			[54019] = 817, -- Fierce Monarch Topaz
			[56203] = 815, -- Figurine - Emerald Boar
			[59759] = 816, -- Figurine - Monarch Crab
			[56199] = 818, -- Figurine - Ruby Hare
			[56202] = 814, -- Figurine - Sapphire Owl
			[56201] = 813, -- Figurine - Twilight Serpent
			[53844] = 818, -- Flashing Bloodstone
			[66453] = 818, -- Flashing Cardinal Ruby
			[56056] = 818, -- Flashing Dragon's Eye
			[53949] = 818, -- Flashing Scarlet Ruby
			[53920] = 815, -- Forceful Dark Jade
			[66434] = 815, -- Forceful Eye of Zul
			[54001] = 815, -- Forceful Forest Emerald
			[55387] = 812, -- Forlorn Skyflare Diamond
			[66573] = 813, -- Glinting Dreadstone
			[53861] = 813, -- Glinting Shadow Crystal
			[53980] = 813, -- Glinting Twilight Opal
			[66561] = 813, -- Guardian's Dreadstone
			[53871] = 813, -- Guardian's Shadow Crystal
			[53974] = 813, -- Guardian's Twilight Opal
			[62242] = 808, -- Icy Prism
			[55388] = 812, -- Impassive Skyflare Diamond
			[66567] = 817, -- Inscribed Ametrine
			[53872] = 817, -- Inscribed Huge Citrine
			[53975] = 817, -- Inscribed Monarch Topaz
			[55396] = 812, -- Insightful Earthsiege Diamond
			[55404] = 812, -- Invigorating Earthsiege Diamond
			[56195] = 821, -- Jade Dagger Pendant
			[58144] = 815, -- Jade Ring of Slaying
			[53870] = 815, -- Jagged Dark Jade
			[66431] = 815, -- Jagged Eye of Zul
			[53996] = 815, -- Jagged Forest Emerald
			[53923] = 815, -- Lightning Dark Jade
			[66439] = 815, -- Lightning Eye of Zul
			[54009] = 815, -- Lightning Forest Emerald
			[66585] = 817, -- Lucent Ametrine
			[53879] = 817, -- Lucent Huge Citrine
			[53981] = 817, -- Lucent Monarch Topaz
			[53922] = 815, -- Misty Dark Jade
			[66435] = 815, -- Misty Eye of Zul
			[54003] = 815, -- Misty Forest Emerald
			[66562] = 813, -- Mysterious Dreadstone
			[53865] = 813, -- Mysterious Shadow Crystal
			[53968] = 813, -- Mysterious Twilight Opal
			[53960] = 816, -- Mystic Autumn's Glow
			[56079] = 816, -- Mystic Dragon's Eye
			[66505] = 816, -- Mystic King's Amber
			[53857] = 816, -- Mystic Sun Crystal
			[68253] = 808, -- Nightmare Tear
			[53917] = 815, -- Nimble Dark Jade
			[66429] = 815, -- Nimble Eye of Zul
			[53997] = 815, -- Nimble Forest Emerald
			[55402] = 812, -- Persistent Earthsiege Diamond
			[66569] = 817, -- Potent Ametrine
			[53882] = 817, -- Potent Huge Citrine
			[53984] = 817, -- Potent Monarch Topaz
			[55399] = 812, -- Powerful Earthsiege Diamond
			[54017] = 818, -- Precise Bloodstone
			[66450] = 818, -- Precise Cardinal Ruby
			[56081] = 818, -- Precise Dragon's Eye
			[53951] = 818, -- Precise Scarlet Ruby
			[66556] = 813, -- Purified Dreadstone
			[53921] = 813, -- Purified Shadow Crystal
			[53966] = 813, -- Purified Twilight Opal
			[53961] = 816, -- Quick Autumn's Glow
			[56083] = 816, -- Quick Dragon's Eye
			[66506] = 816, -- Quick King's Amber
			[53856] = 816, -- Quick Sun Crystal
			[53932] = 815, -- Radiant Dark Jade
			[66441] = 815, -- Radiant Eye of Zul
			[54012] = 815, -- Radiant Forest Emerald
			[66574] = 817, -- Reckless Ametrine
			[53885] = 817, -- Reckless Huge Citrine
			[53987] = 817, -- Reckless Monarch Topaz
			[53918] = 815, -- Regal Dark Jade
			[66338] = 815, -- Regal Eye of Zul
			[53998] = 815, -- Regal Forest Emerald
			[55400] = 812, -- Relentless Earthsiege Diamond
			[66586] = 817, -- Resolute Ametrine
			[53893] = 817, -- Resolute Huge Citrine
			[54023] = 817, -- Resolute Monarch Topaz
			[66582] = 817, -- Resplendent Ametrine
			[53875] = 817, -- Resplendent Huge Citrine
			[53978] = 817, -- Resplendent Monarch Topaz
			[55407] = 812, -- Revitalizing Skyflare Diamond
			[53854] = 814, -- Rigid Chalcedony
			[56084] = 814, -- Rigid Dragon's Eye
			[66501] = 814, -- Rigid Majestic Zircon
			[53958] = 814, -- Rigid Sky Sapphire
			[58147] = 131, -- Ring of Earthen Might
			[58150] = 812, -- Ring of Northern Tears
			[58148] = 818, -- Ring of Scarlet Shadows
			[64727] = 813, -- Runed Mana Band
			[58507] = 131, -- Savage Titanium Band
			[58492] = 131, -- Savage Titanium Ring
			[64728] = 818, -- Scarlet Signet
			[56206] = 813, -- Shadow Crystal Focusing Lens
			[56208] = 815, -- Shadow Jade Focusing Lens
			[58146] = 808, -- Shadowmight Ring
			[53933] = 815, -- Shattered Dark Jade
			[66443] = 815, -- Shattered Eye of Zul
			[54014] = 815, -- Shattered Forest Emerald
			[55384] = 812, -- Shielded Skyflare Diamond
			[66557] = 813, -- Shifting Dreadstone
			[53860] = 813, -- Shifting Shadow Crystal
			[53963] = 813, -- Shifting Twilight Opal
			[64726] = 814, -- Sky Sapphire Amulet
			[53957] = 816, -- Smooth Autumn's Glow
			[56085] = 816, -- Smooth Dragon's Eye
			[66502] = 816, -- Smooth King's Amber
			[53845] = 816, -- Smooth Sun Crystal
			[53934] = 814, -- Solid Chalcedony
			[56086] = 814, -- Solid Dragon's Eye
			[66497] = 814, -- Solid Majestic Zircon
			[53952] = 814, -- Solid Sky Sapphire
			[66554] = 813, -- Sovereign Dreadstone
			[53859] = 813, -- Sovereign Shadow Crystal
			[53962] = 813, -- Sovereign Twilight Opal
			[53941] = 814, -- Sparkling Chalcedony
			[56087] = 814, -- Sparkling Dragon's Eye
			[66498] = 814, -- Sparkling Majestic Zircon
			[53954] = 814, -- Sparkling Sky Sapphire
			[66581] = 817, -- Stalwart Ametrine
			[53891] = 817, -- Stalwart Huge Citrine
			[53993] = 817, -- Stalwart Monarch Topaz
			[53919] = 815, -- Steady Dark Jade
			[66428] = 815, -- Steady Eye of Zul
			[54000] = 815, -- Steady Forest Emerald
			[58145] = 803, -- Stoneguard Band
			[53943] = 814, -- Stormy Chalcedony
			[56088] = 814, -- Stormy Dragon's Eye
			[66499] = 814, -- Stormy Majestic Zircon
			[53955] = 814, -- Stormy Sky Sapphire
			[53948] = 816, -- Subtle Autumn's Glow
			[56055] = 816, -- Subtle Dragon's Eye
			[66452] = 816, -- Subtle King's Amber
			[53843] = 816, -- Subtle Sun Crystal
			[56194] = 816, -- Sun Rock Ring
			[55394] = 812, -- Swift Skyflare Diamond
			[55395] = 812, -- Thundering Skyflare Diamond
			[66432] = 813, -- Timeless Dreadstone
			[53894] = 813, -- Timeless Shadow Crystal
			[53965] = 813, -- Timeless Twilight Opal
			[55386] = 812, -- Tireless Skyflare Diamond
			[56500] = 808, -- Titanium Earthguard Chain
			[56497] = 808, -- Titanium Earthguard Ring
			[58954] = 808, -- Titanium Frostguard Ring
			[56496] = 808, -- Titanium Impact Band
			[56499] = 808, -- Titanium Impact Choker
			[56501] = 808, -- Titanium Spellshock Necklace
			[56498] = 808, -- Titanium Spellshock Ring
			[55403] = 812, -- Trenchant Earthsiege Diamond
			[53924] = 815, -- Turbid Dark Jade
			[66445] = 815, -- Turbid Eye of Zul
			[54005] = 815, -- Turbid Forest Emerald
			[66570] = 813, -- Veiled Dreadstone
			[53883] = 813, -- Veiled Shadow Crystal
			[53985] = 813, -- Veiled Twilight Opal
			[66571] = 817, -- Willful Ametrine
			[53884] = 817, -- Willful Huge Citrine
			[53986] = 817, -- Willful Monarch Topaz
			[58149] = 808, -- Windfire Band
			-- Outland
			[46126] = 815, -- Amulet of Flowing Life
			[31057] = 820, -- Arcane Khorium Band
			[31050] = 808, -- Azure Moonstone Ring
			[26916] = 817, -- Band of Natural Fire
			[31061] = 813, -- Blazing Eternium Band
			[42592] = 816, -- Blood of Amber
			[28905] = 818, -- Bold Blood Garnet
			[39705] = 818, -- Bold Crimson Spinel
			[31084] = 818, -- Bold Living Ruby
			[32867] = 812, -- Bracing Earthstorm Diamond
			[31070] = 813, -- Braided Eternium Chain
			[28903] = 818, -- Brilliant Blood Garnet
			[39711] = 818, -- Brilliant Crimson Spinel
			[47280] = 808, -- Brilliant Glass
			[31088] = 818, -- Brilliant Living Ruby
			[41414] = 818, -- Brilliant Pearl Band
			[32869] = 812, -- Brutal Earthstorm Diamond
			[31076] = 814, -- Chain of the Twilight Owl
			[44794] = 812, -- Chaotic Skyfire Diamond
			[31078] = 814, -- Circlet of Arcane Might
			[31077] = 815, -- Coronet of Verdant Flame
			[42589] = 818, -- Crimson Sun
			[41418] = 808, -- Crown of the Sea Witch
			[39467] = 817, -- Deadly Flame Spessarite
			[39471] = 817, -- Deadly Noble Topaz
			[39738] = 817, -- Deadly Pyrestone
			[34590] = 818, -- Delicate Blood Garnet
			[39706] = 818, -- Delicate Crimson Spinel
			[31060] = 813, -- Delicate Eternium Ring
			[31085] = 818, -- Delicate Living Ruby
			[32871] = 812, -- Destructive Skyfire Diamond
			[42558] = 818, -- Don Julio's Heart
			[46601] = 812, -- Ember Skyfire Diamond
			[31072] = 816, -- Embrace of the Dawn
			[32874] = 812, -- Enigmatic Skyfire Diamond
			[46597] = 812, -- Eternal Earthstorm Diamond
			[31071] = 813, -- Eye of the Night
			[42593] = 816, -- Facet of Eternity
			[42590] = 814, -- Falling Star
			[31048] = 818, -- Fel Iron Blood Ring
			[46777] = 818, -- Figurine - Crimson Serpent
			[31080] = 816, -- Figurine - Dawnstone Crab
			[46775] = 821, -- Figurine - Empyrean Tortoise
			[31079] = 818, -- Figurine - Felsteel Boar
			[46776] = 817, -- Figurine - Khorium Boar
			[31081] = 818, -- Figurine - Living Ruby Serpent
			[31083] = 813, -- Figurine - Nightseye Panther
			[46779] = 815, -- Figurine - Seaspray Albatross
			[46778] = 813, -- Figurine - Shadowsong Panther
			[31082] = 815, -- Figurine - Talasite Owl
			[39714] = 818, -- Flashing Crimson Spinel
			[31091] = 818, -- Flashing Living Ruby
			[47053] = 815, -- Forceful Seaspray Emerald
			[46405] = 815, -- Forceful Talasite
			[31109] = 813, -- Glinting Nightseye
			[28914] = 813, -- Glinting Shadow Draenite
			[39736] = 813, -- Glinting Shadowsong Amethyst
			[31049] = 816, -- Golden Draenite Ring
			[46124] = 820, -- Hard Khorium Band
			[46127] = 820, -- Hard Khorium Choker
			[31052] = 137, -- Heavy Adamantite Ring
			[31058] = 136, -- Heavy Felsteel Ring
			[28910] = 817, -- Inscribed Flame Spessarite
			[31106] = 817, -- Inscribed Noble Topaz
			[39733] = 817, -- Inscribed Pyrestone
			[32870] = 812, -- Insightful Earthstorm Diamond
			[28917] = 815, -- Jagged Deep Peridot
			[39742] = 815, -- Jagged Seaspray Emerald
			[31113] = 815, -- Jagged Talasite
			[42588] = 818, -- Kailee's Rose
			[31054] = 820, -- Khorium Band of Frost
			[31056] = 820, -- Khorium Band of Leaves
			[31053] = 820, -- Khorium Band of Shadows
			[31055] = 820, -- Khorium Inferno Band
			[31068] = 818, -- Living Ruby Pendant
			[46122] = 820, -- Loop of Forged Power
			[38068] = 137, -- Mercurial Adamantite
			[31101] = 816, -- Mystic Dawnstone
			[39724] = 816, -- Mystic Lionseye
			[32872] = 812, -- Mystical Skyfire Diamond
			[40514] = 812, -- Necklace of the Deep
			[31062] = 136, -- Pendant of Frozen Flame
			[31065] = 136, -- Pendant of Shadow's End
			[46125] = 137, -- Pendant of Sunfire
			[31063] = 136, -- Pendant of Thawing
			[31066] = 136, -- Pendant of the Null Rune
			[31064] = 136, -- Pendant of Withering
			[28915] = 817, -- Potent Flame Spessarite
			[31107] = 817, -- Potent Noble Topaz
			[39734] = 817, -- Potent Pyrestone
			[32866] = 812, -- Powerful Earthstorm Diamond
			[62941] = 819, -- Prismatic Black Diamond
			[41420] = 813, -- Purified Jaggal Pearl
			[31112] = 813, -- Purified Nightseye
			[28927] = 813, -- Purified Shadow Draenite
			[41429] = 819, -- Purified Shadow Pearl
			[39741] = 813, -- Purified Shadowsong Amethyst
			[46403] = 816, -- Quick Dawnstone
			[47056] = 816, -- Quick Lionseye
			[28916] = 815, -- Radiant Deep Peridot
			[39740] = 815, -- Radiant Seaspray Emerald
			[31111] = 815, -- Radiant Talasite
			[28912] = 817, -- Reckless Flame Spessarite
			[31108] = 817, -- Reckless Noble Topaz
			[47055] = 817, -- Reckless Pyrestone
			[28918] = 815, -- Regal Deep Peridot
			[39739] = 815, -- Regal Seaspray Emerald
			[46803] = 815, -- Regal Talasite
			[39961] = 812, -- Relentless Earthstorm Diamond
			[28948] = 814, -- Rigid Azure Moonstone
			[39721] = 814, -- Rigid Empyrean Sapphire
			[31098] = 814, -- Rigid Star of Elune
			[37855] = 813, -- Ring of Arcane Shielding
			[46123] = 820, -- Ring of Flowing Life
			[31103] = 813, -- Shifting Nightseye
			[28933] = 813, -- Shifting Shadow Draenite
			[39728] = 813, -- Shifting Shadowsong Amethyst
			[31097] = 816, -- Smooth Dawnstone
			[28944] = 816, -- Smooth Golden Draenite
			[39720] = 816, -- Smooth Lionseye
			[28950] = 814, -- Solid Azure Moonstone
			[39715] = 814, -- Solid Empyrean Sapphire
			[31092] = 814, -- Solid Star of Elune
			[31102] = 813, -- Sovereign Nightseye
			[28936] = 813, -- Sovereign Shadow Draenite
			[39727] = 813, -- Sovereign Shadowsong Amethyst
			[28953] = 814, -- Sparkling Azure Moonstone
			[39716] = 814, -- Sparkling Empyrean Sapphire
			[31149] = 814, -- Sparkling Star of Elune
			[47054] = 815, -- Steady Seaspray Emerald
			[43493] = 815, -- Steady Talasite
			[42591] = 816, -- Stone of Blades
			[28955] = 814, -- Stormy Azure Moonstone
			[39718] = 814, -- Stormy Empyrean Sapphire
			[31095] = 814, -- Stormy Star of Elune
			[31090] = 816, -- Subtle Dawnstone
			[28947] = 816, -- Subtle Golden Draenite
			[39713] = 816, -- Subtle Lionseye
			[32873] = 812, -- Swift Skyfire Diamond
			[32868] = 812, -- Tenacious Earthstorm Diamond
			[41415] = 819, -- The Black Pearl
			[38503] = 820, -- The Frozen Eye
			[38504] = 136, -- The Natural Ward
			[31051] = 137, -- Thick Adamantite Necklace
			[31067] = 136, -- Thick Felsteel Necklace
			[39963] = 812, -- Thundering Skyfire Diamond
			[31104] = 813, -- Timeless Nightseye
			[28925] = 813, -- Timeless Shadow Draenite
			[39731] = 813, -- Timeless Shadowsong Amethyst
			[39470] = 813, -- Veiled Nightseye
			[39466] = 813, -- Veiled Shadow Draenite
			[39737] = 813, -- Veiled Shadowsong Amethyst
			-- Classic
			[26912] = 819, -- Figurine - Black Diamond Crab
			[26914] = 910, -- Figurine - Dark Iron Scorpid
			[26909] = 815, -- Figurine - Emerald Owl
			[26910] = 816, -- Ring of Bitter Shadows
			[34961] = 815, -- Emerald Lion Ring
			[26911] = 815, -- Living Emerald Pendant
			[26906] = 815, -- Emerald Crown of Destruction
			[34960] = 812, -- Glowing Thorium Band
			[26907] = 135, -- Onslaught Ring
			[26908] = 814, -- Sapphire Pendant of Winter Night
			[26900] = 818, -- Figurine - Ruby Serpent
			[26903] = 814, -- Sapphire Signet
			[26896] = 135, -- Gem Studded Band
			[26897] = 817, -- Opal Necklace of Impact
			[26887] = 814, -- The Aquamarine Ward
			[36526] = 812, -- Diamond Focus Ring
			[26902] = 817, -- Simple Opal Ring
			[26882] = 812, -- Figurine - Truesilver Boar
			[26881] = 812, -- Figurine - Truesilver Crab
			[26878] = 818, -- Ruby Crown of Restoration
			[26885] = 812, -- Truesilver Healing Ring
			[26875] = 819, -- Figurine - Black Pearl Panther
			[26883] = 818, -- Ruby Pendant of Fire
			[36525] = 818, -- Red Ring of Destruction
			[26880] = 135, -- Thorium Setting
			[32809] = 809, -- Dense Stone Statue
			[26873] = 130, -- Figurine - Golden Hare
			[26876] = 134, -- Aquamarine Pendant of the Warrior
			[25622] = 130, -- Citrine Pendant of Golden Healing
			[26874] = 814, -- Aquamarine Signet
			[26872] = 815, -- Figurine - Jade Owl
			[63743] = 812, -- Amulet of Truesight
			[34959] = 812, -- Truesilver Commander's Ring
			[25619] = 815, -- The Jade Eye
			[25618] = 815, -- Jade Pendant of Blasting
			[25621] = 817, -- Citrine Ring of Rapid Healing
			[34955] = 130, -- Golden Ring of Power
			[25320] = 815, -- Heavy Golden Necklace of Battle
			[32808] = 809, -- Solid Stone Statue
			[25620] = 812, -- Engraved Truesilver Ring
			[25323] = 808, -- Wicked Moonstone Ring
			[25617] = 817, -- Blazing Citrine Ring
			[25615] = 134, -- Mithril Filigree
			[25339] = 808, -- Amulet of the Moon
			[25613] = 130, -- Golden Dragon Ring
			[25612] = 909, -- Heavy Iron Knuckles
			[25321] = 808, -- Moonsoul Crown
			[25610] = 815, -- Pendant of the Agate Shield
			[25498] = 909, -- Barbaric Iron Collar
			[32807] = 809, -- Heavy Stone Statue
			[36524] = 815, -- Heavy Jade Ring
			[25318] = 813, -- Ring of Twilight Shadows
			[25305] = 131, -- Heavy Silver Ring
			[38175] = 133, -- Bronze Torc
			[25317] = 131, -- Ring of Silver Might
			[36523] = 815, -- Brilliant Necklace
			[25287] = 813, -- Gloom Band
			[37818] = 133, -- Bronze Band of Force
			[25284] = 812, -- Simple Pearl Ring
			[25280] = 131, -- Elegant Silver Ring
			[25490] = 133, -- Solid Bronze Ring
			[26927] = 813, -- Thick Bronze Necklace
			[25278] = 133, -- Bronze Setting
			[32801] = 809, -- Coarse Stone Statue
			[25283] = 815, -- Inlaid Malachite Ring
			[26928] = 817, -- Ornate Tigerseye Necklace
			[25493] = 132, -- Braided Copper Ring
			[26925] = 132, -- Woven Copper Ring
			[32259] = 809, -- Rough Stone Statue
			[32178] = 815, -- Malachite Pendant
			[32179] = 817, -- Tigerseye Band
			[25255] = 132, -- Delicate Copper Wire
			[26915] = 812, -- Necklace of the Diamond Tower
			[26926] = 132, -- Heavy Copper Ring

			--! Leatherworking
			-- Shadowlands
			[309190] = 116, -- Bone Bound Knuckles
			[309213] = 323, -- Boneshatter Armguards
			[332029] = 323, -- Boneshatter Armguards
			[332064] = 323, -- Boneshatter Armguards
			[338994] = 323, -- Boneshatter Armguards
			[309208] = 323, -- Boneshatter Gauntlets
			[332024] = 323, -- Boneshatter Gauntlets
			[332059] = 323, -- Boneshatter Gauntlets
			[338989] = 323, -- Boneshatter Gauntlets
			[309210] = 323, -- Boneshatter Greaves
			[332026] = 323, -- Boneshatter Greaves
			[332061] = 323, -- Boneshatter Greaves
			[338991] = 323, -- Boneshatter Greaves
			[309209] = 323, -- Boneshatter Helm
			[332025] = 323, -- Boneshatter Helm
			[332060] = 323, -- Boneshatter Helm
			[338990] = 323, -- Boneshatter Helm
			[309211] = 323, -- Boneshatter Pauldrons
			[332027] = 323, -- Boneshatter Pauldrons
			[332062] = 323, -- Boneshatter Pauldrons
			[338992] = 323, -- Boneshatter Pauldrons
			[309206] = 323, -- Boneshatter Treads
			[332022] = 323, -- Boneshatter Treads
			[332057] = 323, -- Boneshatter Treads
			[338988] = 323, -- Boneshatter Treads
			[309207] = 323, -- Boneshatter Vest
			[332023] = 323, -- Boneshatter Vest
			[332058] = 323, -- Boneshatter Vest
			[338987] = 323, -- Boneshatter Vest
			[309212] = 323, -- Boneshatter Waistguard
			[332028] = 323, -- Boneshatter Waistguard
			[332063] = 323, -- Boneshatter Waistguard
			[338993] = 323, -- Boneshatter Waistguard
			[338260] = 116, -- Bonestudded Fist
			[338262] = 116, -- Cleaned Hide
			[324735] = 116, -- Comfortable Rider's Barding
			[309192] = 116, -- Composite Bow
			[309193] = 116, -- Composite Crossbow
			[338263] = 116, -- Courtly Leather Boots
			[343195] = 114, -- Crafter's Mark I
			[343193] = 114, -- Crafter's Mark II
			[343192] = 114, -- Crafter's Mark III
			[359662] = 114, -- Crafter's Mark IV
			[343189] = 114, -- Crafter's Mark of the Chained Isle
			[359669] = 114, -- Crafter's Mark of the First Ones
			[324087] = 116, -- Desolate Armor Kit
			[309181] = 116, -- Desolate Leather Armguards
			[309191] = 116, -- Desolate Leather Cestus
			[309176] = 116, -- Desolate Leather Gauntlets
			[309177] = 116, -- Desolate Leather Helm
			[309178] = 116, -- Desolate Leather Leggings
			[309179] = 116, -- Desolate Leather Pauldrons
			[309174] = 116, -- Desolate Leather Treads
			[309175] = 116, -- Desolate Leather Vest
			[309180] = 116, -- Desolate Leather Waistguard
			[309189] = 116, -- Desolate Scale Armguards
			[309184] = 116, -- Desolate Scale Gauntlets
			[309186] = 116, -- Desolate Scale Greaves
			[309185] = 116, -- Desolate Scale Helm
			[309187] = 116, -- Desolate Scale Pauldrons
			[309182] = 116, -- Desolate Scale Treads
			[309183] = 116, -- Desolate Scale Vest
			[309188] = 116, -- Desolate Scale Waistguard
			[309173] = 116, -- Drums of Deathly Ferocity
			[338253] = 116, -- Dyed Runestag Leather
			[355354] = 415, -- Elusive Pet Treat
			[308897] = 116, -- Heavy Callous Hide
			[324088] = 116, -- Heavy Desolate Armor Kit
			[308899] = 116, -- Heavy Desolate Leather
			[343660] = 114, -- Novice Crafter's Mark
			[354800] = 415, -- Pallid Bone Flute
			[354797] = 415, -- Pallid Oracle Bones
			[338254] = 116, -- Runestag Leather Strap
			[309237] = 116, -- Shadebound Armguards
			[309232] = 116, -- Shadebound Gauntlets
			[309233] = 116, -- Shadebound Helm
			[309234] = 116, -- Shadebound Leggings
			[309235] = 116, -- Shadebound Pauldrons
			[309230] = 116, -- Shadebound Treads
			[309231] = 116, -- Shadebound Vest
			[309236] = 116, -- Shadebound Waistguard
			[309245] = 116, -- Shadowscale Armguards
			[309240] = 116, -- Shadowscale Gauntlets
			[309241] = 116, -- Shadowscale Helm
			[309242] = 116, -- Shadowscale Leggings
			[309243] = 116, -- Shadowscale Pauldrons
			[309238] = 116, -- Shadowscale Treads
			[309239] = 116, -- Shadowscale Vest
			[309244] = 116, -- Shadowscale Waistguard
			[338265] = 116, -- Softened Leather
			[338255] = 116, -- Stalker's Leather Quiver
			[338258] = 116, -- Steelhide Leather Belt
			[338257] = 116, -- Steelhide Leather Harness
			[338259] = 116, -- Steelhide Leather Strap
			[338264] = 116, -- Tortured Sole
			[309205] = 323, -- Umbrahide Armguards
			[332021] = 323, -- Umbrahide Armguards
			[332056] = 323, -- Umbrahide Armguards
			[338986] = 323, -- Umbrahide Armguards
			[309200] = 323, -- Umbrahide Gauntlets
			[332016] = 323, -- Umbrahide Gauntlets
			[332051] = 323, -- Umbrahide Gauntlets
			[338981] = 323, -- Umbrahide Gauntlets
			[309201] = 323, -- Umbrahide Helm
			[332017] = 323, -- Umbrahide Helm
			[332052] = 323, -- Umbrahide Helm
			[338982] = 323, -- Umbrahide Helm
			[309202] = 323, -- Umbrahide Leggings
			[332018] = 323, -- Umbrahide Leggings
			[332053] = 323, -- Umbrahide Leggings
			[338983] = 323, -- Umbrahide Leggings
			[309203] = 323, -- Umbrahide Pauldrons
			[332019] = 323, -- Umbrahide Pauldrons
			[332054] = 323, -- Umbrahide Pauldrons
			[338984] = 323, -- Umbrahide Pauldrons
			[309198] = 323, -- Umbrahide Treads
			[332014] = 323, -- Umbrahide Treads
			[332049] = 323, -- Umbrahide Treads
			[338980] = 323, -- Umbrahide Treads
			[309199] = 323, -- Umbrahide Vest
			[332015] = 323, -- Umbrahide Vest
			[332050] = 323, -- Umbrahide Vest
			[338979] = 323, -- Umbrahide Vest
			[309204] = 323, -- Umbrahide Waistguard
			[332020] = 323, -- Umbrahide Waistguard
			[332055] = 323, -- Umbrahide Waistguard
			[338985] = 323, -- Umbrahide Waistguard
			[352444] = 660, -- Vestige of Origins
			[359702] = 660, -- Vestige of the Eternal
			-- Kul Tiras/Zandalar
			[278423] = 116, -- Amber Rallying Horn
			[287273] = 801, -- Aqueous Reskinning
			[299027] = 119, -- Banded Cragscale Boots
			[299030] = 119, -- Banded Cragscale Greaves
			[299021] = 116, -- Banded Dredged Boots
			[299024] = 116, -- Banded Dredged Leggings
			[256756] = 116, -- Coarse Leather Armguards
			[286021] = 116, -- Coarse Leather Barding
			[286019] = 116, -- Coarse Leather Barding
			[256790] = 116, -- Coarse Leather Barding
			[256778] = 116, -- Coarse Leather Cestus
			[256750] = 116, -- Coarse Leather Gauntlets
			[256751] = 116, -- Coarse Leather Helm
			[256752] = 116, -- Coarse Leather Leggings
			[256754] = 116, -- Coarse Leather Pauldrons
			[256748] = 116, -- Coarse Leather Treads
			[256749] = 116, -- Coarse Leather Vest
			[256755] = 116, -- Coarse Leather Waistguard
			[301411] = 116, -- Comfortable Rider's Barding
			[299025] = 119, -- Cragscale Boots
			[299028] = 119, -- Cragscale Greaves
			[301405] = 116, -- Dredged Leather Bladder
			[299019] = 116, -- Dredged Leather Boots
			[299022] = 116, -- Dredged Leather Leggings
			[256791] = 116, -- Drums of the Maelstrom
			[305801] = 119, -- Eldritch Cragscale Boots
			[305807] = 119, -- Eldritch Cragscale Greaves
			[305805] = 116, -- Eldritch Dredged Leather Boots
			[305799] = 116, -- Eldritch Dredged Leather Leggings
			[256773] = 119, -- Emblazoned Mistscale Boots
			[256776] = 119, -- Emblazoned Mistscale Leggings
			[256767] = 116, -- Emblazoned Tempest Boots
			[256770] = 116, -- Emblazoned Tempest Leggings
			[285079] = 119, -- Enhanced Mistscale Boots
			[285080] = 119, -- Enhanced Mistscale Greaves
			[285083] = 116, -- Enhanced Tempest Boots
			[285084] = 116, -- Enhanced Tempest Leggings
			[285087] = 119, -- Fortified Mistscale Boots
			[285088] = 119, -- Fortified Mistscale Greaves
			[285091] = 116, -- Fortified Tempest Boots
			[285092] = 116, -- Fortified Tempest Leggings
			[256765] = 116, -- Hardened Tempest Boots
			[272278] = 116, -- Hardened Tempest Hide
			[256784] = 116, -- Hardened Tempest Knuckles
			[256783] = 116, -- Hardened Tempest Knuckles
			[256782] = 116, -- Hardened Tempest Knuckles
			[256768] = 116, -- Hardened Tempest Leggings
			[269554] = 116, -- Honorable Combatant's Bow
			[269553] = 116, -- Honorable Combatant's Bow
			[269552] = 116, -- Honorable Combatant's Bow
			[269530] = 116, -- Honorable Combatant's Leather Armguards
			[269529] = 116, -- Honorable Combatant's Leather Armguards
			[269528] = 116, -- Honorable Combatant's Leather Armguards
			[269521] = 116, -- Honorable Combatant's Leather Gauntlets
			[269520] = 116, -- Honorable Combatant's Leather Gauntlets
			[269519] = 116, -- Honorable Combatant's Leather Gauntlets
			[269524] = 116, -- Honorable Combatant's Leather Leggings
			[269523] = 116, -- Honorable Combatant's Leather Leggings
			[269522] = 116, -- Honorable Combatant's Leather Leggings
			[269518] = 116, -- Honorable Combatant's Leather Treads
			[269517] = 116, -- Honorable Combatant's Leather Treads
			[269516] = 116, -- Honorable Combatant's Leather Treads
			[269527] = 116, -- Honorable Combatant's Leather Waistguard
			[269526] = 116, -- Honorable Combatant's Leather Waistguard
			[269525] = 116, -- Honorable Combatant's Leather Waistguard
			[269545] = 119, -- Honorable Combatant's Mail Armguards
			[269544] = 119, -- Honorable Combatant's Mail Armguards
			[269543] = 119, -- Honorable Combatant's Mail Armguards
			[269536] = 119, -- Honorable Combatant's Mail Gauntlets
			[269535] = 119, -- Honorable Combatant's Mail Gauntlets
			[269534] = 119, -- Honorable Combatant's Mail Gauntlets
			[269539] = 119, -- Honorable Combatant's Mail Leggings
			[269538] = 119, -- Honorable Combatant's Mail Leggings
			[269537] = 119, -- Honorable Combatant's Mail Leggings
			[269533] = 119, -- Honorable Combatant's Mail Treads
			[269532] = 119, -- Honorable Combatant's Mail Treads
			[269531] = 119, -- Honorable Combatant's Mail Treads
			[269542] = 119, -- Honorable Combatant's Mail Waistguard
			[269541] = 119, -- Honorable Combatant's Mail Waistguard
			[269540] = 119, -- Honorable Combatant's Mail Waistguard
			[256772] = 119, -- Imbued Mistscale Boots
			[256775] = 119, -- Imbued Mistscale Leggings
			[256766] = 116, -- Imbued Tempest Boots
			[256769] = 116, -- Imbued Tempest Leggings
			[305802] = 119, -- Maddening Cragscale Boots
			[305806] = 119, -- Maddening Cragscale Greaves
			[305795] = 116, -- Maddening Dredged Leather Boots
			[305798] = 116, -- Maddening Dredged Leather Leggings
			[293076] = 116, -- Mallet of Thunderous Skins
			[256771] = 119, -- Mistscale Boots
			[256781] = 119, -- Mistscale Knuckles
			[256780] = 119, -- Mistscale Knuckles
			[256779] = 119, -- Mistscale Knuckles
			[256774] = 119, -- Mistscale Leggings
			[294828] = 116, -- Notorious Combatant's Bow
			[294827] = 116, -- Notorious Combatant's Bow
			[294826] = 116, -- Notorious Combatant's Bow
			[294810] = 116, -- Notorious Combatant's Leather Armguards
			[294809] = 116, -- Notorious Combatant's Leather Armguards
			[294808] = 116, -- Notorious Combatant's Leather Armguards
			[294801] = 116, -- Notorious Combatant's Leather Gauntlets
			[294800] = 116, -- Notorious Combatant's Leather Gauntlets
			[294799] = 116, -- Notorious Combatant's Leather Gauntlets
			[294804] = 116, -- Notorious Combatant's Leather Leggings
			[294803] = 116, -- Notorious Combatant's Leather Leggings
			[294802] = 116, -- Notorious Combatant's Leather Leggings
			[294798] = 116, -- Notorious Combatant's Leather Treads
			[294797] = 116, -- Notorious Combatant's Leather Treads
			[294796] = 116, -- Notorious Combatant's Leather Treads
			[294807] = 116, -- Notorious Combatant's Leather Waistguard
			[294806] = 116, -- Notorious Combatant's Leather Waistguard
			[294805] = 116, -- Notorious Combatant's Leather Waistguard
			[294825] = 119, -- Notorious Combatant's Mail Armguards
			[294824] = 119, -- Notorious Combatant's Mail Armguards
			[294823] = 119, -- Notorious Combatant's Mail Armguards
			[294816] = 119, -- Notorious Combatant's Mail Gauntlets
			[294815] = 119, -- Notorious Combatant's Mail Gauntlets
			[294814] = 119, -- Notorious Combatant's Mail Gauntlets
			[294819] = 119, -- Notorious Combatant's Mail Leggings
			[294818] = 119, -- Notorious Combatant's Mail Leggings
			[294817] = 119, -- Notorious Combatant's Mail Leggings
			[294813] = 119, -- Notorious Combatant's Mail Treads
			[294812] = 119, -- Notorious Combatant's Mail Treads
			[294811] = 119, -- Notorious Combatant's Mail Treads
			[294822] = 119, -- Notorious Combatant's Mail Waistguard
			[294821] = 119, -- Notorious Combatant's Mail Waistguard
			[294820] = 119, -- Notorious Combatant's Mail Waistguard
			[256789] = 116, -- Recurve Bow of the Strands
			[256788] = 116, -- Recurve Bow of the Strands
			[256787] = 116, -- Recurve Bow of the Strands
			[299026] = 119, -- Reinforced Cragscale Boots
			[299029] = 119, -- Reinforced Cragscale Greaves
			[299020] = 116, -- Reinforced Dredged Boots
			[299023] = 116, -- Reinforced Dredged Leggings
			[286652] = 412, -- Sanguinated Reskinning
			[285895] = 116, -- Scarlet Herring Lure
			[256757] = 119, -- Shimmerscale Armguards
			[256793] = 119, -- Shimmerscale Diving Helmet
			[256792] = 119, -- Shimmerscale Diving Suit
			[256762] = 119, -- Shimmerscale Gauntlets
			[256761] = 119, -- Shimmerscale Helm
			[256760] = 119, -- Shimmerscale Leggings
			[256759] = 119, -- Shimmerscale Pauldrons
			[256777] = 119, -- Shimmerscale Striker
			[256764] = 119, -- Shimmerscale Treads
			[256763] = 119, -- Shimmerscale Vest
			[256758] = 119, -- Shimmerscale Waistguard
			[282281] = 116, -- Sinister Combatant's Bow
			[282278] = 116, -- Sinister Combatant's Bow
			[282277] = 116, -- Sinister Combatant's Bow
			[282314] = 116, -- Sinister Combatant's Leather Armguards
			[282313] = 116, -- Sinister Combatant's Leather Armguards
			[282312] = 116, -- Sinister Combatant's Leather Armguards
			[282326] = 116, -- Sinister Combatant's Leather Gauntlets
			[282325] = 116, -- Sinister Combatant's Leather Gauntlets
			[282324] = 116, -- Sinister Combatant's Leather Gauntlets
			[282323] = 116, -- Sinister Combatant's Leather Leggings
			[282322] = 116, -- Sinister Combatant's Leather Leggings
			[282321] = 116, -- Sinister Combatant's Leather Leggings
			[282329] = 116, -- Sinister Combatant's Leather Treads
			[282328] = 116, -- Sinister Combatant's Leather Treads
			[282327] = 116, -- Sinister Combatant's Leather Treads
			[282320] = 116, -- Sinister Combatant's Leather Waistguard
			[282319] = 116, -- Sinister Combatant's Leather Waistguard
			[282318] = 116, -- Sinister Combatant's Leather Waistguard
			[282289] = 119, -- Sinister Combatant's Mail Armguards
			[282288] = 119, -- Sinister Combatant's Mail Armguards
			[282287] = 119, -- Sinister Combatant's Mail Armguards
			[282308] = 119, -- Sinister Combatant's Mail Gauntlets
			[282307] = 119, -- Sinister Combatant's Mail Gauntlets
			[282306] = 119, -- Sinister Combatant's Mail Gauntlets
			[282305] = 119, -- Sinister Combatant's Mail Leggings
			[282303] = 119, -- Sinister Combatant's Mail Leggings
			[282302] = 119, -- Sinister Combatant's Mail Leggings
			[282311] = 119, -- Sinister Combatant's Mail Treads
			[282310] = 119, -- Sinister Combatant's Mail Treads
			[282309] = 119, -- Sinister Combatant's Mail Treads
			[282292] = 119, -- Sinister Combatant's Mail Waistguard
			[282291] = 119, -- Sinister Combatant's Mail Waistguard
			[282290] = 119, -- Sinister Combatant's Mail Waistguard
			[285095] = 119, -- Tempered Mistscale Boots
			[285096] = 119, -- Tempered Mistscale Greaves
			[285099] = 116, -- Tempered Tempest Boots
			[285100] = 116, -- Tempered Tempest Leggings
			[276256] = 116, -- Tempest Hide Pouch
			[304442] = 116, -- Uncanny Combatant's Bow
			[304443] = 116, -- Uncanny Combatant's Bow
			[304444] = 116, -- Uncanny Combatant's Bow
			[304424] = 116, -- Uncanny Combatant's Leather Armguards
			[304425] = 116, -- Uncanny Combatant's Leather Armguards
			[304426] = 116, -- Uncanny Combatant's Leather Armguards
			[304415] = 116, -- Uncanny Combatant's Leather Gauntlets
			[304416] = 116, -- Uncanny Combatant's Leather Gauntlets
			[304417] = 116, -- Uncanny Combatant's Leather Gauntlets
			[304418] = 116, -- Uncanny Combatant's Leather Leggings
			[304419] = 116, -- Uncanny Combatant's Leather Leggings
			[304420] = 116, -- Uncanny Combatant's Leather Leggings
			[304412] = 116, -- Uncanny Combatant's Leather Treads
			[304413] = 116, -- Uncanny Combatant's Leather Treads
			[304414] = 116, -- Uncanny Combatant's Leather Treads
			[304421] = 116, -- Uncanny Combatant's Leather Waistguard
			[304422] = 116, -- Uncanny Combatant's Leather Waistguard
			[304423] = 116, -- Uncanny Combatant's Leather Waistguard
			[304439] = 119, -- Uncanny Combatant's Mail Armguards
			[304440] = 119, -- Uncanny Combatant's Mail Armguards
			[304441] = 119, -- Uncanny Combatant's Mail Armguards
			[304430] = 119, -- Uncanny Combatant's Mail Gauntlets
			[304431] = 119, -- Uncanny Combatant's Mail Gauntlets
			[304432] = 119, -- Uncanny Combatant's Mail Gauntlets
			[304433] = 119, -- Uncanny Combatant's Mail Leggings
			[304434] = 119, -- Uncanny Combatant's Mail Leggings
			[304435] = 119, -- Uncanny Combatant's Mail Leggings
			[304427] = 119, -- Uncanny Combatant's Mail Treads
			[304428] = 119, -- Uncanny Combatant's Mail Treads
			[304429] = 119, -- Uncanny Combatant's Mail Treads
			[304436] = 119, -- Uncanny Combatant's Mail Waistguard
			[304437] = 119, -- Uncanny Combatant's Mail Waistguard
			[304438] = 119, -- Uncanny Combatant's Mail Waistguard
			[305803] = 119, -- Unsettling Cragscale Boots
			[305800] = 119, -- Unsettling Cragscale Greaves
			[305796] = 116, -- Unsettling Dredged Leather Boots
			[305804] = 116, -- Unsettling Dredged Leather Leggings
			[307176] = 320, -- Void Focus
			-- Legion
			[194751] = 119, -- Battlebound Armbands
			[194743] = 119, -- Battlebound Armbands
			[194735] = 119, -- Battlebound Armbands
			[194756] = 119, -- Battlebound Girdle
			[194744] = 119, -- Battlebound Girdle
			[194736] = 119, -- Battlebound Girdle
			[194754] = 119, -- Battlebound Grips
			[194748] = 119, -- Battlebound Grips
			[194740] = 119, -- Battlebound Grips
			[194758] = 119, -- Battlebound Hauberk
			[194750] = 119, -- Battlebound Hauberk
			[194742] = 119, -- Battlebound Hauberk
			[194752] = 119, -- Battlebound Leggings
			[194746] = 119, -- Battlebound Leggings
			[194738] = 119, -- Battlebound Leggings
			[194757] = 119, -- Battlebound Spaulders
			[194745] = 119, -- Battlebound Spaulders
			[194737] = 119, -- Battlebound Spaulders
			[194755] = 119, -- Battlebound Treads
			[194749] = 119, -- Battlebound Treads
			[194741] = 119, -- Battlebound Treads
			[194753] = 119, -- Battlebound Warhelm
			[194747] = 119, -- Battlebound Warhelm
			[194739] = 119, -- Battlebound Warhelm
			[194728] = 116, -- Dreadleather Belt
			[194720] = 116, -- Dreadleather Belt
			[194788] = 116, -- Dreadleather Belt
			[194727] = 116, -- Dreadleather Bindings
			[194719] = 116, -- Dreadleather Bindings
			[194787] = 116, -- Dreadleather Bindings
			[194733] = 116, -- Dreadleather Footpads
			[194725] = 116, -- Dreadleather Footpads
			[194785] = 116, -- Dreadleather Footpads
			[194732] = 116, -- Dreadleather Gloves
			[194724] = 116, -- Dreadleather Gloves
			[194790] = 116, -- Dreadleather Gloves
			[194734] = 116, -- Dreadleather Jerkin
			[194726] = 116, -- Dreadleather Jerkin
			[194791] = 116, -- Dreadleather Jerkin
			[194731] = 116, -- Dreadleather Mask
			[194723] = 116, -- Dreadleather Mask
			[194784] = 116, -- Dreadleather Mask
			[194730] = 116, -- Dreadleather Pants
			[194722] = 116, -- Dreadleather Pants
			[194786] = 116, -- Dreadleather Pants
			[194729] = 116, -- Dreadleather Shoulderguard
			[194721] = 116, -- Dreadleather Shoulderguard
			[194789] = 116, -- Dreadleather Shoulderguard
			[293135] = 116, -- Drum of Primal Might
			[230955] = 116, -- Drums of the Mountain
			[230954] = 116, -- Drums of the Mountain
			[230936] = 116, -- Drums of the Mountain
			[194780] = 156, -- Elderhorn Riding Harness
			[196457] = 427, -- Fel Leather Cuff
			[196395] = 427, -- Fel Leather Strap
			[196456] = 427, -- Felhide Bracers
			[247800] = 427, -- Fiendish Shoulderguards
			[247801] = 427, -- Fiendish Shoulderguards
			[247802] = 427, -- Fiendish Shoulderguards
			[247803] = 427, -- Fiendish Spaulders
			[247804] = 427, -- Fiendish Spaulders
			[247805] = 427, -- Fiendish Spaulders
			[194775] = 116, -- Flaming Hoop
			[194767] = 119, -- Gravenscale Armbands
			[194759] = 119, -- Gravenscale Armbands
			[194796] = 119, -- Gravenscale Armbands
			[194768] = 119, -- Gravenscale Girdle
			[194760] = 119, -- Gravenscale Girdle
			[194797] = 119, -- Gravenscale Girdle
			[194772] = 119, -- Gravenscale Grips
			[194764] = 119, -- Gravenscale Grips
			[194799] = 119, -- Gravenscale Grips
			[194774] = 119, -- Gravenscale Hauberk
			[194766] = 119, -- Gravenscale Hauberk
			[194795] = 119, -- Gravenscale Hauberk
			[194770] = 119, -- Gravenscale Leggings
			[194762] = 119, -- Gravenscale Leggings
			[194792] = 119, -- Gravenscale Leggings
			[194769] = 119, -- Gravenscale Spaulders
			[194761] = 119, -- Gravenscale Spaulders
			[194798] = 119, -- Gravenscale Spaulders
			[194773] = 119, -- Gravenscale Treads
			[194765] = 119, -- Gravenscale Treads
			[194793] = 119, -- Gravenscale Treads
			[194771] = 119, -- Gravenscale Warhelm
			[194763] = 119, -- Gravenscale Warhelm
			[194794] = 119, -- Gravenscale Warhelm
			[194779] = 116, -- Leather Love Seat
			[194776] = 116, -- Leather Pet Bed
			[194778] = 116, -- Leather Pet Leash
			[196428] = 116, -- Rough Warhide Mask
			[196387] = 427, -- Shaved Felhide
			[196375] = 116, -- Shaved Stonehide Pelt
			[196425] = 116, -- Stonehide Boot Base
			[196384] = 116, -- Stonehide Boot Exterior
			[196469] = 116, -- Stonehide Caparison
			[196467] = 116, -- Stonehide Champron
			[196468] = 116, -- Stonehide Crinet
			[196648] = 116, -- Stonehide Leather Barding
			[196397] = 116, -- Stonehide Leather Barding
			[196442] = 116, -- Stonehide Leather Bed
			[196382] = 116, -- Stonehide Leather Lining
			[196385] = 116, -- Stonehide Leather Strip
			[208615] = 116, -- Stonehide Leather Strip
			[196383] = 116, -- Stonehide Leather Vamp
			[196427] = 116, -- Sturdy Stonehide Boots
			[196388] = 427, -- Tanned Fel Leather
			[196379] = 116, -- Tanned Stonehide Leather
			[208596] = 116, -- Tanned Stonehide Pelt
			[239413] = 660, -- The Sentinel's Eternal Refuge
			[239414] = 660, -- Vigilance Perch
			[194716] = 116, -- Warhide Belt
			[194704] = 116, -- Warhide Belt
			[194696] = 116, -- Warhide Belt
			[194711] = 116, -- Warhide Bindings
			[194703] = 116, -- Warhide Bindings
			[194695] = 116, -- Warhide Bindings
			[194715] = 116, -- Warhide Footpads
			[194709] = 116, -- Warhide Footpads
			[194701] = 116, -- Warhide Footpads
			[194714] = 116, -- Warhide Gloves
			[194708] = 116, -- Warhide Gloves
			[194700] = 116, -- Warhide Gloves
			[194718] = 116, -- Warhide Jerkin
			[194710] = 116, -- Warhide Jerkin
			[194702] = 116, -- Warhide Jerkin
			[194713] = 116, -- Warhide Mask
			[194707] = 116, -- Warhide Mask
			[194699] = 116, -- Warhide Mask
			[194712] = 116, -- Warhide Pants
			[194706] = 116, -- Warhide Pants
			[194698] = 116, -- Warhide Pants
			[194717] = 116, -- Warhide Shoulderguard
			[194705] = 116, -- Warhide Shoulderguard
			[194697] = 116, -- Warhide Shoulderguard
			-- Draenor
			[171269] = 116, -- Brilliant Burnished Cloak
			[171290] = 116, -- Burnished Inscription Bag
			[171288] = 116, -- Burnished Leather Bag
			[171289] = 116, -- Burnished Mining Bag
			[171266] = 116, -- Leather Refurbishing Kit
			[171268] = 116, -- Nimble Burnished Cloak
			[171267] = 116, -- Powerful Burnished Cloak
			[171291] = 116, -- Riding Harness
			[182121] = 116, -- Spiritual Leathercraft
			[171276] = 116, -- Supple Boots
			[171275] = 116, -- Supple Bracers
			[171273] = 116, -- Supple Gloves
			[171271] = 116, -- Supple Helm
			[171272] = 116, -- Supple Leggings
			[171270] = 116, -- Supple Shoulderguards
			[171274] = 116, -- Supple Vest
			[171277] = 116, -- Supple Waistguard
			[171285] = 116, -- Wayfaring Belt
			[171284] = 116, -- Wayfaring Boots
			[171283] = 116, -- Wayfaring Bracers
			[171281] = 116, -- Wayfaring Gloves
			[171279] = 116, -- Wayfaring Helm
			[171280] = 116, -- Wayfaring Leggings
			[171278] = 116, -- Wayfaring Shoulderguards
			[171282] = 116, -- Wayfaring Tunic
			[178208] = 116, -- Drums of Fury
			[171260] = 116, -- Journeying Helm
			[171261] = 116, -- Journeying Robes
			[171262] = 116, -- Journeying Slacks
			[171263] = 116, -- Traveling Helm
			[171265] = 116, -- Traveling Leggings
			[171264] = 116, -- Traveling Tunic
			[171391] = 116, -- Burnished Leather
			[176089] = 114, -- Secrets of Draenor Leatherworking
			[176408] = 116, -- Archmage's Tent
			[176413] = 116, -- Blood Elven Tent
			[176409] = 116, -- Brute's Tent
			[176412] = 116, -- Crusader's Tent
			[176415] = 116, -- Deathweaver's Hovel
			[176421] = 116, -- Distressingly Furry Tent
			[176417] = 116, -- Elune's Retreat
			[176404] = 116, -- Enchanter's Tent
			[176392] = 116, -- Fine Blue and Gold Tent
			[176399] = 116, -- Fine Blue and Green Tent
			[176397] = 116, -- Fine Blue and Purple Tent
			[176414] = 116, -- High Elven Tent
			[176401] = 116, -- Ironskin Tent
			[176426] = 116, -- Nomad's Spiked Tent
			[176418] = 116, -- Orgrimmar's Reach
			[176422] = 116, -- Ornate Alliance Tent
			[176424] = 116, -- Ornate Horde Tent
			[176402] = 116, -- Outcast's Tent
			[176416] = 116, -- Patchwork Hut
			[176405] = 116, -- Savage Leather Tent
			[176420] = 116, -- Simple Tent
			[176411] = 116, -- Sturdy Tent
			[176425] = 116, -- Voodoo Doctor's Hovel
			-- Pandaria
			[146923] = 156, -- Accelerated Hardened Magnificent Hide
			[124127] = 156, -- Angerhide Leg Armor
			[124126] = 116, -- Brutal Leg Armor
			[124625] = 156, -- Chestguard of Earthen Harmony
			[124638] = 156, -- Chestguard of Nemeses
			[138596] = 156, -- Cloud Serpent Helm
			[138595] = 156, -- Cloud Serpent Sabatons
			[124618] = 119, -- Contender's Dragonscale Belt
			[124617] = 119, -- Contender's Dragonscale Boots
			[124616] = 119, -- Contender's Dragonscale Bracers
			[124613] = 119, -- Contender's Dragonscale Chestguard
			[124614] = 119, -- Contender's Dragonscale Gloves
			[124611] = 119, -- Contender's Dragonscale Helm
			[124615] = 119, -- Contender's Dragonscale Leggings
			[124612] = 119, -- Contender's Dragonscale Shoulders
			[124610] = 116, -- Contender's Leather Belt
			[124609] = 116, -- Contender's Leather Boots
			[124608] = 116, -- Contender's Leather Bracers
			[124605] = 116, -- Contender's Leather Chestguard
			[124606] = 116, -- Contender's Leather Gloves
			[124603] = 116, -- Contender's Leather Helm
			[124607] = 116, -- Contender's Leather Leggings
			[124604] = 116, -- Contender's Leather Shoulders
			[124602] = 119, -- Contender's Scale Belt
			[124601] = 119, -- Contender's Scale Boots
			[124600] = 119, -- Contender's Scale Bracers
			[124597] = 119, -- Contender's Scale Chestguard
			[124598] = 119, -- Contender's Scale Gloves
			[124595] = 119, -- Contender's Scale Helm
			[124599] = 119, -- Contender's Scale Leggings
			[124596] = 119, -- Contender's Scale Shoulders
			[124594] = 116, -- Contender's Wyrmhide Belt
			[124593] = 116, -- Contender's Wyrmhide Boots
			[124592] = 116, -- Contender's Wyrmhide Bracers
			[124589] = 116, -- Contender's Wyrmhide Chestguard
			[124590] = 116, -- Contender's Wyrmhide Gloves
			[124587] = 116, -- Contender's Wyrmhide Helm
			[124591] = 116, -- Contender's Wyrmhide Leggings
			[124588] = 116, -- Contender's Wyrmhide Shoulders
			[137866] = 156, -- Crafted Dreadful Gladiator's Armbands of Meditation
			[137865] = 156, -- Crafted Dreadful Gladiator's Armbands of Prowess
			[137832] = 156, -- Crafted Dreadful Gladiator's Armwraps of Accuracy
			[137845] = 156, -- Crafted Dreadful Gladiator's Armwraps of Alacrity
			[137822] = 156, -- Crafted Dreadful Gladiator's Belt of Cruelty
			[137814] = 156, -- Crafted Dreadful Gladiator's Belt of Meditation
			[137816] = 156, -- Crafted Dreadful Gladiator's Bindings of Meditation
			[137824] = 156, -- Crafted Dreadful Gladiator's Bindings of Prowess
			[137831] = 156, -- Crafted Dreadful Gladiator's Boots of Alacrity
			[137844] = 156, -- Crafted Dreadful Gladiator's Boots of Cruelty
			[137857] = 156, -- Crafted Dreadful Gladiator's Chain Armor
			[137858] = 156, -- Crafted Dreadful Gladiator's Chain Gauntlets
			[137859] = 156, -- Crafted Dreadful Gladiator's Chain Helm
			[137860] = 156, -- Crafted Dreadful Gladiator's Chain Leggings
			[137861] = 156, -- Crafted Dreadful Gladiator's Chain Spaulders
			[137838] = 156, -- Crafted Dreadful Gladiator's Copperskin Gloves
			[137839] = 156, -- Crafted Dreadful Gladiator's Copperskin Helm
			[137840] = 156, -- Crafted Dreadful Gladiator's Copperskin Legguards
			[137841] = 156, -- Crafted Dreadful Gladiator's Copperskin Spaulders
			[137842] = 156, -- Crafted Dreadful Gladiator's Copperskin Tunic
			[137809] = 156, -- Crafted Dreadful Gladiator's Dragonhide Gloves
			[137810] = 156, -- Crafted Dreadful Gladiator's Dragonhide Helm
			[137811] = 156, -- Crafted Dreadful Gladiator's Dragonhide Legguards
			[137812] = 156, -- Crafted Dreadful Gladiator's Dragonhide Robes
			[137813] = 156, -- Crafted Dreadful Gladiator's Dragonhide Spaulders
			[137833] = 156, -- Crafted Dreadful Gladiator's Ironskin Gloves
			[137834] = 156, -- Crafted Dreadful Gladiator's Ironskin Helm
			[137835] = 156, -- Crafted Dreadful Gladiator's Ironskin Legguards
			[137836] = 156, -- Crafted Dreadful Gladiator's Ironskin Spaulders
			[137837] = 156, -- Crafted Dreadful Gladiator's Ironskin Tunic
			[137817] = 156, -- Crafted Dreadful Gladiator's Kodohide Gloves
			[137818] = 156, -- Crafted Dreadful Gladiator's Kodohide Helm
			[137819] = 156, -- Crafted Dreadful Gladiator's Kodohide Legguards
			[137820] = 156, -- Crafted Dreadful Gladiator's Kodohide Robes
			[137821] = 156, -- Crafted Dreadful Gladiator's Kodohide Spaulders
			[137823] = 156, -- Crafted Dreadful Gladiator's Leather Footguards of Alacrity
			[137815] = 156, -- Crafted Dreadful Gladiator's Leather Footguards of Meditation
			[137847] = 156, -- Crafted Dreadful Gladiator's Leather Gloves
			[137848] = 156, -- Crafted Dreadful Gladiator's Leather Helm
			[137849] = 156, -- Crafted Dreadful Gladiator's Leather Legguards
			[137850] = 156, -- Crafted Dreadful Gladiator's Leather Spaulders
			[137846] = 156, -- Crafted Dreadful Gladiator's Leather Tunic
			[137872] = 156, -- Crafted Dreadful Gladiator's Linked Armor
			[137873] = 156, -- Crafted Dreadful Gladiator's Linked Gauntlets
			[137874] = 156, -- Crafted Dreadful Gladiator's Linked Helm
			[137875] = 156, -- Crafted Dreadful Gladiator's Linked Leggings
			[137876] = 156, -- Crafted Dreadful Gladiator's Linked Spaulders
			[137852] = 156, -- Crafted Dreadful Gladiator's Links of Accuracy
			[137851] = 156, -- Crafted Dreadful Gladiator's Links of Cruelty
			[137878] = 156, -- Crafted Dreadful Gladiator's Mail Armor
			[137863] = 156, -- Crafted Dreadful Gladiator's Mail Footguards of Alacrity
			[137864] = 156, -- Crafted Dreadful Gladiator's Mail Footguards of Meditation
			[137879] = 156, -- Crafted Dreadful Gladiator's Mail Gauntlets
			[137880] = 156, -- Crafted Dreadful Gladiator's Mail Helm
			[137881] = 156, -- Crafted Dreadful Gladiator's Mail Leggings
			[137882] = 156, -- Crafted Dreadful Gladiator's Mail Spaulders
			[137867] = 156, -- Crafted Dreadful Gladiator's Ringmail Armor
			[137868] = 156, -- Crafted Dreadful Gladiator's Ringmail Gauntlets
			[137869] = 156, -- Crafted Dreadful Gladiator's Ringmail Helm
			[137870] = 156, -- Crafted Dreadful Gladiator's Ringmail Leggings
			[137871] = 156, -- Crafted Dreadful Gladiator's Ringmail Spaulders
			[137854] = 156, -- Crafted Dreadful Gladiator's Sabatons of Alacrity
			[137853] = 156, -- Crafted Dreadful Gladiator's Sabatons of Cruelty
			[137843] = 156, -- Crafted Dreadful Gladiator's Waistband of Accuracy
			[137830] = 156, -- Crafted Dreadful Gladiator's Waistband of Cruelty
			[137877] = 156, -- Crafted Dreadful Gladiator's Waistguard of Cruelty
			[137862] = 156, -- Crafted Dreadful Gladiator's Waistguard of Meditation
			[137856] = 156, -- Crafted Dreadful Gladiator's Wristguards of Accuracy
			[137855] = 156, -- Crafted Dreadful Gladiator's Wristguards of Alacrity
			[137825] = 156, -- Crafted Dreadful Gladiator's Wyrmhide Gloves
			[137826] = 156, -- Crafted Dreadful Gladiator's Wyrmhide Helm
			[137827] = 156, -- Crafted Dreadful Gladiator's Wyrmhide Legguards
			[137828] = 156, -- Crafted Dreadful Gladiator's Wyrmhide Robes
			[137829] = 156, -- Crafted Dreadful Gladiator's Wyrmhide Spaulders
			[143146] = 156, -- Crafted Malevolent Gladiator's Armbands of Meditation
			[143145] = 156, -- Crafted Malevolent Gladiator's Armbands of Prowess
			[143112] = 156, -- Crafted Malevolent Gladiator's Armwraps of Accuracy
			[143125] = 156, -- Crafted Malevolent Gladiator's Armwraps of Alacrity
			[143102] = 156, -- Crafted Malevolent Gladiator's Belt of Cruelty
			[143094] = 156, -- Crafted Malevolent Gladiator's Belt of Meditation
			[143096] = 156, -- Crafted Malevolent Gladiator's Bindings of Meditation
			[143104] = 156, -- Crafted Malevolent Gladiator's Bindings of Prowess
			[143111] = 156, -- Crafted Malevolent Gladiator's Boots of Alacrity
			[143124] = 156, -- Crafted Malevolent Gladiator's Boots of Cruelty
			[143137] = 156, -- Crafted Malevolent Gladiator's Chain Armor
			[143138] = 156, -- Crafted Malevolent Gladiator's Chain Gauntlets
			[143139] = 156, -- Crafted Malevolent Gladiator's Chain Helm
			[143140] = 156, -- Crafted Malevolent Gladiator's Chain Leggings
			[143141] = 156, -- Crafted Malevolent Gladiator's Chain Spaulders
			[143118] = 156, -- Crafted Malevolent Gladiator's Copperskin Gloves
			[143119] = 156, -- Crafted Malevolent Gladiator's Copperskin Helm
			[143120] = 156, -- Crafted Malevolent Gladiator's Copperskin Legguards
			[143121] = 156, -- Crafted Malevolent Gladiator's Copperskin Spaulders
			[143122] = 156, -- Crafted Malevolent Gladiator's Copperskin Tunic
			[143089] = 156, -- Crafted Malevolent Gladiator's Dragonhide Gloves
			[143090] = 156, -- Crafted Malevolent Gladiator's Dragonhide Helm
			[143091] = 156, -- Crafted Malevolent Gladiator's Dragonhide Legguards
			[143092] = 156, -- Crafted Malevolent Gladiator's Dragonhide Robes
			[143093] = 156, -- Crafted Malevolent Gladiator's Dragonhide Spaulders
			[143103] = 156, -- Crafted Malevolent Gladiator's Footguards of Alacrity
			[143143] = 156, -- Crafted Malevolent Gladiator's Footguards of Alacrity
			[143095] = 156, -- Crafted Malevolent Gladiator's Footguards of Meditation
			[143144] = 156, -- Crafted Malevolent Gladiator's Footguards of Meditation
			[143113] = 156, -- Crafted Malevolent Gladiator's Ironskin Gloves
			[143114] = 156, -- Crafted Malevolent Gladiator's Ironskin Helm
			[143115] = 156, -- Crafted Malevolent Gladiator's Ironskin Legguards
			[143116] = 156, -- Crafted Malevolent Gladiator's Ironskin Spaulders
			[143117] = 156, -- Crafted Malevolent Gladiator's Ironskin Tunic
			[143097] = 156, -- Crafted Malevolent Gladiator's Kodohide Gloves
			[143098] = 156, -- Crafted Malevolent Gladiator's Kodohide Helm
			[143099] = 156, -- Crafted Malevolent Gladiator's Kodohide Legguards
			[143100] = 156, -- Crafted Malevolent Gladiator's Kodohide Robes
			[143101] = 156, -- Crafted Malevolent Gladiator's Kodohide Spaulders
			[143127] = 156, -- Crafted Malevolent Gladiator's Leather Gloves
			[143128] = 156, -- Crafted Malevolent Gladiator's Leather Helm
			[143129] = 156, -- Crafted Malevolent Gladiator's Leather Legguards
			[143130] = 156, -- Crafted Malevolent Gladiator's Leather Spaulders
			[143126] = 156, -- Crafted Malevolent Gladiator's Leather Tunic
			[143152] = 156, -- Crafted Malevolent Gladiator's Linked Armor
			[143153] = 156, -- Crafted Malevolent Gladiator's Linked Gauntlets
			[143154] = 156, -- Crafted Malevolent Gladiator's Linked Helm
			[143155] = 156, -- Crafted Malevolent Gladiator's Linked Leggings
			[143156] = 156, -- Crafted Malevolent Gladiator's Linked Spaulders
			[143132] = 156, -- Crafted Malevolent Gladiator's Links of Accuracy
			[143131] = 156, -- Crafted Malevolent Gladiator's Links of Cruelty
			[143158] = 156, -- Crafted Malevolent Gladiator's Mail Armor
			[143159] = 156, -- Crafted Malevolent Gladiator's Mail Gauntlets
			[143160] = 156, -- Crafted Malevolent Gladiator's Mail Helm
			[143161] = 156, -- Crafted Malevolent Gladiator's Mail Leggings
			[143162] = 156, -- Crafted Malevolent Gladiator's Mail Spaulders
			[143147] = 156, -- Crafted Malevolent Gladiator's Ringmail Armor
			[143148] = 156, -- Crafted Malevolent Gladiator's Ringmail Gauntlets
			[143149] = 156, -- Crafted Malevolent Gladiator's Ringmail Helm
			[143150] = 156, -- Crafted Malevolent Gladiator's Ringmail Leggings
			[143151] = 156, -- Crafted Malevolent Gladiator's Ringmail Spaulders
			[143134] = 156, -- Crafted Malevolent Gladiator's Sabatons of Alacrity
			[143133] = 156, -- Crafted Malevolent Gladiator's Sabatons of Cruelty
			[143123] = 156, -- Crafted Malevolent Gladiator's Waistband of Accuracy
			[143110] = 156, -- Crafted Malevolent Gladiator's Waistband of Cruelty
			[143157] = 156, -- Crafted Malevolent Gladiator's Waistguard of Cruelty
			[143142] = 156, -- Crafted Malevolent Gladiator's Waistguard of Meditation
			[143136] = 156, -- Crafted Malevolent Gladiator's Wristguards of Accuracy
			[143135] = 156, -- Crafted Malevolent Gladiator's Wristguards of Alacrity
			[143105] = 156, -- Crafted Malevolent Gladiator's Wyrmhide Gloves
			[143106] = 156, -- Crafted Malevolent Gladiator's Wyrmhide Helm
			[143107] = 156, -- Crafted Malevolent Gladiator's Wyrmhide Legguards
			[143108] = 156, -- Crafted Malevolent Gladiator's Wyrmhide Robes
			[143109] = 156, -- Crafted Malevolent Gladiator's Wyrmhide Spaulders
			[124561] = 116, -- Draconic Leg Reinforcements
			[138592] = 156, -- Dreadrunner Helm
			[138591] = 156, -- Dreadrunner Sabatons
			[146613] = 156, -- Drums of Rage
			[124627] = 116, -- Exotic Leather
			[124643] = 156, -- Fists of Lightning
			[124626] = 156, -- Gloves of Earthen Harmony
			[142966] = 156, -- Gorge Stalker Belt
			[142957] = 156, -- Gorge Stalker Legplates
			[124619] = 156, -- Greyshadow Chestguard
			[124620] = 156, -- Greyshadow Gloves
			[142976] = 156, -- Hardened Magnificent Hide
			[124563] = 116, -- Heavy Leg Reinforcements
			[124128] = 156, -- Ironscale Leg Armor
			[142962] = 156, -- Krasari Prowler Belt
			[142953] = 156, -- Krasari Prowler Britches
			[124624] = 156, -- Lifekeeper's Gloves
			[124623] = 156, -- Lifekeeper's Robe
			[124641] = 156, -- Liferuned Leather Gloves
			[140040] = 156, -- Magnificence of Leather
			[140041] = 156, -- Magnificence of Scales
			[131865] = 156, -- Magnificent Hide
			[140185] = 156, -- Magnificent Hide Pack
			[124578] = 116, -- Misthide Belt
			[124577] = 116, -- Misthide Boots
			[124576] = 116, -- Misthide Bracers
			[124573] = 116, -- Misthide Chestguard
			[124635] = 116, -- Misthide Drape
			[124574] = 116, -- Misthide Gloves
			[124571] = 116, -- Misthide Helm
			[124575] = 116, -- Misthide Leggings
			[124572] = 116, -- Misthide Shoulders
			[124639] = 156, -- Murderer's Gloves
			[124640] = 156, -- Nightfire Robe
			[142961] = 156, -- Pennyroyal Belt
			[142952] = 156, -- Pennyroyal Leggings
			[124559] = 116, -- Primal Leg Reinforcements
			[163220] = 119, -- Prismatic Scale
			[124637] = 116, -- Quick Strike Cloak
			[138589] = 156, -- Quilen Hide Boots
			[138590] = 156, -- Quilen Hide Helm
			[124644] = 156, -- Raiment of Blood and Bone
			[124645] = 156, -- Raven Lord's Gloves
			[124628] = 116, -- Sha Armor Kit
			[124124] = 116, -- Sha-Touched Leg Armor
			[124129] = 156, -- Shadowleather Leg Armor
			[142965] = 156, -- Snow Lily Belt
			[142956] = 156, -- Snow Lily Britches
			[138593] = 156, -- Spirit Keeper Footguards
			[138594] = 156, -- Spirit Keeper Helm
			[124642] = 156, -- Stormbreaker Chestguard
			[124586] = 119, -- Stormscale Belt
			[124585] = 119, -- Stormscale Boots
			[124584] = 119, -- Stormscale Bracers
			[124581] = 119, -- Stormscale Chestguard
			[124636] = 119, -- Stormscale Drape
			[124582] = 119, -- Stormscale Gloves
			[124579] = 119, -- Stormscale Helm
			[124583] = 119, -- Stormscale Leggings
			[124580] = 119, -- Stormscale Shoulders
			[124125] = 119, -- Toughened Leg Armor
			[124622] = 156, -- Wildblood Gloves
			[124621] = 156, -- Wildblood Vest
			-- Cataclysm
			[78488] = 156, -- Assassin's Chestplate
			[78461] = 156, -- Belt of Nefarious Whispers
			[163216] = 119, -- Blackened Dragonscale
			[101935] = 156, -- Bladeshadow Leggings
			[101940] = 156, -- Bladeshadow Wristguards
			[101937] = 156, -- Bracers of Flowing Serenity
			[101941] = 156, -- Bracers of the Hunter-Killer
			[78478] = 156, -- Charscale Leg Armor
			[78487] = 156, -- Chestguard of Nature's Fury
			[78438] = 116, -- Cloak of Beasts
			[78439] = 119, -- Cloak of War
			[99446] = 156, -- Clutches of Evil
			[78463] = 119, -- Corded Viper Belt
			[78416] = 116, -- Darkbrand Belt
			[78407] = 116, -- Darkbrand Boots
			[78398] = 116, -- Darkbrand Bracers
			[78428] = 116, -- Darkbrand Chestguard
			[78399] = 116, -- Darkbrand Gloves
			[78424] = 116, -- Darkbrand Helm
			[78433] = 116, -- Darkbrand Leggings
			[78411] = 116, -- Darkbrand Shoulders
			[101934] = 119, -- Deathscale Leggings
			[163218] = 119, -- Deepsea Scale
			[99443] = 156, -- Dragonfire Gloves
			[78490] = 119, -- Dragonkiller Tunic
			[78477] = 119, -- Dragonscale Leg Armor
			[101599] = 156, -- Drakehide Leg Armor
			[99455] = 156, -- Earthen Scale Sabatons
			[99458] = 156, -- Ethereal Footfalls
			[99456] = 156, -- Footwraps of Quenched Fire
			[99445] = 156, -- Gloves of Unforgiving Flame
			[78405] = 119, -- Hardened Scale Cloak
			[99447] = 156, -- Heavenly Gloves of the Moon
			[78437] = 116, -- Heavy Savage Armor Kit
			[78436] = 116, -- Heavy Savage Leather
			[101933] = 156, -- Leggings of Nature's Champion
			[78460] = 156, -- Lightning Lash
			[78475] = 119, -- Razor-Edged Cloak
			[101936] = 119, -- Rended Earth Leggings
			[100583] = 156, -- Royal Scribe's Satchel
			[78379] = 116, -- Savage Armor Kit
			[78380] = 116, -- Savage Cloak
			[84950] = 116, -- Savage Leather
			[78419] = 116, -- Scorched Leg Armor
			[78462] = 119, -- Stormleather Sash
			[101939] = 119, -- Thundering Deathscale Wristguards
			[99457] = 156, -- Treads of the Craft
			[100586] = 156, -- Triple-Reinforced Mining Bag
			[78396] = 116, -- Tsunami Belt
			[78410] = 116, -- Tsunami Boots
			[78388] = 116, -- Tsunami Bracers
			[78423] = 119, -- Tsunami Chestguard
			[78406] = 116, -- Tsunami Gloves
			[78432] = 116, -- Tsunami Helm
			[78427] = 116, -- Tsunami Leggings
			[78415] = 119, -- Tsunami Shoulders
			[78476] = 119, -- Twilight Dragonscale Cloak
			[78420] = 116, -- Twilight Leg Armor
			[78489] = 119, -- Twilight Scale Chestguard
			[78457] = 119, -- Vicious Charscale Belt
			[78456] = 119, -- Vicious Charscale Boots
			[78448] = 119, -- Vicious Charscale Bracers
			[78483] = 119, -- Vicious Charscale Chest
			[78449] = 119, -- Vicious Charscale Gloves
			[78484] = 119, -- Vicious Charscale Helm
			[78471] = 119, -- Vicious Charscale Legs
			[78470] = 119, -- Vicious Charscale Shoulders
			[78473] = 119, -- Vicious Dragonscale Belt
			[78458] = 119, -- Vicious Dragonscale Boots
			[78450] = 119, -- Vicious Dragonscale Bracers
			[78486] = 119, -- Vicious Dragonscale Chest
			[78459] = 119, -- Vicious Dragonscale Gloves
			[78474] = 119, -- Vicious Dragonscale Helm
			[78485] = 119, -- Vicious Dragonscale Legs
			[78451] = 119, -- Vicious Dragonscale Shoulders
			[99536] = 156, -- Vicious Fur Cloak
			[99535] = 156, -- Vicious Hide Cloak
			[78468] = 116, -- Vicious Leather Belt
			[78454] = 116, -- Vicious Leather Boots
			[78446] = 116, -- Vicious Leather Bracers
			[78481] = 116, -- Vicious Leather Chest
			[78447] = 116, -- Vicious Leather Gloves
			[78469] = 116, -- Vicious Leather Helm
			[78482] = 116, -- Vicious Leather Legs
			[78455] = 116, -- Vicious Leather Shoulders
			[78445] = 116, -- Vicious Wyrmhide Belt
			[78453] = 116, -- Vicious Wyrmhide Boots
			[78444] = 116, -- Vicious Wyrmhide Bracers
			[78467] = 116, -- Vicious Wyrmhide Chest
			[78452] = 116, -- Vicious Wyrmhide Gloves
			[78480] = 116, -- Vicious Wyrmhide Helm
			[78479] = 116, -- Vicious Wyrmhide Legs
			[78464] = 116, -- Vicious Wyrmhide Shoulders
			-- Northrend
			[50949] = 116, -- Arctic Belt
			[50948] = 116, -- Arctic Boots
			[50944] = 116, -- Arctic Chestpiece
			[50947] = 116, -- Arctic Gloves
			[51572] = 116, -- Arctic Helm
			[50945] = 116, -- Arctic Leggings
			[50946] = 116, -- Arctic Shoulderpads
			[51571] = 116, -- Arctic Wristguards
			[63200] = 156, -- Belt of Arctic Life
			[63194] = 156, -- Belt of Dragons
			[67081] = 156, -- Black Chitin Bracers
			[67137] = 156, -- Black Chitin Bracers
			[51568] = 119, -- Black Chitinguard Boots
			[70556] = 156, -- Bladeborn Leggings
			[70555] = 156, -- Blessed Cenarion Boots
			[63196] = 156, -- Blue Belt of Chaos
			[63195] = 156, -- Boots of Living Scale
			[63201] = 156, -- Boots of Wintry Endurance
			[50962] = 116, -- Borean Armor Kit
			[64661] = 116, -- Borean Leather
			[67087] = 156, -- Bracers of Swift Death
			[67139] = 156, -- Bracers of Swift Death
			[60620] = 119, -- Bugsquashers
			[60631] = 116, -- Cloak of Harsh Winds
			[55199] = 116, -- Cloak of Tormented Skies
			[67083] = 156, -- Crusader's Dragonscale Bracers
			[67143] = 156, -- Crusader's Dragonscale Bracers
			[67082] = 156, -- Crusader's Dragonscale Breastplate
			[67138] = 156, -- Crusader's Dragonscale Breastplate
			[51570] = 116, -- Dark Arctic Chestpiece
			[51569] = 116, -- Dark Arctic Leggings
			[60604] = 116, -- Dark Frostscale Breastplate
			[60601] = 116, -- Dark Frostscale Leggings
			[60613] = 116, -- Dark Iceborne Chestguard
			[60611] = 116, -- Dark Iceborne Leggings
			[60629] = 116, -- Dark Nerubian Chestpiece
			[60627] = 116, -- Dark Nerubian Leggings
			[63198] = 156, -- Death-warmed Belt
			[70560] = 156, -- Draconic Bonesplinter Legguards
			[60605] = 119, -- Dragonstompers
			[69386] = 116, -- Drums of Forgotten Kings
			[69388] = 116, -- Drums of the Wild
			[60640] = 156, -- Durable Nerubhide Cape
			[60652] = 119, -- Eaglebane Bracers
			[62448] = 156, -- Earthen Leg Armor
			[60761] = 116, -- Earthgiving Boots
			[60760] = 116, -- Earthgiving Legguards
			[70559] = 156, -- Earthsoul Boots
			[67080] = 156, -- Ensorcelled Nerubian Breastplate
			[67136] = 156, -- Ensorcelled Nerubian Breastplate
			[60704] = 116, -- Eviscerator's Bindings
			[60703] = 116, -- Eviscerator's Chestguard
			[60697] = 116, -- Eviscerator's Facemask
			[60705] = 116, -- Eviscerator's Gauntlets
			[60711] = 116, -- Eviscerator's Legguards
			[60702] = 116, -- Eviscerator's Shoulderpads
			[60712] = 116, -- Eviscerator's Treads
			[60706] = 116, -- Eviscerator's Waistguard
			[70557] = 156, -- Footpads of Impending Death
			[63199] = 156, -- Footpads of Silence
			[50965] = 156, -- Frosthide Leg Armor
			[50955] = 116, -- Frostscale Belt
			[50954] = 116, -- Frostscale Boots
			[60599] = 116, -- Frostscale Bracers
			[50950] = 116, -- Frostscale Chestguard
			[50953] = 116, -- Frostscale Gloves
			[60600] = 116, -- Frostscale Helm
			[50951] = 116, -- Frostscale Leggings
			[50952] = 116, -- Frostscale Shoulders
			[60755] = 116, -- Giantmaim Bracers
			[60754] = 116, -- Giantmaim Legguards
			[50963] = 116, -- Heavy Borean Armor Kit
			[50936] = 116, -- Heavy Borean Leather
			[60637] = 156, -- Ice Striker's Cloak
			[50943] = 116, -- Iceborne Belt
			[50942] = 116, -- Iceborne Boots
			[50938] = 116, -- Iceborne Chestguard
			[50941] = 116, -- Iceborne Gloves
			[60608] = 116, -- Iceborne Helm
			[50939] = 116, -- Iceborne Leggings
			[50940] = 116, -- Iceborne Shoulderpads
			[60607] = 116, -- Iceborne Wristguards
			[50967] = 156, -- Icescale Leg Armor
			[163222] = 119, -- Icy Dragonscale
			[61000] = 119, -- Icy Scale Belt
			[61002] = 119, -- Icy Scale Boots
			[60999] = 119, -- Icy Scale Chestguard
			[60666] = 119, -- Jormscale Footpads
			[50964] = 119, -- Jormungar Leg Armor
			[163224] = 119, -- Jormungar Scale
			[67086] = 156, -- Knightbane Carapace
			[67142] = 156, -- Knightbane Carapace
			[60660] = 116, -- Leggings of Visceral Strikes
			[70554] = 156, -- Legwraps of Unleashed Nature
			[63197] = 156, -- Lightning Grounded Boots
			[70558] = 156, -- Lightning-Infused Leggings
			[67084] = 156, -- Lunar Eclipse Robes
			[67140] = 156, -- Lunar Eclipse Robes
			[50971] = 116, -- Mammoth Mining Bag
			[67085] = 156, -- Moonshadow Armguards
			[67141] = 156, -- Moonshadow Armguards
			[50961] = 116, -- Nerubian Belt
			[50960] = 116, -- Nerubian Boots
			[60622] = 116, -- Nerubian Bracers
			[50956] = 116, -- Nerubian Chestguard
			[163223] = 119, -- Nerubian Chitin
			[50959] = 116, -- Nerubian Gloves
			[60624] = 116, -- Nerubian Helm
			[50966] = 119, -- Nerubian Leg Armor
			[50957] = 116, -- Nerubian Legguards
			[50958] = 116, -- Nerubian Shoulders
			[60658] = 116, -- Nightshock Girdle
			[60655] = 116, -- Nightshock Hood
			[60723] = 116, -- Overcast Belt
			[60727] = 116, -- Overcast Boots
			[60720] = 116, -- Overcast Bracers
			[60718] = 116, -- Overcast Chestguard
			[60721] = 116, -- Overcast Handwraps
			[60715] = 116, -- Overcast Headguard
			[60725] = 116, -- Overcast Leggings
			[60716] = 116, -- Overcast Spaulders
			[60643] = 116, -- Pack of Endless Pockets
			[60998] = 116, -- Polar Boots
			[60997] = 116, -- Polar Cord
			[60996] = 116, -- Polar Vest
			[60671] = 119, -- Purehorn Spaulders
			[60649] = 116, -- Razorstrike Breastplate
			[60756] = 116, -- Revenant's Breastplate
			[60757] = 116, -- Revenant's Treads
			[70561] = 156, -- Rock-Steady Treads
			[60630] = 119, -- Scaled Icewalkers
			[60665] = 116, -- Seafoam Gauntlets
			[60750] = 116, -- Stormhide Belt
			[60743] = 116, -- Stormhide Crown
			[60749] = 116, -- Stormhide Grips
			[60747] = 116, -- Stormhide Hauberk
			[60751] = 116, -- Stormhide Legguards
			[60746] = 116, -- Stormhide Shoulders
			[60752] = 116, -- Stormhide Stompers
			[60748] = 116, -- Stormhide Wristguards
			[60734] = 116, -- Swiftarrow Belt
			[60737] = 116, -- Swiftarrow Boots
			[60731] = 116, -- Swiftarrow Bracers
			[60732] = 116, -- Swiftarrow Gauntlets
			[60730] = 116, -- Swiftarrow Hauberk
			[60728] = 116, -- Swiftarrow Helm
			[60735] = 116, -- Swiftarrow Leggings
			[60729] = 116, -- Swiftarrow Shoulderguards
			[50970] = 116, -- Trapper's Traveling Pack
			[60759] = 116, -- Trollwoven Girdle
			[60758] = 116, -- Trollwoven Spaulders
			[60651] = 116, -- Virulent Spaulders
			[60669] = 116, -- Wildscale Breastplate
			[62176] = 116, -- Windripper Boots
			[62177] = 116, -- Windripper Leggings
			-- Outland
			[41161] = 116, -- Bindings of Lightning Reflexes
			[41156] = 116, -- Bracers of Renewed Life
			[41163] = 116, -- Living Earth Bindings
			[41164] = 116, -- Living Earth Shoulders
			[41157] = 116, -- Shoulderpads of Renewed Life
			[41162] = 116, -- Shoulders of Lightning Reflexes
			[41158] = 116, -- Swiftstrike Bracers
			[46138] = 116, -- Carapace of Sun and Shadow
			[46137] = 116, -- Embrace of the Phoenix
			[46133] = 116, -- Fletcher's Gloves of the Phoenix
			[46134] = 116, -- Gloves of Immortal Dusk
			[46136] = 116, -- Leather Chestguard of the Sun
			[46132] = 116, -- Leather Gauntlets of the Sun
			[46139] = 116, -- Sun-Drenched Scale Chestguard
			[46135] = 116, -- Sun-Drenched Scale Gloves
			[45117] = 116, -- Bag of Many Hides
			[36351] = 116, -- Belt of Deep Shadow
			[36349] = 116, -- Belt of Natural Power
			[36352] = 116, -- Belt of the Black Eagle
			[36355] = 116, -- Boots of Natural Grace
			[39997] = 116, -- Boots of Shackled Souls
			[36358] = 116, -- Boots of the Crimson Hawk
			[36357] = 116, -- Boots of Utter Darkness
			[52733] = 116, -- Bracers of Shackled Souls
			[35559] = 116, -- Cobrascale Gloves
			[35558] = 116, -- Cobrascale Hood
			[35567] = 116, -- Earthen Netherscale Boots
			[35576] = 116, -- Ebon Netherscale Belt
			[35577] = 116, -- Ebon Netherscale Bracers
			[35575] = 116, -- Ebon Netherscale Breastplate
			[35562] = 116, -- Gloves of the Living Touch
			[40001] = 116, -- Greaves of Shackled Souls
			[35561] = 116, -- Hood of Primal Life
			[36359] = 116, -- Hurricane Boots
			[35564] = 116, -- Living Dragonscale Helm
			[36353] = 116, -- Monsoon Belt
			[35573] = 116, -- Netherdrake Gloves
			[35572] = 116, -- Netherdrake Helm
			[35582] = 116, -- Netherstrike Belt
			[35584] = 116, -- Netherstrike Bracers
			[35580] = 116, -- Netherstrike Breastplate
			[35590] = 116, -- Primalstrike Belt
			[35591] = 116, -- Primalstrike Bracers
			[35589] = 116, -- Primalstrike Vest
			[40006] = 116, -- Redeemed Soul Cinch
			[40005] = 116, -- Redeemed Soul Legguards
			[40003] = 116, -- Redeemed Soul Moccasins
			[40004] = 116, -- Redeemed Soul Wristguards
			[42731] = 116, -- Shadowprowler's Chestguard
			[41160] = 116, -- Swiftstrike Shoulders
			[35574] = 116, -- Thick Netherscale Breastplate
			[40002] = 116, -- Waistguard of Shackled Souls
			[35587] = 116, -- Windhawk Belt
			[35588] = 116, -- Windhawk Bracers
			[35585] = 116, -- Windhawk Hauberk
			[35560] = 116, -- Windscale Hood
			[35563] = 116, -- Windslayer Wraps
			[35568] = 116, -- Windstrike Gloves
			[42546] = 116, -- Cloak of Darkness
			[35538] = 116, -- Drums of Panic
			[32499] = 116, -- Felstalker Bracers
			[32500] = 116, -- Felstalker Breastplate
			[32495] = 116, -- Heavy Clefthoof Vest
			[35543] = 116, -- Drums of Battle
			[32497] = 116, -- Heavy Clefthoof Boots
			[32496] = 116, -- Heavy Clefthoof Leggings
			[35557] = 116, -- Nethercleft Leg Armor
			[35554] = 116, -- Nethercobra Leg Armor
			[35537] = 116, -- Blastguard Belt
			[35536] = 116, -- Blastguard Boots
			[35535] = 116, -- Blastguard Pants
			[35534] = 116, -- Enchanted Clefthoof Boots
			[35533] = 116, -- Enchanted Clefthoof Gloves
			[35532] = 116, -- Enchanted Clefthoof Leggings
			[35527] = 116, -- Enchanted Felscale Boots
			[35526] = 116, -- Enchanted Felscale Gloves
			[35525] = 116, -- Enchanted Felscale Leggings
			[32493] = 116, -- Fel Leather Boots
			[32494] = 116, -- Fel Leather Leggings
			[32498] = 116, -- Felstalker Belt
			[35531] = 116, -- Flamescale Belt
			[35528] = 116, -- Flamescale Boots
			[35529] = 116, -- Flamescale Leggings
			[32503] = 116, -- Netherfury Boots
			[44359] = 116, -- Quiver of a Thousand Feathers
			[32461] = 116, -- Riding Crop
			[32487] = 116, -- Stylin' Adventure Hat
			[32488] = 116, -- Stylin' Crimson Hat
			[32489] = 116, -- Stylin' Jungle Hat
			[32485] = 116, -- Stylin' Purple Hat
			[44770] = 116, -- Glove Reinforcements
			[44970] = 116, -- Heavy Knothide Armor Kit
			[32490] = 116, -- Fel Leather Gloves
			[36079] = 116, -- Golden Dragonstrike Breastplate
			[36078] = 116, -- Living Crystal Breastplate
			[32501] = 116, -- Netherfury Belt
			[32502] = 116, -- Netherfury Leggings
			[36077] = 116, -- Primalstorm Breastplate
			[35539] = 116, -- Drums of Restoration
			[32465] = 116, -- Felscale Breastplate
			[32469] = 116, -- Scaled Draenic Boots
			[35544] = 116, -- Drums of Speed
			[32473] = 116, -- Thick Draenic Vest
			[32481] = 116, -- Wild Draenish Vest
			[35540] = 116, -- Drums of War
			[35555] = 116, -- Clefthide Leg Armor
			[35549] = 116, -- Cobrahide Leg Armor
			[32468] = 116, -- Scaled Draenic Vest
			[32458] = 116, -- Magister's Armor Kit
			[35530] = 116, -- Reinforced Mining Bag
			[32457] = 116, -- Vindicator's Armor Kit
			[32464] = 116, -- Felscale Pants
			[32472] = 116, -- Thick Draenic Boots
			[32480] = 116, -- Wild Draenish Leggings
			[32471] = 116, -- Thick Draenic Pants
			[32455] = 116, -- Heavy Knothide Leather
			[32463] = 116, -- Felscale Boots
			[32467] = 116, -- Scaled Draenic Gloves
			[32479] = 116, -- Wild Draenish Gloves
			[32456] = 116, -- Knothide Armor Kit
			[32462] = 116, -- Felscale Gloves
			[45100] = 116, -- Leatherworker's Satchel
			[32466] = 116, -- Scaled Draenic Pants
			[32470] = 116, -- Thick Draenic Gloves
			[32478] = 116, -- Wild Draenish Boots
			[330186] = 116, -- Relic of the Past I
			[330187] = 116, -- Relic of the Past II
			[330188] = 116, -- Relic of the Past III
			[330189] = 116, -- Relic of the Past IV
			[330190] = 116, -- Relic of the Past V
			[163231] = 119, -- Cobra Scales
			[32482] = 116, -- Comfortable Insoles
			[163226] = 116, -- Crystal Infused Leather
			[163229] = 427, -- Fel Hide
			[163228] = 119, -- Fel Scales
			[32454] = 116, -- Knothide Leather
			[163230] = 119, -- Nether Dragonscales
			[163225] = 116, -- Thick Clefthoof Leather
			[163232] = 119, -- Wind Scales
			-- Classic
			[3779] = 116, -- Barbaric Belt
			[23399] = 116, -- Barbaric Bracers
			[3771] = 116, -- Barbaric Gloves
			[6661] = 116, -- Barbaric Harness
			[7149] = 116, -- Barbaric Leggings
			[7151] = 116, -- Barbaric Shoulders
			[10562] = 116, -- Big Voodoo Cloak
			[10531] = 116, -- Big Voodoo Mask
			[10560] = 116, -- Big Voodoo Pants
			[10520] = 116, -- Big Voodoo Robe
			[20855] = 119, -- Black Dragonscale Boots
			[19085] = 119, -- Black Dragonscale Breastplate
			[19107] = 119, -- Black Dragonscale Leggings
			[19094] = 119, -- Black Dragonscale Shoulders
			[9070] = 119, -- Black Whelp Cloak
			[24940] = 119, -- Black Whelp Tunic
			[36074] = 116, -- Blackstorm Leggings
			[24124] = 156, -- Blood Tiger Breastplate
			[24125] = 156, -- Blood Tiger Shoulders
			[226115] = 116, -- Blue Chain Leggings
			[19077] = 119, -- Blue Dragonscale Breastplate
			[24654] = 119, -- Blue Dragonscale Leggings
			[19089] = 119, -- Blue Dragonscale Shoulders
			[28474] = 116, -- Bramblewood Belt
			[28473] = 116, -- Bramblewood Boots
			[28472] = 116, -- Bramblewood Helm
			[226119] = 116, -- Chain Belt
			[226113] = 116, -- Chain Boots
			[226116] = 116, -- Chain Bracers
			[226118] = 116, -- Chain Gauntlets
			[226112] = 116, -- Chain Hauberk
			[226117] = 116, -- Chain Leggings
			[226121] = 116, -- Chain Pauldrons
			[19063] = 116, -- Chimeric Boots
			[19053] = 116, -- Chimeric Gloves
			[19073] = 116, -- Chimeric Leggings
			[19081] = 116, -- Chimeric Vest
			[22926] = 62, -- Chromatic Cloak
			[23708] = 62, -- Chromatic Gauntlets
			[10490] = 116, -- Comfortable Leather Hat
			[22727] = 116, -- Core Armor Kit
			[23709] = 116, -- Corehound Belt
			[20853] = 116, -- Corehound Boots
			[226114] = 116, -- Crackling Scale Breastplate
			[3818] = 116, -- Cured Heavy Hide
			[3816] = 116, -- Cured Light Hide
			[3817] = 116, -- Cured Medium Hide
			[19047] = 116, -- Cured Rugged Hide
			[10482] = 116, -- Cured Thick Hide
			[3766] = 116, -- Dark Leather Belt
			[2167] = 116, -- Dark Leather Boots
			[2168] = 116, -- Dark Leather Cloak
			[3765] = 116, -- Dark Leather Gloves
			[7135] = 116, -- Dark Leather Pants
			[3769] = 116, -- Dark Leather Shoulders
			[2169] = 116, -- Dark Leather Tunic
			[23705] = 116, -- Dawn Treaders
			[7955] = 119, -- Deviate Scale Belt
			[7953] = 119, -- Deviate Scale Cloak
			[7954] = 119, -- Deviate Scale Gloves
			[19084] = 119, -- Devilsaur Gauntlets
			[19097] = 119, -- Devilsaur Leggings
			[10650] = 119, -- Dragonscale Breastplate
			[10619] = 119, -- Dragonscale Gauntlets
			[36076] = 119, -- Dragonstrike Leggings
			[24703] = 119, -- Dreamscale Breastplate
			[9206] = 116, -- Dusky Belt
			[9207] = 116, -- Dusky Boots
			[9201] = 116, -- Dusky Bracers
			[9196] = 116, -- Dusky Leather Armor
			[9195] = 116, -- Dusky Leather Leggings
			[9147] = 116, -- Earthen Leather Shoulders
			[226122] = 116, -- Element Grips
			[2161] = 116, -- Embossed Leather Boots
			[2162] = 116, -- Embossed Leather Cloak
			[3756] = 116, -- Embossed Leather Gloves
			[3759] = 116, -- Embossed Leather Pants
			[2160] = 116, -- Embossed Leather Vest
			[10647] = 116, -- Feathered Breastplate
			[3763] = 116, -- Fine Leather Belt
			[2158] = 116, -- Fine Leather Boots
			[2159] = 116, -- Fine Leather Cloak
			[2164] = 116, -- Fine Leather Gloves
			[7133] = 116, -- Fine Leather Pants
			[3761] = 116, -- Fine Leather Tunic
			[9145] = 116, -- Fletcher's Gloves
			[9198] = 116, -- Frost Leather Cloak
			[19066] = 116, -- Frostsaber Boots
			[19087] = 116, -- Frostsaber Gloves
			[19074] = 116, -- Frostsaber Leggings
			[19104] = 116, -- Frostsaber Tunic
			[10630] = 116, -- Gauntlets of the Sea
			[3778] = 116, -- Gem-studded Leather Belt
			[22921] = 116, -- Girdle of Insight
			[21943] = 116, -- Gloves of the Greatfather
			[23706] = 116, -- Golden Mantle of the Dawn
			[22815] = 116, -- Gordok Ogre Suit
			[19050] = 119, -- Green Dragonscale Breastplate
			[24655] = 119, -- Green Dragonscale Gauntlets
			[19060] = 119, -- Green Dragonscale Leggings
			[3772] = 116, -- Green Leather Armor
			[3774] = 116, -- Green Leather Belt
			[3776] = 116, -- Green Leather Bracers
			[9197] = 119, -- Green Whelp Armor
			[9202] = 119, -- Green Whelp Bracers
			[3773] = 116, -- Guardian Armor
			[3775] = 116, -- Guardian Belt
			[7153] = 116, -- Guardian Cloak
			[7156] = 116, -- Guardian Gloves
			[3777] = 116, -- Guardian Leather Bracers
			[7147] = 116, -- Guardian Pants
			[3753] = 116, -- Handstitched Leather Belt
			[2149] = 116, -- Handstitched Leather Boots
			[9059] = 116, -- Handstitched Leather Bracers
			[9058] = 116, -- Handstitched Leather Cloak
			[2153] = 116, -- Handstitched Leather Pants
			[7126] = 116, -- Handstitched Leather Vest
			[3780] = 116, -- Heavy Armor Kit
			[9149] = 116, -- Heavy Earthen Gloves
			[20649] = 116, -- Heavy Leather
			[23190] = 116, -- Heavy Leather Ball
			[226132] = 116, -- Heavy Scale Belt
			[226134] = 116, -- Heavy Scale Boots
			[226123] = 116, -- Heavy Scale Gauntlets
			[226135] = 116, -- Heavy Scale Hood
			[226126] = 116, -- Heavy Scale Pants
			[226129] = 116, -- Heavy Scale Pauldrons
			[226128] = 116, -- Heavy Scale Shirt
			[226124] = 116, -- Heavy Scale Wraps
			[19070] = 119, -- Heavy Scorpid Belt
			[19048] = 119, -- Heavy Scorpid Bracers
			[19064] = 119, -- Heavy Scorpid Gauntlets
			[19088] = 119, -- Heavy Scorpid Helm
			[19075] = 119, -- Heavy Scorpid Leggings
			[19100] = 119, -- Heavy Scorpid Shoulders
			[19051] = 119, -- Heavy Scorpid Vest
			[10632] = 116, -- Helm of Fire
			[9146] = 116, -- Herbalist's Gloves
			[22927] = 116, -- Hide of the Wild
			[3767] = 116, -- Hillman's Belt
			[3760] = 116, -- Hillman's Cloak
			[3764] = 116, -- Hillman's Leather Gloves
			[3762] = 116, -- Hillman's Leather Vest
			[3768] = 116, -- Hillman's Shoulders
			[28224] = 118, -- Icy Scale Bracers
			[28222] = 118, -- Icy Scale Breastplate
			[28223] = 118, -- Icy Scale Gauntlets
			[19086] = 116, -- Ironfeather Breastplate
			[19062] = 116, -- Ironfeather Shoulders
			[5244] = 116, -- Kodo Hide Bag
			[23707] = 116, -- Lava Belt
			[2152] = 116, -- Light Armor Kit
			[2881] = 116, -- Light Leather
			[9065] = 116, -- Light Leather Bracers
			[9068] = 116, -- Light Leather Pants
			[226107] = 116, -- Light Scale Belt
			[226109] = 116, -- Light Scale Boots
			[226106] = 116, -- Light Scale Bracers
			[226105] = 116, -- Light Scale Gloves
			[226108] = 116, -- Light Scale Jerkin
			[226111] = 116, -- Light Scale Pants
			[19095] = 116, -- Living Breastplate
			[19078] = 116, -- Living Leggings
			[19061] = 116, -- Living Shoulders
			[2165] = 116, -- Medium Armor Kit
			[20648] = 116, -- Medium Leather
			[23703] = 116, -- Might of the Timbermaw
			[23710] = 116, -- Molten Belt
			[20854] = 116, -- Molten Helm
			[22922] = 116, -- Mongoose Boots
			[8322] = 116, -- Moonglow Vest
			[6702] = 119, -- Murloc Scale Belt
			[6705] = 119, -- Murloc Scale Bracers
			[6703] = 119, -- Murloc Scale Breastplate
			[10558] = 116, -- Nightscape Boots
			[10507] = 116, -- Nightscape Headband
			[10548] = 116, -- Nightscape Pants
			[10516] = 116, -- Nightscape Shoulders
			[10499] = 116, -- Nightscape Tunic
			[9074] = 116, -- Nimble Leather Gloves
			[19093] = 819, -- Onyxia Scale Cloak
			[9148] = 116, -- Pilferer's Gloves
			[28221] = 116, -- Polar Bracers
			[28220] = 116, -- Polar Gloves
			[28219] = 116, -- Polar Tunic
			[24123] = 116, -- Primal Batskin Bracers
			[24122] = 116, -- Primal Batskin Gloves
			[24121] = 116, -- Primal Batskin Jerkin
			[4097] = 119, -- Raptor Hide Belt
			[4096] = 119, -- Raptor Hide Harness
			[19054] = 116, -- Red Dragonscale Breastplate
			[9072] = 116, -- Red Whelp Gloves
			[330180] = 116, -- Relic of the Past I
			[330181] = 116, -- Relic of the Past II
			[330183] = 116, -- Relic of the Past III
			[330184] = 116, -- Relic of the Past IV
			[330185] = 116, -- Relic of the Past V
			[19058] = 116, -- Rugged Armor Kit
			[22331] = 116, -- Rugged Leather
			[9064] = 116, -- Rugged Leather Pants
			[19102] = 116, -- Runic Leather Armor
			[19072] = 116, -- Runic Leather Belt
			[19065] = 116, -- Runic Leather Bracers
			[19055] = 116, -- Runic Leather Gauntlets
			[19082] = 116, -- Runic Leather Headband
			[19091] = 116, -- Runic Leather Pants
			[19103] = 116, -- Runic Leather Shoulders
			[24849] = 116, -- Sandstalker Bracers
			[24851] = 116, -- Sandstalker Breastplate
			[24850] = 116, -- Sandstalker Gauntlets
			[22711] = 116, -- Shadowskin Gloves
			[226110] = 116, -- Shamanic Treads
			[22928] = 116, -- Shifting Cloak
			[24846] = 116, -- Spitfire Bracers
			[24848] = 116, -- Spitfire Breastplate
			[24847] = 116, -- Spitfire Gauntlets
			[226137] = 116, -- Spritescale Boots
			[226125] = 116, -- Spritescale Britches
			[226127] = 116, -- Spritescale Cinch
			[226136] = 116, -- Spritescale Circlet
			[226120] = 116, -- Spritescale Epaulets
			[226131] = 119, -- Spritescale Gloves
			[226130] = 119, -- Spritescale Jerkin
			[226133] = 116, -- Spritescale Wraps
			[19079] = 116, -- Stormshroud Armor
			[26279] = 116, -- Stormshroud Gloves
			[19067] = 116, -- Stormshroud Pants
			[19090] = 116, -- Stormshroud Shoulders
			[9208] = 116, -- Swift Boots
			[22923] = 116, -- Swift Flight Bracers
			[10487] = 116, -- Thick Armor Kit
			[20650] = 116, -- Thick Leather
			[6704] = 116, -- Thick Murloc Armor
			[23704] = 116, -- Timbermaw Brawlers
			[10554] = 119, -- Tough Scorpid Boots
			[10533] = 119, -- Tough Scorpid Bracers
			[10525] = 119, -- Tough Scorpid Breastplate
			[10542] = 119, -- Tough Scorpid Gloves
			[10570] = 119, -- Tough Scorpid Helm
			[10568] = 119, -- Tough Scorpid Leggings
			[10564] = 119, -- Tough Scorpid Shoulders
			[2166] = 116, -- Toughened Leather Armor
			[3770] = 116, -- Toughened Leather Gloves
			[10518] = 116, -- Turtle Scale Bracers
			[10511] = 116, -- Turtle Scale Breastplate
			[10509] = 116, -- Turtle Scale Gloves
			[10552] = 116, -- Turtle Scale Helm
			[10556] = 116, -- Turtle Scale Leggings
			[19076] = 116, -- Volcanic Breastplate
			[19059] = 116, -- Volcanic Leggings
			[19101] = 116, -- Volcanic Shoulders
			[19068] = 116, -- Warbear Harness
			[19080] = 116, -- Warbear Woolies
			[2163] = 116, -- White Leather Jerkin
			[19098] = 116, -- Wicked Leather Armor
			[19092] = 116, -- Wicked Leather Belt
			[19052] = 116, -- Wicked Leather Bracers
			[19049] = 116, -- Wicked Leather Gauntlets
			[19071] = 116, -- Wicked Leather Headband
			[19083] = 116, -- Wicked Leather Pants
			[10566] = 116, -- Wild Leather Boots
			[10574] = 116, -- Wild Leather Cloak
			[10546] = 116, -- Wild Leather Helmet
			[10572] = 116, -- Wild Leather Leggings
			[10529] = 116, -- Wild Leather Shoulders
			[10544] = 116, -- Wild Leather Vest
			[36075] = 116, -- Wildfeather Leggings
			[44953] = 116, -- Winter Boots
			[10621] = 116, -- Wolfshead Helm


			--! Mining
			-- Pandaria
			[102167] = 910, -- Smelt Trillium
			[102165] = 909, -- Smelt Ghost Iron
			-- Cataclysm
			[74529] = 816, -- Smelt Pyrite
			[74537] = 140, -- Smelt Hardened Elementium
			[74530] = 140, -- Smelt Elementium
			[84038] = 910, -- Smelt Obsidium
			-- Northrend
			[49258] = 139, -- Smelt Saronite
			[55211] = 910, -- Smelt Titanium
			[55208] = 800, -- Smelt Titansteel
			[49252] = 138, -- Smelt Cobalt
			-- Outland
			[35750] = 803, -- Earth Sunder
			[35751] = 4, -- Fire Sunder
			[46353] = 813, -- Smelt Hardened Khorium
			[29361] = 820, -- Smelt Khorium
			[29686] = 137, -- Smelt Hardened Adamantite
			[29360] = 136, -- Smelt Felsteel
			[29359] = 813, -- Smelt Eternium
			[29358] = 137, -- Smelt Adamantite
			[29356] = 136, -- Smelt Fel Iron
			-- Classic
			[14891] = 910, -- Smelt Dark Iron
			[22967] = 140, -- Smelt Enchanted Elementium
			[70524] = 62, -- Enchanted Thorium Bar
			[16153] = 135, -- Smelt Thorium
			[10098] = 812, -- Smelt Truesilver
			[10097] = 134, -- Smelt Mithril
			[3308] = 130, -- Smelt Gold
			[3307] = 909, -- Smelt Iron
			[3569] = 909, -- Smelt Steel
			[2659] = 133, -- Smelt Bronze
			[2658] = 131, -- Smelt Silver
			[3304] = 131, -- Smelt Tin
			[2657] = 132, -- Smelt Copper

			--! Tailoring
			-- Shadowlands
			[338271] = 110, -- Woven Gossamer Tunic
			[338273] = 110, -- Gossamer Cloth
			[338272] = 110, -- Bolt of Woven Gossamer
			[338275] = 109, -- Haunting Hood
			[338276] = 109, -- Bolt of Bleakcloth
			[338277] = 109, -- Bleakcloth
			[338270] = 113, -- Ardensilk Cloth
			[338269] = 113, -- Bolt of Ardensilk Cloth
			[338267] = 113, -- Cloak of Camouflage
			[338278] = 112, -- Looming Tapestry
			[338279] = 112, -- Bolt of Prideweave
			[338280] = 112, -- Prideweave Cloth
			[359703] = 660, -- Vestige of the Eternal
			[352445] = 660, -- Vestige of Origins
			[359670] = 114, -- Crafter's Mark of the First Ones
			[359661] = 114, -- Crafter's Mark IV
			[310902] = 150, -- Shadowlace Mantle
			[310901] = 150, -- Shadowlace Trousers
			[343200] = 114, -- Crafter's Mark of the Chained Isle
			[310880] = 323, -- Grim-Veiled Cape
			[310886] = 323, -- Grim-Veiled Bracers
			[310885] = 323, -- Grim-Veiled Belt
			[310882] = 323, -- Grim-Veiled Hood
			[310884] = 323, -- Grim-Veiled Spaulders
			[339000] = 323, -- Grim-Veiled Hood
			[338995] = 323, -- Grim-Veiled Cape
			[339004] = 323, -- Grim-Veiled Bracers
			[338996] = 323, -- Grim-Veiled Robe
			[332034] = 323, -- Grim-Veiled Hood
			[339003] = 323, -- Grim-Veiled Belt
			[338997] = 323, -- Grim-Veiled Sandals
			[339002] = 323, -- Grim-Veiled Spaulders
			[332069] = 323, -- Grim-Veiled Hood
			[332031] = 323, -- Grim-Veiled Robe
			[332032] = 323, -- Grim-Veiled Cape
			[332035] = 323, -- Grim-Veiled Pants
			[332071] = 323, -- Grim-Veiled Spaulders
			[332073] = 323, -- Grim-Veiled Bracers
			[338998] = 323, -- Grim-Veiled Mittens
			[310883] = 323, -- Grim-Veiled Pants
			[332065] = 323, -- Grim-Veiled Sandals
			[332070] = 323, -- Grim-Veiled Pants
			[310881] = 323, -- Grim-Veiled Mittens
			[332066] = 323, -- Grim-Veiled Robe
			[332072] = 323, -- Grim-Veiled Belt
			[310879] = 323, -- Grim-Veiled Robe
			[332036] = 323, -- Grim-Veiled Spaulders
			[332038] = 323, -- Grim-Veiled Bracers
			[332067] = 323, -- Grim-Veiled Cape
			[339001] = 323, -- Grim-Veiled Pants
			[332033] = 323, -- Grim-Veiled Mittens
			[332030] = 323, -- Grim-Veiled Sandals
			[332068] = 323, -- Grim-Veiled Mittens
			[332037] = 323, -- Grim-Veiled Belt
			[310878] = 323, -- Grim-Veiled Sandals
			[310897] = 150, -- Shadowlace Tunic
			[343201] = 114, -- Crafter's Mark III
			[310900] = 150, -- Shadowlace Cowl
			[310898] = 150, -- Shadowlace Cloak
			[345986] = 150, -- Lightless Silk Pouch
			[343202] = 114, -- Crafter's Mark II
			[310899] = 150, -- Shadowlace Handwraps
			[310903] = 150, -- Shadowlace Cord
			[310896] = 150, -- Shadowlace Footwraps
			[310904] = 150, -- Shadowlace Cuffs
			[310923] = 150, -- Heavy Shrouded Cloth Bandage
			[343659] = 114, -- Novice Crafter's Mark
			[343204] = 114, -- Crafter's Mark I
			[310875] = 150, -- Shrouded Cloth Spaulders
			[310874] = 150, -- Shrouded Cloth Pants
			[310870] = 150, -- Shrouded Cloth Robe
			[310873] = 150, -- Shrouded Cloth Hood
			[310871] = 150, -- Shrouded Cloth Cape
			[345985] = 150, -- Shrouded Cloth Bag
			[310872] = 150, -- Shrouded Cloth Mittens
			[310876] = 150, -- Shrouded Cloth Belt
			[334499] = 151, -- Pink Party Hat
			[355183] = 150, -- Shrouded Hand Towel
			[310869] = 150, -- Shrouded Cloth Sandals
			[310924] = 150, -- Shrouded Cloth Bandage
			[310877] = 150, -- Shrouded Cloth Bracers
			-- Kul Tiras/Zandalar
			[307175] = 320, -- Void Focus
			[299035] = 152, -- Reinforced Seaweave Breeches
			[294846] = 152, -- Notorious Combatant's Satin Bracers
			[304562] = 152, -- Unsettling Seaweave Breeches
			[299033] = 152, -- Banded Seaweave Gloves
			[304559] = 152, -- Unsettling Seaweave Gloves
			[294834] = 152, -- Notorious Combatant's Satin Boots
			[304563] = 152, -- Maddening Seaweave Breeches
			[304564] = 152, -- Eldritch Seaweave Breeches
			[294840] = 152, -- Notorious Combatant's Satin Pants
			[299031] = 152, -- Gilded Seaweave Gloves
			[299032] = 152, -- Reinforced Seaweave Gloves
			[294831] = 152, -- Notorious Combatant's Satin Cloak
			[294837] = 152, -- Notorious Combatant's Satin Mittens
			[299036] = 152, -- Banded Seaweave Breeches
			[294843] = 152, -- Notorious Combatant's Satin Belt
			[299034] = 152, -- Gilded Seaweave Breeches
			[304561] = 152, -- Eldritch Seaweave Gloves
			[304560] = 152, -- Maddening Seaweave Gloves
			[294839] = 152, -- Notorious Combatant's Satin Pants
			[294830] = 152, -- Notorious Combatant's Satin Cloak
			[294842] = 152, -- Notorious Combatant's Satin Belt
			[294833] = 152, -- Notorious Combatant's Satin Boots
			[294836] = 152, -- Notorious Combatant's Satin Mittens
			[294845] = 152, -- Notorious Combatant's Satin Bracers
			[301409] = 116, -- Saddlechute
			[304568] = 152, -- Uncanny Combatant's Satin Boots
			[304569] = 152, -- Uncanny Combatant's Satin Boots
			[304578] = 152, -- Uncanny Combatant's Satin Belt
			[294835] = 152, -- Notorious Combatant's Satin Mittens
			[294844] = 152, -- Notorious Combatant's Satin Bracers
			[294841] = 152, -- Notorious Combatant's Satin Belt
			[304567] = 152, -- Uncanny Combatant's Satin Cloak
			[304577] = 152, -- Uncanny Combatant's Satin Belt
			[304581] = 152, -- Uncanny Combatant's Satin Bracers
			[294829] = 152, -- Notorious Combatant's Satin Cloak
			[294832] = 152, -- Notorious Combatant's Satin Boots
			[294838] = 152, -- Notorious Combatant's Satin Pants
			[304565] = 152, -- Uncanny Combatant's Satin Cloak
			[304566] = 152, -- Uncanny Combatant's Satin Cloak
			[304570] = 152, -- Uncanny Combatant's Satin Boots
			[304572] = 152, -- Uncanny Combatant's Satin Mittens
			[304573] = 152, -- Uncanny Combatant's Satin Mittens
			[304574] = 152, -- Uncanny Combatant's Satin Pants
			[304575] = 152, -- Uncanny Combatant's Satin Pants
			[304582] = 152, -- Uncanny Combatant's Satin Bracers
			[304571] = 152, -- Uncanny Combatant's Satin Mittens
			[304579] = 152, -- Uncanny Combatant's Satin Belt
			[304580] = 152, -- Uncanny Combatant's Satin Bracers
			[304576] = 152, -- Uncanny Combatant's Satin Pants
			[301403] = 152, -- Seabreeze Saddle Blanket
			[257128] = 152, -- Embroidered Deep Sea Bag
			[257133] = 152, -- Battle Flag: Spirit of Freedom
			[257118] = 152, -- Embroidered Deep Sea Gloves
			[285077] = 152, -- Enhanced Deep Sea Breeches
			[257123] = 152, -- Imbued Deep Sea Breeches
			[257136] = 152, -- Battle Flag: Phalanx Defense
			[257121] = 152, -- Emblazoned Deep Sea Gloves
			[257124] = 152, -- Emblazoned Deep Sea Breeches
			[257122] = 152, -- Embroidered Deep Sea Breeches
			[257129] = 152, -- Embroidered Deep Sea Bag
			[285086] = 152, -- Fortified Deep Sea Gloves
			[292946] = 152, -- Synchronous Thread
			[257130] = 152, -- Embroidered Deep Sea Bag
			[257120] = 152, -- Imbued Deep Sea Gloves
			[257116] = 152, -- Embroidered Deep Sea Cloak
			[257132] = 152, -- Battle Flag: Spirit of Freedom
			[285078] = 152, -- Enhanced Deep Sea Gloves
			[285085] = 152, -- Fortified Deep Sea Breeches
			[285093] = 152, -- Tempered Deep Sea Breeches
			[257115] = 152, -- Embroidered Deep Sea Cloak
			[257135] = 152, -- Battle Flag: Phalanx Defense
			[257138] = 152, -- Battle Flag: Rallying Swiftness
			[257139] = 152, -- Battle Flag: Rallying Swiftness
			[285094] = 152, -- Tempered Deep Sea Gloves
			[282177] = 152, -- Sinister Combatant's Satin Pants
			[282196] = 152, -- Sinister Combatant's Satin Boots
			[282193] = 152, -- Sinister Combatant's Satin Mittens
			[282170] = 152, -- Sinister Combatant's Satin Belt
			[282276] = 152, -- Sinister Combatant's Satin Cloak
			[282166] = 152, -- Sinister Combatant's Satin Bracers
			[282165] = 152, -- Sinister Combatant's Satin Bracers
			[282169] = 152, -- Sinister Combatant's Satin Belt
			[282176] = 152, -- Sinister Combatant's Satin Pants
			[282192] = 152, -- Sinister Combatant's Satin Mittens
			[282195] = 152, -- Sinister Combatant's Satin Boots
			[282275] = 152, -- Sinister Combatant's Satin Cloak
			[282175] = 152, -- Sinister Combatant's Satin Pants
			[282191] = 152, -- Sinister Combatant's Satin Mittens
			[282194] = 152, -- Sinister Combatant's Satin Boots
			[282204] = 152, -- Sinister Combatant's Satin Cloak
			[282168] = 152, -- Sinister Combatant's Satin Belt
			[282164] = 152, -- Sinister Combatant's Satin Bracers
			[257127] = 152, -- Deep Sea Bag
			[269604] = 152, -- Honorable Combatant's Satin Mittens
			[269598] = 152, -- Honorable Combatant's Satin Cloak
			[269601] = 152, -- Honorable Combatant's Satin Boots
			[269607] = 152, -- Honorable Combatant's Satin Pants
			[269610] = 152, -- Honorable Combatant's Satin Belt
			[269613] = 152, -- Honorable Combatant's Satin Bracers
			[257126] = 152, -- Deep Sea Bag
			[269597] = 152, -- Honorable Combatant's Satin Cloak
			[269609] = 152, -- Honorable Combatant's Satin Belt
			[269600] = 152, -- Honorable Combatant's Satin Boots
			[269606] = 152, -- Honorable Combatant's Satin Pants
			[269603] = 152, -- Honorable Combatant's Satin Mittens
			[269612] = 152, -- Honorable Combatant's Satin Bracers
			[272440] = 152, -- Embroidered Deep Sea Satin
			[269596] = 152, -- Honorable Combatant's Satin Cloak
			[257114] = 152, -- Embroidered Deep Sea Cloak
			[269611] = 152, -- Honorable Combatant's Satin Bracers
			[269608] = 152, -- Honorable Combatant's Satin Belt
			[269602] = 152, -- Honorable Combatant's Satin Mittens
			[269599] = 152, -- Honorable Combatant's Satin Boots
			[269605] = 152, -- Honorable Combatant's Satin Pants
			[278414] = 152, -- Rough-hooked Tidespray Linen
			[257131] = 152, -- Battle Flag: Spirit of Freedom
			[257134] = 152, -- Battle Flag: Phalanx Defense
			[257137] = 152, -- Battle Flag: Rallying Swiftness
			[279183] = 646, -- Discreet Spellthread
			[279182] = 646, -- Resilient Spellthread
			[279184] = 646, -- Feathery Spellthread
			[257125] = 152, -- Deep Sea Bag
			[268983] = 152, -- Hooked Deep Sea Net
			[267202] = 152, -- Deep Sea Bandage
			[257104] = 107, -- Tidespray Linen Robe
			[257101] = 107, -- Tidespray Linen Spaulders
			[257107] = 107, -- Tidespray Linen Cloak
			[257097] = 107, -- Tidespray Linen Hood
			[257099] = 107, -- Tidespray Linen Pants
			[257096] = 107, -- Tidespray Linen Mittens
			[257102] = 107, -- Tidespray Linen Belt
			[257095] = 107, -- Tidespray Linen Sandals
			[257103] = 107, -- Tidespray Linen Bracers
			[267201] = 107, -- Tidespray Linen Bandage
			[268982] = 107, -- Tidespray Linen Net
			[287274] = 801, -- Aqueous Alteration
			[286654] = 412, -- Sanguinated Alteration
			-- Legion
			[239412] = 660, -- Celumbra, the Night's Dichotomy
			[229043] = 112, -- Imbued Silkweave Bag
			[185955] = 112, -- Imbued Silkweave Cinch
			[186111] = 112, -- Imbued Silkweave Flourish
			[186117] = 112, -- Imbued Silkweave Drape
			[185954] = 112, -- Imbued Silkweave Bracers
			[185957] = 112, -- Imbued Silkweave Pantaloons
			[186108] = 112, -- Imbued Silkweave Shade
			[186114] = 112, -- Imbued Silkweave Cover
			[185960] = 112, -- Imbued Silkweave Slippers
			[185961] = 112, -- Imbued Silkweave Robe
			[229041] = 112, -- Imbued Silkweave Bag
			[229045] = 112, -- Imbued Silkweave Bag
			[185956] = 112, -- Imbued Silkweave Epaulets
			[185959] = 112, -- Imbued Silkweave Gloves
			[185958] = 112, -- Imbued Silkweave Hood
			[247807] = 108, -- Lightweave Breeches
			[247808] = 108, -- Lightweave Breeches
			[247809] = 108, -- Lightweave Breeches
			[185946] = 112, -- Imbued Silkweave Bracers
			[185947] = 112, -- Imbued Silkweave Cinch
			[186107] = 112, -- Imbued Silkweave Shade
			[186116] = 112, -- Imbued Silkweave Drape
			[185949] = 112, -- Imbued Silkweave Pantaloons
			[186110] = 112, -- Imbued Silkweave Flourish
			[186113] = 112, -- Imbued Silkweave Cover
			[185950] = 112, -- Imbued Silkweave Hood
			[185951] = 112, -- Imbued Silkweave Gloves
			[185952] = 112, -- Imbued Silkweave Slippers
			[185948] = 112, -- Imbued Silkweave Epaulets
			[185953] = 112, -- Imbued Silkweave Robe
			[202854] = 113, -- Silkweave Splint
			[185962] = 112, -- Imbued Silkweave
			[185933] = 112, -- Imbued Silkweave Robe
			[185927] = 112, -- Imbued Silkweave Cinch
			[208353] = 113, -- Silkweave Pantaloons
			[185926] = 112, -- Imbued Silkweave Bracers
			[185929] = 112, -- Imbued Silkweave Pantaloons
			[185931] = 112, -- Imbued Silkweave Gloves
			[185943] = 113, -- Silkweave Cinch
			[185942] = 113, -- Silkweave Bracers
			[185944] = 113, -- Silkweave Epaulets
			[185928] = 112, -- Imbued Silkweave Epaulets
			[185930] = 112, -- Imbued Silkweave Hood
			[208350] = 113, -- Silkweave Gloves
			[186109] = 112, -- Imbued Silkweave Flourish
			[185932] = 112, -- Imbued Silkweave Slippers
			[186112] = 112, -- Imbued Silkweave Cover
			[186115] = 112, -- Imbued Silkweave Drape
			[208352] = 113, -- Silkweave Slippers
			[185945] = 113, -- Silkweave Robe
			[186106] = 112, -- Imbued Silkweave Shade
			[208351] = 113, -- Silkweave Hood
			[185941] = 113, -- Silkweave Robe
			[185936] = 113, -- Silkweave Epaulets
			[185934] = 113, -- Silkweave Bracers
			[185935] = 113, -- Silkweave Cinch
			[185937] = 113, -- Silkweave Pantaloons
			[230047] = 150, -- Feathered Luffa
			[185939] = 113, -- Silkweave Gloves
			[185938] = 113, -- Silkweave Hood
			[185940] = 113, -- Silkweave Slippers
			[186388] = 113, -- Silkweave Satchel
			[213035] = 113, -- Clothes Chest: Dalaran Citizens
			[220511] = 113, -- Bloodtotem Saddle Blanket
			[213037] = 113, -- Clothes Chest: Molten Core
			[213036] = 113, -- Clothes Chest: Karazhan Opera House
			[185921] = 113, -- Silkweave Pantaloons
			[185919] = 113, -- Silkweave Cinch
			[185920] = 113, -- Silkweave Epaulets
			[185923] = 113, -- Silkweave Gloves
			[185922] = 113, -- Silkweave Hood
			[185924] = 113, -- Silkweave Slippers
			[185918] = 113, -- Silkweave Bracers
			[185925] = 113, -- Silkweave Robe
			[202853] = 113, -- Silkweave Bandage
			[186100] = 113, -- Silkweave Drape
			[186094] = 113, -- Silkweave Flourish
			[186091] = 113, -- Silkweave Shade
			[186097] = 113, -- Silkweave Cover
			-- Draenor
			[168836] = 154, -- Hexweave Embroidery
			[168850] = 109, -- Creeping Carpet
			[168848] = 109, -- Hexweave Bag
			[182123] = 109, -- Primal Weaving
			[168845] = 109, -- Powerful Hexweave Cloak
			[168847] = 109, -- Brilliant Hexweave Cloak
			[168849] = 109, -- Elekk Plushie
			[168838] = 109, -- Hexweave Cowl
			[168841] = 109, -- Hexweave Robe
			[168843] = 109, -- Hexweave Slippers
			[168839] = 109, -- Hexweave Leggings
			[168840] = 109, -- Hexweave Gloves
			[168842] = 109, -- Hexweave Bracers
			[168844] = 109, -- Hexweave Belt
			[168837] = 109, -- Hexweave Mantle
			[168846] = 109, -- Nimble Hexweave Cloak
			[168853] = 154, -- Sumptuous Robes
			[168854] = 154, -- Sumptuous Leggings
			[168852] = 154, -- Sumptuous Cowl
			[176058] = 114, -- Secrets of Draenor Tailoring
			[168835] = 109, -- Hexweave Cloth
			[172539] = 154, -- Antiseptic Bandage
			[176314] = 154, -- Fearsome Battle Standard
			[176313] = 154, -- Inspiring Battle Standard
			[176316] = 154, -- Fearsome Battle Standard
			[176315] = 154, -- Inspiring Battle Standard
			-- Pandaria
			[143011] = 72, -- Celestial Cloth
			[130325] = 112, -- Song of Harmony
			[125556] = 112, -- Royal Satchel
			[125544] = 152, -- Contender's Satin Cuffs
			[137908] = 152, -- Crafted Dreadful Gladiator's Cape of Prowess
			[137934] = 152, -- Crafted Dreadful Gladiator's Satin Robe
			[142951] = 72, -- White Cloud Leggings
			[143053] = 152, -- Crafted Malevolent Gladiator's Cape of Cruelty
			[143075] = 152, -- Crafted Malevolent Gladiator's Mooncloth Robe
			[125554] = 646, -- Greater Pearlescent Spellthread
			[146925] = 72, -- Accelerated Celestial Cloth
			[138597] = 112, -- Falling Blossom Treads
			[143073] = 152, -- Crafted Malevolent Gladiator's Mooncloth Helm
			[138598] = 112, -- Falling Blossom Cowl
			[125555] = 646, -- Greater Cerulean Spellthread
			[125558] = 112, -- Robe of Eternal Rule
			[137941] = 152, -- Crafted Dreadful Gladiator's Felweave Raiment
			[142960] = 72, -- White Cloud Belt
			[125540] = 152, -- Contender's Satin Amice
			[125545] = 152, -- Contender's Satin Footwraps
			[125560] = 112, -- Legacy of the Emperor
			[137918] = 152, -- Crafted Dreadful Gladiator's Drape of Cruelty
			[143061] = 152, -- Crafted Malevolent Gladiator's Cuffs of Accuracy
			[143063] = 152, -- Crafted Malevolent Gladiator's Cuffs of Meditation
			[143067] = 152, -- Crafted Malevolent Gladiator's Silk Handguards
			[104115] = 4, -- Release Fire Spirit
			[125532] = 152, -- Contender's Silk Amice
			[125538] = 152, -- Contender's Silk Belt
			[125542] = 152, -- Contender's Satin Handwraps
			[125543] = 152, -- Contender's Satin Pants
			[125547] = 112, -- Spelltwister's Grand Robe
			[125549] = 112, -- Robes of Creation
			[125550] = 112, -- Gloves of Creation
			[125559] = 112, -- Imperial Silk Gloves
			[137907] = 152, -- Crafted Dreadful Gladiator's Cape of Cruelty
			[137915] = 152, -- Crafted Dreadful Gladiator's Cuffs of Accuracy
			[137919] = 152, -- Crafted Dreadful Gladiator's Drape of Prowess
			[137928] = 152, -- Crafted Dreadful Gladiator's Mooncloth Leggings
			[137930] = 152, -- Crafted Dreadful Gladiator's Mooncloth Mantle
			[137931] = 152, -- Crafted Dreadful Gladiator's Satin Gloves
			[137939] = 152, -- Crafted Dreadful Gladiator's Felweave Cowl
			[137940] = 152, -- Crafted Dreadful Gladiator's Felweave Trousers
			[143059] = 152, -- Crafted Malevolent Gladiator's Treads of Alacrity
			[143064] = 152, -- Crafted Malevolent Gladiator's Drape of Cruelty
			[143072] = 152, -- Crafted Malevolent Gladiator's Mooncloth Gloves
			[125534] = 152, -- Contender's Silk Handwraps
			[125537] = 152, -- Contender's Silk Footwraps
			[125539] = 152, -- Contender's Satin Cowl
			[125546] = 152, -- Contender's Satin Belt
			[137911] = 152, -- Crafted Dreadful Gladiator's Cord of Meditation
			[137922] = 152, -- Crafted Dreadful Gladiator's Silk Cowl
			[137923] = 152, -- Crafted Dreadful Gladiator's Silk Trousers
			[137924] = 152, -- Crafted Dreadful Gladiator's Silk Robe
			[137925] = 152, -- Crafted Dreadful Gladiator's Silk Amice
			[137929] = 152, -- Crafted Dreadful Gladiator's Mooncloth Robe
			[137932] = 152, -- Crafted Dreadful Gladiator's Satin Hood
			[137933] = 152, -- Crafted Dreadful Gladiator's Satin Leggings
			[137936] = 152, -- Crafted Dreadful Gladiator's Cloak of Alacrity
			[137942] = 152, -- Crafted Dreadful Gladiator's Felweave Amice
			[138600] = 112, -- Falling Blossom Hood
			[142955] = 72, -- Leggings of the Night Sky
			[143055] = 152, -- Crafted Malevolent Gladiator's Cord of Cruelty
			[143057] = 152, -- Crafted Malevolent Gladiator's Cord of Meditation
			[143065] = 152, -- Crafted Malevolent Gladiator's Drape of Prowess
			[143068] = 152, -- Crafted Malevolent Gladiator's Silk Cowl
			[143070] = 152, -- Crafted Malevolent Gladiator's Silk Robe
			[143074] = 152, -- Crafted Malevolent Gladiator's Mooncloth Leggings
			[143076] = 152, -- Crafted Malevolent Gladiator's Mooncloth Mantle
			[143077] = 152, -- Crafted Malevolent Gladiator's Satin Gloves
			[143086] = 152, -- Crafted Malevolent Gladiator's Felweave Trousers
			[143087] = 152, -- Crafted Malevolent Gladiator's Felweave Raiment
			[125531] = 152, -- Contender's Silk Cowl
			[125533] = 152, -- Contender's Silk Raiment
			[125535] = 152, -- Contender's Silk Pants
			[125536] = 152, -- Contender's Silk Cuffs
			[125541] = 152, -- Contender's Satin Raiment
			[125548] = 112, -- Spelltwister's Gloves
			[137910] = 152, -- Crafted Dreadful Gladiator's Cord of Accuracy
			[137912] = 152, -- Crafted Dreadful Gladiator's Treads of Cruelty
			[137913] = 152, -- Crafted Dreadful Gladiator's Treads of Alacrity
			[137914] = 152, -- Crafted Dreadful Gladiator's Treads of Meditation
			[137916] = 152, -- Crafted Dreadful Gladiator's Cuffs of Prowess
			[137917] = 152, -- Crafted Dreadful Gladiator's Cuffs of Meditation
			[137920] = 152, -- Crafted Dreadful Gladiator's Drape of Meditation
			[137921] = 152, -- Crafted Dreadful Gladiator's Silk Handguards
			[137927] = 152, -- Crafted Dreadful Gladiator's Mooncloth Helm
			[137937] = 152, -- Crafted Dreadful Gladiator's Cloak of Prowess
			[137938] = 152, -- Crafted Dreadful Gladiator's Felweave Handguards
			[138599] = 112, -- Falling Blossom Sandals
			[142964] = 72, -- Belt of the Night Sky
			[143054] = 152, -- Crafted Malevolent Gladiator's Cape of Prowess
			[143062] = 152, -- Crafted Malevolent Gladiator's Cuffs of Prowess
			[143066] = 152, -- Crafted Malevolent Gladiator's Drape of Meditation
			[143071] = 152, -- Crafted Malevolent Gladiator's Silk Amice
			[143078] = 152, -- Crafted Malevolent Gladiator's Satin Hood
			[143081] = 152, -- Crafted Malevolent Gladiator's Satin Mantle
			[143082] = 152, -- Crafted Malevolent Gladiator's Cloak of Alacrity
			[143084] = 152, -- Crafted Malevolent Gladiator's Felweave Handguards
			[143085] = 152, -- Crafted Malevolent Gladiator's Felweave Cowl
			[125561] = 112, -- Touch of the Light
			[137909] = 152, -- Crafted Dreadful Gladiator's Cord of Cruelty
			[137926] = 152, -- Crafted Dreadful Gladiator's Mooncloth Gloves
			[137935] = 152, -- Crafted Dreadful Gladiator's Satin Mantle
			[143056] = 152, -- Crafted Malevolent Gladiator's Cord of Accuracy
			[143058] = 152, -- Crafted Malevolent Gladiator's Treads of Cruelty
			[143060] = 152, -- Crafted Malevolent Gladiator's Treads of Meditation
			[143069] = 152, -- Crafted Malevolent Gladiator's Silk Trousers
			[143079] = 152, -- Crafted Malevolent Gladiator's Satin Leggings
			[143080] = 152, -- Crafted Malevolent Gladiator's Satin Robe
			[143083] = 152, -- Crafted Malevolent Gladiator's Cloak of Prowess
			[143088] = 152, -- Crafted Malevolent Gladiator's Felweave Amice
			[125525] = 152, -- Windwool Tunic
			[125523] = 152, -- Windwool Hood
			[125557] = 152, -- Imperial Silk
			[125527] = 152, -- Windwool Pants
			[125529] = 152, -- Windwool Boots
			[125553] = 646, -- Cerulean Spellthread
			[102698] = 152, -- Heavy Windwool Bandage
			[125524] = 152, -- Windwool Shoulders
			[125530] = 152, -- Windwool Belt
			[125552] = 646, -- Pearlescent Spellthread
			[102697] = 152, -- Windwool Bandage
			[125526] = 152, -- Windwool Gloves
			[125528] = 152, -- Windwool Bracers
			[125551] = 152, -- Bolt of Windwool Cloth
			-- Cataclysm
			[134585] = 107, -- Bipsi's Gloves
			[125496] = 646, -- Master's Spellthread
			[125497] = 646, -- Sanctified Spellthread
			[75289] = 152, -- High Society Top Hat
			[94743] = 36, -- Dream of Destruction
			[99459] = 152, -- Endless Dream Walkers
			[75305] = 107, -- Vicious Embersilk Robe
			[75308] = 152, -- Illusionary Bag
			[75310] = 646, -- Powerful Ghostly Spellthread
			[75306] = 107, -- Vicious Embersilk Cowl
			[75145] = 4, -- Dream of Ragnaros
			[75141] = 811, -- Dream of Skywall
			[75146] = 801, -- Dream of Azshara
			[75304] = 107, -- Vicious Fireweave Cowl
			[99460] = 152, -- Boots of the Black Flame
			[101920] = 152, -- World Mender's Pants
			[101923] = 152, -- Bracers of Unconquered Power
			[75309] = 646, -- Powerful Enchanted Spellthread
			[75299] = 152, -- Dreamless Belt
			[75300] = 152, -- Breeches of Mended Nightmares
			[75302] = 107, -- Vicious Fireweave Pants
			[75303] = 107, -- Vicious Fireweave Robe
			[99449] = 152, -- Don Tayo's Inferno Mittens
			[75142] = 107, -- Dream of Deepholm
			[75296] = 107, -- Vicious Fireweave Gloves
			[75297] = 107, -- Vicious Embersilk Boots
			[99448] = 152, -- Grips of Altered Reality
			[101921] = 152, -- Lavaquake Legwraps
			[101922] = 152, -- Dreamwraps of the Light
			[75144] = 8, -- Dream of Hyjal
			[75298] = 152, -- Belt of the Depths
			[75301] = 152, -- Flame-Ascended Pantaloons
			[75307] = 107, -- Vicious Embersilk Pants
			[75295] = 107, -- Vicious Embersilk Gloves
			[75294] = 107, -- Vicious Fireweave Boots
			[75292] = 107, -- Vicious Fireweave Shoulders
			[75269] = 107, -- Vicious Fireweave Belt
			[75293] = 107, -- Vicious Embersilk Belt
			[75291] = 107, -- Vicious Embersilk Shoulders
			[75290] = 107, -- Vicious Fireweave Bracers
			[75270] = 107, -- Vicious Embersilk Bracers
			[75288] = 107, -- Black Embersilk Gown
			[74557] = 107, -- Heavy Embersilk Bandage
			[75268] = 107, -- Hyjal Expedition Bag
			[75267] = 107, -- Spiritmend Robe
			[75266] = 107, -- Spiritmend Cowl
			[99537] = 107, -- Vicious Embersilk Cape
			[100585] = 152, -- Luxurious Silk Gem Bag
			[75265] = 107, -- Otherworldly Bag
			[75264] = 107, -- Embersilk Bag
			[75263] = 107, -- Spiritmend Leggings
			[75262] = 107, -- Spiritmend Gloves
			[75260] = 107, -- Spiritmend Shoulders
			[88893] = 107, -- Dense Embersilk Bandage
			[74558] = 107, -- Field Bandage: Dense Embersilk
			[75261] = 107, -- Spiritmend Boots
			[74556] = 107, -- Embersilk Bandage
			[75258] = 107, -- Spiritmend Belt
			[75259] = 107, -- Spiritmend Bracers
			[75257] = 107, -- Deathsilk Robe
			[75256] = 107, -- Deathsilk Cowl
			[75253] = 107, -- Deathsilk Gloves
			[75255] = 646, -- Ghostly Spellthread
			[75254] = 107, -- Deathsilk Leggings
			[75250] = 646, -- Enchanted Spellthread
			[75252] = 107, -- Deathsilk Boots
			[75251] = 107, -- Deathsilk Shoulders
			[75248] = 107, -- Deathsilk Belt
			[75249] = 107, -- Deathsilk Bracers
			[74964] = 107, -- Bolt of Embersilk Cloth
			[75247] = 107, -- Embersilk Net
			-- Northrend
			[56005] = 96, -- Glacial Bag
			[70550] = 68, -- Leggings of Woven Death
			[70551] = 68, -- Deathfrost Boots
			[63204] = 68, -- Spellslinger's Slippers
			[63203] = 68, -- Sash of Ancient Power
			[67066] = 68, -- Merlin's Robe
			[67147] = 640, -- Royal Moonshroud Bracers
			[56028] = 68, -- Spellweave Robe
			[67144] = 640, -- Royal Moonshroud Robe
			[67146] = 68, -- Merlin's Robe
			[67079] = 68, -- Bejeweled Wizard's Bracers
			[67064] = 640, -- Royal Moonshroud Robe
			[56026] = 96, -- Ebonweave Robe
			[63206] = 640, -- Savior's Slippers
			[63205] = 640, -- Cord of the White Dawn
			[70553] = 640, -- Sandals of Consecration
			[56024] = 640, -- Moonshroud Robe
			[67145] = 68, -- Bejeweled Wizard's Bracers
			[70552] = 640, -- Lightweave Leggings
			[67065] = 640, -- Royal Moonshroud Bracers
			[56006] = 68, -- Mysterious Bag
			[56029] = 68, -- Spellweave Gloves
			[56027] = 96, -- Ebonweave Gloves
			[56025] = 640, -- Moonshroud Gloves
			[56004] = 96, -- Abyssal Bag
			[63924] = 640, -- Emerald Bag
			[60971] = 80, -- Magnificent Flying Carpet
			[56016] = 110, -- Wispcloak
			[75597] = 80, -- Frosty Flying Carpet
			[56017] = 110, -- Deathchill Cloak
			[60993] = 110, -- Glacial Robe
			[56009] = 646, -- Brilliant Spellthread
			[56011] = 646, -- Sapphire Spellthread
			[56018] = 110, -- Hat of Wintry Doom
			[56021] = 110, -- Frostmoon Pants
			[56007] = 110, -- Frostweave Bag
			[59588] = 110, -- Frostsavage Leggings
			[60990] = 110, -- Glacial Waistband
			[60994] = 110, -- Glacial Slippers
			[59585] = 110, -- Frostsavage Boots
			[59589] = 110, -- Frostsavage Cowl
			[59584] = 110, -- Frostsavage Shoulders
			[59586] = 110, -- Frostsavage Gloves
			[56020] = 68, -- Deep Frozen Cord
			[56022] = 640, -- Light Blessed Mittens
			[56019] = 68, -- Silky Iceshard Boots
			[56023] = 640, -- Aurora Slippers
			[59587] = 110, -- Frostsavage Robe
			[55941] = 110, -- Black Duskweave Robe
			[45546] = 110, -- Heavy Frostweave Bandage
			[59583] = 110, -- Frostsavage Bracers
			[59582] = 110, -- Frostsavage Belt
			[56002] = 96, -- Ebonweave
			[56003] = 68, -- Spellweave
			[56001] = 640, -- Moonshroud
			[55925] = 110, -- Black Duskweave Leggings
			[55943] = 110, -- Black Duskweave Wristwraps
			[55923] = 110, -- Duskweave Shoulders
			[55924] = 110, -- Duskweave Boots
			[55922] = 110, -- Duskweave Gloves
			[55921] = 110, -- Duskweave Robe
			[55920] = 110, -- Duskweave Wristwraps
			[64730] = 110, -- Cloak of Crimson Snow
			[64729] = 110, -- Frostguard Drape
			[55901] = 110, -- Duskweave Leggings
			[55919] = 110, -- Duskweave Cowl
			[55911] = 110, -- Mystic Frostwoven Robe
			[55995] = 110, -- Yellow Lumberjack Shirt
			[56010] = 646, -- Azure Spellthread
			[55993] = 110, -- Red Lumberjack Shirt
			[55997] = 110, -- Red Workman's Shirt
			[55994] = 110, -- Blue Lumberjack Shirt
			[56008] = 646, -- Shining Spellthread
			[55999] = 110, -- Rustic Workman's Shirt
			[55998] = 110, -- Blue Workman's Shirt
			[56000] = 110, -- Green Workman's Shirt
			[56015] = 110, -- Cloak of Frozen Spirits
			[55996] = 110, -- Green Lumberjack Shirt
			[55914] = 110, -- Duskweave Belt
			[55900] = 110, -- Bolt of Imbued Frostweave
			[55910] = 110, -- Mystic Frostwoven Shoulders
			[55913] = 110, -- Mystic Frostwoven Wristwraps
			[56014] = 110, -- Cloak of the Moon
			[45545] = 110, -- Frostweave Bandage
			[56030] = 110, -- Frostwoven Leggings
			[55907] = 110, -- Frostwoven Cowl
			[55906] = 110, -- Frostwoven Boots
			[55908] = 110, -- Frostwoven Belt
			[55903] = 110, -- Frostwoven Robe
			[55904] = 110, -- Frostwoven Gloves
			[55899] = 110, -- Bolt of Frostweave
			[60969] = 80, -- Flying Carpet
			[55898] = 110, -- Frostweave Net
			[56031] = 110, -- Frostwoven Wristwraps
			[55902] = 110, -- Frostwoven Shoulders
			-- Outland
			[41205] = 68, -- Bracers of Nimble Thought
			[41207] = 640, -- Swiftheal Wraps
			[41206] = 68, -- Mantle of Nimble Thought
			[41208] = 640, -- Swiftheal Mantle
			[46128] = 68, -- Sunfire Handwraps
			[46130] = 68, -- Sunfire Robe
			[46131] = 640, -- Robe of Eternal Light
			[46129] = 640, -- Hands of Eternal Light
			[26784] = 151, -- Arcanoweave Robe
			[26754] = 68, -- Spellfire Robe
			[31433] = 646, -- Golden Spellthread
			[31453] = 113, -- Battlecast Pants
			[36317] = 68, -- Boots of Blasting
			[31444] = 113, -- Black Belt of Knowledge
			[31448] = 640, -- Resolute Cape
			[31449] = 96, -- Vengeance Wrap
			[50194] = 640, -- Mycah's Botanical Bag
			[26758] = 96, -- Frozen Shadoweave Robe
			[31456] = 113, -- Battlecast Hood
			[26753] = 68, -- Spellfire Gloves
			[40024] = 113, -- Soulguard Girdle
			[26759] = 96, -- Ebon Shadowbag
			[26763] = 640, -- Primal Mooncloth Bag
			[26781] = 110, -- Soulcloth Vest
			[31442] = 640, -- Unyielding Girdle
			[31452] = 68, -- Spellstrike Pants
			[31454] = 640, -- Whitemend Hood
			[36315] = 113, -- Belt of Blasting
			[36316] = 113, -- Belt of the Long Road
			[36318] = 68, -- Boots of the Long Road
			[40021] = 113, -- Soulguard Bracers
			[26757] = 96, -- Frozen Shadoweave Boots
			[26761] = 640, -- Primal Mooncloth Shoulders
			[31432] = 646, -- Runic Spellthread
			[31455] = 68, -- Spellstrike Hood
			[26755] = 68, -- Spellfire Bag
			[26780] = 110, -- Soulcloth Shoulders
			[31450] = 68, -- Manaweave Cloak
			[31451] = 640, -- Whitemend Pants
			[37884] = 151, -- Flameheart Vest
			[40060] = 113, -- Night's End
			[26762] = 640, -- Primal Mooncloth Robe
			[31443] = 96, -- Girdle of Ruination
			[40020] = 113, -- Soulguard Slippers
			[40023] = 113, -- Soulguard Leggings
			[26783] = 151, -- Arcanoweave Boots
			[26777] = 113, -- Imbued Netherweave Robe
			[37883] = 151, -- Flameheart Gloves
			[26778] = 113, -- Imbued Netherweave Tunic
			[26752] = 68, -- Spellfire Belt
			[26760] = 640, -- Primal Mooncloth Belt
			[26779] = 110, -- Soulcloth Gloves
			[26756] = 96, -- Frozen Shadoweave Shoulders
			[31434] = 113, -- Unyielding Bracers
			[31441] = 113, -- White Remedy Cape
			[31435] = 113, -- Bracers of Havok
			[37882] = 151, -- Flameheart Bracers
			[31437] = 113, -- Blackstrike Bracers
			[31438] = 113, -- Cloak of the Black Void
			[31440] = 113, -- Cloak of Eternity
			[26776] = 113, -- Imbued Netherweave Boots
			[26782] = 151, -- Arcanoweave Bracers
			[37873] = 113, -- Cloak of Arcane Evasion
			[26774] = 151, -- Netherweave Tunic
			[27033] = 151, -- Heavy Netherweave Bandage
			[31373] = 68, -- Spellcloth
			[26751] = 640, -- Primal Mooncloth
			[36686] = 96, -- Shadowcloth
			[26773] = 151, -- Netherweave Robe
			[31459] = 113, -- Bag of Jewels
			[26775] = 113, -- Imbued Netherweave Pants
			[31431] = 646, -- Silver Spellthread
			[31430] = 646, -- Mystic Spellthread
			[26772] = 151, -- Netherweave Boots
			[26750] = 110, -- Bolt of Soulcloth
			[26749] = 113, -- Imbued Netherweave Bag
			[26771] = 151, -- Netherweave Pants
			[27032] = 151, -- Netherweave Bandage
			[26747] = 113, -- Bolt of Imbued Netherweave
			[26770] = 151, -- Netherweave Gloves
			[26746] = 151, -- Netherweave Bag
			[26764] = 151, -- Netherweave Bracers
			[26765] = 151, -- Netherweave Belt
			[28205] = 151, -- Glacial Gloves
			[28209] = 151, -- Glacial Wrists
			[28208] = 151, -- Glacial Cloak
			[27660] = 151, -- Big Bag of Enchantment
			[28207] = 151, -- Glacial Vest
			[27725] = 640, -- Satchel of Cenarius
			[26745] = 151, -- Bolt of Netherweave
			[31460] = 151, -- Netherweave Net
			-- Classic
			[18451] = 427, -- Felcloth Robe
			[18449] = 151, -- Runecloth Shoulders
			[18450] = 151, -- Wizardweave Turban
			[18453] = 427, -- Felcloth Shoulders
			[18446] = 151, -- Wizardweave Robe
			[18458] = 427, -- Robe of the Void
			[18436] = 427, -- Robe of Winter Night
			[22902] = 640, -- Mooncloth Robe
			[18457] = 151, -- Robe of the Archmage
			[18630] = 151, -- Heavy Runecloth Bandage
			[26086] = 427, -- Felcloth Bag
			[28482] = 151, -- Sylvan Shoulders
			[24093] = 640, -- Bloodvine Boots
			[24902] = 427, -- Runed Stygian Belt
			[26087] = 427, -- Core Felcloth Bag
			[18448] = 640, -- Mooncloth Shoulders
			[18454] = 640, -- Gloves of Spell Mastery
			[18455] = 640, -- Bottomless Bag
			[23666] = 640, -- Flarecore Robe
			[18439] = 130, -- Brightcloth Pants
			[18447] = 640, -- Mooncloth Vest
			[22868] = 151, -- Inferno Gloves
			[18445] = 640, -- Mooncloth Bag
			[18452] = 640, -- Mooncloth Circlet
			[20849] = 151, -- Flarecore Gloves
			[22866] = 640, -- Belt of the Archmage
			[22870] = 151, -- Cloak of Warding
			[24901] = 427, -- Runed Stygian Leggings
			[18456] = 640, -- Truefaith Vestments
			[20848] = 151, -- Flarecore Mantle
			[22869] = 640, -- Mooncloth Gloves
			[23662] = 151, -- Wisdom of the Timbermaw
			[23663] = 640, -- Mantle of the Timbermaw
			[24092] = 640, -- Bloodvine Leggings
			[28481] = 640, -- Sylvan Crown
			[18440] = 640, -- Mooncloth Leggings
			[22759] = 640, -- Flarecore Wraps
			[22867] = 427, -- Felcloth Gloves
			[23665] = 640, -- Argent Shoulders
			[24903] = 427, -- Runed Stygian Boots
			[28480] = 151, -- Sylvan Vest
			[23664] = 151, -- Argent Boots
			[23667] = 640, -- Flarecore Leggings
			[24091] = 640, -- Bloodvine Vest
			[28210] = 151, -- Gaea's Embrace
			[18444] = 151, -- Runecloth Headband
			[18434] = 151, -- Cindercloth Pants
			[19435] = 640, -- Mooncloth Boots
			[18441] = 323, -- Ghostweave Pants
			[18442] = 427, -- Felcloth Hood
			[18560] = 640, -- Mooncloth
			[18629] = 151, -- Runecloth Bandage
			[27724] = 151, -- Cenarion Herb Bag
			[18419] = 427, -- Felcloth Pants
			[18422] = 151, -- Cloak of Fire
			[27659] = 151, -- Enchanted Runecloth Bag
			[18418] = 151, -- Cindercloth Cloak
			[18437] = 151, -- Felcloth Boots
			[18438] = 151, -- Runecloth Pants
			[18412] = 151, -- Cindercloth Gloves
			[22813] = 151, -- Gordok Ogre Suit
			[18423] = 151, -- Runecloth Boots
			[18424] = 151, -- Frostweave Pants
			[18420] = 130, -- Brightcloth Cloak
			[18417] = 151, -- Runecloth Gloves
			[18421] = 151, -- Wizardweave Leggings
			[18416] = 323, -- Ghostweave Vest
			[18408] = 151, -- Cindercloth Vest
			[26085] = 151, -- Soul Pouch
			[18405] = 151, -- Runecloth Bag
			[18414] = 130, -- Brightcloth Robe
			[18415] = 130, -- Brightcloth Gloves
			[18413] = 323, -- Ghostweave Gloves
			[18404] = 151, -- Frostweave Robe
			[18411] = 151, -- Frostweave Gloves
			[18409] = 151, -- Runecloth Cloak
			[18410] = 323, -- Ghostweave Belt
			[26403] = 151, -- Festival Dress
			[50644] = 113, -- Haliscan Jacket
			[26407] = 151, -- Festival Suit
			[12093] = 113, -- Tuxedo Jacket
			[18406] = 151, -- Runecloth Robe
			[18407] = 151, -- Runecloth Tunic
			[12086] = 113, -- Shadoweave Mask
			[10841] = 113, -- Heavy Mageweave Bandage
			[18402] = 151, -- Runecloth Belt
			[18403] = 151, -- Frostweave Tunic
			[12084] = 113, -- Red Mageweave Headband
			[49677] = 113, -- Dress Shoes
			[12081] = 113, -- Admiral's Hat
			[12091] = 113, -- White Wedding Dress
			[12092] = 113, -- Dreamweave Circlet
			[18401] = 151, -- Bolt of Runecloth
			[12078] = 113, -- Red Mageweave Shoulders
			[12089] = 113, -- Tuxedo Pants
			[50647] = 113, -- Haliscan Pantaloons
			[44950] = 151, -- Green Winter Clothes
			[44958] = 151, -- Red Winter Clothes
			[12088] = 113, -- Cindercloth Boots
			[12085] = 113, -- Tuxedo Shirt
			[12082] = 113, -- Shadoweave Boots
			[12066] = 113, -- Red Mageweave Gloves
			[27658] = 113, -- Enchanted Mageweave Pouch
			[10840] = 113, -- Mageweave Bandage
			[12080] = 113, -- Pink Mageweave Shirt
			[12076] = 113, -- Shadoweave Shoulders
			[12079] = 113, -- Red Mageweave Bag
			[12077] = 113, -- Simple Black Dress
			[12075] = 113, -- Lavender Mageweave Shirt
			[12073] = 113, -- Black Mageweave Boots
			[12074] = 113, -- Black Mageweave Shoulders
			[12072] = 113, -- Black Mageweave Headband
			[12056] = 113, -- Red Mageweave Vest
			[12060] = 113, -- Red Mageweave Pants
			[12070] = 113, -- Dreamweave Vest
			[12069] = 113, -- Cindercloth Robe
			[12065] = 113, -- Mageweave Bag
			[12071] = 113, -- Shadoweave Gloves
			[12067] = 113, -- Dreamweave Gloves
			[12064] = 113, -- Orange Martial Shirt
			[8802] = 112, -- Crimson Silk Robe
			[3862] = 113, -- Icy Cloak
			[3864] = 113, -- Star Belt
			[12059] = 113, -- White Bandit Mask
			[12055] = 113, -- Shadoweave Robe
			[12053] = 113, -- Black Mageweave Gloves
			[12061] = 113, -- Orange Mageweave Shirt
			[8797] = 112, -- Earthen Silk Belt
			[12050] = 113, -- Black Mageweave Robe
			[12052] = 113, -- Shadoweave Pants
			[8804] = 112, -- Crimson Silk Gloves
			[7929] = 112, -- Heavy Silk Bandage
			[8795] = 112, -- Azure Shoulders
			[8793] = 112, -- Crimson Silk Shoulders
			[3873] = 112, -- Black Swashbuckler's Shirt
			[12049] = 113, -- Black Mageweave Leggings
			[12048] = 113, -- Black Mageweave Vest
			[6695] = 112, -- Black Silk Pack
			[3863] = 112, -- Spider Belt
			[8789] = 112, -- Crimson Silk Cloak
			[21945] = 112, -- Green Holiday Shirt
			[8799] = 112, -- Crimson Silk Pantaloons
			[8786] = 112, -- Azure Silk Cloak
			[6693] = 112, -- Green Silk Pack
			[3860] = 112, -- Boots of the Enchanter
			[3872] = 112, -- Rich Purple Silk Shirt
			[8770] = 113, -- Robe of Power
			[3858] = 112, -- Shadow Hood
			[3861] = 112, -- Long Silken Cloak
			[8791] = 112, -- Crimson Silk Vest
			[8784] = 112, -- Green Silk Armor
			[3857] = 112, -- Enchanter's Cowl
			[8774] = 112, -- Green Silken Shoulders
			[7928] = 112, -- Silk Bandage
			[8772] = 112, -- Crimson Silk Belt
			[8766] = 112, -- Azure Silk Belt
			[8489] = 112, -- Red Swashbuckler's Shirt
			[3865] = 113, -- Bolt of Mageweave
			[8764] = 112, -- Earthen Vest
			[3871] = 112, -- Formal White Shirt
			[6692] = 112, -- Robes of Arcana
			[8782] = 112, -- Truefaith Gloves
			[8780] = 112, -- Hands of Darkness
			[3854] = 112, -- Azure Silk Gloves
			[3870] = 112, -- Dark Silk Shirt
			[8483] = 112, -- White Swashbuckler's Shirt
			[8762] = 112, -- Silk Headband
			[3856] = 112, -- Spider Silk Slippers
			[3813] = 112, -- Small Silk Pack
			[3859] = 112, -- Azure Silk Vest
			[3278] = 150, -- Heavy Wool Bandage
			[3851] = 150, -- Phoenix Pants
			[3868] = 150, -- Phoenix Gloves
			[8760] = 112, -- Azure Silk Hood
			[3849] = 150, -- Reinforced Woolen Shoulders
			[12047] = 150, -- Colorful Kilt
			[7892] = 150, -- Stylish Blue Shirt
			[7893] = 150, -- Stylish Green Shirt
			[3869] = 112, -- Bright Yellow Shirt
			[8758] = 112, -- Azure Silk Pants
			[7643] = 150, -- Greater Adept's Robe
			[6688] = 150, -- Red Woolen Bag
			[6690] = 112, -- Lesser Wizard's Robe
			[3852] = 150, -- Gloves of Meditation
			[2403] = 150, -- Gray Woolen Robe
			[63742] = 112, -- Spidersilk Drape
			[3855] = 112, -- Spidersilk Boots
			[3839] = 112, -- Bolt of Silk Cloth
			[7639] = 150, -- Blue Overalls
			[3844] = 150, -- Heavy Woolen Cloak
			[3758] = 150, -- Green Woolen Bag
			[3847] = 150, -- Red Woolen Boots
			[3277] = 150, -- Wool Bandage
			[3866] = 150, -- Stylish Red Shirt
			[3850] = 150, -- Heavy Woolen Pants
			[3848] = 150, -- Double-stitched Woolen Shoulders
			[8467] = 150, -- White Woolen Dress
			[2406] = 150, -- Gray Woolen Shirt
			[2401] = 150, -- Woolen Boots
			[6686] = 107, -- Red Linen Bag
			[7633] = 107, -- Blue Linen Robe
			[6521] = 150, -- Pearl-clasped Cloak
			[2399] = 150, -- Green Woolen Vest
			[3843] = 150, -- Heavy Woolen Gloves
			[3757] = 150, -- Woolen Bag
			[3845] = 107, -- Soft-soled Linen Boots
			[7630] = 107, -- Blue Linen Vest
			[7629] = 107, -- Red Linen Vest
			[3276] = 107, -- Heavy Linen Bandage
			[12046] = 107, -- Simple Kilt
			[2402] = 150, -- Woolen Cape
			[2964] = 150, -- Bolt of Woolen Cloth
			[2396] = 107, -- Green Linen Shirt
			[3842] = 107, -- Handstitched Linen Britches
			[2395] = 107, -- Barbaric Linen Vest
			[2386] = 107, -- Linen Boots
			[2389] = 107, -- Red Linen Robe
			[2397] = 107, -- Reinforced Linen Cape
			[3841] = 107, -- Green Linen Bracers
			[3755] = 107, -- Linen Bag
			[2392] = 107, -- Red Linen Shirt
			[2394] = 107, -- Blue Linen Shirt
			[8465] = 107, -- Simple Dress
			[3275] = 107, -- Linen Bandage
			[3840] = 107, -- Heavy Linen Gloves
			[2387] = 107, -- Linen Cloak
			[3915] = 107, -- Brown Linen Shirt
			[12044] = 107, -- Simple Linen Pants
			[3914] = 107, -- Brown Linen Pants
			[7623] = 107, -- Brown Linen Robe
			[7624] = 107, -- White Linen Robe
			[2963] = 107, -- Bolt of Linen Cloth
			[12045] = 107, -- Simple Linen Boots
			[8776] = 107, -- Linen Belt
			[2385] = 107, -- Brown Linen Vest
			[2393] = 107, -- White Linen Shirt

			--! Cooking
			-- Shadowlands
			[338100] = 5, -- Arden Apple Pie
			[338107] = 900, -- Diced Vegetables
			[338115] = 321, -- Ember Sauce
			[338106] = 415, -- Grazer Bone Broth
			[338101] = 107, -- Oat Pie Crust
			[338117] = 5, -- Seared Cutlets
			[338116] = 909, -- Skewered Meats
			[338102] = 900, -- Sliced Arden Apples
			[338110] = 5, -- Spider Jerky
			[338105] = 5, -- Steward Stew
			[338113] = 107, -- Thick Spider Meat
			[359333] = 909, -- Empty Kettle of Stone Soup
			[308403] = 5, -- Feast of Gluttonous Hedonism
			[308420] = 5, -- Fried Bonefish
			[308417] = 5, -- Seraph Tenders
			[308419] = 5, -- Smothered Shank
			[308402] = 5, -- Surprisingly Palatable Feast
			[354764] = 802, -- Twilight Tea
			[308400] = 5, -- Spinefin Souffle and Fries
			[308413] = 5, -- Iridescent Ravioli with Apple Sauce
			[308426] = 5, -- Steak a la Mode
			[308405] = 5, -- Tenebrous Crown Roast Aspic
			[308415] = 5, -- Banana Beef Pudding
			[354766] = 5, -- Bonemeal Bread
			[308411] = 5, -- Candied Amberjack Cakes
			[308404] = 5, -- Cinnamon Bonefish Stew
			[308412] = 5, -- Meaty Apple Dumplings
			[308397] = 5, -- Butterscotch Marinated Ribs
			[354768] = 809, -- Porous Rock Candy
			[308425] = 5, -- Sweet Silvergill Sausages
			[308410] = 5, -- Biscuits and Caviar
			[308414] = 5, -- Pickled Meat Smoothie
			-- Kul Tiras/Zandalar
			[297086] = 5, -- Abyssal-Fried Rissole
			[297085] = 5, -- Abyssal-Fried Rissole
			[297084] = 5, -- Abyssal-Fried Rissole
			[297083] = 5, -- Baked Port Tato
			[297082] = 5, -- Baked Port Tato
			[297081] = 5, -- Baked Port Tato
			[314959] = 5, -- Baked Voidfin
			[297089] = 5, -- Bil'Tong
			[297088] = 5, -- Bil'Tong
			[297087] = 5, -- Bil'Tong
			[290473] = 5, -- Boralus Blood Sausage
			[290472] = 5, -- Boralus Blood Sausage
			[290471] = 5, -- Boralus Blood Sausage
			[259421] = 5, -- Bountiful Captain's Feast
			[259422] = 5, -- Bountiful Captain's Feast
			[259423] = 5, -- Bountiful Captain's Feast
			[314961] = 5, -- Dubious Delight
			[297107] = 5, -- Famine Evaluator And Snack Table
			[297106] = 5, -- Famine Evaluator And Snack Table
			[297105] = 5, -- Famine Evaluator And Snack Table
			[297074] = 5, -- Fragrant Kakavia
			[297075] = 5, -- Fragrant Kakavia
			[297077] = 5, -- Fragrant Kakavia
			[259419] = 5, -- Galley Banquet
			[259420] = 5, -- Galley Banquet
			[259418] = 5, -- Galley Banquet
			[314962] = 5, -- Ghastly Goulash
			[259432] = 5, -- Grilled Catfish
			[259431] = 5, -- Grilled Catfish
			[259430] = 5, -- Grilled Catfish
			[314963] = 5, -- Grilled Gnasher
			[280282] = 5, -- Heartsbane Hexwurst
			[286381] = 5, -- Honey Potpie
			[259416] = 5, -- Honey-Glazed Haunches
			[259415] = 5, -- Honey-Glazed Haunches
			[259414] = 5, -- Honey-Glazed Haunches
			[314960] = 5, -- K'Bab
			[259413] = 5, -- Kul Tiramisu
			[259412] = 5, -- Kul Tiramisu
			[259411] = 5, -- Kul Tiramisu
			[259438] = 5, -- Loa Loaf
			[259437] = 5, -- Loa Loaf
			[259436] = 5, -- Loa Loaf
			[297080] = 5, -- Mech-Dowel's "Big Mech"
			[297079] = 5, -- Mech-Dowel's "Big Mech"
			[297078] = 5, -- Mech-Dowel's "Big Mech"
			[301392] = 100, -- Mecha-Bytes
			[259444] = 5, -- Mon'Dazi
			[259443] = 5, -- Mon'Dazi
			[259442] = 5, -- Mon'Dazi
			[259426] = 5, -- Ravenberry Tarts
			[259425] = 5, -- Ravenberry Tarts
			[259424] = 5, -- Ravenberry Tarts
			[259441] = 5, -- Sailor's Pie
			[259440] = 5, -- Sailor's Pie
			[259439] = 5, -- Sailor's Pie
			[287108] = 5, -- Sanguinated Feast
			[287110] = 5, -- Sanguinated Feast
			[287112] = 5, -- Sanguinated Feast
			[259435] = 5, -- Seasoned Loins
			[259434] = 5, -- Seasoned Loins
			[259433] = 5, -- Seasoned Loins
			[288033] = 5, -- Seasoned Steak and Potatoes
			[288032] = 5, -- Seasoned Steak and Potatoes
			[288030] = 5, -- Seasoned Steak and Potatoes
			[259447] = 5, -- Spiced Snapper
			[259446] = 5, -- Spiced Snapper
			[259445] = 5, -- Spiced Snapper
			[259429] = 5, -- Swamp Fish 'n Chips
			[259428] = 5, -- Swamp Fish 'n Chips
			[259427] = 5, -- Swamp Fish 'n Chips
			[303788] = 5, -- Unagi Skewer
			[288029] = 5, -- Wild Berry Bread
			[288028] = 5, -- Wild Berry Bread
			[288027] = 5, -- Wild Berry Bread
			-- Legion
			[201555] = 900, -- Azshari Salad
			[201535] = 900, -- Azshari Salad
			[201506] = 900, -- Azshari Salad
			[201551] = 5, -- Barracuda Mrglgagh
			[201531] = 5, -- Barracuda Mrglgagh
			[201502] = 5, -- Barracuda Mrglgagh
			[201560] = 5, -- Bear Tartare
			[201540] = 5, -- Bear Tartare
			[201513] = 5, -- Bear Tartare
			[201685] = 5, -- Crispy Bacon
			[201684] = 5, -- Crispy Bacon
			[201683] = 5, -- Crispy Bacon
			[201545] = 5, -- Deep-Fried Mossgill
			[201525] = 5, -- Deep-Fried Mossgill
			[201496] = 5, -- Deep-Fried Mossgill
			[201559] = 5, -- Dried Mackerel Strips
			[201539] = 5, -- Dried Mackerel Strips
			[201512] = 5, -- Dried Mackerel Strips
			[201553] = 5, -- Drogbar-Style Salmon
			[201533] = 5, -- Drogbar-Style Salmon
			[201504] = 5, -- Drogbar-Style Salmon
			[201547] = 5, -- Faronaar Fizz
			[201527] = 5, -- Faronaar Fizz
			[201498] = 5, -- Faronaar Fizz
			[251258] = 5, -- Feast of the Fishes
			[201561] = 5, -- Fighter Chow
			[201541] = 5, -- Fighter Chow
			[201514] = 5, -- Fighter Chow
			[201558] = 5, -- Fishbrul Special
			[201538] = 5, -- Fishbrul Special
			[201511] = 5, -- Fishbrul Special
			[201562] = 5, -- Hearty Feast
			[201542] = 5, -- Hearty Feast
			[201515] = 5, -- Hearty Feast
			[201552] = 5, -- Koi-Scented Stormray
			[201532] = 5, -- Koi-Scented Stormray
			[201503] = 5, -- Koi-Scented Stormray
			[201563] = 5, -- Lavish Suramar Feast
			[201543] = 5, -- Lavish Suramar Feast
			[201516] = 5, -- Lavish Suramar Feast
			[201549] = 5, -- Leybeque Ribs
			[201529] = 5, -- Leybeque Ribs
			[201500] = 5, -- Leybeque Ribs
			[201556] = 107, -- Nightborne Delicacy Platter
			[201536] = 107, -- Nightborne Delicacy Platter
			[201507] = 107, -- Nightborne Delicacy Platter
			[201546] = 5, -- Pickled Stormray
			[201526] = 5, -- Pickled Stormray
			[201497] = 5, -- Pickled Stormray
			[201544] = 5, -- Salt and Pepper Shank
			[201524] = 5, -- Salt and Pepper Shank
			[201413] = 5, -- Salt and Pepper Shank
			[201557] = 5, -- Seed-Battered Fish Plate
			[201537] = 5, -- Seed-Battered Fish Plate
			[201508] = 5, -- Seed-Battered Fish Plate
			[230046] = 5, -- Spiced Falcosaur Omelet
			[201548] = 5, -- Spiced Rib Roast
			[201528] = 5, -- Spiced Rib Roast
			[201499] = 5, -- Spiced Rib Roast
			[201550] = 5, -- Suramar Surf and Turf
			[201530] = 5, -- Suramar Surf and Turf
			[201501] = 5, -- Suramar Surf and Turf
			[201554] = 5, -- The Hungry Magister
			[201534] = 5, -- The Hungry Magister
			[201505] = 5, -- The Hungry Magister
			-- Draenor
			[173978] = 5, -- Feast of Blood
			[173979] = 5, -- Feast of the Waters
			[160986] = 5, -- Blackrock Barbecue
			[160999] = 5, -- Calamari Crepes
			[160987] = 5, -- Frosty Stew
			[161000] = 5, -- Gorgrond Chowder
			[160989] = 5, -- Sleeper Surprise
			[160984] = 5, -- Talador Surf and Turf
			[160962] = 5, -- Blackrock Ham
			[160968] = 5, -- Braised Riverbeast
			[160971] = 5, -- Clefthoof Sausages
			[160981] = 5, -- Fat Sleeper Cakes
			[160982] = 5, -- Fiery Calamari
			[160978] = 5, -- Grilled Gulper
			[160958] = 5, -- Hearty Elekk Steak
			[160966] = 5, -- Pan-Seared Talbuk
			[160969] = 5, -- Rylak Crepes
			[160983] = 5, -- Skulker Chowder
			[160973] = 5, -- Steamed Scorpion
			[160979] = 5, -- Sturgeon Stew
			[161002] = 5, -- Grilled Saberfish
			[161001] = 5, -- Saberfish Broth
			[180761] = 5, -- Buttered Sturgeon
			[190788] = 5, -- Fel Eggs and Ham
			[180759] = 5, -- Jumbo Sea Dog
			[180758] = 5, -- Pickled Eel
			[180757] = 5, -- Salty Squid Roll
			[180762] = 5, -- Sleeper Sushi
			[180760] = 5, -- Whiptail Fillet
			-- Pandaria
			[126655] = 282, -- Banana Infused Rum
			[125602] = 282, -- Banquet of the Brew
			[125141] = 5, -- Banquet of the Grill
			[125600] = 5, -- Banquet of the Oven
			[125596] = 5, -- Banquet of the Pot
			[125598] = 5, -- Banquet of the Steamer
			[125594] = 5, -- Banquet of the Wok
			[104300] = 5, -- Black Pepper Ribs and Shrimp
			[104312] = 5, -- Chun Tian Spring Rolls
			[145061] = 5, -- Deluxe Noodle Cart Kit
			[145309] = 5, -- Farmer's Delight
			[145311] = 5, -- Fluffy Silkfeather Omelet
			[126654] = 282, -- Four Senses Brew
			[125603] = 282, -- Great Banquet of the Brew
			[125142] = 5, -- Great Banquet of the Grill
			[125601] = 5, -- Great Banquet of the Oven
			[125597] = 5, -- Great Banquet of the Pot
			[125599] = 5, -- Great Banquet of the Steamer
			[125595] = 5, -- Great Banquet of the Wok
			[105194] = 5, -- Great Pandaren Banquet
			[124054] = 282, -- Mad Brewer's Breakfast
			[145308] = 281, -- Mango Ice
			[104306] = 5, -- Mogu Fish Stew
			[145038] = 5, -- Noodle Cart Kit
			[105190] = 5, -- Pandaren Banquet
			[145062] = 5, -- Pandaren Treasure Noodle Cart Kit
			[104303] = 5, -- Sea Mist Rice Noodles
			[145305] = 900, -- Seasoned Pomfruit Slices
			[145307] = 5, -- Spiced Blossom Soup
			[125120] = 5, -- Spicy Salmon
			[125123] = 5, -- Spicy Vegetable Chips
			[104309] = 5, -- Steamed Crab Surprise
			[145310] = 5, -- Stuffed Lushrooms
			[104305] = 5, -- Braised Turtle
			[104299] = 5, -- Eternal Blossom Fish
			[104308] = 5, -- Fire Spirit Salmon
			[124053] = 282, -- Jade Witch Brew
			[104311] = 5, -- Twin Fish Platter
			[104302] = 5, -- Valley Stir Fry
			[104298] = 5, -- Charbroiled Tiger Steak
			[124052] = 802, -- Ginseng Tea
			[104301] = 5, -- Sauteed Carrots
			[104307] = 5, -- Shrimp Dumplings
			[104304] = 5, -- Swirling Mist Soup
			[104310] = 5, -- Wildfowl Roast
			[124032] = 5, -- Krasarang Fritters
			[125122] = 5, -- Rice Pudding
			[124029] = 5, -- Viseclaw Soup
			[124233] = 5, -- Blanched Needle Mushrooms
			[124228] = 5, -- Boiled Silkworm Pupa
			[124227] = 107, -- Dried Needle Mushrooms
			[124226] = 107, -- Dried Peaches
			[104297] = 5, -- Fish Cake
			[104237] = 5, -- Golden Carp Consomme
			[124231] = 5, -- Green Curry Fish
			[124232] = 5, -- Peach Pie
			[125080] = 282, -- Pearl Milk Tea
			[125067] = 5, -- Perfectly Cooked Instant Noodles
			[124223] = 5, -- Pounded Rice Cake
			[124229] = 5, -- Red Bean Bun
			[125078] = 5, -- Roasted Barley Tea
			[124234] = 5, -- Skewered Peanut Chicken
			[125117] = 900, -- Sliced Peaches
			[124230] = 107, -- Tangy Yogurt
			[124225] = 5, -- Toasted Fish Jerky
			[125121] = 5, -- Wildfowl Ginseng Soup
			[124224] = 107, -- Yak Cheese Curds
			-- Cataclysm
			[88011] = 5, -- Broiled Dragon Feast
			[88019] = 5, -- Fortune Cookie
			[88036] = 5, -- Seafood Magnifique Feast
			[88044] = 5, -- South Island Iced Tea
			[88003] = 5, -- Baked Rockfish
			[88004] = 5, -- Basilisk Liverdog
			[88005] = 5, -- Beer-Basted Crocolisk
			[88034] = 5, -- Blackbelly Sushi
			[88014] = 5, -- Crocolisk Au Gratin
			[88016] = 5, -- Delicious Sagefish Tail
			[88020] = 5, -- Grilled Dragon
			[88025] = 5, -- Lavascale Minestrone
			[88031] = 5, -- Mushroom Sauce Mudfish
			[88039] = 5, -- Severed Sagefish Head
			[88042] = 5, -- Skewered Eel
			[88013] = 5, -- Chocolate Cookie
			[88018] = 5, -- Fish Fry
			[96133] = 5, -- Scalding Murglesnout
			[88021] = 5, -- Hearty Seafood Soup
			[88033] = 5, -- Pickled Guppy
			[88046] = 5, -- Tender Baked Turtle
			[88012] = 5, -- Broiled Mountain Trout
			[88024] = 5, -- Lavascale Fillet
			[88028] = 5, -- Lightly Fried Lurker
			[88030] = 5, -- Lurker Lunch
			[88035] = 5, -- Salted Eye
			[88037] = 5, -- Seasoned Crab
			[88047] = 5, -- Whitecrest Gumbo
			[88022] = 282, -- Highland Spirits
			[88045] = 282, -- Starfire Espresso
			[88017] = 5, -- Feathered Lure
			[88006] = 5, -- Blackened Surprise
			[88015] = 5, -- Darkbrew Lager
			-- Northrend
			[57423] = 5, -- Fish Feast
			[58528] = 5, -- Small Feast
			[58527] = 5, -- Gigantic Feast
			[57441] = 5, -- Blackened Dragonfin
			[57438] = 5, -- Blackened Worg Steak
			[57435] = 5, -- Critter Bites
			[57439] = 5, -- Cuttlesteak
			[57442] = 5, -- Dragonfin Filet
			[45568] = 5, -- Firecracker Salmon
			[57436] = 5, -- Hearty Rhino
			[45570] = 5, -- Imperial Manta Steak
			[45555] = 5, -- Mega Mammoth Meal
			[45559] = 5, -- Mighty Rhino Dogs
			[45567] = 5, -- Poached Northern Sculpin
			[57434] = 5, -- Rhinolicious Wormsteak
			[57437] = 5, -- Snapper Extreme
			[57440] = 5, -- Spiced Mammoth Treats
			[45557] = 5, -- Spiced Worm Burger
			[45571] = 5, -- Spicy Blue Nettlefish
			[57433] = 5, -- Spicy Fried Herring
			[45556] = 5, -- Tender Shoveltusk Steak
			[57443] = 5, -- Tracker Snacks
			[45558] = 5, -- Very Burnt Worg
			[64358] = 282, -- Black Jelly
			[62350] = 5, -- Worg Tartare
			[45554] = 5, -- Great Feast
			[45569] = 5, -- Baked Manta Ray
			[58065] = 5, -- Dalaran Clam Chowder
			[45563] = 5, -- Grilled Sculpin
			[45549] = 5, -- Mammoth Meal
			[45566] = 5, -- Pickled Fangtooth
			[45565] = 5, -- Poached Nettlefish
			[45553] = 5, -- Rhino Dogs
			[45552] = 5, -- Roasted Worg
			[45550] = 5, -- Shoveltusk Steak
			[45564] = 5, -- Smoked Salmon
			[45551] = 5, -- Worm Delight
			[53056] = 281, -- Kungaloosh
			[58523] = 5, -- Bad Clams
			[45561] = 5, -- Grilled Bonescale
			[58525] = 5, -- Haunted Herring
			[58521] = 5, -- Last Week's Mammoth
			[57421] = 5, -- Northern Stew
			[45562] = 5, -- Sauteed Goby
			[45560] = 5, -- Smoked Rockfin
			[58512] = 5, -- Tasty Cupcake
			-- Outland
			[42302] = 5, -- Fisherman's Feast
			[42305] = 5, -- Hot Buttered Trout
			[33296] = 5, -- Spicy Crawdad
			[38868] = 5, -- Crunchy Serpent
			[38867] = 5, -- Mok'Nathal Shortribs
			[33295] = 5, -- Golden Fish Sticks
			[43772] = 5, -- Kibler's Bits
			[33287] = 5, -- Roasted Clefthoof
			[33289] = 5, -- Talbuk Steak
			[33288] = 5, -- Warp Burger
			[33293] = 5, -- Grilled Mudfish
			[33294] = 5, -- Poached Bluefish
			[33286] = 5, -- Blackened Basilisk
			[43707] = 5, -- Skullfish Soup
			[43765] = 5, -- Spicy Hot Talbuk
			[42296] = 5, -- Stewed Trout
			[33292] = 5, -- Blackened Sporefish
			[33290] = 5, -- Blackened Trout
			[43761] = 5, -- Broiled Bloodfin
			[33279] = 5, -- Buzzard Bites
			[36210] = 5, -- Clam Bar
			[33291] = 5, -- Feltail Delight
			[33284] = 5, -- Ravager Dog
			[43758] = 5, -- Stormchops
			-- Classic
			[18247] = 5, -- Baked Salmon
			[25659] = 5, -- Dirge's Kickin' Chimaerok Chops
			[45022] = 282, -- Hot Apple Cider
			[18245] = 5, -- Lobster Stew
			[18246] = 5, -- Mightfish Steak
			[22761] = 5, -- Runn Tum Tuber Surprise
			[24801] = 5, -- Smoked Desert Dumplings
			[62051] = 5, -- Candied Sweet Potato
			[66034] = 5, -- Candied Sweet Potato
			[18242] = 5, -- Hot Smoked Bass
			[46684] = 5, -- Charred Bear Kabobs
			[46688] = 5, -- Juicy Bear Burger
			[18243] = 5, -- Nightfin Soup
			[18244] = 5, -- Poached Sunscale Salmon
			[64054] = 5, -- Clamlette Magnifique
			[18239] = 5, -- Cooked Glossy Mightfish
			[18241] = 5, -- Filet of Redgill
			[15933] = 5, -- Monster Omelet
			[15915] = 5, -- Spiced Chili Crab
			[22480] = 5, -- Tender Wolf Steak
			[20626] = 5, -- Undermine Clam Chowder
			[185705] = 5, -- Fancy Darkmoon Feast
			[18240] = 5, -- Grilled Squid
			[18238] = 5, -- Spotted Yellowtail
			[15906] = 5, -- Dragonbreath Chili
			[15910] = 5, -- Heavy Kodo Stew
			[15863] = 5, -- Carrion Surprise
			[7213] = 5, -- Giant Clam Scorcho
			[15856] = 5, -- Hot Wolf Ribs
			[15861] = 5, -- Jungle Stew
			[20916] = 5, -- Mithril Head Trout
			[15865] = 5, -- Mystery Stew
			[15855] = 5, -- Roast Raptor
			[25954] = 5, -- Sagefish Delight
			[62049] = 321, -- Cranberry Chutney
			[66035] = 321, -- Cranberry Chutney
			[62045] = 5, -- Slow-Roasted Turkey
			[66037] = 5, -- Slow-Roasted Turkey
			[21175] = 5, -- Spider Sausage
			[7828] = 5, -- Rockscale Cod
			[4094] = 5, -- Barbecued Buzzard Wing
			[3400] = 5, -- Soothing Turtle Bisque
			[3398] = 5, -- Hot Lion Chops
			[13028] = 802, -- Goldthorn Tea
			[3376] = 5, -- Curiously Tasty Omelet
			[15853] = 5, -- Lean Wolf Steak
			[3373] = 5, -- Crocolisk Gumbo
			[24418] = 5, -- Heavy Crocolisk Stew
			[3399] = 5, -- Tasty Lion Steak
			[3377] = 5, -- Gooey Spider Cake
			[6419] = 5, -- Lean Venison
			[62044] = 5, -- Pumpkin Pie
			[66036] = 5, -- Pumpkin Pie
			[7755] = 5, -- Bristle Whisker Catfish
			[6418] = 5, -- Crispy Lizard Tail
			[2549] = 5, -- Seasoned Wolf Kabob
			[2547] = 5, -- Redridge Goulash
			[6501] = 5, -- Clam Chowder
			[6417] = 5, -- Dig Rat Stew
			[3372] = 5, -- Murloc Fin Soup
			[2548] = 5, -- Succulent Pork Ribs
			[6500] = 5, -- Goblin Deviled Clams
			[347176] = 5, -- Extra Sugary Fish Feast
			[185708] = 5, -- Sugar-Crusted Fish Feast
			[2545] = 5, -- Cooked Crab Claw
			[8238] = 5, -- Savory Deviate Delight
			[3370] = 5, -- Crocolisk Steak
			[25704] = 5, -- Smoked Sagefish
			[2543] = 5, -- Westfall Stew
			[3371] = 5, -- Blood Sausage
			[28267] = 5, -- Crunchy Spider Surprise
			[9513] = 802, -- Thistle Tea
			[45695] = 282, -- Captain Rumsey's Lager
			[33278] = 5, -- Bat Bites
			[2542] = 5, -- Goretusk Liver Pie
			[7754] = 5, -- Loch Frenzy Delight
			[7753] = 5, -- Longjaw Mud Snapper
			[7827] = 5, -- Rainbow Fin Albacore
			[6416] = 5, -- Strider Stew
			[62050] = 107, -- Spice Bread Stuffing
			[66038] = 107, -- Spice Bread Stuffing
			[2546] = 5, -- Dry Pork Ribs
			[8607] = 5, -- Smoked Bear Meat
			[2544] = 5, -- Crab Cake
			[6414] = 5, -- Roasted Kodo Meat
			[21144] = 5, -- Winter Veil Egg Nog
			[2795] = 5, -- Beer Basted Boar Ribs
			[6413] = 5, -- Scorpid Surprise
			[6499] = 5, -- Boiled Clams
			[2541] = 5, -- Coyote Steak
			[6415] = 5, -- Fillet of Frenzy
			[185704] = 5, -- Lemon Herb Filet
			[43779] = 5, -- Delicious Chocolate Cake
			[7751] = 5, -- Brilliant Smallfish
			[2538] = 5, -- Charred Wolf Meat
			[15935] = 5, -- Crispy Bat Wing
			[21143] = 5, -- Gingerbread Cookie
			[8604] = 5, -- Herb Baked Egg
			[33276] = 5, -- Lynx Steak
			[2540] = 5, -- Roasted Boar Meat
			[33277] = 5, -- Roasted Moongraze Tenderloin
			[7752] = 5, -- Slitherskin Mackerel
			[93741] = 5, -- Venison Jerky
			[65454] = 5, -- Bread of the Dead
			[347509] = 5, -- Extra Fancy Darkmoon Feast
			[6412] = 5, -- Kaldorei Spider Kabob
			[2539] = 5, -- Spiced Wolf Meat
			[347457] = 5, -- Extra Lemony Herb Filet
			[3397] = 5, -- Big Bear Steak
			[37836] = 5, -- Spice Bread

			--! Archaeology
			[113993] = 114, -- Anatomical Dummy
			[168305] = 114, -- Ancestral Talisman
			[98560] = 114, -- Ancient Amber
			[172466] = 114, -- Ancient Frostwolf Fang
			[172460] = 114, -- Ancient Nest Guardian
			[90452] = 114, -- Ancient Shark Jaws
			[90853] = 114, -- Anklet with Golden Bells
			[168328] = 114, -- Apexis Crystal
			[168329] = 114, -- Apexis Hieroglyph
			[168330] = 114, -- Apexis Scroll
			[113977] = 114, -- Apothecary Tins
			[78670] = 114, -- Archaeology
			[89721] = 114, -- Archaeology
			[110393] = 114, -- Archaeology
			[88961] = 114, -- Archaeology
			[89718] = 114, -- Archaeology
			[278910] = 114, -- Archaeology
			[89719] = 114, -- Archaeology
			[89720] = 114, -- Archaeology
			[89722] = 114, -- Archaeology
			[158762] = 114, -- Archaeology
			[195127] = 114, -- Archaeology
			[90983] = 114, -- Arrival of the Naaru
			[90429] = 114, -- Atal'ai Scepter
			[168301] = 114, -- Barbed Fishing Hook
			[90968] = 114, -- Baroque Sword Scabbard
			[168331] = 114, -- Beakbreaker of Terokk
			[88930] = 114, -- Beautiful Preserved Fern
			[88910] = 114, -- Belt Buckle with Anvilmar Crest
			[88929] = 114, -- Black Trilobite
			[168298] = 114, -- Blackrock Razor
			[91214] = 114, -- Blessing of the Old God
			[90411] = 114, -- Bodacious Door Knocker
			[86866] = 114, -- Bone Gaming Dice
			[91761] = 114, -- Bones of Transformation
			[90412] = 114, -- Boot Heel with Scrollwork
			[90421] = 114, -- Bracelet of Jade and Coins
			[168322] = 114, -- Burial Urn
			[168302] = 114, -- Calcified Eye In a Jar
			[91790] = 114, -- Canopic Jar
			[91762] = 114, -- Carcanet of the Hundred Magi
			[113975] = 114, -- Carved Bronze Mirror
			[90860] = 114, -- Carved Harp of Exotic Wood
			[91775] = 114, -- Castle of Sand
			[91779] = 114, -- Cat Statue with Emerald Eyes
			[86864] = 114, -- Ceramic Funeral Urn
			[168303] = 114, -- Ceremonial Tattoo Needles
			[90553] = 114, -- Chalice of the Mountain Kings
			[90610] = 114, -- Chest of Tiny Glass Animals
			[89891] = 114, -- Cinnabar Bijou
			[89696] = 114, -- Cloak Clasp with Antlers
			[90521] = 114, -- Clockwork Gnome
			[89893] = 114, -- Coin from Eldre'Thalas
			[90611] = 114, -- Cracked Crystal Vial
			[168304] = 114, -- Cracked Ivory Idol
			[113983] = 114, -- Cracked Mogu Runestone
			[92137] = 114, -- Crawling Claw
			[168323] = 114, -- Decree Scrolls
			[90458] = 114, -- Delicate Music Box
			[90504] = 114, -- Dented Shield of Horuz Killcrow
			[90432] = 114, -- Devilsaur Tooth
			[90975] = 114, -- Dignified Portrait
			[168308] = 114, -- Doomsday Prophecy
			[90581] = 114, -- Drakkari Sacrificial Knife
			[168321] = 114, -- Dreamcatcher
			[196478] = 114, -- Drogbar Gem-Roller
			[90493] = 114, -- Druid and Priest Statue Set
			[93440] = 114, -- Dwarven Baby Socks
			[113987] = 114, -- Edicts of the Thunder King
			[89890] = 114, -- Eerie Smolderthorn Idol
			[168297] = 114, -- Elemental Bellows
			[113974] = 114, -- Empty Keg of Brewfather Xin Wo Yin
			[91785] = 114, -- Engraved Scimitar Hilt
			[91209] = 114, -- Ewer of Jormungar Blood
			[98533] = 114, -- Extinct Turtle Shell
			[168315] = 114, -- Eye of Har'gunn the Blind
			[168290] = 114, -- Fang-Scarred Frostwolf Axe
			[91014] = 114, -- Fanged Cloak Pin
			[89711] = 114, -- Feathered Gold Earring
			[90617] = 114, -- Feathered Raptor Arm
			[88907] = 114, -- Fetish of Hir'eek
			[90831] = 114, -- Fiendish Whip
			[90734] = 114, -- Fierce Wolf Figurine
			[93444] = 114, -- Fine Bloodscalp Dinnerware
			[90974] = 114, -- Fine Crystal Candelabra
			[168306] = 114, -- Flask of Blazegrease
			[196481] = 114, -- Flayed-Skin Chronicle
			[91012] = 114, -- Flint Striker
			[89693] = 114, -- Fossilized Hatchling
			[90619] = 114, -- Fossilized Raptor
			[168291] = 114, -- Frostwolf Ancestry Scrimshaw
			[90423] = 114, -- Gahz'rilla Figurine
			[168313] = 114, -- Gladiator's Shield
			[113976] = 114, -- Gold-Inlaid Porcelain Funerary Figurine
			[90413] = 114, -- Golden Chamber Pot
			[90728] = 114, -- Gray Candle Stub
			[89896] = 114, -- Green Dragon Ring
			[168307] = 114, -- Gronn-Tooth Necklace
			[91191] = 114, -- Gruesome Heart Box
			[90453] = 114, -- Hairpin of Silver and Malachite
			[196477] = 114, -- Hand-Smoothed Pyrestone
			[98556] = 114, -- Haunted War Drum
			[90843] = 114, -- Headdress of the First Shaman
			[172459] = 114, -- Headdress of the First Shaman
			[89009] = 114, -- Highborne Pyxis
			[90464] = 114, -- Highborne Soul Mirror
			[168300] = 114, -- Hooked Dagger
			[196484] = 114, -- Houndstooth Hauberk
			[196480] = 114, -- Imp's Cup
			[168318] = 114, -- Imperial Decree Stele
			[91132] = 114, -- Imprint of a Kraken Tentacle
			[196471] = 114, -- Inert Leystone Charm
			[91188] = 114, -- Infested Ruby Ring
			[89012] = 114, -- Inlaid Ivory Comb
			[90433] = 114, -- Insect in Amber
			[90988] = 114, -- Intricate Treasure Chest Key
			[113988] = 114, -- Iron Amulet
			[90419] = 114, -- Ironstar's Petrified Shield
			[89701] = 114, -- Jade Asp with Ruby Eyes
			[90451] = 114, -- Kaldorei Amphora
			[90614] = 114, -- Kaldorei Wind Chimes
			[88908] = 114, -- Lizard Foot Charm
			[196482] = 114, -- Malformed Abyssal
			[113982] = 114, -- Manacles of Rebellion
			[90720] = 114, -- Maul of Stone Guard Mur'og
			[168296] = 114, -- Metalworker's Hammer
			[90518] = 114, -- Mithril Chain of Angerforge
			[113990] = 114, -- Mogu Coin
			[89717] = 114, -- Moltenfist's Jeweled Goblet
			[196476] = 114, -- Moosebone Fish-Hook
			[168314] = 114, -- Mortar and Pestle
			[93441] = 114, -- Necklace with Elune Pendant
			[90997] = 114, -- Nifflevar Bearded Axe
			[196474] = 114, -- Nobleman's Letter Opener
			[90410] = 114, -- Notched Sword of Tunadil the Redeemer
			[168311] = 114, -- Ogre Figurine
			[196483] = 114, -- Orb of Inner Chaos
			[168327] = 114, -- Outcast Dreamcatcher
			[113971] = 114, -- Pandaren Game Board
			[113968] = 114, -- Pandaren Tea Set
			[113978] = 114, -- Pearl of Yu'lon
			[92145] = 114, -- Pendant of the Scarab Storm
			[113985] = 114, -- Petrified Bone Whip
			[86857] = 114, -- Pewter Drinking Cup
			[168312] = 114, -- Pictogram Carving
			[91793] = 114, -- Pipe of Franclorn Forgewright
			[90987] = 114, -- Plated Elekk Goad
			[196473] = 114, -- Pre-War Highborne Tapestry
			[91089] = 114, -- Proto-Drake Skeleton
			[98582] = 114, -- Pterrordax Hatchling
			[91215] = 114, -- Puzzle Box of Yogg-Saron
			[90616] = 114, -- Queen Azshara's Dressing Gown
			[196472] = 114, -- Quietwine Vial
			[113992] = 114, -- Quilen Statuette
			[92168] = 114, -- Ring of the Boy Emperor
			[90730] = 114, -- Rusted Steak Knife
			[168317] = 114, -- Rylak Riding Harness
			[89014] = 114, -- Scandalous Silk Nightgown
			[92148] = 114, -- Scepter of Azj'Aqir
			[91225] = 114, -- Scepter of Bronzebeard
			[90509] = 114, -- Scepter of Charlga Razorflank
			[90732] = 114, -- Scepter of Nekros Skullcrusher
			[91170] = 114, -- Scepter of Nezar'Azret
			[90864] = 114, -- Scepter of the Nathrezim
			[90612] = 114, -- Scepter of Xavius
			[92163] = 114, -- Scimitar of the Sirocco
			[90506] = 114, -- Scorched Staff of Shadow Priest Anund
			[91008] = 114, -- Scramseax
			[168294] = 114, -- Screaming Bullroarer
			[73979] = 114, -- Searching for Artifacts
			[93442] = 114, -- Shard of Petrified Wood
			[89894] = 114, -- Shattered Glaive
			[91219] = 114, -- Silver Kris of Korl
			[88181] = 114, -- Silver Neck Torc
			[91766] = 114, -- Silver Scroll Case
			[91197] = 114, -- Six-Clawed Cornice
			[91792] = 114, -- Sketch of a Desert Palace
			[90833] = 114, -- Skull Drinking Cup
			[90519] = 114, -- Skull Staff of Shadowforge
			[90420] = 114, -- Skull-Shaped Planter
			[91780] = 114, -- Soapstone Scarab Necklace
			[168324] = 114, -- Solar Orb
			[168319] = 114, -- Sorcerer-King Toe Ring
			[113981] = 114, -- Spear of Xuen
			[91133] = 114, -- Spidery Sundial
			[91223] = 114, -- Spiked Gauntlets of Anvilrage
			[92139] = 114, -- Staff of Ammunae
			[91227] = 114, -- Staff of Sorcerer-Thane Thaurissan
			[113979] = 114, -- Standard of Niuzao
			[168316] = 114, -- Stone Dentures
			[88180] = 114, -- Stone Gryphon
			[168310] = 114, -- Stone Manacles
			[168309] = 114, -- Stonemaul Succession Stone
			[196479] = 114, -- Stonewood Bow
			[90861] = 114, -- Strange Silver Paperweight
			[93443] = 114, -- Strange Velvet Worm
			[90609] = 114, -- String of Small Pink Pearls
			[168325] = 114, -- Sundial
			[80451] = 114, -- Survey
			[168326] = 114, -- Talonpriest Mask
			[113984] = 114, -- Terracotta Arm
			[91226] = 114, -- The Innkeeper's Daughter
			[90984] = 114, -- The Last Relic of Argus
			[91084] = 114, -- Thorned Necklace
			[113986] = 114, -- Thunder King Insignia
			[90832] = 114, -- Tile of Glazed Clay
			[90622] = 114, -- Tiny Bronze Scorpion
			[91782] = 114, -- Tiny Oasis Mosaic
			[90558] = 114, -- Tooth with Gold Filling
			[74268] = 114, -- Track Archaeology Chests
			[196475] = 114, -- Trailhead Drum
			[113972] = 114, -- Twin Stein Set of Brewfather Quan Tou Kuo
			[89895] = 114, -- Twisted Ammonite Shell
			[91757] = 114, -- Tyrande's Favorite Doll
			[91769] = 114, -- Umbra Crescent
			[113980] = 114, -- Umbrella of Chi-Ji
			[90618] = 114, -- Vicious Ancient Fish
			[196470] = 114, -- Violetglass Vessel
			[91211] = 114, -- Vizier's Scrawled Streamer
			[98588] = 114, -- Voodoo Figurine
			[98569] = 114, -- Vrykyl Drinking Horn
			[113973] = 114, -- Walking Cane of Brewfather Ren Yun
			[113989] = 114, -- Warlord's Branding Iron
			[91221] = 114, -- Warmaul of Burningeye
			[168320] = 114, -- Warmaul of the Warmaul Chieftain
			[168293] = 114, -- Warsinger's Drums
			[168295] = 114, -- Warsong Ceremonial Pike
			[168299] = 114, -- Weighted Chopping Axe
			[90415] = 114, -- Winged Helm of Corehammer
			[91773] = 114, -- Wisp Amulet
			[168292] = 114, -- Wolfskin Snowshoes
			[88909] = 114, -- Wooden Whistle
			[91224] = 114, -- Word of Empress Zoe
			[86865] = 114, -- Worn Hunting Knife
			[113991] = 114, -- Worn Monument Ledger
			[88262] = 114, -- Zandalari Voodoo Doll
			[90608] = 114, -- Zin'rokh, Destroyer of Worlds

			-- Relic of the Past
			[330173] = 818, -- Relic of the Past V
			[330236] = 818, -- Relic of the Past V
			[330231] = 818, -- Relic of the Past V
			[330148] = 818, -- Relic of the Past V
			[330241] = 818, -- Relic of the Past V
			[330158] = 818, -- Relic of the Past V
			[330143] = 818, -- Relic of the Past V
			[330261] = 818, -- Relic of the Past V
			[330163] = 818, -- Relic of the Past V
			[330221] = 818, -- Relic of the Past V
			[330210] = 818, -- Relic of the Past V
			[330190] = 818, -- Relic of the Past V
			[330168] = 818, -- Relic of the Past V
			[330215] = 818, -- Relic of the Past V
			[330178] = 818, -- Relic of the Past V
			[330256] = 818, -- Relic of the Past V
			[330205] = 818, -- Relic of the Past V
			[330200] = 818, -- Relic of the Past V
			[330246] = 818, -- Relic of the Past V
			[330195] = 818, -- Relic of the Past V
			[330251] = 818, -- Relic of the Past V
			[330153] = 818, -- Relic of the Past V
			[330226] = 818, -- Relic of the Past V
			[330185] = 818, -- Relic of the Past V
			[330260] = 813, -- Relic of the Past IV
			[330245] = 813, -- Relic of the Past IV
			[330147] = 813, -- Relic of the Past IV
			[330209] = 813, -- Relic of the Past IV
			[330167] = 813, -- Relic of the Past IV
			[330250] = 813, -- Relic of the Past IV
			[330220] = 813, -- Relic of the Past IV
			[330177] = 813, -- Relic of the Past IV
			[330235] = 813, -- Relic of the Past IV
			[330152] = 813, -- Relic of the Past IV
			[330199] = 813, -- Relic of the Past IV
			[330214] = 813, -- Relic of the Past IV
			[330255] = 813, -- Relic of the Past IV
			[330204] = 813, -- Relic of the Past IV
			[330194] = 813, -- Relic of the Past IV
			[330172] = 813, -- Relic of the Past IV
			[330189] = 813, -- Relic of the Past IV
			[330157] = 813, -- Relic of the Past IV
			[330162] = 813, -- Relic of the Past IV
			[330240] = 813, -- Relic of the Past IV
			[330230] = 813, -- Relic of the Past IV
			[330142] = 813, -- Relic of the Past IV
			[330225] = 813, -- Relic of the Past IV
			[330184] = 813, -- Relic of the Past IV
			[330259] = 815, -- Relic of the Past III
			[330146] = 815, -- Relic of the Past III
			[330219] = 815, -- Relic of the Past III
			[330239] = 815, -- Relic of the Past III
			[330203] = 815, -- Relic of the Past III
			[330254] = 815, -- Relic of the Past III
			[330188] = 815, -- Relic of the Past III
			[330156] = 815, -- Relic of the Past III
			[330234] = 815, -- Relic of the Past III
			[330213] = 815, -- Relic of the Past III
			[330171] = 815, -- Relic of the Past III
			[330208] = 815, -- Relic of the Past III
			[330176] = 815, -- Relic of the Past III
			[330166] = 815, -- Relic of the Past III
			[330161] = 815, -- Relic of the Past III
			[330141] = 815, -- Relic of the Past III
			[330244] = 815, -- Relic of the Past III
			[330198] = 815, -- Relic of the Past III
			[330193] = 815, -- Relic of the Past III
			[330249] = 815, -- Relic of the Past III
			[330151] = 815, -- Relic of the Past III
			[330229] = 815, -- Relic of the Past III
			[330224] = 815, -- Relic of the Past III
			[330183] = 815, -- Relic of the Past III
			[330197] = 130, -- Relic of the Past II
			[330258] = 130, -- Relic of the Past II
			[330170] = 130, -- Relic of the Past II
			[330207] = 130, -- Relic of the Past II
			[330202] = 130, -- Relic of the Past II
			[330212] = 130, -- Relic of the Past II
			[330192] = 130, -- Relic of the Past II
			[330238] = 130, -- Relic of the Past II
			[330187] = 130, -- Relic of the Past II
			[330233] = 130, -- Relic of the Past II
			[330248] = 130, -- Relic of the Past II
			[330175] = 130, -- Relic of the Past II
			[330253] = 130, -- Relic of the Past II
			[330145] = 130, -- Relic of the Past II
			[330228] = 130, -- Relic of the Past II
			[330165] = 130, -- Relic of the Past II
			[330243] = 130, -- Relic of the Past II
			[330155] = 130, -- Relic of the Past II
			[330160] = 130, -- Relic of the Past II
			[330150] = 130, -- Relic of the Past II
			[330140] = 130, -- Relic of the Past II
			[330218] = 130, -- Relic of the Past II
			[330181] = 130, -- Relic of the Past II
			[330223] = 130, -- Relic of the Past II
			[330232] = 133, -- Relic of the Past I
			[330242] = 133, -- Relic of the Past I
			[330206] = 133, -- Relic of the Past I
			[330252] = 133, -- Relic of the Past I
			[330149] = 133, -- Relic of the Past I
			[330227] = 133, -- Relic of the Past I
			[330196] = 133, -- Relic of the Past I
			[330247] = 133, -- Relic of the Past I
			[330159] = 133, -- Relic of the Past I
			[330186] = 133, -- Relic of the Past I
			[330154] = 133, -- Relic of the Past I
			[330191] = 133, -- Relic of the Past I
			[330134] = 133, -- Relic of the Past I
			[330211] = 133, -- Relic of the Past I
			[330201] = 133, -- Relic of the Past I
			[330174] = 133, -- Relic of the Past I
			[330164] = 133, -- Relic of the Past I
			[330169] = 133, -- Relic of the Past I
			[330216] = 133, -- Relic of the Past I
			[330144] = 133, -- Relic of the Past I
			[330257] = 133, -- Relic of the Past I
			[330237] = 133, -- Relic of the Past I
			[330180] = 133, -- Relic of the Past I
			[330222] = 133, -- Relic of the Past I
		}

		-- Icons
		ZA.Icons = {
			--§ Classes
			["DEATHKNIGHT"] = 625998,
			["DEMONHUNTER"] = 1260827,
			["DRUID"] = 625999,
			["EVOKER"] = 4574311,
			["HUNTER"] = 626000,
			["MAGE"] = 626001,
			["MONK"] = 610018,
			["PALADIN"] = 626003,
			["PRIEST"] = 626004,
			["ROGUE"] = 626005,
			["SHAMAN"] = 626006,
			["WARLOCK"] = 626007,
			["WARRIOR"] = 626008,
			
			--§ Minor
			["Administer Cure-all"] = 0,
			["Attacking"] = 0,
			["Opening"] = 0,
			["Small Talk"] = 0,
			["Pick Up"] = 0,
			["Lifting"] = 0,
			["Burn It!"] = 0,
			["Return to Entrance"] = 0,
			["Handing Over"] = 0,
			["Kicking"] = 0,
			["Pulling"] = 0,
			["Scrapping"] = 0,
			["Deposit Anima"] = 0,
			["Examine"] = 0,
			["Inspecting"] = 0,
			["Open Chest"] = 0,
			["Collecting"] = 0,
			["Unlocking"] = 0,
			["Looting"] = 0,
			["Gathering"] = 0,
			["Loot-A-Rang"] = 0,
			["Destroying"] = 0,
			["Freeing"] = 0,
			["Petting"] = 0,
			["Pet Cub"] = 0,
			["Pet"] = 0,
			["Grappling Hook"] = 0,
			["Herbalism"] = 0,
			["Herb Gathering"] = 0,
			["Skinning"] = 0,
			["Mining"] = 0,
			["Engineering"] = 0,
			["Fishing"] = 0,
			["Compressed Ocean Fishing"] = 0,
			["Survey"] = 0,
			["Create Belt"] = 0,
			["Create Bracer"] = 0,
			["Create Boots"] = 0,
			["Create Leggings"] = 0,
			["Create Curio"] = 0,
			["Create Lavalliere"] = 0,
			["A Compendium of the Herbs of Draenor"] = 0,
			["A Guide to Skinning in Draenor"] = 0,
			["A Treatise on Mining in Draenor"] = 0,
			["A Treatise on the Alchemy of Draenor"] = 0,
			["A Treatise on the Inscription of Draenor"] = 0,
			["Draenor Blacksmithing"] = 0,
			["Draenor Jewelcrafting"] = 0,
			["Draenor Leatherworking"] = 0,
			["Draenor Tailoring"] = 0,
			["Fishing Guide to Draenor"] = 0,
			["Introduction to Cooking in Draenor"] = 0,
			["Learning"] = 0,
			["Dreamwalk"] = 1396974,
			["Holographic Digitalization Hearthstone"] = 413583,
			["Empower Ashjra'kamas"] = 132886,
			["Tinkering"] = 2915722,
			["Tormenting Haunt"] = 236298,
			["Chi Torpedo"] = 607849,
			["Dance of Chi-Ji"] = 606543,
			["Door of Shadows"] = 3586270,
			["Jump to Skyhold"] = 0,
			["Dismiss Pet"] = 0,
			["Scroll of Teleport: Theater of Pain"] = "Interface/AddOns/Media_Newsom/Icons/ScrollTeleportTheaterOfPain",
			["Summoning Voidwalker"] = 136221,


			--§ Mounts
			[127156] = 648627, -- Crimson Cloud Serpent
			[103195] = 2143066, -- Mountain Horse
			[103196] = 2143065, -- Swift Mountain Horse
			[59650] = 2429951, -- Black Drake
			[107842] = 574626, -- Blazing Drake
			[107845] = 574626, -- Life-Binder's Handmaiden
			[107844] = 574626, -- Twilight Harbinger
			[59996] = 294032, -- Blue Proto-Drake


			--§ Quest
			[79450] = 237329,
			[21050] = 133942,
			[93773] = 133015,
			[77821] = 134709,
			[5316] = 132914,
			[5206] = 133849,
			[4975] = 135139,
			[4977] = 135139,
			[4978] = 135139,
			[69453] = 133841,
			[13714] = 133736,
			[14199] = 133736,
			[69743] = 133032,
			[62772] = 134719,
			[63797] = 134840,
			[65196] = 134749,
			[75192] = 135220,
			[80702] = 332402,
			[80704] = 332402,
			[70155] = 134228,
			[70458] = 133669,
			[252295] = 1112947,
			[4976] = 134776,
			[30406] = 134241,
			[230266] = 1014022,
			[22562] = 134798,
			[6610] = 134765,
			[91400] = 132814,
			[42301] = 134328,
			[42418] = 136021,
			[42425] = 132484,
			[73945] = 134326,
			[86264] = 133860,
			[79751] = 133710,
			[81515] = 134241,
			[81776] = 134243,
			[311643] = 413582,
			[154888] = 134814,
			[156087] = 133733,
			[262446] = 237031,
			[323973] = 3528286,
			[323978] = 3528286,
			[323980] = 3528286,
			[329075] = 3221443,
			[329328] = 3528278,
			[320109] = 0,
			[251746] = 1624586,
			[308244] = 0,
			[342040] = 0,
			[180720] = 0,
			[311873] = 656240,
			[216384] = 0,
			[180713] = 0,
			[180515] = 0,
			[180463] = 0,
			[207501] = 0,
			[341826] = 0,
			[332315] = 0,
			[236262] = 0,
			[186253] = 0,
			[258303] = 0,
			[343928] = 0,
			[346490] = 0,
			[336657] = 0,
			[38439] = 134368,
			[38453] = 134341,
			[38762] = 134081,
			[311387] = 0,
			[328858] = 0,
			[307934] = 0,
			[311972] = 0,
			[318107] = 3565448,
			[327358] = 0,
			[336132] = 0,
			[321881] = 0,
			[316947] = 0,
			[331299] = 0,
			[324812] = 0,
			[335910] = 0,
			[338540] = 0,
			[321938] = 0,
			[322744] = 0,
			[339923] = 0,
			[328905] = 0,
			[341836] = 0,
			[312580] = 0,
			[325783] = 0,
			[347749] = 0,
			[312394] = 0,
			[334027] = 0,
			[341925] = 0,
			[346917] = 0,
			[347020] = 0,
			[341097] = 0,
			[347241] = 0,
			[347080] = 0,
			[180935] = 0,
			[342169] = 0,
			[193269] = 0,
			[193277] = 0,
			[193278] = 0,
			[183124] = 0,
			[203156] = 0,
			[311897] = 413582,
			[205446] = 0,
			[219181] = 0,
			[219297] = 0,
			[213293] = 0,
			[218184] = 0,
			[219448] = 0,
			[210122] = 0,
			[210123] = 0,
			[334646] = 0,
			[334629] = 0,
			[217377] = 0,
			[217458] = 0,
			[203269] = 0,
			[203802] = 0,
			[56345] = 236245,
			[54301] = 236245,
			[56562] = 135288,
			[45371] = 0,
			[45368] = 0,
			[334063] = 0,
			[343890] = 0,
			[334082] = 0,
			[324346] = 135723,
			[330012] = 0,
			[317723] = 0,
			[319035] = 1500875,
			[311705] = 413582,
			[315056] = 0,
			[335690] = 0,
			[323617] = 1056569,
			[325501] = 3528279,
			[328685] = 0,
			[72070] = 132482,
			[329453] = 0,
			[326487] = 0,
			[329193] = 0,
			[327895] = 0,
			[213297] = 651597,
			[129586] = 133837,
			[166018] = 0,
			[166459] = 0,
			[206766] = 0,
			[229086] = 0,
			[73945] = 0,
			[162225] = 0,
			[159614] = 0,
			[161549] = 0,
			[161550] = 0,
			[161551] = 0,
			[161554] = 0,
			[161557] = 0,
			[162226] = 0,
			[162235] = 0,
			[162237] = 0,
			[162240] = 0,
			[149007] = 0,
			[163381] = 134423,
			[167133] = 0,
			[167301] = 0,
			[169195] = 0,
			[172258] = 0,
			[350175] = 0,
			[350284] = 0,
			[350281] = 0,
			[351172] = 0,
			[352909] = 237476,
			[353191] = 237476,
			[354782] = 0,
			[352560] = 0,
			[346310] = 0,
			[358432] = 0,
			[353543] = 0,
			[353597] = 0,
			[353135] = 0,
			[355862] = 0,
			[352230] = 0,
			[351245] = 0,
			[352413] = 0,
			[352672] = 0,
			[352607] = 0,
			[352820] = 0,
			[168115] = 0,
			[168103] = 0,
			[312443] = 0,
			[312448] = 0,
			[324937] = 0,
			[310647] = 0,
			[310687] = 0,
			[311049] = 0,
			[312493] = 0,
			[327057] = 0,
			[307434] = 0,
			[77821] = 0,
			[78628] = 136091,
			[309369] = 0,
			[320718] = 0,
			[320728] = 0,
			[308671] = 0,
			[327914] = 0,
			[324364] = 0,
			[324359] = 0,
			[309779] = 0,
			[327844] = 0,
			[311278] = 0,
			[311682] = 0,
			[312018] = 0,
			[321313] = 0,
			[307474] = 0,
			[320559] = 0,
			[316317] = 133718,
			[191827] = 0,
			[202064] = 0,
			[319184] = 0,
			[314180] = 0,
			[201112] = 0,
			[191481] = 0,
			[192252] = 0,
			[196731] = 0,
			[196724] = 0,
			[69217] = 0,
			[76241] = 134337,
			[74654] = 0,
			[76759] = 132161,
			[193724] = 0,
			[91085] = 237030,
			[154475] = 0,
			[154485] = 0,
			[325380] = 0,
			[351910] = 0,
			[317175] = 0,
			[171204] = 135650,
			[77976] = 0,
			[78141] = 133013,
			[70155] = 134228,
			[70813] = 135638,
			[71711] = 414,
			[71225] = 0,
			[197071] = 0,
			[194402] = 0,
			[31549] = 134801,
			[346327] = 0,
			[325543] = 0,
			[181456] = 0,
			[199728] = 0,
			[340626] = 0,
			[351673] = 0,
			[312692] = 133226,
			[319782] = 0,
			[319840] = 0,
			[351895] = 0,
			[351905] = 0,
			[341726] = 0,
			[352978] = 0,
			[358113] = 0,
			[357779] = 0,
			[350208] = 0,
			[351333] = 0,
			[322332] = 0,
			[358089] = 0,
			[357319] = 3257750,
			[357307] = 3257749,
			[357301] = 3257748,
			[357299] = 3257751,
			[235570] = 0,
			[186608] = 0,
			[193017] = 0,
			[193100] = 1487017,
			[208755] = 0,
			[169758] = 0,
			[356266] = 0,
			[356593] = 0,
			[194477] = 0,
			[194479] = 0,
			[188432] = 0,
			[211546] = 136244,
			[354222] = 0,
			[356615] = 0,
			[339329] = 0,
			[353963] = 0,
			[42436] = 132795,
			[245988] = 0,
			[210219] = 236229,
			[229547] = 0,
			[191993] = 133749,
			[326640] = 0,
			[326643] = 0,
			[326664] = 0,
			[319456] = 0,
			[353650] = 3536197,
			[344016] = 0,
			[344406] = 0,
			[330485] = 0,
			[324640] = 0,
			[220045] = 0,
			[220046] = 0,
			[220047] = 0,
			[285811] = 0,
			[280522] = 0,
			[294191] = 0,
			[294176] = 0,
			[294196] = 0,
			[295058] = 0,
			[299986] = 0,
			[296749] = 0,
			[266072] = 0,
			[280594] = 0,
			[280595] = 0,
			[280593] = 0,
			[273193] = 0,
			[280310] = 2030683,
			[257831] = 0,
			[318682] = 0,
			[268335] = 1869493,
			[269702] = 1869493,
			[267647] = 1869493,
			[298611] = 1830317,
			[298609] = 1830317,
			[298606] = 1830317,
			[298607] = 1830317,
			[298601] = 3015740,
			[298603] = 3015740,
			[298604] = 3015740,
			[298605] = 3015740,
			[211159] = 134155,
			[180737] = 0,
			[223031] = 0,
			[193329] = 134229,
			[193327] = 134229,
			[193328] = 134229,
			[193330] = 134229,
			[193336] = 134229,
			[193341] = 134229,
			[193342] = 134229,
			[186745] = 135433,
			[186746] = 135433,
			[186747] = 135433,
			[186748] = 135433,
			[220442] = 0,
			[189134] = 237290,
			[182046] = 0,
			[28700] = 132858,
			[30419] = 133741,
			[30406] = 0,
			[190275] = 1305156,
			[236723] = 0,
			[169503] = 0,
			[165551] = 0,
			[271196] = 1794517,
			[361223] = 0,
			[350208] = 0,
			[361481] = 0,
			[359944] = 4038104,
			[366402] = 0,
			[363254] = 0,
			[207533] = 135734,
			[362453] = 0,
			[368633] = 0,
			[362196] = 0,
			[367027] = 0,
			[367031] = 0,
			[367030] = 0,
			[367032] = 0,
			[365598] = 0,
			[361181] = 0,
			[359543] = 0,
			[359575] = 0,
			[359708] = 0,
			[359626] = 0,
			[361416] = 0,
			[361468] = 0,
			[361647] = 0,
			[361827] = 0,
			[361728] = 0,
			[361814] = 0,
			[361821] = 0,
			[361830] = 0,
			[361836] = 0,
			[366136] = 0,
			[359453] = 0,
			[356248] = 0,
			[359658] = 0,
			[359657] = 0,
			[365737] = 0,
			[361493] = 0,
			[365741] = 0,
			[365753] = 0,
			[365755] = 0,
			[365757] = 0,
			[365782] = 0,
			[365787] = 0,
			[365792] = 0,
			[363374] = 135627,
			[360208] = 0,
			[360204] = 0,
			[366956] = 0,
			[360205] = 0,
			[361386] = 0,
			[360283] = 0,
			[359037] = 133015,
			[359132] = 0,
			[362166] = 0,
			[360777] = 0,
			[364871] = 133015,
			[365614] = 512902,
			[361979] = 0,
			[364301] = 0,
			[364213] = 0,
			[359128] = 0,
			[361753] = 0,
			[363120] = 0,
			[47939] = 0,
			[66795] = 0,
			[324054] = 0,
			[344490] = 0,
			[361898] = 0,
			["Locus Shift"] = 0,
			[367894] = 0,
			[361272] = 0,
			[365986] = 0,
			[356277] = 0,
			[320140] = 0,
			[363307] = 0,
			[337624] = 0,
			[312977] = 0,
			[321129] = 0,
			[321587] = 0,
			[336010] = 0,
			[334890] = 0,
			[338670] = 0,
			[330596] = 2101982,
			[324126] = 0,
			[323876] = 0,
			[288097] = 0,
			[314080] = 135660,
			[328582] = 0,
			[332371] = 0,
			[327406] = 0,
			[368788] = 413582,
			[368518] = 0,
			[349172] = 0,
			[349180] = 0,
			[349190] = 0,
			[349396] = 0,
			[245757] = 0,
			[250081] = 0,
			[290880] = 0,
			[291234] = 0,
			[359706] = 0,
			[101054] = 0,
			[362933] = 0,
			[345276] = 0, -- Releasing Souls
			[345277] = 0, -- Releasing Souls
			[345278] = 0, -- Releasing Souls
			[348836] = 0, -- Releasing Souls
			[348837] = 0, -- Releasing Souls
			[348838] = 0, -- Releasing Souls
			[348839] = 0, -- Releasing Souls
			[348840] = 0, -- Releasing Souls
			[348841] = 0, -- Releasing Souls
			[348842] = 0, -- Releasing Souls
			[348843] = 0, -- Releasing Souls
			[348844] = 0, -- Releasing Souls
			[348845] = 0, -- Releasing Souls
			[348846] = 0, -- Releasing Souls
			[348847] = 0, -- Releasing Souls
			[348848] = 0, -- Releasing Souls
			[367488] = 0,
			[253830] = 0, -- Calling Battlesuit
			[253936] = 0, -- Calling Battlesuit
			[208171] = 0,
			[217648] = 0,
			[184693] = 0,
			[180247] = 0,
			[207158] = 0,
			[302018] = 0,
			[312098] = 0,
			[266256] = 0,
			[266245] = 0,
			[266252] = 0,
			[266253] = 0,
			[266257] = 0,
			[342780] = 3453807,
			[66778] = 0,
			[123545] = 0,
			[123602] = 0,
			[123542] = 0,
			[123729] = 0,
			[293884] = 0,
			[290695] = 0,
			[53061] = 132281,
			[53173] = 134228,
			[77314] = 134424,
			[80101] = 308321,
			[80199] = 308321,
			[371323] = 132793,
			[6609] = 134721,
			[10617] = 132502,
			[184227] = 0,
			[160430] = 0,
			[26566] = 0,
			[31614] = 0,
			[35730] = 0,
			[25649] = 0,
			[167948] = 0,
			[342222] = 0,
			[343833] = 0,
			[347226] = 0,
			[337100] = 0,
			[337276] = 0,
			[316868] = 0,
			[350637] = 0,
			[321450] = 0,
			[356547] = 0,
			[359493] = 0,
			[81515] = 0,
			[81776] = 0,
			[314497] = 133718,
			[76724] = 134814,
			[338745] = 0,
			[80887] = 0,
			[95958] = 0,
			[310202] = 0,
			[77819] = 0,
			[264918] = 0,
			[371089] = 0,
			["Nozdormu Arrives"] = 4630462,
			--qqi


			--§ Toys
			[288601] = 237387,
			[247129] = 1064187,
			[247191] = 237388,
			[247212] = 237388,


			--§ Teleports
			[49844] = 1786409, -- Direbrew's Remote
			[50977] = "Interface/AddOns/Media_Newsom/Icons/DeathGate", -- Death Gate
			["Death Gate:135766"] = "Interface/AddOns/Media_Newsom/Icons/DeathGate",
			[23453] = "Interface/AddOns/Media_Newsom/Icons/WormholeGadgetzan", -- Ultrasafe Transporter: Gadgetzan
			[36941] = "Interface/AddOns/Media_Newsom/Icons/WormholeToshleysStation", -- Ultrasafe Transporter: Toshley's Station
			[23442] = "Interface/AddOns/Media_Newsom/Icons/WormholeEverlook", -- Dimensional Ripper: Everlook
			[36890] = "Interface/AddOns/Media_Newsom/Icons/WormholeArea52", -- Dimensional Ripper: Area 52
			[67833] = "Interface/AddOns/Media_Newsom/Icons/WormholeNorthrend", -- Wormhole: Northrend
			[126755] = "Interface/AddOns/Media_Newsom/Icons/WormholePandaria", -- Wormhole: Pandaria
			[163830] = "Interface/AddOns/Media_Newsom/Icons/WormholeDraenor", -- Wormhole: Draenor
			[250796] = "Interface/AddOns/Media_Newsom/Icons/WormholeArgus", -- Wormhole: Argus
			[299083] = "Interface/AddOns/Media_Newsom/Icons/WormholeKulTiras", -- Wormhole: Kul Tiras
			[299084] = "Interface/AddOns/Media_Newsom/Icons/WormholeZandalar", -- Wormhole: Zandalar
			[324031] = "Interface/AddOns/Media_Newsom/Icons/WormholeShadowlands", -- Wormhole: Shadowlands
			[220746] = "Interface/AddOns/Media_Newsom/Icons/TeleportRavenholdtManor", -- Teleport: Ravenholdt Manor
			[71436] = "Interface/AddOns/Media_Newsom/Icons/TeleportBootyBay", -- Teleport: Booty Bay (Boots of the Bay)
			[231054] = "Interface/AddOns/Media_Newsom/Icons/TeleportKarazhan", -- Teleport: Karazhan
			["Teleport: Karazhan"] = "Interface/AddOns/Media_Newsom/Icons/TeleportKarazhan",
			["Portal: Karazhan"] = "Interface/AddOns/Media_Newsom/Icons/PortalKarazhan",
			[41234] = "Interface/AddOns/Media_Newsom/Icons/TeleportBlackTemple", -- Teleport: Black Temple
			["Teleport: Black Temple"] = "Interface/AddOns/Media_Newsom/Icons/TeleportBlackTemple",
			[245173] = "Interface/AddOns/Media_Newsom/Icons/PortalBlackTemple", -- Portal: Black Temple
			["Portal: Black Temple"] = "Interface/AddOns/Media_Newsom/Icons/PortalBlackTemple",
			[66238] = "Interface/AddOns/Media_Newsom/Icons/TeleportArgentTournament", -- Teleport: Argent Tournament
			[145430] = "Interface/AddOns/Media_Newsom/Icons/TeleportTimelessIsle", -- Teleport: Timeless Isle
			[175608] = "Interface/AddOns/Media_Newsom/Icons/TeleportKarabor", -- Teleport: Karabor
			[175604] = "Interface/AddOns/Media_Newsom/Icons/TeleportBladespireCitadel", -- Teleport: Bladespire Citadel
			[54406] = 237509, -- Teleport: Dalaran - Northrend (Band/Signet/Ring of the Kirin Tor)


			--§ Spells
			["Mark of the Arctic"] = 237522,
			["Touch of the Magi"] = 236222,
			["Drink Minor Potion"] = 134829,
			["Activating Specialization"] = 0,
			["Changing Talents"] = 0,
			[80944] = 571318, -- Fling Fungus (Rockjaw Fungus-Flinger)
			[364266] = 988193, -- Primordial Mending
			[347765] = 3591588, -- Demon Soul (Fodder to the Flame)
			[241345] = 4038102, -- Cleansing Blast
			["Challenging Shout"] = 4067374, -- Custom icon
			["Eye of Kilrogg"] = 1719208, -- Custom icon
			["Goblin Glider"] = 660100,
			["Mind Control"] = 1718004, -- Custom
			["Mindbender"] = 1386549,
			["Nitro Boosts"] = 135788,
			["Self-Cleaning Cycle"] = 133873,
			["Summon Felhound Manastalker"] = 136217,
			["Summon Fiendish Hound"] = 136217,
			["Summon Pocopoc"] = 4327611,
			["Summon Seductress"] = 136220,
			["Tranquilizing Shot"] = 132323, -- Black Arrow
			["Wailing Arrow"] = 132170, -- Custom
			[11426] = 135843, -- Ice Barrier
			[164862] = 0, -- Flap
			[192082] = 463565, -- Wind Rush (from Wind Rush Totem)
			[193753] = 1396974, -- Dreamwalk
			[20004] = 136169, -- Life Steal (missing icon)
			[256740] = 2026177, -- Drums of the Maelstrom
			[309658] = 3528453, -- Drums of Deathly Ferocity
			[320798] = 463543, -- Shadowcore Oil
			[321389] = 463544, -- Embalmer's Oil
			[337344] = 132868, -- Mystic Bolt (missing icon)
			[337346] = 135731, -- Arcane Bolt (missing icon)
			[355456] = 3528298, -- Damnation (transparent icon)
			[357318] = 3931156, -- Spirit of Ka-Sha
			[360767] = 1778229, -- Expel Essence
			[366333] = 317242, -- Crystallic Spheroid
			[61734] = 2399282, -- Noblegarden Bunny
			[80066] = 511543, -- Tornado (Cataclysm air elementals, wrong icon)
			[91838] = 237533, -- Huddle
			[53946] = 237216, -- Brilliant Scarlet Ruby
			[228408] = 136244, -- Mark of the Ancient Priestess (Rank 1)
			[190892] = 136244, -- Mark of the Claw (Rank 1)
			[235706] = 136244, -- Mark of the Deadly (Rank 3)
			[235702] = 136244, -- Mark of the Deadly (Rank 2)
			[235698] = 136244, -- Mark of the Deadly (Rank 1)
			[228402] = 136244, -- Mark of the Heavy Hide (Rank 1)
			[235703] = 136244, -- Mark of the Master (Rank 3)
			[235699] = 136244, -- Mark of the Master (Rank 2)
			[235695] = 136244, -- Mark of the Master (Rank 1)
			[235705] = 136244, -- Mark of the Quick (Rank 3)
			[235701] = 136244, -- Mark of the Quick (Rank 2)
			[235697] = 136244, -- Mark of the Quick (Rank 1)
			[235704] = 136244, -- Mark of the Versatile (Rank 3)
			[235700] = 136244, -- Mark of the Versatile (Rank 2)
			[235696] = 136244, -- Mark of the Versatile (Rank 1)
			[159236] = 136244, -- Mark of the Shattered Hand
			[158907] = 136244, -- Breath of Critical Strike
			[158908] = 136244, -- Breath of Haste
			[158909] = 136244, -- Breath of Mastery
			[158911] = 136244, -- Breath of Versatility
			[130758] = 136244, -- Greater Parry
			[71692] = 136244, -- Angler
			[64441] = 136244, -- Blade Ward
			[64579] = 136244, -- Blood Draining
			[27958] = 136244, -- Exceptional Mana
			[47766] = 136244, -- Greater Dodge
			[60621] = 136244, -- Greater Potency
			[62948] = 136244, -- Greater Spellpower
			[44488] = 136244, -- Precision
			[62959] = 136244, -- Spellpower
			[60707] = 136244, -- Superior Potency
			[44383] = 136244, -- Armor
			[33996] = 136244, -- Assault
			[28004] = 136244, -- Battlemaster
			[33993] = 136244, -- Blasting
			[34008] = 136244, -- Boar's Speed
			[27899] = 136244, -- Brawn
			[34007] = 136244, -- Cat's Swiftness
			[46578] = 136244, -- Deathfrost
			[27951] = 136244, -- Dexterity
			[46594] = 136244, -- Dodge
			[25086] = 136244, -- Dodge
			[27957] = 136244, -- Exceptional Health
			[27960] = 136244, -- Exceptional Stats
			[42974] = 136244, -- Executioner
			[27914] = 136244, -- Fortitude
			[27950] = 136244, -- Fortitude
			[42620] = 136244, -- Greater Agility
			[34004] = 136244, -- Greater Agility
			[47051] = 136244, -- Greater Dodge
			[27906] = 136244, -- Greater Dodge
			[27945] = 136244, -- Intellect
			[34002] = 136244, -- Lesser Assault
			[27944] = 136244, -- Lesser Dodge
			[27977] = 136244, -- Major Agility
			[33992] = 136244, -- Major Armor
			[27961] = 136244, -- Major Armor
			[33999] = 136244, -- Major Healing
			[34010] = 136244, -- Major Healing
			[27968] = 136244, -- Major Intellect
			[34001] = 136244, -- Major Intellect
			[27975] = 136244, -- Major Spellpower
			[33997] = 136244, -- Major Spellpower
			[34009] = 136244, -- Major Stamina
			[33995] = 136244, -- Major Strength
			[27967] = 136244, -- Major Striking
			[33990] = 136244, -- Major Versatility
			[27984] = 136244, -- Mongoose
			[27946] = 136244, -- Parry
			[27972] = 136244, -- Potency
			[33994] = 136244, -- Precise Strikes
			[34003] = 136244, -- PvP Power
			[27971] = 136244, -- Savagery
			[27982] = 136244, -- Soulfrost
			[27917] = 136244, -- Spellpower
			[28003] = 136244, -- Spellsurge
			[27905] = 136244, -- Stats
			[25083] = 136244, -- Stealth
			[25084] = 136244, -- Subtlety
			[27981] = 136244, -- Sunfire
			[25080] = 136244, -- Superior Agility
			[27911] = 136244, -- Superior Healing
			[27954] = 136244, -- Surefooted
			[25072] = 136244, -- Threat
			[27913] = 136244, -- Versatility Prime
			[33991] = 136244, -- Versatility Prime
			[27948] = 136244, -- Vitality
			[13868] = 136244, -- Advanced Herbalism
			[13841] = 136244, -- Advanced Mining
			[23800] = 136244, -- Agility
			[27837] = 136244, -- Agility
			[13935] = 136244, -- Agility
			[13815] = 136244, -- Agility
			[23801] = 136244, -- Argent Versatility
			[20034] = 136244, -- Crusader
			[13635] = 136244, -- Defense
			[13915] = 136244, -- Demonslaying
			[13931] = 136244, -- Dodge
			[13898] = 136244, -- Fiery Weapon
			[25078] = 136244, -- Fire Power
			[13620] = 136244, -- Fishing
			[25074] = 136244, -- Frost Power
			[20023] = 136244, -- Greater Agility
			[20012] = 136244, -- Greater Agility
			[13746] = 136244, -- Greater Defense
			[13640] = 136244, -- Greater Health
			[13937] = 136244, -- Greater Impact
			[20008] = 136244, -- Greater Intellect
			[13663] = 136244, -- Greater Mana
			[20017] = 136244, -- Greater Stamina
			[20020] = 136244, -- Greater Stamina
			[13945] = 136244, -- Greater Stamina
			[20025] = 136244, -- Greater Stats
			[20013] = 136244, -- Greater Strength
			[13939] = 136244, -- Greater Strength
			[13943] = 136244, -- Greater Striking
			[13905] = 136244, -- Greater Versatility
			[13846] = 136244, -- Greater Versatility
			[22750] = 136244, -- Healing Power
			[23802] = 136244, -- Healing Power
			[25079] = 136244, -- Healing Power
			[7857] = 136244, -- Health
			[13617] = 136244, -- Herbalism
			[20029] = 136244, -- Icy Chill
			[13695] = 136244, -- Impact
			[13822] = 136244, -- Intellect
			[13538] = 136244, -- Lesser Absorption
			[63746] = 136244, -- Lesser Accuracy
			[13882] = 136244, -- Lesser Agility
			[13637] = 136244, -- Lesser Agility
			[13653] = 136244, -- Lesser Beastslayer
			[13646] = 136244, -- Lesser Dodge
			[13655] = 136244, -- Lesser Elemental Slayer
			[7748] = 136244, -- Lesser Health
			[13529] = 136244, -- Lesser Impact
			[13622] = 136244, -- Lesser Intellect
			[7793] = 136244, -- Lesser Intellect
			[7776] = 136244, -- Lesser Mana
			[13689] = 136244, -- Lesser Parry
			[13421] = 136244, -- Lesser Protection
			[13464] = 136244, -- Lesser Protection
			[13644] = 136244, -- Lesser Stamina
			[13631] = 136244, -- Lesser Stamina
			[13501] = 136244, -- Lesser Stamina
			[13700] = 136244, -- Lesser Stats
			[13536] = 136244, -- Lesser Strength
			[13503] = 136244, -- Lesser Striking
			[13687] = 136244, -- Lesser Versatility
			[13485] = 136244, -- Lesser Versatility
			[7859] = 136244, -- Lesser Versatility
			[13380] = 136244, -- Lesser Versatility
			[20032] = 136244, -- Lifestealing
			[20026] = 136244, -- Major Health
			[20036] = 136244, -- Major Intellect
			[20028] = 136244, -- Major Mana
			[20035] = 136244, -- Major Versatility
			[13607] = 136244, -- Mana
			[23804] = 136244, -- Mighty Intellect
			[23803] = 136244, -- Mighty Versatility
			[13612] = 136244, -- Mining
			[7426] = 136244, -- Minor Absorption
			[7867] = 136244, -- Minor Agility
			[13419] = 136244, -- Minor Agility
			[7779] = 136244, -- Minor Agility
			[7786] = 136244, -- Minor Beastslayer
			[7428] = 136244, -- Minor Dodge
			[13948] = 136244, -- Minor Haste
			[7418] = 136244, -- Minor Health
			[7420] = 136244, -- Minor Health
			[7745] = 136244, -- Minor Impact
			[7443] = 136244, -- Minor Mana
			[7771] = 136244, -- Minor Protection
			[13890] = 136244, -- Minor Speed
			[7863] = 136244, -- Minor Stamina
			[13378] = 136244, -- Minor Stamina
			[7457] = 136244, -- Minor Stamina
			[13626] = 136244, -- Minor Stats
			[7782] = 136244, -- Minor Strength
			[7788] = 136244, -- Minor Striking
			[7766] = 136244, -- Minor Versatility
			[13947] = 136244, -- Riding Skill
			[25073] = 136244, -- Shadow Power
			[13698] = 136244, -- Skinning
			[22749] = 136244, -- Spellpower
			[13836] = 136244, -- Stamina
			[13817] = 136244, -- Stamina
			[13648] = 136244, -- Stamina
			[13941] = 136244, -- Stats
			[23799] = 136244, -- Strength
			[13887] = 136244, -- Strength
			[13661] = 136244, -- Strength
			[13693] = 136244, -- Striking
			[20015] = 136244, -- Superior Defense
			[13858] = 136244, -- Superior Health
			[20030] = 136244, -- Superior Impact
			[13917] = 136244, -- Superior Mana
			[20011] = 136244, -- Superior Stamina
			[20010] = 136244, -- Superior Strength
			[20031] = 136244, -- Superior Striking
			[20009] = 136244, -- Superior Versatility
			[20033] = 136244, -- Unholy Weapon
			[20024] = 136244, -- Versatility
			[13659] = 136244, -- Versatility
			[13642] = 136244, -- Versatility
			[20016] = 136244, -- Vitality
			[21931] = 136244, -- Winter's Might
			[188802] = 967517, -- Wild Transmutation (Rank 3)
			[188801] = 967517, -- Wild Transmutation (Rank 2)
			[188800] = 967517, -- Wild Transmutation (Rank 1)
		}

		-- Weapon Enchant Icons
		ZA.EnchantIcons = {
			-- Imbue
			[5401] = 462329, -- Windfury
			[5400] = 462326, -- Flametongue
			[6498] = 462325, -- Earthliving
			-- Oil
			[6188] = 463543, -- Shadowcore Oil
			[6190] = 463544, -- Embalmer's Oil
			[2678] = 134767, -- Superior Wizard Oil
			[2628] = 134727, -- Brilliant Wizard Oil
			[3592] = 134806, -- Blessed Wizard Oil
			[2627] = 134726, -- Wizard Oil
			[2626] = 134725, -- Lesser Wizard Oil
			[2623] = 134711, -- Minor Wizard Oil
			-- Sharpening Stone
			[6200] = 3528422, -- Sharpened IX (Shaded Sharpening Stone)
			[6198] = 3528424, -- Sharpened VIII (Porous Sharpening Stone)
			[2713] = 135254, -- Sharpened VII (Adamantite Sharpening Stone)
			[2712] = 135253, -- Sharpened VI (Adamantite Sharpening Stone)
			[2506] = 135228, -- Elemental Sharpening Stone
			[3593] = 135249, -- Consecrated Sharpening Stone
			[1643] = 135252, -- Sharpened V (Dense Sharpening Stone)
			[483] = 135251, -- Sharpened IV (Solid Sharpening Stone)
			[14] = 135250, -- Sharpened III (Heavy Sharpening Stone)
			[13] = 135249, -- Sharpened II (Coarse Sharpening Stone)
			[40] = 135248, -- Sharpened I (Rough Sharpening Stone)
			-- Weightstone
			[6201] = 3528423, -- Weighted IX (Shaded Weightstone)
			[6199] = 3528425, -- Weighted VIII (Porous Weightstone)
			[2955] = 135261, -- Weighted VII (Adamantite Weightstone)
			[2954] = 135260, -- Weighted VI (Fel Weightstone)
			[1703] = 135259, -- Weighted V (Dense Weightstone)
			[484] = 135258, -- Weighted IV (Solid Weightstone)
			[21] = 135257, -- Weighted III (Heavy Weightstone)
			[20] = 135256, -- Weighted II (Coarse Weightstone)
			[19] = 135255, -- Weighted I (Rough Weightstone)
		}
	end
end


local function eventHandler(self, event, ...)
	if event == "COMBAT_LOG_EVENT_UNFILTERED" then
		if ZA and ZA.AutoSpells then
			local timestamp, subEvent, _, sourceGUID, sourceName, sourceFlags, sourceRaidFlags, destGUID, destName, destFlags, destRaidFlags, spellId, spellName, spellSchool = CombatLogGetCurrentEventInfo()

			if subEvent == "SPELL_CAST_START" or subEvent == "SPELLCAST_SUCCESS" then
				if spellId then
					_, _, icon = GetSpellInfo(spellId)
					ZA.AutoSpells[spellName .. (icon and ":" .. icon or "")] = spellSchool or 0
				elseif spellName then
					ZA.AutoSpells[spellName] = spellSchool or 0
				end
			end
		end
	elseif event == "VARIABLES_LOADED" then
		-- Make sure defaults are set
		if not ZA then ZA = { } end
		updateData()
	else
		updateData()
	end
end

frame:SetScript("OnEvent", eventHandler)

local function SendGroupMessage(msg)
	if not IsInGroup() then
		print(msg)
	else
		SendChatMessage(msg, IsInGroup(LE_PARTY_CATEGORY_INSTANCE) and "INSTANCE_CHAT" or IsInRaid() and "RAID" or "PARTY")
	end
end

local function TimeLeftAbbrev(seconds)
	local units = ConvertSecondsToUnits(seconds)
	local str = ""

	if units.days >= 1 then str = str..units.days .. "d" end
	if units.days >= 1 and units.hours >= 1 then str = str.." " end
	if units.hours >= 1 then str = str..units.hours .. "h" end
	if units.hours >= 1 and units.minutes >= 1 then str = str.." " end
	if units.minutes >= 1 then str = str..units.minutes .. "m" end
	if seconds < 60 then str = seconds .. "s" end
	return str
end

local function TimeLeft(seconds)
	local units = ConvertSecondsToUnits(seconds)
	local str = ""

	if units.days >= 1 then str = str..units.days .. " Day" end
	if units.days > 1 then str = str.."s" end
	if units.days >= 1 and units.hours >= 1 then str = str.." " end
	if units.hours >= 1 then str = str..units.hours .. " Hr" end
	if units.hours >= 1 and units.minutes >= 1 then str = str.." " end
	if units.minutes >= 1 then str = str..units.minutes .. " Min" end
	if seconds < 60 then str = seconds .. " Sec" end
	return str
end

function SlashCmdList.ZIGIAURAS(msg, ...)
	if not ZA then
		print(CreateAtlasMarkup("common-icon-redx") .. " |cffff0000ZigiAuras is not initialized|r")
	end

	if not msg or msg == "" then
		if not ZA.DebugMode then
			ZA.DebugMode = true
			print(CreateAtlasMarkup("checkmark-minimal") .. " |cffffd100Debug Mode On|r")
		else
			ZA.DebugMode = false
			print(CreateAtlasMarkup("checkmark-minimal-disabled") .. " |cff6e6e6eDebug Mode Off|r")
		end
	end
	
	arg, a, b, c = strsplit(" ", msg)
	arg = string.lower(arg)

	if arg == "enchant" or arg == "weaponenchant" then
		local mh, _, _, mhID, oh, _, _, ohID = GetWeaponEnchantInfo()

		print(CreateAtlasMarkup("transmog-nav-slot-mainhand") .. " Main Hand Enchant", (mh and "|cff71d5ff" .. mhID .. "|r" or "|cffff2020None|r"))
		print(CreateAtlasMarkup("transmog-nav-slot-secondaryhand") .. " Off Hand Enchant", (oh and "|cff71d5ff" .. ohID .. "|r" or "|cffff2020None|r"))
	end
	if arg == "map" then
		print("Map", WorldMapFrame:GetMapID() or CreateAtlasMarkup("common-icon-redx") .. " |cffff0000Unknown|r")
	end
	if arg == "a" or arg == "atlas" then
		if not a then
			print("Usage: /za a name [size]")
		else
			b = tonumber(b or 24) or 24
			print( CreateAtlasMarkup(a, b, b) )
		end
	end
	if arg == "q" or arg == "quest" or arg == "!q" or arg == "!quest" then
		local id = tonumber(a or 0) or 0
		if id > 0 then
			if arg == "!q" or arg == "!quest" then
				SendGroupMessage("Quest #" .. id .. " - " .. (C_QuestLog.IsQuestFlaggedCompleted(id) and "Completed" or "Not Completed"))
			else
				print(CreateAtlasMarkup("QuestNormal") .. "|cffffd100Quest (" .. id .. ")|r", (C_QuestLog.IsQuestFlaggedCompleted(id) and CreateAtlasMarkup("common-icon-checkmark") .. " |cff00ff00Completed|r" or CreateAtlasMarkup("common-icon-redx") .. " |cffff0000Not Completed|r"))
			end
		else
			print("Usage: /za q id")
		end
	end
	if arg == "time" then
		print("Time until daily reset:", TimeLeft(GetQuestResetTime()))
	elseif arg == "!time" then
		SendGroupMessage("Time until daily reset: " .. TimeLeft(GetQuestResetTime()))
	end
	if arg == "key" or arg == "!key" or arg == "keyasync" then
		local key, twkey = nil, nil
		for bag = 0, NUM_BAG_SLOTS do
			local bagSlots = GetContainerNumSlots(bag)
			for slot = 1, bagSlots do
				local link, _, _, id = select(7, GetContainerItemInfo(bag, slot))
				if id == 180653 then -- Shadowlands
					key = link
				elseif id == 187786 then -- Legion Timewalking
					twkey = link
				end
			end
		end

		local covenant = C_Covenants and C_Covenants.GetActiveCovenantID() or 0
		if key or twkey then
			SendGroupMessage((key and key or "")..(twkey and twkey or ""))
		elseif arg == "keyasync" then
			print("No Keystone found")
		else
			C_Timer.After(2, function() SlashCmdList.ZIGIAURAS("keyasync") end)
		end
	end
	if arg == "research" then
		local id = tonumber(a or 0) or 0
		if id > 0 then
			local info = C_Garrison.GetTalentInfo(id)

			if not info then
				print("No data found for Garrison Talent ID "..id)
			else
				print(
					(info.icon and "|T"..info.icon..":20:20|t " or "") .. "|cff71d5ff"..info.name.." ("..id..")|r  ",
					(info.researched and CreateAtlasMarkup("common-icon-checkmark") .. " |cff00ff00Researched|r" or CreateAtlasMarkup("common-icon-redx") .. " |cffff0000Not Researched|r"),
					(info.selected and CreateAtlasMarkup("common-icon-checkmark") .. " |cff00ff00Selected|r" or CreateAtlasMarkup("common-icon-redx") .. " |cffff0000Not Selected|r")
				)
			end
		else
			print("Usage: /za research id")
		end
	end
	if arg == "aura" then
		local filter = a or "HELPFUL"
		for i = 1, 1000 do
			local name, icon, count, dispelType, duration, expirationTime, source, isStealable, nameplateShowPersonal, spellId, canApplyAura, isBossDebuff, castByPlayer, nameplateShowAll, timeMod = UnitAura("player", i, filter)
		
			if name or spellId then
				local link = spellId and GetSpellLink(spellId)
				print(
					"("..i..")",
					icon and ("|T" .. icon .. ":16:16|t") or "",
					spellId or 0,
					"|cffffd100" .. (link or name or "|cffff0000Unknown|r") .. "|r"
				)
			end
		end
	end
end